<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit();
}

// Load Astra Pro NagaTheme Translations
add_action( 'init', 'astra_pro_naga_translations' );
function astra_pro_naga_translations() {
	if ( is_rtl() ) {
		$locale = 'fa_IR';
		$domain = 'astra-addon';
		$mofile = $domain . '-' . $locale . '.mo';
		$path = plugin_dir_path( __FILE__ ) . 'languages/' . $mofile;
		unload_textdomain( $domain ); // Unload Default
		load_textdomain( $domain, $path );
	}
}

// Run the Astra Pro License Class
if ( ! class_exists( 'Astra_Pro_Zhk_SDK' ) ) {
	require_once 'class-astra-pro-zhk-license.php';
}

// Disable BrainStorm Force Notices
add_action( 'admin_init', 'astra_pro_naga_disable_notices' );
function astra_pro_naga_disable_notices() {
	if ( Astra_Pro_Zhk_SDK::is_activated() === true ) {
		$brainstrom = get_option( 'brainstrom_products' );
		$brainstrom['plugins']['astra-addon']['status'] = 'registered';
		$brainstrom['plugins']['astra-pro-sites']['status'] = 'registered';
		$brainstrom['plugins']['uael']['status'] = 'registered';
		$brainstrom['plugins']['uabb']['status'] = 'registered';
		$brainstrom['plugins']['convertpro']['status'] = 'registered';
		$brainstrom['plugins']['wp-schema-pro']['status'] = 'registered';
		$brainstrom['plugins']['astra-portfolio']['status'] = 'registered';
		update_option( 'brainstrom_products', $brainstrom );
	} else {
		remove_submenu_page( 'themes.php', 'starter-templates' );
		remove_submenu_page( 'themes.php', 'astra' );	// Astra Options
		remove_submenu_page( 'themes.php', 'edit.php?post_type=astra_adv_header' );
		remove_submenu_page( 'themes.php', 'edit.php?post_type=astra-advanced-hook' );
		remove_submenu_page( 'themes.php', 'edit.php?post_type=bsf-sidebar' );
		//remove_submenu_page( 'options-general.php', 'aiosrs_pro_admin_menu_page' );
		//remove_submenu_page( 'options-general.php', 'uae' );
		//remove_submenu_page( 'options-general.php', 'ubb' );
		//remove_menu_page( 'convert-pro' );
	}
}
// End of the game...