<?php
/**
 * Astra Child Theme functions and definitions Created By NagaTheme.com
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Astra Child
 * @since 1.0.0
 */

/**
 * Define Constants
 */
define( 'CHILD_THEME_ASTRA_CHILD_VERSION', '1.0.0' );

/**
 * Enqueue styles
 */
/*function child_enqueue_styles() {
	wp_enqueue_style( 'astra-child-theme-css', get_stylesheet_directory_uri() . '/style.css', array('astra-theme-css'), CHILD_THEME_ASTRA_CHILD_VERSION, 'all' );
}
add_action( 'wp_enqueue_scripts', 'child_enqueue_styles', 15 );*/

/**
 * Denqueue styles - Avoid loading style.css of the child theme
 */
function child_dequeue_styles() {
	wp_dequeue_style( 'astra-child' );
}
add_action( 'wp_enqueue_scripts', 'child_dequeue_styles',50 );

/**
 * Load Admin CSS Codes
 */
function admin_custom_nagastyle() {
	wp_enqueue_style( 'custom_nagastyle', trailingslashit( get_stylesheet_directory_uri() ) . '/assets/css/minified/admin-nagastyle.min.css' );
}
add_action( 'admin_enqueue_scripts', 'admin_custom_nagastyle' );

/**
 * Load the parent rtl.css file
 */
function astra_child_enqueue_rtl_styles() {
    if ( is_rtl() ) {
        // Load RTL CSS.
        wp_enqueue_style( 'astra-rtl', get_stylesheet_directory_uri() . '/assets/css/minified/rtl.min.css', array('astra-theme-css'), ASTRA_THEME_VERSION );
    }
}
add_action( 'wp_enqueue_scripts', 'astra_child_enqueue_rtl_styles' );

/**
 * Load translation files from your child theme instead of the parent theme
 */
function child_theme_slug_setup() {
    load_child_theme_textdomain( 'astra', get_stylesheet_directory() . '/languages/astra' );
}
add_action( 'after_setup_theme', 'child_theme_slug_setup', 1 );


/**
 * Load astra-addon plugin translation files from child theme instead of the plugin languages file
 */
function child_theme_astra_addon_nagatrans() {
    load_child_theme_textdomain( 'astra-addon', get_stylesheet_directory() . '/languages/astra-addon' );
}
add_action( 'after_setup_theme', 'child_theme_astra_addon_nagatrans', 1 );