/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2020-03-21 18:50:30 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `age_actionscheduler_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `scheduled_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `schedule` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `group_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `attempts` int(11) NOT NULL DEFAULT 0,
  `last_attempt_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `extended_args` varchar(8000) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id` (`claim_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1237 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_actionscheduler_claims` (
  `claim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_actionscheduler_groups` (
  `group_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_actionscheduler_logs` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint(20) unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `log_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT 0,
  `comment_author` tinytext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT 0,
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

CREATE TABLE `age_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT 1,
  `link_rating` int(11) NOT NULL DEFAULT 0,
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=MyISAM AUTO_INCREMENT=554 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=682 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT 0,
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT 0,
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=MyISAM AUTO_INCREMENT=1234 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT 0,
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `age_wpforms_tasks_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `data` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


/* INSERT TABLE DATA: age_actionscheduler_actions */
INSERT INTO `age_actionscheduler_actions` VALUES("1235", "action_scheduler/migration_hook", "complete", "2020-03-21 18:47:58", "2020-03-21 23:17:58", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1584816478;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1584816478;}", "1", "1", "2020-03-21 18:48:16", "2020-03-21 23:18:16", "0", NULL);
INSERT INTO `age_actionscheduler_actions` VALUES("1236", "wpforms_process_entry_emails_meta_cleanup", "pending", "2020-03-22 00:00:00", "2020-03-22 04:30:00", "{\"tasks_meta_id\":1}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1584835200;s:18:\"\0*\0first_timestamp\";i:1584835200;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1584835200;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);

/* INSERT TABLE DATA: age_actionscheduler_groups */
INSERT INTO `age_actionscheduler_groups` VALUES("1", "action-scheduler-migration");
INSERT INTO `age_actionscheduler_groups` VALUES("2", "wpforms");

/* INSERT TABLE DATA: age_actionscheduler_logs */
INSERT INTO `age_actionscheduler_logs` VALUES("1", "1235", "action created", "2020-03-21 18:47:58", "2020-03-21 23:17:58");
INSERT INTO `age_actionscheduler_logs` VALUES("2", "1235", "action started via Async Request", "2020-03-21 18:48:16", "2020-03-21 23:18:16");
INSERT INTO `age_actionscheduler_logs` VALUES("3", "1235", "action complete via Async Request", "2020-03-21 18:48:16", "2020-03-21 23:18:16");
INSERT INTO `age_actionscheduler_logs` VALUES("4", "1236", "action created", "2020-03-21 18:48:17", "2020-03-21 23:18:17");

/* INSERT TABLE DATA: age_duplicator_packages */
INSERT INTO `age_duplicator_packages` VALUES("1", "20200321_digitalagency", "2c63cd6bafd11db43461_20200321185008", "23", "2020-03-21 18:50:30", "unknown", "O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-03-21 18:50:08\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:5:\"5.3.2\";s:9:\"VersionDB\";s:7:\"10.3.19\";s:10:\"VersionPHP\";s:6:\"7.2.23\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:1;s:4:\"Name\";s:22:\"20200321_digitalagency\";s:4:\"Hash\";s:35:\"2c63cd6bafd11db43461_20200321185008\";s:8:\"NameHash\";s:58:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:58:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-snapshots/tmp\";s:8:\"StoreURL\";s:47:\"http://demo.iranlec.com/agency-02/wp-snapshots/\";s:8:\"ScanFile\";s:68:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"23.3\";s:6:\"WPUser\";s:7:\"unknown\";s:7:\"Archive\";O:11:\"DUP_Archive\":21:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:70:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:41:\"/home/iranlecc/demo.iranlec.com/agency-02\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-03-21 18:50:08\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:5:\"5.3.2\";s:9:\"VersionDB\";s:7:\"10.3.19\";s:10:\"VersionPHP\";s:6:\"7.2.23\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:22:\"20200321_digitalagency\";s:4:\"Hash\";s:35:\"2c63cd6bafd11db43461_20200321185008\";s:8:\"NameHash\";s:58:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:58:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-snapshots/tmp\";s:8:\"StoreURL\";s:47:\"http://demo.iranlec.com/agency-02/wp-snapshots/\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:23;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:72:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:63;}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:71:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";N;s:13:\"collationList\";a:0:{}s:17:\"isTablesUpperCase\";N;s:15:\"isNameUpperCase\";N;s:4:\"name\";N;s:15:\"tablesBaseCount\";N;s:16:\"tablesFinalCount\";N;s:14:\"tablesRowCount\";N;s:16:\"tablesSizeOnDisk\";N;s:18:\"varLowerCaseTables\";i:0;s:7:\"version\";N;s:14:\"versionComment\";N;s:18:\"tableWiseRowCounts\";a:5:{s:27:\"age_actionscheduler_actions\";s:1:\"2\";s:26:\"age_actionscheduler_claims\";s:1:\"0\";s:26:\"age_actionscheduler_groups\";s:1:\"2\";s:24:\"age_actionscheduler_logs\";s:1:\"4\";s:15:\"age_commentmeta\";s:1:\"0\";}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:130:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-snapshots/tmp/20200321_digitalagency_2c63cd6bafd11db43461_20200321185008_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:63;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:50:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-admin\";i:1;s:60:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content/uploads\";i:2;s:62:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content/languages\";i:3;s:59:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content/themes\";i:4;s:53:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:41:\"/home/iranlecc/demo.iranlec.com/agency-02\";i:1;s:52:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content\";}}s:9:\"Installer\";r:86;s:8:\"Database\";r:98;s:13:\"BuildProgress\";r:134;}");

/* INSERT TABLE DATA: age_options */
INSERT INTO `age_options` VALUES("1", "siteurl", "http://demo.iranlec.com/agency-02", "yes");
INSERT INTO `age_options` VALUES("2", "home", "http://demo.iranlec.com/agency-02", "yes");
INSERT INTO `age_options` VALUES("3", "blogname", "digital agency", "yes");
INSERT INTO `age_options` VALUES("4", "blogdescription", "یک سایت دیگر با وردپرس فارسی", "yes");
INSERT INTO `age_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `age_options` VALUES("6", "admin_email", "demo@nagatheme.com", "yes");
INSERT INTO `age_options` VALUES("7", "start_of_week", "6", "yes");
INSERT INTO `age_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `age_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `age_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `age_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `age_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `age_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `age_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `age_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `age_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `age_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `age_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `age_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `age_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `age_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `age_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `age_options` VALUES("23", "date_format", "Y-m-d", "yes");
INSERT INTO `age_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `age_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `age_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `age_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `age_options` VALUES("28", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `age_options` VALUES("29", "rewrite_rules", "a:143:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:57:\"wpforms_log_type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:55:\"index.php?wpforms_log_type=$matches[1]&feed=$matches[2]\";s:52:\"wpforms_log_type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:55:\"index.php?wpforms_log_type=$matches[1]&feed=$matches[2]\";s:33:\"wpforms_log_type/([^/]+)/embed/?$\";s:49:\"index.php?wpforms_log_type=$matches[1]&embed=true\";s:45:\"wpforms_log_type/([^/]+)/page/?([0-9]{1,})/?$\";s:56:\"index.php?wpforms_log_type=$matches[1]&paged=$matches[2]\";s:27:\"wpforms_log_type/([^/]+)/?$\";s:38:\"index.php?wpforms_log_type=$matches[1]\";s:40:\"elementor-hf/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:50:\"elementor-hf/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:70:\"elementor-hf/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:65:\"elementor-hf/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:65:\"elementor-hf/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:46:\"elementor-hf/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:29:\"elementor-hf/([^/]+)/embed/?$\";s:45:\"index.php?elementor-hf=$matches[1]&embed=true\";s:33:\"elementor-hf/([^/]+)/trackback/?$\";s:39:\"index.php?elementor-hf=$matches[1]&tb=1\";s:41:\"elementor-hf/([^/]+)/page/?([0-9]{1,})/?$\";s:52:\"index.php?elementor-hf=$matches[1]&paged=$matches[2]\";s:48:\"elementor-hf/([^/]+)/comment-page-([0-9]{1,})/?$\";s:52:\"index.php?elementor-hf=$matches[1]&cpage=$matches[2]\";s:37:\"elementor-hf/([^/]+)(?:/([0-9]+))?/?$\";s:51:\"index.php?elementor-hf=$matches[1]&page=$matches[2]\";s:29:\"elementor-hf/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:39:\"elementor-hf/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:59:\"elementor-hf/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:54:\"elementor-hf/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:54:\"elementor-hf/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:35:\"elementor-hf/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:47:\"astra-advanced-hook/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"astra-advanced-hook/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"astra-advanced-hook/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"astra-advanced-hook/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"astra-advanced-hook/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"astra-advanced-hook/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:36:\"astra-advanced-hook/([^/]+)/embed/?$\";s:52:\"index.php?astra-advanced-hook=$matches[1]&embed=true\";s:40:\"astra-advanced-hook/([^/]+)/trackback/?$\";s:46:\"index.php?astra-advanced-hook=$matches[1]&tb=1\";s:48:\"astra-advanced-hook/([^/]+)/page/?([0-9]{1,})/?$\";s:59:\"index.php?astra-advanced-hook=$matches[1]&paged=$matches[2]\";s:55:\"astra-advanced-hook/([^/]+)/comment-page-([0-9]{1,})/?$\";s:59:\"index.php?astra-advanced-hook=$matches[1]&cpage=$matches[2]\";s:44:\"astra-advanced-hook/([^/]+)(?:/([0-9]+))?/?$\";s:58:\"index.php?astra-advanced-hook=$matches[1]&page=$matches[2]\";s:36:\"astra-advanced-hook/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:46:\"astra-advanced-hook/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:66:\"astra-advanced-hook/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"astra-advanced-hook/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"astra-advanced-hook/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:42:\"astra-advanced-hook/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:44:\"astra_adv_header/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:54:\"astra_adv_header/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:74:\"astra_adv_header/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:69:\"astra_adv_header/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:69:\"astra_adv_header/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:50:\"astra_adv_header/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:33:\"astra_adv_header/([^/]+)/embed/?$\";s:49:\"index.php?astra_adv_header=$matches[1]&embed=true\";s:37:\"astra_adv_header/([^/]+)/trackback/?$\";s:43:\"index.php?astra_adv_header=$matches[1]&tb=1\";s:45:\"astra_adv_header/([^/]+)/page/?([0-9]{1,})/?$\";s:56:\"index.php?astra_adv_header=$matches[1]&paged=$matches[2]\";s:52:\"astra_adv_header/([^/]+)/comment-page-([0-9]{1,})/?$\";s:56:\"index.php?astra_adv_header=$matches[1]&cpage=$matches[2]\";s:41:\"astra_adv_header/([^/]+)(?:/([0-9]+))?/?$\";s:55:\"index.php?astra_adv_header=$matches[1]&page=$matches[2]\";s:33:\"astra_adv_header/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:43:\"astra_adv_header/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:63:\"astra_adv_header/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:58:\"astra_adv_header/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:58:\"astra_adv_header/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:39:\"astra_adv_header/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:38:\"index.php?&page_id=2&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\"[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:24:\"([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:22:\"[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}", "yes");
INSERT INTO `age_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `age_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `age_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `age_options` VALUES("33", "active_plugins", "a:8:{i:0;s:27:\"astra-addon/astra-addon.php\";i:1;s:27:\"astra-sites/astra-sites.php\";i:2;s:29:\"custom-fonts/custom-fonts.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:23:\"elementor/elementor.php\";i:5;s:51:\"header-footer-elementor/header-footer-elementor.php\";i:6;s:29:\"wp-parsidate/wp-parsidate.php\";i:7;s:24:\"wpforms-lite/wpforms.php\";}", "yes");
INSERT INTO `age_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `age_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `age_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `age_options` VALUES("37", "gmt_offset", "", "yes");
INSERT INTO `age_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `age_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `age_options` VALUES("40", "template", "astra", "yes");
INSERT INTO `age_options` VALUES("41", "stylesheet", "astra-child", "yes");
INSERT INTO `age_options` VALUES("42", "comment_whitelist", "1", "yes");
INSERT INTO `age_options` VALUES("43", "blacklist_keys", "", "no");
INSERT INTO `age_options` VALUES("44", "comment_registration", "0", "yes");
INSERT INTO `age_options` VALUES("45", "html_type", "text/html", "yes");
INSERT INTO `age_options` VALUES("46", "use_trackback", "0", "yes");
INSERT INTO `age_options` VALUES("47", "default_role", "subscriber", "yes");
INSERT INTO `age_options` VALUES("48", "db_version", "45805", "yes");
INSERT INTO `age_options` VALUES("49", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `age_options` VALUES("50", "upload_path", "", "yes");
INSERT INTO `age_options` VALUES("51", "blog_public", "0", "yes");
INSERT INTO `age_options` VALUES("52", "default_link_category", "2", "yes");
INSERT INTO `age_options` VALUES("53", "show_on_front", "page", "yes");
INSERT INTO `age_options` VALUES("54", "tag_base", "", "yes");
INSERT INTO `age_options` VALUES("55", "show_avatars", "1", "yes");
INSERT INTO `age_options` VALUES("56", "avatar_rating", "G", "yes");
INSERT INTO `age_options` VALUES("57", "upload_url_path", "", "yes");
INSERT INTO `age_options` VALUES("58", "thumbnail_size_w", "150", "yes");
INSERT INTO `age_options` VALUES("59", "thumbnail_size_h", "150", "yes");
INSERT INTO `age_options` VALUES("60", "thumbnail_crop", "1", "yes");
INSERT INTO `age_options` VALUES("61", "medium_size_w", "300", "yes");
INSERT INTO `age_options` VALUES("62", "medium_size_h", "300", "yes");
INSERT INTO `age_options` VALUES("63", "avatar_default", "mystery", "yes");
INSERT INTO `age_options` VALUES("64", "large_size_w", "1024", "yes");
INSERT INTO `age_options` VALUES("65", "large_size_h", "1024", "yes");
INSERT INTO `age_options` VALUES("66", "image_default_link_type", "none", "yes");
INSERT INTO `age_options` VALUES("67", "image_default_size", "", "yes");
INSERT INTO `age_options` VALUES("68", "image_default_align", "", "yes");
INSERT INTO `age_options` VALUES("69", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `age_options` VALUES("70", "close_comments_days_old", "14", "yes");
INSERT INTO `age_options` VALUES("71", "thread_comments", "1", "yes");
INSERT INTO `age_options` VALUES("72", "thread_comments_depth", "5", "yes");
INSERT INTO `age_options` VALUES("73", "page_comments", "0", "yes");
INSERT INTO `age_options` VALUES("74", "comments_per_page", "50", "yes");
INSERT INTO `age_options` VALUES("75", "default_comments_page", "newest", "yes");
INSERT INTO `age_options` VALUES("76", "comment_order", "asc", "yes");
INSERT INTO `age_options` VALUES("77", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("78", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("79", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("80", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("81", "uninstall_plugins", "a:1:{s:23:\"elementor/elementor.php\";a:2:{i:0;s:21:\"Elementor\\Maintenance\";i:1;s:9:\"uninstall\";}}", "no");
INSERT INTO `age_options` VALUES("82", "timezone_string", "Asia/Tehran", "yes");
INSERT INTO `age_options` VALUES("83", "page_for_posts", "0", "yes");
INSERT INTO `age_options` VALUES("84", "page_on_front", "2", "yes");
INSERT INTO `age_options` VALUES("85", "default_post_format", "0", "yes");
INSERT INTO `age_options` VALUES("86", "link_manager_enabled", "0", "yes");
INSERT INTO `age_options` VALUES("87", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `age_options` VALUES("88", "site_icon", "0", "yes");
INSERT INTO `age_options` VALUES("89", "medium_large_size_w", "768", "yes");
INSERT INTO `age_options` VALUES("90", "medium_large_size_h", "0", "yes");
INSERT INTO `age_options` VALUES("91", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `age_options` VALUES("92", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `age_options` VALUES("93", "admin_email_lifespan", "1597948723", "yes");
INSERT INTO `age_options` VALUES("94", "initial_db_version", "45805", "yes");
INSERT INTO `age_options` VALUES("95", "age_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `age_options` VALUES("96", "fresh_site", "0", "yes");
INSERT INTO `age_options` VALUES("97", "WPLANG", "fa_IR", "yes");
INSERT INTO `age_options` VALUES("98", "widget_search", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("99", "widget_recent-posts", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("100", "widget_recent-comments", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("101", "widget_archives", "a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("102", "widget_meta", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("103", "sidebars_widgets", "a:10:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:13:\"header-widget\";a:0:{}s:15:\"footer-widget-1\";a:0:{}s:15:\"footer-widget-2\";a:0:{}s:24:\"advanced-footer-widget-1\";a:0:{}s:24:\"advanced-footer-widget-2\";a:0:{}s:24:\"advanced-footer-widget-3\";a:0:{}s:24:\"advanced-footer-widget-4\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `age_options` VALUES("146", "current_theme", "Astra Child", "yes");
INSERT INTO `age_options` VALUES("147", "theme_mods_astra-child", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:4;}s:18:\"custom_css_post_id\";i:9;s:11:\"custom_logo\";i:1160;}", "yes");
INSERT INTO `age_options` VALUES("148", "theme_switched", "", "yes");
INSERT INTO `age_options` VALUES("149", "astra-settings", "a:299:{s:26:\"blog-single-post-structure\";a:2:{i:0;s:17:\"single-title-meta\";i:1;s:12:\"single-image\";}s:17:\"blog-single-width\";s:7:\"default\";s:21:\"blog-single-max-width\";i:1200;s:16:\"blog-single-meta\";a:2:{i:0;s:8:\"comments\";i:1;s:8:\"category\";}s:19:\"blog-post-structure\";a:2:{i:0;s:5:\"image\";i:1;s:10:\"title-meta\";}s:10:\"blog-width\";s:7:\"default\";s:14:\"blog-max-width\";i:1200;s:17:\"blog-post-content\";s:7:\"excerpt\";s:9:\"blog-meta\";a:2:{i:0;s:8:\"comments\";i:1;s:8:\"category\";}s:10:\"text-color\";s:7:\"#3a3a3a\";s:10:\"link-color\";s:7:\"#4064d7\";s:11:\"theme-color\";s:7:\"#4064d7\";s:12:\"link-h-color\";s:7:\"#3a3a3a\";s:13:\"footer-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";}s:12:\"footer-color\";s:0:\"\";s:17:\"footer-link-color\";s:0:\"\";s:19:\"footer-link-h-color\";s:0:\"\";s:17:\"footer-adv-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:21:\"footer-adv-text-color\";s:0:\"\";s:21:\"footer-adv-link-color\";s:0:\"\";s:23:\"footer-adv-link-h-color\";s:0:\"\";s:26:\"footer-adv-wgt-title-color\";s:0:\"\";s:12:\"button-color\";s:7:\"#ffffff\";s:14:\"button-h-color\";s:7:\"#ffffff\";s:15:\"button-bg-color\";s:7:\"#4064d7\";s:17:\"button-bg-h-color\";s:7:\"#3a3a3a\";s:20:\"theme-button-padding\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:2:\"15\";s:5:\"right\";s:2:\"40\";s:6:\"bottom\";s:2:\"15\";s:4:\"left\";s:2:\"40\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:13:\"button-radius\";s:2:\"50\";s:37:\"theme-button-border-group-border-size\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:17:\"footer-sml-layout\";s:19:\"footer-sml-layout-1\";s:20:\"footer-sml-section-1\";s:6:\"custom\";s:27:\"footer-sml-section-1-credit\";s:66:\"Copyright © [current_year] [site_title] | Powered by [site_title]\";s:20:\"footer-sml-section-2\";s:0:\"\";s:27:\"footer-sml-section-2-credit\";s:72:\"Copyright &copy; [current_year] [site_title] | Powered by [theme_author]\";s:27:\"footer-sml-dist-equal-align\";b:1;s:18:\"footer-sml-divider\";s:1:\"1\";s:24:\"footer-sml-divider-color\";s:7:\"#545454\";s:19:\"footer-layout-width\";s:7:\"content\";s:22:\"ast-header-retina-logo\";s:87:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/space-logo-free-img@2x.png\";s:21:\"ast-header-logo-width\";s:0:\"\";s:32:\"ast-header-responsive-logo-width\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:18:\"display-site-title\";b:0;s:20:\"display-site-tagline\";b:0;s:17:\"logo-title-inline\";i:0;s:19:\"disable-primary-nav\";b:0;s:14:\"header-layouts\";s:20:\"header-main-layout-1\";s:22:\"header-main-rt-section\";s:6:\"button\";s:27:\"header-display-outside-menu\";b:0;s:27:\"header-main-rt-section-html\";s:0:\"\";s:34:\"header-main-rt-section-button-text\";s:25:\"مشاوره رایگان\";s:34:\"header-main-rt-section-button-link\";s:1:\"#\";s:41:\"header-main-rt-section-button-link-option\";a:3:{s:3:\"url\";s:1:\"#\";s:7:\"new_tab\";s:0:\"\";s:8:\"link_rel\";s:0:\"\";}s:35:\"header-main-rt-section-button-style\";s:12:\"theme-button\";s:40:\"header-main-rt-section-button-text-color\";s:0:\"\";s:40:\"header-main-rt-section-button-back-color\";s:0:\"\";s:42:\"header-main-rt-section-button-text-h-color\";s:0:\"\";s:42:\"header-main-rt-section-button-back-h-color\";s:0:\"\";s:37:\"header-main-rt-section-button-padding\";a:3:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}}s:41:\"header-main-rt-section-button-border-size\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:15:\"header-main-sep\";s:1:\"0\";s:21:\"header-main-sep-color\";s:0:\"\";s:24:\"header-main-layout-width\";s:7:\"content\";s:22:\"primary-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:27:\"primary-submenu-item-border\";i:1;s:23:\"primary-submenu-b-color\";s:7:\"#eaeaea\";s:28:\"primary-submenu-item-b-color\";s:7:\"#eaeaea\";s:22:\"header-main-menu-label\";s:0:\"\";s:22:\"header-main-menu-align\";s:6:\"inline\";s:39:\"header-main-submenu-container-animation\";s:0:\"\";s:24:\"mobile-header-breakpoint\";s:3:\"378\";s:18:\"mobile-header-logo\";s:0:\"\";s:24:\"mobile-header-logo-width\";s:0:\"\";s:11:\"site-layout\";s:21:\"ast-full-width-layout\";s:18:\"site-content-width\";i:1200;s:26:\"site-layout-outside-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";}s:19:\"site-content-layout\";s:15:\"boxed-container\";s:26:\"single-page-content-layout\";s:7:\"default\";s:26:\"single-post-content-layout\";s:7:\"default\";s:27:\"archive-post-content-layout\";s:7:\"default\";s:16:\"body-font-family\";s:13:\"IRANSansFaNum\";s:17:\"body-font-variant\";s:0:\"\";s:16:\"body-font-weight\";s:3:\"400\";s:14:\"font-size-body\";a:6:{s:7:\"desktop\";s:2:\"14\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:16:\"body-line-height\";s:3:\"1.6\";s:18:\"para-margin-bottom\";s:0:\"\";s:19:\"body-text-transform\";s:0:\"\";s:20:\"headings-font-family\";s:18:\"IRANSansFaNum_Bold\";s:20:\"headings-font-weight\";s:3:\"400\";s:23:\"headings-text-transform\";s:0:\"\";s:20:\"headings-line-height\";s:3:\"1.4\";s:20:\"font-size-site-title\";a:6:{s:7:\"desktop\";i:35;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:22:\"font-size-site-tagline\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:21:\"font-size-entry-title\";a:6:{s:7:\"desktop\";i:30;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:31:\"font-size-archive-summary-title\";a:6:{s:7:\"desktop\";i:40;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:20:\"font-size-page-title\";a:6:{s:7:\"desktop\";s:2:\"30\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h1\";a:6:{s:7:\"desktop\";s:2:\"36\";s:6:\"tablet\";s:2:\"50\";s:6:\"mobile\";s:2:\"30\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h2\";a:6:{s:7:\"desktop\";s:2:\"30\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h3\";a:6:{s:7:\"desktop\";s:2:\"24\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h4\";a:6:{s:7:\"desktop\";i:20;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h5\";a:6:{s:7:\"desktop\";i:18;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h6\";a:6:{s:7:\"desktop\";s:2:\"16\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:19:\"site-sidebar-layout\";s:10:\"no-sidebar\";s:18:\"site-sidebar-width\";i:30;s:26:\"single-page-sidebar-layout\";s:7:\"default\";s:26:\"single-post-sidebar-layout\";s:7:\"default\";s:27:\"archive-post-sidebar-layout\";s:7:\"default\";s:10:\"footer-adv\";s:8:\"disabled\";s:23:\"footer-adv-border-width\";s:0:\"\";s:23:\"footer-adv-border-color\";s:7:\"#7a7a7a\";s:30:\"mobile-header-toggle-btn-style\";s:4:\"fill\";s:23:\"hide-custom-menu-mobile\";i:0;s:27:\"mobile-header-toggle-target\";s:4:\"icon\";s:23:\"transparent-header-logo\";s:0:\"\";s:30:\"transparent-header-retina-logo\";s:0:\"\";s:26:\"different-transparent-logo\";b:0;s:33:\"different-transparent-retina-logo\";b:0;s:29:\"transparent-header-logo-width\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:25:\"transparent-header-enable\";i:0;s:34:\"transparent-header-disable-archive\";i:1;s:45:\"transparent-header-disable-latest-posts-index\";i:1;s:29:\"transparent-header-on-devices\";s:4:\"both\";s:27:\"transparent-header-main-sep\";i:0;s:33:\"transparent-header-main-sep-color\";s:0:\"\";s:27:\"transparent-header-bg-color\";s:0:\"\";s:35:\"transparent-header-color-site-title\";s:0:\"\";s:37:\"transparent-header-color-h-site-title\";s:0:\"\";s:25:\"transparent-menu-bg-color\";s:0:\"\";s:22:\"transparent-menu-color\";s:0:\"\";s:24:\"transparent-menu-h-color\";s:0:\"\";s:28:\"transparent-submenu-bg-color\";s:0:\"\";s:25:\"transparent-submenu-color\";s:0:\"\";s:27:\"transparent-submenu-h-color\";s:0:\"\";s:38:\"transparent-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"transparent-header-color-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"transparent-header-color-h-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"transparent-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"transparent-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"transparent-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"transparent-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"transparent-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"transparent-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:49:\"transparent-content-section-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:49:\"transparent-content-section-link-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"transparent-content-section-link-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:22:\"breadcrumb-font-family\";s:7:\"inherit\";s:22:\"breadcrumb-font-weight\";s:7:\"inherit\";s:25:\"breadcrumb-text-transform\";s:0:\"\";s:32:\"breadcrumb-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"breadcrumb-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"breadcrumb-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:26:\"breadcrumb-separator-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:19:\"breadcrumb-bg-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:18:\"breadcrumb-spacing\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:8:\"h1-color\";s:0:\"\";s:8:\"h2-color\";s:0:\"\";s:8:\"h3-color\";s:0:\"\";s:8:\"h4-color\";s:0:\"\";s:8:\"h5-color\";s:0:\"\";s:8:\"h6-color\";s:0:\"\";s:14:\"font-family-h1\";s:18:\"IRANSansFaNum_Bold\";s:14:\"font-weight-h1\";s:3:\"400\";s:17:\"text-transform-h1\";s:0:\"\";s:14:\"line-height-h1\";s:3:\"1.2\";s:14:\"font-family-h2\";s:7:\"inherit\";s:14:\"font-weight-h2\";s:7:\"inherit\";s:17:\"text-transform-h2\";s:0:\"\";s:14:\"line-height-h2\";s:0:\"\";s:14:\"font-family-h3\";s:7:\"inherit\";s:14:\"font-weight-h3\";s:7:\"inherit\";s:17:\"text-transform-h3\";s:0:\"\";s:14:\"line-height-h3\";s:0:\"\";s:18:\"font-weight-button\";s:3:\"400\";s:18:\"font-family-button\";s:13:\"IRANSansFaNum\";s:16:\"font-size-button\";a:6:{s:7:\"desktop\";s:2:\"15\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:21:\"text-transform-button\";s:0:\"\";s:21:\"theme-btn-line-height\";s:1:\"1\";s:24:\"theme-btn-letter-spacing\";s:0:\"\";s:38:\"header-main-rt-section-search-box-type\";s:12:\"slide-search\";s:38:\"below-header-section-2-search-box-type\";s:12:\"slide-search\";s:38:\"below-header-section-1-search-box-type\";s:12:\"slide-search\";s:38:\"above-header-section-1-search-box-type\";s:12:\"slide-search\";s:38:\"above-header-section-2-search-box-type\";s:12:\"slide-search\";s:18:\"theme-auto-version\";s:5:\"2.3.0\";s:28:\"site-layout-outside-bg-color\";s:0:\"\";s:24:\"astra-addon-auto-version\";s:5:\"2.3.2\";s:26:\"woocommerce-content-layout\";s:7:\"default\";s:26:\"woocommerce-sidebar-layout\";s:7:\"default\";s:10:\"shop-grids\";a:3:{s:7:\"desktop\";i:3;s:6:\"tablet\";i:2;s:6:\"mobile\";i:1;}s:19:\"shop-no-of-products\";s:1:\"9\";s:23:\"above-header-merge-menu\";b:1;s:23:\"below-header-merge-menu\";b:1;s:13:\"header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:14:\"content-bg-obj\";a:1:{s:16:\"background-color\";s:7:\"#ffffff\";}s:19:\"above-header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:19:\"below-header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:24:\"header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:30:\"above-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:30:\"below-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:32:\"primary-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:29:\"primary-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-menu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:31:\"primary-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-menu-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:31:\"primary-menu-a-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"primary-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:32:\"primary-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"primary-submenu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"primary-submenu-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-submenu-a-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-link-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"above-header-link-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:26:\"above-header-menu-bg-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"above-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"above-header-menu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"above-header-menu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"above-header-menu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"above-header-submenu-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"above-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"above-header-submenu-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"above-header-submenu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"above-header-submenu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"above-header-submenu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"below-header-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"below-header-link-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"below-header-link-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"below-header-menu-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"below-header-menu-text-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"below-header-menu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"below-header-current-menu-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"below-header-current-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"below-header-submenu-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"below-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"below-header-submenu-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"below-header-submenu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"below-header-submenu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"below-header-submenu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:23:\"above-header-menu-align\";s:6:\"inline\";s:23:\"below-header-menu-align\";s:6:\"inline\";s:30:\"primary-menu-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:35:\"above-header-menu-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:36:\"mobile-above-header-toggle-btn-style\";s:4:\"fill\";s:36:\"mobile-below-header-toggle-btn-style\";s:4:\"fill\";s:41:\"sticky-header-color-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-header-color-site-tagline-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-header-color-h-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"sticky-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:19:\"rgba(255,255,255,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"sticky-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"sticky-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"sticky-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"sticky-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"sticky-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"sticky-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"sticky-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"sticky-below-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:16:\"rgba(65,64,66,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-below-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-below-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-below-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"sticky-below-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"sticky-below-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-below-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"sticky-below-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"sticky-below-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"sticky-above-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:19:\"rgba(255,255,255,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-above-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-above-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-above-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"sticky-above-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"sticky-above-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-above-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"sticky-above-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"sticky-above-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:28:\"different-sticky-retina-logo\";b:0;s:21:\"different-retina-logo\";b:1;s:30:\"include-headings-in-typography\";b:1;s:27:\"above-header-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:32:\"above-header-submenu-item-border\";i:1;s:27:\"below-header-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:32:\"below-header-submenu-item-border\";i:1;s:29:\"above-nav-menu-pointer-effect\";s:4:\"none\";s:29:\"below-nav-menu-pointer-effect\";s:4:\"none\";s:33:\"above-header-submenu-border-color\";s:7:\"#eaeaea\";s:40:\"below-header-submenu-container-animation\";s:0:\"\";s:40:\"above-header-submenu-container-animation\";s:0:\"\";s:20:\"submenu-below-header\";b:0;s:33:\"above-header-submenu-item-b-color\";s:7:\"#eaeaea\";s:28:\"wc-header-cart-header-colors\";b:0;s:26:\"shop-quick-view-stick-cart\";b:1;s:33:\"_astra_pb_compatibility_completed\";b:1;s:22:\"is_theme_queue_running\";b:0;s:25:\"submenu-open-below-header\";b:0;s:22:\"is_addon_queue_running\";b:1;s:18:\"heading-base-color\";s:7:\"#000000\";s:16:\"button-v-padding\";i:12;s:28:\"is_astra_addon_queue_running\";b:0;s:24:\"font-family-primary-menu\";s:18:\"IRANSansFaNum_Bold\";}", "yes");
INSERT INTO `age_options` VALUES("150", "_transient_timeout_astra-theme-first-rating", "1584988864", "no");
INSERT INTO `age_options` VALUES("104", "cron", "a:7:{i:1584816658;a:1:{s:26:\"action_scheduler_run_queue\";a:1:{s:32:\"0d04ed39571b55704c122d726248bbac\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:1:{i:0;s:7:\"WP Cron\";}s:8:\"interval\";i:60;}}}i:1584819524;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1584859124;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1584902324;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1584902344;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1584959400;a:1:{s:28:\"wpforms_email_summaries_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:30:\"wpforms_email_summaries_weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `age_options` VALUES("105", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("106", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("107", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("108", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("109", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("110", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("111", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("112", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("113", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("115", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("117", "theme_mods_twentytwenty", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1582396864;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";}s:9:\"sidebar-2\";a:3:{i:0;s:10:\"archives-2\";i:1;s:12:\"categories-2\";i:2;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `age_options` VALUES("537", "action_scheduler_lock_async-request-runner", "1584816688", "yes");
INSERT INTO `age_options` VALUES("521", "_site_transient_timeout_theme_roots", "1584817986", "no");
INSERT INTO `age_options` VALUES("522", "_site_transient_theme_roots", "a:3:{s:11:\"astra-child\";s:7:\"/themes\";s:5:\"astra\";s:7:\"/themes\";s:12:\"twentytwenty\";s:7:\"/themes\";}", "no");
INSERT INTO `age_options` VALUES("129", "can_compress_scripts", "0", "no");
INSERT INTO `age_options` VALUES("478", "_transient_timeout_wpforms_dash_widget_lite_entries_by_form", "1584835202", "no");
INSERT INTO `age_options` VALUES("479", "_transient_wpforms_dash_widget_lite_entries_by_form", "a:1:{i:7;a:3:{s:7:\"form_id\";i:7;s:5:\"count\";i:0;s:5:\"title\";s:12:\"Contact Form\";}}", "no");
INSERT INTO `age_options` VALUES("480", "_transient_timeout_feed_1a35a986d21ecac6e67e45f5050a2d43", "1584855152", "no");
INSERT INTO `age_options` VALUES("481", "_transient_feed_1a35a986d21ecac6e67e45f5050a2d43", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"وردپرس پارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"https://wp-parsi.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 13:06:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=5.3.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:51:\"\n		\n		\n				\n				\n		\n				\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Full Spectrum Cbd Oil – a Brief Overview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wp-parsi.com/full-spectrum-cbd-oil-a-brief-overview-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wp-parsi.com/full-spectrum-cbd-oil-a-brief-overview-4/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 12:10:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Uncategorized\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=706\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:630:\"<p>Full Spectrum Cbd Oil &#8211; a Brief Overview Non-addictive and non-intoxicating, CBD oil makes it possible for users to go through the multiple benefits without the negatives related to cannabis usage. Nonetheless, it is CBD oil, or so the focus isn&#8217;t on the THC content. A complete spectrum CBD oil would potentially have a little [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/full-spectrum-cbd-oil-a-brief-overview-4/\">Full Spectrum Cbd Oil &#8211; a Brief Overview</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"مبین قاسمپور\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wp-parsi.com/full-spectrum-cbd-oil-a-brief-overview-4/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n				\n		\n				\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"برگزاری پنجمین رویداد آینده وب و موبایل\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:228:\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Feb 2020 17:40:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=700\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:956:\"<p>روﯾﺪاد آﯾﻨﺪه وب و ﻣﻮﺑﺎﯾﻞ ﯾﮏ روﯾﺪاد ﺳﺎﻻﻧﻪ است که در روزهای ۸ و ۹ اسفند سال ۹۸، پنجمین دوره آن به مدت دو روز در مجموعه فرهنگی حجاب واقع در خیابان فاطمی تهران برگزار خواهد شد. این رویداد از دو بخش همایش و نمایشگاه تشکیل می‌شود که در دو روز پایانی هفته (پنج شنبه [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/\">برگزاری پنجمین رویداد آینده وب و موبایل</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:225:\"https://wp-parsi.com/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d8%b1%d9%88%db%8c%d8%af%d8%a7%d8%af-%d8%a2%db%8c%d9%86%d8%af%d9%87-%d9%88%d8%a8-%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n				\n		\n				\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"برگزاری دومین همایش فریلند\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://wp-parsi.com/freelanday/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/freelanday/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 22 Aug 2019 14:26:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=681\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:791:\"<p>دومین همایش فریلند با رویکرد آموزش اصول فریلنسینگ، ۲۸ و ۲۹ شهریور در منطقه آزاد انزلی برگزار می‌شود. در این همایش افراد علاقه‌مند یاد می‌گیرند چطور کار کردن به شیوه فریلنسینگ به عنوان یک کار تمام وقت و حرفه‌ای را شروع کنند، مشتریان خود را بیابند، خودشان را معرفی کنند و بدون استخدام شدن در [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/freelanday/\">برگزاری دومین همایش فریلند</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://wp-parsi.com/freelanday/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:60:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"افزونه تلگرام وردپرس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://wp-parsi.com/wp-telegram-pro/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wp-parsi.com/wp-telegram-pro/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Apr 2019 07:07:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:19:\"افزونه‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:15:\"WP Telegram Pro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:19:\"بات تلگرام\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:12:\"تلگرام\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=672\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:784:\"<p>وردپرس/WordPress سیستم مدیریت محتوای محبوبی است که اکنون ۳۳٪ از دنیای وب را به خود اختصاص داده و امکانات خوبی برای توسعه بیشتر به عنوان یک برنامه تحت وب را در اختیار کاربران قرار می‌دهد. شما می‌توانید با افزونه WP Telegram Pro امکان مرور نوشته‌ها، دسته‌ها، محصولات (ووکامرس / Woocommerce) و امکان خرید را به [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/wp-telegram-pro/\">افزونه تلگرام وردپرس</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"پارسا کافی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wp-parsi.com/wp-telegram-pro/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"24\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n				\n		\n				\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"آموزش پلاگین نویسی در وردپرس از صفر تا صد – قسمت دوم\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:222:\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:231:\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 19 Aug 2018 07:31:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:23:\"افزونه نویسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:33:\"مقالات و آموزش‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=584\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1090:\"<p>بخش دوم ایجاد صفحه در بخش مدیریت: برای افزودن صفحه به منوی ادمین وردپرس از هوک admin_menu استفاده میکنیم.هر منو دارای یک منوی اصلی وتعدادی زیر منو میباشد. برای ایجاد منوی اصلی از تابع add_menu_page استفاده میشود.توجه داشته باشید منوها به صورت پیشفرض در انتهای لیست منوهای بخش مدیریت وردپرس قرار خواهد گرفت. [crayon-5e764fb1071aa695106502/] page_title:عنوان [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/\">آموزش پلاگین نویسی در وردپرس از صفر تا صد &#8211; قسمت دوم</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"مبین قاسمپور\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:227:\"https://wp-parsi.com/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d8%af%d8%b1-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a7%d8%b2-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n				\n		\n				\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"برگزاری چهارمین همایش Coder Conf\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://wp-parsi.com/coder-conf/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/coder-conf/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jul 2018 15:00:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=659\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:832:\"<p>کدرکانف هر سال در آخرین پنجشنبه مرداد با بورد‌های مختلفی برگزار می‌گردد،امسال نیز کدرکانف در همین تاریخ با حضور برنامه نویسان مطرح کشور در بورد تخصصی جاوااسکریپت برگزار خواهد شد، یک گردهمایی متفاوت با طعم Javascript. Coderconf هر سال نسبت به سال‌های گذشته با حضور برنامه‌نویسان پر رنگتر می‌شود. ما سعی کردیم هر ساله به [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/coder-conf/\">برگزاری چهارمین همایش Coder Conf</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://wp-parsi.com/coder-conf/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:75:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n		\n		\n		\n		\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"پوشش زنده وردکمپ ۲۰۱۸ اروپا – صربستان\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://wp-parsi.com/wceu-2018-live/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://wp-parsi.com/wceu-2018-live/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Jun 2018 22:52:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:9:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"irwprdcamp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"wordcamp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:13:\"wordcamp 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:27:\"برگزاری وردکمپ\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:12:\"وردکمپ\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:7;a:5:{s:4:\"data\";s:23:\"وردکمپ ایران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:8;a:5:{s:4:\"data\";s:21:\"وردکمپ چیست\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=619\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:819:\"<p>اگر کاربر وردپرس هستید حتما تا به حال اسم وردکمپ رو شنیدید، کمپ و دورهمی بزرگ توسعه‌دهنده‌ها و کاربران وردپرس که سالانه در کشورهای مختلف برگزار میشه تحت عنوان وردکمپ هستش که از سمت مراجع اصلی وردپرس حمایت و برگزار می‌شه. &#160; &#160; این‌ بار در سال ۲۰۱۸ وردکمپ اروپا در شهر بلگراد کشور صربستان [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/wceu-2018-live/\">پوشش زنده وردکمپ ۲۰۱۸ اروپا &#8211; صربستان</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"سعید فرد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wp-parsi.com/wceu-2018-live/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n				\n		\n				\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"پوشش زنده وردکمپ ۲۰۱۸ اروپا\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://wp-parsi.com/wceu-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wp-parsi.com/wceu-2018/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 11 Jun 2018 18:45:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:30:\"خبرها و رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=589\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:434:\"<p>پوشش زنده وردکمپ 2018 اروپا، پوشش زنده و لحظه ای از برگزاری وردکمپ 2018 اروپا برای همه علاقمندان وردپرس</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/wceu-2018/\">پوشش زنده وردکمپ ۲۰۱۸ اروپا</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"مصطفی صوفی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://wp-parsi.com/wceu-2018/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:63:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"لذت Deploy وردپرس با Bedrock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wp-parsi.com/deploy-wordpress-with-bedrock/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wp-parsi.com/deploy-wordpress-with-bedrock/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 May 2018 11:09:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:33:\"مقالات و آموزش‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"Bedrock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Composer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:6:\"Deploy\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:3:\"Git\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=578\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:743:\"<p>Bedrock یکی از بهترین محصولات تیم Roots هست، با استفاده از این پلتفورم میتونید به راحتی یه دستی به ساختار ساده وردپرس بکشید و اون رو از حالت سنتی به یک ساختار مدرن تبدیل کنید. Bedrock از گیت و Composer پشتیبانی میکنه و دسترسی های نصب افزونه و ویرایش فایل رو از وردپرس میگیره و [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/deploy-wordpress-with-bedrock/\">لذت Deploy وردپرس با Bedrock</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"مصطفی صوفی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wp-parsi.com/deploy-wordpress-with-bedrock/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n				\n		\n				\n		\n\n		\n				\n						\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"آموزش پلاگین نویسی در وردپرس از صفر تا صد – قسمت اول\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:157:\"https://wp-parsi.com/%d8%a7%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:166:\"https://wp-parsi.com/%d8%a7%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Feb 2018 09:25:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:23:\"افزونه نویسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:33:\"مقالات و آموزش‌ها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"https://wp-parsi.com/?p=558\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1025:\"<p>پلاگین چیست؟ قطعه کدهای کوچک یا بزرگی میباشد که در برنامه اصلی نصب میشوند و قابلیت یا قابلیتهایی را به آن اضافه میکنند. از مهمترین عوامل معروفیت و کاربرد وردپرس داشتن پلاگینهای متعدد و کاربردی میباشد.علت تعدد پلاگینها در وردپرس نسبت به سایر سیستمهای مدیریت محتوی سادگی فرایند نوشتن پلاگین در وردپرس میباشد.وقتی شما پلاگینی [&#8230;]</p>\n<p>نوشته <a rel=\"nofollow\" href=\"https://wp-parsi.com/%d8%a7%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/\">آموزش پلاگین نویسی در وردپرس از صفر تا صد &#8211; قسمت اول</a> اولین بار در <a rel=\"nofollow\" href=\"https://wp-parsi.com\">وردپرس پارسی</a> پدیدار شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"مبین قاسمپور\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:162:\"https://wp-parsi.com/%d8%a7%d9%85%d9%88%d8%b2%d8%b4-%d9%be%d9%84%d8%a7%da%af%db%8c%d9%86-%d9%86%d9%88%db%8c%d8%b3%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"12\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:26:\"https://wp-parsi.com/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:4:\"date\";s:29:\"Sat, 21 Mar 2020 17:32:32 GMT\";s:6:\"server\";s:6:\"Apache\";s:4:\"link\";s:57:\"<https://wp-parsi.com/wp-json/>; rel=\"https://api.w.org/\"\";s:13:\"last-modified\";s:29:\"Mon, 09 Mar 2020 13:06:49 GMT\";s:4:\"etag\";s:39:\"\"2fc00ec186c94212d3dec9d6bded4b74-gzip\"\";s:13:\"cache-control\";s:14:\"max-age=172800\";s:7:\"expires\";s:29:\"Mon, 23 Mar 2020 17:32:32 GMT\";s:4:\"vary\";s:26:\"Accept-Encoding,User-Agent\";s:16:\"content-encoding\";s:4:\"gzip\";s:14:\"content-length\";s:4:\"3847\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";}}s:5:\"build\";s:14:\"20130911040210\";}", "no");
INSERT INTO `age_options` VALUES("482", "_transient_timeout_feed_mod_1a35a986d21ecac6e67e45f5050a2d43", "1584855152", "no");
INSERT INTO `age_options` VALUES("483", "_transient_feed_mod_1a35a986d21ecac6e67e45f5050a2d43", "1584811952", "no");
INSERT INTO `age_options` VALUES("484", "_site_transient_timeout_community-events-09980cf86a248d1c0bb8ab06b9c21688", "1584855152", "no");
INSERT INTO `age_options` VALUES("485", "_site_transient_community-events-09980cf86a248d1c0bb8ab06b9c21688", "a:3:{s:9:\"sandboxed\";b:0;s:8:\"location\";a:1:{s:2:\"ip\";s:10:\"5.123.16.0\";}s:6:\"events\";a:0:{}}", "no");
INSERT INTO `age_options` VALUES("486", "_transient_timeout_header-footer-elementor-rating", "1587403955", "no");
INSERT INTO `age_options` VALUES("487", "_transient_header-footer-elementor-rating", "1", "no");
INSERT INTO `age_options` VALUES("488", "_transient_timeout_feed_9bb54f090b06ea0b52a1a293dcf1b99e", "1584855157", "no");
INSERT INTO `age_options` VALUES("489", "_transient_feed_9bb54f090b06ea0b52a1a293dcf1b99e", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"سیاره وردپرس ایران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"http://wp-planet.ir\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 Mar 2020 08:30:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=5.2.5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"برای فروشگاه اینترنتی چه هاستی مناسب است؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d8%a8%d8%b1%d8%a7%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa%d8%b1%d9%86%d8%aa%db%8c-%da%86%d9%87-%d9%87%d8%a7%d8%b3%d8%aa%db%8c-%d9%85%d9%86%d8%a7%d8%b3%d8%a8-%d8%a7/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 Mar 2020 08:30:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d8%a8%d8%b1%d8%a7%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa%d8%b1%d9%86%d8%aa%db%8c-%da%86%d9%87-%d9%87%d8%a7%d8%b3%d8%aa%db%8c-%d9%85%d9%86%d8%a7%d8%b3%d8%a8-%d8%a7/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1563:\"&#1583;&#1585; &#1580;&#1604;&#1587;&#1607; &#1602;&#1576;&#1604;&#1740; &#1583;&#1585; &#1582;&#1589;&#1608;&#1589; &#1662;&#1740;&#1588; &#1606;&#1740;&#1575;&#1586;&#1607;&#1575;&#1740; &#1604;&#1575;&#1586;&#1605; &#1580;&#1607;&#1578; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1585;&#1575; &#1576;&#1575; &#1607;&#1605; &#1605;&#1608;&#1585;&#1583; &#1576;&#1581;&#1579; &#1608; &#1576;&#1585;&#1585;&#1587;&#1740; &#1602;&#1585;&#1575;&#1585; &#1583;&#1575;&#1583;&#1740;&#1605; &#1705;&#1607; &#1740;&#1705;&#1740; &#1575;&#1586; &#1711;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575;&#1740; &#1570;&#1606; &#1575;&#1606;&#1578;&#1582;&#1575;&#1576; &#1740;&#1705; &#1607;&#1575;&#1587;&#1578; &#1605;&#1606;&#1575;&#1587;&#1576; &#1576;&#1585;&#1575;&#1740; &#1578;&#1575;&#1587;&#1740;&#1587; &#1608;&#1576;&#1587;&#1575;&#1740;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607;&#1740; &#1576;&#1608;&#1583;. &#1575;&#1605;&#1575; &#1608;&#1740;&#1688;&#1711;&#1740; &#1607;&#1575;&#1587;&#1578; &#1582;&#1608;&#1576; &#1670;&#1740;&#1587;&#1578;&#1567; &#1583;&#1585; &#1575;&#1740;&#1606; &#1580;&#1604;&#1587;&#1607; &#1575;&#1586; &#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606; &#1601;&#1575; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1583;&#1585; &#1582;&#1589;&#1608;&#1589; &#1607;&#1575;&#1587;&#1578; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2357:\"<p>&#1583;&#1585; &#1580;&#1604;&#1587;&#1607; &#1602;&#1576;&#1604;&#1740; &#1583;&#1585; &#1582;&#1589;&#1608;&#1589; &#1662;&#1740;&#1588; &#1606;&#1740;&#1575;&#1586;&#1607;&#1575;&#1740; &#1604;&#1575;&#1586;&#1605; &#1580;&#1607;&#1578; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1585;&#1575; &#1576;&#1575; &#1607;&#1605; &#1605;&#1608;&#1585;&#1583; &#1576;&#1581;&#1579; &#1608; &#1576;&#1585;&#1585;&#1587;&#1740; &#1602;&#1585;&#1575;&#1585; &#1583;&#1575;&#1583;&#1740;&#1605; &#1705;&#1607; &#1740;&#1705;&#1740; &#1575;&#1586; &#1711;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575;&#1740; &#1570;&#1606; &#1575;&#1606;&#1578;&#1582;&#1575;&#1576; &#1740;&#1705; &#1607;&#1575;&#1587;&#1578; &#1605;&#1606;&#1575;&#1587;&#1576; &#1576;&#1585;&#1575;&#1740; &#1578;&#1575;&#1587;&#1740;&#1587; &#1608;&#1576;&#1587;&#1575;&#1740;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607;&#1740; &#1576;&#1608;&#1583;. &#1575;&#1605;&#1575; &#1608;&#1740;&#1688;&#1711;&#1740; &#1607;&#1575;&#1587;&#1578; &#1582;&#1608;&#1576; &#1670;&#1740;&#1587;&#1578;&#1567; &#1583;&#1585; &#1575;&#1740;&#1606; &#1580;&#1604;&#1587;&#1607; &#1575;&#1586; &#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606; &#1601;&#1575; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1583;&#1585; &#1582;&#1589;&#1608;&#1589; &#1607;&#1575;&#1587;&#1578; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/basic-features-every-good-web-host-should-offer/\" data-wpel-link=\"internal\">&#1576;&#1585;&#1575;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1607; &#1607;&#1575;&#1587;&#1578;&#1740; &#1605;&#1606;&#1575;&#1587;&#1576; &#1575;&#1587;&#1578;&#1567;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"راه های پیشرفت سریع فروشگاه اینترنتی چیست؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d8%b1%d8%a7%d9%87-%d9%87%d8%a7%db%8c-%d9%be%db%8c%d8%b4%d8%b1%d9%81%d8%aa-%d8%b3%d8%b1%db%8c%d8%b9-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa%d8%b1%d9%86%d8%aa%db%8c-%da%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Mar 2020 06:28:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d8%b1%d8%a7%d9%87-%d9%87%d8%a7%db%8c-%d9%be%db%8c%d8%b4%d8%b1%d9%81%d8%aa-%d8%b3%d8%b1%db%8c%d8%b9-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa%d8%b1%d9%86%d8%aa%db%8c-%da%86/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1563:\"&#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1589;&#1601;&#1585; &#1578;&#1575; &#1589;&#1583; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1576;&#1607; &#1576;&#1585;&#1585;&#1587;&#1740; &#1740;&#1705; &#1605;&#1608;&#1590;&#1608;&#1593; &#1605;&#1607;&#1605; &#1576;&#1662;&#1585;&#1583;&#1575;&#1586;&#1740;&#1605;. &#1575;&#1740;&#1606;&#1705;&#1607; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1578;&#1575; &#1670;&#1607; &#1581;&#1583; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606;&#1583; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1705;&#1606;&#1583; &#1608; &#1576;&#1575;&#1593;&#1579; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1705;&#1587;&#1576; &#1608; &#1705;&#1575;&#1585; &#1605;&#1575; &#1588;&#1608;&#1583;&#1567; &#1583;&#1585; &#1608;&#1575;&#1602;&#1593; &#1602;&#1589;&#1583; &#1583;&#1575;&#1585;&#1740;&#1605; &#1576;&#1607; &#1588;&#1605;&#1575; &#1576;&#1711;&#1608;&#1740;&#1740;&#1605; &#1705;&#1607; &#1585;&#1575;&#1607; &#1607;&#1575;&#1740; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1740;&#1587;&#1578; &#1608; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2342:\"<p>&#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1589;&#1601;&#1585; &#1578;&#1575; &#1589;&#1583; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1576;&#1607; &#1576;&#1585;&#1585;&#1587;&#1740; &#1740;&#1705; &#1605;&#1608;&#1590;&#1608;&#1593; &#1605;&#1607;&#1605; &#1576;&#1662;&#1585;&#1583;&#1575;&#1586;&#1740;&#1605;. &#1575;&#1740;&#1606;&#1705;&#1607; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1578;&#1575; &#1670;&#1607; &#1581;&#1583; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606;&#1583; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1705;&#1606;&#1583; &#1608; &#1576;&#1575;&#1593;&#1579; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1705;&#1587;&#1576; &#1608; &#1705;&#1575;&#1585; &#1605;&#1575; &#1588;&#1608;&#1583;&#1567; &#1583;&#1585; &#1608;&#1575;&#1602;&#1593; &#1602;&#1589;&#1583; &#1583;&#1575;&#1585;&#1740;&#1605; &#1576;&#1607; &#1588;&#1605;&#1575; &#1576;&#1711;&#1608;&#1740;&#1740;&#1605; &#1705;&#1607; &#1585;&#1575;&#1607; &#1607;&#1575;&#1740; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1740;&#1587;&#1578; &#1608; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/ways-to-grow-online-store/\" data-wpel-link=\"internal\">&#1585;&#1575;&#1607; &#1607;&#1575;&#1740; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578; &#1587;&#1585;&#1740;&#1593; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1740;&#1587;&#1578;&#1567;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"پیش نیازهای لازم برای راه اندازی فروشگاه اینترنتی چیست؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d9%be%db%8c%d8%b4-%d9%86%db%8c%d8%a7%d8%b2%d9%87%d8%a7%db%8c-%d9%84%d8%a7%d8%b2%d9%85-%d8%a8%d8%b1%d8%a7%db%8c-%d8%b1%d8%a7%d9%87-%d8%a7%d9%86%d8%af%d8%a7%d8%b2%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Mar 2020 03:54:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d9%be%db%8c%d8%b4-%d9%86%db%8c%d8%a7%d8%b2%d9%87%d8%a7%db%8c-%d9%84%d8%a7%d8%b2%d9%85-%d8%a8%d8%b1%d8%a7%db%8c-%d8%b1%d8%a7%d9%87-%d8%a7%d9%86%d8%af%d8%a7%d8%b2%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1716:\"&#1705;&#1575;&#1585;&#1576;&#1585;&#1575;&#1606; &#1575;&#1594;&#1604;&#1576; &#1587;&#1608;&#1575;&#1604; &#1605;&#1740; &#1705;&#1606;&#1606;&#1583; &#1705;&#1607; &#1576;&#1585;&#1575;&#1740; &#1588;&#1585;&#1608;&#1593; &#1705;&#1575;&#1585; &#1608; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1608;&#1576;&#1587;&#1575;&#1740;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607;&#1740; &#1576;&#1607; &#1670;&#1607; &#1605;&#1608;&#1575;&#1585;&#1583;&#1740; &#1606;&#1740;&#1575;&#1586; &#1582;&#1608;&#1575;&#1607;&#1740;&#1605; &#1583;&#1575;&#1588;&#1578; &#1608; &#1705;&#1604;&#1575; &#1607;&#1586;&#1740;&#1606;&#1607; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1576;&#1607; &#1591;&#1608;&#1585; &#1578;&#1602;&#1585;&#1740;&#1576;&#1740; &#1670;&#1607; &#1605;&#1740;&#1586;&#1575;&#1606; &#1582;&#1608;&#1575;&#1607;&#1583; &#1576;&#1608;&#1583;&#1567; &#1576;&#1585;&#1575;&#1740; &#1662;&#1575;&#1587;&#1582; &#1576;&#1607; &#1576;&#1585;&#1575;&#1608;&#1585;&#1583; &#1607;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1570;&#1606;&#1604;&#1575;&#1740;&#1606; &#1575;&#1576;&#1578;&#1583;&#1575; &#1605;&#1740; &#1576;&#1575;&#1740;&#1587;&#1578; &#1662;&#1740;&#1588; &#1606;&#1740;&#1575;&#1586;&#1607;&#1575;&#1740; &#1604;&#1575;&#1586;&#1605; &#1576;&#1585;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1587;&#1575;&#1740;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607;&#1740; &#1585;&#1575; &#1576;&#1585;&#1585;&#1587; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2579:\"<p>&#1705;&#1575;&#1585;&#1576;&#1585;&#1575;&#1606; &#1575;&#1594;&#1604;&#1576; &#1587;&#1608;&#1575;&#1604; &#1605;&#1740; &#1705;&#1606;&#1606;&#1583; &#1705;&#1607; &#1576;&#1585;&#1575;&#1740; &#1588;&#1585;&#1608;&#1593; &#1705;&#1575;&#1585; &#1608; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1608;&#1576;&#1587;&#1575;&#1740;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607;&#1740; &#1576;&#1607; &#1670;&#1607; &#1605;&#1608;&#1575;&#1585;&#1583;&#1740; &#1606;&#1740;&#1575;&#1586; &#1582;&#1608;&#1575;&#1607;&#1740;&#1605; &#1583;&#1575;&#1588;&#1578; &#1608; &#1705;&#1604;&#1575; &#1607;&#1586;&#1740;&#1606;&#1607; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1576;&#1607; &#1591;&#1608;&#1585; &#1578;&#1602;&#1585;&#1740;&#1576;&#1740; &#1670;&#1607; &#1605;&#1740;&#1586;&#1575;&#1606; &#1582;&#1608;&#1575;&#1607;&#1583; &#1576;&#1608;&#1583;&#1567; &#1576;&#1585;&#1575;&#1740; &#1662;&#1575;&#1587;&#1582; &#1576;&#1607; &#1576;&#1585;&#1575;&#1608;&#1585;&#1583; &#1607;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1570;&#1606;&#1604;&#1575;&#1740;&#1606; &#1575;&#1576;&#1578;&#1583;&#1575; &#1605;&#1740; &#1576;&#1575;&#1740;&#1587;&#1578; &#1662;&#1740;&#1588; &#1606;&#1740;&#1575;&#1586;&#1607;&#1575;&#1740; &#1604;&#1575;&#1586;&#1605; &#1576;&#1585;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1587;&#1575;&#1740;&#1578; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607;&#1740; &#1585;&#1575; &#1576;&#1585;&#1585;&#1587; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/ecommerce-website-requirements/\" data-wpel-link=\"internal\">&#1662;&#1740;&#1588; &#1606;&#1740;&#1575;&#1586;&#1607;&#1575;&#1740; &#1604;&#1575;&#1586;&#1605; &#1576;&#1585;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1740;&#1587;&#1578;&#1567;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"چرا باید یک فروشگاه اینترنتی داشته باشیم؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%da%86%d8%b1%d8%a7-%d8%a8%d8%a7%db%8c%d8%af-%db%8c%da%a9-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa%d8%b1%d9%86%d8%aa%db%8c-%d8%af%d8%a7%d8%b4%d8%aa%d9%87-%d8%a8%d8%a7%d8%b4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Mar 2020 03:05:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%da%86%d8%b1%d8%a7-%d8%a8%d8%a7%db%8c%d8%af-%db%8c%da%a9-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa%d8%b1%d9%86%d8%aa%db%8c-%d8%af%d8%a7%d8%b4%d8%aa%d9%87-%d8%a8%d8%a7%d8%b4/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1612:\"&#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1589;&#1601;&#1585; &#1578;&#1575; &#1589;&#1583; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1576;&#1607; &#1740;&#1705; &#1587;&#1608;&#1575;&#1604; &#1576;&#1587;&#1740;&#1575;&#1585; &#1605;&#1607;&#1605; &#1662;&#1575;&#1587;&#1582; &#1583;&#1607;&#1740;&#1605;. &#1670;&#1585;&#1575; &#1576;&#1575;&#1740;&#1583; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1740;&#1605;&#1567; &#1575;&#1711;&#1585; &#1662;&#1575;&#1587;&#1582; &#1583;&#1585;&#1587;&#1578;&#1740; &#1576;&#1607; &#1575;&#1740;&#1606; &#1587;&#1608;&#1575;&#1604; &#1576;&#1587;&#1740;&#1575;&#1585; &#1605;&#1607;&#1605; &#1662;&#1740;&#1583;&#1575; &#1705;&#1606;&#1740;&#1583; &#1608; &#1605;&#1586;&#1575;&#1740;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1585;&#1575; &#1576;&#1607; &#1582;&#1608;&#1576;&#1740; &#1605;&#1578;&#1608;&#1580;&#1607; &#1588;&#1608;&#1740;&#1583;&#1548; &#1576;&#1607; &#1585;&#1575;&#1581;&#1578;&#1740; &#1591;&#1585;&#1581; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2383:\"<p>&#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1589;&#1601;&#1585; &#1578;&#1575; &#1589;&#1583; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1576;&#1607; &#1740;&#1705; &#1587;&#1608;&#1575;&#1604; &#1576;&#1587;&#1740;&#1575;&#1585; &#1605;&#1607;&#1605; &#1662;&#1575;&#1587;&#1582; &#1583;&#1607;&#1740;&#1605;. &#1670;&#1585;&#1575; &#1576;&#1575;&#1740;&#1583; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1740;&#1605;&#1567; &#1575;&#1711;&#1585; &#1662;&#1575;&#1587;&#1582; &#1583;&#1585;&#1587;&#1578;&#1740; &#1576;&#1607; &#1575;&#1740;&#1606; &#1587;&#1608;&#1575;&#1604; &#1576;&#1587;&#1740;&#1575;&#1585; &#1605;&#1607;&#1605; &#1662;&#1740;&#1583;&#1575; &#1705;&#1606;&#1740;&#1583; &#1608; &#1605;&#1586;&#1575;&#1740;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1585;&#1575; &#1576;&#1607; &#1582;&#1608;&#1576;&#1740; &#1605;&#1578;&#1608;&#1580;&#1607; &#1588;&#1608;&#1740;&#1583;&#1548; &#1576;&#1607; &#1585;&#1575;&#1581;&#1578;&#1740; &#1591;&#1585;&#1581; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/why-we-need-an-ecommerce/\" data-wpel-link=\"internal\">&#1670;&#1585;&#1575; &#1576;&#1575;&#1740;&#1583; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1740;&#1605;&#1567;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"معرفی دوره آموزشی رایگان راه اندازی کسب و کار اینترنتی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d8%af%d9%88%d8%b1%d9%87-%d8%a2%d9%85%d9%88%d8%b2%d8%b4%db%8c-%d8%b1%d8%a7%db%8c%da%af%d8%a7%d9%86-%d8%b1%d8%a7%d9%87-%d8%a7%d9%86%d8%af%d8%a7%d8%b2%db%8c-%da%a9%d8%b3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Mar 2020 04:46:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d8%af%d9%88%d8%b1%d9%87-%d8%a2%d9%85%d9%88%d8%b2%d8%b4%db%8c-%d8%b1%d8%a7%db%8c%da%af%d8%a7%d9%86-%d8%b1%d8%a7%d9%87-%d8%a7%d9%86%d8%af%d8%a7%d8%b2%db%8c-%da%a9%d8%b3/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1641:\"&#1576;&#1607; &#1583;&#1608;&#1585;&#1607; &#1570;&#1605;&#1608;&#1586;&#1588;&#1740; &#1602;&#1583;&#1605; &#1576;&#1607; &#1602;&#1583;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1582;&#1608;&#1588; &#1570;&#1605;&#1583;&#1740;&#1583;. &#1575;&#1740;&#1606; &#1583;&#1608;&#1585;&#1607; &#1585;&#1575;&#1740;&#1711;&#1575;&#1606; &#1607;&#1587;&#1578; &#1608; &#1583;&#1585; &#1570;&#1606; &#1740;&#1575;&#1583; &#1605;&#1740; &#1711;&#1740;&#1585;&#1740;&#1605; &#1705;&#1607; &#1670;&#1591;&#1608;&#1585; &#1576;&#1583;&#1608;&#1606; &#1705;&#1583; &#1606;&#1608;&#1740;&#1587;&#1740; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1705;&#1575;&#1605;&#1604;&#1575; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578;&#1607; &#1608; &#1605;&#1606;&#1593;&#1591;&#1601; &#1576;&#1575; &#1575;&#1605;&#1705;&#1575;&#1606;&#1575;&#1578; &#1576;&#1575;&#1604;&#1575; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1740;&#1605;. &#1670;&#1591;&#1608;&#1585; &#1576;&#1575; &#1575;&#1576;&#1586;&#1575;&#1585;&#1607;&#1575;&#1740;&#1740; &#1705;&#1607; &#1583;&#1585; &#1583;&#1587;&#1578;&#1585;&#1587; &#1583;&#1575;&#1585;&#1740;&#1605; &#1607;&#1585; &#1576;&#1582;&#1588;&#1740; &#1575;&#1586; &#1608;&#1576;&#1587;&#1575;&#1740;&#1578;&#1605;&#1575;&#1606; &#1585;&#1575; &#1576;&#1607; &#1587;&#1575;&#1583;&#1711;&#1740; &#1591;&#1585;&#1575;&#1581;&#1740;&#1548; &#1608;&#1740;&#1585;&#1575;&#1740;&#1588; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2492:\"<p>&#1576;&#1607; &#1583;&#1608;&#1585;&#1607; &#1570;&#1605;&#1608;&#1586;&#1588;&#1740; &#1602;&#1583;&#1605; &#1576;&#1607; &#1602;&#1583;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1582;&#1608;&#1588; &#1570;&#1605;&#1583;&#1740;&#1583;. &#1575;&#1740;&#1606; &#1583;&#1608;&#1585;&#1607; &#1585;&#1575;&#1740;&#1711;&#1575;&#1606; &#1607;&#1587;&#1578; &#1608; &#1583;&#1585; &#1570;&#1606; &#1740;&#1575;&#1583; &#1605;&#1740; &#1711;&#1740;&#1585;&#1740;&#1605; &#1705;&#1607; &#1670;&#1591;&#1608;&#1585; &#1576;&#1583;&#1608;&#1606; &#1705;&#1583; &#1606;&#1608;&#1740;&#1587;&#1740; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1705;&#1575;&#1605;&#1604;&#1575; &#1662;&#1740;&#1588;&#1585;&#1601;&#1578;&#1607; &#1608; &#1605;&#1606;&#1593;&#1591;&#1601; &#1576;&#1575; &#1575;&#1605;&#1705;&#1575;&#1606;&#1575;&#1578; &#1576;&#1575;&#1604;&#1575; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1740;&#1605;. &#1670;&#1591;&#1608;&#1585; &#1576;&#1575; &#1575;&#1576;&#1586;&#1575;&#1585;&#1607;&#1575;&#1740;&#1740; &#1705;&#1607; &#1583;&#1585; &#1583;&#1587;&#1578;&#1585;&#1587; &#1583;&#1575;&#1585;&#1740;&#1605; &#1607;&#1585; &#1576;&#1582;&#1588;&#1740; &#1575;&#1586; &#1608;&#1576;&#1587;&#1575;&#1740;&#1578;&#1605;&#1575;&#1606; &#1585;&#1575; &#1576;&#1607; &#1587;&#1575;&#1583;&#1711;&#1740; &#1591;&#1585;&#1575;&#1581;&#1740;&#1548; &#1608;&#1740;&#1585;&#1575;&#1740;&#1588; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/online-business-training-course/\" data-wpel-link=\"internal\">&#1605;&#1593;&#1585;&#1601;&#1740; &#1583;&#1608;&#1585;&#1607; &#1570;&#1605;&#1608;&#1586;&#1588;&#1740; &#1585;&#1575;&#1740;&#1711;&#1575;&#1606; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1705;&#1587;&#1576; &#1608; &#1705;&#1575;&#1585; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"آموزش صفر تا صد راه اندازی فروشگاه اینترنتی به صورت ویدیوئی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"http://wp-planet.ir/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5%d8%af-%d8%b1%d8%a7%d9%87-%d8%a7%d9%86%d8%af%d8%a7%d8%b2%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Mar 2020 05:38:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"http://wp-planet.ir/%d8%a2%d9%85%d9%88%d8%b2%d8%b4-%d8%b5%d9%81%d8%b1-%d8%aa%d8%a7-%d8%b5%d8%af-%d8%b1%d8%a7%d9%87-%d8%a7%d9%86%d8%af%d8%a7%d8%b2%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87-%d8%a7%db%8c%d9%86%d8%aa/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1529:\"&#1608;&#1580;&#1608;&#1583; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1593;&#1604;&#1575;&#1608;&#1607; &#1576;&#1585; &#1705;&#1575;&#1607;&#1588; &#1607;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606;&#1583; &#1740;&#1705; &#1585;&#1608;&#1588; &#1605;&#1591;&#1605;&#1574;&#1606; &#1608; &#1575;&#1740;&#1583;&#1607; &#1570;&#1604; &#1576;&#1585;&#1575;&#1740; &#1601;&#1585;&#1608;&#1588; &#1608; &#1705;&#1587;&#1576; &#1583;&#1585;&#1570;&#1605;&#1583; &#1576;&#1607; &#1589;&#1608;&#1585;&#1578; 24 &#1587;&#1575;&#1593;&#1578;&#1607; &#1608; &#1576;&#1583;&#1608;&#1606; &#1602;&#1591;&#1593;&#1740; &#1576;&#1575;&#1588;&#1583; &#1575;&#1605;&#1575; &#1587;&#1608;&#1575;&#1604;&#1740; &#1705;&#1607; &#1576;&#1585;&#1575;&#1740; &#1575;&#1594;&#1604;&#1576; &#1705;&#1575;&#1585;&#1576;&#1585;&#1575;&#1606; &#1605;&#1591;&#1585;&#1581; &#1588;&#1583;&#1607; &#1575;&#1740;&#1606; &#1575;&#1587;&#1578; &#1705;&#1607; &#1587;&#1585;&#1605;&#1575;&#1740;&#1607; &#1604;&#1575;&#1586;&#1605; &#1576;&#1585;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1602;&#1583;&#1585; &#1575;&#1587;&#1578;&#1567; &#1576;&#1585;&#1575;&#1740; &#1662;&#1575;&#1587;&#1582; &#1576;&#1607; &#1607;&#1586;&#1740;&#1606;&#1607; &#1604;&#1575;&#1586;&#1605; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2406:\"<p>&#1608;&#1580;&#1608;&#1583; &#1740;&#1705; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1593;&#1604;&#1575;&#1608;&#1607; &#1576;&#1585; &#1705;&#1575;&#1607;&#1588; &#1607;&#1586;&#1740;&#1606;&#1607; &#1607;&#1575; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606;&#1583; &#1740;&#1705; &#1585;&#1608;&#1588; &#1605;&#1591;&#1605;&#1574;&#1606; &#1608; &#1575;&#1740;&#1583;&#1607; &#1570;&#1604; &#1576;&#1585;&#1575;&#1740; &#1601;&#1585;&#1608;&#1588; &#1608; &#1705;&#1587;&#1576; &#1583;&#1585;&#1570;&#1605;&#1583; &#1576;&#1607; &#1589;&#1608;&#1585;&#1578; 24 &#1587;&#1575;&#1593;&#1578;&#1607; &#1608; &#1576;&#1583;&#1608;&#1606; &#1602;&#1591;&#1593;&#1740; &#1576;&#1575;&#1588;&#1583; &#1575;&#1605;&#1575; &#1587;&#1608;&#1575;&#1604;&#1740; &#1705;&#1607; &#1576;&#1585;&#1575;&#1740; &#1575;&#1594;&#1604;&#1576; &#1705;&#1575;&#1585;&#1576;&#1585;&#1575;&#1606; &#1605;&#1591;&#1585;&#1581; &#1588;&#1583;&#1607; &#1575;&#1740;&#1606; &#1575;&#1587;&#1578; &#1705;&#1607; &#1587;&#1585;&#1605;&#1575;&#1740;&#1607; &#1604;&#1575;&#1586;&#1605; &#1576;&#1585;&#1575;&#1740; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1670;&#1602;&#1583;&#1585; &#1575;&#1587;&#1578;&#1567; &#1576;&#1585;&#1575;&#1740; &#1662;&#1575;&#1587;&#1582; &#1576;&#1607; &#1607;&#1586;&#1740;&#1606;&#1607; &#1604;&#1575;&#1586;&#1605; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/launching-ecommerce-training/\" data-wpel-link=\"internal\">&#1570;&#1605;&#1608;&#1586;&#1588; &#1589;&#1601;&#1585; &#1578;&#1575; &#1589;&#1583; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1576;&#1607; &#1589;&#1608;&#1585;&#1578; &#1608;&#1740;&#1583;&#1740;&#1608;&#1574;&#1740;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Full Spectrum Cbd Oil – a Brief Overview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wp-planet.ir/full-spectrum-cbd-oil-a-brief-overview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 08:40:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wp-planet.ir/full-spectrum-cbd-oil-a-brief-overview/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:349:\"Full Spectrum Cbd Oil &#8211; a Brief Overview Non-addictive and non-intoxicating, CBD oil makes it possible for users to go through the multiple benefits without the negatives related to cannabis usage. Nonetheless, it is CBD oil, or so the focus isn&#8217;t on the THC content. A complete spectrum CBD oil would potentially have a little [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:802:\"<p>Full Spectrum Cbd Oil &ndash; a Brief Overview Non-addictive and non-intoxicating, CBD oil makes it possible for users to go through the multiple benefits without the negatives related to cannabis usage. Nonetheless, it is CBD oil, or so the focus isn&rsquo;t on the THC content. A complete spectrum CBD oil would potentially have a little [&hellip;]</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://wp-parsi.com/full-spectrum-cbd-oil-a-brief-overview-4/\">Full Spectrum Cbd Oil &ndash; a Brief Overview</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://wp-parsi.com/\">&#1608;&#1585;&#1583;&#1662;&#1585;&#1587; &#1662;&#1575;&#1585;&#1587;&#1740;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"تنظیمات دیدگاه وردپرس با بهترین افزونه نظرات\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:218:\"http://wp-planet.ir/%d8%aa%d9%86%d8%b8%db%8c%d9%85%d8%a7%d8%aa-%d8%af%db%8c%d8%af%da%af%d8%a7%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d8%a7-%d8%a8%d9%87%d8%aa%d8%b1%db%8c%d9%86-%d8%a7%d9%81%d8%b2%d9%88%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 07:54:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:218:\"http://wp-planet.ir/%d8%aa%d9%86%d8%b8%db%8c%d9%85%d8%a7%d8%aa-%d8%af%db%8c%d8%af%da%af%d8%a7%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d8%a7-%d8%a8%d9%87%d8%aa%d8%b1%db%8c%d9%86-%d8%a7%d9%81%d8%b2%d9%88%d9%86/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1557:\"&#1576;&#1582;&#1588; &#1606;&#1592;&#1585;&#1575;&#1578; &#1740;&#1705;&#1740; &#1575;&#1586; &#1605;&#1607;&#1605; &#1578;&#1585;&#1740;&#1606; &#1602;&#1587;&#1605;&#1578; &#1607;&#1575;&#1740;&#1740; &#1575;&#1587;&#1578; &#1705;&#1607; &#1589;&#1575;&#1581;&#1576;&#1575;&#1606; &#1608;&#1576; &#1587;&#1575;&#1740;&#1578; &#1576;&#1575;&#1740;&#1583; &#1576;&#1607; &#1570;&#1606; &#1578;&#1608;&#1580;&#1607; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1606;&#1583;. &#1605;&#1588;&#1582;&#1589; &#1705;&#1585;&#1583;&#1606; &#1601;&#1740;&#1604;&#1583;&#1607;&#1575;&#1740; &#1570;&#1606; &#1608; &#1576;&#1575;&#1604;&#1575; &#1576;&#1585;&#1583;&#1606; &#1586;&#1740;&#1576;&#1575;&#1740;&#1740; &#1592;&#1575;&#1607;&#1585; &#1575;&#1586; &#1580;&#1605;&#1604;&#1607; &#1605;&#1608;&#1575;&#1585;&#1583;&#1740; &#1575;&#1587;&#1578; &#1705;&#1607; &#1576;&#1575;&#1740;&#1583; &#1605;&#1608;&#1585;&#1583; &#1576;&#1585;&#1585;&#1587;&#1740; &#1602;&#1585;&#1575;&#1585; &#1576;&#1711;&#1740;&#1585;&#1583;. &#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1711;&#1575;&#1605; &#1576;&#1607; &#1711;&#1575;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1662;&#1585;&#1608;&#1588;&#1575;&#1662; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2345:\"<p>&#1576;&#1582;&#1588; &#1606;&#1592;&#1585;&#1575;&#1578; &#1740;&#1705;&#1740; &#1575;&#1586; &#1605;&#1607;&#1605; &#1578;&#1585;&#1740;&#1606; &#1602;&#1587;&#1605;&#1578; &#1607;&#1575;&#1740;&#1740; &#1575;&#1587;&#1578; &#1705;&#1607; &#1589;&#1575;&#1581;&#1576;&#1575;&#1606; &#1608;&#1576; &#1587;&#1575;&#1740;&#1578; &#1576;&#1575;&#1740;&#1583; &#1576;&#1607; &#1570;&#1606; &#1578;&#1608;&#1580;&#1607; &#1583;&#1575;&#1588;&#1578;&#1607; &#1576;&#1575;&#1588;&#1606;&#1583;. &#1605;&#1588;&#1582;&#1589; &#1705;&#1585;&#1583;&#1606; &#1601;&#1740;&#1604;&#1583;&#1607;&#1575;&#1740; &#1570;&#1606; &#1608; &#1576;&#1575;&#1604;&#1575; &#1576;&#1585;&#1583;&#1606; &#1586;&#1740;&#1576;&#1575;&#1740;&#1740; &#1592;&#1575;&#1607;&#1585; &#1575;&#1586; &#1580;&#1605;&#1604;&#1607; &#1605;&#1608;&#1575;&#1585;&#1583;&#1740; &#1575;&#1587;&#1578; &#1705;&#1607; &#1576;&#1575;&#1740;&#1583; &#1605;&#1608;&#1585;&#1583; &#1576;&#1585;&#1585;&#1587;&#1740; &#1602;&#1585;&#1575;&#1585; &#1576;&#1711;&#1740;&#1585;&#1583;. &#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1711;&#1575;&#1605; &#1576;&#1607; &#1711;&#1575;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1662;&#1585;&#1608;&#1588;&#1575;&#1662; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/comment-forms-plugin/\" data-wpel-link=\"internal\">&#1578;&#1606;&#1592;&#1740;&#1605;&#1575;&#1578; &#1583;&#1740;&#1583;&#1711;&#1575;&#1607; &#1608;&#1585;&#1583;&#1662;&#1585;&#1587; &#1576;&#1575; &#1576;&#1607;&#1578;&#1585;&#1740;&#1606; &#1575;&#1601;&#1586;&#1608;&#1606;&#1607; &#1606;&#1592;&#1585;&#1575;&#1578;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"چگونه میتوان محصولات ووکامرس را با دو عنوان نمایش داد؟\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"http://wp-planet.ir/%da%86%da%af%d9%88%d9%86%d9%87-%d9%85%db%8c%d8%aa%d9%88%d8%a7%d9%86-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d8%b1%d8%a7-%d8%a8%d8%a7-%d8%af%d9%88-%d8%b9/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 07:49:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"http://wp-planet.ir/%da%86%da%af%d9%88%d9%86%d9%87-%d9%85%db%8c%d8%aa%d9%88%d8%a7%d9%86-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%88%d9%88%da%a9%d8%a7%d9%85%d8%b1%d8%b3-%d8%b1%d8%a7-%d8%a8%d8%a7-%d8%af%d9%88-%d8%b9/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1598:\"&#1576;&#1575; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1575;&#1586; &#1593;&#1606;&#1608;&#1575;&#1606; &#1583;&#1608;&#1605; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1583;&#1585; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1607;&#1575;&#1740; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606; &#1592;&#1575;&#1607;&#1585; &#1580;&#1584;&#1575;&#1576; &#1578;&#1585;&#1740; &#1585;&#1575; &#1576;&#1585;&#1575;&#1740; &#1705;&#1575;&#1585;&#1576;&#1585;&#1575;&#1606; &#1582;&#1608;&#1583; &#1576;&#1607; &#1608;&#1580;&#1608;&#1583; &#1570;&#1608;&#1585;&#1583;&#1607; &#1608; &#1607;&#1605;&#1670;&#1606;&#1740;&#1606; &#1576;&#1607; &#1570;&#1606;&#1607;&#1575; &#1583;&#1585; &#1586;&#1605;&#1740;&#1606;&#1607; &#1588;&#1606;&#1575;&#1582;&#1578; &#1576;&#1607;&#1578;&#1585; &#1605;&#1581;&#1589;&#1608;&#1604; &#1705;&#1605;&#1705; &#1705;&#1585;&#1583;. &#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1711;&#1575;&#1605; &#1576;&#1607; &#1711;&#1575;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1662;&#1585;&#1608;&#1588;&#1575;&#1662; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1588;&#1605;&#1575; &#1585;&#1575; &#1576;&#1575; &#1575;&#1601;&#1586;&#1608;&#1606;&#1607; &#1575;&#1740;&#1580;&#1575;&#1583; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2441:\"<p>&#1576;&#1575; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1575;&#1586; &#1593;&#1606;&#1608;&#1575;&#1606; &#1583;&#1608;&#1605; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1583;&#1585; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1607;&#1575;&#1740; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606; &#1592;&#1575;&#1607;&#1585; &#1580;&#1584;&#1575;&#1576; &#1578;&#1585;&#1740; &#1585;&#1575; &#1576;&#1585;&#1575;&#1740; &#1705;&#1575;&#1585;&#1576;&#1585;&#1575;&#1606; &#1582;&#1608;&#1583; &#1576;&#1607; &#1608;&#1580;&#1608;&#1583; &#1570;&#1608;&#1585;&#1583;&#1607; &#1608; &#1607;&#1605;&#1670;&#1606;&#1740;&#1606; &#1576;&#1607; &#1570;&#1606;&#1607;&#1575; &#1583;&#1585; &#1586;&#1605;&#1740;&#1606;&#1607; &#1588;&#1606;&#1575;&#1582;&#1578; &#1576;&#1607;&#1578;&#1585; &#1605;&#1581;&#1589;&#1608;&#1604; &#1705;&#1605;&#1705; &#1705;&#1585;&#1583;. &#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1575;&#1586; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1711;&#1575;&#1605; &#1576;&#1607; &#1711;&#1575;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &#1575;&#1740;&#1606;&#1578;&#1585;&#1606;&#1578;&#1740; &#1662;&#1585;&#1608;&#1588;&#1575;&#1662; &#1578;&#1589;&#1605;&#1740;&#1605; &#1583;&#1575;&#1585;&#1740;&#1605; &#1588;&#1605;&#1575; &#1585;&#1575; &#1576;&#1575; &#1575;&#1601;&#1586;&#1608;&#1606;&#1607; &#1575;&#1740;&#1580;&#1575;&#1583; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/product-subtitle-plugin/\" data-wpel-link=\"internal\">&#1670;&#1711;&#1608;&#1606;&#1607; &#1605;&#1740;&#1578;&#1608;&#1575;&#1606; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1608;&#1608;&#1705;&#1575;&#1605;&#1585;&#1587; &#1585;&#1575; &#1576;&#1575; &#1583;&#1608; &#1593;&#1606;&#1608;&#1575;&#1606; &#1606;&#1605;&#1575;&#1740;&#1588; &#1583;&#1575;&#1583;&#1567;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:48:\"\n		\n		\n				\n		\n				\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"ساخت صفحه جهت نمایش محصولات مورد علاقه کاربر\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d8%b3%d8%a7%d8%ae%d8%aa-%d8%b5%d9%81%d8%ad%d9%87-%d8%ac%d9%87%d8%aa-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%d9%88%d8%b1%d8%af-%d8%b9%d9%84%d8%a7%d9%82%d9%87/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 07:35:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"دسته‌بندی نشده\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"http://wp-planet.ir/%d8%b3%d8%a7%d8%ae%d8%aa-%d8%b5%d9%81%d8%ad%d9%87-%d8%ac%d9%87%d8%aa-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%d9%88%d8%b1%d8%af-%d8%b9%d9%84%d8%a7%d9%82%d9%87/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1592:\"&#1740;&#1705;&#1740; &#1575;&#1586; &#1705;&#1575;&#1585;&#1607;&#1575;&#1740;&#1740; &#1705;&#1607; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606; &#1576;&#1585;&#1575;&#1740; &#1576;&#1575;&#1604;&#1575; &#1576;&#1585;&#1583;&#1606; &#1586;&#1740;&#1576;&#1575;&#1740;&#1740; &#1608;&#1576; &#1587;&#1575;&#1740;&#1578; &#1582;&#1608;&#1583; &#1575;&#1586; &#1570;&#1606; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1705;&#1585;&#1583;&#1548; &#1575;&#1601;&#1586;&#1608;&#1583;&#1606; &#1583;&#1705;&#1605;&#1607; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1605;&#1608;&#1585;&#1583; &#1593;&#1604;&#1575;&#1602;&#1607; &#1575;&#1587;&#1578;. &#1576;&#1585;&#1575;&#1740; &#1575;&#1740;&#1606; &#1705;&#1575;&#1585; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606;&#1740;&#1583; &#1575;&#1586; &#1740;&#1705; &#1575;&#1601;&#1586;&#1608;&#1606;&#1607; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1605;&#1608;&#1585;&#1583; &#1593;&#1604;&#1575;&#1602;&#1607; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1705;&#1606;&#1740;&#1583;. &#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606; &#1601;&#1575; &#1608; &#1583;&#1585; &#1585;&#1575;&#1587;&#1578;&#1575;&#1740; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1711;&#1575;&#1605; &#1576;&#1607; &#1711;&#1575;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2382:\"<p>&#1740;&#1705;&#1740; &#1575;&#1586; &#1705;&#1575;&#1585;&#1607;&#1575;&#1740;&#1740; &#1705;&#1607; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606; &#1576;&#1585;&#1575;&#1740; &#1576;&#1575;&#1604;&#1575; &#1576;&#1585;&#1583;&#1606; &#1586;&#1740;&#1576;&#1575;&#1740;&#1740; &#1608;&#1576; &#1587;&#1575;&#1740;&#1578; &#1582;&#1608;&#1583; &#1575;&#1586; &#1570;&#1606; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1705;&#1585;&#1583;&#1548; &#1575;&#1601;&#1586;&#1608;&#1583;&#1606; &#1583;&#1705;&#1605;&#1607; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1605;&#1608;&#1585;&#1583; &#1593;&#1604;&#1575;&#1602;&#1607; &#1575;&#1587;&#1578;. &#1576;&#1585;&#1575;&#1740; &#1575;&#1740;&#1606; &#1705;&#1575;&#1585; &#1605;&#1740; &#1578;&#1608;&#1575;&#1606;&#1740;&#1583; &#1575;&#1586; &#1740;&#1705; &#1575;&#1601;&#1586;&#1608;&#1606;&#1607; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1605;&#1608;&#1585;&#1583; &#1593;&#1604;&#1575;&#1602;&#1607; &#1575;&#1587;&#1578;&#1601;&#1575;&#1583;&#1607; &#1705;&#1606;&#1740;&#1583;. &#1583;&#1585; &#1575;&#1740;&#1606; &#1605;&#1602;&#1575;&#1604;&#1607; &#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606; &#1601;&#1575; &#1608; &#1583;&#1585; &#1585;&#1575;&#1587;&#1578;&#1575;&#1740; &#1587;&#1585;&#1740; &#1570;&#1605;&#1608;&#1586;&#1588; &#1607;&#1575;&#1740; &#1711;&#1575;&#1605; &#1576;&#1607; &#1711;&#1575;&#1605; &#1585;&#1575;&#1607; &#1575;&#1606;&#1583;&#1575;&#1586;&#1740; &#1601;&#1585;&#1608;&#1588;&#1711;&#1575;&#1607; &hellip;</p>\n<p>&#1606;&#1608;&#1588;&#1578;&#1607; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog/cms/wordpress/woocommerce-product-wishlist/\" data-wpel-link=\"internal\">&#1587;&#1575;&#1582;&#1578; &#1589;&#1601;&#1581;&#1607; &#1580;&#1607;&#1578; &#1606;&#1605;&#1575;&#1740;&#1588; &#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578; &#1605;&#1608;&#1585;&#1583; &#1593;&#1604;&#1575;&#1602;&#1607; &#1705;&#1575;&#1585;&#1576;&#1585;</a> &#1575;&#1608;&#1604;&#1740;&#1606; &#1576;&#1575;&#1585; &#1583;&#1585; <a rel=\"nofollow\" href=\"https://mizbanfa.net/blog\" data-wpel-link=\"internal\">&#1662;&#1575;&#1740;&#1711;&#1575;&#1607; &#1583;&#1575;&#1606;&#1588; &#1605;&#1740;&#1586;&#1576;&#1575;&#1606;&zwnj;&#1601;&#1575;</a> &#1662;&#1583;&#1740;&#1583;&#1575;&#1585; &#1588;&#1583;.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:25:\"http://wp-planet.ir/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:7:{s:4:\"date\";s:29:\"Sat, 21 Mar 2020 17:32:35 GMT\";s:6:\"server\";s:6:\"Apache\";s:12:\"x-robots-tag\";s:15:\"noindex, follow\";s:4:\"link\";s:56:\"<http://wp-planet.ir/wp-json/>; rel=\"https://api.w.org/\"\";s:13:\"last-modified\";s:29:\"Mon, 16 Mar 2020 08:30:26 GMT\";s:4:\"etag\";s:34:\"\"e70ef0eb4ca17b06e6d22f4d4627d224\"\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";}}s:5:\"build\";s:14:\"20130911040210\";}", "no");
INSERT INTO `age_options` VALUES("209", "elementor_remote_info_library", "a:3:{s:10:\"types_data\";a:2:{s:5:\"block\";a:1:{s:10:\"categories\";a:22:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:14:\"call to action\";i:4;s:7:\"clients\";i:5;s:7:\"contact\";i:6;s:3:\"faq\";i:7;s:8:\"features\";i:8;s:6:\"footer\";i:9;s:6:\"header\";i:10;s:4:\"hero\";i:11;s:9:\"portfolio\";i:12;s:7:\"pricing\";i:13;s:15:\"product archive\";i:14;s:8:\"services\";i:15;s:11:\"single page\";i:16;s:11:\"single post\";i:17;s:14:\"single product\";i:18;s:5:\"stats\";i:19;s:9:\"subscribe\";i:20;s:4:\"team\";i:21;s:12:\"testimonials\";}}s:5:\"popup\";a:1:{s:10:\"categories\";a:6:{i:0;s:10:\"bottom bar\";i:1;s:7:\"classic\";i:2;s:6:\"fly-in\";i:3;s:11:\"full screen\";i:4;s:9:\"hello bar\";i:5;s:8:\"slide-in\";}}}s:10:\"categories\";s:247:\"[\"404 page\",\"about\",\"archive\",\"call to action\",\"clients\",\"contact\",\"faq\",\"features\",\"footer\",\"header\",\"hero\",\"portfolio\",\"pricing\",\"product archive\",\"services\",\"single page\",\"single post\",\"single product\",\"stats\",\"subscribe\",\"team\",\"testimonials\"]\";s:9:\"templates\";a:659:{i:0;a:14:{s:2:\"id\";s:4:\"5525\";s:5:\"title\";s:8:\"About 14\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_10.png\";s:12:\"tmpl_created\";s:10:\"1520443532\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"12\";s:11:\"trend_index\";s:1:\"7\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:1;a:14:{s:2:\"id\";s:5:\"10107\";s:5:\"title\";s:34:\"Classic | Promotion | Announcement\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/balls_small.png\";s:12:\"tmpl_created\";s:10:\"1547851373\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-promotion-announcement/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"279\";s:11:\"trend_index\";s:2:\"90\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:2;a:14:{s:2:\"id\";s:4:\"5533\";s:5:\"title\";s:8:\"About 15\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_10.png\";s:12:\"tmpl_created\";s:10:\"1520443534\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"33\";s:11:\"trend_index\";s:2:\"12\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:3;a:14:{s:2:\"id\";s:4:\"5575\";s:5:\"title\";s:5:\"CTA 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443543\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"18\";s:11:\"trend_index\";s:1:\"8\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:4;a:14:{s:2:\"id\";s:4:\"5615\";s:5:\"title\";s:10:\"Features 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443551\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"32\";s:11:\"trend_index\";s:2:\"34\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:5;a:14:{s:2:\"id\";s:4:\"5624\";s:5:\"title\";s:10:\"Features 5\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443553\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"82\";s:11:\"trend_index\";s:2:\"50\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:6;a:14:{s:2:\"id\";s:4:\"5684\";s:5:\"title\";s:5:\"FAQ 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443565\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"72\";s:11:\"trend_index\";s:2:\"62\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:7;a:14:{s:2:\"id\";s:5:\"10158\";s:5:\"title\";s:17:\"Classic | Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/coco_small.png\";s:12:\"tmpl_created\";s:10:\"1547852227\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/classic-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"289\";s:11:\"trend_index\";s:3:\"241\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:8;a:14:{s:2:\"id\";s:4:\"5693\";s:5:\"title\";s:5:\"FAQ 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443567\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"202\";s:11:\"trend_index\";s:3:\"214\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:9;a:14:{s:2:\"id\";s:4:\"5703\";s:5:\"title\";s:6:\"FAQ 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443569\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/faq-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"30\";s:11:\"trend_index\";s:2:\"19\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:10;a:14:{s:2:\"id\";s:4:\"5711\";s:5:\"title\";s:5:\"FAQ 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443571\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"200\";s:11:\"trend_index\";s:3:\"182\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:11;a:14:{s:2:\"id\";s:5:\"10190\";s:5:\"title\";s:30:\"Classic | Register | Subscribe\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/engage_small.png\";s:12:\"tmpl_created\";s:10:\"1547885703\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/classic-register-subscribe-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"284\";s:11:\"trend_index\";s:3:\"123\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:12;a:14:{s:2:\"id\";s:4:\"5719\";s:5:\"title\";s:5:\"FAQ 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443573\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"124\";s:11:\"trend_index\";s:2:\"91\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:13;a:14:{s:2:\"id\";s:4:\"5729\";s:5:\"title\";s:5:\"FAQ 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443575\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"302\";s:11:\"trend_index\";s:3:\"290\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:14;a:14:{s:2:\"id\";s:4:\"5737\";s:5:\"title\";s:6:\"FAQ 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443576\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/faq-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"156\";s:11:\"trend_index\";s:3:\"146\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:15;a:14:{s:2:\"id\";s:4:\"5746\";s:5:\"title\";s:6:\"FAQ 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443578\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/faq-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"199\";s:11:\"trend_index\";s:3:\"160\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:16;a:14:{s:2:\"id\";s:4:\"5755\";s:5:\"title\";s:5:\"FAQ 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443580\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"93\";s:11:\"trend_index\";s:2:\"83\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:17;a:14:{s:2:\"id\";s:4:\"5764\";s:5:\"title\";s:5:\"FAQ 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_5.png\";s:12:\"tmpl_created\";s:10:\"1520443582\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/faq-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"faq\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"306\";s:11:\"trend_index\";s:3:\"284\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:18;a:14:{s:2:\"id\";s:5:\"10256\";s:5:\"title\";s:20:\"Classic | Sale | Pop\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/fruit_small.png\";s:12:\"tmpl_created\";s:10:\"1547888909\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"427\";s:11:\"trend_index\";s:3:\"328\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:19;a:14:{s:2:\"id\";s:4:\"5773\";s:5:\"title\";s:7:\"Hero 11\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_1.png\";s:12:\"tmpl_created\";s:10:\"1520443584\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/hero-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"34\";s:11:\"trend_index\";s:2:\"30\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:20;a:14:{s:2:\"id\";s:5:\"10267\";s:5:\"title\";s:29:\"Classic | Contact | Christmas\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2019/01/christmas_small.png\";s:12:\"tmpl_created\";s:10:\"1547889047\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-contact-christmas/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"328\";s:11:\"trend_index\";s:3:\"239\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:21;a:14:{s:2:\"id\";s:4:\"5783\";s:5:\"title\";s:7:\"Hero 10\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_2.png\";s:12:\"tmpl_created\";s:10:\"1520443586\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/hero-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"343\";s:11:\"trend_index\";s:3:\"412\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:22;a:14:{s:2:\"id\";s:4:\"5792\";s:5:\"title\";s:6:\"Hero 9\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_3.png\";s:12:\"tmpl_created\";s:10:\"1520443588\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"218\";s:11:\"trend_index\";s:3:\"216\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:23;a:14:{s:2:\"id\";s:4:\"5801\";s:5:\"title\";s:6:\"Hero 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_4.png\";s:12:\"tmpl_created\";s:10:\"1520443589\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:10:\"[\"header\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"20\";s:11:\"trend_index\";s:1:\"9\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:24;a:14:{s:2:\"id\";s:4:\"5811\";s:5:\"title\";s:6:\"Hero 8\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_5.png\";s:12:\"tmpl_created\";s:10:\"1520443591\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"114\";s:11:\"trend_index\";s:2:\"93\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:25;a:14:{s:2:\"id\";s:5:\"10307\";s:5:\"title\";s:43:\"Fly In | Promotion | Christmas | Teddy Bear\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/teddy_small.png\";s:12:\"tmpl_created\";s:10:\"1547893266\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/fly-in-promotion-christmas/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"564\";s:11:\"trend_index\";s:3:\"489\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:26;a:14:{s:2:\"id\";s:4:\"5820\";s:5:\"title\";s:9:\"Contact 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443593\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"177\";s:11:\"trend_index\";s:3:\"191\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:27;a:14:{s:2:\"id\";s:5:\"10318\";s:5:\"title\";s:27:\"Classic | Contact | Bicycle\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/01/by_small.png\";s:12:\"tmpl_created\";s:10:\"1547893367\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/popups/classic-contact-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"357\";s:11:\"trend_index\";s:3:\"322\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:28;a:14:{s:2:\"id\";s:4:\"5828\";s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443595\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"290\";s:11:\"trend_index\";s:3:\"331\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:29;a:14:{s:2:\"id\";s:4:\"5836\";s:5:\"title\";s:10:\"Contact 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443597\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/contact-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"116\";s:11:\"trend_index\";s:3:\"139\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:30;a:14:{s:2:\"id\";s:5:\"10339\";s:5:\"title\";s:22:\"Fly In | Contact | Spa\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/spa_small.png\";s:12:\"tmpl_created\";s:10:\"1547893603\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/fly-in-contact-spa/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"417\";s:11:\"trend_index\";s:3:\"391\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:31;a:14:{s:2:\"id\";s:4:\"5844\";s:5:\"title\";s:10:\"Contact 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443599\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/contact-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"280\";s:11:\"trend_index\";s:3:\"379\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:32;a:14:{s:2:\"id\";s:5:\"10352\";s:5:\"title\";s:23:\"Fly In | Contact | Wine\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/01/fly_wine_small.png\";s:12:\"tmpl_created\";s:10:\"1547915335\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/fly-in-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"442\";s:11:\"trend_index\";s:3:\"428\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:33;a:14:{s:2:\"id\";s:4:\"5852\";s:5:\"title\";s:6:\"CTA 34\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2018/03/form_1.png\";s:12:\"tmpl_created\";s:10:\"1520443600\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-34/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"479\";s:11:\"trend_index\";s:3:\"536\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:34;a:14:{s:2:\"id\";s:4:\"5947\";s:5:\"title\";s:7:\"Stats 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443621\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"339\";s:11:\"trend_index\";s:3:\"341\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:35;a:14:{s:2:\"id\";s:5:\"10372\";s:5:\"title\";s:29:\"Fly In | Register | Subscribe\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/phone_small.png\";s:12:\"tmpl_created\";s:10:\"1547915554\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/popups/fly-in-register-subscribe-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"557\";s:11:\"trend_index\";s:3:\"540\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:36;a:14:{s:2:\"id\";s:4:\"5956\";s:5:\"title\";s:7:\"Stats 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443623\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"469\";s:11:\"trend_index\";s:3:\"400\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:37;a:14:{s:2:\"id\";s:5:\"10382\";s:5:\"title\";s:35:\"Bottom Bar | Announcement | Cookies\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2019/01/bottom_pink_small.png\";s:12:\"tmpl_created\";s:10:\"1547916616\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/bottom-bar-announcement/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"304\";s:11:\"trend_index\";s:3:\"221\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:38;a:14:{s:2:\"id\";s:4:\"5963\";s:5:\"title\";s:10:\"Features 7\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443626\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"65\";s:11:\"trend_index\";s:2:\"52\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:39;a:14:{s:2:\"id\";s:4:\"5974\";s:5:\"title\";s:10:\"Features 4\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443629\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"63\";s:11:\"trend_index\";s:2:\"68\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:40;a:14:{s:2:\"id\";s:4:\"5983\";s:5:\"title\";s:10:\"Features 3\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443630\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:11:\"[\"featues\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"235\";s:11:\"trend_index\";s:3:\"289\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:41;a:14:{s:2:\"id\";s:4:\"5991\";s:5:\"title\";s:11:\"Features 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443632\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/features-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"121\";s:11:\"trend_index\";s:3:\"130\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:42;a:14:{s:2:\"id\";s:4:\"5999\";s:5:\"title\";s:7:\"Team 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_10.png\";s:12:\"tmpl_created\";s:10:\"1520443634\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"84\";s:11:\"trend_index\";s:2:\"99\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:43;a:14:{s:2:\"id\";s:5:\"10434\";s:5:\"title\";s:27:\"Classic | Sale | Headphones\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/head_small.png\";s:12:\"tmpl_created\";s:10:\"1547961950\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"385\";s:11:\"trend_index\";s:3:\"333\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:44;a:14:{s:2:\"id\";s:4:\"6008\";s:5:\"title\";s:6:\"Team 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_10.png\";s:12:\"tmpl_created\";s:10:\"1520443636\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/team-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"68\";s:11:\"trend_index\";s:2:\"70\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:45;a:14:{s:2:\"id\";s:5:\"10444\";s:5:\"title\";s:17:\"Classic | Contact\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/plant_small.png\";s:12:\"tmpl_created\";s:10:\"1547962029\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/popups/classic-contact-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"418\";s:11:\"trend_index\";s:3:\"422\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:46;a:14:{s:2:\"id\";s:4:\"6027\";s:5:\"title\";s:7:\"About 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1-1.png\";s:12:\"tmpl_created\";s:10:\"1520443639\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/about-5-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"41\";s:11:\"trend_index\";s:2:\"32\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:47;a:14:{s:2:\"id\";s:4:\"6036\";s:5:\"title\";s:7:\"About 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1-1.png\";s:12:\"tmpl_created\";s:10:\"1520443641\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/about-6-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"86\";s:11:\"trend_index\";s:2:\"81\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:48;a:14:{s:2:\"id\";s:5:\"10467\";s:5:\"title\";s:27:\"Bottom Bar | Contact | Lego\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/tro_small.png\";s:12:\"tmpl_created\";s:10:\"1547962277\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/bottom-bar-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"615\";s:11:\"trend_index\";s:3:\"605\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:49;a:14:{s:2:\"id\";s:4:\"6044\";s:5:\"title\";s:11:\"Features 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443643\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/features-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"70\";s:11:\"trend_index\";s:2:\"59\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:50;a:14:{s:2:\"id\";s:4:\"6053\";s:5:\"title\";s:10:\"Features 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_5.png\";s:12:\"tmpl_created\";s:10:\"1520443645\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"168\";s:11:\"trend_index\";s:3:\"204\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:51;a:14:{s:2:\"id\";s:5:\"10487\";s:5:\"title\";s:18:\"Slide In | Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/acc_small.png\";s:12:\"tmpl_created\";s:10:\"1547964527\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/slide-in-contact-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"506\";s:11:\"trend_index\";s:3:\"551\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:52;a:14:{s:2:\"id\";s:4:\"6063\";s:5:\"title\";s:7:\"Stats 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443647\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"154\";s:11:\"trend_index\";s:3:\"148\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:53;a:14:{s:2:\"id\";s:5:\"10498\";s:5:\"title\";s:14:\"Classic | Sale\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/pink_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547964616\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"430\";s:11:\"trend_index\";s:3:\"462\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:54;a:14:{s:2:\"id\";s:4:\"6071\";s:5:\"title\";s:8:\"Stats 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443649\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/stats-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"155\";s:11:\"trend_index\";s:3:\"178\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:55;a:14:{s:2:\"id\";s:4:\"6079\";s:5:\"title\";s:7:\"Stats 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443651\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"264\";s:11:\"trend_index\";s:3:\"246\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:56;a:14:{s:2:\"id\";s:5:\"10519\";s:5:\"title\";s:27:\"Hello Bar | Promotion | App\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/app_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547964801\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/hello-bar-promotion-app-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"539\";s:11:\"trend_index\";s:3:\"467\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:57;a:14:{s:2:\"id\";s:4:\"6089\";s:5:\"title\";s:7:\"Stats 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443653\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"174\";s:11:\"trend_index\";s:3:\"187\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:58;a:14:{s:2:\"id\";s:4:\"6097\";s:5:\"title\";s:7:\"Stats 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443655\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"261\";s:11:\"trend_index\";s:3:\"248\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:59;a:14:{s:2:\"id\";s:4:\"6106\";s:5:\"title\";s:7:\"Stats 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443657\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"324\";s:11:\"trend_index\";s:3:\"304\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:60;a:14:{s:2:\"id\";s:4:\"6114\";s:5:\"title\";s:7:\"Stats 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_6.png\";s:12:\"tmpl_created\";s:10:\"1520443659\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"363\";s:11:\"trend_index\";s:3:\"539\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:61;a:14:{s:2:\"id\";s:4:\"6122\";s:5:\"title\";s:7:\"About 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2-1.png\";s:12:\"tmpl_created\";s:10:\"1520443661\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/about-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"38\";s:11:\"trend_index\";s:2:\"29\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:62;a:14:{s:2:\"id\";s:5:\"10569\";s:5:\"title\";s:15:\"Slide In | Sale\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/off_small.png\";s:12:\"tmpl_created\";s:10:\"1547967812\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/popups/slide-in-sale/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"489\";s:11:\"trend_index\";s:3:\"421\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:63;a:14:{s:2:\"id\";s:4:\"6135\";s:5:\"title\";s:8:\"About 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443663\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"85\";s:11:\"trend_index\";s:2:\"79\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:64;a:14:{s:2:\"id\";s:4:\"6144\";s:5:\"title\";s:7:\"Team 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_11.png\";s:12:\"tmpl_created\";s:10:\"1520443664\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"150\";s:11:\"trend_index\";s:3:\"121\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:65;a:14:{s:2:\"id\";s:5:\"10590\";s:5:\"title\";s:19:\"Full Screen | Login\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/pass1_small.png\";s:12:\"tmpl_created\";s:10:\"1547967978\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/classic-login-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"477\";s:11:\"trend_index\";s:3:\"456\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:66;a:14:{s:2:\"id\";s:4:\"6152\";s:5:\"title\";s:7:\"Stats 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443666\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/stats-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"240\";s:11:\"trend_index\";s:3:\"276\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:67;a:14:{s:2:\"id\";s:5:\"10600\";s:5:\"title\";s:18:\"Slide In | Contact\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/orange_small.png\";s:12:\"tmpl_created\";s:10:\"1547968080\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/slide-in-contact-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"468\";s:11:\"trend_index\";s:3:\"478\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:68;a:14:{s:2:\"id\";s:4:\"6162\";s:5:\"title\";s:11:\"Services 31\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443668\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-31/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"320\";s:11:\"trend_index\";s:3:\"374\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:69;a:14:{s:2:\"id\";s:4:\"6170\";s:5:\"title\";s:8:\"Stats 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443670\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/stats-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"318\";s:11:\"trend_index\";s:3:\"340\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:70;a:14:{s:2:\"id\";s:5:\"10622\";s:5:\"title\";s:34:\"Full Screen | Contact | Headphones\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2019/01/full_hear_small.png\";s:12:\"tmpl_created\";s:10:\"1547969678\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/full-screen-contact-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"499\";s:11:\"trend_index\";s:3:\"531\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:71;a:14:{s:2:\"id\";s:4:\"6178\";s:5:\"title\";s:8:\"Stats 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443676\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/stats-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"373\";s:11:\"trend_index\";s:3:\"425\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:72;a:14:{s:2:\"id\";s:5:\"10633\";s:5:\"title\";s:23:\"Slide In | Login | Lego\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/tro_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547969858\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/slide-in-login/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"585\";s:11:\"trend_index\";s:3:\"586\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:73;a:14:{s:2:\"id\";s:4:\"6186\";s:5:\"title\";s:8:\"Stats 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443678\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/stats-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"443\";s:11:\"trend_index\";s:3:\"505\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:74;a:14:{s:2:\"id\";s:5:\"10644\";s:5:\"title\";s:26:\"Fly In | Contact | Webinar\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/blue_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547970814\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/popups/fly-in-contact-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"445\";s:11:\"trend_index\";s:3:\"457\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:75;a:14:{s:2:\"id\";s:4:\"6196\";s:5:\"title\";s:10:\"Features 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443680\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"106\";s:11:\"trend_index\";s:3:\"109\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:76;a:14:{s:2:\"id\";s:5:\"10654\";s:5:\"title\";s:31:\"Full Screen | Login | Christmas\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/01/full_login_small.png\";s:12:\"tmpl_created\";s:10:\"1547970917\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/popups/full-screen-login-christmas/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"578\";s:11:\"trend_index\";s:3:\"608\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:77;a:14:{s:2:\"id\";s:4:\"6204\";s:5:\"title\";s:10:\"Features 8\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_6.png\";s:12:\"tmpl_created\";s:10:\"1520443681\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"214\";s:11:\"trend_index\";s:3:\"231\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:78;a:14:{s:2:\"id\";s:5:\"10664\";s:5:\"title\";s:34:\"Slide In | Contact | Gym | Fitness\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2019/01/slide_gym_small.png\";s:12:\"tmpl_created\";s:10:\"1547973928\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/slide-in-contact-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"491\";s:11:\"trend_index\";s:3:\"548\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:79;a:14:{s:2:\"id\";s:4:\"6212\";s:5:\"title\";s:11:\"Features 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520443684\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/features-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"79\";s:11:\"trend_index\";s:2:\"72\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:80;a:14:{s:2:\"id\";s:5:\"10675\";s:5:\"title\";s:35:\"Full Screen | Login | Gym | Fitness\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/01/gym_full_small.png\";s:12:\"tmpl_created\";s:10:\"1547974110\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/full-screen-login-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"483\";s:11:\"trend_index\";s:3:\"442\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:81;a:14:{s:2:\"id\";s:4:\"6220\";s:5:\"title\";s:10:\"Features 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520443685\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/features-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"features\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"83\";s:11:\"trend_index\";s:2:\"84\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:82;a:14:{s:2:\"id\";s:4:\"6230\";s:5:\"title\";s:6:\"Hero 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443687\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"370\";s:11:\"trend_index\";s:3:\"377\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:83;a:14:{s:2:\"id\";s:4:\"9719\";s:5:\"title\";s:30:\"Classic | Subscribe | Register\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/01/register_small.png\";s:12:\"tmpl_created\";s:10:\"1547976107\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/classic-subscribe-register/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"434\";s:11:\"trend_index\";s:3:\"423\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:84;a:14:{s:2:\"id\";s:4:\"6239\";s:5:\"title\";s:6:\"Hero 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443689\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"26\";s:11:\"trend_index\";s:2:\"28\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:85;a:14:{s:2:\"id\";s:4:\"6249\";s:5:\"title\";s:6:\"Hero 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443691\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"59\";s:11:\"trend_index\";s:2:\"51\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:86;a:14:{s:2:\"id\";s:4:\"6258\";s:5:\"title\";s:6:\"Hero 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443693\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"405\";s:11:\"trend_index\";s:3:\"518\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:87;a:14:{s:2:\"id\";s:5:\"10137\";s:5:\"title\";s:34:\"Full Screen | Contact | Restaurant\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/rest_small.png\";s:12:\"tmpl_created\";s:10:\"1547976342\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/full-screen-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"503\";s:11:\"trend_index\";s:3:\"343\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:88;a:14:{s:2:\"id\";s:4:\"6266\";s:5:\"title\";s:6:\"Hero 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443695\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"51\";s:11:\"trend_index\";s:2:\"46\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:89;a:14:{s:2:\"id\";s:5:\"10244\";s:5:\"title\";s:17:\"Bottom Bar | Sale\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/wow_small.png\";s:12:\"tmpl_created\";s:10:\"1547976402\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/bottom-bar-sale/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"545\";s:11:\"trend_index\";s:3:\"606\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:90;a:14:{s:2:\"id\";s:4:\"6274\";s:5:\"title\";s:6:\"Hero 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_5.png\";s:12:\"tmpl_created\";s:10:\"1520443698\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/hero-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"95\";s:11:\"trend_index\";s:3:\"104\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:91;a:14:{s:2:\"id\";s:4:\"6017\";s:5:\"title\";s:6:\"CTA 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_14.png\";s:12:\"tmpl_created\";s:10:\"1520520331\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"157\";s:11:\"trend_index\";s:3:\"131\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:92;a:14:{s:2:\"id\";s:5:\"10127\";s:5:\"title\";s:35:\"Fly In | Announcement | Maintenance\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/pizza_small.png\";s:12:\"tmpl_created\";s:10:\"1547984061\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/fly-in-announcement-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"606\";s:11:\"trend_index\";s:3:\"570\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:93;a:14:{s:2:\"id\";s:4:\"4826\";s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520520544\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/testimonial-24-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"260\";s:11:\"trend_index\";s:3:\"277\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:94;a:14:{s:2:\"id\";s:4:\"4835\";s:5:\"title\";s:14:\"Testimonial 16\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520520546\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"378\";s:11:\"trend_index\";s:3:\"352\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:95;a:14:{s:2:\"id\";s:4:\"4843\";s:5:\"title\";s:14:\"Testimonial 18\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520520548\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"397\";s:11:\"trend_index\";s:3:\"407\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:96;a:14:{s:2:\"id\";s:4:\"4854\";s:5:\"title\";s:14:\"Testimonial 13\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520520549\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"522\";s:11:\"trend_index\";s:3:\"452\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:97;a:14:{s:2:\"id\";s:4:\"4863\";s:5:\"title\";s:14:\"Testimonial 19\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520520551\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-19/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"253\";s:11:\"trend_index\";s:3:\"229\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:98;a:14:{s:2:\"id\";s:5:\"10776\";s:5:\"title\";s:33:\"Fly In | Contact | Social | Share\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/01/social1_small.png\";s:12:\"tmpl_created\";s:10:\"1548047055\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/popups/fly-in-contact-social-share/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"603\";s:11:\"trend_index\";s:3:\"602\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:99;a:14:{s:2:\"id\";s:4:\"4871\";s:5:\"title\";s:14:\"Testimonial 12\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520520552\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"241\";s:11:\"trend_index\";s:3:\"235\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:100;a:14:{s:2:\"id\";s:5:\"10785\";s:5:\"title\";s:33:\"Fly In | Contact | Social | Share\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/01/social2_small.png\";s:12:\"tmpl_created\";s:10:\"1548047593\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/popups/fly-in-contact-social-share-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"456\";s:11:\"trend_index\";s:3:\"460\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:101;a:14:{s:2:\"id\";s:4:\"4880\";s:5:\"title\";s:14:\"Testimonial 20\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-1.jpg\";s:12:\"tmpl_created\";s:10:\"1520520554\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-20/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"381\";s:11:\"trend_index\";s:3:\"473\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:102;a:14:{s:2:\"id\";s:4:\"4889\";s:5:\"title\";s:14:\"Testimonial 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-2.jpg\";s:12:\"tmpl_created\";s:10:\"1520520556\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"466\";s:11:\"trend_index\";s:3:\"500\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:103;a:14:{s:2:\"id\";s:4:\"4897\";s:5:\"title\";s:14:\"Testimonial 21\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520520557\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-21/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"76\";s:11:\"trend_index\";s:3:\"112\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:104;a:14:{s:2:\"id\";s:4:\"4905\";s:5:\"title\";s:14:\"Testimonial 22\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520520559\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-22/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"111\";s:11:\"trend_index\";s:3:\"158\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:105;a:14:{s:2:\"id\";s:4:\"4913\";s:5:\"title\";s:14:\"Testimonial 23\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520520561\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-23/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"223\";s:11:\"trend_index\";s:3:\"275\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:106;a:14:{s:2:\"id\";s:4:\"4921\";s:5:\"title\";s:14:\"Testimonial 10\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_5.png\";s:12:\"tmpl_created\";s:10:\"1520520562\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"213\";s:11:\"trend_index\";s:3:\"244\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:107;a:14:{s:2:\"id\";s:4:\"4929\";s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520520564\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-24/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"42\";s:11:\"trend_index\";s:2:\"25\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:108;a:14:{s:2:\"id\";s:4:\"4939\";s:5:\"title\";s:13:\"Testimonial 9\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_8.png\";s:12:\"tmpl_created\";s:10:\"1520520565\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/testimonial-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"89\";s:11:\"trend_index\";s:3:\"105\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:109;a:14:{s:2:\"id\";s:4:\"4947\";s:5:\"title\";s:14:\"Testimonial 27\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520520567\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-27/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"189\";s:11:\"trend_index\";s:3:\"297\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:110;a:14:{s:2:\"id\";s:4:\"4955\";s:5:\"title\";s:14:\"Testimonial 29\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_9.png\";s:12:\"tmpl_created\";s:10:\"1520520569\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-29/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"329\";s:11:\"trend_index\";s:3:\"447\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:111;a:14:{s:2:\"id\";s:4:\"4963\";s:5:\"title\";s:14:\"Testimonial 25\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_10.png\";s:12:\"tmpl_created\";s:10:\"1520520570\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/testimonial-25-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"382\";s:11:\"trend_index\";s:3:\"529\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:112;a:14:{s:2:\"id\";s:4:\"4971\";s:5:\"title\";s:14:\"Testimonial 26\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_11.png\";s:12:\"tmpl_created\";s:10:\"1520520572\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-26/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"537\";s:11:\"trend_index\";s:3:\"629\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:113;a:14:{s:2:\"id\";s:4:\"4979\";s:5:\"title\";s:14:\"Testimonial 15\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_10.png\";s:12:\"tmpl_created\";s:10:\"1520520573\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"482\";s:11:\"trend_index\";s:3:\"537\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:114;a:14:{s:2:\"id\";s:4:\"4987\";s:5:\"title\";s:14:\"Testimonial 17\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_12-1.png\";s:12:\"tmpl_created\";s:10:\"1520520575\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"144\";s:11:\"trend_index\";s:3:\"127\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:115;a:14:{s:2:\"id\";s:4:\"4995\";s:5:\"title\";s:14:\"Testimonial 14\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_12.png\";s:12:\"tmpl_created\";s:10:\"1520520577\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/testimonial-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"358\";s:11:\"trend_index\";s:3:\"353\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:116;a:14:{s:2:\"id\";s:4:\"5007\";s:5:\"title\";s:11:\"Portfolio 7\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520520578\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"43\";s:11:\"trend_index\";s:2:\"40\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:117;a:14:{s:2:\"id\";s:4:\"5019\";s:5:\"title\";s:11:\"Portfolio 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520520580\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"163\";s:11:\"trend_index\";s:3:\"189\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:118;a:14:{s:2:\"id\";s:4:\"5027\";s:5:\"title\";s:12:\"Portfolio 11\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520520581\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"298\";s:11:\"trend_index\";s:3:\"316\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:119;a:14:{s:2:\"id\";s:5:\"10794\";s:5:\"title\";s:34:\"Classic | Contact | Social | Share\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/01/s_small.png\";s:12:\"tmpl_created\";s:10:\"1548067619\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/classic-contact-social-share/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"437\";s:11:\"trend_index\";s:3:\"300\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:120;a:14:{s:2:\"id\";s:4:\"5037\";s:5:\"title\";s:12:\"Portfolio 12\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520520583\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"268\";s:11:\"trend_index\";s:3:\"380\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:121;a:14:{s:2:\"id\";s:4:\"5057\";s:5:\"title\";s:12:\"Portfolio 13\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520520586\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"221\";s:11:\"trend_index\";s:3:\"368\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:122;a:14:{s:2:\"id\";s:4:\"5071\";s:5:\"title\";s:12:\"Portfolio 14\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520520588\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"272\";s:11:\"trend_index\";s:3:\"364\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:123;a:14:{s:2:\"id\";s:5:\"10871\";s:5:\"title\";s:20:\"Bottom Bar | Contact\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/01/m_small.png\";s:12:\"tmpl_created\";s:10:\"1548074396\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/bottom-bar-contact-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"602\";s:11:\"trend_index\";s:3:\"598\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:124;a:14:{s:2:\"id\";s:4:\"5082\";s:5:\"title\";s:11:\"Portfolio 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520520589\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"439\";s:11:\"trend_index\";s:3:\"594\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:125;a:14:{s:2:\"id\";s:5:\"10936\";s:5:\"title\";s:25:\"Full Screen | Toggle Menu\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/menu_small.png\";s:12:\"tmpl_created\";s:10:\"1548874587\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/full-screen-toggle-menu/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"429\";s:11:\"trend_index\";s:3:\"453\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:126;a:14:{s:2:\"id\";s:4:\"5090\";s:5:\"title\";s:12:\"Portfolio 15\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520520591\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"176\";s:11:\"trend_index\";s:3:\"220\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:127;a:14:{s:2:\"id\";s:4:\"5098\";s:5:\"title\";s:12:\"Portfolio 16\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520520593\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"153\";s:11:\"trend_index\";s:3:\"119\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:128;a:14:{s:2:\"id\";s:4:\"5107\";s:5:\"title\";s:11:\"Portfolio 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_7.png\";s:12:\"tmpl_created\";s:10:\"1520520594\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"354\";s:11:\"trend_index\";s:3:\"416\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:129;a:14:{s:2:\"id\";s:5:\"10964\";s:5:\"title\";s:59:\"Classic | Promotion | Coupon | Love | Valentine&#8217;s Day\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/02/love_small.png\";s:12:\"tmpl_created\";s:10:\"1550039106\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/popups/classic-promotion-coupon/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"560\";s:11:\"trend_index\";s:3:\"399\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:130;a:14:{s:2:\"id\";s:4:\"5115\";s:5:\"title\";s:12:\"Portfolio 17\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520520596\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"25\";s:11:\"trend_index\";s:2:\"18\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:131;a:14:{s:2:\"id\";s:5:\"10992\";s:5:\"title\";s:59:\"Classic | Promotion | Coupon | Love | Valentine&#8217;s Day\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/02/h_small.png\";s:12:\"tmpl_created\";s:10:\"1550072007\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/classic-promotion-coupon-love-valentines-day/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"591\";s:11:\"trend_index\";s:3:\"646\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:132;a:14:{s:2:\"id\";s:4:\"5125\";s:5:\"title\";s:11:\"Portfolio 6\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_8.png\";s:12:\"tmpl_created\";s:10:\"1520520597\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"226\";s:11:\"trend_index\";s:3:\"206\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:133;a:14:{s:2:\"id\";s:5:\"11005\";s:5:\"title\";s:50:\"Classic | Promotion | Love | Valentine&#8217;s Day\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/02/bear_small.png\";s:12:\"tmpl_created\";s:10:\"1550073303\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-promotion-love-valentines-day/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"590\";s:11:\"trend_index\";s:3:\"620\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:134;a:14:{s:2:\"id\";s:4:\"5133\";s:5:\"title\";s:12:\"Portfolio 18\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520520599\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"167\";s:11:\"trend_index\";s:3:\"107\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:135;a:14:{s:2:\"id\";s:4:\"5141\";s:5:\"title\";s:12:\"Portfolio 10\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_10.png\";s:12:\"tmpl_created\";s:10:\"1520520601\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"344\";s:11:\"trend_index\";s:3:\"498\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:136;a:14:{s:2:\"id\";s:4:\"5149\";s:5:\"title\";s:11:\"Portfolio 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_10.png\";s:12:\"tmpl_created\";s:10:\"1520520602\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"335\";s:11:\"trend_index\";s:3:\"520\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:137;a:14:{s:2:\"id\";s:4:\"5542\";s:5:\"title\";s:6:\"CTA 19\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520520681\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-19/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"161\";s:11:\"trend_index\";s:3:\"190\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:138;a:14:{s:2:\"id\";s:4:\"5550\";s:5:\"title\";s:6:\"CTA 33\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520520682\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-33/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"271\";s:11:\"trend_index\";s:3:\"240\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:139;a:14:{s:2:\"id\";s:4:\"5558\";s:5:\"title\";s:5:\"CTA 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520520684\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"134\";s:11:\"trend_index\";s:3:\"172\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:140;a:14:{s:2:\"id\";s:4:\"5567\";s:5:\"title\";s:5:\"CTA 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520520685\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"165\";s:11:\"trend_index\";s:3:\"186\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:141;a:14:{s:2:\"id\";s:5:\"11231\";s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/Post_small1.png\";s:12:\"tmpl_created\";s:10:\"1564642380\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/digital-agency/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"212\";s:11:\"trend_index\";s:3:\"101\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:142;a:14:{s:2:\"id\";s:4:\"5583\";s:5:\"title\";s:6:\"CTA 26\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520520689\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-26/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"211\";s:11:\"trend_index\";s:2:\"82\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:143;a:14:{s:2:\"id\";s:5:\"11220\";s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/08/Archive_small1.png\";s:12:\"tmpl_created\";s:10:\"1564642385\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/digital-agency-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"164\";s:11:\"trend_index\";s:2:\"43\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:144;a:14:{s:2:\"id\";s:4:\"5591\";s:5:\"title\";s:5:\"CTA 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520520691\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"123\";s:11:\"trend_index\";s:3:\"129\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:145;a:14:{s:2:\"id\";s:5:\"11204\";s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/07/404_small.jpg\";s:12:\"tmpl_created\";s:10:\"1564642389\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/digital-agency-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:36:\"[\"404\",\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"371\";s:11:\"trend_index\";s:3:\"311\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:146;a:14:{s:2:\"id\";s:4:\"5599\";s:5:\"title\";s:5:\"CTA 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520520693\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"275\";s:11:\"trend_index\";s:3:\"252\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:147;a:14:{s:2:\"id\";s:5:\"11198\";s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Header_small_3.jpg\";s:12:\"tmpl_created\";s:10:\"1564642395\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/digital-agency-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"header\",\"marketing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"71\";s:11:\"trend_index\";s:2:\"11\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:148;a:14:{s:2:\"id\";s:4:\"5607\";s:5:\"title\";s:6:\"CTA 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_5.png\";s:12:\"tmpl_created\";s:10:\"1520520695\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"118\";s:11:\"trend_index\";s:2:\"13\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:149;a:14:{s:2:\"id\";s:5:\"11192\";s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/07/Footer_small.jpg\";s:12:\"tmpl_created\";s:10:\"1564642399\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/digital-agency-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"footer\",\"marketing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"256\";s:11:\"trend_index\";s:3:\"124\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:150;a:14:{s:2:\"id\";s:4:\"5634\";s:5:\"title\";s:6:\"CTA 24\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520520699\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-24/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"171\";s:11:\"trend_index\";s:3:\"192\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:151;a:14:{s:2:\"id\";s:4:\"5642\";s:5:\"title\";s:6:\"CTA 25\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_6.png\";s:12:\"tmpl_created\";s:10:\"1520520701\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-25/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"216\";s:11:\"trend_index\";s:3:\"224\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:152;a:14:{s:2:\"id\";s:4:\"5650\";s:5:\"title\";s:5:\"CTA 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520520702\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"102\";s:11:\"trend_index\";s:2:\"88\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:153;a:14:{s:2:\"id\";s:4:\"5658\";s:5:\"title\";s:5:\"CTA 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_7.png\";s:12:\"tmpl_created\";s:10:\"1520520704\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"193\";s:11:\"trend_index\";s:3:\"188\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:154;a:14:{s:2:\"id\";s:4:\"5667\";s:5:\"title\";s:5:\"CTA 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520520705\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"147\";s:11:\"trend_index\";s:3:\"207\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:155;a:14:{s:2:\"id\";s:4:\"5675\";s:5:\"title\";s:5:\"CTA 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_8.png\";s:12:\"tmpl_created\";s:10:\"1520520707\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/cta-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"361\";s:11:\"trend_index\";s:3:\"310\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:156;a:14:{s:2:\"id\";s:4:\"5860\";s:5:\"title\";s:6:\"CTA 17\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520520746\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"135\";s:11:\"trend_index\";s:3:\"137\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:157;a:14:{s:2:\"id\";s:4:\"5869\";s:5:\"title\";s:6:\"CTA 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_10.png\";s:12:\"tmpl_created\";s:10:\"1520520747\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"294\";s:11:\"trend_index\";s:3:\"372\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:158;a:14:{s:2:\"id\";s:4:\"5877\";s:5:\"title\";s:6:\"CTA 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_10.png\";s:12:\"tmpl_created\";s:10:\"1520520749\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"463\";s:11:\"trend_index\";s:3:\"419\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:159;a:14:{s:2:\"id\";s:5:\"11468\";s:5:\"title\";s:20:\"Classic | Sale | Gym\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/PopUp_Small.png\";s:12:\"tmpl_created\";s:10:\"1567393182\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/popups/classic-sale-gym/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"618\";s:11:\"trend_index\";s:3:\"581\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:160;a:14:{s:2:\"id\";s:4:\"5885\";s:5:\"title\";s:6:\"CTA 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_11.png\";s:12:\"tmpl_created\";s:10:\"1520520751\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"282\";s:11:\"trend_index\";s:3:\"211\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:161;a:14:{s:2:\"id\";s:5:\"11461\";s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Header_Small.png\";s:12:\"tmpl_created\";s:10:\"1567393219\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:100:\"https://library.elementor.com/blocks/gym/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:16:\"[\"Gym\",\"header\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"291\";s:11:\"trend_index\";s:3:\"154\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:162;a:14:{s:2:\"id\";s:4:\"5893\";s:5:\"title\";s:6:\"CTA 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_12.png\";s:12:\"tmpl_created\";s:10:\"1520520752\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-21/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"249\";s:11:\"trend_index\";s:3:\"318\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:163;a:14:{s:2:\"id\";s:5:\"11453\";s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Footer_Small.png\";s:12:\"tmpl_created\";s:10:\"1567393224\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/gym-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:16:\"[\"footer\",\"Gym\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"350\";s:11:\"trend_index\";s:3:\"179\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:164;a:14:{s:2:\"id\";s:4:\"5904\";s:5:\"title\";s:6:\"CTA 27\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_13.png\";s:12:\"tmpl_created\";s:10:\"1520520754\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-27/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"422\";s:11:\"trend_index\";s:3:\"567\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:165;a:14:{s:2:\"id\";s:5:\"11445\";s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Post_Small.png\";s:12:\"tmpl_created\";s:10:\"1567393229\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/gym-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"458\";s:11:\"trend_index\";s:3:\"344\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:166;a:14:{s:2:\"id\";s:4:\"5912\";s:5:\"title\";s:6:\"CTA 28\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_11.png\";s:12:\"tmpl_created\";s:10:\"1520520755\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-28/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"555\";s:11:\"trend_index\";s:3:\"588\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:167;a:14:{s:2:\"id\";s:5:\"11435\";s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Archiv_Small.png\";s:12:\"tmpl_created\";s:10:\"1567393296\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/gym-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"438\";s:11:\"trend_index\";s:3:\"194\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:168;a:14:{s:2:\"id\";s:4:\"5921\";s:5:\"title\";s:6:\"CTA 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_14.png\";s:12:\"tmpl_created\";s:10:\"1520520757\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"258\";s:11:\"trend_index\";s:3:\"285\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:169;a:14:{s:2:\"id\";s:5:\"11424\";s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/08/404_Small.png\";s:12:\"tmpl_created\";s:10:\"1567393309\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/blocks/gym-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:13:\"[\"404\",\"Gym\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"607\";s:11:\"trend_index\";s:3:\"613\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:170;a:14:{s:2:\"id\";s:4:\"5930\";s:5:\"title\";s:6:\"CTA 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_15.png\";s:12:\"tmpl_created\";s:10:\"1520520758\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"73\";s:11:\"trend_index\";s:2:\"96\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:171;a:14:{s:2:\"id\";s:4:\"5939\";s:5:\"title\";s:6:\"CTA 10\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_13-1.png\";s:12:\"tmpl_created\";s:10:\"1520520760\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"175\";s:11:\"trend_index\";s:3:\"261\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:172;a:14:{s:2:\"id\";s:4:\"7596\";s:5:\"title\";s:8:\"Header 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.12.jpg\";s:12:\"tmpl_created\";s:10:\"1521546999\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"header\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"37\";s:11:\"trend_index\";s:2:\"24\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:173;a:14:{s:2:\"id\";s:4:\"7615\";s:5:\"title\";s:8:\"Header 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.1.jpg\";s:12:\"tmpl_created\";s:10:\"1521547237\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"header\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"29\";s:11:\"trend_index\";s:2:\"23\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:174;a:14:{s:2:\"id\";s:4:\"7627\";s:5:\"title\";s:8:\"Footer 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_1.png\";s:12:\"tmpl_created\";s:10:\"1521547332\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/footer-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"footer\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"110\";s:11:\"trend_index\";s:2:\"98\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:175;a:14:{s:2:\"id\";s:5:\"11822\";s:5:\"title\";s:30:\"Full Screen | Menu | Portfolio\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/PopUp_small.png\";s:12:\"tmpl_created\";s:10:\"1569429896\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/full-screen-menu-portfolio/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"584\";s:11:\"trend_index\";s:3:\"524\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:176;a:14:{s:2:\"id\";s:4:\"7638\";s:5:\"title\";s:8:\"Footer 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_2.png\";s:12:\"tmpl_created\";s:10:\"1521547502\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/footer-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"footer\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"125\";s:11:\"trend_index\";s:2:\"86\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:177;a:14:{s:2:\"id\";s:5:\"11877\";s:5:\"title\";s:27:\"Portfolio &#8211; Project 3\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project3_small.png\";s:12:\"tmpl_created\";s:10:\"1569429954\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/portfolio-project-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"599\";s:11:\"trend_index\";s:3:\"550\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:178;a:14:{s:2:\"id\";s:4:\"7663\";s:5:\"title\";s:13:\"Single Post 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_2_v2.jpg\";s:12:\"tmpl_created\";s:10:\"1521547761\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"46\";s:11:\"trend_index\";s:2:\"49\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:179;a:14:{s:2:\"id\";s:5:\"11870\";s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";s:10:\"1569429964\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/portfolio-project-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"573\";s:11:\"trend_index\";s:3:\"532\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:180;a:14:{s:2:\"id\";s:4:\"7650\";s:5:\"title\";s:13:\"Single Post 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_1_v2.jpg\";s:12:\"tmpl_created\";s:10:\"1521557736\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"94\";s:11:\"trend_index\";s:3:\"125\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:181;a:14:{s:2:\"id\";s:5:\"11861\";s:5:\"title\";s:27:\"Portfolio &#8211; Project 1\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project1_small.png\";s:12:\"tmpl_created\";s:10:\"1569429975\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/portfolio-project-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"570\";s:11:\"trend_index\";s:3:\"468\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:182;a:14:{s:2:\"id\";s:4:\"7686\";s:5:\"title\";s:12:\"Blog Posts 1\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2018/03/blog_posts.png\";s:12:\"tmpl_created\";s:10:\"1521558047\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/blog-posts-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:26:\"[\"archive\",\"Blog\",\"posts\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"120\";s:11:\"trend_index\";s:3:\"113\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:183;a:14:{s:2:\"id\";s:5:\"11854\";s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/09/Post_small.png\";s:12:\"tmpl_created\";s:10:\"1569429983\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/portfolio/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"496\";s:11:\"trend_index\";s:3:\"356\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:184;a:14:{s:2:\"id\";s:4:\"4676\";s:5:\"title\";s:8:\"Footer 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_7.png\";s:12:\"tmpl_created\";s:10:\"1522014215\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/footer_7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"footer\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"220\";s:11:\"trend_index\";s:3:\"245\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:185;a:14:{s:2:\"id\";s:5:\"11847\";s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Archiv_small.png\";s:12:\"tmpl_created\";s:10:\"1569430010\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"390\";s:11:\"trend_index\";s:3:\"255\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:186;a:14:{s:2:\"id\";s:4:\"7997\";s:5:\"title\";s:10:\"footer 014\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.1.jpg\";s:12:\"tmpl_created\";s:10:\"1524582343\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/footer-014/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"87\";s:11:\"trend_index\";s:2:\"54\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:187;a:14:{s:2:\"id\";s:5:\"11839\";s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";s:10:\"1569430015\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"349\";s:11:\"trend_index\";s:3:\"151\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:188;a:14:{s:2:\"id\";s:4:\"7982\";s:5:\"title\";s:10:\"footer 013\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.2.jpg\";s:12:\"tmpl_created\";s:10:\"1524582468\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/footer-013/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"236\";s:11:\"trend_index\";s:3:\"174\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:189;a:14:{s:2:\"id\";s:5:\"11832\";s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Footer_small.png\";s:12:\"tmpl_created\";s:10:\"1569430019\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-19/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"footer\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"367\";s:11:\"trend_index\";s:3:\"169\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:190;a:14:{s:2:\"id\";s:4:\"7959\";s:5:\"title\";s:10:\"footer 012\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.3.jpg\";s:12:\"tmpl_created\";s:10:\"1524582605\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/footer-012/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"184\";s:11:\"trend_index\";s:3:\"256\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:191;a:14:{s:2:\"id\";s:5:\"11807\";s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/09/404_small.png\";s:12:\"tmpl_created\";s:10:\"1569430070\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/portfolio-20/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"523\";s:11:\"trend_index\";s:3:\"389\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:192;a:14:{s:2:\"id\";s:4:\"7950\";s:5:\"title\";s:10:\"footer 011\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.4.jpg\";s:12:\"tmpl_created\";s:10:\"1524582631\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/footer-011/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"255\";s:11:\"trend_index\";s:3:\"278\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:193;a:14:{s:2:\"id\";s:4:\"7937\";s:5:\"title\";s:10:\"footer 010\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.5.jpg\";s:12:\"tmpl_created\";s:10:\"1524582665\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/footer-010/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"210\";s:11:\"trend_index\";s:3:\"199\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:194;a:14:{s:2:\"id\";s:5:\"11897\";s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";s:10:\"1569494236\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-project-2-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"635\";s:11:\"trend_index\";s:3:\"571\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:195;a:14:{s:2:\"id\";s:4:\"7927\";s:5:\"title\";s:9:\"footer 09\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.6.jpg\";s:12:\"tmpl_created\";s:10:\"1524582691\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-09/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"180\";s:11:\"trend_index\";s:3:\"171\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:196;a:14:{s:2:\"id\";s:5:\"11890\";s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";s:10:\"1571907344\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"393\";s:11:\"trend_index\";s:3:\"156\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:197;a:14:{s:2:\"id\";s:4:\"7917\";s:5:\"title\";s:9:\"footer 08\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.7.jpg\";s:12:\"tmpl_created\";s:10:\"1524582788\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-08/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"99\";s:11:\"trend_index\";s:2:\"95\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:198;a:14:{s:2:\"id\";s:4:\"7904\";s:5:\"title\";s:9:\"footer 07\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.8.jpg\";s:12:\"tmpl_created\";s:10:\"1524582814\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-07/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"197\";s:11:\"trend_index\";s:3:\"152\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:199;a:14:{s:2:\"id\";s:4:\"7837\";s:5:\"title\";s:9:\"footer 01\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.14.jpg\";s:12:\"tmpl_created\";s:10:\"1524582852\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"428\";s:11:\"trend_index\";s:3:\"398\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:200;a:14:{s:2:\"id\";s:4:\"7852\";s:5:\"title\";s:9:\"footer 02\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.13.jpg\";s:12:\"tmpl_created\";s:10:\"1524582875\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-02/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"217\";s:11:\"trend_index\";s:3:\"185\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:201;a:14:{s:2:\"id\";s:4:\"7862\";s:5:\"title\";s:9:\"footer 03\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.12.jpg\";s:12:\"tmpl_created\";s:10:\"1524582903\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-03/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"140\";s:11:\"trend_index\";s:3:\"163\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:202;a:14:{s:2:\"id\";s:5:\"12212\";s:5:\"title\";s:28:\"Law Firm &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/single.png\";s:12:\"tmpl_created\";s:10:\"1572846914\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/law-firm-single-post/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"441\";s:11:\"trend_index\";s:3:\"314\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:203;a:14:{s:2:\"id\";s:4:\"7871\";s:5:\"title\";s:9:\"footer 04\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.11.jpg\";s:12:\"tmpl_created\";s:10:\"1524582927\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-04/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"96\";s:11:\"trend_index\";s:2:\"87\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:204;a:14:{s:2:\"id\";s:5:\"12203\";s:5:\"title\";s:30:\"Law Firm &#8211; Search Archiv\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/11/search_result.png\";s:12:\"tmpl_created\";s:10:\"1572846925\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/law-firm-search-archiv/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"559\";s:11:\"trend_index\";s:3:\"503\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:205;a:14:{s:2:\"id\";s:4:\"7884\";s:5:\"title\";s:9:\"footer 05\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.10.jpg\";s:12:\"tmpl_created\";s:10:\"1524582944\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-05/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"67\";s:11:\"trend_index\";s:3:\"170\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:206;a:14:{s:2:\"id\";s:5:\"12194\";s:5:\"title\";s:23:\"Law Firm &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/header.png\";s:12:\"tmpl_created\";s:10:\"1572846935\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/law-firm-header/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"header\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"209\";s:11:\"trend_index\";s:2:\"38\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:207;a:14:{s:2:\"id\";s:4:\"7892\";s:5:\"title\";s:9:\"footer 06\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.9.jpg\";s:12:\"tmpl_created\";s:10:\"1524583015\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/footer-06/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"113\";s:11:\"trend_index\";s:3:\"128\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:208;a:14:{s:2:\"id\";s:5:\"12179\";s:5:\"title\";s:23:\"Law Firm &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/footer.png\";s:12:\"tmpl_created\";s:10:\"1572846958\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/law-firm-footer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"footer\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"476\";s:11:\"trend_index\";s:3:\"335\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:209;a:14:{s:2:\"id\";s:4:\"4212\";s:5:\"title\";s:11:\"Services 23\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443248\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-23/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"132\";s:11:\"trend_index\";s:3:\"108\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:210;a:14:{s:2:\"id\";s:4:\"7825\";s:5:\"title\";s:9:\"header 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.11.jpg\";s:12:\"tmpl_created\";s:10:\"1524583273\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/header-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"78\";s:11:\"trend_index\";s:2:\"74\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:211;a:14:{s:2:\"id\";s:5:\"12170\";s:5:\"title\";s:23:\"Law Firm &#8211; Archiv\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/archiv.png\";s:12:\"tmpl_created\";s:10:\"1572846967\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/law-firm-archiv/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"488\";s:11:\"trend_index\";s:3:\"237\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:212;a:14:{s:2:\"id\";s:4:\"4227\";s:5:\"title\";s:11:\"Services 30\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443250\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-30/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"334\";s:11:\"trend_index\";s:3:\"298\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:213;a:14:{s:2:\"id\";s:4:\"7812\";s:5:\"title\";s:9:\"header 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.10.jpg\";s:12:\"tmpl_created\";s:10:\"1524583298\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/header-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"108\";s:11:\"trend_index\";s:3:\"120\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:214;a:14:{s:2:\"id\";s:5:\"12164\";s:5:\"title\";s:20:\"Law Firm &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/11/404.png\";s:12:\"tmpl_created\";s:10:\"1572846979\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/law-firm-404/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"636\";s:11:\"trend_index\";s:3:\"604\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:215;a:14:{s:2:\"id\";s:4:\"4235\";s:5:\"title\";s:11:\"Services 18\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443251\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"287\";s:11:\"trend_index\";s:3:\"259\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:216;a:14:{s:2:\"id\";s:4:\"7724\";s:5:\"title\";s:8:\"header 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.3.jpg\";s:12:\"tmpl_created\";s:10:\"1524583367\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"31\";s:11:\"trend_index\";s:2:\"26\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:217;a:14:{s:2:\"id\";s:4:\"4244\";s:5:\"title\";s:11:\"Services 26\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443253\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-26/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"451\";s:11:\"trend_index\";s:3:\"404\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:218;a:14:{s:2:\"id\";s:4:\"7734\";s:5:\"title\";s:8:\"header 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.4.jpg\";s:12:\"tmpl_created\";s:10:\"1524583436\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"39\";s:11:\"trend_index\";s:2:\"60\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:219;a:14:{s:2:\"id\";s:4:\"4252\";s:5:\"title\";s:10:\"Services 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443255\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/services-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"48\";s:11:\"trend_index\";s:2:\"31\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:220;a:14:{s:2:\"id\";s:4:\"7771\";s:5:\"title\";s:8:\"header 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.7.jpg\";s:12:\"tmpl_created\";s:10:\"1524583540\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"103\";s:11:\"trend_index\";s:2:\"63\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:221;a:14:{s:2:\"id\";s:4:\"4260\";s:5:\"title\";s:11:\"Services 25\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443257\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-25/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"191\";s:11:\"trend_index\";s:3:\"162\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:222;a:14:{s:2:\"id\";s:4:\"7787\";s:5:\"title\";s:8:\"header 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.8.jpg\";s:12:\"tmpl_created\";s:10:\"1524583598\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"105\";s:11:\"trend_index\";s:2:\"58\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:223;a:14:{s:2:\"id\";s:4:\"4268\";s:5:\"title\";s:10:\"Services 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443259\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/services-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"158\";s:11:\"trend_index\";s:3:\"281\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:224;a:14:{s:2:\"id\";s:4:\"7801\";s:5:\"title\";s:9:\"header 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.9.jpg\";s:12:\"tmpl_created\";s:10:\"1524583659\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/header-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"56\";s:11:\"trend_index\";s:2:\"42\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:225;a:14:{s:2:\"id\";s:4:\"4276\";s:5:\"title\";s:11:\"Services 24\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443261\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-24/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"341\";s:11:\"trend_index\";s:3:\"354\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:226;a:14:{s:2:\"id\";s:4:\"7754\";s:5:\"title\";s:8:\"header 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.6.jpg\";s:12:\"tmpl_created\";s:10:\"1524583712\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"77\";s:11:\"trend_index\";s:3:\"142\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:227;a:14:{s:2:\"id\";s:4:\"4284\";s:5:\"title\";s:10:\"Services 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443263\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/services-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"53\";s:11:\"trend_index\";s:2:\"16\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:228;a:14:{s:2:\"id\";s:4:\"7713\";s:5:\"title\";s:8:\"header 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.2.jpg\";s:12:\"tmpl_created\";s:10:\"1524584780\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"49\";s:11:\"trend_index\";s:2:\"53\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:229;a:14:{s:2:\"id\";s:4:\"4293\";s:5:\"title\";s:10:\"Services 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443265\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/services-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"276\";s:11:\"trend_index\";s:3:\"357\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:230;a:14:{s:2:\"id\";s:4:\"7744\";s:5:\"title\";s:8:\"Header 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.5.jpg\";s:12:\"tmpl_created\";s:10:\"1524584784\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/header-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"54\";s:11:\"trend_index\";s:2:\"97\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:231;a:14:{s:2:\"id\";s:4:\"4302\";s:5:\"title\";s:10:\"Services 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520443266\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/services-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"69\";s:11:\"trend_index\";s:2:\"67\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:232;a:14:{s:2:\"id\";s:5:\"12229\";s:5:\"title\";s:33:\"Slide In | Law Firm | Information\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/popup.png\";s:12:\"tmpl_created\";s:10:\"1572847842\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/popups/slide-in-law-firm-information/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"563\";s:11:\"trend_index\";s:3:\"435\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:233;a:14:{s:2:\"id\";s:4:\"4313\";s:5:\"title\";s:11:\"Services 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520443268\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"130\";s:11:\"trend_index\";s:3:\"115\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:234;a:14:{s:2:\"id\";s:4:\"8523\";s:5:\"title\";s:11:\"404 page 06\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/006.jpg\";s:12:\"tmpl_created\";s:10:\"1526415291\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-06/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"303\";s:11:\"trend_index\";s:3:\"336\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:235;a:14:{s:2:\"id\";s:5:\"12550\";s:5:\"title\";s:32:\"Fly-in | Sale | Travel and Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_s.png\";s:12:\"tmpl_created\";s:10:\"1575960263\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/popups/flyin-sale-travel-and-tours/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"657\";s:11:\"trend_index\";s:3:\"631\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:236;a:14:{s:2:\"id\";s:4:\"4324\";s:5:\"title\";s:11:\"Services 14\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520443270\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"292\";s:11:\"trend_index\";s:3:\"271\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:237;a:14:{s:2:\"id\";s:4:\"8524\";s:5:\"title\";s:11:\"404 page 07\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/007.jpg\";s:12:\"tmpl_created\";s:10:\"1526415337\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-07/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"297\";s:11:\"trend_index\";s:3:\"450\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:238;a:14:{s:2:\"id\";s:5:\"12540\";s:5:\"title\";s:33:\"Classic | Menu | Travel and tours\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_Menu_s.png\";s:12:\"tmpl_created\";s:10:\"1575960267\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/popups/classic-menu-travel-and-tours/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"622\";s:11:\"trend_index\";s:3:\"555\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:239;a:14:{s:2:\"id\";s:4:\"4332\";s:5:\"title\";s:11:\"Services 22\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_10.png\";s:12:\"tmpl_created\";s:10:\"1520443272\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-22/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"142\";s:11:\"trend_index\";s:3:\"144\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:240;a:14:{s:2:\"id\";s:4:\"8525\";s:5:\"title\";s:11:\"404 page 08\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/008.jpg\";s:12:\"tmpl_created\";s:10:\"1526415374\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-08/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"449\";s:11:\"trend_index\";s:3:\"595\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:241;a:14:{s:2:\"id\";s:5:\"12492\";s:5:\"title\";s:14:\"Travel -Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Footer_s.png\";s:12:\"tmpl_created\";s:10:\"1575960358\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/travel-footer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"footer\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"518\";s:11:\"trend_index\";s:3:\"305\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:242;a:14:{s:2:\"id\";s:4:\"4341\";s:5:\"title\";s:11:\"Services 21\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_11.png\";s:12:\"tmpl_created\";s:10:\"1520443274\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-21/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"141\";s:11:\"trend_index\";s:3:\"138\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:243;a:14:{s:2:\"id\";s:4:\"8513\";s:5:\"title\";s:11:\"404 page 04\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/004.jpg\";s:12:\"tmpl_created\";s:10:\"1526415417\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-04/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"408\";s:11:\"trend_index\";s:3:\"538\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:244;a:14:{s:2:\"id\";s:5:\"12500\";s:5:\"title\";s:21:\"Travel &#8211; Header\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Header_s.png\";s:12:\"tmpl_created\";s:10:\"1575960371\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/travel-header/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"header\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"478\";s:11:\"trend_index\";s:3:\"176\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:245;a:14:{s:2:\"id\";s:4:\"4349\";s:5:\"title\";s:11:\"Services 29\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_11.png\";s:12:\"tmpl_created\";s:10:\"1520443275\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-29/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"313\";s:11:\"trend_index\";s:3:\"257\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:246;a:14:{s:2:\"id\";s:4:\"8512\";s:5:\"title\";s:11:\"404 page 03\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/003.jpg\";s:12:\"tmpl_created\";s:10:\"1526415449\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-03/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"447\";s:11:\"trend_index\";s:3:\"501\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:247;a:14:{s:2:\"id\";s:5:\"12509\";s:5:\"title\";s:18:\"Travel &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/404.png\";s:12:\"tmpl_created\";s:10:\"1575960378\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/travel-404/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"642\";s:11:\"trend_index\";s:3:\"579\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:248;a:14:{s:2:\"id\";s:4:\"4357\";s:5:\"title\";s:11:\"Services 20\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_12.png\";s:12:\"tmpl_created\";s:10:\"1520443277\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-20/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"47\";s:11:\"trend_index\";s:2:\"44\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:249;a:14:{s:2:\"id\";s:4:\"8526\";s:5:\"title\";s:11:\"404 page 09\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/009.jpg\";s:12:\"tmpl_created\";s:10:\"1526415474\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-09/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"448\";s:11:\"trend_index\";s:3:\"607\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:250;a:14:{s:2:\"id\";s:5:\"12516\";s:5:\"title\";s:27:\"Travel &#8211; Archive Blog\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Archiv_s.png\";s:12:\"tmpl_created\";s:10:\"1575960387\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/travel-archive-blog/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"531\";s:11:\"trend_index\";s:3:\"307\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:251;a:14:{s:2:\"id\";s:4:\"4368\";s:5:\"title\";s:11:\"Services 16\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_13.png\";s:12:\"tmpl_created\";s:10:\"1520443279\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"66\";s:11:\"trend_index\";s:2:\"73\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:252;a:14:{s:2:\"id\";s:4:\"8505\";s:5:\"title\";s:11:\"404 page 01\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/001.jpg\";s:12:\"tmpl_created\";s:10:\"1526415501\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"526\";s:11:\"trend_index\";s:3:\"561\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:253;a:14:{s:2:\"id\";s:5:\"12524\";s:5:\"title\";s:26:\"Travel &#8211; Single Post\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Post_s.png\";s:12:\"tmpl_created\";s:10:\"1575960397\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/travel-single-post/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"572\";s:11:\"trend_index\";s:3:\"494\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:254;a:14:{s:2:\"id\";s:4:\"4376\";s:5:\"title\";s:11:\"Services 28\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_12.png\";s:12:\"tmpl_created\";s:10:\"1520443281\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-28/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"145\";s:11:\"trend_index\";s:3:\"132\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:255;a:14:{s:2:\"id\";s:4:\"8511\";s:5:\"title\";s:11:\"404 page 02\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/002.jpg\";s:12:\"tmpl_created\";s:10:\"1526415528\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-02/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"356\";s:11:\"trend_index\";s:3:\"418\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:256;a:14:{s:2:\"id\";s:5:\"12531\";s:5:\"title\";s:31:\"Travel &#8211; Single Post Tour\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Tour_s.png\";s:12:\"tmpl_created\";s:10:\"1575960404\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/travel-single-post-tour/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"594\";s:11:\"trend_index\";s:3:\"497\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:257;a:14:{s:2:\"id\";s:4:\"4391\";s:5:\"title\";s:11:\"Services 17\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_14.png\";s:12:\"tmpl_created\";s:10:\"1520443283\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"149\";s:11:\"trend_index\";s:3:\"134\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:258;a:14:{s:2:\"id\";s:4:\"8514\";s:5:\"title\";s:11:\"404 Page 05\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/005.jpg\";s:12:\"tmpl_created\";s:10:\"1526415558\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/404-page-05/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"407\";s:11:\"trend_index\";s:3:\"566\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:259;a:14:{s:2:\"id\";s:4:\"4400\";s:5:\"title\";s:11:\"Services 27\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_13.png\";s:12:\"tmpl_created\";s:10:\"1520443285\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/services-27/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"services\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"262\";s:11:\"trend_index\";s:3:\"263\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:260;a:14:{s:2:\"id\";s:4:\"8676\";s:5:\"title\";s:13:\"single page 1\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.6.jpg\";s:12:\"tmpl_created\";s:10:\"1527682423\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"330\";s:11:\"trend_index\";s:3:\"234\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:261;a:14:{s:2:\"id\";s:4:\"4411\";s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443287\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/contact-3-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"92\";s:11:\"trend_index\";s:3:\"114\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:262;a:14:{s:2:\"id\";s:4:\"8678\";s:5:\"title\";s:13:\"single page 2\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.2.jpg\";s:12:\"tmpl_created\";s:10:\"1527682780\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"179\";s:11:\"trend_index\";s:3:\"161\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:263;a:14:{s:2:\"id\";s:4:\"4420\";s:5:\"title\";s:9:\"Contact 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443289\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/contact-1-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"178\";s:11:\"trend_index\";s:3:\"217\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:264;a:14:{s:2:\"id\";s:4:\"8679\";s:5:\"title\";s:13:\"single page 3\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.3.jpg\";s:12:\"tmpl_created\";s:10:\"1527682847\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"195\";s:11:\"trend_index\";s:3:\"175\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:265;a:14:{s:2:\"id\";s:4:\"4428\";s:5:\"title\";s:9:\"Contact 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443291\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"97\";s:11:\"trend_index\";s:3:\"133\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:266;a:14:{s:2:\"id\";s:4:\"8680\";s:5:\"title\";s:13:\"single page 4\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.1.jpg\";s:12:\"tmpl_created\";s:10:\"1527682896\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"406\";s:11:\"trend_index\";s:3:\"471\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:267;a:14:{s:2:\"id\";s:4:\"4436\";s:5:\"title\";s:11:\"Contact  16\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443293\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/contact-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"160\";s:11:\"trend_index\";s:3:\"166\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:268;a:14:{s:2:\"id\";s:4:\"8681\";s:5:\"title\";s:13:\"single page 5\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.5.jpg\";s:12:\"tmpl_created\";s:10:\"1527682969\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"311\";s:11:\"trend_index\";s:3:\"312\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:269;a:14:{s:2:\"id\";s:4:\"4444\";s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443295\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"91\";s:11:\"trend_index\";s:2:\"77\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:270;a:14:{s:2:\"id\";s:4:\"8682\";s:5:\"title\";s:13:\"single page 6\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.4.jpg\";s:12:\"tmpl_created\";s:10:\"1527683026\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"424\";s:11:\"trend_index\";s:3:\"384\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:271;a:14:{s:2:\"id\";s:4:\"4452\";s:5:\"title\";s:9:\"Contact 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443296\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"148\";s:11:\"trend_index\";s:3:\"135\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:272;a:14:{s:2:\"id\";s:4:\"8703\";s:5:\"title\";s:13:\"single page 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.7.jpg\";s:12:\"tmpl_created\";s:10:\"1527683072\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-page-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"400\";s:11:\"trend_index\";s:3:\"451\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:273;a:14:{s:2:\"id\";s:4:\"4460\";s:5:\"title\";s:9:\"Contact 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443298\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"122\";s:11:\"trend_index\";s:3:\"110\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:274;a:14:{s:2:\"id\";s:4:\"8961\";s:5:\"title\";s:9:\"archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.1.jpg\";s:12:\"tmpl_created\";s:10:\"1528639909\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"80\";s:11:\"trend_index\";s:3:\"180\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:275;a:14:{s:2:\"id\";s:4:\"4468\";s:5:\"title\";s:9:\"Contact 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443301\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"contact\",\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"137\";s:11:\"trend_index\";s:3:\"159\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:276;a:14:{s:2:\"id\";s:4:\"8969\";s:5:\"title\";s:9:\"archive 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.2.jpg\";s:12:\"tmpl_created\";s:10:\"1528700014\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"215\";s:11:\"trend_index\";s:3:\"394\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:277;a:14:{s:2:\"id\";s:5:\"12716\";s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post4_s.png\";s:12:\"tmpl_created\";s:10:\"1579060659\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-single-post-3-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"579\";s:11:\"trend_index\";s:3:\"355\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:278;a:14:{s:2:\"id\";s:4:\"4476\";s:5:\"title\";s:10:\"Contact 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443303\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/contact-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"contact\",\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"244\";s:11:\"trend_index\";s:3:\"272\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:279;a:14:{s:2:\"id\";s:4:\"8973\";s:5:\"title\";s:9:\"archive 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.3.jpg\";s:12:\"tmpl_created\";s:10:\"1528700205\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"172\";s:11:\"trend_index\";s:3:\"209\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:280;a:14:{s:2:\"id\";s:5:\"12707\";s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post1_s.png\";s:12:\"tmpl_created\";s:10:\"1579060669\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/magazine-single-post-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"575\";s:11:\"trend_index\";s:3:\"350\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:281;a:14:{s:2:\"id\";s:4:\"4484\";s:5:\"title\";s:9:\"Contact 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443305\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/contact-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"contact\",\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"322\";s:11:\"trend_index\";s:3:\"424\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:282;a:14:{s:2:\"id\";s:4:\"8977\";s:5:\"title\";s:9:\"archive 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.4.jpg\";s:12:\"tmpl_created\";s:10:\"1528700326\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"332\";s:11:\"trend_index\";s:3:\"466\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:283;a:14:{s:2:\"id\";s:5:\"12699\";s:5:\"title\";s:30:\"Magazine &#8211; Single Post 2\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post3_s.png\";s:12:\"tmpl_created\";s:10:\"1579060680\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/magazine-single-post-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"543\";s:11:\"trend_index\";s:3:\"230\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:284;a:14:{s:2:\"id\";s:4:\"4492\";s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443307\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/contact-5-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"contact\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"44\";s:11:\"trend_index\";s:2:\"36\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:285;a:14:{s:2:\"id\";s:4:\"8981\";s:5:\"title\";s:9:\"archive 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.5.jpg\";s:12:\"tmpl_created\";s:10:\"1528700484\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"301\";s:11:\"trend_index\";s:3:\"410\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:286;a:14:{s:2:\"id\";s:5:\"12688\";s:5:\"title\";s:30:\"Magazine &#8211; Single Post 1\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post2_s.png\";s:12:\"tmpl_created\";s:10:\"1579060692\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/magazine-single-post-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"530\";s:11:\"trend_index\";s:3:\"268\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:287;a:14:{s:2:\"id\";s:4:\"4500\";s:5:\"title\";s:9:\"Pricing 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443308\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"435\";s:11:\"trend_index\";s:3:\"484\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:288;a:14:{s:2:\"id\";s:4:\"8985\";s:5:\"title\";s:9:\"archive 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.6.jpg\";s:12:\"tmpl_created\";s:10:\"1528700612\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"203\";s:11:\"trend_index\";s:3:\"253\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:289;a:14:{s:2:\"id\";s:5:\"12678\";s:5:\"title\";s:23:\"Magazine &#8211; Header\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Header_s.png\";s:12:\"tmpl_created\";s:10:\"1579060701\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/magazine-header/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:28:\"[\"Blog\",\"header\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"426\";s:11:\"trend_index\";s:3:\"140\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:290;a:14:{s:2:\"id\";s:4:\"4509\";s:5:\"title\";s:9:\"Pricing 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443310\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"601\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:291;a:14:{s:2:\"id\";s:4:\"8989\";s:5:\"title\";s:9:\"archive 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.7.jpg\";s:12:\"tmpl_created\";s:10:\"1528701063\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"194\";s:11:\"trend_index\";s:3:\"280\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:292;a:14:{s:2:\"id\";s:5:\"12669\";s:5:\"title\";s:23:\"Magazine &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Footer_s.png\";s:12:\"tmpl_created\";s:10:\"1579060715\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/magazine-footer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:28:\"[\"Blog\",\"footer\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"544\";s:11:\"trend_index\";s:3:\"181\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:293;a:14:{s:2:\"id\";s:4:\"4521\";s:5:\"title\";s:9:\"Pricing 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443312\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"314\";s:11:\"trend_index\";s:3:\"301\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:294;a:14:{s:2:\"id\";s:4:\"8996\";s:5:\"title\";s:9:\"archive 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.8.jpg\";s:12:\"tmpl_created\";s:10:\"1528701290\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"192\";s:11:\"trend_index\";s:3:\"327\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:295;a:14:{s:2:\"id\";s:5:\"12661\";s:5:\"title\";s:23:\"Magazine &#8211; Search\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Search_s.png\";s:12:\"tmpl_created\";s:10:\"1579060722\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/magazine-search/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"566\";s:11:\"trend_index\";s:3:\"251\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:296;a:14:{s:2:\"id\";s:4:\"4529\";s:5:\"title\";s:9:\"Pricing 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443314\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"521\";s:11:\"trend_index\";s:3:\"523\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:297;a:14:{s:2:\"id\";s:4:\"9001\";s:5:\"title\";s:9:\"archive 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.9.jpg\";s:12:\"tmpl_created\";s:10:\"1528701433\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/archive-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"248\";s:11:\"trend_index\";s:3:\"388\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:298;a:14:{s:2:\"id\";s:5:\"12652\";s:5:\"title\";s:17:\"Magazine- Archiv2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv2_s.png\";s:12:\"tmpl_created\";s:10:\"1579060730\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/magazine-archiv2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"574\";s:11:\"trend_index\";s:3:\"184\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:299;a:14:{s:2:\"id\";s:4:\"4537\";s:5:\"title\";s:9:\"Pricing 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443315\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"497\";s:11:\"trend_index\";s:3:\"603\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:300;a:14:{s:2:\"id\";s:4:\"9119\";s:5:\"title\";s:10:\"footer 015\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/Footer_GetStarted_350.png\";s:12:\"tmpl_created\";s:10:\"1532428138\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/blocks/demo/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"252\";s:11:\"trend_index\";s:3:\"273\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:301;a:14:{s:2:\"id\";s:5:\"12643\";s:5:\"title\";s:24:\"Magazine &#8211; Archiv1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv1_s.png\";s:12:\"tmpl_created\";s:10:\"1579060737\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/magazine-archiv1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"527\";s:11:\"trend_index\";s:3:\"183\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:302;a:14:{s:2:\"id\";s:4:\"4545\";s:5:\"title\";s:9:\"Pricing 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443317\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"597\";s:11:\"trend_index\";s:3:\"632\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:303;a:14:{s:2:\"id\";s:4:\"9127\";s:5:\"title\";s:9:\"header 13\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2018/07/Header_get_started_1200V3.png\";s:12:\"tmpl_created\";s:10:\"1532428699\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/header-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"52\";s:11:\"trend_index\";s:2:\"69\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:304;a:14:{s:2:\"id\";s:5:\"12635\";s:5:\"title\";s:20:\"Magazine &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/01/404_s.png\";s:12:\"tmpl_created\";s:10:\"1579060746\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/magazine-404/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:25:\"[\"404\",\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"630\";s:11:\"trend_index\";s:3:\"402\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:305;a:14:{s:2:\"id\";s:4:\"4553\";s:5:\"title\";s:10:\"Pricing 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443319\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/pricing-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"459\";s:11:\"trend_index\";s:3:\"502\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:306;a:14:{s:2:\"id\";s:5:\"12736\";s:5:\"title\";s:41:\"Slide In | Contact Us | Magazine and Blog\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_contact_s.png\";s:12:\"tmpl_created\";s:10:\"1579060978\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/slide-in-contact-us/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"656\";s:11:\"trend_index\";s:3:\"627\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:307;a:14:{s:2:\"id\";s:4:\"4562\";s:5:\"title\";s:9:\"Pricing 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443322\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"582\";s:11:\"trend_index\";s:3:\"633\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:308;a:14:{s:2:\"id\";s:5:\"12726\";s:5:\"title\";s:52:\"Classic | Newsletter | Subscribe | Magazine and Blog\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_Newsletter_s.png\";s:12:\"tmpl_created\";s:10:\"1579061019\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-newsletter-subscribe-magazine-and-blog/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"569\";s:11:\"trend_index\";s:3:\"254\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:309;a:14:{s:2:\"id\";s:4:\"4572\";s:5:\"title\";s:10:\"Pricing 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443324\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/pricing-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"305\";s:11:\"trend_index\";s:3:\"326\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:310;a:14:{s:2:\"id\";s:4:\"9174\";s:5:\"title\";s:17:\"single product 01\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product01_350.png\";s:12:\"tmpl_created\";s:10:\"1532950125\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/single-product-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"57\";s:11:\"trend_index\";s:2:\"21\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:311;a:14:{s:2:\"id\";s:5:\"13089\";s:5:\"title\";s:23:\"Photography &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/02/404_s.png\";s:12:\"tmpl_created\";s:10:\"1582091623\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/photography-404/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:33:\"[\"404\",\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"659\";s:11:\"trend_index\";s:3:\"552\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:312;a:14:{s:2:\"id\";s:4:\"4580\";s:5:\"title\";s:10:\"Pricing 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443326\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/pricing-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"487\";s:11:\"trend_index\";s:3:\"431\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:313;a:14:{s:2:\"id\";s:4:\"9178\";s:5:\"title\";s:17:\"single product 02\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product02_350new.png\";s:12:\"tmpl_created\";s:10:\"1532951997\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/single-product-02/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"104\";s:11:\"trend_index\";s:2:\"64\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:314;a:14:{s:2:\"id\";s:5:\"13096\";s:5:\"title\";s:32:\"Photography &#8211; Archiv Media\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Archiv_s.png\";s:12:\"tmpl_created\";s:10:\"1582091742\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/photography-archiv-media/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"644\";s:11:\"trend_index\";s:3:\"390\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:315;a:14:{s:2:\"id\";s:4:\"4589\";s:5:\"title\";s:9:\"Pricing 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_6.png\";s:12:\"tmpl_created\";s:10:\"1520443327\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"600\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:316;a:14:{s:2:\"id\";s:4:\"9180\";s:5:\"title\";s:17:\"single product 03\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product03_350.png\";s:12:\"tmpl_created\";s:10:\"1532952302\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/single-product-03/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"143\";s:11:\"trend_index\";s:3:\"103\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:317;a:14:{s:2:\"id\";s:5:\"13103\";s:5:\"title\";s:26:\"Photography &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Footer_s.png\";s:12:\"tmpl_created\";s:10:\"1582091903\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/photography-footer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:36:\"[\"footer\",\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"586\";s:11:\"trend_index\";s:3:\"201\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:318;a:14:{s:2:\"id\";s:4:\"4597\";s:5:\"title\";s:10:\"Pricing 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520443330\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/pricing-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"513\";s:11:\"trend_index\";s:3:\"554\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:319;a:14:{s:2:\"id\";s:4:\"9182\";s:5:\"title\";s:17:\"single product 04\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product040_350.png\";s:12:\"tmpl_created\";s:10:\"1532952606\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/single-product-04/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"159\";s:11:\"trend_index\";s:3:\"141\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:320;a:14:{s:2:\"id\";s:5:\"13120\";s:5:\"title\";s:31:\"Photography &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Post_s.png\";s:12:\"tmpl_created\";s:10:\"1582092351\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/photography-single-post/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"655\";s:11:\"trend_index\";s:3:\"546\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:321;a:14:{s:2:\"id\";s:4:\"4605\";s:5:\"title\";s:9:\"Pricing 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_7.png\";s:12:\"tmpl_created\";s:10:\"1520443332\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/pricing-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"614\";s:11:\"trend_index\";s:3:\"621\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:322;a:14:{s:2:\"id\";s:4:\"9239\";s:5:\"title\";s:17:\"product archive 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-1.png\";s:12:\"tmpl_created\";s:10:\"1532953482\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/product-archive-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"107\";s:11:\"trend_index\";s:2:\"71\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:323;a:14:{s:2:\"id\";s:5:\"13112\";s:5:\"title\";s:26:\"Photography &#8211; Header\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Header_s.png\";s:12:\"tmpl_created\";s:10:\"1582092483\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/photography-header/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:36:\"[\"header\",\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"532\";s:11:\"trend_index\";s:2:\"89\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:324;a:14:{s:2:\"id\";s:4:\"4613\";s:5:\"title\";s:10:\"Pricing 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520443334\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/pricing-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"pricing\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"485\";s:11:\"trend_index\";s:3:\"556\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:325;a:14:{s:2:\"id\";s:4:\"9247\";s:5:\"title\";s:17:\"product archive 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-2.png\";s:12:\"tmpl_created\";s:10:\"1532953793\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/product-archive-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"119\";s:11:\"trend_index\";s:2:\"75\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:326;a:14:{s:2:\"id\";s:5:\"13129\";s:5:\"title\";s:28:\"Classic | Menu | Photography\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/PopUp_s.png\";s:12:\"tmpl_created\";s:10:\"1582092645\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/popups/classic-menu-photography/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"652\";s:11:\"trend_index\";s:3:\"444\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:327;a:14:{s:2:\"id\";s:4:\"9254\";s:5:\"title\";s:17:\"product archive 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-3.png\";s:12:\"tmpl_created\";s:10:\"1532954032\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/product-archive-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"126\";s:11:\"trend_index\";s:2:\"85\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:328;a:14:{s:2:\"id\";s:4:\"9301\";s:5:\"title\";s:13:\"Single Post 4\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3003.jpg\";s:12:\"tmpl_created\";s:10:\"1537440661\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"205\";s:11:\"trend_index\";s:3:\"279\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:329;a:14:{s:2:\"id\";s:4:\"9296\";s:5:\"title\";s:13:\"Single Post 3\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3002.jpg\";s:12:\"tmpl_created\";s:10:\"1537440673\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"190\";s:11:\"trend_index\";s:3:\"202\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:330;a:14:{s:2:\"id\";s:4:\"9313\";s:5:\"title\";s:13:\"Single Post 5\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3001.jpg\";s:12:\"tmpl_created\";s:10:\"1537440798\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"166\";s:11:\"trend_index\";s:3:\"203\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:331;a:14:{s:2:\"id\";s:4:\"9343\";s:5:\"title\";s:13:\"Single Post 6\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3004.jpg\";s:12:\"tmpl_created\";s:10:\"1537443531\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"183\";s:11:\"trend_index\";s:3:\"262\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:332;a:14:{s:2:\"id\";s:4:\"9349\";s:5:\"title\";s:13:\"Single Post 7\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3005.jpg\";s:12:\"tmpl_created\";s:10:\"1537443903\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/single-post-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"133\";s:11:\"trend_index\";s:3:\"196\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:333;a:14:{s:2:\"id\";s:4:\"4690\";s:5:\"title\";s:6:\"Team 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443348\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/team-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"230\";s:11:\"trend_index\";s:3:\"295\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:334;a:14:{s:2:\"id\";s:4:\"4698\";s:5:\"title\";s:7:\"Team 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443350\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"392\";s:11:\"trend_index\";s:3:\"486\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:335;a:14:{s:2:\"id\";s:4:\"4706\";s:5:\"title\";s:6:\"Team 5\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443352\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/team-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"139\";s:11:\"trend_index\";s:3:\"168\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:336;a:14:{s:2:\"id\";s:4:\"4718\";s:5:\"title\";s:6:\"Team 4\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443354\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/team-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"173\";s:11:\"trend_index\";s:3:\"226\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:337;a:14:{s:2:\"id\";s:4:\"4727\";s:5:\"title\";s:7:\"Team 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443356\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"355\";s:11:\"trend_index\";s:3:\"376\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:338;a:14:{s:2:\"id\";s:4:\"4736\";s:5:\"title\";s:7:\"Team 20\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443358\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-20/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"138\";s:11:\"trend_index\";s:3:\"136\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:339;a:14:{s:2:\"id\";s:4:\"4746\";s:5:\"title\";s:7:\"Team 23\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443360\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-23/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"257\";s:11:\"trend_index\";s:3:\"359\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:340;a:14:{s:2:\"id\";s:4:\"4759\";s:5:\"title\";s:7:\"Team 22\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443362\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-22/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"274\";s:11:\"trend_index\";s:3:\"334\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:341;a:14:{s:2:\"id\";s:4:\"4770\";s:5:\"title\";s:7:\"Team 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443364\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/team-12-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"372\";s:11:\"trend_index\";s:3:\"519\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:342;a:14:{s:2:\"id\";s:4:\"4781\";s:5:\"title\";s:7:\"Team 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520443365\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"243\";s:11:\"trend_index\";s:3:\"342\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:343;a:14:{s:2:\"id\";s:4:\"9611\";s:5:\"title\";s:16:\"Hello Bar | Sale\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2019/01/Top-Bar_Sale_small_01.png\";s:12:\"tmpl_created\";s:10:\"1546965350\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/popups/hello-bar-sale-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"547\";s:11:\"trend_index\";s:3:\"397\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:344;a:14:{s:2:\"id\";s:4:\"4793\";s:5:\"title\";s:7:\"Team 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520443367\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"185\";s:11:\"trend_index\";s:3:\"291\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:345;a:14:{s:2:\"id\";s:4:\"9622\";s:5:\"title\";s:19:\"Classic | Promotion\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2019/01/classic_promotion_small_02.png\";s:12:\"tmpl_created\";s:10:\"1546965896\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/classic-promotion-02/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"542\";s:11:\"trend_index\";s:3:\"643\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:346;a:14:{s:2:\"id\";s:4:\"4801\";s:5:\"title\";s:7:\"Team 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_8.png\";s:12:\"tmpl_created\";s:10:\"1520443369\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"325\";s:11:\"trend_index\";s:3:\"395\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:347;a:14:{s:2:\"id\";s:4:\"9631\";s:5:\"title\";s:38:\"Slide-in | Sale | Register | Subscribe\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2019/01/Slide-in_Sale_small_01.png\";s:12:\"tmpl_created\";s:10:\"1546968270\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/popups/slide-in-sale-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"562\";s:11:\"trend_index\";s:3:\"611\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:348;a:14:{s:2:\"id\";s:4:\"4809\";s:5:\"title\";s:7:\"Team 19\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520443371\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-19/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"266\";s:11:\"trend_index\";s:3:\"317\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:349;a:14:{s:2:\"id\";s:4:\"4818\";s:5:\"title\";s:7:\"Team 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_9.png\";s:12:\"tmpl_created\";s:10:\"1520443373\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/team-21/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"team\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"419\";s:11:\"trend_index\";s:3:\"522\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:350;a:14:{s:2:\"id\";s:4:\"5045\";s:5:\"title\";s:11:\"Portfolio 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443423\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"portfolio\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"519\";s:11:\"trend_index\";s:3:\"615\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:351;a:14:{s:2:\"id\";s:4:\"9662\";s:5:\"title\";s:33:\"Bottom Bar | Register | Subscribe\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2019/01/Bottom-Bar_Register_small_01.png\";s:12:\"tmpl_created\";s:10:\"1547009087\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/popups/bottom-bar-register-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"592\";s:11:\"trend_index\";s:3:\"612\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:352;a:14:{s:2:\"id\";s:4:\"5157\";s:5:\"title\";s:11:\"Subscribe 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443448\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/subscribe-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"form\",\"subscribe\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"346\";s:11:\"trend_index\";s:3:\"319\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:353;a:14:{s:2:\"id\";s:4:\"5165\";s:5:\"title\";s:11:\"Subscribe 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443450\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/subscribe-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"form\",\"subscribe\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"467\";s:11:\"trend_index\";s:3:\"429\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:354;a:14:{s:2:\"id\";s:4:\"5173\";s:5:\"title\";s:11:\"Subscribe 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443452\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/subscribe-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"form\",\"subscribe\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"277\";s:11:\"trend_index\";s:3:\"205\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:355;a:14:{s:2:\"id\";s:4:\"9690\";s:5:\"title\";s:17:\"Classic | Contact\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2019/01/Classic_Contact_small_01.png\";s:12:\"tmpl_created\";s:10:\"1547011716\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/classic-contact-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"384\";s:11:\"trend_index\";s:3:\"329\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:356;a:14:{s:2:\"id\";s:4:\"5181\";s:5:\"title\";s:11:\"Subscribe 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443454\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/subscribe-2-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"form\",\"subscribe\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"414\";s:11:\"trend_index\";s:3:\"382\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:357;a:14:{s:2:\"id\";s:4:\"9699\";s:5:\"title\";s:33:\"Classic | Contact | Gym | Fitness\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2019/01/Classic_Contact_small_02.png\";s:12:\"tmpl_created\";s:10:\"1547015827\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/classic-contact-02/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"436\";s:11:\"trend_index\";s:3:\"495\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:358;a:14:{s:2:\"id\";s:4:\"5189\";s:5:\"title\";s:6:\"CTA 29\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443456\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-29/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"404\";s:11:\"trend_index\";s:3:\"446\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:359;a:14:{s:2:\"id\";s:4:\"5198\";s:5:\"title\";s:6:\"CTA 30\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443458\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-30/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"474\";s:11:\"trend_index\";s:3:\"593\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:360;a:14:{s:2:\"id\";s:4:\"9571\";s:5:\"title\";s:14:\"Fly In | Login\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2019/01/FlyIn_Login_01_small.png\";s:12:\"tmpl_created\";s:10:\"1547726151\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/fly-in-login-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"552\";s:11:\"trend_index\";s:3:\"563\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:361;a:14:{s:2:\"id\";s:4:\"5206\";s:5:\"title\";s:6:\"CTA 31\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443459\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-31/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"502\";s:11:\"trend_index\";s:3:\"512\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:362;a:14:{s:2:\"id\";s:4:\"5214\";s:5:\"title\";s:10:\"Contact 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443462\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/contact-16-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"contact\",\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"198\";s:11:\"trend_index\";s:3:\"238\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:363;a:14:{s:2:\"id\";s:4:\"5222\";s:5:\"title\";s:11:\"Subscribe 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443464\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/subscribe-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"form\",\"subscribe\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"383\";s:11:\"trend_index\";s:3:\"420\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:364;a:14:{s:2:\"id\";s:4:\"9740\";s:5:\"title\";s:25:\"Classic | Promotion | App\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/app_small.png\";s:12:\"tmpl_created\";s:10:\"1547822836\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/classic-promotion-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"535\";s:11:\"trend_index\";s:3:\"516\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:365;a:14:{s:2:\"id\";s:4:\"5230\";s:5:\"title\";s:10:\"Contact 17\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443466\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/contact-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"contact\",\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"317\";s:11:\"trend_index\";s:3:\"387\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:366;a:14:{s:2:\"id\";s:4:\"5238\";s:5:\"title\";s:7:\"Hero 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443468\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/hero-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"515\";s:11:\"trend_index\";s:3:\"562\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:367;a:14:{s:2:\"id\";s:4:\"9762\";s:5:\"title\";s:36:\"Classic | Register | Subscribe | Spa\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2019/01/spa_small_classic.png\";s:12:\"tmpl_created\";s:10:\"1547824145\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-register-subscribe-spa/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"440\";s:11:\"trend_index\";s:3:\"491\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:368;a:14:{s:2:\"id\";s:4:\"5249\";s:5:\"title\";s:6:\"CTA 32\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443470\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/blocks/cta-32/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"465\";s:11:\"trend_index\";s:3:\"433\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:369;a:14:{s:2:\"id\";s:4:\"9772\";s:5:\"title\";s:27:\"Hello bar | Promotion | App\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2019/01/app_hello_small.png\";s:12:\"tmpl_created\";s:10:\"1547824279\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/hello-bar-promotion-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"632\";s:11:\"trend_index\";s:3:\"642\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:370;a:14:{s:2:\"id\";s:4:\"5257\";s:5:\"title\";s:10:\"Contact 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443472\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/contact-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:8:\"[\"form\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"394\";s:11:\"trend_index\";s:3:\"477\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:371;a:14:{s:2:\"id\";s:4:\"5266\";s:5:\"title\";s:9:\"Clients 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443474\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/clients-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"117\";s:11:\"trend_index\";s:2:\"94\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:372;a:14:{s:2:\"id\";s:4:\"9793\";s:5:\"title\";s:13:\"Fly In | Sale\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2019/01/flyin_black_small.png\";s:12:\"tmpl_created\";s:10:\"1547831151\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/popups/fly-in-sale/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"577\";s:11:\"trend_index\";s:3:\"544\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:373;a:14:{s:2:\"id\";s:4:\"5275\";s:5:\"title\";s:9:\"Clients 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443476\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/clients-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"333\";s:11:\"trend_index\";s:3:\"283\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:374;a:14:{s:2:\"id\";s:4:\"5283\";s:5:\"title\";s:9:\"Clients 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443478\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/clients-1-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"288\";s:11:\"trend_index\";s:3:\"337\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:375;a:14:{s:2:\"id\";s:4:\"5290\";s:5:\"title\";s:9:\"Clients 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_2.png\";s:12:\"tmpl_created\";s:10:\"1520443480\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/clients-3-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"475\";s:11:\"trend_index\";s:3:\"386\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:376;a:14:{s:2:\"id\";s:4:\"5298\";s:5:\"title\";s:10:\"Clients 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443482\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-15/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"409\";s:11:\"trend_index\";s:3:\"464\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:377;a:14:{s:2:\"id\";s:4:\"9836\";s:5:\"title\";s:21:\"Classic | Login | Pop\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/01/login_b_small.png\";s:12:\"tmpl_created\";s:10:\"1547835635\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/popups/classic-login/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"549\";s:11:\"trend_index\";s:3:\"637\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:378;a:14:{s:2:\"id\";s:4:\"5306\";s:5:\"title\";s:10:\"Clients 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_3.png\";s:12:\"tmpl_created\";s:10:\"1520443484\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"553\";s:11:\"trend_index\";s:3:\"564\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:379;a:14:{s:2:\"id\";s:4:\"9847\";s:5:\"title\";s:25:\"Fly In | Promotion | Lego\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2019/01/fly_in_promotion_tro.png\";s:12:\"tmpl_created\";s:10:\"1547836956\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/popups/fly-in-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"624\";s:11:\"trend_index\";s:3:\"638\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:380;a:14:{s:2:\"id\";s:4:\"5315\";s:5:\"title\";s:10:\"Clients 12\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4-1.png\";s:12:\"tmpl_created\";s:10:\"1520443486\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"444\";s:11:\"trend_index\";s:3:\"496\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:381;a:14:{s:2:\"id\";s:4:\"9858\";s:5:\"title\";s:27:\"Slide In | Promotion | Wine\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2019/01/slide-in_promotion_wine_small.png\";s:12:\"tmpl_created\";s:10:\"1547837100\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/slide-in-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"647\";s:11:\"trend_index\";s:3:\"640\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:382;a:14:{s:2:\"id\";s:4:\"5324\";s:5:\"title\";s:9:\"Clients 8\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5-1.png\";s:12:\"tmpl_created\";s:10:\"1520443488\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/clients-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"464\";s:11:\"trend_index\";s:3:\"458\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:383;a:14:{s:2:\"id\";s:4:\"5333\";s:5:\"title\";s:10:\"Clients 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443489\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"237\";s:11:\"trend_index\";s:3:\"242\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:384;a:14:{s:2:\"id\";s:4:\"5341\";s:5:\"title\";s:10:\"Clients 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443491\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"514\";s:11:\"trend_index\";s:3:\"592\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:385;a:14:{s:2:\"id\";s:4:\"5349\";s:5:\"title\";s:9:\"Clients 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520443493\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/clients-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"234\";s:11:\"trend_index\";s:3:\"215\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:386;a:14:{s:2:\"id\";s:4:\"5357\";s:5:\"title\";s:9:\"Clients 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_7.png\";s:12:\"tmpl_created\";s:10:\"1520443495\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/clients-2-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"319\";s:11:\"trend_index\";s:3:\"361\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:387;a:14:{s:2:\"id\";s:4:\"5368\";s:5:\"title\";s:9:\"Clients 9\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520443497\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/clients-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"231\";s:11:\"trend_index\";s:3:\"264\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:388;a:14:{s:2:\"id\";s:4:\"5381\";s:5:\"title\";s:10:\"Clients 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520443499\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"181\";s:11:\"trend_index\";s:3:\"232\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:389;a:14:{s:2:\"id\";s:4:\"5389\";s:5:\"title\";s:10:\"Clients 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_9.png\";s:12:\"tmpl_created\";s:10:\"1520443501\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/blocks/clients-14/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"clients\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"380\";s:11:\"trend_index\";s:3:\"411\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:390;a:14:{s:2:\"id\";s:4:\"9944\";s:5:\"title\";s:33:\"Slide In | Promotion | Headphones\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/01/slidein_head_small.png\";s:12:\"tmpl_created\";s:10:\"1547841939\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/slide-in-promotion-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"625\";s:11:\"trend_index\";s:3:\"624\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:391;a:14:{s:2:\"id\";s:4:\"5397\";s:5:\"title\";s:8:\"About 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1.png\";s:12:\"tmpl_created\";s:10:\"1520443503\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-11/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"151\";s:11:\"trend_index\";s:3:\"167\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:392;a:14:{s:2:\"id\";s:4:\"9955\";s:5:\"title\";s:14:\"Fly In | Login\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2019/01/flyin_login_lock_small.png\";s:12:\"tmpl_created\";s:10:\"1547842065\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/popups/fly-in-login/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"509\";s:11:\"trend_index\";s:3:\"476\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:393;a:14:{s:2:\"id\";s:4:\"5405\";s:5:\"title\";s:8:\"About 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1.png\";s:12:\"tmpl_created\";s:10:\"1520443505\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-12/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"225\";s:11:\"trend_index\";s:3:\"228\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:394;a:14:{s:2:\"id\";s:4:\"9965\";s:5:\"title\";s:30:\"Classic | Register | Subscribe\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/01/classic_moon_small.png\";s:12:\"tmpl_created\";s:10:\"1547842174\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/classic-register-subscribe-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"501\";s:11:\"trend_index\";s:3:\"511\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:395;a:14:{s:2:\"id\";s:4:\"5413\";s:5:\"title\";s:8:\"About 21\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2.png\";s:12:\"tmpl_created\";s:10:\"1520443507\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-21/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"131\";s:11:\"trend_index\";s:2:\"78\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:396;a:14:{s:2:\"id\";s:4:\"5421\";s:5:\"title\";s:8:\"About 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_3.png\";s:12:\"tmpl_created\";s:10:\"1520443509\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-13/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"245\";s:11:\"trend_index\";s:3:\"267\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:397;a:14:{s:2:\"id\";s:4:\"5429\";s:5:\"title\";s:8:\"About 16\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_4.png\";s:12:\"tmpl_created\";s:10:\"1520443510\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-16/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"88\";s:11:\"trend_index\";s:2:\"80\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:398;a:14:{s:2:\"id\";s:4:\"9995\";s:5:\"title\";s:27:\"Slide In | Sale | Christmas\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2019/01/slidein_christmas_small.png\";s:12:\"tmpl_created\";s:10:\"1547844802\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/slide-in-sale-christmas/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"643\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:399;a:14:{s:2:\"id\";s:4:\"5438\";s:5:\"title\";s:7:\"About 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_4.png\";s:12:\"tmpl_created\";s:10:\"1520443512\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/about-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"206\";s:11:\"trend_index\";s:3:\"177\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:400;a:14:{s:2:\"id\";s:4:\"5447\";s:5:\"title\";s:7:\"About 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_5.png\";s:12:\"tmpl_created\";s:10:\"1520443514\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/about-3-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:2:\"60\";s:11:\"trend_index\";s:2:\"48\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:401;a:14:{s:2:\"id\";s:5:\"10016\";s:5:\"title\";s:16:\"Hello Bar | Sale\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2019/01/Hello-Bar_Promotion_bag_small.png\";s:12:\"tmpl_created\";s:10:\"1547845062\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/hello-bar-sale/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"658\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:402;a:14:{s:2:\"id\";s:4:\"5455\";s:5:\"title\";s:8:\"About 20\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_6.png\";s:12:\"tmpl_created\";s:10:\"1520443516\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-20/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"136\";s:11:\"trend_index\";s:3:\"153\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:403;a:14:{s:2:\"id\";s:5:\"10026\";s:5:\"title\";s:46:\"Classic | Register | Subscribe | Gym | Fitness\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2019/01/classic_register_small.png\";s:12:\"tmpl_created\";s:10:\"1547845205\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/classic-register-subscribe-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"512\";s:11:\"trend_index\";s:3:\"521\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:404;a:14:{s:2:\"id\";s:4:\"5464\";s:5:\"title\";s:8:\"About 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_6.png\";s:12:\"tmpl_created\";s:10:\"1520443518\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-17/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"228\";s:11:\"trend_index\";s:3:\"286\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:405;a:14:{s:2:\"id\";s:5:\"10036\";s:5:\"title\";s:43:\"Full Screen | Sale | Promotion | Headphones\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2019/01/full_sale_head_small.png\";s:12:\"tmpl_created\";s:10:\"1547845409\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/full-screen-sale-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"534\";s:11:\"trend_index\";s:3:\"577\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:406;a:14:{s:2:\"id\";s:4:\"5472\";s:5:\"title\";s:7:\"About 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_7.png\";s:12:\"tmpl_created\";s:10:\"1520443520\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/about-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"204\";s:11:\"trend_index\";s:3:\"358\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:407;a:14:{s:2:\"id\";s:4:\"5480\";s:5:\"title\";s:7:\"About 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_7-1.png\";s:12:\"tmpl_created\";s:10:\"1520443522\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blocks/about-4-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"413\";s:11:\"trend_index\";s:3:\"463\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:408;a:14:{s:2:\"id\";s:5:\"10057\";s:5:\"title\";s:48:\"Hello Bar | Register | Subscribe | Gym | Fitness\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2019/01/hello-bar_register_sport_small.png\";s:12:\"tmpl_created\";s:10:\"1547847938\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/hello-bar-register-subscribe/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"639\";s:11:\"trend_index\";s:3:\"619\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:409;a:14:{s:2:\"id\";s:4:\"5488\";s:5:\"title\";s:7:\"About 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_8.png\";s:12:\"tmpl_created\";s:10:\"1520443524\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/about-7/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"299\";s:11:\"trend_index\";s:3:\"306\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:410;a:14:{s:2:\"id\";s:4:\"5496\";s:5:\"title\";s:7:\"About 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_8-1.png\";s:12:\"tmpl_created\";s:10:\"1520443526\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/blocks/about-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"461\";s:11:\"trend_index\";s:3:\"454\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:411;a:14:{s:2:\"id\";s:4:\"5504\";s:5:\"title\";s:8:\"About 18\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_9.png\";s:12:\"tmpl_created\";s:10:\"1520443528\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-18/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"101\";s:11:\"trend_index\";s:3:\"164\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:412;a:14:{s:2:\"id\";s:5:\"10087\";s:5:\"title\";s:25:\"Full Screen | Login | Spa\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2019/01/full-screen_login_spa_small.png\";s:12:\"tmpl_created\";s:10:\"1547848301\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/full-screen-login-spa/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"551\";s:11:\"trend_index\";s:3:\"569\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:413;a:14:{s:2:\"id\";s:4:\"5515\";s:5:\"title\";s:8:\"About 19\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_9.png\";s:12:\"tmpl_created\";s:10:\"1520443530\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/blocks/about-19/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"269\";s:11:\"trend_index\";s:3:\"330\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:414;a:14:{s:2:\"id\";s:5:\"10097\";s:5:\"title\";s:37:\"Classic | Register | Subscribe | Lego\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/01/classic_lego_small.png\";s:12:\"tmpl_created\";s:10:\"1547848411\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/classic-register-subscribe-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"0\";s:16:\"popularity_index\";s:3:\"593\";s:11:\"trend_index\";s:3:\"630\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:415;a:14:{s:2:\"id\";s:4:\"1190\";s:5:\"title\";s:26:\"Landing Page &#8211; Hotel\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp2-l.png\";s:12:\"tmpl_created\";s:10:\"1490707391\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/landing-page-hotel/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"1\";s:16:\"popularity_index\";s:1:\"5\";s:11:\"trend_index\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:416;a:14:{s:2:\"id\";s:4:\"9816\";s:5:\"title\";s:30:\"Classic | Sale | Gym | Fitness\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2019/01/classic_sale_sport_small.png\";s:12:\"tmpl_created\";s:10:\"1547991876\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"1\";s:16:\"popularity_index\";s:3:\"598\";s:11:\"trend_index\";s:3:\"591\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:417;a:14:{s:2:\"id\";s:4:\"9602\";s:5:\"title\";s:35:\"Bottom Bar | Announcement | Cookies\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2019/01/Bottombar_Announcement_small_01.png\";s:12:\"tmpl_created\";s:10:\"1546964559\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/bottom-bar-announcement-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"1\";s:16:\"popularity_index\";s:3:\"533\";s:11:\"trend_index\";s:3:\"513\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:418;a:14:{s:2:\"id\";s:3:\"225\";s:5:\"title\";s:27:\"Homepage &#8211; Restaurant\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0016.png\";s:12:\"tmpl_created\";s:10:\"1470829872\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/homepage-restaurant/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Homepage\",\"Restaurant\"]\";s:10:\"menu_order\";s:1:\"2\";s:16:\"popularity_index\";s:1:\"1\";s:11:\"trend_index\";s:1:\"2\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:419;a:14:{s:2:\"id\";s:3:\"463\";s:5:\"title\";s:22:\"Homepage &#8211; Study\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/10/0022.png\";s:12:\"tmpl_created\";s:10:\"1477388340\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/homepage-study/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Education\",\"Homepage\",\"Study\"]\";s:10:\"menu_order\";s:1:\"3\";s:16:\"popularity_index\";s:1:\"4\";s:11:\"trend_index\";s:1:\"4\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:420;a:14:{s:2:\"id\";s:5:\"10277\";s:5:\"title\";s:36:\"Bottom Bar | Promotion | Sale | Book\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/book_small.png\";s:12:\"tmpl_created\";s:10:\"1548055999\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/bottom-bar-promotion-book/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"3\";s:16:\"popularity_index\";s:3:\"610\";s:11:\"trend_index\";s:3:\"600\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:421;a:14:{s:2:\"id\";s:5:\"11241\";s:5:\"title\";s:36:\"Classic | Digital Agency | Marketing\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/PopUp_small.jpg\";s:12:\"tmpl_created\";s:10:\"1564643043\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-digital-agency-marketing/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"3\";s:16:\"popularity_index\";s:3:\"401\";s:11:\"trend_index\";s:3:\"293\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:422;a:14:{s:2:\"id\";s:3:\"181\";s:5:\"title\";s:23:\"Homepage &#8211; Agency\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0019.png\";s:12:\"tmpl_created\";s:10:\"1470826567\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/homepage-agency/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Agency\",\"Creative\",\"Homepage\"]\";s:10:\"menu_order\";s:1:\"4\";s:16:\"popularity_index\";s:1:\"3\";s:11:\"trend_index\";s:1:\"3\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:423;a:14:{s:2:\"id\";s:4:\"9903\";s:5:\"title\";s:34:\"Bottom Bar | Promotion | Olive Oil\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2019/01/bottom-bar_promotion_olive_small.png\";s:12:\"tmpl_created\";s:10:\"1547838896\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/bottom-bar-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"4\";s:16:\"popularity_index\";s:3:\"637\";s:11:\"trend_index\";s:3:\"645\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:424;a:14:{s:2:\"id\";s:3:\"150\";s:5:\"title\";s:19:\"Product &#8211; App\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0003.png\";s:12:\"tmpl_created\";s:10:\"1470829879\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/product-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"5\";s:16:\"popularity_index\";s:1:\"9\";s:11:\"trend_index\";s:1:\"5\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:425;a:14:{s:2:\"id\";s:5:\"10549\";s:5:\"title\";s:33:\"Bottom Bar | Register | Subscribe\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/com_small.png\";s:12:\"tmpl_created\";s:10:\"1547967595\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/popups/bottom-bar-register-subscribe/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"6\";s:16:\"popularity_index\";s:3:\"611\";s:11:\"trend_index\";s:3:\"636\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:426;a:14:{s:2:\"id\";s:5:\"12948\";s:5:\"title\";s:29:\"Photography &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Home_s.png\";s:12:\"tmpl_created\";s:10:\"1582093442\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/photography-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"6\";s:16:\"popularity_index\";s:3:\"453\";s:11:\"trend_index\";s:2:\"35\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:427;a:14:{s:2:\"id\";s:5:\"12798\";s:5:\"title\";s:25:\"Photography &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/About_s.png\";s:12:\"tmpl_created\";s:10:\"1582093446\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/photography-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"7\";s:16:\"popularity_index\";s:3:\"568\";s:11:\"trend_index\";s:3:\"145\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:428;a:14:{s:2:\"id\";s:5:\"12868\";s:5:\"title\";s:27:\"Photography &#8211; Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Contact_s.png\";s:12:\"tmpl_created\";s:10:\"1582093450\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/photography-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"8\";s:16:\"popularity_index\";s:3:\"583\";s:11:\"trend_index\";s:3:\"223\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:429;a:14:{s:2:\"id\";s:5:\"10529\";s:5:\"title\";s:36:\"Classic | Announcement | Maintenance\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/icon_small.png\";s:12:\"tmpl_created\";s:10:\"1548046309\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/classic-announcement/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:1:\"9\";s:16:\"popularity_index\";s:3:\"450\";s:11:\"trend_index\";s:3:\"250\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:430;a:14:{s:2:\"id\";s:5:\"13056\";s:5:\"title\";s:28:\"Photography &#8211; Wildlife\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/02/Wildlife_s.png\";s:12:\"tmpl_created\";s:10:\"1582093454\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/photography-wildlife/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:1:\"9\";s:16:\"popularity_index\";s:3:\"595\";s:11:\"trend_index\";s:3:\"210\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:431;a:14:{s:2:\"id\";s:5:\"12922\";s:5:\"title\";s:37:\"Photography &#8211; Glowing Jellyfish\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Jellyfish_S.png\";s:12:\"tmpl_created\";s:10:\"1582093457\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photography-glowing-jellyfish/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"10\";s:16:\"popularity_index\";s:3:\"620\";s:11:\"trend_index\";s:3:\"385\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:432;a:14:{s:2:\"id\";s:5:\"12875\";s:5:\"title\";s:36:\"Photography &#8211; Fluttering Birds\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Birds_s.png\";s:12:\"tmpl_created\";s:10:\"1582093461\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-fluttering-birds/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"11\";s:16:\"popularity_index\";s:3:\"651\";s:11:\"trend_index\";s:3:\"535\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:433;a:14:{s:2:\"id\";s:5:\"12962\";s:5:\"title\";s:26:\"Photography &#8211; Nature\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Nature_s.png\";s:12:\"tmpl_created\";s:10:\"1582093465\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/photography-nature/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"12\";s:16:\"popularity_index\";s:3:\"619\";s:11:\"trend_index\";s:3:\"266\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:434;a:14:{s:2:\"id\";s:5:\"12833\";s:5:\"title\";s:38:\"Photography &#8211; Blossoming Flowers\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Flowers_s.png\";s:12:\"tmpl_created\";s:10:\"1582093469\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photography-blossoming-flowers/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"13\";s:16:\"popularity_index\";s:3:\"623\";s:11:\"trend_index\";s:3:\"309\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:435;a:14:{s:2:\"id\";s:5:\"12898\";s:5:\"title\";s:36:\"Photography &#8211; Forest Mushrooms\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Mushrooms_s.png\";s:12:\"tmpl_created\";s:10:\"1582093473\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-forest-mushrooms/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"14\";s:16:\"popularity_index\";s:3:\"646\";s:11:\"trend_index\";s:3:\"437\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:436;a:14:{s:2:\"id\";s:5:\"12994\";s:5:\"title\";s:24:\"Photography &#8211; Pets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Pets_s.png\";s:12:\"tmpl_created\";s:10:\"1582093477\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/photography-pets/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"15\";s:16:\"popularity_index\";s:3:\"627\";s:11:\"trend_index\";s:3:\"434\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:437;a:14:{s:2:\"id\";s:5:\"12805\";s:5:\"title\";s:38:\"Photography &#8211; B&#038;W Portraits\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Black_s.png\";s:12:\"tmpl_created\";s:10:\"1582093481\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/photography-bw-portraits/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"16\";s:16:\"popularity_index\";s:3:\"650\";s:11:\"trend_index\";s:3:\"578\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:438;a:14:{s:2:\"id\";s:5:\"10413\";s:5:\"title\";s:28:\"Classic | Content Lock | Pop\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/hot_small.png\";s:12:\"tmpl_created\";s:10:\"1547961774\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/classic-content-lock/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"17\";s:16:\"popularity_index\";s:3:\"626\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:439;a:14:{s:2:\"id\";s:5:\"13031\";s:5:\"title\";s:33:\"Photography &#8211; Vivid Parrots\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Parrots_s.png\";s:12:\"tmpl_created\";s:10:\"1582093484\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/photography-vivid-parrots/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"17\";s:16:\"popularity_index\";s:3:\"633\";s:11:\"trend_index\";s:3:\"441\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:440;a:14:{s:2:\"id\";s:5:\"12621\";s:5:\"title\";s:26:\"Magazine &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/01/Home_s.png\";s:12:\"tmpl_created\";s:10:\"1579060604\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/magazine-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";s:2:\"18\";s:16:\"popularity_index\";s:3:\"364\";s:11:\"trend_index\";s:2:\"39\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:441;a:14:{s:2:\"id\";s:5:\"10223\";s:5:\"title\";s:15:\"Classic | Login\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/01/welcome_small.png\";s:12:\"tmpl_created\";s:10:\"1547887343\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/classic-login-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"19\";s:16:\"popularity_index\";s:3:\"454\";s:11:\"trend_index\";s:3:\"530\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:442;a:14:{s:2:\"id\";s:5:\"10559\";s:5:\"title\";s:33:\"Bottom Bar | Register | Subscribe\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/fly_small.png\";s:12:\"tmpl_created\";s:10:\"1547967711\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/bottom-bar-register-subscribe-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"19\";s:16:\"popularity_index\";s:3:\"587\";s:11:\"trend_index\";s:3:\"622\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:443;a:14:{s:2:\"id\";s:5:\"12352\";s:5:\"title\";s:24:\"Travel &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/12/Home_s.png\";s:12:\"tmpl_created\";s:10:\"1575960464\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/travel-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"19\";s:16:\"popularity_index\";s:3:\"353\";s:11:\"trend_index\";s:3:\"165\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:444;a:14:{s:2:\"id\";s:5:\"10403\";s:5:\"title\";s:15:\"Classic | Login\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/hello_small.png\";s:12:\"tmpl_created\";s:10:\"1548056371\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/classic-login-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"20\";s:16:\"popularity_index\";s:3:\"536\";s:11:\"trend_index\";s:3:\"614\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:445;a:14:{s:2:\"id\";s:5:\"12400\";s:5:\"title\";s:20:\"Travel &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/12/About.png\";s:12:\"tmpl_created\";s:10:\"1575960441\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/travel-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"20\";s:16:\"popularity_index\";s:3:\"455\";s:11:\"trend_index\";s:3:\"349\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:446;a:14:{s:2:\"id\";s:5:\"12479\";s:5:\"title\";s:20:\"Travel &#8211; Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Tours_s.png\";s:12:\"tmpl_created\";s:10:\"1575960474\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/travel-tours/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"21\";s:16:\"popularity_index\";s:3:\"498\";s:11:\"trend_index\";s:3:\"347\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:447;a:14:{s:2:\"id\";s:4:\"9913\";s:5:\"title\";s:27:\"Classic | Login | Christmas\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/log_small.png\";s:12:\"tmpl_created\";s:10:\"1547841430\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/classic-login-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"21\";s:16:\"popularity_index\";s:3:\"507\";s:11:\"trend_index\";s:3:\"499\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:448;a:14:{s:2:\"id\";s:5:\"12466\";s:5:\"title\";s:27:\"Travel &#8211; Testimonials\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/Testimonials.png\";s:12:\"tmpl_created\";s:10:\"1575960469\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-testimonials/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"22\";s:16:\"popularity_index\";s:3:\"517\";s:11:\"trend_index\";s:3:\"365\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:449;a:14:{s:2:\"id\";s:5:\"12443\";s:5:\"title\";s:22:\"Travel &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Gallery.png\";s:12:\"tmpl_created\";s:10:\"1575960459\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/travel-gallery/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"23\";s:16:\"popularity_index\";s:3:\"494\";s:11:\"trend_index\";s:3:\"369\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:450;a:14:{s:2:\"id\";s:5:\"12431\";s:5:\"title\";s:18:\"Travel &#8211; FAQ\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/FAQ.png\";s:12:\"tmpl_created\";s:10:\"1575960453\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:100:\"https://library.elementor.com/travel-faq/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"24\";s:16:\"popularity_index\";s:3:\"529\";s:11:\"trend_index\";s:3:\"338\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:451;a:14:{s:2:\"id\";s:5:\"12421\";s:5:\"title\";s:27:\"Travel &#8211; Contact Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/12/Contsct-Us.png\";s:12:\"tmpl_created\";s:10:\"1575960445\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-contact-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";s:2:\"25\";s:16:\"popularity_index\";s:3:\"538\";s:11:\"trend_index\";s:3:\"455\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:452;a:14:{s:2:\"id\";s:5:\"11763\";s:5:\"title\";s:27:\"Portfolio &#8211; Home Page\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Homepage_small.png\";s:12:\"tmpl_created\";s:10:\"1569428959\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/portfolio-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"26\";s:16:\"popularity_index\";s:3:\"315\";s:11:\"trend_index\";s:3:\"249\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:453;a:14:{s:2:\"id\";s:4:\"9592\";s:5:\"title\";s:26:\"Classic | Promotion | Sale\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2019/01/Classic_Promotion_small_01.png\";s:12:\"tmpl_created\";s:10:\"1546963720\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/classic-promotion-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"26\";s:16:\"popularity_index\";s:3:\"567\";s:11:\"trend_index\";s:3:\"514\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:454;a:14:{s:2:\"id\";s:5:\"10210\";s:5:\"title\";s:29:\"Classic | Promotion | Webinar\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/web_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547886103\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-promotion-webinar/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"27\";s:16:\"popularity_index\";s:3:\"653\";s:11:\"trend_index\";s:3:\"644\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:455;a:14:{s:2:\"id\";s:5:\"11781\";s:5:\"title\";s:23:\"Portfolio &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/About_small.png\";s:12:\"tmpl_created\";s:10:\"1569428955\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/portfolio-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"27\";s:16:\"popularity_index\";s:3:\"375\";s:11:\"trend_index\";s:3:\"299\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:456;a:14:{s:2:\"id\";s:5:\"11793\";s:5:\"title\";s:26:\"Portfolio &#8211; Projects\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Projects_small.png\";s:12:\"tmpl_created\";s:10:\"1569428951\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/portfolio-projects/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"28\";s:16:\"popularity_index\";s:3:\"425\";s:11:\"trend_index\";s:3:\"325\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:457;a:14:{s:2:\"id\";s:5:\"11800\";s:5:\"title\";s:25:\"Portfolio &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/09/Contact_small.png\";s:12:\"tmpl_created\";s:10:\"1569428946\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/portfolio-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"creative portfolio\",\"portfolio\"]\";s:10:\"menu_order\";s:2:\"29\";s:16:\"popularity_index\";s:3:\"472\";s:11:\"trend_index\";s:3:\"362\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:458;a:14:{s:2:\"id\";s:5:\"11163\";s:5:\"title\";s:32:\"Digital Agency &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/07/Home_small.png\";s:12:\"tmpl_created\";s:10:\"1564641877\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/digital-agency-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:2:\"30\";s:16:\"popularity_index\";s:3:\"100\";s:11:\"trend_index\";s:2:\"27\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:459;a:14:{s:2:\"id\";s:5:\"10047\";s:5:\"title\";s:15:\"Classic | Login\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/yellow_small.png\";s:12:\"tmpl_created\";s:10:\"1547847757\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/popups/classic-login-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"30\";s:16:\"popularity_index\";s:3:\"480\";s:11:\"trend_index\";s:3:\"479\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:460;a:14:{s:2:\"id\";s:5:\"11129\";s:5:\"title\";s:28:\"Digital Agency &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/About_small.png\";s:12:\"tmpl_created\";s:10:\"1564641889\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/digital-agency-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:2:\"31\";s:16:\"popularity_index\";s:3:\"239\";s:11:\"trend_index\";s:3:\"150\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:461;a:14:{s:2:\"id\";s:4:\"9879\";s:5:\"title\";s:38:\"Classic | Register | Subscribe | Leads\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/dog_small.png\";s:12:\"tmpl_created\";s:10:\"1547838416\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/classic-register-subscribe/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"31\";s:16:\"popularity_index\";s:3:\"571\";s:11:\"trend_index\";s:3:\"517\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:462;a:14:{s:2:\"id\";s:5:\"11074\";s:5:\"title\";s:31:\"Digital Agency &#8211; Services\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Services_small.png\";s:12:\"tmpl_created\";s:10:\"1564641872\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/digital-agency-services/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:2:\"32\";s:16:\"popularity_index\";s:3:\"196\";s:11:\"trend_index\";s:2:\"92\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:463;a:14:{s:2:\"id\";s:5:\"11056\";s:5:\"title\";s:35:\"Digital Agency &#8211; Social Media\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/07/Social-Media_small.png\";s:12:\"tmpl_created\";s:10:\"1564641867\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/digital-agency-social-media/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:2:\"33\";s:16:\"popularity_index\";s:3:\"321\";s:11:\"trend_index\";s:3:\"213\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:464;a:14:{s:2:\"id\";s:5:\"11094\";s:5:\"title\";s:30:\"Digital Agency &#8211; Clients\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/07/Clients_small.png\";s:12:\"tmpl_created\";s:10:\"1564641885\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/digital-agency-clients/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:2:\"34\";s:16:\"popularity_index\";s:3:\"420\";s:11:\"trend_index\";s:3:\"321\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:465;a:14:{s:2:\"id\";s:5:\"10297\";s:5:\"title\";s:14:\"Classic | Sale\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/01/s_yellow_small.png\";s:12:\"tmpl_created\";s:10:\"1548056099\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"35\";s:16:\"popularity_index\";s:3:\"516\";s:11:\"trend_index\";s:3:\"432\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:466;a:14:{s:2:\"id\";s:5:\"11034\";s:5:\"title\";s:30:\"Digital Agency &#8211; Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/07/Contsct-Us_small.png\";s:12:\"tmpl_created\";s:10:\"1564641881\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/contact-digital-agency/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"marketing\"]\";s:10:\"menu_order\";s:2:\"35\";s:16:\"popularity_index\";s:3:\"247\";s:11:\"trend_index\";s:3:\"106\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:467;a:14:{s:2:\"id\";s:3:\"519\";s:5:\"title\";s:24:\"Homepage &#8211; Fitness\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/10/0023.png\";s:12:\"tmpl_created\";s:10:\"1477388808\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/homepage-fitness/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:45:\"[\"Fitness\",\"Gym\",\"Health\",\"Homepage\",\"Sport\"]\";s:10:\"menu_order\";s:2:\"36\";s:16:\"popularity_index\";s:1:\"8\";s:11:\"trend_index\";s:2:\"17\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:468;a:14:{s:2:\"id\";s:5:\"10393\";s:5:\"title\";s:14:\"Classic | Sale\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/blue_small.png\";s:12:\"tmpl_created\";s:10:\"1548056682\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"36\";s:16:\"popularity_index\";s:3:\"581\";s:11:\"trend_index\";s:3:\"628\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:469;a:14:{s:2:\"id\";s:4:\"9139\";s:5:\"title\";s:25:\"Homepage &#8211; Business\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/07/Get_Started_250.png\";s:12:\"tmpl_created\";s:10:\"1532949924\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/homepage-business/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:167:\"[\"Agency\",\"bootstrap\",\"business\",\"corporate\",\"Landing Page\",\"marketing campaign\",\"marketing landing page\",\"product launch\",\"software\",\"Startup\",\"startup landing page\"]\";s:10:\"menu_order\";s:2:\"37\";s:16:\"popularity_index\";s:1:\"6\";s:11:\"trend_index\";s:1:\"6\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:470;a:14:{s:2:\"id\";s:5:\"10579\";s:5:\"title\";s:14:\"Classic | Sale\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/sale1_small.png\";s:12:\"tmpl_created\";s:10:\"1547967887\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/popups/classic-sale-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"38\";s:16:\"popularity_index\";s:3:\"605\";s:11:\"trend_index\";s:3:\"559\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:471;a:14:{s:2:\"id\";s:4:\"1504\";s:5:\"title\";s:33:\"Landing Page &#8211; Mobile App 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-app2.png\";s:12:\"tmpl_created\";s:10:\"1494352112\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-mobile-app-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"38\";s:16:\"popularity_index\";s:3:\"146\";s:11:\"trend_index\";s:3:\"155\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:472;a:14:{s:2:\"id\";s:4:\"1503\";s:5:\"title\";s:33:\"Landing Page &#8211; Mobile App 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-app1.png\";s:12:\"tmpl_created\";s:10:\"1494352113\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-mobile-app-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"39\";s:16:\"popularity_index\";s:3:\"152\";s:11:\"trend_index\";s:3:\"197\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:473;a:14:{s:2:\"id\";s:4:\"1634\";s:5:\"title\";s:33:\"Landing Page &#8211; Chiropractor\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Chiropractor.png\";s:12:\"tmpl_created\";s:10:\"1494352119\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-chiropractor/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"40\";s:16:\"popularity_index\";s:3:\"201\";s:11:\"trend_index\";s:3:\"222\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:474;a:14:{s:2:\"id\";s:5:\"12155\";s:5:\"title\";s:26:\"Law Firm &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/home.png\";s:12:\"tmpl_created\";s:10:\"1572847054\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/law-firm-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"41\";s:16:\"popularity_index\";s:3:\"295\";s:11:\"trend_index\";s:3:\"111\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:475;a:14:{s:2:\"id\";s:5:\"12143\";s:5:\"title\";s:22:\"Law Firm &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/about.png\";s:12:\"tmpl_created\";s:10:\"1572847069\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/law-firm-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"42\";s:16:\"popularity_index\";s:3:\"446\";s:11:\"trend_index\";s:3:\"260\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:476;a:14:{s:2:\"id\";s:5:\"10180\";s:5:\"title\";s:21:\"Fly In | Announcement\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/glass_small.png\";s:12:\"tmpl_created\";s:10:\"1548045309\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/fly-in-announcement-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"43\";s:16:\"popularity_index\";s:3:\"589\";s:11:\"trend_index\";s:3:\"533\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:477;a:14:{s:2:\"id\";s:5:\"12133\";s:5:\"title\";s:24:\"Law Firm &#8211; Careers\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/11/careers.png\";s:12:\"tmpl_created\";s:10:\"1572847078\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/law-firm-careers/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"43\";s:16:\"popularity_index\";s:3:\"565\";s:11:\"trend_index\";s:3:\"405\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:478;a:14:{s:2:\"id\";s:5:\"12124\";s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/11/services.png\";s:12:\"tmpl_created\";s:10:\"1572847096\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/law-firm-services/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"44\";s:16:\"popularity_index\";s:3:\"484\";s:11:\"trend_index\";s:3:\"323\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:479;a:14:{s:2:\"id\";s:5:\"12116\";s:5:\"title\";s:24:\"Law Firm &#8211; Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/family_law.png\";s:12:\"tmpl_created\";s:10:\"1572847105\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/law-firm-service/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"45\";s:16:\"popularity_index\";s:3:\"493\";s:11:\"trend_index\";s:3:\"367\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:480;a:14:{s:2:\"id\";s:4:\"9731\";s:5:\"title\";s:26:\"Classic | Sale | Promotion\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/01/icecream_small.png\";s:12:\"tmpl_created\";s:10:\"1547976166\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/popups/classic-sale/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"46\";s:16:\"popularity_index\";s:3:\"548\";s:11:\"trend_index\";s:3:\"568\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:481;a:14:{s:2:\"id\";s:5:\"12091\";s:5:\"title\";s:21:\"Law Firm &#8211; Team\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/team.png\";s:12:\"tmpl_created\";s:10:\"1572847113\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/law-firm-team/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"46\";s:16:\"popularity_index\";s:3:\"431\";s:11:\"trend_index\";s:3:\"315\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:482;a:14:{s:2:\"id\";s:5:\"12080\";s:5:\"title\";s:24:\"Law Firm &#8211; Partner\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/11/partner-1.png\";s:12:\"tmpl_created\";s:10:\"1572847120\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/law-firm-partner/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"47\";s:16:\"popularity_index\";s:3:\"554\";s:11:\"trend_index\";s:3:\"427\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:483;a:14:{s:2:\"id\";s:5:\"12044\";s:5:\"title\";s:24:\"Law Firm &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/contsct_us.png\";s:12:\"tmpl_created\";s:10:\"1572847130\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/law-firm-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";s:2:\"48\";s:16:\"popularity_index\";s:3:\"481\";s:11:\"trend_index\";s:3:\"348\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:484;a:14:{s:2:\"id\";s:5:\"11545\";s:5:\"title\";s:21:\"Gym &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Home_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392943\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/gym-home-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"49\";s:16:\"popularity_index\";s:3:\"340\";s:11:\"trend_index\";s:3:\"193\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:485;a:14:{s:2:\"id\";s:5:\"11478\";s:5:\"title\";s:17:\"Gym &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/About_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392939\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:99:\"https://library.elementor.com/gym-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"50\";s:16:\"popularity_index\";s:3:\"460\";s:11:\"trend_index\";s:3:\"371\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:486;a:14:{s:2:\"id\";s:5:\"11572\";s:5:\"title\";s:19:\"Gym &#8211; Trainer\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Trainer_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392934\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/gym-trainer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"51\";s:16:\"popularity_index\";s:3:\"541\";s:11:\"trend_index\";s:3:\"547\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:487;a:14:{s:2:\"id\";s:5:\"11506\";s:5:\"title\";s:19:\"Gym &#8211; Classes\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Classes_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392930\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/gym-classes/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"52\";s:16:\"popularity_index\";s:3:\"524\";s:11:\"trend_index\";s:3:\"417\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:488;a:14:{s:2:\"id\";s:5:\"11536\";s:5:\"title\";s:19:\"Gym &#8211; Fitness\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Fitness_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392927\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/gym-fitness/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"53\";s:16:\"popularity_index\";s:3:\"558\";s:11:\"trend_index\";s:3:\"383\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:489;a:14:{s:2:\"id\";s:5:\"11563\";s:5:\"title\";s:19:\"Gym &#8211; Pricing\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Pricing_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392923\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/gym-pricing/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"54\";s:16:\"popularity_index\";s:3:\"525\";s:11:\"trend_index\";s:3:\"443\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:490;a:14:{s:2:\"id\";s:5:\"10005\";s:5:\"title\";s:38:\"Fly In | Promotion | Spa | Body Lotion\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/01/Flyin_lotion_small.png\";s:12:\"tmpl_created\";s:10:\"1547844909\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/popups/fly-in-promotion-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"54\";s:16:\"popularity_index\";s:3:\"628\";s:11:\"trend_index\";s:3:\"626\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:491;a:14:{s:2:\"id\";s:5:\"10424\";s:5:\"title\";s:21:\"Fly In | Announcement\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/flower_small.png\";s:12:\"tmpl_created\";s:10:\"1547961866\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/fly-in-announcement-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"55\";s:16:\"popularity_index\";s:3:\"561\";s:11:\"trend_index\";s:3:\"582\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:492;a:14:{s:2:\"id\";s:5:\"11528\";s:5:\"title\";s:19:\"Gym &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Contact_Small.png\";s:12:\"tmpl_created\";s:10:\"1567392917\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/gym-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";s:2:\"55\";s:16:\"popularity_index\";s:3:\"492\";s:11:\"trend_index\";s:3:\"413\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:493;a:14:{s:2:\"id\";s:4:\"9975\";s:5:\"title\";s:24:\"Fly In | Promotion | App\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2019/01/flyin_webinar_app_small.png\";s:12:\"tmpl_created\";s:10:\"1547842284\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/popups/fly-in-promotion-webinar/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"55\";s:16:\"popularity_index\";s:3:\"648\";s:11:\"trend_index\";s:3:\"618\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:494;a:14:{s:2:\"id\";s:3:\"487\";s:5:\"title\";s:29:\"Landing Page &#8211; Vacation\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/10/0021.png\";s:12:\"tmpl_created\";s:10:\"1477388357\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/landing-page-vacation/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"56\";s:16:\"popularity_index\";s:2:\"24\";s:11:\"trend_index\";s:2:\"55\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:495;a:14:{s:2:\"id\";s:5:\"10067\";s:5:\"title\";s:31:\"Fly In | Announcement | Cookies\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2019/01/fly-in_cookie_yellow_small.png\";s:12:\"tmpl_created\";s:10:\"1547848075\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/fly-in-announcement/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"56\";s:16:\"popularity_index\";s:3:\"511\";s:11:\"trend_index\";s:3:\"508\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:496;a:14:{s:2:\"id\";s:3:\"855\";s:5:\"title\";s:37:\"Landing Page &#8211; Personal Trainer\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2017/02/Landing-Page-Personal-Trainer.png\";s:12:\"tmpl_created\";s:10:\"1494352061\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/landing-page-personal-trainer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"57\";s:16:\"popularity_index\";s:3:\"246\";s:11:\"trend_index\";s:3:\"351\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:497;a:14:{s:2:\"id\";s:3:\"955\";s:5:\"title\";s:31:\"Landing Page &#8211; Law Office\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2017/02/Landing-Page-Law-Office.png\";s:12:\"tmpl_created\";s:10:\"1494352069\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/landing-page-law-office/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:31:\"[\"Landing Page\",\"Law\",\"Office\"]\";s:10:\"menu_order\";s:2:\"58\";s:16:\"popularity_index\";s:3:\"162\";s:11:\"trend_index\";s:3:\"208\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:498;a:14:{s:2:\"id\";s:5:\"10329\";s:5:\"title\";s:25:\"Fly In | Sale | Promotion\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/01/organic_small.png\";s:12:\"tmpl_created\";s:10:\"1547893478\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/fly-in-sale-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"59\";s:16:\"popularity_index\";s:3:\"654\";s:11:\"trend_index\";s:3:\"610\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:499;a:14:{s:2:\"id\";s:4:\"9373\";s:5:\"title\";s:33:\"Landing Page &#8211; Conference 5\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/11/conference-250.png\";s:12:\"tmpl_created\";s:10:\"1542811219\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-conference-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"59\";s:16:\"popularity_index\";s:3:\"229\";s:11:\"trend_index\";s:3:\"439\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:500;a:14:{s:2:\"id\";s:3:\"974\";s:5:\"title\";s:28:\"Landing Page &#8211; Stylist\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2017/03/Landing-Page-Stylist.png\";s:12:\"tmpl_created\";s:10:\"1494352071\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-stylist/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:146:\"[\"cosmetics\",\"fashion\",\"girly\",\"hairdresser\",\"lifestyle\",\"makeup\",\"manicure\",\"pedicure\",\"products\",\"salon\",\"Shop\",\"skincare\",\"stylist\",\"wellness\"]\";s:10:\"menu_order\";s:2:\"60\";s:16:\"popularity_index\";s:3:\"281\";s:11:\"trend_index\";s:3:\"339\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:501;a:14:{s:2:\"id\";s:4:\"9650\";s:5:\"title\";s:36:\"Fly In | Register | Subscribe | Sale\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2019/01/Fly-In_Register_small_01a.png\";s:12:\"tmpl_created\";s:10:\"1547007598\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/popups/fly-in-register_big-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"60\";s:16:\"popularity_index\";s:3:\"640\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:502;a:14:{s:2:\"id\";s:5:\"11948\";s:5:\"title\";s:18:\"Maintenance Mode 3\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/10/mm3.png\";s:12:\"tmpl_created\";s:10:\"1572153978\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/maintenance-mode-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"Maintenance mode\"]\";s:10:\"menu_order\";s:2:\"61\";s:16:\"popularity_index\";s:3:\"283\";s:11:\"trend_index\";s:3:\"117\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:503;a:14:{s:2:\"id\";s:3:\"754\";s:5:\"title\";s:25:\"Services &#8211; Interior\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/01/Interior-Services.png\";s:12:\"tmpl_created\";s:10:\"1485269691\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/services-interior/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"62\";s:16:\"popularity_index\";s:3:\"222\";s:11:\"trend_index\";s:3:\"296\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:504;a:14:{s:2:\"id\";s:3:\"752\";s:5:\"title\";s:24:\"Contact &#8211; Interior\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2017/01/interior-contact.png\";s:12:\"tmpl_created\";s:10:\"1485269737\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/contact-interior/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"63\";s:16:\"popularity_index\";s:3:\"286\";s:11:\"trend_index\";s:3:\"373\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:505;a:14:{s:2:\"id\";s:5:\"10200\";s:5:\"title\";s:33:\"Full Screen | Content Lock | Wine\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2019/01/lock_wine_small.png\";s:12:\"tmpl_created\";s:10:\"1548055635\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/popups/full-screen-content-lock/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"63\";s:16:\"popularity_index\";s:3:\"608\";s:11:\"trend_index\";s:3:\"609\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:506;a:14:{s:2:\"id\";s:3:\"753\";s:5:\"title\";s:22:\"About &#8211; Interior\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/01/Interior-About.png\";s:12:\"tmpl_created\";s:10:\"1485269710\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/about-interior/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"64\";s:16:\"popularity_index\";s:3:\"267\";s:11:\"trend_index\";s:3:\"375\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:507;a:14:{s:2:\"id\";s:5:\"10287\";s:5:\"title\";s:34:\"Full Screen | Register | Subscribe\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/01/glass_pink_small.png\";s:12:\"tmpl_created\";s:10:\"1547994301\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/full-screen-login-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"64\";s:16:\"popularity_index\";s:3:\"520\";s:11:\"trend_index\";s:3:\"461\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:508;a:14:{s:2:\"id\";s:3:\"751\";s:5:\"title\";s:25:\"Homepage &#8211; Interior\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/01/interior-home.png\";s:12:\"tmpl_created\";s:10:\"1485269743\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/homepage-interior/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"65\";s:16:\"popularity_index\";s:3:\"224\";s:11:\"trend_index\";s:3:\"292\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:509;a:14:{s:2:\"id\";s:4:\"2402\";s:5:\"title\";s:32:\"Homepage &#8211; Interior Design\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2017/09/Interior.png\";s:12:\"tmpl_created\";s:10:\"1506441447\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/homepage-interior-design/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:193:\"[\"Architecture\",\"building\",\"business\",\"Creative\",\"exterior design\",\"furniture design\",\"Gallery\",\"garden design\",\"house\",\"interior design\",\"landscape design\",\"multipurpose\",\"portfolio\",\"studio\"]\";s:10:\"menu_order\";s:2:\"66\";s:16:\"popularity_index\";s:2:\"81\";s:11:\"trend_index\";s:3:\"147\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:510;a:14:{s:2:\"id\";s:4:\"9889\";s:5:\"title\";s:28:\"Full Screen | Login | Cactus\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/cac_small.png\";s:12:\"tmpl_created\";s:10:\"1547838722\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/popups/full-screen-login/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"66\";s:16:\"popularity_index\";s:3:\"629\";s:11:\"trend_index\";s:3:\"599\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:511;a:14:{s:2:\"id\";s:4:\"3626\";s:5:\"title\";s:30:\"Snowboard Site &#8211; Contact\";s:9:\"thumbnail\";s:62:\"https://library.elementor.com/wp-content/uploads/2017/12/3.png\";s:12:\"tmpl_created\";s:10:\"1513513193\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/snowboard-site-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"67\";s:16:\"popularity_index\";s:3:\"233\";s:11:\"trend_index\";s:3:\"320\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:512;a:14:{s:2:\"id\";s:5:\"10077\";s:5:\"title\";s:29:\"Fly In | Register | Subscribe\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2019/01/flyin_register_blue_small.png\";s:12:\"tmpl_created\";s:10:\"1547848197\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/fly-in-register-subscribe/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"67\";s:16:\"popularity_index\";s:3:\"471\";s:11:\"trend_index\";s:3:\"445\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:513;a:14:{s:2:\"id\";s:5:\"11966\";s:5:\"title\";s:18:\"Maintenance mode 4\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/10/mm4.png\";s:12:\"tmpl_created\";s:10:\"1572154274\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/maintenance-mode-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"Maintenance mode\"]\";s:10:\"menu_order\";s:2:\"68\";s:16:\"popularity_index\";s:3:\"540\";s:11:\"trend_index\";s:3:\"409\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:514;a:14:{s:2:\"id\";s:5:\"10362\";s:5:\"title\";s:32:\"Full Screen | Login | Restaurant\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/vip_small.png\";s:12:\"tmpl_created\";s:10:\"1548056253\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/full-screen-login-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"69\";s:16:\"popularity_index\";s:3:\"550\";s:11:\"trend_index\";s:3:\"504\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:515;a:14:{s:2:\"id\";s:4:\"3632\";s:5:\"title\";s:31:\"Snowboard Site &#8211; Services\";s:9:\"thumbnail\";s:62:\"https://library.elementor.com/wp-content/uploads/2017/12/2.png\";s:12:\"tmpl_created\";s:10:\"1513513171\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/snowboard-site-services/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"69\";s:16:\"popularity_index\";s:3:\"186\";s:11:\"trend_index\";s:3:\"198\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:516;a:14:{s:2:\"id\";s:4:\"3619\";s:5:\"title\";s:31:\"Snowboard Site &#8211; Homepage\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2017/12/home.png\";s:12:\"tmpl_created\";s:10:\"1513513137\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/snowboard-site-homepage/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"70\";s:16:\"popularity_index\";s:3:\"207\";s:11:\"trend_index\";s:3:\"126\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:517;a:14:{s:2:\"id\";s:5:\"10454\";s:5:\"title\";s:29:\"Full Screen | Promotion | App\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/appy_small.png\";s:12:\"tmpl_created\";s:10:\"1548056896\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/full-screen-promotion-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"71\";s:16:\"popularity_index\";s:3:\"645\";s:11:\"trend_index\";s:3:\"623\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:518;a:14:{s:2:\"id\";s:4:\"9425\";s:5:\"title\";s:38:\"Black Friday &#8211;  80&#8217;s style\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/11/unnamed-file.png\";s:12:\"tmpl_created\";s:10:\"1542901234\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/black-friday-80s-style/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"71\";s:16:\"popularity_index\";s:3:\"310\";s:11:\"trend_index\";s:3:\"396\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:519;a:14:{s:2:\"id\";s:5:\"11973\";s:5:\"title\";s:18:\"Maintenance mode 5\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/10/mm5.png\";s:12:\"tmpl_created\";s:10:\"1572154523\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/maintenance-mode-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"Maintenance mode\"]\";s:10:\"menu_order\";s:2:\"72\";s:16:\"popularity_index\";s:3:\"510\";s:11:\"trend_index\";s:3:\"346\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:520;a:14:{s:2:\"id\";s:4:\"9803\";s:5:\"title\";s:41:\"Full Screen | Register | Contact | Meetup\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2019/01/designme_full_small.png\";s:12:\"tmpl_created\";s:10:\"1547831298\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/full-screen-register-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"72\";s:16:\"popularity_index\";s:3:\"596\";s:11:\"trend_index\";s:3:\"590\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:521;a:14:{s:2:\"id\";s:5:\"10611\";s:5:\"title\";s:18:\"Full Screen | Sale\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/fla_small.png\";s:12:\"tmpl_created\";s:10:\"1547968868\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/popups/full-screen-sale/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"73\";s:16:\"popularity_index\";s:3:\"649\";s:11:\"trend_index\";s:3:\"647\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:522;a:14:{s:2:\"id\";s:5:\"10508\";s:5:\"title\";s:25:\"Full Screen | Welcome Mat\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/01/hand_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547964711\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/full-screen-welcome-mat-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"75\";s:16:\"popularity_index\";s:3:\"604\";s:11:\"trend_index\";s:3:\"625\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:523;a:14:{s:2:\"id\";s:4:\"9934\";s:5:\"title\";s:38:\"Full Screen | Welcome Mat | Teddy Bear\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2019/01/full_mat_teddy_small.png\";s:12:\"tmpl_created\";s:10:\"1547841787\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/full-screen-welcome-mat/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"76\";s:16:\"popularity_index\";s:3:\"576\";s:11:\"trend_index\";s:3:\"472\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:524;a:14:{s:2:\"id\";s:4:\"9709\";s:5:\"title\";s:25:\"Full Screen | Welcome Mat\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2019/01/Full-Screen_Welcome-Mat_01_small-1.png\";s:12:\"tmpl_created\";s:10:\"1547023834\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/popups/full-screen-welcome-mat-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"78\";s:16:\"popularity_index\";s:3:\"612\";s:11:\"trend_index\";s:3:\"583\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:525;a:14:{s:2:\"id\";s:4:\"9671\";s:5:\"title\";s:34:\"Hello Bar | Announcement | Cookies\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2019/01/Top-Bar_Announcement_small_01.png\";s:12:\"tmpl_created\";s:10:\"1547010259\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/hello-bar-announcement-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"79\";s:16:\"popularity_index\";s:3:\"556\";s:11:\"trend_index\";s:3:\"492\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:526;a:14:{s:2:\"id\";s:5:\"10234\";s:5:\"title\";s:38:\"Hello Bar | Announcement | Maintenance\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/pink_small.png\";s:12:\"tmpl_created\";s:10:\"1548055049\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/popups/hello-bar-announcement/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"80\";s:16:\"popularity_index\";s:3:\"634\";s:11:\"trend_index\";s:3:\"558\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:527;a:14:{s:2:\"id\";s:5:\"11981\";s:5:\"title\";s:18:\"Maintenance mode 6\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/10/mm6.png\";s:12:\"tmpl_created\";s:10:\"1572155125\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/maintenance-mode-6/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"Maintenance mode\"]\";s:10:\"menu_order\";s:2:\"83\";s:16:\"popularity_index\";s:3:\"500\";s:11:\"trend_index\";s:3:\"269\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:528;a:14:{s:2:\"id\";s:4:\"9869\";s:5:\"title\";s:28:\"Hello Bar | Promotion | Sale\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/01/ru_small.png\";s:12:\"tmpl_created\";s:10:\"1547837269\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/popups/hello-bar-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"83\";s:16:\"popularity_index\";s:3:\"638\";s:11:\"trend_index\";s:3:\"634\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:529;a:14:{s:2:\"id\";s:5:\"10539\";s:5:\"title\";s:19:\"Hello Bar | Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/01/hello_pink_small.png\";s:12:\"tmpl_created\";s:10:\"1548056994\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/hello-bar-register-subscribe-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"84\";s:16:\"popularity_index\";s:3:\"609\";s:11:\"trend_index\";s:3:\"469\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:530;a:14:{s:2:\"id\";s:3:\"147\";s:5:\"title\";s:20:\"Homepage &#8211; App\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0004.png\";s:12:\"tmpl_created\";s:10:\"1470829868\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/homepage-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"App\",\"Homepage\"]\";s:10:\"menu_order\";s:2:\"87\";s:16:\"popularity_index\";s:1:\"2\";s:11:\"trend_index\";s:2:\"14\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:531;a:14:{s:2:\"id\";s:3:\"777\";s:5:\"title\";s:28:\"Homepage &#8211; Coffee Shop\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/01/rest-home.jpg\";s:12:\"tmpl_created\";s:10:\"1485273092\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/homepage-coffee-shop/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:41:\"[\"Coffee\",\"Homepage\",\"Restaurant\",\"Shop\"]\";s:10:\"menu_order\";s:2:\"88\";s:16:\"popularity_index\";s:3:\"129\";s:11:\"trend_index\";s:3:\"270\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:532;a:14:{s:2:\"id\";s:5:\"10147\";s:5:\"title\";s:34:\"Hello Bar | Sale | Promotion | Pop\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/donut_small.png\";s:12:\"tmpl_created\";s:10:\"1548055522\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/popups/hello-bar-sale-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"89\";s:16:\"popularity_index\";s:3:\"641\";s:11:\"trend_index\";s:3:\"649\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:533;a:14:{s:2:\"id\";s:4:\"2404\";s:5:\"title\";s:24:\"Homepage &#8211; Product\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2017/09/product.png\";s:12:\"tmpl_created\";s:10:\"1506441452\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/homepage-product/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:103:\"[\"business\",\"colorful\",\"ecommerce\",\"flat\",\"mobile\",\"modern\",\"responsive\",\"retina\",\"Shop\",\"woocommerce\"]\";s:10:\"menu_order\";s:2:\"89\";s:16:\"popularity_index\";s:3:\"128\";s:11:\"trend_index\";s:3:\"212\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:534;a:14:{s:2:\"id\";s:3:\"492\";s:5:\"title\";s:25:\"Homepage &#8211; Law firm\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/10/0024.png\";s:12:\"tmpl_created\";s:10:\"1477388365\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/homepage-law-firm/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:25:\"[\"Firm\",\"Homepage\",\"Law\"]\";s:10:\"menu_order\";s:2:\"90\";s:16:\"popularity_index\";s:2:\"11\";s:11:\"trend_index\";s:2:\"61\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:535;a:14:{s:2:\"id\";s:4:\"9923\";s:5:\"title\";s:23:\"Slide In | Announcement\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2019/01/slide-in_ann_italian_small.png\";s:12:\"tmpl_created\";s:10:\"1547841537\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/popups/slide-in-announcement/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"90\";s:16:\"popularity_index\";s:3:\"580\";s:11:\"trend_index\";s:3:\"580\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:536;a:14:{s:2:\"id\";s:5:\"10117\";s:5:\"title\";s:23:\"Slide In | Announcement\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/white_small.png\";s:12:\"tmpl_created\";s:10:\"1548066998\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/slide-in-announcement-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"91\";s:16:\"popularity_index\";s:3:\"613\";s:11:\"trend_index\";s:3:\"560\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:537;a:14:{s:2:\"id\";s:4:\"3451\";s:5:\"title\";s:39:\"Homepage &#8211; Goodness meal services\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2017/11/goodness-featured-image.png\";s:12:\"tmpl_created\";s:10:\"1512054116\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/homepage-goodness-meal-services/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"91\";s:16:\"popularity_index\";s:3:\"208\";s:11:\"trend_index\";s:3:\"302\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:538;a:14:{s:2:\"id\";s:4:\"2152\";s:5:\"title\";s:26:\"Homepage &#8211; Cake Shop\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/07/cake-home.png\";s:12:\"tmpl_created\";s:10:\"1499774132\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/homepage-cake-shop/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Cake\",\"Homepage\",\"Restaurant\",\"Shop\"]\";s:10:\"menu_order\";s:2:\"92\";s:16:\"popularity_index\";s:3:\"309\";s:11:\"trend_index\";s:3:\"573\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:539;a:14:{s:2:\"id\";s:4:\"9826\";s:5:\"title\";s:33:\"Slide In | Announcement | webinar\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/01/web_small-2.png\";s:12:\"tmpl_created\";s:10:\"1547835513\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/popups/slide-in-announcement-webinar/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"92\";s:16:\"popularity_index\";s:3:\"621\";s:11:\"trend_index\";s:3:\"596\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:540;a:14:{s:2:\"id\";s:4:\"1068\";s:5:\"title\";s:27:\"Homepage &#8211; Copywriter\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2017/03/copywriter.png\";s:12:\"tmpl_created\";s:10:\"1488805928\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/homepage-copywriter/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:25:\"[\"Copywriter\",\"Homepage\"]\";s:10:\"menu_order\";s:2:\"93\";s:16:\"popularity_index\";s:3:\"187\";s:11:\"trend_index\";s:3:\"332\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:541;a:14:{s:2:\"id\";s:5:\"10478\";s:5:\"title\";s:18:\"Slide In | Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2019/01/slide_wow_small.png\";s:12:\"tmpl_created\";s:10:\"1548056829\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/popups/slide-in-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"93\";s:16:\"popularity_index\";s:3:\"508\";s:11:\"trend_index\";s:3:\"585\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:542;a:14:{s:2:\"id\";s:4:\"2813\";s:5:\"title\";s:32:\"Homepage &#8211; Creative Agency\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2017/11/Creative-Agency-–-Home-Page.png\";s:12:\"tmpl_created\";s:10:\"1509615049\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/homepage-creative-agency/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Agency\",\"Creative\",\"Homepage\"]\";s:10:\"menu_order\";s:2:\"94\";s:16:\"popularity_index\";s:2:\"90\";s:11:\"trend_index\";s:3:\"227\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:543;a:14:{s:2:\"id\";s:3:\"728\";s:5:\"title\";s:33:\"Homepage &#8211; Delivery Company\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2017/01/delivery-company-home-page.jpg\";s:12:\"tmpl_created\";s:10:\"1485269993\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/homepage-delivery-company/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Delivery\",\"Homepage\"]\";s:10:\"menu_order\";s:2:\"95\";s:16:\"popularity_index\";s:3:\"250\";s:11:\"trend_index\";s:3:\"403\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:544;a:14:{s:2:\"id\";s:5:\"10685\";s:5:\"title\";s:32:\"Hello Bar | Register | Subscribe\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/01/env_small.png\";s:12:\"tmpl_created\";s:10:\"1547974729\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/hello-bar-register-subscribe-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"96\";s:16:\"popularity_index\";s:3:\"588\";s:11:\"trend_index\";s:3:\"650\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:545;a:14:{s:2:\"id\";s:4:\"2403\";s:5:\"title\";s:29:\"Homepage &#8211; Luxury Hotel\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/09/Hotel.png\";s:12:\"tmpl_created\";s:10:\"1506441428\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/homepage-luxury-hotel/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"96\";s:16:\"popularity_index\";s:3:\"232\";s:11:\"trend_index\";s:3:\"438\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:546;a:14:{s:2:\"id\";s:4:\"1903\";s:5:\"title\";s:20:\"One Page &#8211; Spa\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2017/06/spa.png\";s:12:\"tmpl_created\";s:10:\"1496822325\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/one-page-spa/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:132:\"[\"beauty\",\"care\",\"girly\",\"hair\",\"Health\",\"hospitality\",\"massage\",\"medical\",\"parlor\",\"physiotherapy\",\"salon\",\"spa\",\"wellness\",\"yoga\"]\";s:10:\"menu_order\";s:2:\"97\";s:16:\"popularity_index\";s:3:\"169\";s:11:\"trend_index\";s:3:\"287\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:547;a:14:{s:2:\"id\";s:4:\"2123\";s:5:\"title\";s:33:\"One Page &#8211; Architect Office\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/06/architect.png\";s:12:\"tmpl_created\";s:10:\"1499772989\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/one-page-architect-office/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"98\";s:16:\"popularity_index\";s:2:\"10\";s:11:\"trend_index\";s:2:\"22\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:548;a:14:{s:2:\"id\";s:4:\"9985\";s:5:\"title\";s:20:\"Slide In | Promotion\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2019/01/slidein_promotion_av_small.png\";s:12:\"tmpl_created\";s:10:\"1547844661\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/popups/slide-in-promotion-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"98\";s:16:\"popularity_index\";s:3:\"631\";s:11:\"trend_index\";s:3:\"641\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:549;a:14:{s:2:\"id\";s:4:\"1888\";s:5:\"title\";s:32:\"One Page &#8211; Creative Meetup\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2017/06/creative-meetup.png\";s:12:\"tmpl_created\";s:10:\"1496822319\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/one-page-creative-meetup/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:2:\"99\";s:16:\"popularity_index\";s:3:\"242\";s:11:\"trend_index\";s:3:\"480\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:550;a:14:{s:2:\"id\";s:4:\"1891\";s:5:\"title\";s:35:\"One Page &#8211; Textile Convention\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/06/textile-meetup.png\";s:12:\"tmpl_created\";s:10:\"1496822323\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/one-page-textile-convention/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"100\";s:16:\"popularity_index\";s:3:\"377\";s:11:\"trend_index\";s:3:\"481\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:551;a:14:{s:2:\"id\";s:4:\"1880\";s:5:\"title\";s:24:\"One Page &#8211; Wedding\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2017/06/wedding.png\";s:12:\"tmpl_created\";s:10:\"1496822317\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/one-page-wedding/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"bride\",\"ceremony\",\"cute\",\"event\",\"fancy\",\"girly\",\"groom\",\"guestbook\",\"marriage\"]\";s:10:\"menu_order\";s:3:\"101\";s:16:\"popularity_index\";s:3:\"403\";s:11:\"trend_index\";s:3:\"534\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:552;a:14:{s:2:\"id\";s:4:\"1885\";s:5:\"title\";s:29:\"One Page &#8211; Yacht Rental\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2017/06/yacht-home.png\";s:12:\"tmpl_created\";s:10:\"1496822321\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/one-page-yacht-rental/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"102\";s:16:\"popularity_index\";s:3:\"182\";s:11:\"trend_index\";s:3:\"288\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:553;a:14:{s:2:\"id\";s:4:\"2723\";s:5:\"title\";s:34:\"Portfolio &#8211; Graphic Designer\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2017/11/Graphic-Designer-–-Portfolio.png\";s:12:\"tmpl_created\";s:10:\"1509633883\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/portfolio-graphic-designer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"103\";s:16:\"popularity_index\";s:3:\"170\";s:11:\"trend_index\";s:3:\"303\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:554;a:14:{s:2:\"id\";s:4:\"2145\";s:5:\"title\";s:30:\"About &#8211; Delivery Company\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/07/delivery-about.png\";s:12:\"tmpl_created\";s:10:\"1499774125\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/about-delivery-company/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:10:\"[\"moving\"]\";s:10:\"menu_order\";s:3:\"104\";s:16:\"popularity_index\";s:3:\"316\";s:11:\"trend_index\";s:3:\"475\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:555;a:14:{s:2:\"id\";s:4:\"2155\";s:5:\"title\";s:23:\"About &#8211; Cake Shop\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2017/07/cake-about.png\";s:12:\"tmpl_created\";s:10:\"1499774130\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/about-cake-shop/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"Food\"]\";s:10:\"menu_order\";s:3:\"105\";s:16:\"popularity_index\";s:3:\"368\";s:11:\"trend_index\";s:3:\"575\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:556;a:14:{s:2:\"id\";s:4:\"9559\";s:5:\"title\";s:16:\"Slide In | Login\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2019/01/slidein_login_01_small.png\";s:12:\"tmpl_created\";s:10:\"1546946547\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/popups/slide-in-login-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"105\";s:16:\"popularity_index\";s:3:\"505\";s:11:\"trend_index\";s:3:\"572\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:557;a:14:{s:2:\"id\";s:4:\"1085\";s:5:\"title\";s:21:\"About &#8211; Startup\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2017/03/Startup.png\";s:12:\"tmpl_created\";s:10:\"1488810874\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/about-startup/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"About\",\"Startup\"]\";s:10:\"menu_order\";s:3:\"106\";s:16:\"popularity_index\";s:1:\"7\";s:11:\"trend_index\";s:2:\"10\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:558;a:14:{s:2:\"id\";s:3:\"143\";s:5:\"title\";s:22:\"About &#8211; Personal\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0010.png\";s:12:\"tmpl_created\";s:10:\"1470820447\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/about-personal/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"About\",\"Personal\"]\";s:10:\"menu_order\";s:3:\"107\";s:16:\"popularity_index\";s:2:\"22\";s:11:\"trend_index\";s:2:\"56\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:559;a:14:{s:2:\"id\";s:4:\"9752\";s:5:\"title\";s:27:\"Slide In | Sale | Promotion\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/01/rush_small.png\";s:12:\"tmpl_created\";s:10:\"1547823982\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/popups/slide-in-sale-promotion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"107\";s:16:\"popularity_index\";s:3:\"617\";s:11:\"trend_index\";s:3:\"597\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:560;a:14:{s:2:\"id\";s:3:\"101\";s:5:\"title\";s:16:\"About &#8211; CV\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0018.png\";s:12:\"tmpl_created\";s:10:\"1470829785\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:98:\"https://library.elementor.com/about-cv/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:77:\"[\"creative portfolio\",\"Personal\",\"portfolio\",\"professional\",\"resume\",\"vcard\"]\";s:10:\"menu_order\";s:3:\"108\";s:16:\"popularity_index\";s:2:\"35\";s:11:\"trend_index\";s:3:\"116\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:561;a:14:{s:2:\"id\";s:3:\"140\";s:5:\"title\";s:25:\"About &#8211; Art Gallery\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0009.png\";s:12:\"tmpl_created\";s:10:\"1470820463\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/about-art-gallery/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:25:\"[\"About\",\"Art\",\"Gallery\"]\";s:10:\"menu_order\";s:3:\"109\";s:16:\"popularity_index\";s:2:\"15\";s:11:\"trend_index\";s:2:\"33\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:562;a:14:{s:2:\"id\";s:3:\"213\";s:5:\"title\";s:26:\"About &#8211; Architecture\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0008.png\";s:12:\"tmpl_created\";s:10:\"1470829766\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/about-architecture/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:24:\"[\"About\",\"Architecture\"]\";s:10:\"menu_order\";s:3:\"110\";s:16:\"popularity_index\";s:2:\"17\";s:11:\"trend_index\";s:2:\"41\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:563;a:14:{s:2:\"id\";s:4:\"2802\";s:5:\"title\";s:38:\"Portfolio &#8211; Fashion Photographer\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2017/11/Fashion-photographer-–-Portfolio.png\";s:12:\"tmpl_created\";s:10:\"1509615440\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/portfolio-fashion-photographer/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"111\";s:16:\"popularity_index\";s:3:\"188\";s:11:\"trend_index\";s:3:\"274\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:564;a:14:{s:2:\"id\";s:5:\"10169\";s:5:\"title\";s:37:\"Slide In | Register | Subscribe | App\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/01/slideinapp_small.png\";s:12:\"tmpl_created\";s:10:\"1547852334\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/popups/slide-in-register-subscribe-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"112\";s:16:\"popularity_index\";s:3:\"391\";s:11:\"trend_index\";s:3:\"635\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:565;a:14:{s:2:\"id\";s:4:\"2828\";s:5:\"title\";s:35:\"Landing Page &#8211; Law Convention\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2017/11/Law-Convention-–-Landing-Page.png\";s:12:\"tmpl_created\";s:10:\"1509631636\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/landing-page-law-convention/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:35:\"[\"Convention\",\"Landing Page\",\"Law\"]\";s:10:\"menu_order\";s:3:\"112\";s:16:\"popularity_index\";s:3:\"337\";s:11:\"trend_index\";s:3:\"440\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:566;a:14:{s:2:\"id\";s:4:\"1461\";s:5:\"title\";s:28:\"Landing Page &#8211; Ebook 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Ebook-1.png\";s:12:\"tmpl_created\";s:10:\"1494352121\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-ebook-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:127:\"[\"App\",\"author\",\"book\",\"brochure\",\"download\",\"e-book\",\"ebook\",\"marketing\",\"product\",\"publisher\",\"sell online\",\"seo\",\"showcase\"]\";s:10:\"menu_order\";s:3:\"113\";s:16:\"popularity_index\";s:3:\"327\";s:11:\"trend_index\";s:3:\"509\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:567;a:14:{s:2:\"id\";s:4:\"1460\";s:5:\"title\";s:28:\"Landing Page &#8211; Ebook 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Ebook-2.png\";s:12:\"tmpl_created\";s:10:\"1494352124\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-ebook-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"114\";s:16:\"popularity_index\";s:3:\"345\";s:11:\"trend_index\";s:3:\"493\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:568;a:14:{s:2:\"id\";s:4:\"1459\";s:5:\"title\";s:28:\"Landing Page &#8211; Ebook 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Ebook-3.png\";s:12:\"tmpl_created\";s:10:\"1494352125\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-ebook-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"115\";s:16:\"popularity_index\";s:3:\"219\";s:11:\"trend_index\";s:3:\"265\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:569;a:14:{s:2:\"id\";s:4:\"9680\";s:5:\"title\";s:23:\"Slide In | Content Lock\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2019/01/Slide-in_Content-lock_small_01.png\";s:12:\"tmpl_created\";s:10:\"1547010967\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/popups/slide-in-content-lock-01/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"115\";s:16:\"popularity_index\";s:3:\"616\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:570;a:14:{s:2:\"id\";s:4:\"1052\";s:5:\"title\";s:33:\"Landing Page &#8211; Mobile App 1\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2017/03/app.png\";s:12:\"tmpl_created\";s:10:\"1488810873\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/landing-page-mobile-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"116\";s:16:\"popularity_index\";s:2:\"27\";s:11:\"trend_index\";s:2:\"66\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:571;a:14:{s:2:\"id\";s:4:\"1505\";s:5:\"title\";s:33:\"Landing Page &#8211; Mobile App 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-app3.png\";s:12:\"tmpl_created\";s:10:\"1494352110\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-mobile-app-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"117\";s:16:\"popularity_index\";s:3:\"365\";s:11:\"trend_index\";s:3:\"587\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:572;a:14:{s:2:\"id\";s:4:\"9783\";s:5:\"title\";s:31:\"Slide In | Register | Subscribe\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2019/01/slidein_yellow_small.png\";s:12:\"tmpl_created\";s:10:\"1547831059\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/popups/slide-in-register-subscribe/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"117\";s:16:\"popularity_index\";s:3:\"470\";s:11:\"trend_index\";s:3:\"324\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"1\";}i:573;a:14:{s:2:\"id\";s:3:\"726\";s:5:\"title\";s:33:\"Landing Page &#8211; Conference 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2017/01/convention-landing-page.jpg\";s:12:\"tmpl_created\";s:10:\"1485270062\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/landing-page-conference/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"118\";s:16:\"popularity_index\";s:3:\"386\";s:11:\"trend_index\";s:3:\"527\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:574;a:14:{s:2:\"id\";s:4:\"1613\";s:5:\"title\";s:33:\"Landing Page &#8211; Conference 2\";s:9:\"thumbnail\";s:109:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-International-Womens-Day-Conference.png\";s:12:\"tmpl_created\";s:10:\"1494352129\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-conference-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"119\";s:16:\"popularity_index\";s:3:\"402\";s:11:\"trend_index\";s:3:\"545\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:575;a:14:{s:2:\"id\";s:4:\"1612\";s:5:\"title\";s:33:\"Landing Page &#8211; Conference 3\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Tech-Conference.png\";s:12:\"tmpl_created\";s:10:\"1494352127\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-conference-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"120\";s:16:\"popularity_index\";s:3:\"416\";s:11:\"trend_index\";s:3:\"584\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:576;a:14:{s:2:\"id\";s:4:\"1614\";s:5:\"title\";s:33:\"Landing Page &#8211; Conference 4\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Sustainability-Conference.png\";s:12:\"tmpl_created\";s:10:\"1494352131\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-conference-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"121\";s:16:\"popularity_index\";s:3:\"352\";s:11:\"trend_index\";s:3:\"543\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:577;a:14:{s:2:\"id\";s:3:\"906\";s:5:\"title\";s:29:\"Landing Page &#8211;  Coacher\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2017/02/Landin-Page-Coacher.png\";s:12:\"tmpl_created\";s:10:\"1494352066\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-coacher/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"122\";s:16:\"popularity_index\";s:3:\"251\";s:11:\"trend_index\";s:3:\"414\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:578;a:14:{s:2:\"id\";s:3:\"879\";s:5:\"title\";s:41:\"Landing Page &#8211; Financial Consultant\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2017/02/Landing-Page-Financial-consultant.png\";s:12:\"tmpl_created\";s:10:\"1494352064\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/landing-page-financial-consultant/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"123\";s:16:\"popularity_index\";s:3:\"259\";s:11:\"trend_index\";s:3:\"360\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:579;a:14:{s:2:\"id\";s:3:\"926\";s:5:\"title\";s:33:\"Landing Page &#8211; Private Chef\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2017/02/Landing-Page-Private-Chef.png\";s:12:\"tmpl_created\";s:10:\"1494352068\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/landing-page-private-chef/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"124\";s:16:\"popularity_index\";s:3:\"362\";s:11:\"trend_index\";s:3:\"449\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:580;a:14:{s:2:\"id\";s:4:\"1032\";s:5:\"title\";s:27:\"Landing Page &#8211; Agency\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2017/03/Agency.png\";s:12:\"tmpl_created\";s:10:\"1488810866\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/landing-page-agency/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"125\";s:16:\"popularity_index\";s:3:\"359\";s:11:\"trend_index\";s:3:\"515\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:581;a:14:{s:2:\"id\";s:3:\"730\";s:5:\"title\";s:24:\"Landing Page &#8211; App\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/01/app.-landing-page.jpg\";s:12:\"tmpl_created\";s:10:\"1485273430\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/landing-page-app/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"126\";s:16:\"popularity_index\";s:3:\"338\";s:11:\"trend_index\";s:3:\"430\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:582;a:14:{s:2:\"id\";s:3:\"643\";s:5:\"title\";s:29:\"Landing Page &#8211; Festival\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2016/12/festival.jpg\";s:12:\"tmpl_created\";s:10:\"1481549290\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/landing-page-festival/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"127\";s:16:\"popularity_index\";s:3:\"389\";s:11:\"trend_index\";s:3:\"541\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:583;a:14:{s:2:\"id\";s:3:\"542\";s:5:\"title\";s:28:\"Landing Page &#8211; Wedding\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/10/0025.png\";s:12:\"tmpl_created\";s:10:\"1477388484\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-wedding/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"128\";s:16:\"popularity_index\";s:2:\"75\";s:11:\"trend_index\";s:3:\"143\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:584;a:14:{s:2:\"id\";s:4:\"1187\";s:5:\"title\";s:32:\"Landing Page &#8211; Photography\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp1-l.png\";s:12:\"tmpl_created\";s:10:\"1490707385\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/landing-page-photography/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"129\";s:16:\"popularity_index\";s:2:\"36\";s:11:\"trend_index\";s:2:\"76\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:585;a:14:{s:2:\"id\";s:3:\"641\";s:5:\"title\";s:28:\"Landing Page &#8211; Fashion\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2016/12/fashion-landing-page.jpg\";s:12:\"tmpl_created\";s:10:\"1481549264\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-fashion/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"130\";s:16:\"popularity_index\";s:3:\"296\";s:11:\"trend_index\";s:3:\"366\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:586;a:14:{s:2:\"id\";s:3:\"189\";s:5:\"title\";s:30:\"Landing Page &#8211; Tourism 1\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0005.png\";s:12:\"tmpl_created\";s:10:\"1470820715\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-tourism/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"131\";s:16:\"popularity_index\";s:2:\"14\";s:11:\"trend_index\";s:2:\"37\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:587;a:14:{s:2:\"id\";s:4:\"1547\";s:5:\"title\";s:30:\"Landing Page &#8211; Tourism 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Truism-1.png\";s:12:\"tmpl_created\";s:10:\"1494352115\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/landing-page-tourism-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"132\";s:16:\"popularity_index\";s:3:\"307\";s:11:\"trend_index\";s:3:\"565\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:588;a:14:{s:2:\"id\";s:4:\"1546\";s:5:\"title\";s:30:\"Landing Page &#8211; Tourism 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Truism-2.png\";s:12:\"tmpl_created\";s:10:\"1494352116\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/landing-page-tourism-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"133\";s:16:\"popularity_index\";s:3:\"412\";s:11:\"trend_index\";s:3:\"415\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:589;a:14:{s:2:\"id\";s:4:\"1545\";s:5:\"title\";s:30:\"Landing Page &#8211; Tourism 4\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Truism-3.png\";s:12:\"tmpl_created\";s:10:\"1494352118\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/landing-page-tourism-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"134\";s:16:\"popularity_index\";s:3:\"348\";s:11:\"trend_index\";s:3:\"490\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:590;a:14:{s:2:\"id\";s:4:\"2714\";s:5:\"title\";s:30:\"Landing Page &#8211; Tourism 5\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2017/11/Vacation-–-Landing-Page.png\";s:12:\"tmpl_created\";s:10:\"1509631782\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/landing-page-tourism-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"135\";s:16:\"popularity_index\";s:3:\"342\";s:11:\"trend_index\";s:3:\"488\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:591;a:14:{s:2:\"id\";s:3:\"195\";s:5:\"title\";s:28:\"Landing Page &#8211; Product\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0006.png\";s:12:\"tmpl_created\";s:10:\"1470820765\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-product/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"136\";s:16:\"popularity_index\";s:2:\"45\";s:11:\"trend_index\";s:3:\"157\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:592;a:14:{s:2:\"id\";s:3:\"197\";s:5:\"title\";s:34:\"Landing Page &#8211; Real Estate 1\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0007.png\";s:12:\"tmpl_created\";s:10:\"1470825711\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/landing-page-real-estate/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"137\";s:16:\"popularity_index\";s:3:\"115\";s:11:\"trend_index\";s:3:\"225\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:593;a:14:{s:2:\"id\";s:4:\"1193\";s:5:\"title\";s:34:\"Landing Page &#8211; Real Estate 2\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp3-l.png\";s:12:\"tmpl_created\";s:10:\"1490707422\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/landing-page-real-estate-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"138\";s:16:\"popularity_index\";s:2:\"55\";s:11:\"trend_index\";s:3:\"149\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:594;a:14:{s:2:\"id\";s:4:\"1415\";s:5:\"title\";s:34:\"Landing Page &#8211; Real Estate 3\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Real-Estate-1.png\";s:12:\"tmpl_created\";s:10:\"1494352106\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/landing-page-real-estate-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"139\";s:16:\"popularity_index\";s:3:\"326\";s:11:\"trend_index\";s:3:\"470\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:595;a:14:{s:2:\"id\";s:4:\"1414\";s:5:\"title\";s:34:\"Landing Page &#8211; Real Estate 4\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Real-Estate-2.png\";s:12:\"tmpl_created\";s:10:\"1494352107\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/landing-page-real-estate-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"140\";s:16:\"popularity_index\";s:3:\"432\";s:11:\"trend_index\";s:3:\"574\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:596;a:14:{s:2:\"id\";s:4:\"1413\";s:5:\"title\";s:34:\"Landing Page &#8211; Real Estate 5\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2017/05/Landing-Page-Real-Estate-3.png\";s:12:\"tmpl_created\";s:10:\"1494352109\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/landing-page-real-estate-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:134:\"[\"Agent\",\"business\",\"clean\",\"corporate\",\"flat\",\"google maps\",\"homes\",\"listing\",\"modern\",\"real estate\",\"realestate\",\"realtor\",\"realty\"]\";s:10:\"menu_order\";s:3:\"141\";s:16:\"popularity_index\";s:3:\"395\";s:11:\"trend_index\";s:3:\"381\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:597;a:14:{s:2:\"id\";s:4:\"1573\";s:5:\"title\";s:29:\"Landing Page &#8211; Coupon 1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/Coupon-02.png\";s:12:\"tmpl_created\";s:10:\"1494352133\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/landing-page-coupon-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"142\";s:16:\"popularity_index\";s:3:\"457\";s:11:\"trend_index\";s:3:\"401\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:598;a:14:{s:2:\"id\";s:4:\"1572\";s:5:\"title\";s:29:\"Landing Page &#8211; Coupon 2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/Coupon-03.png\";s:12:\"tmpl_created\";s:10:\"1494352134\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/landing-page-coupon-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"143\";s:16:\"popularity_index\";s:3:\"490\";s:11:\"trend_index\";s:3:\"507\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:599;a:14:{s:2:\"id\";s:4:\"1570\";s:5:\"title\";s:29:\"Landing Page &#8211; Coupon 3\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/Coupon-01.png\";s:12:\"tmpl_created\";s:10:\"1494352136\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/landing-page-coupon-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"144\";s:16:\"popularity_index\";s:3:\"528\";s:11:\"trend_index\";s:3:\"553\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:600;a:14:{s:2:\"id\";s:4:\"1571\";s:5:\"title\";s:29:\"Landing Page &#8211; Coupon 4\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/Coupon-04.png\";s:12:\"tmpl_created\";s:10:\"1494352138\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/landing-page-coupon-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"145\";s:16:\"popularity_index\";s:3:\"504\";s:11:\"trend_index\";s:3:\"601\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:601;a:14:{s:2:\"id\";s:3:\"192\";s:5:\"title\";s:28:\"Landing Page &#8211; Webinar\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0015.png\";s:12:\"tmpl_created\";s:10:\"1470820734\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/landing-page-webinar/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"146\";s:16:\"popularity_index\";s:2:\"98\";s:11:\"trend_index\";s:3:\"258\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:602;a:14:{s:2:\"id\";s:4:\"2141\";s:5:\"title\";s:32:\"Contact &#8211; Delivery Company\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2017/07/delivery-contact.png\";s:12:\"tmpl_created\";s:10:\"1499774122\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/contact-delivery-company/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"147\";s:16:\"popularity_index\";s:3:\"300\";s:11:\"trend_index\";s:3:\"459\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:603;a:14:{s:2:\"id\";s:3:\"137\";s:5:\"title\";s:22:\"Contact &#8211; Modern\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0013.png\";s:12:\"tmpl_created\";s:10:\"1470829828\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/contact-modern/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"148\";s:16:\"popularity_index\";s:2:\"40\";s:11:\"trend_index\";s:3:\"122\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:604;a:14:{s:2:\"id\";s:3:\"256\";s:5:\"title\";s:26:\"Contact &#8211; Restaurant\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0011.png\";s:12:\"tmpl_created\";s:10:\"1470829796\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/contact-restaurant/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"149\";s:16:\"popularity_index\";s:3:\"112\";s:11:\"trend_index\";s:3:\"236\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:605;a:14:{s:2:\"id\";s:4:\"2150\";s:5:\"title\";s:25:\"Contact &#8211; Cake Shop\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2017/07/cake-contact.png\";s:12:\"tmpl_created\";s:10:\"1499774127\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/contact-cake-shop/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"150\";s:16:\"popularity_index\";s:2:\"58\";s:11:\"trend_index\";s:3:\"118\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:606;a:14:{s:2:\"id\";s:3:\"223\";s:5:\"title\";s:21:\"Contact &#8211; Hotel\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0002.png\";s:12:\"tmpl_created\";s:10:\"1470820471\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/contact-hotel/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"151\";s:16:\"popularity_index\";s:3:\"109\";s:11:\"trend_index\";s:3:\"218\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:607;a:14:{s:2:\"id\";s:2:\"24\";s:5:\"title\";s:25:\"Contact &#8211; Corporate\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0012.png\";s:12:\"tmpl_created\";s:10:\"1470248619\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/contact-corporate/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"152\";s:16:\"popularity_index\";s:2:\"13\";s:11:\"trend_index\";s:2:\"20\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:608;a:14:{s:2:\"id\";s:3:\"184\";s:5:\"title\";s:23:\"Services &#8211; Moving\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0017.png\";s:12:\"tmpl_created\";s:10:\"1470829889\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/services-moving/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"153\";s:16:\"popularity_index\";s:2:\"23\";s:11:\"trend_index\";s:2:\"47\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:609;a:14:{s:2:\"id\";s:3:\"625\";s:5:\"title\";s:31:\"Services &#8211; Cake Shop Menu\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2016/12/cake-shop-menu.jpg\";s:12:\"tmpl_created\";s:10:\"1481549196\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/services-cake-shop-menu/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"154\";s:16:\"popularity_index\";s:3:\"495\";s:11:\"trend_index\";s:3:\"648\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:610;a:14:{s:2:\"id\";s:3:\"187\";s:5:\"title\";s:20:\"Services &#8211; Fun\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0001.png\";s:12:\"tmpl_created\";s:10:\"1470829892\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/services-fun/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"155\";s:16:\"popularity_index\";s:2:\"61\";s:11:\"trend_index\";s:3:\"173\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:611;a:14:{s:2:\"id\";s:3:\"238\";s:5:\"title\";s:27:\"Services &#8211; Consulting\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0014.png\";s:12:\"tmpl_created\";s:10:\"1470829865\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/services-consulting/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"156\";s:16:\"popularity_index\";s:2:\"21\";s:11:\"trend_index\";s:2:\"45\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:612;a:14:{s:2:\"id\";s:3:\"647\";s:5:\"title\";s:33:\"Services &#8211; Coffee Shop Menu\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2016/12/restaurant-menu.jpg\";s:12:\"tmpl_created\";s:10:\"1481549320\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/services-coffee-shop-menu/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"157\";s:16:\"popularity_index\";s:3:\"415\";s:11:\"trend_index\";s:3:\"506\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:613;a:14:{s:2:\"id\";s:4:\"2138\";s:5:\"title\";s:33:\"Services &#8211; Delivery Company\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/07/delivery-services.png\";s:12:\"tmpl_created\";s:10:\"1499774119\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/services-delivery-company/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"158\";s:16:\"popularity_index\";s:3:\"360\";s:11:\"trend_index\";s:3:\"483\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:614;a:14:{s:2:\"id\";s:3:\"823\";s:5:\"title\";s:19:\"Pricing &#8211; App\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2017/01/pricing-app.jpg\";s:12:\"tmpl_created\";s:10:\"1485272966\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/pricing-app-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"159\";s:16:\"popularity_index\";s:3:\"336\";s:11:\"trend_index\";s:3:\"408\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:615;a:14:{s:2:\"id\";s:3:\"824\";s:5:\"title\";s:24:\"Pricing &#8211; Software\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2017/01/pricing-software.png\";s:12:\"tmpl_created\";s:10:\"1485272900\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/pricing-software-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"160\";s:16:\"popularity_index\";s:3:\"351\";s:11:\"trend_index\";s:3:\"448\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:616;a:14:{s:2:\"id\";s:3:\"825\";s:5:\"title\";s:24:\"Product &#8211; Speakers\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2017/01/product-page.jpg\";s:12:\"tmpl_created\";s:10:\"1485272513\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/product-speakers/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"161\";s:16:\"popularity_index\";s:3:\"366\";s:11:\"trend_index\";s:3:\"378\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:617;a:14:{s:2:\"id\";s:3:\"245\";s:5:\"title\";s:21:\"Product &#8211; Clean\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2016/08/0020.png\";s:12:\"tmpl_created\";s:10:\"1470829876\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/product-clean/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"fast\",\"minimal\",\"minimalistic\",\"seo\",\"simple\"]\";s:10:\"menu_order\";s:3:\"162\";s:16:\"popularity_index\";s:2:\"74\";s:11:\"trend_index\";s:3:\"195\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:618;a:14:{s:2:\"id\";s:4:\"1075\";s:5:\"title\";s:19:\"Shop &#8211; Sweets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2017/03/Sweets.png\";s:12:\"tmpl_created\";s:10:\"1488810871\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/shop-sweets/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:154:\"[\"bakery\",\"beverage\",\"business\",\"cafe\",\"candy bar\",\"catering\",\"delivery service\",\"Food\",\"online shop\",\"pastry\",\"Restaurant\",\"store\",\"sweet shop\",\"sweets\"]\";s:10:\"menu_order\";s:3:\"163\";s:16:\"popularity_index\";s:2:\"50\";s:11:\"trend_index\";s:3:\"100\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:619;a:14:{s:2:\"id\";s:4:\"1051\";s:5:\"title\";s:24:\"Blog Post &#8211; Launch\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2017/03/post-cloud.png\";s:12:\"tmpl_created\";s:10:\"1488810869\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/blog-post-launch/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:210:\"[\"Agency\",\"bootstrap\",\"business\",\"corporate\",\"Landing Page\",\"launch\",\"marketing campaign\",\"marketing landing page\",\"marketing template landing page\",\"product launch\",\"software\",\"Startup\",\"startup landing page\"]\";s:10:\"menu_order\";s:3:\"164\";s:16:\"popularity_index\";s:2:\"16\";s:11:\"trend_index\";s:2:\"15\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:620;a:14:{s:2:\"id\";s:4:\"1245\";s:5:\"title\";s:13:\"Coming Soon 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-1.png\";s:12:\"tmpl_created\";s:10:\"1491207184\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"165\";s:16:\"popularity_index\";s:3:\"254\";s:11:\"trend_index\";s:3:\"308\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:621;a:14:{s:2:\"id\";s:4:\"1247\";s:5:\"title\";s:13:\"Coming Soon 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-2.png\";s:12:\"tmpl_created\";s:10:\"1491207138\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"166\";s:16:\"popularity_index\";s:2:\"28\";s:11:\"trend_index\";s:2:\"57\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:622;a:14:{s:2:\"id\";s:4:\"1248\";s:5:\"title\";s:13:\"Coming Soon 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-3.png\";s:12:\"tmpl_created\";s:10:\"1491207050\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-3/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"167\";s:16:\"popularity_index\";s:3:\"369\";s:11:\"trend_index\";s:3:\"542\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:623;a:14:{s:2:\"id\";s:4:\"1249\";s:5:\"title\";s:13:\"Coming Soon 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-4.png\";s:12:\"tmpl_created\";s:10:\"1491207380\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-4/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"168\";s:16:\"popularity_index\";s:3:\"398\";s:11:\"trend_index\";s:3:\"510\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:624;a:14:{s:2:\"id\";s:4:\"1250\";s:5:\"title\";s:13:\"Coming Soon 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-5.png\";s:12:\"tmpl_created\";s:10:\"1491207450\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-5/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"169\";s:16:\"popularity_index\";s:2:\"62\";s:11:\"trend_index\";s:3:\"102\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:625;a:14:{s:2:\"id\";s:4:\"1260\";s:5:\"title\";s:18:\"Maintenance Mode 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-6.png\";s:12:\"tmpl_created\";s:10:\"1491207507\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/maintenance-mode-1/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"Maintenance mode\"]\";s:10:\"menu_order\";s:3:\"170\";s:16:\"popularity_index\";s:3:\"410\";s:11:\"trend_index\";s:3:\"549\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:626;a:14:{s:2:\"id\";s:4:\"1261\";s:5:\"title\";s:18:\"Maintenance Mode 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/04/Coming-Soon-7.png\";s:12:\"tmpl_created\";s:10:\"1491207584\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/maintenance-mode-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:20:\"[\"Maintenance mode\"]\";s:10:\"menu_order\";s:3:\"171\";s:16:\"popularity_index\";s:2:\"64\";s:11:\"trend_index\";s:3:\"200\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:627;a:14:{s:2:\"id\";s:4:\"1272\";s:5:\"title\";s:13:\"Coming Soon 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-8.png\";s:12:\"tmpl_created\";s:10:\"1491207674\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-8/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"172\";s:16:\"popularity_index\";s:3:\"273\";s:11:\"trend_index\";s:3:\"363\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:628;a:14:{s:2:\"id\";s:4:\"1279\";s:5:\"title\";s:13:\"Coming Soon 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/03/Coming-Soon-9.png\";s:12:\"tmpl_created\";s:10:\"1491207756\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:103:\"https://library.elementor.com/coming-soon-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"173\";s:16:\"popularity_index\";s:3:\"127\";s:11:\"trend_index\";s:3:\"219\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}i:629;a:14:{s:2:\"id\";s:4:\"1745\";s:5:\"title\";s:14:\"Coming Soon 10\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/login-002.png\";s:12:\"tmpl_created\";s:10:\"1494849745\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/coming-soon-10/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"174\";s:16:\"popularity_index\";s:3:\"263\";s:11:\"trend_index\";s:3:\"345\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:630;a:14:{s:2:\"id\";s:4:\"1742\";s:5:\"title\";s:12:\"Login Page 1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/login-003.png\";s:12:\"tmpl_created\";s:10:\"1494849744\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:100:\"https://library.elementor.com/login-page/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"175\";s:16:\"popularity_index\";s:3:\"396\";s:11:\"trend_index\";s:3:\"370\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:631;a:14:{s:2:\"id\";s:4:\"1748\";s:5:\"title\";s:12:\"Login Page 2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/05/login-001.png\";s:12:\"tmpl_created\";s:10:\"1494849742\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:102:\"https://library.elementor.com/login-page-2/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"176\";s:16:\"popularity_index\";s:3:\"285\";s:11:\"trend_index\";s:3:\"247\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:632;a:14:{s:2:\"id\";s:4:\"3963\";s:5:\"title\";s:32:\"Restaurant Site &#8211; Homepage\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/01/R.HomepageThumb.png\";s:12:\"tmpl_created\";s:10:\"1516284821\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/restaurant-site-homepage/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:109:\"[\"bar\",\"cafe\",\"cooking\",\"drink\",\"events\",\"fast food\",\"Food\",\"menu\",\"modern\",\"reservation\",\"Shop\",\"snack bar\"]\";s:10:\"menu_order\";s:3:\"177\";s:16:\"popularity_index\";s:3:\"227\";s:11:\"trend_index\";s:3:\"243\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:633;a:14:{s:2:\"id\";s:4:\"3969\";s:5:\"title\";s:28:\"Restaurant Site &#8211; Menu\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/01/R.MenuThumb.png\";s:12:\"tmpl_created\";s:10:\"1516284829\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/restaurant-site-menu/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:109:\"[\"bar\",\"cafe\",\"cooking\",\"drink\",\"events\",\"fast food\",\"Food\",\"menu\",\"modern\",\"reservation\",\"Shop\",\"snack bar\"]\";s:10:\"menu_order\";s:3:\"178\";s:16:\"popularity_index\";s:3:\"379\";s:11:\"trend_index\";s:3:\"485\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:634;a:14:{s:2:\"id\";s:4:\"3966\";s:5:\"title\";s:29:\"Restaurant Site &#8211; About\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/01/R.AboutThumb.png.png\";s:12:\"tmpl_created\";s:10:\"1516284839\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/restaurant-site-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:109:\"[\"bar\",\"cafe\",\"cooking\",\"drink\",\"events\",\"fast food\",\"Food\",\"menu\",\"modern\",\"reservation\",\"Shop\",\"snack bar\"]\";s:10:\"menu_order\";s:3:\"179\";s:16:\"popularity_index\";s:3:\"238\";s:11:\"trend_index\";s:3:\"233\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:635;a:14:{s:2:\"id\";s:4:\"3972\";s:5:\"title\";s:31:\"Restaurant Site &#8211; Contact\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/01/R.ContactThumb.png\";s:12:\"tmpl_created\";s:10:\"1516284847\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/restaurant-site-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:109:\"[\"bar\",\"cafe\",\"cooking\",\"drink\",\"events\",\"fast food\",\"Food\",\"menu\",\"modern\",\"reservation\",\"Shop\",\"snack bar\"]\";s:10:\"menu_order\";s:3:\"180\";s:16:\"popularity_index\";s:3:\"347\";s:11:\"trend_index\";s:3:\"406\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:636;a:14:{s:2:\"id\";s:4:\"2080\";s:5:\"title\";s:27:\"Ski Resort &#8211; Homepage\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2017/10/Ski-Resort-Home-Page.png\";s:12:\"tmpl_created\";s:10:\"1508161124\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/ski-resort-homepage/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"181\";s:16:\"popularity_index\";s:3:\"312\";s:11:\"trend_index\";s:3:\"313\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:637;a:14:{s:2:\"id\";s:4:\"2088\";s:5:\"title\";s:24:\"Ski Resort &#8211; About\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2017/10/Ski-Resort-About.png\";s:12:\"tmpl_created\";s:10:\"1508161129\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:106:\"https://library.elementor.com/ski-resort-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"182\";s:16:\"popularity_index\";s:3:\"387\";s:11:\"trend_index\";s:3:\"525\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:638;a:14:{s:2:\"id\";s:4:\"2085\";s:5:\"title\";s:27:\"Ski Resort &#8211; Services\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2017/10/Ski-Resort-Services.png\";s:12:\"tmpl_created\";s:10:\"1508161134\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/ski-resort-services/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"183\";s:16:\"popularity_index\";s:3:\"486\";s:11:\"trend_index\";s:3:\"528\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:639;a:14:{s:2:\"id\";s:4:\"2462\";s:5:\"title\";s:23:\"Architect &#8211; About\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2017/10/architect-–-about.png\";s:12:\"tmpl_created\";s:10:\"1508243317\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:105:\"https://library.elementor.com/architect-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"184\";s:16:\"popularity_index\";s:3:\"308\";s:11:\"trend_index\";s:3:\"393\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:640;a:14:{s:2:\"id\";s:4:\"2362\";s:5:\"title\";s:26:\"Architect &#8211; Projects\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2017/10/Architect-Projects.png\";s:12:\"tmpl_created\";s:10:\"1508243335\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/architect-projects/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"185\";s:16:\"popularity_index\";s:3:\"374\";s:11:\"trend_index\";s:3:\"426\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:641;a:14:{s:2:\"id\";s:3:\"614\";s:5:\"title\";s:25:\"Architect &#8211; Contact\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2016/12/architect-contact.jpg\";s:12:\"tmpl_created\";s:10:\"1481549169\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/architect-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"186\";s:16:\"popularity_index\";s:3:\"278\";s:11:\"trend_index\";s:3:\"465\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:642;a:14:{s:2:\"id\";s:4:\"2126\";s:5:\"title\";s:37:\"Construction Company &#8211; Homepage\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2017/10/Construction-Company-Home-Page.png\";s:12:\"tmpl_created\";s:10:\"1508325849\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/construction-company-homepage/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"187\";s:16:\"popularity_index\";s:3:\"265\";s:11:\"trend_index\";s:3:\"294\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:643;a:14:{s:2:\"id\";s:4:\"2129\";s:5:\"title\";s:34:\"Construction Company &#8211; About\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2017/10/Construction-Company-About.png\";s:12:\"tmpl_created\";s:10:\"1508325881\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/construction-company-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"188\";s:16:\"popularity_index\";s:3:\"293\";s:11:\"trend_index\";s:3:\"436\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:644;a:14:{s:2:\"id\";s:4:\"2135\";s:5:\"title\";s:36:\"Construction Company &#8211; Contact\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2017/10/Construction-Company-Contact.png\";s:12:\"tmpl_created\";s:10:\"1508325922\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/construction-company-contact/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"189\";s:16:\"popularity_index\";s:3:\"323\";s:11:\"trend_index\";s:3:\"487\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:645;a:14:{s:2:\"id\";s:4:\"2094\";s:5:\"title\";s:28:\"Plants Shop &#8211; Homepage\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2017/11/Plants-Shop-Home.png\";s:12:\"tmpl_created\";s:10:\"1509621053\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/plants-shop-homepage/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"190\";s:16:\"popularity_index\";s:3:\"270\";s:11:\"trend_index\";s:3:\"282\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:646;a:14:{s:2:\"id\";s:4:\"2120\";s:5:\"title\";s:25:\"Plants Shop &#8211; About\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2017/11/Plants-Shop-About.png\";s:12:\"tmpl_created\";s:10:\"1509631820\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:107:\"https://library.elementor.com/plants-shop-about/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"191\";s:16:\"popularity_index\";s:3:\"331\";s:11:\"trend_index\";s:3:\"482\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:647;a:14:{s:2:\"id\";s:4:\"3153\";s:5:\"title\";s:14:\"Halloween Pack\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/10/halloween.png\";s:12:\"tmpl_created\";s:10:\"1508950132\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:104:\"https://library.elementor.com/halloween-pack/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"192\";s:16:\"popularity_index\";s:3:\"546\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:648;a:14:{s:2:\"id\";s:4:\"3338\";s:5:\"title\";s:31:\"Black Friday &#8211; Nature Set\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/11/black-friday-1.png\";s:12:\"tmpl_created\";s:10:\"1511203351\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/black-friday-nature-set/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"193\";s:16:\"popularity_index\";s:3:\"473\";s:11:\"trend_index\";s:3:\"616\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:649;a:14:{s:2:\"id\";s:4:\"3339\";s:5:\"title\";s:35:\"Black Friday &#8211; Pop-Styled Set\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/11/black-friday-2.png\";s:12:\"tmpl_created\";s:10:\"1511203636\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/black-friday-pop-styled-set/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"194\";s:16:\"popularity_index\";s:3:\"421\";s:11:\"trend_index\";s:3:\"617\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:650;a:14:{s:2:\"id\";s:4:\"3335\";s:5:\"title\";s:31:\"Black Friday &#8211; Retail Set\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/11/black-friday-4.png\";s:12:\"tmpl_created\";s:10:\"1511203246\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/black-friday-retail-set/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"195\";s:16:\"popularity_index\";s:3:\"423\";s:11:\"trend_index\";s:3:\"639\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:651;a:14:{s:2:\"id\";s:4:\"3340\";s:5:\"title\";s:41:\"Black Friday &#8211; Software Product Set\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2017/11/black-friday-3.png\";s:12:\"tmpl_created\";s:10:\"1511203713\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/black-friday-software-product-set/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"196\";s:16:\"popularity_index\";s:3:\"411\";s:11:\"trend_index\";s:3:\"526\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:652;a:14:{s:2:\"id\";s:4:\"3517\";s:5:\"title\";s:27:\"Christmas &#8211; Gift Shop\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2017/12/XmasThumb.png\";s:12:\"tmpl_created\";s:10:\"1513877937\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/christmas-gift-shop/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"197\";s:16:\"popularity_index\";s:3:\"462\";s:11:\"trend_index\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:653;a:14:{s:2:\"id\";s:4:\"3734\";s:5:\"title\";s:28:\"Christmas &#8211; Car Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2017/12/cover-lib-v3.png\";s:12:\"tmpl_created\";s:10:\"1514197794\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/christmas-car-agency/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"198\";s:16:\"popularity_index\";s:3:\"452\";s:11:\"trend_index\";s:3:\"576\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:654;a:14:{s:2:\"id\";s:4:\"3764\";s:5:\"title\";s:33:\"Christmas &#8211; Interior Design\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2017/12/cover-lib-v6.png\";s:12:\"tmpl_created\";s:10:\"1514198234\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/christmas-interior-design/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"199\";s:16:\"popularity_index\";s:3:\"433\";s:11:\"trend_index\";s:3:\"392\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:655;a:14:{s:2:\"id\";s:4:\"3565\";s:5:\"title\";s:27:\"Christmas &#8211; Tree Shop\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2017/12/XmasTreeThumb.png\";s:12:\"tmpl_created\";s:10:\"1514204382\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/christmas-tree-shop/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"200\";s:16:\"popularity_index\";s:3:\"388\";s:11:\"trend_index\";s:3:\"474\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:656;a:14:{s:2:\"id\";s:4:\"3862\";s:5:\"title\";s:35:\"Christmas &#8211; Design Conference\";s:9:\"thumbnail\";s:63:\"https://library.elementor.com/wp-content/uploads/2017/12/q1.png\";s:12:\"tmpl_created\";s:10:\"1514206745\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/christmas-design-conference/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"201\";s:16:\"popularity_index\";s:3:\"376\";s:11:\"trend_index\";s:3:\"557\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:657;a:14:{s:2:\"id\";s:4:\"3777\";s:5:\"title\";s:39:\"Christmas &#8211; Snowboard Competition\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2017/12/cover-lib-v7.png\";s:12:\"tmpl_created\";s:10:\"1514205420\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/christmas-snowboard-competition/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"202\";s:16:\"popularity_index\";s:3:\"399\";s:11:\"trend_index\";s:3:\"589\";s:6:\"is_pro\";s:1:\"1\";s:17:\"has_page_settings\";s:1:\"0\";}i:658;a:14:{s:2:\"id\";s:3:\"420\";s:5:\"title\";s:11:\"Hero UI Kit\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2016/09/library-ui-kit-cover.png\";s:12:\"tmpl_created\";s:10:\"1475067229\";s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:101:\"https://library.elementor.com/hero-ui-kit/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";s:3:\"203\";s:16:\"popularity_index\";s:2:\"19\";s:11:\"trend_index\";s:2:\"65\";s:6:\"is_pro\";s:1:\"0\";s:17:\"has_page_settings\";s:1:\"0\";}}}", "no");
INSERT INTO `age_options` VALUES("158", "astra-sites-categories", "a:5:{i:0;a:3:{s:2:\"id\";i:37;s:4:\"name\";s:4:\"Blog\";s:4:\"slug\";s:4:\"blog\";}i:1;a:3:{s:2:\"id\";i:27;s:4:\"name\";s:8:\"Business\";s:4:\"slug\";s:8:\"business\";}i:2;a:3:{s:2:\"id\";i:38;s:4:\"name\";s:9:\"eCommerce\";s:4:\"slug\";s:9:\"ecommerce\";}i:3;a:3:{s:2:\"id\";i:39;s:4:\"name\";s:4:\"Free\";s:4:\"slug\";s:4:\"free\";}i:4;a:3:{s:2:\"id\";i:36;s:4:\"name\";s:5:\"Other\";s:4:\"slug\";s:5:\"other\";}}", "yes");
INSERT INTO `age_options` VALUES("144", "recently_activated", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("151", "_transient_astra-theme-first-rating", "1", "no");
INSERT INTO `age_options` VALUES("152", "astra-theme-old-setup", "1", "yes");
INSERT INTO `age_options` VALUES("159", "astra-sites-and-pages-page-13", "a:15:{s:8:\"id-18624\";a:11:{s:5:\"title\";s:6:\"Author\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-400x1432.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/author-03\";s:20:\"astra-site-parent-id\";i:222;s:15:\"astra-sites-tag\";a:5:{i:724;s:6:\"author\";i:726;s:10:\"literature\";i:723;s:8:\"novelist\";i:722;s:4:\"poet\";i:725;s:6:\"writer\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-24404\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/author-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/author-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24402\";a:11:{s:5:\"title\";s:5:\"Books\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/author-books.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-books-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/author-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/author-03/books/\";s:15:\"astra-sites-tag\";a:1:{i:727;s:4:\"book\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24400\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/author-about.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/author-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/author-03/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24403\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/author-contact.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/author-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/author-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/author-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18636\";a:11:{s:5:\"title\";s:9:\"Jewellery\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home-400x710.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/jewellery-03\";s:20:\"astra-site-parent-id\";i:249;s:15:\"astra-sites-tag\";a:6:{i:496;s:9:\"ecommerce\";i:731;s:7:\"jewelry\";i:732;s:11:\"online-shop\";i:383;s:12:\"online-store\";i:733;s:4:\"shop\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-24626\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/jewellery-03/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/jewellery-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24624\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/jewellery-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/jewellery-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24625\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24625-jewellery-contact-us-resize.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/jewellery-03/wp-json/wp/v2/pages/53\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/jewellery-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}s:8:\"id-18548\";a:11:{s:5:\"title\";s:15:\"Wedding Planner\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-400x1975.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/wedding-planner-04\";s:20:\"astra-site-parent-id\";i:272;s:15:\"astra-sites-tag\";a:3:{i:717;s:13:\"event-planner\";i:697;s:7:\"wedding\";i:716;s:15:\"wedding-planner\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24812\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-04/wp-json/wp/v2/pages/173\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/wedding-planner-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24808\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wedding-planner-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24813\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wedding-planner-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24811\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-gallery.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/wedding-planner-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24814\";a:11:{s:5:\"title\";s:6:\"Venues\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-venues.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-venues-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/wedding-planner-04/venues/\";s:15:\"astra-sites-tag\";a:1:{i:696;s:5:\"venue\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24810\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-04/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/wedding-planner-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18574\";a:11:{s:5:\"title\";s:31:\"eCourse &#8211; Learn Photoshop\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1-400x1910.jpg\";s:14:\"astra-site-url\";s:45:\"//websitedemos.net/ecourse-learn-photoshop-04\";s:20:\"astra-site-parent-id\";i:275;s:15:\"astra-sites-tag\";a:5:{i:468;s:9:\"elearning\";i:719;s:15:\"online-coaching\";i:975;s:15:\"online-learning\";i:721;s:8:\"training\";i:720;s:9:\"tutorials\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24853\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/ecourse-learn-photoshop-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/ecourse-learn-photoshop-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24848\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-about.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/ecourse-learn-photoshop-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/ecourse-learn-photoshop-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24851\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24851-ecourse-learn-photoshop-courses-resize.jpg\";s:19:\"thumbnail-image-url\";s:111:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24851-ecourse-learn-photoshop-courses-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/ecourse-learn-photoshop-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/ecourse-learn-photoshop-04/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24856\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/ecourse-learn-photoshop-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:59:\"//websitedemos.net/ecourse-learn-photoshop-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24854\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24854-ecourse-learn-photoshop-pricing-resize.jpg\";s:19:\"thumbnail-image-url\";s:111:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24854-ecourse-learn-photoshop-pricing-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:74:\"https://websitedemos.net/ecourse-learn-photoshop-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/ecourse-learn-photoshop-04/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18423\";a:11:{s:5:\"title\";s:6:\"Author\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-400x1432.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/author-04\";s:20:\"astra-site-parent-id\";i:224;s:15:\"astra-sites-tag\";a:6:{i:724;s:6:\"author\";i:726;s:10:\"literature\";i:723;s:8:\"novelist\";i:1020;s:8:\"personal\";i:722;s:4:\"poet\";i:725;s:6:\"writer\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-24419\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/author-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/author-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24417\";a:11:{s:5:\"title\";s:5:\"Books\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/author-books.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-books-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/author-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/author-04/books/\";s:15:\"astra-sites-tag\";a:1:{i:727;s:4:\"book\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24415\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/author-about.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/author-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/author-04/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24418\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/author-contact.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/author-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/author-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/author-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18556\";a:11:{s:5:\"title\";s:15:\"Wedding Planner\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-400x1975.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/wedding-planner-03\";s:20:\"astra-site-parent-id\";i:273;s:15:\"astra-sites-tag\";a:3:{i:717;s:13:\"event-planner\";i:697;s:7:\"wedding\";i:716;s:15:\"wedding-planner\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24826\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/wedding-planner-03/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/wedding-planner-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24822\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wedding-planner-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24827\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wedding-planner-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24825\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-gallery.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/wedding-planner-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24828\";a:11:{s:5:\"title\";s:6:\"Venues\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-venues.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-venues-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/wedding-planner-03/venues/\";s:15:\"astra-sites-tag\";a:1:{i:696;s:5:\"venue\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24824\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wedding-planner-03/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/wedding-planner-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18507\";a:11:{s:5:\"title\";s:20:\"Food and Drinks Blog\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-home-400x1226.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/fnb-blogger-04\";s:20:\"astra-site-parent-id\";i:355;s:15:\"astra-sites-tag\";a:8:{i:728;s:8:\"beverage\";i:729;s:8:\"blogging\";i:882;s:6:\"drinks\";i:336;s:4:\"food\";i:883;s:23:\"food-and-drinks-blogger\";i:1020;s:8:\"personal\";i:730;s:7:\"recipes\";i:427;s:6:\"travel\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:2:{s:8:\"id-28358\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-about-me.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-about-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/fnb-blogger-04/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/fnb-blogger-04/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-28360\";a:11:{s:5:\"title\";s:19:\"Let&#8217;s Connect\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-lets-connect.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2018/04/fnb-blogger-04-lets-connect-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/fnb-blogger-04/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/fnb-blogger-04/lets-connect/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}s:8:\"id-18492\";a:11:{s:5:\"title\";s:9:\"Jewellery\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home-400x710.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/jewellery-04\";s:20:\"astra-site-parent-id\";i:252;s:15:\"astra-sites-tag\";a:6:{i:496;s:9:\"ecommerce\";i:731;s:7:\"jewelry\";i:732;s:11:\"online-shop\";i:383;s:12:\"online-store\";i:733;s:4:\"shop\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-24635\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/jewellery-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/jewellery-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24633\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/jewellery-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/jewellery-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24634\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/jewellery-contact-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/jewellery-04/wp-json/wp/v2/pages/53\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/jewellery-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}s:8:\"id-18399\";a:11:{s:5:\"title\";s:5:\"Hotel\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home-400x2359.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/hotel-03\";s:20:\"astra-site-parent-id\";i:279;s:15:\"astra-sites-tag\";a:6:{i:560;s:7:\"cuisine\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:712;s:5:\"lodge\";i:711;s:5:\"motel\";i:714;s:6:\"resort\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24893\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-03/wp-json/wp/v2/pages/128\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/hotel-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24894\";a:11:{s:5:\"title\";s:5:\"Rooms\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-rooms.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-rooms-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-03/wp-json/wp/v2/pages/129\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/hotel-03/rooms/\";s:15:\"astra-sites-tag\";a:1:{i:715;s:5:\"rooms\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24895\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-03/wp-json/wp/v2/pages/130\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/hotel-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24892\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-03/wp-json/wp/v2/pages/131\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/hotel-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24896\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-testimonial.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-testimonial-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/hotel-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/hotel-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24891\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/hotel-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/hotel-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18394\";a:11:{s:5:\"title\";s:5:\"Hotel\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home-400x2359.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/hotel-04\";s:20:\"astra-site-parent-id\";i:282;s:15:\"astra-sites-tag\";a:7:{i:560;s:7:\"cuisine\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:712;s:5:\"lodge\";i:711;s:5:\"motel\";i:714;s:6:\"resort\";i:335;s:10:\"restaurant\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24925\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/hotel-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/hotel-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24926\";a:11:{s:5:\"title\";s:5:\"Rooms\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-rooms.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-rooms-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/hotel-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/hotel-04/rooms/\";s:15:\"astra-sites-tag\";a:1:{i:715;s:5:\"rooms\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24927\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/hotel-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/hotel-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24924\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/hotel-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/hotel-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24928\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-testimonial.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-testimonial-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/hotel-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/hotel-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24923\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/hotel-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/hotel-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/hotel-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18384\";a:11:{s:5:\"title\";s:20:\"Motivational Speaker\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-400x1394.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/motivational-speaker-03\";s:20:\"astra-site-parent-id\";i:195;s:15:\"astra-sites-tag\";a:6:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:855;s:20:\"motivational-speaker\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23996\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:70:\"https://websitedemos.net/motivational-speaker-03/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/motivational-speaker-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23991\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-03/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/motivational-speaker-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23995\";a:11:{s:5:\"title\";s:7:\"e-Books\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-ebooks.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-ebooks-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-03/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-03/e-books/\";s:15:\"astra-sites-tag\";a:2:{i:727;s:4:\"book\";i:781;s:6:\"e-book\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23994\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-courses.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-03/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23993\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-03/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18388\";a:11:{s:5:\"title\";s:7:\"eCourse\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home-400x2395.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/teach-03\";s:20:\"astra-site-parent-id\";i:216;s:15:\"astra-sites-tag\";a:5:{i:468;s:9:\"elearning\";i:719;s:15:\"online-coaching\";i:975;s:15:\"online-learning\";i:721;s:8:\"training\";i:720;s:9:\"tutorials\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24331\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/teach-03/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/teach-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24328\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24328-ecourse-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24328-ecourse-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-03/wp-json/wp/v2/pages/50\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/teach-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24332\";a:11:{s:5:\"title\";s:7:\"Lessons\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24332-ecourse-lessons-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24332-ecourse-lessons-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-03/wp-json/wp/v2/pages/81\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/teach-03/lessons/\";s:15:\"astra-sites-tag\";a:1:{i:747;s:7:\"lessons\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24333\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24333-ecourse-testimonials-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24333-ecourse-testimonials-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-03/wp-json/wp/v2/pages/53\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/teach-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24330\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24330-ecourse-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24330-ecourse-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-03/wp-json/wp/v2/pages/55\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/teach-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18373\";a:11:{s:5:\"title\";s:12:\"Kids Charity\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-400x1284.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/kids-charity-03\";s:20:\"astra-site-parent-id\";i:169;s:15:\"astra-sites-tag\";a:6:{i:625;s:7:\"charity\";i:978;s:10:\"child-care\";i:624;s:10:\"foundation\";i:626;s:6:\"giving\";i:977;s:10:\"non-profit\";i:745;s:12:\"organization\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:36;s:5:\"other\";}s:5:\"pages\";a:6:{s:8:\"id-23608\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kids-charity-03/wp-json/wp/v2/pages/121\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/kids-charity-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23611\";a:11:{s:5:\"title\";s:10:\"Who we are\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-who-we-are.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-who-we-are-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kids-charity-03/wp-json/wp/v2/pages/122\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/kids-charity-03/who-we-are/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:685;s:10:\"who-we-are\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23610\";a:11:{s:5:\"title\";s:10:\"What we do\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-what-we-do.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-what-we-do-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kids-charity-03/wp-json/wp/v2/pages/123\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/kids-charity-03/what-we-do/\";s:15:\"astra-sites-tag\";a:2:{i:628;s:10:\"what-we-do\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23609\";a:11:{s:5:\"title\";s:12:\"Our Partners\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-partners.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-partners-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kids-charity-03/wp-json/wp/v2/pages/124\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/kids-charity-03/our-partners/\";s:15:\"astra-sites-tag\";a:2:{i:734;s:8:\"partners\";i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23606\";a:11:{s:5:\"title\";s:10:\"Contact us\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-contact.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kids-charity-03/wp-json/wp/v2/pages/125\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/kids-charity-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23607\";a:11:{s:5:\"title\";s:6:\"Donate\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-donate.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-donate-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kids-charity-03/wp-json/wp/v2/pages/103\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/kids-charity-03/donate/\";s:15:\"astra-sites-tag\";a:1:{i:735;s:6:\"donate\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}}}s:8:\"id-18375\";a:11:{s:5:\"title\";s:16:\"Conference Event\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp-400x1909.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/conference-event-03\";s:20:\"astra-site-parent-id\";i:175;s:15:\"astra-sites-tag\";a:6:{i:744;s:10:\"conference\";i:742;s:13:\"event-website\";i:743;s:7:\"meeting\";i:399;s:8:\"one-page\";i:745;s:12:\"organization\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-23637\";a:11:{s:5:\"title\";s:16:\"One Page Website\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/conference-event-03/wp-json/wp/v2/pages/72\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/conference-event-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18363\";a:11:{s:5:\"title\";s:9:\"theAgency\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-400x2255.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/wordpress-agency-03\";s:20:\"astra-site-parent-id\";i:133;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23274\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wordpress-agency-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/wordpress-agency-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23271\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-03/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/wordpress-agency-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23276\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-03/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wordpress-agency-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23275\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-03/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wordpress-agency-03/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23277\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-03/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/wordpress-agency-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23273\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-03/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wordpress-agency-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("160", "astra-sites-and-pages-page-6", "a:15:{s:8:\"id-22044\";a:11:{s:5:\"title\";s:10:\"Accountant\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home-400x1411.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/chartered-accountant-02\";s:20:\"astra-site-parent-id\";i:78;s:15:\"astra-sites-tag\";a:5:{i:447;s:10:\"accountant\";i:448;s:10:\"accounting\";i:449;s:20:\"chartered-accountant\";i:446;s:7:\"finance\";i:1022;s:12:\"professional\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-22363\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:70:\"https://websitedemos.net/chartered-accountant-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/chartered-accountant-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22361\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-about.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:70:\"https://websitedemos.net/chartered-accountant-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/chartered-accountant-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22364\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-services.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/chartered-accountant-02/services/\";s:15:\"astra-sites-tag\";a:2:{i:425;s:8:\"services\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22366\";a:11:{s:5:\"title\";s:13:\"Why choose me\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-whychooseme.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-whychooseme-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:57:\"//websitedemos.net/chartered-accountant-02/why-choose-me/\";s:15:\"astra-sites-tag\";a:1:{i:453;s:8:\"features\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22365\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:56:\"//websitedemos.net/chartered-accountant-02/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22362\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-contact.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-02/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/chartered-accountant-02/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-34202\";a:11:{s:5:\"title\";s:15:\"Cleaning Agency\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-home-page-400x1681.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/cleaning-agency-04\";s:20:\"astra-site-parent-id\";i:1003;s:15:\"astra-sites-tag\";a:4:{i:1000;s:7:\"cleaner\";i:1004;s:15:\"cleaning-agency\";i:679;s:17:\"cleaning-services\";i:1022;s:12:\"professional\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-39777\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/cleaning-agency-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/cleaning-agency-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39775\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-about-page.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/cleaning-agency-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/cleaning-agency-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39779\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-services-page.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-services-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/cleaning-agency-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/cleaning-agency-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39780\";a:11:{s:5:\"title\";s:13:\"Why Choose Us\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-why-choose-us-page.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2020/01/cleaning-agency-04-why-choose-us-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/cleaning-agency-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/cleaning-agency-04/why-choose-us/\";s:15:\"astra-sites-tag\";a:1:{i:760;s:13:\"why-choose-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39778\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/clean-review-page.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/clean-review-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/cleaning-agency-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/cleaning-agency-04/reviews/\";s:15:\"astra-sites-tag\";a:2:{i:432;s:6:\"review\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39776\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/contact-us-cleaning.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/contact-us-cleaning-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/cleaning-agency-04/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/cleaning-agency-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21589\";a:11:{s:5:\"title\";s:22:\"Fashion Lifestyle Blog\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot-400x1338.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/fashion-lifestyle-02\";s:20:\"astra-site-parent-id\";i:137;s:15:\"astra-sites-tag\";a:6:{i:480;s:4:\"blog\";i:482;s:7:\"fashion\";i:479;s:9:\"lifestyle\";i:1020;s:8:\"personal\";i:483;s:16:\"styling-shopping\";i:481;s:5:\"trend\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-23319\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/fashion-lifestyle-02/wp-json/wp/v2/pages/855\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/fashion-lifestyle-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-23317\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-blog-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-blog-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/fashion-lifestyle-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fashion-lifestyle-02/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-23318\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-contact-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-contact-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/fashion-lifestyle-02/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/fashion-lifestyle-02/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-21922\";a:11:{s:5:\"title\";s:12:\"Construction\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home-400x1867.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/construction-04\";s:20:\"astra-site-parent-id\";i:94;s:15:\"astra-sites-tag\";a:6:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:484;s:12:\"construction\";i:436;s:8:\"interior\";i:812;s:6:\"office\";i:485;s:11:\"real-estate\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-22878\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-04/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/construction-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22876\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-04/about-us/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22880\";a:11:{s:5:\"title\";s:4:\"Team\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-team.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-team-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/construction-04/team/\";s:15:\"astra-sites-tag\";a:1:{i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22879\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-04/projects/\";s:15:\"astra-sites-tag\";a:3:{i:444;s:9:\"portfolio\";i:424;s:7:\"project\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22877\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/construction-04/contact-us/\";s:15:\"astra-sites-tag\";a:3:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21935\";a:11:{s:5:\"title\";s:12:\"Construction\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home-400x1867.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/construction-03\";s:20:\"astra-site-parent-id\";i:100;s:15:\"astra-sites-tag\";a:7:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:484;s:12:\"construction\";i:436;s:8:\"interior\";i:812;s:6:\"office\";i:485;s:11:\"real-estate\";i:687;s:6:\"realty\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-22923\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/05/construction-pro-04-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/construction-03/wp-json/wp/v2/pages/296\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/construction-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22921\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-03/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22925\";a:11:{s:5:\"title\";s:4:\"Team\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-team.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-team-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-03/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/construction-03/team/\";s:15:\"astra-sites-tag\";a:1:{i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22924\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-03/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22922\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-pro-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-03/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/construction-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21835\";a:11:{s:5:\"title\";s:13:\"Manufacturing\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/05/manufacturing-04-1.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/05/manufacturing-04-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/05/manufacturing-04-1-400x927.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/manufacturing-04\";s:20:\"astra-site-parent-id\";i:87;s:15:\"astra-sites-tag\";a:6:{i:488;s:7:\"casting\";i:985;s:7:\"factory\";i:492;s:8:\"industry\";i:490;s:13:\"manufacturing\";i:491;s:16:\"metal-production\";i:489;s:10:\"production\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-22727\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/05/manufacturing-04-1.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/05/manufacturing-04-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/manufacturing-04/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/manufacturing-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22730\";a:11:{s:5:\"title\";s:9:\"Solutions\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-solutions.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-solutions-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/manufacturing-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/manufacturing-04/solutions/\";s:15:\"astra-sites-tag\";a:1:{i:498;s:9:\"solutions\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22728\";a:11:{s:5:\"title\";s:10:\"Industries\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-industries.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-industries-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/manufacturing-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/manufacturing-04/industries/\";s:15:\"astra-sites-tag\";a:1:{i:493;s:10:\"industries\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22729\";a:11:{s:5:\"title\";s:8:\"Partners\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-partners.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-partners-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/manufacturing-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/manufacturing-04/partners/\";s:15:\"astra-sites-tag\";a:1:{i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22725\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-about-us.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/manufacturing-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/manufacturing-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22726\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/manufacturing-04-contact-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/manufacturing-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/manufacturing-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21913\";a:11:{s:5:\"title\";s:20:\"Motivational Speaker\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/05/id-21913-motivational-speaker-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/05/id-21913-motivational-speaker-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/05/id-21913-motivational-speaker-resize.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/motivational-speaker-07\";s:20:\"astra-site-parent-id\";i:102;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-22944\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22944-motivational-speaker-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:105:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22944-motivational-speaker-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-07/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/motivational-speaker-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22941\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22941-motivational-speaker-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:106:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22941-motivational-speaker-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-07/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/motivational-speaker-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22942\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22942-motivational-speaker-blog-resize.jpg\";s:19:\"thumbnail-image-url\";s:105:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22942-motivational-speaker-blog-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/motivational-speaker-07/wp-json/wp/v2/pages/128\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/motivational-speaker-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22943\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22943-motivational-speaker-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:108:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22943-motivational-speaker-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-07/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-21899\";a:11:{s:5:\"title\";s:11:\"Travel Blog\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-home-400x1695.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/travel-07\";s:20:\"astra-site-parent-id\";i:106;s:15:\"astra-sites-tag\";a:3:{i:430;s:7:\"tourism\";i:427;s:6:\"travel\";i:428;s:13:\"travel-agency\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-22978\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/travel-07/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/travel-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22976\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-blog.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/travel-07/wp-json/wp/v2/pages/82\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/travel-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22975\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/travel-07/wp-json/wp/v2/pages/86\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/travel-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22977\";a:11:{s:5:\"title\";s:11:\"Destination\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-destinations.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/travel-07-destinations-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/travel-07/wp-json/wp/v2/pages/84\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/travel-07/destinations/\";s:15:\"astra-sites-tag\";a:1:{i:785;s:11:\"destination\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-21879\";a:11:{s:5:\"title\";s:15:\"Home Remodeling\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-home-400x1426.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/home-remodeling-04\";s:20:\"astra-site-parent-id\";i:90;s:15:\"astra-sites-tag\";a:8:{i:979;s:7:\"company\";i:524;s:9:\"furniture\";i:522;s:15:\"home-remodeling\";i:436;s:8:\"interior\";i:523;s:7:\"kitchen\";i:525;s:7:\"modular\";i:812;s:6:\"office\";i:526;s:10:\"renovation\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-22838\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/home-remodeling-04/wp-json/wp/v2/pages/31\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/home-remodeling-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22836\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/home-remodeling-04/wp-json/wp/v2/pages/32\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/home-remodeling-04/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22840\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/home-remodeling-04/wp-json/wp/v2/pages/33\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/home-remodeling-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22839\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-projects.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/home-remodeling-04/wp-json/wp/v2/pages/34\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/home-remodeling-04/projects/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22841\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/home-remodeling-04/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/home-remodeling-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22837\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/home-remodeling-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/home-remodeling-04/wp-json/wp/v2/pages/36\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/home-remodeling-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21873\";a:11:{s:5:\"title\";s:20:\"Health &amp; Fitness\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/health-fitness-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/health-fitness-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/health-fitness-home-400x1635.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/health-fitness-07\";s:20:\"astra-site-parent-id\";i:108;s:15:\"astra-sites-tag\";a:8:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:504;s:11:\"gym-trainer\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-22997\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/health-fitness-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/health-fitness-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/health-fitness-07/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/health-fitness-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22996\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22996-health-fitness-blog-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22996-health-fitness-blog-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/health-fitness-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/health-fitness-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22995\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22995-health-fitness-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22995-health-fitness-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/health-fitness-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/health-fitness-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-21626\";a:11:{s:5:\"title\";s:11:\"Real Estate\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-home-screenshot-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-home-screenshot-400x1551.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/real-estate-02\";s:20:\"astra-site-parent-id\";i:135;s:15:\"astra-sites-tag\";a:7:{i:979;s:7:\"company\";i:550;s:14:\"estate-broking\";i:547;s:7:\"listing\";i:812;s:6:\"office\";i:549;s:8:\"property\";i:485;s:11:\"real-estate\";i:548;s:16:\"renting-property\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-23299\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-home-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/real-estate-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/real-estate-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23295\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-about-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-about-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/real-estate-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/real-estate-02/about-us/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23300\";a:11:{s:5:\"title\";s:10:\"Properties\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-properties-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-properties-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/real-estate-02/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/real-estate-02/properties/\";s:15:\"astra-sites-tag\";a:4:{i:461;s:7:\"gallery\";i:444;s:9:\"portfolio\";i:553;s:10:\"properties\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23296\";a:11:{s:5:\"title\";s:6:\"Agents\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-agents-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-agents-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/real-estate-02/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/real-estate-02/agents/\";s:15:\"astra-sites-tag\";a:3:{i:352;s:5:\"about\";i:552;s:6:\"agents\";i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23298\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-faq-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-faq-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/real-estate-02/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/real-estate-02/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23297\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-contact-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/real-estate-contact-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/real-estate-02/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/real-estate-02/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21841\";a:11:{s:5:\"title\";s:18:\"Towing Services​\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home-400x1225.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/tow-services-04\";s:20:\"astra-site-parent-id\";i:85;s:15:\"astra-sites-tag\";a:4:{i:555;s:15:\"car-tow-service\";i:554;s:18:\"emergency-services\";i:1021;s:14:\"local-business\";i:556;s:12:\"tow-services\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-22704\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/tow-services-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/tow-services-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22701\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/tow-services-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/tow-services-04/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22705\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-services.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/tow-services-04/services/\";s:15:\"astra-sites-tag\";a:2:{i:425;s:8:\"services\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22706\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/tow-services-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22703\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-faq.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/tow-services-04/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22702\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-04/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/tow-services-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21814\";a:11:{s:5:\"title\";s:22:\"Swimming Pool Services\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home-400x1746.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/pool-services-04\";s:20:\"astra-site-parent-id\";i:89;s:15:\"astra-sites-tag\";a:3:{i:567;s:16:\"pool-maintenance\";i:569;s:13:\"swimming-pool\";i:570;s:10:\"water-pool\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:7:{s:8:\"id-22826\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/pool-services-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22822\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/pool-services-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22828\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/pool-services-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22825\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-gallery.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/pool-services-04/gallery/\";s:15:\"astra-sites-tag\";a:2:{i:461;s:7:\"gallery\";i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22827\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-reviews.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/pool-services-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22824\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-faq.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/202\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/pool-services-04/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22823\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/pool-services-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/pool-services-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21808\";a:11:{s:5:\"title\";s:7:\"Florist\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home-400x1563.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/florist-03\";s:20:\"astra-site-parent-id\";i:116;s:15:\"astra-sites-tag\";a:4:{i:573;s:16:\"event-decoration\";i:571;s:7:\"florist\";i:572;s:15:\"flower-merchant\";i:574;s:7:\"flowers\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23088\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/florist-03/wp-json/wp/v2/pages/282\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/florist-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23085\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/florist-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/florist-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23089\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/florist-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23087\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/florist-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23090\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-testimonial.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-testimonial-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/florist-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23086\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-03/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/florist-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21807\";a:11:{s:5:\"title\";s:7:\"Florist\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home-400x1563.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/florist-04\";s:20:\"astra-site-parent-id\";i:115;s:15:\"astra-sites-tag\";a:5:{i:573;s:16:\"event-decoration\";i:571;s:7:\"florist\";i:572;s:15:\"flower-merchant\";i:574;s:7:\"flowers\";i:1021;s:14:\"local-business\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23076\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/04/florist-pro-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/florist-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/florist-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23073\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/florist-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/florist-04/about-us/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23077\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/florist-04/services/\";s:15:\"astra-sites-tag\";a:2:{i:425;s:8:\"services\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23075\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/florist-04/gallery/\";s:15:\"astra-sites-tag\";a:2:{i:461;s:7:\"gallery\";i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23078\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-testimonial.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-testimonial-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/florist-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23074\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/florist-pro-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/florist-04/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/florist-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("161", "astra-blocks-1", "a:100:{s:8:\"id-43103\";a:7:{s:5:\"title\";s:7:\"Hero 8B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-8b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-8b-600x800.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-8b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-43099\";a:7:{s:5:\"title\";s:7:\"Hero 8W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-8w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-8w-600x800.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-8w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-43090\";a:7:{s:5:\"title\";s:7:\"Hero 6B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-6b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-6b-600x621.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-6b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-43056\";a:7:{s:5:\"title\";s:15:\"Testimonial 10B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-10b.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-10b-600x679.jpg\";s:3:\"url\";s:54:\"https://websitedemos.net/astra-blocks/testimonial-10b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-43022\";a:7:{s:5:\"title\";s:8:\"Team 10B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/team-10b.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/team-10b-600x729.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/team-10b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:0:\"\";}s:8:\"id-43018\";a:7:{s:5:\"title\";s:8:\"Team 10W\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/team-10w.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/team-10w-600x729.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/team-10w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-43013\";a:7:{s:5:\"title\";s:12:\"Services 12B\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/services-12b.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/services-12b-600x577.jpg\";s:3:\"url\";s:51:\"https://websitedemos.net/astra-blocks/services-12b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-43009\";a:7:{s:5:\"title\";s:12:\"Services 12W\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/services-12w.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/services-12w-600x577.jpg\";s:3:\"url\";s:51:\"https://websitedemos.net/astra-blocks/services-12w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-43000\";a:7:{s:5:\"title\";s:12:\"Services 11B\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/services-11b.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/services-11b-600x800.jpg\";s:3:\"url\";s:51:\"https://websitedemos.net/astra-blocks/services-11b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42974\";a:7:{s:5:\"title\";s:12:\"Services 11W\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/services-11w.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/services-11w-600x800.jpg\";s:3:\"url\";s:51:\"https://websitedemos.net/astra-blocks/services-11w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42960\";a:7:{s:5:\"title\";s:18:\"Call To Action 11B\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-11b.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-11b-600x439.jpg\";s:3:\"url\";s:57:\"https://websitedemos.net/astra-blocks/call-to-action-11b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42950\";a:7:{s:5:\"title\";s:8:\"About 9B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-9b.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-9b-600x668.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-9b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42885\";a:7:{s:5:\"title\";s:10:\"Heading 8B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-8b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-8b-600x348.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-8b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42884\";a:7:{s:5:\"title\";s:10:\"Heading 8W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-8w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-8w-600x348.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-8w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42869\";a:7:{s:5:\"title\";s:10:\"Heading 7B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-7b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-7b-600x387.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-7b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42862\";a:7:{s:5:\"title\";s:10:\"Heading 7W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-7w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-7w-600x387.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-7w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42848\";a:7:{s:5:\"title\";s:11:\"Features 8B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-8b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-8b-600x701.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-8b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42839\";a:7:{s:5:\"title\";s:11:\"Features 8W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-8w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-8w-600x701.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-8w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42723\";a:7:{s:5:\"title\";s:8:\"About 8B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-8b.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-8b-600x491.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-8b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42709\";a:7:{s:5:\"title\";s:8:\"About 8W\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-8w.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-8w-600x491.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-8w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42394\";a:7:{s:5:\"title\";s:6:\"FAQ 8B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-8b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-8b-600x800.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-8b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42393\";a:7:{s:5:\"title\";s:6:\"FAQ 8W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-8w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-8w-600x800.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-8w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42392\";a:7:{s:5:\"title\";s:6:\"FAQ 7B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-7b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-7b-600x800.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-7b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42319\";a:7:{s:5:\"title\";s:6:\"FAQ 7W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-7w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-7w-600x800.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-7w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42310\";a:7:{s:5:\"title\";s:13:\"Statistics 9B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-9b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-9b-600x548.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-9b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42307\";a:7:{s:5:\"title\";s:13:\"Statistics 9W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-9w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-9w-600x533.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-9w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42304\";a:7:{s:5:\"title\";s:13:\"Statistics 8B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-8b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-8b-600x181.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-8b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42298\";a:7:{s:5:\"title\";s:13:\"Statistics 8W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-8w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-8w-600x181.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-8w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42295\";a:7:{s:5:\"title\";s:13:\"Statistics 7B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-7b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-7b-600x419.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-7b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42292\";a:7:{s:5:\"title\";s:13:\"Statistics 7W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-7w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-7w-600x419.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-7w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42280\";a:7:{s:5:\"title\";s:13:\"Statistics 6B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-6b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-6b-600x158.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-6b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42259\";a:7:{s:5:\"title\";s:13:\"Statistics 5B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-5d.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-5d-600x463.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-5b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42229\";a:7:{s:5:\"title\";s:11:\"Services 8B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-8b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-8b-600x691.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-8b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42251\";a:7:{s:5:\"title\";s:13:\"Statistics 5W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-5w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-5w-600x463.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-5w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42243\";a:7:{s:5:\"title\";s:13:\"Statistics 6W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-6w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-6w-600x158.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-6w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42228\";a:7:{s:5:\"title\";s:11:\"Services 7B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-7b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-7b-600x736.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-7b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42231\";a:7:{s:5:\"title\";s:11:\"Services 9B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-9b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-9b-600x800.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-9b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42232\";a:7:{s:5:\"title\";s:12:\"Services 10B\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/services-10b.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/services-10b-600x563.jpg\";s:3:\"url\";s:51:\"https://websitedemos.net/astra-blocks/services-10b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42236\";a:7:{s:5:\"title\";s:13:\"Statistics 4B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-4b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-4b-600x274.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-4b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42227\";a:7:{s:5:\"title\";s:11:\"Services 6B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-6b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-6b-600x654.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-6b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42219\";a:7:{s:5:\"title\";s:13:\"Statistics 4W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-4w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-4w-600x274.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-4w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42214\";a:7:{s:5:\"title\";s:13:\"Statistics 3B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-3b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-3b-600x349.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-3b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42193\";a:7:{s:5:\"title\";s:13:\"Statistics 3W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-3w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-3w-600x349.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-3w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-41939\";a:7:{s:5:\"title\";s:11:\"Features 7B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-7b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-7b-600x566.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-7b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41938\";a:7:{s:5:\"title\";s:11:\"Features 6B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-6b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-6b-600x590.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-6b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41937\";a:7:{s:5:\"title\";s:11:\"Features 5B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-5b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-5b-600x459.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-5b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42169\";a:7:{s:5:\"title\";s:13:\"Statistics 2B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-2b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-2b-600x430.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-2b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42166\";a:7:{s:5:\"title\";s:13:\"Statistics 2W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-2w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-2w-600x430.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-2w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-42163\";a:7:{s:5:\"title\";s:13:\"Statistics 1B\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-1b.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-1b-600x226.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-1b/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-42160\";a:7:{s:5:\"title\";s:13:\"Statistics 1W\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-1w.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/statistics-1w-600x226.jpg\";s:3:\"url\";s:52:\"https://websitedemos.net/astra-blocks/statistics-1w/\";s:3:\"tag\";a:2:{i:924;s:10:\"statistics\";i:921;s:5:\"stats\";}s:8:\"category\";i:1096;s:6:\"filter\";s:5:\"light\";}s:8:\"id-41763\";a:7:{s:5:\"title\";s:7:\"Hero 7B\";s:18:\"featured-image-url\";s:65:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-7b-1.jpg\";s:19:\"thumbnail-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-7b-1-600x732.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-7b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41764\";a:7:{s:5:\"title\";s:7:\"Hero 9B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-9b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-9b-600x570.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-9b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41621\";a:7:{s:5:\"title\";s:8:\"Hero 10B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-10b.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-10b-600x695.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/hero-10b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41080\";a:7:{s:5:\"title\";s:8:\"Hero 10W\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-10w.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-10w-600x695.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/hero-10w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-41061\";a:7:{s:5:\"title\";s:12:\"Services 10W\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/services-10w.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/services-10w-600x563.jpg\";s:3:\"url\";s:51:\"https://websitedemos.net/astra-blocks/services-10w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-41054\";a:7:{s:5:\"title\";s:11:\"Services 9W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-9w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-9w-600x800.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-9w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-41045\";a:7:{s:5:\"title\";s:11:\"Services 8W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-8w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-8w-600x691.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-8w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-41034\";a:7:{s:5:\"title\";s:7:\"Team 8B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-8b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-8b-600x502.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-8b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41033\";a:7:{s:5:\"title\";s:7:\"Team 9B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-9b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-9b-600x668.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-9b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41028\";a:7:{s:5:\"title\";s:14:\"Testimonial 9B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-9b.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-9b-600x433.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-9b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41026\";a:7:{s:5:\"title\";s:14:\"Testimonial 8B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-8b.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-8b-600x657.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-8b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-41023\";a:7:{s:5:\"title\";s:14:\"Testimonial 7B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-7b.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-7b-600x629.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-7b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-40740\";a:7:{s:5:\"title\";s:14:\"Testimonial 9W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-9w.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-9w-600x433.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-9w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-40739\";a:7:{s:5:\"title\";s:14:\"Testimonial 8W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-8w.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-8w-600x657.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-8w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-40348\";a:7:{s:5:\"title\";s:14:\"Testimonial 7W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-7w.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-7w-600x629.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-7w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-40097\";a:7:{s:5:\"title\";s:7:\"Team 9W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-9w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-9w-600x668.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-9w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-40030\";a:7:{s:5:\"title\";s:7:\"Team 8W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-8w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-8w-600x502.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-8w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-39936\";a:7:{s:5:\"title\";s:11:\"Features 7W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-7w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-7w-600x566.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-7w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-39839\";a:7:{s:5:\"title\";s:6:\"FAQ 6B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-6b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-6b-600x800.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-6b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-39838\";a:7:{s:5:\"title\";s:6:\"FAQ 5B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-5b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-5b-600x500.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-5b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-39826\";a:7:{s:5:\"title\";s:10:\"Clients 8B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-8b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-8b-600x253.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-8b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-39816\";a:7:{s:5:\"title\";s:10:\"Clients 8W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-8w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-8w-600x253.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-8w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-39812\";a:7:{s:5:\"title\";s:10:\"Clients 7B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-7b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-7b-600x445.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-7b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-39787\";a:7:{s:5:\"title\";s:10:\"Clients 7W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-7w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-7w-600x445.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-7w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-39771\";a:7:{s:5:\"title\";s:17:\"Call To Action 9B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-9b.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-9b-600x415.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-9b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-39763\";a:7:{s:5:\"title\";s:18:\"Call To Action 10B\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-10b.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-10b-600x495.jpg\";s:3:\"url\";s:57:\"https://websitedemos.net/astra-blocks/call-to-action-10b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-39761\";a:7:{s:5:\"title\";s:18:\"Call To Action 10W\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-10w.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-10w-600x496.jpg\";s:3:\"url\";s:57:\"https://websitedemos.net/astra-blocks/call-to-action-10w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-39755\";a:7:{s:5:\"title\";s:17:\"Call To Action 9W\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-9w.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-9w-600x415.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-9w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38937\";a:7:{s:5:\"title\";s:11:\"Services 7W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-7w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-7w-600x736.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-7w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38930\";a:7:{s:5:\"title\";s:11:\"Services 6W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-6w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-6w-600x654.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-6w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38926\";a:7:{s:5:\"title\";s:6:\"FAQ 6W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-6w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-6w-600x800.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-6w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38917\";a:7:{s:5:\"title\";s:6:\"FAQ 5W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-5w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-5w-600x500.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-5w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38906\";a:7:{s:5:\"title\";s:7:\"Hero 9W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-9w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-9w-600x570.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-9w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38880\";a:7:{s:5:\"title\";s:7:\"Hero 7W\";s:18:\"featured-image-url\";s:65:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-7w-1.jpg\";s:19:\"thumbnail-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-7w-1-600x732.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-7w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38876\";a:7:{s:5:\"title\";s:11:\"Features 6W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-6w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-6w-600x590.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-6w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38863\";a:7:{s:5:\"title\";s:11:\"Features 5W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-5w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-5w-600x458.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-5w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38843\";a:7:{s:5:\"title\";s:7:\"Team 7B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-7b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-7b-600x800.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-7b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-38833\";a:7:{s:5:\"title\";s:7:\"Team 7W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-7w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-7w-600x800.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-7w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38825\";a:7:{s:5:\"title\";s:7:\"Team 6B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-6b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-6b-600x703.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-6b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-38732\";a:7:{s:5:\"title\";s:7:\"Team 6W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-6w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-6w-600x703.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-6w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38536\";a:7:{s:5:\"title\";s:14:\"Testimonial 5B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-5b.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-5b-600x553.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-5b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-38471\";a:7:{s:5:\"title\";s:14:\"Testimonial 5W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-5w.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-5w-600x553.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-5w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38316\";a:7:{s:5:\"title\";s:7:\"Team 5B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-5b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-5b-600x561.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-5b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-38244\";a:7:{s:5:\"title\";s:7:\"Team 5W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-5w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-5w-600x561.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-5w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38225\";a:7:{s:5:\"title\";s:8:\"About 7B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-7b.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-7b-600x705.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-7b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-38180\";a:7:{s:5:\"title\";s:8:\"About 6B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-6b.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-6b-600x694.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-6b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-38155\";a:7:{s:5:\"title\";s:8:\"About 7W\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-7w.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-7w-600x705.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-7w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38147\";a:7:{s:5:\"title\";s:8:\"About 6W\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-6w.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-6w-600x694.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-6w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-38118\";a:7:{s:5:\"title\";s:7:\"Hero 6W\";s:18:\"featured-image-url\";s:65:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-6w-1.jpg\";s:19:\"thumbnail-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-6w-1-600x621.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-6w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37911\";a:7:{s:5:\"title\";s:14:\"Testimonial 4B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-4B.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-4B-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-4b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}}", "yes");
INSERT INTO `age_options` VALUES("162", "astra-sites-requests", "17", "yes");
INSERT INTO `age_options` VALUES("163", "astra-blocks-categories", "a:12:{i:825;a:3:{s:2:\"id\";i:825;s:4:\"name\";s:5:\"About\";s:4:\"slug\";s:5:\"about\";}i:832;a:3:{s:2:\"id\";i:832;s:4:\"name\";s:14:\"Call To Action\";s:4:\"slug\";s:14:\"call-to-action\";}i:1091;a:3:{s:2:\"id\";i:1091;s:4:\"name\";s:7:\"Clients\";s:4:\"slug\";s:7:\"clients\";}i:1416;a:3:{s:2:\"id\";i:1416;s:4:\"name\";s:7:\"Contact\";s:4:\"slug\";s:7:\"contact\";}i:1001;a:3:{s:2:\"id\";i:1001;s:4:\"name\";s:3:\"FAQ\";s:4:\"slug\";s:3:\"faq\";}i:919;a:3:{s:2:\"id\";i:919;s:4:\"name\";s:8:\"Features\";s:4:\"slug\";s:8:\"features\";}i:1094;a:3:{s:2:\"id\";i:1094;s:4:\"name\";s:7:\"Heading\";s:4:\"slug\";s:7:\"heading\";}i:831;a:3:{s:2:\"id\";i:831;s:4:\"name\";s:4:\"Hero\";s:4:\"slug\";s:4:\"hero\";}i:952;a:3:{s:2:\"id\";i:952;s:4:\"name\";s:8:\"Services\";s:4:\"slug\";s:8:\"services\";}i:1096;a:3:{s:2:\"id\";i:1096;s:4:\"name\";s:10:\"Statistics\";s:4:\"slug\";s:10:\"statistics\";}i:829;a:3:{s:2:\"id\";i:829;s:4:\"name\";s:4:\"Team\";s:4:\"slug\";s:4:\"team\";}i:830;a:3:{s:2:\"id\";i:830;s:4:\"name\";s:11:\"Testimonial\";s:4:\"slug\";s:11:\"testimonial\";}}", "yes");
INSERT INTO `age_options` VALUES("164", "astra-blocks-3", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("165", "astra-sites-and-pages-page-11", "a:15:{s:8:\"id-19796\";a:11:{s:5:\"title\";s:24:\"Personal Fitness Trainer\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2018/11/id-19796-fitness-trainer-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2018/11/id-19796-fitness-trainer-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2018/11/id-19796-fitness-trainer-resize.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/fitness-trainer-05\";s:20:\"astra-site-parent-id\";i:174;s:15:\"astra-sites-tag\";a:11:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:976;s:14:\"gym-instructor\";i:504;s:11:\"gym-trainer\";i:399;s:8:\"one-page\";i:463;s:11:\"single-page\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-23635\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23635-fitness-trainer-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23635-fitness-trainer-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/fitness-trainer-05/wp-json/wp/v2/pages/149\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/fitness-trainer-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19798\";a:11:{s:5:\"title\";s:11:\"Electrician\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-400x1352.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/electrician-05\";s:20:\"astra-site-parent-id\";i:245;s:15:\"astra-sites-tag\";a:8:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:504;s:11:\"gym-trainer\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24609\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/electrician-05/wp-json/wp/v2/pages/550\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/electrician-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24606\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24606-electrician-about-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24606-electrician-about-us-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/electrician-05/wp-json/wp/v2/pages/558\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/electrician-05/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24610\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/electrician-05/wp-json/wp/v2/pages/561\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/electrician-05/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24608\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24608-electrician-faq-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24608-electrician-faq-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/electrician-05/wp-json/wp/v2/pages/564\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/electrician-05/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24607\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24607-electrician-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24607-electrician-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/electrician-05/wp-json/wp/v2/pages/567\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/electrician-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19791\";a:11:{s:5:\"title\";s:27:\"Gardening &amp; Landscaping\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-400x1272.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/gardener-05\";s:20:\"astra-site-parent-id\";i:277;s:15:\"astra-sites-tag\";a:7:{i:416;s:11:\"garden-care\";i:421;s:18:\"garden-maintenance\";i:420;s:9:\"gardening\";i:422;s:11:\"landscaping\";i:417;s:9:\"lawn-care\";i:419;s:8:\"planting\";i:418;s:12:\"weed-control\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24873\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/gardener-05/wp-json/wp/v2/pages/750\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/gardener-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24870\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/gardener-05/wp-json/wp/v2/pages/759\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/gardener-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24874\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/gardener-05/wp-json/wp/v2/pages/763\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/gardener-05/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24872\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/gardener-05/wp-json/wp/v2/pages/767\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/gardener-05/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24871\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/gardener-05/wp-json/wp/v2/pages/770\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/gardener-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19792\";a:11:{s:5:\"title\";s:12:\"Construction\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-400x1708.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/construction-05\";s:20:\"astra-site-parent-id\";i:276;s:15:\"astra-sites-tag\";a:6:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:484;s:12:\"construction\";i:436;s:8:\"interior\";i:812;s:6:\"office\";i:485;s:11:\"real-estate\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24855\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/construction-05/wp-json/wp/v2/pages/913\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/construction-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24850\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/construction-05/wp-json/wp/v2/pages/921\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/construction-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24858\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/construction-05/wp-json/wp/v2/pages/925\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-05/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24857\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/construction-05/wp-json/wp/v2/pages/929\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-05/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24852\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/construction-05/wp-json/wp/v2/pages/932\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/construction-05/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19801\";a:11:{s:5:\"title\";s:13:\"Hotel and BnB\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2018/11/hotel-05-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2018/11/hotel-05-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2018/11/hotel-05-home-400x1688.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/hotel-05\";s:20:\"astra-site-parent-id\";i:248;s:15:\"astra-sites-tag\";a:8:{i:560;s:7:\"cuisine\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:712;s:5:\"lodge\";i:711;s:5:\"motel\";i:399;s:8:\"one-page\";i:714;s:6:\"resort\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24621\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2018/11/hotel-05-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2018/11/hotel-05-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-05/wp-json/wp/v2/pages/373\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/hotel-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19754\";a:11:{s:5:\"title\";s:5:\"Coach\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-400x1371.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/coach-05\";s:20:\"astra-site-parent-id\";i:238;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24539\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/coach-05/wp-json/wp/v2/pages/122\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/coach-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24534\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/coach-05/wp-json/wp/v2/pages/131\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/coach-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24538\";a:11:{s:5:\"title\";s:7:\"e-Books\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-ebooks.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-ebooks-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/coach-05/wp-json/wp/v2/pages/137\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-05/e-books/\";s:15:\"astra-sites-tag\";a:1:{i:781;s:6:\"e-book\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24537\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-courses.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/coach-05/wp-json/wp/v2/pages/140\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-05/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24536\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/coach-05/wp-json/wp/v2/pages/146\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19803\";a:11:{s:5:\"title\";s:14:\"A/C Technician\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-400x1053.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/ac-technician-05\";s:20:\"astra-site-parent-id\";i:268;s:15:\"astra-sites-tag\";a:4:{i:599;s:9:\"ac-repair\";i:439;s:14:\"local-services\";i:600;s:15:\"repair-services\";i:441;s:10:\"technician\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24770\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/ac-technician-05/wp-json/wp/v2/pages/262\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/ac-technician-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24771\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/ac-technician-05/wp-json/wp/v2/pages/273\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/ac-technician-05/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24768\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/ac-technician-05/wp-json/wp/v2/pages/277\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/ac-technician-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24769\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/ac-technician-05/wp-json/wp/v2/pages/284\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/ac-technician-05/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19755\";a:11:{s:5:\"title\";s:20:\"Motivational Speaker\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-400x1394.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/motivational-speaker-05\";s:20:\"astra-site-parent-id\";i:176;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23645\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/motivational-speaker-05/wp-json/wp/v2/pages/122\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/motivational-speaker-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23640\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/motivational-speaker-05/wp-json/wp/v2/pages/131\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/motivational-speaker-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23644\";a:11:{s:5:\"title\";s:7:\"e-Books\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-ebooks.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-ebooks-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/motivational-speaker-05/wp-json/wp/v2/pages/137\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-05/e-books/\";s:15:\"astra-sites-tag\";a:1:{i:781;s:6:\"e-book\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23643\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-courses.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/motivational-speaker-05/wp-json/wp/v2/pages/140\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-05/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23642\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/motivational-speaker-05/wp-json/wp/v2/pages/146\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19824\";a:11:{s:5:\"title\";s:15:\"Sierra Industry\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-400x1336.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/sierra-industry-02\";s:20:\"astra-site-parent-id\";i:206;s:15:\"astra-sites-tag\";a:4:{i:985;s:7:\"factory\";i:492;s:8:\"industry\";i:490;s:13:\"manufacturing\";i:489;s:10:\"production\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24078\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/sierra-industry-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24075\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sierra-industry-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24079\";a:11:{s:5:\"title\";s:8:\"Products\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-product.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-product-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/sierra-industry-02/product/\";s:15:\"astra-sites-tag\";a:1:{i:540;s:8:\"products\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24080\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/sierra-industry-02/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24077\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/sierra-industry-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/sierra-industry-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19784\";a:11:{s:5:\"title\";s:6:\"Artist\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-400x768.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/artist-05\";s:20:\"astra-site-parent-id\";i:161;s:15:\"astra-sites-tag\";a:5:{i:597;s:3:\"art\";i:339;s:6:\"artist\";i:595;s:10:\"exhibition\";i:614;s:7:\"painter\";i:733;s:4:\"shop\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-23535\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-05/wp-json/wp/v2/pages/175\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/artist-05/\";s:15:\"astra-sites-tag\";a:1:{i:814;s:8:\"homepage\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23533\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-about.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-05/wp-json/wp/v2/pages/185\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/artist-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23534\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-05/wp-json/wp/v2/pages/189\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/artist-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-19719\";a:11:{s:5:\"title\";s:7:\"Charity\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-brizy.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-brizy-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-brizy-400x1442.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/charity-05\";s:20:\"astra-site-parent-id\";i:167;s:15:\"astra-sites-tag\";a:5:{i:625;s:7:\"charity\";i:624;s:10:\"foundation\";i:626;s:6:\"giving\";i:977;s:10:\"non-profit\";i:745;s:12:\"organization\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:39;s:4:\"free\";i:36;s:5:\"other\";}s:5:\"pages\";a:6:{s:8:\"id-23593\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-brizy.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-brizy-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-05/wp-json/wp/v2/pages/198\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/charity-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23596\";a:11:{s:5:\"title\";s:10:\"Who We Are\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-who-we-are.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-who-we-are-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-05/wp-json/wp/v2/pages/208\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-05/who-we-are/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:685;s:10:\"who-we-are\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23595\";a:11:{s:5:\"title\";s:10:\"What We Do\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-what-we-do.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-what-we-do-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-05/wp-json/wp/v2/pages/211\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/charity-05/who-we-do/\";s:15:\"astra-sites-tag\";a:2:{i:628;s:10:\"what-we-do\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23594\";a:11:{s:5:\"title\";s:12:\"Our Partners\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-partners.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-partners-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-05/wp-json/wp/v2/pages/216\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/charity-05/our-partners/\";s:15:\"astra-sites-tag\";a:3:{i:734;s:8:\"partners\";i:486;s:4:\"team\";i:810;s:7:\"workers\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23591\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23591-charity-contact-us-resize.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-05/wp-json/wp/v2/pages/220\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-05/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23592\";a:11:{s:5:\"title\";s:6:\"Donate\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-donate.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23592-charity-donate-resize.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-05/wp-json/wp/v2/pages/223\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/charity-05/donate/\";s:15:\"astra-sites-tag\";a:1:{i:735;s:6:\"donate\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}}}s:8:\"id-19574\";a:11:{s:5:\"title\";s:18:\"Italian Restaurant\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-400x1211.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/italian-restaurant-01\";s:20:\"astra-site-parent-id\";i:130;s:15:\"astra-sites-tag\";a:11:{i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:563;s:18:\"italian-restaurant\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-23239\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/italian-restaurant-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23240\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-menu.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-menu-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/italian-restaurant-01/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23236\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/italian-restaurant-01/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23238\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/italian-restaurant-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19557\";a:11:{s:5:\"title\";s:20:\"Interior Design Firm\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot-400x1739.png\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/interior-firm-02\";s:20:\"astra-site-parent-id\";i:315;s:15:\"astra-sites-tag\";a:8:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:981;s:17:\"interior-designer\";i:422;s:11:\"landscaping\";i:812;s:6:\"office\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25294\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/interior-firm-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/interior-firm-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25295\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-portfolio-screenshot.png\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-portfolio-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/interior-firm-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/interior-firm-02/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25291\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/interior-firm-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/interior-firm-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25296\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-testimonials-screenshot.png\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-testimonials-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/interior-firm-02/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-firm-02/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25293\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/interior-firm-02/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/interior-firm-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19496\";a:11:{s:5:\"title\";s:18:\"Italian Restaurant\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-400x1211.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/italian-restaurant-02\";s:20:\"astra-site-parent-id\";i:127;s:15:\"astra-sites-tag\";a:11:{i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:563;s:18:\"italian-restaurant\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-23208\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/italian-restaurant-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23209\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-menu.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-menu-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/italian-restaurant-02/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23205\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/italian-restaurant-02/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23207\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/italian-restaurant-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19111\";a:11:{s:5:\"title\";s:14:\"A/C Technician\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-400x1053.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/ac-technician-01\";s:20:\"astra-site-parent-id\";i:292;s:15:\"astra-sites-tag\";a:4:{i:599;s:9:\"ac-repair\";i:439;s:14:\"local-services\";i:600;s:15:\"repair-services\";i:441;s:10:\"technician\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-25048\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/ac-technician-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25049\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/ac-technician-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25045\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/ac-technician-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25047\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/ac-technician-01/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("166", "astra-sites-and-pages-page-3", "a:15:{s:8:\"id-18166\";a:11:{s:5:\"title\";s:10:\"Plant Shop\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home-400x1468.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/plant-shop-03\";s:20:\"astra-site-parent-id\";i:266;s:15:\"astra-sites-tag\";a:8:{i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:497;s:11:\"plant-store\";i:495;s:6:\"plants\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:1:{s:8:\"id-24758\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/plant-shop-03/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/plant-shop-03/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:399;s:8:\"one-page\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-43398\";a:11:{s:5:\"title\";s:10:\"Plant Shop\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-shop-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-shop-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-shop-04-home-400x1479.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/plant-shop-06\";s:20:\"astra-site-parent-id\";i:1413;s:15:\"astra-sites-tag\";a:5:{i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:1414;s:10:\"plant-shop\";i:497;s:11:\"plant-store\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:1:{s:8:\"id-43399\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-shop-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-shop-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/plant-shop-06/wp-json/wp/v2/pages/310\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/plant-shop-06/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:399;s:8:\"one-page\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-19540\";a:11:{s:5:\"title\";s:15:\"Yoga Instructor\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-400x1480.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/yoga-instructor-02\";s:20:\"astra-site-parent-id\";i:105;s:15:\"astra-sites-tag\";a:7:{i:499;s:7:\"fitness\";i:976;s:14:\"gym-instructor\";i:849;s:11:\"health-yoga\";i:1020;s:8:\"personal\";i:395;s:15:\"yoga-instructor\";i:397;s:11:\"yoga-studio\";i:398;s:12:\"yoga-trainer\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-22967\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/yoga-instructor-02/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/yoga-instructor-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22963\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-about-me-2.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-about-me-2-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-02/wp-json/wp/v2/pages/34\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/yoga-instructor-02/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22965\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-classes-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-classes-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-02/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/yoga-instructor-02/classes/\";s:15:\"astra-sites-tag\";a:1:{i:557;s:7:\"classes\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22968\";a:11:{s:5:\"title\";s:12:\"Publications\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-publications-page1.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-publications-page1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-02/wp-json/wp/v2/pages/81\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/yoga-instructor-02/publications/\";s:15:\"astra-sites-tag\";a:1:{i:558;s:11:\"publication\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22966\";a:11:{s:5:\"title\";s:7:\"Get Fit\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-get-fit-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-02-get-fit-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-02/wp-json/wp/v2/pages/94\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/yoga-instructor-02/get-fit/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19629\";a:11:{s:5:\"title\";s:15:\"Yoga Instructor\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-home-1.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-home-1-400x1566.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/yoga-instructor-01\";s:20:\"astra-site-parent-id\";i:107;s:15:\"astra-sites-tag\";a:5:{i:499;s:7:\"fitness\";i:976;s:14:\"gym-instructor\";i:395;s:15:\"yoga-instructor\";i:397;s:11:\"yoga-studio\";i:398;s:12:\"yoga-trainer\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-22987\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-home-1.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/yoga-instructor-01/wp-json/wp/v2/pages/137\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/yoga-instructor-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22980\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-about-me-1.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-about-me-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-01/wp-json/wp/v2/pages/34\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/yoga-instructor-01/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22985\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-classes.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-classes-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-01/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/yoga-instructor-01/classes/\";s:15:\"astra-sites-tag\";a:1:{i:557;s:7:\"classes\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22988\";a:11:{s:5:\"title\";s:12:\"Publications\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-publications.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-publications-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-01/wp-json/wp/v2/pages/81\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/yoga-instructor-01/publications/\";s:15:\"astra-sites-tag\";a:1:{i:558;s:11:\"publication\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22986\";a:11:{s:5:\"title\";s:7:\"Get Fit\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-get-fit.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/yoga-instructor-01-get-fit-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/yoga-instructor-01/wp-json/wp/v2/pages/94\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/yoga-instructor-01/get-fit/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:769;s:7:\"get-fit\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21574\";a:11:{s:5:\"title\";s:10:\"Life Coach\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-home-2.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-home-2-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-home-2-400x981.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/life-coach-sara-john\";s:20:\"astra-site-parent-id\";i:91;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-22854\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-home-2.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-home-2-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/life-coach-sara-john/wp-json/wp/v2/pages/340\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/life-coach-sara-john/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22850\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-about.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/life-coach-sara-john/wp-json/wp/v2/pages/621\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/life-coach-sara-john/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22855\";a:11:{s:5:\"title\";s:12:\"Work With Me\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-work-with-me.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-work-with-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/life-coach-sara-john/wp-json/wp/v2/pages/622\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/life-coach-sara-john/work-with-me/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22852\";a:11:{s:5:\"title\";s:5:\"Books\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-books.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-books-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/life-coach-sara-john/wp-json/wp/v2/pages/342\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/life-coach-sara-john/books/\";s:15:\"astra-sites-tag\";a:1:{i:727;s:4:\"book\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22853\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-contact.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/life-coach-sara-john-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/life-coach-sara-john/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/life-coach-sara-john/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21931\";a:11:{s:5:\"title\";s:10:\"Life Coach\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-400x1057.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/life-coach-sara-john-07\";s:20:\"astra-site-parent-id\";i:99;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:3:{i:37;s:4:\"blog\";i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-44023\";a:11:{s:5:\"title\";s:5:\"Books\";s:18:\"featured-image-url\";s:0:\"\";s:19:\"thumbnail-image-url\";s:0:\"\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/life-coach-sara-john-07/wp-json/wp/v2/pages/342\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/life-coach-sara-john-07/books/\";s:15:\"astra-sites-tag\";a:0:{}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-40507\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/life-coach-sara-john-07/wp-json/wp/v2/pages/340\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/life-coach-sara-john-07/\";s:15:\"astra-sites-tag\";a:0:{}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-40508\";a:11:{s:5:\"title\";s:12:\"Work With Me\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-work-with-me.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-work-with-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/life-coach-sara-john-07/wp-json/wp/v2/pages/622\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:56:\"//websitedemos.net/life-coach-sara-john-07/work-with-me/\";s:15:\"astra-sites-tag\";a:0:{}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-40505\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-about.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/life-coach-sara-john-07/wp-json/wp/v2/pages/621\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/life-coach-sara-john-07/about/\";s:15:\"astra-sites-tag\";a:0:{}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-40506\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-contact.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-sara-john-07-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/life-coach-sara-john-07/wp-json/wp/v2/pages/692\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/life-coach-sara-john-07/contact/\";s:15:\"astra-sites-tag\";a:0:{}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-39906\";a:11:{s:5:\"title\";s:6:\"Church\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-home-400x1530.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/church-04\";s:20:\"astra-site-parent-id\";i:1199;s:15:\"astra-sites-tag\";a:5:{i:897;s:15:\"catholic-church\";i:625;s:7:\"charity\";i:893;s:6:\"church\";i:898;s:16:\"community-church\";i:735;s:6:\"donate\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:36;s:5:\"other\";}s:5:\"pages\";a:7:{s:8:\"id-39912\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/church-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-39907\";a:11:{s:5:\"title\";s:8:\"About us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-about-us.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/church-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-39910\";a:11:{s:5:\"title\";s:13:\"Get connected\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-get-connected.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-get-connected-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/church-04/get-connected/\";s:15:\"astra-sites-tag\";a:1:{i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-39913\";a:11:{s:5:\"title\";s:7:\"Sermons\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-sermons.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-sermons-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/church-04/sermons/\";s:15:\"astra-sites-tag\";a:1:{i:892;s:7:\"sermons\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-39909\";a:11:{s:5:\"title\";s:6:\"Events\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-events.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-events-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/church-04/events/\";s:15:\"astra-sites-tag\";a:1:{i:409;s:5:\"event\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-39908\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/church-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-39911\";a:11:{s:5:\"title\";s:4:\"Give\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-give.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/church-04-give-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/church-04/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/church-04/give/\";s:15:\"astra-sites-tag\";a:2:{i:735;s:6:\"donate\";i:1015;s:4:\"give\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}}}s:8:\"id-38795\";a:11:{s:5:\"title\";s:8:\"Law Firm\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page-400x1723.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/law-firm-03\";s:20:\"astra-site-parent-id\";i:1132;s:15:\"astra-sites-tag\";a:8:{i:704;s:13:\"corporate-law\";i:701;s:12:\"criminal-law\";i:703;s:11:\"enforcement\";i:916;s:3:\"law\";i:702;s:8:\"law-firm\";i:998;s:10:\"law-office\";i:706;s:6:\"lawyer\";i:778;s:5:\"legal\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38799\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/law-firm-03/wp-json/wp/v2/pages/334\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/law-firm-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38796\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-about-page.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/law-firm-03/wp-json/wp/v2/pages/335\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/law-firm-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38800\";a:11:{s:5:\"title\";s:14:\"Practice Areas\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-03-practice-areas-page.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-03-practice-areas-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/law-firm-03/wp-json/wp/v2/pages/336\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/law-firm-03/practice-areas/\";s:15:\"astra-sites-tag\";a:1:{i:707;s:13:\"practice-area\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38797\";a:11:{s:5:\"title\";s:9:\"Attorneys\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-attorneys-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-attorneys-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/law-firm-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/law-firm-03/attorneys/\";s:15:\"astra-sites-tag\";a:1:{i:912;s:9:\"attorneys\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38798\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/law-firm-03/wp-json/wp/v2/pages/337\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/law-firm-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38787\";a:11:{s:5:\"title\";s:8:\"Law Firm\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page-400x1723.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/law-firm-04\";s:20:\"astra-site-parent-id\";i:1131;s:15:\"astra-sites-tag\";a:8:{i:704;s:13:\"corporate-law\";i:701;s:12:\"criminal-law\";i:703;s:11:\"enforcement\";i:702;s:8:\"law-firm\";i:998;s:10:\"law-office\";i:706;s:6:\"lawyer\";i:778;s:5:\"legal\";i:917;s:10:\"legal-firm\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38791\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/law-firm-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/law-firm-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38788\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-about-page.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/law-firm-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/law-firm-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38792\";a:11:{s:5:\"title\";s:14:\"Practice Areas\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-practice-areas-page.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-practice-areas-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/law-firm-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/law-firm-04/practice-areas/\";s:15:\"astra-sites-tag\";a:1:{i:707;s:13:\"practice-area\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38789\";a:11:{s:5:\"title\";s:9:\"Attorneys\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-attorneys-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-attorneys-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/law-firm-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/law-firm-04/attorneys/\";s:15:\"astra-sites-tag\";a:1:{i:912;s:9:\"attorneys\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38790\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/law-firm-04-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/law-firm-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/law-firm-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38771\";a:11:{s:5:\"title\";s:12:\"Nutritionist\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page-400x1706.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/nutritionist-01\";s:20:\"astra-site-parent-id\";i:1130;s:15:\"astra-sites-tag\";a:5:{i:516;s:4:\"diet\";i:753;s:9:\"dietitian\";i:336;s:4:\"food\";i:991;s:7:\"healthy\";i:754;s:12:\"nutritionist\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-38775\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/nutritionist-01/wp-json/wp/v2/pages/97\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/nutritionist-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38772\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-01/wp-json/wp/v2/pages/141\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/nutritionist-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38776\";a:11:{s:5:\"title\";s:8:\"Programs\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-programs.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-programs-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-01/wp-json/wp/v2/pages/145\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/nutritionist-01/programs/\";s:15:\"astra-sites-tag\";a:1:{i:989;s:8:\"programs\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38777\";a:11:{s:5:\"title\";s:15:\"Success Stories\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-success-stories.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-success-stories-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-01/wp-json/wp/v2/pages/304\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/nutritionist-01/success-stories/\";s:15:\"astra-sites-tag\";a:1:{i:990;s:15:\"success-stories\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38773\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-blog.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-01/wp-json/wp/v2/pages/307\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/nutritionist-01/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38774\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-01/wp-json/wp/v2/pages/143\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/nutritionist-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-38757\";a:11:{s:5:\"title\";s:12:\"Nutritionist\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page-400x1706.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/nutritionist-02\";s:20:\"astra-site-parent-id\";i:1129;s:15:\"astra-sites-tag\";a:5:{i:516;s:4:\"diet\";i:753;s:9:\"dietitian\";i:336;s:4:\"food\";i:991;s:7:\"healthy\";i:754;s:12:\"nutritionist\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-38761\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/nutritionist-02/wp-json/wp/v2/pages/97\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/nutritionist-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38758\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-02/wp-json/wp/v2/pages/141\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/nutritionist-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38762\";a:11:{s:5:\"title\";s:8:\"Programs\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-programs.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-02-programs-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-02/wp-json/wp/v2/pages/145\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/nutritionist-02/programs/\";s:15:\"astra-sites-tag\";a:2:{i:989;s:8:\"programs\";i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38763\";a:11:{s:5:\"title\";s:15:\"Success Stories\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-success-stories.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/nutritionist-success-stories-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-02/wp-json/wp/v2/pages/304\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/nutritionist-02/success-stories/\";s:15:\"astra-sites-tag\";a:2:{i:990;s:15:\"success-stories\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38759\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-blog.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-02/wp-json/wp/v2/pages/307\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/nutritionist-02/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-38760\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/nutrionist-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/nutritionist-02/wp-json/wp/v2/pages/143\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/nutritionist-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-38716\";a:11:{s:5:\"title\";s:10:\"Life Guide\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-400x1273.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/life-coach-04\";s:20:\"astra-site-parent-id\";i:1122;s:15:\"astra-sites-tag\";a:6:{i:610;s:8:\"coaching\";i:1123;s:11:\"councelling\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:1018;s:18:\"self-improvement-2\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-38721\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/life-coach-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/life-coach-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38717\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-about-1.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-about-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/life-coach-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/life-coach-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38719\";a:11:{s:5:\"title\";s:8:\"Coaching\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-coaching.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-coaching-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/life-coach-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/life-coach-04/coaching/\";s:15:\"astra-sites-tag\";a:2:{i:610;s:8:\"coaching\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38720\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-contact-me.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-contact-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/life-coach-04/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/life-coach-04/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38710\";a:11:{s:5:\"title\";s:10:\"Life Guide\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-400x1273.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/life-coach-03\";s:20:\"astra-site-parent-id\";i:1121;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-38714\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/life-coach-03/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/life-coach-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38711\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-about-1.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-about-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/life-coach-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/life-coach-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38712\";a:11:{s:5:\"title\";s:8:\"Coaching\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-coaching.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-coaching-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/life-coach-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/life-coach-03/coaching/\";s:15:\"astra-sites-tag\";a:2:{i:557;s:7:\"classes\";i:610;s:8:\"coaching\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38713\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-contact-me.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-contact-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/life-coach-03/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/life-coach-03/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38704\";a:11:{s:5:\"title\";s:15:\"Furniture Store\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller-400x1005.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/furniture-store-04\";s:20:\"astra-site-parent-id\";i:1120;s:15:\"astra-sites-tag\";a:10:{i:496;s:9:\"ecommerce\";i:524;s:9:\"furniture\";i:856;s:15:\"furniture-store\";i:436;s:8:\"interior\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:749;s:5:\"store\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:2:{s:8:\"id-38706\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/furniture-store-04/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/furniture-store-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-38705\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller-about.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-decore-miller-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/furniture-store-04/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/furniture-store-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}s:8:\"id-38696\";a:11:{s:5:\"title\";s:15:\"Furniture Store\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-store-03-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-store-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-store-03-home-400x1131.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/furniture-store-03\";s:20:\"astra-site-parent-id\";i:1119;s:15:\"astra-sites-tag\";a:10:{i:496;s:9:\"ecommerce\";i:524;s:9:\"furniture\";i:856;s:15:\"furniture-store\";i:436;s:8:\"interior\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:749;s:5:\"store\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:2:{s:8:\"id-38698\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-store-03-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/furniture-store-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/furniture-store-03/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/furniture-store-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-38697\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:0:\"\";s:19:\"thumbnail-image-url\";s:0:\"\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/furniture-store-03/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/furniture-store-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("167", "astra-sites-page-builders", "a:4:{i:0;a:3:{s:2:\"id\";i:34;s:4:\"name\";s:14:\"Beaver Builder\";s:4:\"slug\";s:14:\"beaver-builder\";}i:1;a:3:{s:2:\"id\";i:41;s:4:\"name\";s:5:\"Brizy\";s:4:\"slug\";s:5:\"brizy\";}i:2;a:3:{s:2:\"id\";i:33;s:4:\"name\";s:9:\"Elementor\";s:4:\"slug\";s:9:\"elementor\";}i:3;a:3:{s:2:\"id\";i:42;s:4:\"name\";s:9:\"Gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";}}", "yes");
INSERT INTO `age_options` VALUES("168", "astra-sites-and-pages-page-1", "a:15:{s:8:\"id-19808\";a:11:{s:5:\"title\";s:17:\"Outdoor Adventure\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-400x950.png\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/outdoor-adventure-02\";s:20:\"astra-site-parent-id\";i:186;s:15:\"astra-sites-tag\";a:6:{i:544;s:9:\"adventure\";i:545;s:7:\"camping\";i:543;s:14:\"extreme-sports\";i:541;s:9:\"mountains\";i:542;s:4:\"park\";i:546;s:6:\"sports\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23830\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-02/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/outdoor-adventure-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23827\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/outdoor-adventure-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23832\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-services-screenshot.png\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-services-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/outdoor-adventure-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23831\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-projects-screenshot.png\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-projects-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/outdoor-adventure-02/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23829\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23829-outdoor-adventure-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/outdoor-adventure-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19884\";a:11:{s:5:\"title\";s:17:\"Outdoor Adventure\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-400x950.png\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/outdoor-adventure-01\";s:20:\"astra-site-parent-id\";i:184;s:15:\"astra-sites-tag\";a:6:{i:544;s:9:\"adventure\";i:545;s:7:\"camping\";i:543;s:14:\"extreme-sports\";i:541;s:9:\"mountains\";i:542;s:4:\"park\";i:546;s:6:\"sports\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23776\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/outdoor-adventure-01/wp-json/wp/v2/pages/271\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/outdoor-adventure-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23769\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-01/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/outdoor-adventure-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23781\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-services-screenshot.png\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-services-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/outdoor-adventure-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23780\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-projects-screenshot.png\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-projects-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/outdoor-adventure-01/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23772\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23772-outdoor-adventure-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/outdoor-adventure-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19990\";a:11:{s:5:\"title\";s:17:\"Outdoor Adventure\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-400x950.png\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/outdoor-adventure-07\";s:20:\"astra-site-parent-id\";i:182;s:15:\"astra-sites-tag\";a:6:{i:544;s:9:\"adventure\";i:545;s:7:\"camping\";i:543;s:14:\"extreme-sports\";i:541;s:9:\"mountains\";i:542;s:4:\"park\";i:546;s:6:\"sports\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23721\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/outdoor-adventure-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/outdoor-adventure-07/wp-json/wp/v2/pages/271\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/outdoor-adventure-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23718\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23718-outdoor-adventure-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23718-outdoor-adventure-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/outdoor-adventure-07/wp-json/wp/v2/pages/272\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/outdoor-adventure-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23723\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23723-outdoor-adventure-services-resize.jpg\";s:19:\"thumbnail-image-url\";s:106:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23723-outdoor-adventure-services-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/outdoor-adventure-07/wp-json/wp/v2/pages/273\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/outdoor-adventure-07/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23722\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23722-outdoor-adventure-projects-resize.jpg\";s:19:\"thumbnail-image-url\";s:106:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23722-outdoor-adventure-projects-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/outdoor-adventure-07/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23720\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23720-outdoor-adventure-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23720-outdoor-adventure-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/outdoor-adventure-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/outdoor-adventure-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-34012\";a:11:{s:5:\"title\";s:8:\"Pet Care\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home-400x1865.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/pet-care-04\";s:20:\"astra-site-parent-id\";i:992;s:15:\"astra-sites-tag\";a:5:{i:1021;s:14:\"local-business\";i:374;s:8:\"pet-care\";i:372;s:11:\"pet-minding\";i:371;s:11:\"pet-sitting\";i:373;s:12:\"pet-training\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-35747\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/pet-care-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/pet-care-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35745\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-04/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/pet-care-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35749\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-services.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-04/wp-json/wp/v2/pages/31\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/pet-care-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35748\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-reviews.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-04/wp-json/wp/v2/pages/33\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/pet-care-04/reviews/\";s:15:\"astra-sites-tag\";a:1:{i:432;s:6:\"review\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35746\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-04/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/pet-care-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-34244\";a:11:{s:5:\"title\";s:8:\"Pet Care\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home-400x1865.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/pet-care-03\";s:20:\"astra-site-parent-id\";i:1010;s:15:\"astra-sites-tag\";a:6:{i:376;s:12:\"dog-training\";i:375;s:11:\"dog-walking\";i:374;s:8:\"pet-care\";i:372;s:11:\"pet-minding\";i:371;s:11:\"pet-sitting\";i:373;s:12:\"pet-training\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-35752\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/pet-care-03/wp-json/wp/v2/pages/415\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/pet-care-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35750\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-03/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/pet-care-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35754\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-services.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-03/wp-json/wp/v2/pages/31\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/pet-care-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35753\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-reviews.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-03/wp-json/wp/v2/pages/33\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/pet-care-03/reviews/\";s:15:\"astra-sites-tag\";a:1:{i:432;s:6:\"review\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-35751\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/pet-care-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-03/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/pet-care-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-31992\";a:11:{s:5:\"title\";s:13:\"Organic Store\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store-400x1168.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/organic-shop-02\";s:20:\"astra-site-parent-id\";i:910;s:15:\"astra-sites-tag\";a:6:{i:496;s:9:\"ecommerce\";i:369;s:7:\"natural\";i:368;s:7:\"organic\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-33788\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/organic-shop-02/wp-json/wp/v2/pages/95\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/organic-shop-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-31993\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/09/organic-shop-02-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/09/organic-shop-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/organic-shop-02/wp-json/wp/v2/pages/96\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/organic-shop-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-31994\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22304-organic-store-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22304-organic-store-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/organic-shop-02/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/organic-shop-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-22401\";a:11:{s:5:\"title\";s:13:\"Organic Store\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store-400x1168.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/organic-shop-01\";s:20:\"astra-site-parent-id\";i:79;s:15:\"astra-sites-tag\";a:6:{i:880;s:9:\"cartflows\";i:369;s:7:\"natural\";i:368;s:7:\"organic\";i:886;s:12:\"organic-shop\";i:370;s:13:\"organic-store\";i:733;s:4:\"shop\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34078\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-products-store-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/organic-shop-01/wp-json/wp/v2/pages/95\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/organic-shop-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-22303\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-shop-01-about-1.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/organic-shop-01-about-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/organic-shop-01/wp-json/wp/v2/pages/96\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/organic-shop-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-22304\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22304-organic-store-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22304-organic-store-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/organic-shop-01/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/organic-shop-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-21592\";a:11:{s:5:\"title\";s:19:\"Custom Printing Pro\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home-400x1464.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/custom-printing-04\";s:20:\"astra-site-parent-id\";i:67;s:15:\"astra-sites-tag\";a:8:{i:400;s:15:\"custom-printing\";i:496;s:9:\"ecommerce\";i:881;s:12:\"mug-printing\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:405;s:16:\"t-shirt-printing\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-36096\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-04/wp-json/wp/v2/pages/95\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/custom-printing-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-22180\";a:11:{s:5:\"title\";s:9:\"About HDX\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-about-hdx.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-about-hdx-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-04/wp-json/wp/v2/pages/96\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/custom-printing-04/about-hdx/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-22183\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-04/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/custom-printing-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-21821\";a:11:{s:5:\"title\";s:15:\"Custom Printing\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home-400x1464.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/custom-printing-03\";s:20:\"astra-site-parent-id\";i:318;s:15:\"astra-sites-tag\";a:9:{i:880;s:9:\"cartflows\";i:400;s:15:\"custom-printing\";i:404;s:9:\"gift-shop\";i:401;s:10:\"gift-store\";i:403;s:14:\"online-gifting\";i:402;s:8:\"printing\";i:733;s:4:\"shop\";i:405;s:16:\"t-shirt-printing\";i:966;s:12:\"woo-commerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-34081\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-03/wp-json/wp/v2/pages/95\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/custom-printing-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-26341\";a:11:{s:5:\"title\";s:9:\"About HDX\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-about-hdx.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-about-hdx-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-03/wp-json/wp/v2/pages/96\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/custom-printing-03/about-hdx/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-26344\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/custom-printing-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-03/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/custom-printing-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-22009\";a:11:{s:5:\"title\";s:17:\"LearnDash Academy\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22009-learndash-academy-resize.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22009-learndash-academy-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22009-learndash-academy-resize.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/learndash-academy-02\";s:20:\"astra-site-parent-id\";i:851;s:15:\"astra-sites-tag\";a:7:{i:462;s:7:\"courses\";i:469;s:7:\"ecourse\";i:468;s:9:\"elearning\";i:467;s:9:\"learndash\";i:460;s:8:\"learning\";i:466;s:14:\"online-courses\";i:975;s:15:\"online-learning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-42985\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-02-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/learndash-academy-02/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/learndash-academy-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-42984\";a:11:{s:5:\"title\";s:11:\"All Courses\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-02-all-courses.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-02-all-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-02/wp-json/wp/v2/pages/201\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/learndash-academy-02/all-courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-31168\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-about.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-02/wp-json/wp/v2/pages/158\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/learndash-academy-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-31169\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-02/wp-json/wp/v2/pages/401\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/learndash-academy-02/contact/\";s:15:\"astra-sites-tag\";a:3:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-22110\";a:11:{s:5:\"title\";s:17:\"Learndash Academy\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22110-learndash-academy-resize.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22110-learndash-academy-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22110-learndash-academy-resize.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/learndash-academy-01\";s:20:\"astra-site-parent-id\";i:885;s:15:\"astra-sites-tag\";a:6:{i:462;s:7:\"courses\";i:468;s:9:\"elearning\";i:467;s:9:\"learndash\";i:460;s:8:\"learning\";i:466;s:14:\"online-courses\";i:975;s:15:\"online-learning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-34127\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-01-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-01-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/learndash-academy-01/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/learndash-academy-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-34126\";a:11:{s:5:\"title\";s:11:\"All Courses\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-01-all-courses.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-01-all-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-01/wp-json/wp/v2/pages/201\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/learndash-academy-01/all-courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-31832\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-about.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-01/wp-json/wp/v2/pages/158\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/learndash-academy-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-31833\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-01/wp-json/wp/v2/pages/401\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/learndash-academy-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-22081\";a:11:{s:5:\"title\";s:17:\"LearnDash Academy\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22081-learndash-academy-resize.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22081-learndash-academy-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22081-learndash-academy-resize.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/learndash-academy-07\";s:20:\"astra-site-parent-id\";i:884;s:15:\"astra-sites-tag\";a:6:{i:462;s:7:\"courses\";i:468;s:9:\"elearning\";i:467;s:9:\"learndash\";i:460;s:8:\"learning\";i:466;s:14:\"online-courses\";i:975;s:15:\"online-learning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-34133\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-07-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-07-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/learndash-academy-07/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/learndash-academy-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-34132\";a:11:{s:5:\"title\";s:11:\"All Courses\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-07-all-courses.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/10/learndash-academy-07-all-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-07/wp-json/wp/v2/pages/201\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/learndash-academy-07/all-courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-31828\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-about.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-07/wp-json/wp/v2/pages/158\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/learndash-academy-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-31829\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/09/learndash-academy-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/learndash-academy-07/wp-json/wp/v2/pages/401\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/learndash-academy-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-18882\";a:11:{s:5:\"title\";s:20:\"Deeplight Restaurant\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home-400x2091.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/restaurant-04\";s:20:\"astra-site-parent-id\";i:113;s:15:\"astra-sites-tag\";a:10:{i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23049\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-04/wp-json/wp/v2/pages/34\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/restaurant-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23050\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-menu.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-menu-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-04/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/restaurant-04/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23045\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-04/wp-json/wp/v2/pages/36\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/restaurant-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23048\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-gallery.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-04/wp-json/wp/v2/pages/37\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/restaurant-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23051\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-04/wp-json/wp/v2/pages/38\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/restaurant-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23047\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-04/wp-json/wp/v2/pages/39\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/restaurant-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-19058\";a:11:{s:5:\"title\";s:20:\"Deeplight Restaurant\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21081-restaurant-resize.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21081-restaurant-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21081-restaurant-resize.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/restaurant-03\";s:20:\"astra-site-parent-id\";i:114;s:15:\"astra-sites-tag\";a:10:{i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23063\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2018/09/id-18882-restaurant-resize.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2018/09/id-18882-restaurant-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-03/wp-json/wp/v2/pages/34\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/restaurant-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23064\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-menu.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-menu-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-03/wp-json/wp/v2/pages/35\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/restaurant-03/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23059\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-03/wp-json/wp/v2/pages/36\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/restaurant-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23062\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-gallery.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-03/wp-json/wp/v2/pages/37\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/restaurant-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23065\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-03/wp-json/wp/v2/pages/38\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/restaurant-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23061\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/restaurant-03/wp-json/wp/v2/pages/39\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/restaurant-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21081\";a:11:{s:5:\"title\";s:20:\"Deeplight Restaurant\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home-400x2091.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/restaurant-06\";s:20:\"astra-site-parent-id\";i:158;s:15:\"astra-sites-tag\";a:10:{i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23510\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/restaurant-06/wp-json/wp/v2/pages/143\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/restaurant-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23511\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-menu.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-menu-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/restaurant-06/wp-json/wp/v2/pages/190\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/restaurant-06/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23507\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/restaurant-06/wp-json/wp/v2/pages/201\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/restaurant-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23509\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-gallery.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/restaurant-06/wp-json/wp/v2/pages/208\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/restaurant-06/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23512\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/restaurant-06/wp-json/wp/v2/pages/215\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/restaurant-06/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23508\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/restaurant-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/restaurant-06/wp-json/wp/v2/pages/220\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/restaurant-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("169", "astra-sites-and-pages-page-9", "a:15:{s:8:\"id-20933\";a:11:{s:5:\"title\";s:7:\"Plumber\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-400x1140.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/plumber-07\";s:20:\"astra-site-parent-id\";i:291;s:15:\"astra-sites-tag\";a:3:{i:439;s:14:\"local-services\";i:507;s:7:\"plumber\";i:508;s:8:\"plumbing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-25030\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/plumber-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/plumber-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25027\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-about-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-about-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/plumber-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/plumber-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25031\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-services-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-services-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/plumber-07/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25042\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-testimonials-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-25042-plumber-testimonials-resize.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-07/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/plumber-07/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25039\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-faq-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/id-25039-plumber-faq-resize.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-07/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/plumber-07/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25029\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-contact-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-07-contact-revised-1200.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-07/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/plumber-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21073\";a:11:{s:5:\"title\";s:18:\"Garden Maintenance\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home-400x1651.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/garden-maintenance-01\";s:20:\"astra-site-parent-id\";i:242;s:15:\"astra-sites-tag\";a:7:{i:416;s:11:\"garden-care\";i:421;s:18:\"garden-maintenance\";i:420;s:9:\"gardening\";i:422;s:11:\"landscaping\";i:417;s:9:\"lawn-care\";i:419;s:8:\"planting\";i:418;s:12:\"weed-control\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-24575\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/garden-maintenance-01/wp-json/wp/v2/pages/86\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/garden-maintenance-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24572\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/garden-maintenance-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24577\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/garden-maintenance-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24576\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-projects.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/garden-maintenance-01/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24574\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-faq.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/garden-maintenance-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/garden-maintenance-01/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24573\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/garden-maintenance-01/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/garden-maintenance-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21066\";a:11:{s:5:\"title\";s:18:\"Garden Maintenance\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home-400x1651.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/garden-maintenance-02\";s:20:\"astra-site-parent-id\";i:244;s:15:\"astra-sites-tag\";a:8:{i:416;s:11:\"garden-care\";i:421;s:18:\"garden-maintenance\";i:420;s:9:\"gardening\";i:422;s:11:\"landscaping\";i:417;s:9:\"lawn-care\";i:1021;s:14:\"local-business\";i:419;s:8:\"planting\";i:418;s:12:\"weed-control\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-24597\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/garden-maintenance-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24594\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/garden-maintenance-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24599\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/garden-maintenance-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24598\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-projects.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24598-garden-maintenance-projects-resize.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/garden-maintenance-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/garden-maintenance-02/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24596\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-faq.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/garden-maintenance-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/garden-maintenance-02/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24595\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/garden-maintenance-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/garden-maintenance-02/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/garden-maintenance-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20946\";a:11:{s:5:\"title\";s:17:\"Interior Designer\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-400x1057.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/interior-designer-01\";s:20:\"astra-site-parent-id\";i:310;s:15:\"astra-sites-tag\";a:5:{i:435;s:12:\"architecture\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:422;s:11:\"landscaping\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-25235\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21035-interior-designer-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/interior-designer-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/interior-designer-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25233\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/interior-designer-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/interior-designer-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25237\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-01/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-designer-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25236\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-projects.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-designer-01/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25238\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-25238-interior-designer-testimonials-resize.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-01/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/interior-designer-01/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25234\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-contact.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-01-contact-revised-1200.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-01/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/interior-designer-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20939\";a:11:{s:5:\"title\";s:17:\"Interior Designer\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-400x1057.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/interior-designer-02\";s:20:\"astra-site-parent-id\";i:312;s:15:\"astra-sites-tag\";a:6:{i:435;s:12:\"architecture\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:422;s:11:\"landscaping\";i:1022;s:12:\"professional\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-25257\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/interior-designer-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/interior-designer-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25255\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/interior-designer-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/interior-designer-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25259\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-02/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-designer-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25258\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-projects.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-designer-02/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25260\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-02/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/interior-designer-02/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25256\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-contact.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/designer-02-contact.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-02/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/interior-designer-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21035\";a:11:{s:5:\"title\";s:17:\"Interior Designer\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-400x1057.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/interior-designer-07\";s:20:\"astra-site-parent-id\";i:313;s:15:\"astra-sites-tag\";a:5:{i:435;s:12:\"architecture\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:422;s:11:\"landscaping\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-25269\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/interior-designer-07/wp-json/wp/v2/pages/162\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/interior-designer-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25267\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/interior-designer-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/interior-designer-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25271\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-07/wp-json/wp/v2/pages/17\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-designer-07/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25270\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-projects.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-designer-07/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25272\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-25272-interior-designer-testimonials-resize.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-07/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/interior-designer-07/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25268\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-contact.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-designer-07-contact-revised-1200.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/interior-designer-07/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/interior-designer-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21049\";a:11:{s:5:\"title\";s:15:\"Growth Marketer\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-400x1385.png\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/content-marketing-07\";s:20:\"astra-site-parent-id\";i:223;s:15:\"astra-sites-tag\";a:3:{i:470;s:17:\"content-marketing\";i:472;s:6:\"growth\";i:471;s:8:\"strategy\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:3:{i:37;s:4:\"blog\";i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24413\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/content-marketing-07/wp-json/wp/v2/pages/25121\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/content-marketing-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24410\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-07/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/content-marketing-07/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24414\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-testimonials-screenshot.png\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-testimonials-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/content-marketing-07/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24412\";a:11:{s:5:\"title\";s:7:\"Hire Me\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-hire-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24412-growth-marketer-hire-me-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/content-marketing-07/hire-me/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:773;s:7:\"hire-me\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:3:{i:74;s:4:\"blog\";i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21023\";a:11:{s:5:\"title\";s:15:\"Pearson College\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/02/id-21023-pearson-college-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/02/id-21023-pearson-college-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/02/id-21023-pearson-college-resize.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/education-03\";s:20:\"astra-site-parent-id\";i:189;s:15:\"astra-sites-tag\";a:5:{i:457;s:7:\"college\";i:459;s:9:\"education\";i:460;s:8:\"learning\";i:456;s:6:\"school\";i:458;s:10:\"university\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23925\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23925-pearson-college-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23925-pearson-college-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/education-03/wp-json/wp/v2/pages/267\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/education-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23920\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/education-03-about-revised-1200.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/education-03-about-revised-1200-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-03/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/education-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23922\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23922-pearson-college-courses-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23922-pearson-college-courses-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-03/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/education-03/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23926\";a:11:{s:5:\"title\";s:8:\"Teachers\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23926-pearson-college-teachers-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23926-pearson-college-teachers-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-03/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/education-03/teachers/\";s:15:\"astra-sites-tag\";a:1:{i:464;s:7:\"teacher\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23923\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23923-pearson-college-gallery-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23923-pearson-college-gallery-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/education-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23921\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/education-03-contact-revised-1200.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/education-03-contact-revised-1200-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-03/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/education-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20746\";a:11:{s:5:\"title\";s:15:\"Pearson College\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/02/id-20746-pearson-college-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/02/id-20746-pearson-college-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/02/id-20746-pearson-college-resize.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/education-04\";s:20:\"astra-site-parent-id\";i:187;s:15:\"astra-sites-tag\";a:5:{i:457;s:7:\"college\";i:459;s:9:\"education\";i:460;s:8:\"learning\";i:456;s:6:\"school\";i:458;s:10:\"university\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23876\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23876-pearson-college-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23876-pearson-college-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/education-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/education-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23871\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/education-04-about-1.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/education-04-about-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-04/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/education-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23874\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23874-pearson-college-courses-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23874-pearson-college-courses-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-04/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/education-04/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23877\";a:11:{s:5:\"title\";s:8:\"Teachers\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23877-pearson-college-teachers-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23877-pearson-college-teachers-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-04/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/education-04/teachers/\";s:15:\"astra-sites-tag\";a:1:{i:464;s:7:\"teacher\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23875\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23875-pearson-college-gallery-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23875-pearson-college-gallery-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-04/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/education-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23873\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/education-04-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/education-04-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/education-04/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/education-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20810\";a:11:{s:5:\"title\";s:15:\"Growth Marketer\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-400x1385.png\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/content-marketing-01\";s:20:\"astra-site-parent-id\";i:227;s:15:\"astra-sites-tag\";a:3:{i:470;s:17:\"content-marketing\";i:472;s:6:\"growth\";i:471;s:8:\"strategy\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24451\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/content-marketing-01/wp-json/wp/v2/pages/106\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/content-marketing-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24448\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/content-marketing-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24452\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-testimonials-screenshot.png\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-testimonials-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/content-marketing-01/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24450\";a:11:{s:5:\"title\";s:7:\"Hire Me\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-hire-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24450-growth-marketer-hire-me-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/content-marketing-01/hire-me/\";s:15:\"astra-sites-tag\";a:1:{i:773;s:7:\"hire-me\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20904\";a:11:{s:5:\"title\";s:11:\"Barber Shop\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-home-400x1868.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/barber-shop-01\";s:20:\"astra-site-parent-id\";i:120;s:15:\"astra-sites-tag\";a:5:{i:478;s:6:\"barber\";i:474;s:8:\"grooming\";i:477;s:9:\"hair-care\";i:984;s:9:\"hairstyle\";i:982;s:11:\"hairstylist\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23135\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/barber-shop-01/wp-json/wp/v2/pages/145\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/barber-shop-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23131\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-about.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/barber-shop-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23132\";a:11:{s:5:\"title\";s:7:\"Barbers\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-barbers.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-barbers-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/barber-shop-01/barbers/\";s:15:\"astra-sites-tag\";a:1:{i:478;s:6:\"barber\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23134\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-gallery.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/barber-shop-01/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23133\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-01-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/barber-shop-01/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/barber-shop-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20807\";a:11:{s:5:\"title\";s:15:\"Growth Marketer\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-400x1385.png\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/content-marketing-02\";s:20:\"astra-site-parent-id\";i:225;s:15:\"astra-sites-tag\";a:3:{i:470;s:17:\"content-marketing\";i:472;s:6:\"growth\";i:471;s:8:\"strategy\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24433\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-02/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/content-marketing-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24430\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/content-marketing-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24434\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-testimonials-screenshot.png\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-testimonials-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/content-marketing-02/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24432\";a:11:{s:5:\"title\";s:7:\"Hire Me\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/growthmarketer-hire-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24432-growth-marketer-hire-me-resize.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/content-marketing-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/content-marketing-02/hire-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20816\";a:11:{s:5:\"title\";s:11:\"Barber Shop\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-home-400x1764.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/barber-shop-02\";s:20:\"astra-site-parent-id\";i:119;s:15:\"astra-sites-tag\";a:6:{i:478;s:6:\"barber\";i:474;s:8:\"grooming\";i:477;s:9:\"hair-care\";i:984;s:9:\"hairstyle\";i:982;s:11:\"hairstylist\";i:1021;s:14:\"local-business\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23121\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/barber-shop-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23117\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-about.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/barber-shop-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23118\";a:11:{s:5:\"title\";s:7:\"Barbers\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-barbers.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-barbers-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/barber-shop-02/barbers/\";s:15:\"astra-sites-tag\";a:1:{i:478;s:6:\"barber\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23120\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-gallery.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/barber-shop-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/barber-shop-02/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23119\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/barber-shop-02-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/barber-shop-02/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/barber-shop-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20732\";a:11:{s:5:\"title\";s:21:\"Photography Portfolio\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home-400x1255.jpg\";s:14:\"astra-site-url\";s:44:\"//websitedemos.net/photographer-portfolio-03\";s:20:\"astra-site-parent-id\";i:200;s:15:\"astra-sites-tag\";a:9:{i:513;s:6:\"camera\";i:482;s:7:\"fashion\";i:515;s:4:\"lens\";i:510;s:9:\"modelling\";i:511;s:12:\"photographer\";i:509;s:11:\"photography\";i:444;s:9:\"portfolio\";i:514;s:11:\"videography\";i:512;s:13:\"wedding-shoot\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24026\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/photographer-portfolio-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/photographer-portfolio-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24023\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-03/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/photographer-portfolio-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24028\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-03/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/photographer-portfolio-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24027\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-03/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:55:\"//websitedemos.net/photographer-portfolio-03/portfolio/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24025\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-03/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/photographer-portfolio-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20579\";a:11:{s:5:\"title\";s:11:\"Recipe Blog\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-home-400x1164.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/recipe-blog-07\";s:20:\"astra-site-parent-id\";i:198;s:15:\"astra-sites-tag\";a:5:{i:792;s:7:\"cooking\";i:787;s:6:\"dinner\";i:336;s:4:\"food\";i:793;s:11:\"food-making\";i:788;s:5:\"snack\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24012\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/recipe-blog-07/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/recipe-blog-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-24010\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-blog.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/recipe-blog-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/recipe-blog-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-24009\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/recipe-blog-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/recipe-blog-07/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-24011\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/recipe-blog-07-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24011-recipe-blog-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/recipe-blog-07/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/recipe-blog-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("170", "astra-sites-and-pages-page-2", "a:15:{s:8:\"id-20859\";a:11:{s:5:\"title\";s:14:\"Simply Natural\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home-400x1359.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/plant-store-02\";s:20:\"astra-site-parent-id\";i:190;s:15:\"astra-sites-tag\";a:8:{i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:497;s:11:\"plant-store\";i:495;s:6:\"plants\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34084\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/plant-store-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/plant-store-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23955\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/plant-store-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/plant-store-02/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23956\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-store-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/plant-store-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/plant-store-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/plant-store-02/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-20907\";a:11:{s:5:\"title\";s:14:\"Simply Natural\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home-400x1359.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/plant-store-01\";s:20:\"astra-site-parent-id\";i:193;s:15:\"astra-sites-tag\";a:6:{i:535;s:6:\"nature\";i:534;s:11:\"nature-park\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:749;s:5:\"store\";i:966;s:12:\"woo-commerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34086\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/plant-store-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/plant-store-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23984\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/10/simply-natural-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/plant-store-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/plant-store-01/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23985\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23985-simply-natural-contact-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:105:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23985-simply-natural-contact-us-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/plant-store-01/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/plant-store-01/contact-us/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-22058\";a:11:{s:5:\"title\";s:13:\"Travel Agency\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22058-travel-agency-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22058-travel-agency-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22058-travel-agency-resize.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/tourism-04\";s:20:\"astra-site-parent-id\";i:68;s:15:\"astra-sites-tag\";a:6:{i:979;s:7:\"company\";i:812;s:6:\"office\";i:430;s:7:\"tourism\";i:431;s:13:\"tours-travels\";i:427;s:6:\"travel\";i:428;s:13:\"travel-agency\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-39869\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22203-travel-agency-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22203-travel-agency-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/tourism-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/tourism-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39867\";a:11:{s:5:\"title\";s:8:\"About us\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22200-travel-agency-about-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22200-travel-agency-about-us-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-04/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/tourism-04/about-us/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39871\";a:11:{s:5:\"title\";s:5:\"Tours\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22205-travel-agency-tours-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22205-travel-agency-tours-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-04/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/tourism-04/tours/\";s:15:\"astra-sites-tag\";a:2:{i:424;s:7:\"project\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39870\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22204-travel-agency-reviews-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22204-travel-agency-reviews-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-04/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/tourism-04/reviews/\";s:15:\"astra-sites-tag\";a:2:{i:432;s:6:\"review\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39868\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/tourism-04-contact-revised-1200.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/06/tourism-04-contact-revised-1200-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-04/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/tourism-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22091\";a:11:{s:5:\"title\";s:13:\"Travel Agency\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22091-travel-agency-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22091-travel-agency-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22091-travel-agency-resize.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/tourism-03\";s:20:\"astra-site-parent-id\";i:92;s:15:\"astra-sites-tag\";a:5:{i:979;s:7:\"company\";i:812;s:6:\"office\";i:430;s:7:\"tourism\";i:427;s:6:\"travel\";i:428;s:13:\"travel-agency\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-22859\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22859-travel-agency-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22859-travel-agency-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/tourism-03/wp-json/wp/v2/pages/200\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/tourism-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22856\";a:11:{s:5:\"title\";s:8:\"About us\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/tourism-04-about-us-new.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/tourism-04-about-us-new-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-03/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/tourism-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22861\";a:11:{s:5:\"title\";s:5:\"Tours\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22861-travel-agency-tours-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22861-travel-agency-tours-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/tourism-03/tours/\";s:15:\"astra-sites-tag\";a:1:{i:770;s:4:\"tour\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22860\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22860-travel-agency-reviews-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22860-travel-agency-reviews-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-03/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/tourism-03/reviews/\";s:15:\"astra-sites-tag\";a:1:{i:432;s:6:\"review\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22857\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/tourism-03-contact-revised-1200.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/tourism-03-contact-revised-1200-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/tourism-03/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/tourism-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-17988\";a:11:{s:5:\"title\";s:10:\"Brandstore\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/10/brandstore-02-home-1.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/10/brandstore-02-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/10/brandstore-02-home-1-400x1183.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/brandstore-02\";s:20:\"astra-site-parent-id\";i:317;s:15:\"astra-sites-tag\";a:11:{i:639;s:11:\"accessories\";i:638;s:11:\"brand-store\";i:880;s:9:\"cartflows\";i:640;s:11:\"cloth-store\";i:637;s:8:\"clothing\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34092\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/10/brandstore-02-home-1.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/10/brandstore-02-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/brandstore-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/brandstore-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-26320\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/brandstore-02/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/brandstore-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-26323\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-new-contact.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-new-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/brandstore-02/wp-json/wp/v2/pages/414\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/brandstore-02/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-18035\";a:11:{s:5:\"title\";s:10:\"Brandstore\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-home-400x940.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/brandstore-01\";s:20:\"astra-site-parent-id\";i:149;s:15:\"astra-sites-tag\";a:8:{i:639;s:11:\"accessories\";i:638;s:11:\"brand-store\";i:640;s:11:\"cloth-store\";i:637;s:8:\"clothing\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:733;s:4:\"shop\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-23419\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/brandstore-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/brandstore-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23417\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-about-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/brandstore-01/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/brandstore-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23418\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23418-brandstore-contact-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23418-brandstore-contact-us-resize.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/brandstore-01/wp-json/wp/v2/pages/414\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/brandstore-01/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-20564\";a:11:{s:5:\"title\";s:10:\"Brandstore\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/01/brandstore-07-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/01/brandstore-07-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/01/brandstore-07-home-400x1235.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/brandstore-07\";s:20:\"astra-site-parent-id\";i:147;s:15:\"astra-sites-tag\";a:8:{i:639;s:11:\"accessories\";i:638;s:11:\"brand-store\";i:640;s:11:\"cloth-store\";i:637;s:8:\"clothing\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:733;s:4:\"shop\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34095\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/01/brandstore-07-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/01/brandstore-07-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/brandstore-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/brandstore-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23397\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/brandstore-07/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/brandstore-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23398\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-new-contact.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-new-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/brandstore-07/wp-json/wp/v2/pages/414\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/brandstore-07/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-20478\";a:11:{s:5:\"title\";s:10:\"Brandstore\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-05-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-05-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-05-home-400x980.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/brandstore-05\";s:20:\"astra-site-parent-id\";i:165;s:15:\"astra-sites-tag\";a:8:{i:639;s:11:\"accessories\";i:638;s:11:\"brand-store\";i:640;s:11:\"cloth-store\";i:637;s:8:\"clothing\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:733;s:4:\"shop\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-23567\";a:11:{s:5:\"title\";s:8:\"Homepage\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-05-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-05-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/brandstore-05/wp-json/wp/v2/pages/448\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/brandstore-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23565\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-about-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/brandstore-01-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/brandstore-05/wp-json/wp/v2/pages/465\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/brandstore-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23566\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23566-brandstore-contact-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23566-brandstore-contact-us-resize.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/brandstore-05/wp-json/wp/v2/pages/468\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/brandstore-05/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-21904\";a:11:{s:5:\"title\";s:15:\"Fitness Trainer\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/05/image-21904-432-resized.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/05/image-21904-432-resized-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/05/image-21904-432-resized.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/fitness-trainer-04\";s:20:\"astra-site-parent-id\";i:103;s:15:\"astra-sites-tag\";a:13:{i:845;s:4:\"blue\";i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:976;s:14:\"gym-instructor\";i:504;s:11:\"gym-trainer\";i:399;s:8:\"one-page\";i:1020;s:8:\"personal\";i:463;s:11:\"single-page\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-22949\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22000-fitness-trainer-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22000-fitness-trainer-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-trainer-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/fitness-trainer-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22000\";a:11:{s:5:\"title\";s:15:\"Fitness Trainer\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22000-fitness-trainer-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22000-fitness-trainer-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22000-fitness-trainer-resize.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/fitness-trainer-03\";s:20:\"astra-site-parent-id\";i:93;s:15:\"astra-sites-tag\";a:11:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:976;s:14:\"gym-instructor\";i:504;s:11:\"gym-trainer\";i:399;s:8:\"one-page\";i:463;s:11:\"single-page\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-22875\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22875-fitness-trainer-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22875-fitness-trainer-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/fitness-trainer-03/wp-json/wp/v2/pages/99\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/fitness-trainer-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-19494\";a:11:{s:5:\"title\";s:14:\"BBQ Restaurant\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-steaks-place.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-steaks-place-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-steaks-place-400x1556.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/bbq-restaurant-02\";s:20:\"astra-site-parent-id\";i:66;s:15:\"astra-sites-tag\";a:11:{i:566;s:14:\"bbq-restaurant\";i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-22165\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-steaks-place.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-steaks-place-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/bbq-restaurant-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22162\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-restaurant-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-restaurant-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/bbq-restaurant-02/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22166\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-restaurant-menu-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-restaurant-menu-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/bbq-restaurant-02/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22164\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-restaurant-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/06/bbq-restaurant-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/bbq-restaurant-02/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19579\";a:11:{s:5:\"title\";s:14:\"BBQ Restaurant\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2018/10/image-19579-287-resized.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2018/10/image-19579-287-resized-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2018/10/image-19579-287-resized.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/bbq-restaurant-01\";s:20:\"astra-site-parent-id\";i:84;s:15:\"astra-sites-tag\";a:11:{i:566;s:14:\"bbq-restaurant\";i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-22694\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-resto-homepage.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-resto-homepage-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/bbq-restaurant-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22691\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-about-page.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/bbq-restaurant-01/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22695\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-menu-page.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-menu-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/bbq-restaurant-01/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22693\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/bbq-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/bbq-restaurant-01/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19984\";a:11:{s:5:\"title\";s:14:\"BBQ Restaurant\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-gb.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-gb-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-gb-400x1581.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/bbq-restaurant-07\";s:20:\"astra-site-parent-id\";i:109;s:15:\"astra-sites-tag\";a:11:{i:566;s:14:\"bbq-restaurant\";i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-23003\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-gb.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-gb-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-07/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/bbq-restaurant-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23001\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-about-gb.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-about-gb-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/bbq-restaurant-07/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23004\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-menu-gb.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-menu-gb-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/bbq-restaurant-07/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23002\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-contact-gb.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/steaks-bbq-contact-gb-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/bbq-restaurant-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/bbq-restaurant-07/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21828\";a:11:{s:5:\"title\";s:12:\"Health Coach\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-home-page-400x1733.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/health-coach-04\";s:20:\"astra-site-parent-id\";i:88;s:15:\"astra-sites-tag\";a:9:{i:480;s:4:\"blog\";i:516;s:4:\"diet\";i:521;s:12:\"fitness-blog\";i:336;s:4:\"food\";i:518;s:12:\"health-coach\";i:517;s:14:\"healthy-eating\";i:519;s:14:\"healthy-living\";i:520;s:9:\"nutrition\";i:1020;s:8:\"personal\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:4:{s:8:\"id-22740\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/health-coach-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/health-coach-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-22741\";a:11:{s:5:\"title\";s:8:\"My Story\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-my-story-page.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-my-story-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/health-coach-04/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/health-coach-04/my-story/\";s:15:\"astra-sites-tag\";a:3:{i:352;s:5:\"about\";i:905;s:9:\"our-story\";i:767;s:5:\"story\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-22738\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-blog-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/health-coach-04-blog-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/health-coach-04/wp-json/wp/v2/pages/152\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/health-coach-04/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-22739\";a:11:{s:5:\"title\";s:11:\"Get Started\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22739-health-coach-get-started-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22739-health-coach-get-started-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/health-coach-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/health-coach-04/get-started/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:766;s:11:\"get-started\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}s:8:\"id-18191\";a:11:{s:5:\"title\";s:10:\"Plant Shop\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home-400x1468.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/plant-shop-04\";s:20:\"astra-site-parent-id\";i:263;s:15:\"astra-sites-tag\";a:6:{i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:497;s:11:\"plant-store\";i:495;s:6:\"plants\";i:733;s:4:\"shop\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:1:{s:8:\"id-39975\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/plant-shop-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/plant-shop-04/wp-json/wp/v2/pages/238\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/plant-shop-04/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:399;s:8:\"one-page\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("171", "astra-sites-and-pages-page-10", "a:15:{s:8:\"id-20567\";a:11:{s:5:\"title\";s:15:\"Sierra Industry\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-400x1336.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/sierra-industry-07\";s:20:\"astra-site-parent-id\";i:201;s:15:\"astra-sites-tag\";a:7:{i:985;s:7:\"factory\";i:538;s:6:\"forest\";i:537;s:13:\"national-park\";i:535;s:6:\"nature\";i:534;s:11:\"nature-park\";i:539;s:9:\"sanctuary\";i:536;s:10:\"wilderness\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24038\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/sierra-industry-07/wp-json/wp/v2/pages/353\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/sierra-industry-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24035\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/sierra-industry-07/wp-json/wp/v2/pages/373\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sierra-industry-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24039\";a:11:{s:5:\"title\";s:8:\"Products\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-product.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-product-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/sierra-industry-07/wp-json/wp/v2/pages/374\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/sierra-industry-07/products/\";s:15:\"astra-sites-tag\";a:1:{i:631;s:7:\"product\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24040\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/sierra-industry-07/wp-json/wp/v2/pages/375\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/sierra-industry-07/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24037\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/sierra-industry-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/sierra-industry-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20321\";a:11:{s:5:\"title\";s:18:\"Italian Restaurant\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-400x1211.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/italian-restaurant-07\";s:20:\"astra-site-parent-id\";i:132;s:15:\"astra-sites-tag\";a:11:{i:562;s:6:\"bistro\";i:972;s:4:\"club\";i:560;s:7:\"cuisine\";i:561;s:6:\"eatery\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:563;s:18:\"italian-restaurant\";i:559;s:6:\"outlet\";i:335;s:10:\"restaurant\";i:970;s:6:\"restro\";i:971;s:10:\"restro-bar\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-23259\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-07/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/italian-restaurant-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23260\";a:11:{s:5:\"title\";s:4:\"Menu\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-menu.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-menu-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/italian-restaurant-07/menu/\";s:15:\"astra-sites-tag\";a:1:{i:565;s:4:\"menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23256\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-07/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/italian-restaurant-07/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23258\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/italian-site-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/italian-restaurant-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/italian-restaurant-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20573\";a:11:{s:5:\"title\";s:13:\"Sierra Nature\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/01/id-20573-sierra-nature-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/01/id-20573-sierra-nature-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/01/id-20573-sierra-nature-resize.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/sierra-nature-07\";s:20:\"astra-site-parent-id\";i:112;s:15:\"astra-sites-tag\";a:6:{i:538;s:6:\"forest\";i:537;s:13:\"national-park\";i:535;s:6:\"nature\";i:534;s:11:\"nature-park\";i:539;s:9:\"sanctuary\";i:536;s:10:\"wilderness\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23036\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23036-sierra-nature-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23036-sierra-nature-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-nature-07/wp-json/wp/v2/pages/353\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/sierra-nature-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23033\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23033-sierra-nature-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23033-sierra-nature-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/sierra-nature-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23038\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-services-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-services-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/sierra-nature-07/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23037\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23037-sierra-nature-projects-resize.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23037-sierra-nature-projects-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/sierra-nature-07/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23035\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/sierra-nature-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sierra-nature-07/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19915\";a:11:{s:5:\"title\";s:7:\"Plumber\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-400x1140.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/plumber-02\";s:20:\"astra-site-parent-id\";i:293;s:15:\"astra-sites-tag\";a:4:{i:1021;s:14:\"local-business\";i:439;s:14:\"local-services\";i:507;s:7:\"plumber\";i:508;s:8:\"plumbing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-25059\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/plumber-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/plumber-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25055\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-about-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-about-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/plumber-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/plumber-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25060\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-services-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-services-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/plumber-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25061\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-testimonials-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-25061-plumber-testimonials-resize.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-02/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/plumber-02/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25058\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-faq-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-faq-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/plumber-02/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25057\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-contact-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-contact-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/plumber-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20536\";a:11:{s:5:\"title\";s:7:\"Plumber\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-400x1140.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/plumber-01\";s:20:\"astra-site-parent-id\";i:295;s:15:\"astra-sites-tag\";a:3:{i:439;s:14:\"local-services\";i:507;s:7:\"plumber\";i:508;s:8:\"plumbing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-44078\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-home-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/plumber-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/plumber-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44075\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-about-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-about-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/plumber-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/plumber-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44079\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-services-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-services-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/plumber-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44080\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:0:\"\";s:19:\"thumbnail-image-url\";s:0:\"\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-01/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/plumber-01/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44077\";a:11:{s:5:\"title\";s:4:\"FAQs\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-faq-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-faq-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-01/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/plumber-01/faqs/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44076\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-contact-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/plumber-contact-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/plumber-01/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/plumber-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20515\";a:11:{s:5:\"title\";s:16:\"Conference Event\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-03-revampp-400x1909.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/conference-event-05\";s:20:\"astra-site-parent-id\";i:172;s:15:\"astra-sites-tag\";a:6:{i:744;s:10:\"conference\";i:742;s:13:\"event-website\";i:743;s:7:\"meeting\";i:399;s:8:\"one-page\";i:745;s:12:\"organization\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-23626\";a:11:{s:5:\"title\";s:16:\"One Page Website\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/conference-event-05/wp-json/wp/v2/pages/101\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/conference-event-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20495\";a:11:{s:5:\"title\";s:14:\"A/C Technician\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-400x1053.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/ac-technician-07\";s:20:\"astra-site-parent-id\";i:290;s:15:\"astra-sites-tag\";a:4:{i:599;s:9:\"ac-repair\";i:439;s:14:\"local-services\";i:600;s:15:\"repair-services\";i:441;s:10:\"technician\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-25025\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-07/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/ac-technician-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25026\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/ac-technician-07/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25023\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/ac-technician-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25024\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/ac-technician-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/ac-technician-07/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20475\";a:11:{s:5:\"title\";s:16:\"Co-Working Space\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2018/12/id-20475-co-working-space-resize.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2018/12/id-20475-co-working-space-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2018/12/id-20475-co-working-space-resize.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/co-working-space-05\";s:20:\"astra-site-parent-id\";i:235;s:15:\"astra-sites-tag\";a:7:{i:692;s:8:\"business\";i:693;s:4:\"cafe\";i:694;s:16:\"co-working-place\";i:695;s:13:\"collaboration\";i:979;s:7:\"company\";i:812;s:6:\"office\";i:691;s:10:\"work-place\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24503\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24503-co-working-space-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24503-co-working-space-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/co-working-space-05/wp-json/wp/v2/pages/143\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/co-working-space-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24500\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-about-us-page.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-about-us-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/co-working-space-05/wp-json/wp/v2/pages/147\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/co-working-space-05/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24501\";a:11:{s:5:\"title\";s:9:\"Amenities\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-amenities-page.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-amenities-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/co-working-space-05/wp-json/wp/v2/pages/150\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/co-working-space-05/amenities/\";s:15:\"astra-sites-tag\";a:1:{i:777;s:9:\"amenities\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24504\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-pricing-page.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-pricing-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/co-working-space-05/wp-json/wp/v2/pages/153\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/co-working-space-05/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24502\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24502-co-working-space-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24502-co-working-space-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/co-working-space-05/wp-json/wp/v2/pages/156\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/co-working-space-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-20009\";a:11:{s:5:\"title\";s:12:\"Entrepreneur\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-home-400x1144.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/entrepreneur-07\";s:20:\"astra-site-parent-id\";i:240;s:15:\"astra-sites-tag\";a:8:{i:803;s:13:\"administrator\";i:795;s:10:\"contractor\";i:796;s:9:\"executive\";i:801;s:7:\"founder\";i:798;s:7:\"manager\";i:799;s:9:\"organizer\";i:800;s:8:\"producer\";i:804;s:8:\"promoter\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24561\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/entrepreneur-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/entrepreneur-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-24558\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/entrepreneur-07/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/entrepreneur-07/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-24559\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-blog.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/entrepreneur-07/wp-json/wp/v2/pages/283\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/entrepreneur-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-24560\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/entrepreneur-07-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/entrepreneur-07/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/entrepreneur-07/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-19958\";a:11:{s:5:\"title\";s:21:\"Photography Portfolio\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home-400x1255.jpg\";s:14:\"astra-site-url\";s:44:\"//websitedemos.net/photographer-portfolio-04\";s:20:\"astra-site-parent-id\";i:202;s:15:\"astra-sites-tag\";a:10:{i:513;s:6:\"camera\";i:482;s:7:\"fashion\";i:515;s:4:\"lens\";i:510;s:9:\"modelling\";i:511;s:12:\"photographer\";i:509;s:11:\"photography\";i:444;s:9:\"portfolio\";i:1022;s:12:\"professional\";i:514;s:11:\"videography\";i:512;s:13:\"wedding-shoot\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24050\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2018/12/photographer-portfolio-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/photographer-portfolio-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/photographer-portfolio-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24047\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-04/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/photographer-portfolio-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24052\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-04/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/photographer-portfolio-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24051\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-04/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:55:\"//websitedemos.net/photographer-portfolio-04/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24049\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/photographer-portfolio-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:73:\"https://websitedemos.net/photographer-portfolio-04/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/photographer-portfolio-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-19959\";a:11:{s:5:\"title\";s:15:\"Sierra Industry\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-01-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-01-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-01-home-400x1124.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/sierra-industry-01\";s:20:\"astra-site-parent-id\";i:203;s:15:\"astra-sites-tag\";a:4:{i:985;s:7:\"factory\";i:492;s:8:\"industry\";i:490;s:13:\"manufacturing\";i:489;s:10:\"production\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-44099\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/sierra-industry-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44097\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sierra-industry-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44100\";a:11:{s:5:\"title\";s:8:\"Products\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-product.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-product-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/sierra-industry-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:540;s:8:\"products\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44101\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/sierra-industry-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/sierra-industry-01/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44098\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-industry-02-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/sierra-industry-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/sierra-industry-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19881\";a:11:{s:5:\"title\";s:13:\"Sierra Nature\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2018/12/id-19881-sierra-nature-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2018/12/id-19881-sierra-nature-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2018/12/id-19881-sierra-nature-resize.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/sierra-nature-01\";s:20:\"astra-site-parent-id\";i:111;s:15:\"astra-sites-tag\";a:6:{i:538;s:6:\"forest\";i:537;s:13:\"national-park\";i:535;s:6:\"nature\";i:534;s:11:\"nature-park\";i:539;s:9:\"sanctuary\";i:536;s:10:\"wilderness\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23024\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23024-sierra-nature-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23024-sierra-nature-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/sierra-nature-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23021\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23021-sierra-nature-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23021-sierra-nature-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/sierra-nature-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23026\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-services-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-services-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/sierra-nature-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23025\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23025-sierra-nature-projects-resize.jpg\";s:19:\"thumbnail-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23025-sierra-nature-projects-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/sierra-nature-01/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23023\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/sierra-nature-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sierra-nature-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19814\";a:11:{s:5:\"title\";s:13:\"Sierra Nature\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-home-screenshot-400x1277.png\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/sierra-nature-02\";s:20:\"astra-site-parent-id\";i:110;s:15:\"astra-sites-tag\";a:6:{i:538;s:6:\"forest\";i:537;s:13:\"national-park\";i:535;s:6:\"nature\";i:534;s:11:\"nature-park\";i:539;s:9:\"sanctuary\";i:536;s:10:\"wilderness\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23008\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/sierra-nature-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23005\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/sierra-nature-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23010\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-services-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-services-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/sierra-nature-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23009\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-projects-screenshot.png\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-projects-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/sierra-nature-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/sierra-nature-02/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23007\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/sierra-nature-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/sierra-nature-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sierra-nature-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19598\";a:11:{s:5:\"title\";s:20:\"Interior Design Firm\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot-400x1739.png\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/interior-firm-01\";s:20:\"astra-site-parent-id\";i:314;s:15:\"astra-sites-tag\";a:8:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:981;s:17:\"interior-designer\";i:422;s:11:\"landscaping\";i:812;s:6:\"office\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25282\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot.png\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-home-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/interior-firm-01/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/interior-firm-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25283\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-portfolio-screenshot.png\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-portfolio-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/interior-firm-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/interior-firm-01/portfolio/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25279\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-about-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-about-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/interior-firm-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/interior-firm-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25284\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-testimonials-screenshot.png\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-testimonials-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/interior-firm-01/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/interior-firm-01/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25281\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/interior-firm-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/interior-firm-01/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/interior-firm-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19790\";a:11:{s:5:\"title\";s:6:\"Agency\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-400x1138.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-05\";s:20:\"astra-site-parent-id\";i:180;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-23678\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-05/wp-json/wp/v2/pages/853\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/agency-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23676\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-05/wp-json/wp/v2/pages/868\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/agency-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23679\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-05/wp-json/wp/v2/pages/876\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/agency-05/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23677\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-05/wp-json/wp/v2/pages/878\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("172", "astra-sites-tags", "a:10:{i:0;a:3:{s:2:\"id\";i:352;s:4:\"name\";s:5:\"About\";s:4:\"slug\";s:5:\"about\";}i:1;a:3:{s:2:\"id\";i:1007;s:4:\"name\";s:8:\"about me\";s:4:\"slug\";s:8:\"about-me\";}i:2;a:3:{s:2:\"id\";i:455;s:4:\"name\";s:8:\"about us\";s:4:\"slug\";s:8:\"about-us\";}i:3;a:3:{s:2:\"id\";i:599;s:4:\"name\";s:9:\"ac repair\";s:4:\"slug\";s:9:\"ac-repair\";}i:4;a:3:{s:2:\"id\";i:639;s:4:\"name\";s:11:\"accessories\";s:4:\"slug\";s:11:\"accessories\";}i:5;a:3:{s:2:\"id\";i:999;s:4:\"name\";s:7:\"account\";s:4:\"slug\";s:7:\"account\";}i:6;a:3:{s:2:\"id\";i:447;s:4:\"name\";s:10:\"Accountant\";s:4:\"slug\";s:10:\"accountant\";}i:7;a:3:{s:2:\"id\";i:448;s:4:\"name\";s:10:\"Accounting\";s:4:\"slug\";s:10:\"accounting\";}i:8;a:3:{s:2:\"id\";i:532;s:4:\"name\";s:11:\"acupressure\";s:4:\"slug\";s:11:\"acupressure\";}i:9;a:3:{s:2:\"id\";i:803;s:4:\"name\";s:13:\"administrator\";s:4:\"slug\";s:13:\"administrator\";}}", "yes");
INSERT INTO `age_options` VALUES("173", "astra-blocks-2", "a:94:{s:8:\"id-37910\";a:7:{s:5:\"title\";s:14:\"Testimonial 4W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-4W.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-4W-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-4w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37905\";a:7:{s:5:\"title\";s:14:\"Testimonial 3B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-3B.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-3B-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-3b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37904\";a:7:{s:5:\"title\";s:14:\"Testimonial 3W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-3w.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-3w-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-3w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37899\";a:7:{s:5:\"title\";s:14:\"Testimonial 2W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-2w.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-2w-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-2w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37898\";a:7:{s:5:\"title\";s:14:\"Testimonial 2B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-2B.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-2B-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-2b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37889\";a:7:{s:5:\"title\";s:14:\"Testimonial 1W\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-1W.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-1W-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-1w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37890\";a:7:{s:5:\"title\";s:14:\"Testimonial 1B\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-1B.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/Testimonial-1B-600x450.jpg\";s:3:\"url\";s:53:\"https://websitedemos.net/astra-blocks/testimonial-1b/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37762\";a:7:{s:5:\"title\";s:11:\"Services 4B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-4b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-4b-600x555.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-4b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37763\";a:7:{s:5:\"title\";s:11:\"Services 4W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-4w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-4w-600x555.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-4w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37755\";a:7:{s:5:\"title\";s:11:\"Services 3W\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/services-3w.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/services-3w-600x642.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-3w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37754\";a:7:{s:5:\"title\";s:11:\"Services 3B\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/services-3b-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/services-3b-2020-600x500.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-3b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37747\";a:7:{s:5:\"title\";s:11:\"Services 2B\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/services-2b-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/services-2b-2020-600x500.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-2b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37748\";a:7:{s:5:\"title\";s:11:\"Services 2W\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/services-2w-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/services-2w-2020-600x500.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-2w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37726\";a:7:{s:5:\"title\";s:11:\"Services 1W\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/services-1w-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/services-1w-2020-600x600.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-1w/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37739\";a:7:{s:5:\"title\";s:11:\"Services 1B\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/services-1b-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/services-1b-2020-600x600.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/services-1b/\";s:3:\"tag\";a:1:{i:953;s:8:\"services\";}s:8:\"category\";i:952;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37721\";a:7:{s:5:\"title\";s:11:\"Features 4B\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2020/01/features-4b.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/features-4b-600x500.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-4b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37717\";a:7:{s:5:\"title\";s:11:\"Features 4W\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/features-4w-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/features-4w-2020-600x500.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-4w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37704\";a:7:{s:5:\"title\";s:11:\"Features 3W\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/features-3w-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/features-3w-2020-600x630.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-3w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37705\";a:7:{s:5:\"title\";s:11:\"Features 3B\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/features-3b-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/features-3b-2020-600x630.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-3b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37697\";a:7:{s:5:\"title\";s:11:\"Features 2B\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/features-2b-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/features-2b-2020-600x630.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-2b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37695\";a:7:{s:5:\"title\";s:11:\"Features 2W\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/features-2w-2020.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/features-2w-2020-600x630.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-2w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37688\";a:7:{s:5:\"title\";s:11:\"Features 1B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/feature-1b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/feature-1b-2020-600x600.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-1b/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37686\";a:7:{s:5:\"title\";s:11:\"Features 1W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/feature-1w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/feature-1w-2020-600x600.jpg\";s:3:\"url\";s:50:\"https://websitedemos.net/astra-blocks/features-1w/\";s:3:\"tag\";a:1:{i:920;s:8:\"features\";}s:8:\"category\";i:919;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37679\";a:7:{s:5:\"title\";s:10:\"Heading 6B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-6b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-6b-2020-600x344.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-6b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37678\";a:7:{s:5:\"title\";s:10:\"Heading 6W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-6w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-6w-2020-600x344.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-6w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37669\";a:7:{s:5:\"title\";s:10:\"Heading 5W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-5w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-5w-2020-600x344.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-5w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37670\";a:7:{s:5:\"title\";s:10:\"Heading 5B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-5b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-5b-2020-600x344.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-5b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37662\";a:7:{s:5:\"title\";s:10:\"Heading 4B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-4b-2020-1.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-4b-2020-1-600x344.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-4b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37661\";a:7:{s:5:\"title\";s:10:\"Heading 4W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-4w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-4w-600x344.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-4w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37656\";a:7:{s:5:\"title\";s:10:\"Heading 3B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-3b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-3b-2020-600x326.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-3b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37655\";a:7:{s:5:\"title\";s:10:\"Heading 3W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-3w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-3w-2020-600x326.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-3w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37646\";a:7:{s:5:\"title\";s:10:\"Heading 2W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-2w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-2w-2020-600x272.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-2w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37647\";a:7:{s:5:\"title\";s:10:\"Heading 2B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-2b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-2b-2020-600x272.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-2b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37642\";a:7:{s:5:\"title\";s:10:\"Heading 1B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-1b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-1b-2020-600x361.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-1b/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37640\";a:7:{s:5:\"title\";s:10:\"Heading 1W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-1w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/heading-1w-2020-600x361.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/heading-1w/\";s:3:\"tag\";a:1:{i:1093;s:7:\"heading\";}s:8:\"category\";i:1094;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37557\";a:7:{s:5:\"title\";s:10:\"Clients 6W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-6w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-6w-2020-600x378.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-6w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37558\";a:7:{s:5:\"title\";s:10:\"Clients 6B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-6b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-6b-2020-600x378.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-6b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37549\";a:7:{s:5:\"title\";s:10:\"Clients 5B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-5b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-5b-2020-600x225.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-5b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37550\";a:7:{s:5:\"title\";s:10:\"Clients 5W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-5w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-5w-2020-600x225.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-5w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37542\";a:7:{s:5:\"title\";s:10:\"Clients 4W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-4w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-4w-2020-600x225.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-4w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37544\";a:7:{s:5:\"title\";s:10:\"Clients 4B\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-4b-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-4b-2020-600x225.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-4b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37537\";a:7:{s:5:\"title\";s:10:\"Clients 3B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-3b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-3b-600x632.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-3b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37535\";a:7:{s:5:\"title\";s:10:\"Clients 3W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-3w-2020.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-3w-2020-600x600.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-3w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37530\";a:7:{s:5:\"title\";s:10:\"Clients 2B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-2b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-2b-600x329.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-2b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37529\";a:7:{s:5:\"title\";s:10:\"Clients 2W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-2w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-2w-600x329.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-2w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37524\";a:7:{s:5:\"title\";s:10:\"Clients 1B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-1b.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-1b-600x329.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-1b/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37518\";a:7:{s:5:\"title\";s:10:\"Clients 1W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-1w.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/clients-1w-600x329.jpg\";s:3:\"url\";s:49:\"https://websitedemos.net/astra-blocks/clients-1w/\";s:3:\"tag\";a:1:{i:1090;s:7:\"clients\";}s:8:\"category\";i:1091;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37203\";a:7:{s:5:\"title\";s:7:\"Team 4B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-4b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-4b-600x491.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-4b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37200\";a:7:{s:5:\"title\";s:7:\"Team 4W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-4w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-4w-600x491.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-4w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37197\";a:7:{s:5:\"title\";s:7:\"Team 3B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-3b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-3b-600x491.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-3b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37194\";a:7:{s:5:\"title\";s:7:\"Team 3W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-3w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-3w-600x491.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-3w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37190\";a:7:{s:5:\"title\";s:7:\"Team 2B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/team-2b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/team-2b-600x578.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-2b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37187\";a:7:{s:5:\"title\";s:7:\"Team 2W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/Team-2W.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/Team-2W-600x578.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-2w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37184\";a:7:{s:5:\"title\";s:7:\"Team 1B\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2020/01/team-1b-2020.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2020/01/team-1b-2020-600x600.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-1b/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37153\";a:7:{s:5:\"title\";s:7:\"Team 1W\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/team-1w-2020-new.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/team-1w-2020-new-600x600.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/team-1w/\";s:3:\"tag\";a:1:{i:927;s:4:\"team\";}s:8:\"category\";i:829;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37150\";a:7:{s:5:\"title\";s:17:\"Call To Action 6B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-6b.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-6b-600x445.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-6b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37147\";a:7:{s:5:\"title\";s:17:\"Call To Action 6W\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-6w.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-6w-600x445.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-6w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37136\";a:7:{s:5:\"title\";s:17:\"Call To Action 4B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-4b.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-4b-600x227.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-4b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37132\";a:7:{s:5:\"title\";s:17:\"Call To Action 4W\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-4w.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-4w-600x227.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-4w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37129\";a:7:{s:5:\"title\";s:17:\"Call To Action 3B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-3d.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-3d-600x434.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-3b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37126\";a:7:{s:5:\"title\";s:17:\"Call To Action 3W\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-3w.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-3w-600x434.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-3w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37122\";a:7:{s:5:\"title\";s:17:\"Call To Action 2B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-2b.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-2b-600x434.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-2b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37120\";a:7:{s:5:\"title\";s:17:\"Call To Action 2W\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-2w.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-2w-600x434.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-2w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37117\";a:7:{s:5:\"title\";s:17:\"Call To Action 1B\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-1b.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-1b-600x294.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-1b/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37114\";a:7:{s:5:\"title\";s:17:\"Call To Action 1W\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-1w.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-1w-600x294.jpg\";s:3:\"url\";s:56:\"https://websitedemos.net/astra-blocks/call-to-action-1w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37111\";a:7:{s:5:\"title\";s:6:\"FAQ 4B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-4b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-4b-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-4b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37108\";a:7:{s:5:\"title\";s:6:\"FAQ 4W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-4w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-4w-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-4w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37105\";a:7:{s:5:\"title\";s:6:\"FAQ 3B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-3b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-3b-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-3d/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37102\";a:7:{s:5:\"title\";s:6:\"FAQ 3W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-3w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-3w-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-3w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37099\";a:7:{s:5:\"title\";s:6:\"FAQ 2B\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-2b.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-2b-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-2b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37096\";a:7:{s:5:\"title\";s:6:\"FAQ 2W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-2w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-2w-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-2w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37093\";a:7:{s:5:\"title\";s:6:\"FAQ 1B\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-1b-2.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-1b-2-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-1b/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37061\";a:7:{s:5:\"title\";s:6:\"FAQ 1W\";s:18:\"featured-image-url\";s:62:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-1w.jpg\";s:19:\"thumbnail-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/faq-1w-600x501.jpg\";s:3:\"url\";s:45:\"https://websitedemos.net/astra-blocks/faq-1w/\";s:3:\"tag\";a:2:{i:822;s:3:\"faq\";i:821;s:26:\"frequently-asked-questions\";}s:8:\"category\";i:1001;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37057\";a:7:{s:5:\"title\";s:8:\"About 5B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/about-5b-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/about-5b-1-600x501.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-5b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37051\";a:7:{s:5:\"title\";s:8:\"About 5W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/about-5w-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/about-5w-1-600x501.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-5w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37043\";a:7:{s:5:\"title\";s:8:\"About 4B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/about-4b-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/about-4b-1-600x501.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-4b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37040\";a:7:{s:5:\"title\";s:8:\"About 4W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/about-4w-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/about-4w-1-600x501.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-4w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37025\";a:7:{s:5:\"title\";s:8:\"About 3B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/About-3B-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/About-3B-1-600x501.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-3b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37022\";a:7:{s:5:\"title\";s:8:\"About 3W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/About-3W-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/About-3W-1-600x501.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-3w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-37019\";a:7:{s:5:\"title\";s:8:\"About 2B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/About-2B-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/About-2B-1-600x576.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-2b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-37015\";a:7:{s:5:\"title\";s:8:\"About 2W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/About-2W-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/About-2W-1-600x576.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-2w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-36983\";a:7:{s:5:\"title\";s:8:\"About 1B\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/About-1B-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/About-1B-1-600x576.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-1b/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-36980\";a:7:{s:5:\"title\";s:8:\"About 1W\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2020/01/About-1W-1.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/About-1W-1-600x576.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-1w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}s:8:\"id-36964\";a:7:{s:5:\"title\";s:7:\"Hero 4B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-4b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-4b-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-4b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-36961\";a:7:{s:5:\"title\";s:7:\"Hero 4W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-4w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-4w-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-4w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-36958\";a:7:{s:5:\"title\";s:7:\"Hero 3B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-3b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-3b-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-3b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-36953\";a:7:{s:5:\"title\";s:7:\"Hero 2B\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-2b.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-2b-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-2b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-36942\";a:7:{s:5:\"title\";s:7:\"Hero 3W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-3w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-3w-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-3w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-36939\";a:7:{s:5:\"title\";s:7:\"Hero 2W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-2w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-2w-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-2w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-36936\";a:7:{s:5:\"title\";s:7:\"Hero 1B\";s:18:\"featured-image-url\";s:65:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-1b-1.jpg\";s:19:\"thumbnail-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/hero-1b-1-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-1b/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:4:\"dark\";}s:8:\"id-35365\";a:7:{s:5:\"title\";s:15:\"Testimonial 10W\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-10w.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/testimonial-10w-600x679.jpg\";s:3:\"url\";s:54:\"https://websitedemos.net/astra-blocks/testimonial-10w/\";s:3:\"tag\";a:2:{i:1095;s:7:\"reviews\";i:844;s:11:\"testimonial\";}s:8:\"category\";i:830;s:6:\"filter\";s:5:\"light\";}s:8:\"id-29230\";a:7:{s:5:\"title\";s:7:\"Hero 1W\";s:18:\"featured-image-url\";s:63:\"https://websitedemos.net/wp-content/uploads/2019/08/hero-1w.jpg\";s:19:\"thumbnail-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/08/hero-1w-600x501.jpg\";s:3:\"url\";s:46:\"https://websitedemos.net/astra-blocks/hero-1w/\";s:3:\"tag\";a:1:{i:817;s:4:\"hero\";}s:8:\"category\";i:831;s:6:\"filter\";s:5:\"light\";}s:8:\"id-28634\";a:7:{s:5:\"title\";s:18:\"Call To Action 11W\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-11w.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/call-to-action-11w-600x439.jpg\";s:3:\"url\";s:57:\"https://websitedemos.net/astra-blocks/call-to-action-11w/\";s:3:\"tag\";a:1:{i:819;s:14:\"call-to-action\";}s:8:\"category\";i:832;s:6:\"filter\";s:5:\"light\";}s:8:\"id-28474\";a:7:{s:5:\"title\";s:8:\"About 9W\";s:18:\"featured-image-url\";s:64:\"https://websitedemos.net/wp-content/uploads/2020/01/about-9w.jpg\";s:19:\"thumbnail-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/about-9w-600x668.jpg\";s:3:\"url\";s:47:\"https://websitedemos.net/astra-blocks/about-9w/\";s:3:\"tag\";a:1:{i:818;s:5:\"about\";}s:8:\"category\";i:825;s:6:\"filter\";s:5:\"light\";}}", "yes");
INSERT INTO `age_options` VALUES("174", "astra-sites-and-pages-page-7", "a:15:{s:8:\"id-21340\";a:11:{s:5:\"title\";s:8:\"Car Wash\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home-400x1346.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/car-wash-01\";s:20:\"astra-site-parent-id\";i:303;s:15:\"astra-sites-tag\";a:5:{i:588;s:8:\"car-care\";i:587;s:13:\"car-detailing\";i:586;s:8:\"car-wash\";i:590;s:10:\"color-coat\";i:589;s:11:\"teflon-coat\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25171\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/car-wash-01/wp-json/wp/v2/pages/295\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/car-wash-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25172\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-services.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/car-wash-01/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/car-wash-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25169\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/car-wash-01/wp-json/wp/v2/pages/296\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/car-wash-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25173\";a:11:{s:5:\"title\";s:9:\"Wash Menu\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-washmenu.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-washmenu-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/car-wash-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/car-wash-01/wash-menu/\";s:15:\"astra-sites-tag\";a:2:{i:565;s:4:\"menu\";i:761;s:9:\"wash-menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25170\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/car-wash-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/car-wash-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21337\";a:11:{s:5:\"title\";s:8:\"Car Wash\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home-400x1346.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/car-wash-02\";s:20:\"astra-site-parent-id\";i:301;s:15:\"astra-sites-tag\";a:6:{i:588;s:8:\"car-care\";i:587;s:13:\"car-detailing\";i:586;s:8:\"car-wash\";i:590;s:10:\"color-coat\";i:1021;s:14:\"local-business\";i:589;s:11:\"teflon-coat\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25155\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/car-wash-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/car-wash-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25156\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-services.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/car-wash-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/car-wash-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25153\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/car-wash-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/car-wash-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25157\";a:11:{s:5:\"title\";s:9:\"Wash Menu\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-washmenu.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-washmenu-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/car-wash-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/car-wash-02/wash-menu/\";s:15:\"astra-sites-tag\";a:2:{i:565;s:4:\"menu\";i:761;s:9:\"wash-menu\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25154\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/car-wash-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/car-wash-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/car-wash-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21676\";a:11:{s:5:\"title\";s:18:\"Wedding Invitation\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/06/wedding-mark-brizy.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/06/wedding-mark-brizy-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/06/wedding-mark-brizy-400x1314.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/wedding-05\";s:20:\"astra-site-parent-id\";i:59;s:15:\"astra-sites-tag\";a:3:{i:698;s:10:\"engagement\";i:699;s:10:\"invitation\";i:697;s:7:\"wedding\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-22120\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/06/wedding-mark-brizy.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/06/wedding-mark-brizy-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/wedding-05/wp-json/wp/v2/pages/514\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/wedding-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-21599\";a:11:{s:5:\"title\";s:20:\"Makeup Artist Studio\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/04/makeup-artist-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/04/makeup-artist-04-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/04/makeup-artist-04-feb-20-home-400x1263.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/makeup-artist-04\";s:20:\"astra-site-parent-id\";i:125;s:15:\"astra-sites-tag\";a:7:{i:1023;s:6:\"beauty\";i:579;s:14:\"bridal-make-up\";i:477;s:9:\"hair-care\";i:575;s:11:\"hair-styles\";i:982;s:11:\"hairstylist\";i:577;s:13:\"makeup-artist\";i:1020;s:8:\"personal\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23191\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/04/makeup-artist-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/04/makeup-artist-04-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/makeup-artist-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23193\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/makeup-artist-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23189\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/makeup-artist-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23192\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-pricing.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-pricing-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-04/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/makeup-artist-04/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23190\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/makeup-artist-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-04/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/makeup-artist-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21347\";a:11:{s:5:\"title\";s:18:\"Transport Services\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1-400x1937.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/transport-services-03\";s:20:\"astra-site-parent-id\";i:97;s:15:\"astra-sites-tag\";a:9:{i:394;s:9:\"air-cargo\";i:391;s:14:\"cargo-services\";i:392;s:16:\"freight-services\";i:388;s:12:\"good-carrier\";i:389;s:9:\"logistics\";i:393;s:14:\"road-transport\";i:390;s:8:\"shipping\";i:366;s:9:\"transport\";i:387;s:8:\"trucking\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-22894\";a:11:{s:5:\"title\";s:16:\"One Page Website\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:70:\"https://websitedemos.net/transport-services-03/wp-json/wp/v2/pages/150\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/transport-services-03/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:746;s:13:\"one-page-site\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21329\";a:11:{s:5:\"title\";s:18:\"Transport Services\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1-400x1937.jpg\";s:14:\"astra-site-url\";s:40:\"//websitedemos.net/transport-services-04\";s:20:\"astra-site-parent-id\";i:95;s:15:\"astra-sites-tag\";a:12:{i:394;s:9:\"air-cargo\";i:845;s:4:\"blue\";i:391;s:14:\"cargo-services\";i:392;s:16:\"freight-services\";i:388;s:12:\"good-carrier\";i:389;s:9:\"logistics\";i:399;s:8:\"one-page\";i:846;s:3:\"red\";i:393;s:14:\"road-transport\";i:390;s:8:\"shipping\";i:366;s:9:\"transport\";i:387;s:8:\"trucking\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-22887\";a:11:{s:5:\"title\";s:16:\"One Page Website\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/transport-services-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/transport-services-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/transport-services-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21335\";a:11:{s:5:\"title\";s:17:\"Cleaning Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home-400x1559.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/cleaning-services-03\";s:20:\"astra-site-parent-id\";i:122;s:15:\"astra-sites-tag\";a:8:{i:1000;s:7:\"cleaner\";i:680;s:8:\"cleaning\";i:679;s:17:\"cleaning-services\";i:673;s:19:\"commercial-cleaning\";i:674;s:17:\"domestic-cleaning\";i:675;s:12:\"housekeeping\";i:676;s:11:\"maintenance\";i:677;s:7:\"washing\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23157\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/cleaning-services-03/wp-json/wp/v2/pages/239\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/cleaning-services-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23155\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/cleaning-services-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/cleaning-services-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23159\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/cleaning-services-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23160\";a:11:{s:5:\"title\";s:13:\"Why choose us\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-why-choose-us.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-why-choose-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/cleaning-services-03/why-choose-us/\";s:15:\"astra-sites-tag\";a:1:{i:760;s:13:\"why-choose-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23158\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-reviews.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/cleaning-services-03/reviews/\";s:15:\"astra-sites-tag\";a:2:{i:432;s:6:\"review\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23156\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-contact.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-03/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/cleaning-services-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21331\";a:11:{s:5:\"title\";s:17:\"Cleaning Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home-400x1559.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/cleaning-services-04\";s:20:\"astra-site-parent-id\";i:121;s:15:\"astra-sites-tag\";a:8:{i:680;s:8:\"cleaning\";i:679;s:17:\"cleaning-services\";i:673;s:19:\"commercial-cleaning\";i:674;s:17:\"domestic-cleaning\";i:675;s:12:\"housekeeping\";i:676;s:11:\"maintenance\";i:1022;s:12:\"professional\";i:677;s:7:\"washing\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23145\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/04/cleaning-services-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/cleaning-services-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/cleaning-services-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23143\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/cleaning-services-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/cleaning-services-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23147\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/cleaning-services-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23148\";a:11:{s:5:\"title\";s:13:\"Why choose us\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-why-choose-us.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-why-choose-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/cleaning-services-04/why-choose-us/\";s:15:\"astra-sites-tag\";a:2:{i:760;s:13:\"why-choose-us\";i:852;s:6:\"why-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23146\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-reviews.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/cleaning-services-04/reviews/\";s:15:\"astra-sites-tag\";a:1:{i:432;s:6:\"review\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23144\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-contact.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/cleaning-services-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/cleaning-services-04/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/cleaning-services-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21169\";a:11:{s:5:\"title\";s:28:\"Fashion &amp; Lifestyle Blog\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot-400x1338.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/fashion-lifestyle-07\";s:20:\"astra-site-parent-id\";i:142;s:15:\"astra-sites-tag\";a:5:{i:480;s:4:\"blog\";i:482;s:7:\"fashion\";i:479;s:9:\"lifestyle\";i:483;s:16:\"styling-shopping\";i:481;s:5:\"trend\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-23357\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-home-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/fashion-lifestyle-07/wp-json/wp/v2/pages/855\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/fashion-lifestyle-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-23353\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-blog-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-blog-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/fashion-lifestyle-07/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fashion-lifestyle-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-23356\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-contact-screenshot.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/fashion-lifestyle-contact-screenshot-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/fashion-lifestyle-07/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/fashion-lifestyle-07/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-21171\";a:11:{s:5:\"title\";s:10:\"Fly Movers\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-home-400x1705.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/movers-packers-04\";s:20:\"astra-site-parent-id\";i:362;s:15:\"astra-sites-tag\";a:4:{i:1021;s:14:\"local-business\";i:364;s:6:\"movers\";i:365;s:7:\"packers\";i:366;s:9:\"transport\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-28778\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/movers-packers-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/movers-packers-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28775\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-04/wp-json/wp/v2/pages/69\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/movers-packers-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28779\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/movers-packers-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28780\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-04/wp-json/wp/v2/pages/75\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/movers-packers-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28777\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-faq.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-04/wp-json/wp/v2/pages/73\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/movers-packers-04/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28776\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-04/wp-json/wp/v2/pages/71\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/movers-packers-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20908\";a:11:{s:5:\"title\";s:15:\"Wedding Planner\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-400x1975.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/wedding-planner-06\";s:20:\"astra-site-parent-id\";i:155;s:15:\"astra-sites-tag\";a:3:{i:717;s:13:\"event-planner\";i:697;s:7:\"wedding\";i:716;s:15:\"wedding-planner\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23469\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-06/wp-json/wp/v2/pages/316\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/wedding-planner-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23465\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-06/wp-json/wp/v2/pages/356\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wedding-planner-06/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23470\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-06/wp-json/wp/v2/pages/365\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wedding-planner-06/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23468\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-gallery.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-06/wp-json/wp/v2/pages/378\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/wedding-planner-06/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23471\";a:11:{s:5:\"title\";s:6:\"Venues\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-venues.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-venues-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-06/wp-json/wp/v2/pages/387\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/wedding-planner-06/venues/\";s:15:\"astra-sites-tag\";a:2:{i:696;s:5:\"venue\";i:691;s:10:\"work-place\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23467\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-planner-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-planner-06/wp-json/wp/v2/pages/392\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/wedding-planner-06/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20919\";a:11:{s:5:\"title\";s:31:\"eCourse &#8211; Learn Photoshop\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1-400x1910.jpg\";s:14:\"astra-site-url\";s:45:\"//websitedemos.net/ecourse-learn-photoshop-06\";s:20:\"astra-site-parent-id\";i:124;s:15:\"astra-sites-tag\";a:5:{i:468;s:9:\"elearning\";i:719;s:15:\"online-coaching\";i:975;s:15:\"online-learning\";i:721;s:8:\"training\";i:720;s:9:\"tutorials\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23181\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:75:\"https://websitedemos.net/ecourse-learn-photoshop-06/wp-json/wp/v2/pages/113\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/ecourse-learn-photoshop-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23179\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-about.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:75:\"https://websitedemos.net/ecourse-learn-photoshop-06/wp-json/wp/v2/pages/159\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/ecourse-learn-photoshop-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23180\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-courses.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:75:\"https://websitedemos.net/ecourse-learn-photoshop-06/wp-json/wp/v2/pages/165\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/ecourse-learn-photoshop-06/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23183\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:75:\"https://websitedemos.net/ecourse-learn-photoshop-06/wp-json/wp/v2/pages/174\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:59:\"//websitedemos.net/ecourse-learn-photoshop-06/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23182\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-pricing.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-04-pricing-600x800.jpg\";s:18:\"astra-page-api-url\";s:75:\"https://websitedemos.net/ecourse-learn-photoshop-06/wp-json/wp/v2/pages/181\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/ecourse-learn-photoshop-06/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20924\";a:11:{s:5:\"title\";s:10:\"Life Coach\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-400x1273.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/life-coach-06\";s:20:\"astra-site-parent-id\";i:80;s:15:\"astra-sites-tag\";a:5:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-22414\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/life-coach-06/wp-json/wp/v2/pages/304\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/life-coach-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22410\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-about-1.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-about-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/life-coach-06/wp-json/wp/v2/pages/364\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/life-coach-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22412\";a:11:{s:5:\"title\";s:8:\"Coaching\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-coaching.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-coaching-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/life-coach-06/wp-json/wp/v2/pages/373\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/life-coach-06/coaching/\";s:15:\"astra-sites-tag\";a:1:{i:610;s:8:\"coaching\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22413\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-contact-me.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/life-coach-04-contact-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/life-coach-06/wp-json/wp/v2/pages/380\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/life-coach-06/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20957\";a:11:{s:5:\"title\";s:5:\"Hotel\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/03/id-20957-hotel-resize.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/03/id-20957-hotel-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/03/id-20957-hotel-resize.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/hotel-06\";s:20:\"astra-site-parent-id\";i:156;s:15:\"astra-sites-tag\";a:6:{i:560;s:7:\"cuisine\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:712;s:5:\"lodge\";i:711;s:5:\"motel\";i:714;s:6:\"resort\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23488\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23488-hotel-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23488-hotel-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-06/wp-json/wp/v2/pages/215\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/hotel-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23489\";a:11:{s:5:\"title\";s:5:\"Rooms\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23489-hotel-rooms-resize.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23489-hotel-rooms-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-06/wp-json/wp/v2/pages/268\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/hotel-06/rooms/\";s:15:\"astra-sites-tag\";a:1:{i:715;s:5:\"rooms\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23490\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23490-hotel-services-resize.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23490-hotel-services-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-06/wp-json/wp/v2/pages/276\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/hotel-06/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23487\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23487-hotel-gallery-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23487-hotel-gallery-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-06/wp-json/wp/v2/pages/287\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/hotel-06/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23491\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23491-hotel-testimonials-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23491-hotel-testimonials-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-06/wp-json/wp/v2/pages/295\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/hotel-06/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23486\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23486-hotel-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23486-hotel-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/hotel-06/wp-json/wp/v2/pages/299\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/hotel-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20968\";a:11:{s:5:\"title\";s:9:\"theAgency\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-400x2255.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/wordpress-agency-06\";s:20:\"astra-site-parent-id\";i:126;s:15:\"astra-sites-tag\";a:7:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";i:879;s:16:\"wordpress-agency\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23201\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wordpress-agency-06/wp-json/wp/v2/pages/343\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/wordpress-agency-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23199\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wordpress-agency-06/wp-json/wp/v2/pages/392\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/wordpress-agency-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23203\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wordpress-agency-06/wp-json/wp/v2/pages/404\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wordpress-agency-06/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23202\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wordpress-agency-06/wp-json/wp/v2/pages/415\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wordpress-agency-06/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23204\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wordpress-agency-06/wp-json/wp/v2/pages/426\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/wordpress-agency-06/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23200\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wordpress-agency-06/wp-json/wp/v2/pages/435\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wordpress-agency-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("175", "astra-sites-and-pages-page-15", "a:15:{s:8:\"id-18040\";a:11:{s:5:\"title\";s:10:\"Freelancer\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-400x1870.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/freelancer-03\";s:20:\"astra-site-parent-id\";i:194;s:15:\"astra-sites-tag\";a:6:{i:339;s:6:\"artist\";i:670;s:8:\"designer\";i:669;s:10:\"freelancer\";i:399;s:8:\"one-page\";i:671;s:16:\"service-provider\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-23987\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/freelancer-03/wp-json/wp/v2/pages/325\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/freelancer-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18041\";a:11:{s:5:\"title\";s:6:\"Agency\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-home-400x2289.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-03\";s:20:\"astra-site-parent-id\";i:214;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24305\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/agency-03/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/agency-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24302\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-about-1.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-about-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-03/wp-json/wp/v2/pages/62\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/agency-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24308\";a:11:{s:5:\"title\";s:8:\"Websites\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-websites-1.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-websites-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-03/wp-json/wp/v2/pages/97\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/agency-03/websites/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24307\";a:11:{s:5:\"title\";s:7:\"Support\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-support.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-support-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-03/wp-json/wp/v2/pages/112\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-03/support/\";s:15:\"astra-sites-tag\";a:1:{i:765;s:7:\"support\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24306\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-pricing.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-pricing-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-03/wp-json/wp/v2/pages/132\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-03/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24304\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-03-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-03/wp-json/wp/v2/pages/164\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18036\";a:11:{s:5:\"title\";s:6:\"Artist\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-400x768.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/artist-01\";s:20:\"astra-site-parent-id\";i:146;s:15:\"astra-sites-tag\";a:8:{i:597;s:3:\"art\";i:339;s:6:\"artist\";i:595;s:10:\"exhibition\";i:614;s:7:\"painter\";i:861;s:9:\"paintings\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-23392\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/artist-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/artist-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23389\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-about.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/artist-01/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23391\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-01/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/artist-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-17985\";a:11:{s:5:\"title\";s:16:\"Freelance Artist\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-400x768.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/artist-02\";s:20:\"astra-site-parent-id\";i:144;s:15:\"astra-sites-tag\";a:9:{i:597;s:3:\"art\";i:339;s:6:\"artist\";i:496;s:9:\"ecommerce\";i:595;s:10:\"exhibition\";i:614;s:7:\"painter\";i:1020;s:8:\"personal\";i:967;s:13:\"product-store\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34089\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/10/artist-christine-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/artist-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/artist-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23371\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-about.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/artist-02/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-23373\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/artist-christine-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/artist-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-17931\";a:11:{s:5:\"title\";s:10:\"Home Decor\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/home-decor-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/home-decor-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/home-decor-feb-20-home-400x1030.jpg\";s:14:\"astra-site-url\";s:26:\"//websitedemos.net/blog-04\";s:20:\"astra-site-parent-id\";i:233;s:15:\"astra-sites-tag\";a:5:{i:480;s:4:\"blog\";i:863;s:10:\"decor-blog\";i:862;s:10:\"home-decor\";i:434;s:15:\"interior-design\";i:864;s:21:\"interior-design-blogs\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:2:{s:8:\"id-24482\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/blog-04/wp-json/wp/v2/pages/1884\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/blog-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-24483\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24483-home-decor-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/blog-04/wp-json/wp/v2/pages/1821\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/blog-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}s:8:\"id-17911\";a:11:{s:5:\"title\";s:10:\"Home Decor\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/home-decor-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/home-decor-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/home-decor-feb-20-home-400x1030.jpg\";s:14:\"astra-site-url\";s:26:\"//websitedemos.net/blog-02\";s:20:\"astra-site-parent-id\";i:255;s:15:\"astra-sites-tag\";a:5:{i:435;s:12:\"architecture\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:422;s:11:\"landscaping\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:2:{s:8:\"id-24664\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/blog-02/wp-json/wp/v2/pages/1884\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/blog-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-24666\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/home-deor-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/blog-02/wp-json/wp/v2/pages/1821\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/blog-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}s:8:\"id-17697\";a:11:{s:5:\"title\";s:3:\"Spa\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-salon-homepage.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-salon-homepage-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-salon-homepage-400x1559.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/lotus-spa-04\";s:20:\"astra-site-parent-id\";i:188;s:15:\"astra-sites-tag\";a:11:{i:532;s:11:\"acupressure\";i:1023;s:6:\"beauty\";i:474;s:8:\"grooming\";i:528;s:7:\"massage\";i:527;s:17:\"massage-therapist\";i:529;s:13:\"physiotherapy\";i:531;s:11:\"reflexology\";i:533;s:10:\"relaxation\";i:650;s:5:\"salon\";i:651;s:8:\"skincare\";i:530;s:3:\"spa\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-23888\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-salon-homepage.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-salon-homepage-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-04/wp-json/wp/v2/pages/2202\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/lotus-spa-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23885\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23885-spa-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23885-spa-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-04/wp-json/wp/v2/pages/2208\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/lotus-spa-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23889\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-04-services.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-04-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-04/wp-json/wp/v2/pages/2210\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/lotus-spa-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23887\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/spa-04-contact-revised-1200.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/spa-04-contact-revised-1200-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-04/wp-json/wp/v2/pages/2449\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/lotus-spa-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-17702\";a:11:{s:5:\"title\";s:6:\"Agency\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-home-page-400x2223.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-04\";s:20:\"astra-site-parent-id\";i:213;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24173\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/agency-04/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/agency-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24170\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-about-page.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-04/wp-json/wp/v2/pages/62\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/agency-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24178\";a:11:{s:5:\"title\";s:8:\"Websites\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-feb-20-websites.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-feb-20-websites-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-04/wp-json/wp/v2/pages/97\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/agency-04/websites/\";s:15:\"astra-sites-tag\";a:1:{i:661;s:7:\"website\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24176\";a:11:{s:5:\"title\";s:7:\"Support\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-support-page.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-support-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-04/wp-json/wp/v2/pages/112\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-04/support/\";s:15:\"astra-sites-tag\";a:1:{i:765;s:7:\"support\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24175\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-feb-20-pricing.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-feb-20-pricing-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-04/wp-json/wp/v2/pages/132\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-04/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24172\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-04/wp-json/wp/v2/pages/164\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-17638\";a:11:{s:5:\"title\";s:10:\"Freelancer\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-400x1870.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/freelancer-04\";s:20:\"astra-site-parent-id\";i:192;s:15:\"astra-sites-tag\";a:5:{i:339;s:6:\"artist\";i:670;s:8:\"designer\";i:669;s:10:\"freelancer\";i:1020;s:8:\"personal\";i:671;s:16:\"service-provider\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-23977\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/freelancer-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/freelancer-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-17631\";a:11:{s:5:\"title\";s:7:\"Charity\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-400x1473.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/charity-03\";s:20:\"astra-site-parent-id\";i:171;s:15:\"astra-sites-tag\";a:5:{i:625;s:7:\"charity\";i:624;s:10:\"foundation\";i:626;s:6:\"giving\";i:977;s:10:\"non-profit\";i:745;s:12:\"organization\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:36;s:5:\"other\";}s:5:\"pages\";a:4:{s:8:\"id-23624\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/charity-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23625\";a:11:{s:5:\"title\";s:10:\"What We Do\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-what-we-do.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-what-we-do-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-03/what-we-do/\";s:15:\"astra-sites-tag\";a:3:{i:352;s:5:\"about\";i:628;s:10:\"what-we-do\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23623\";a:11:{s:5:\"title\";s:15:\"Creating Impact\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-making-impact.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-making-impact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-03/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/charity-03/creating-impact/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23622\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}}}s:8:\"id-17624\";a:11:{s:5:\"title\";s:10:\"Car Repair\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page-400x1098.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/car-repair-02\";s:20:\"astra-site-parent-id\";i:296;s:15:\"astra-sites-tag\";a:5:{i:588;s:8:\"car-care\";i:587;s:13:\"car-detailing\";i:666;s:10:\"car-repair\";i:1021;s:14:\"local-business\";i:667;s:11:\"repair-shop\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25096\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-02/wp-json/wp/v2/pages/355\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/car-repair-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25093\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-about-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-02/wp-json/wp/v2/pages/193\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/car-repair-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25098\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-services-page.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-services-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-02/wp-json/wp/v2/pages/217\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/car-repair-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25097\";a:11:{s:5:\"title\";s:9:\"Our Staff\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-our-staff-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-our-staff-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-02/wp-json/wp/v2/pages/230\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/car-repair-02/our-staff/\";s:15:\"astra-sites-tag\";a:2:{i:668;s:5:\"staff\";i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25095\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-02/wp-json/wp/v2/pages/649\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/car-repair-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17630\";a:11:{s:5:\"title\";s:11:\"Electrician\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-400x1352.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/electrician-01\";s:20:\"astra-site-parent-id\";i:234;s:15:\"astra-sites-tag\";a:3:{i:341;s:11:\"electrician\";i:439;s:14:\"local-services\";i:671;s:16:\"service-provider\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24489\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/electrician-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/electrician-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24485\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-01/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/electrician-01/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24490\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-01/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/electrician-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24488\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-faq-screenshot.png\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-faq-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-01/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/electrician-01/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24487\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-01/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/electrician-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17618\";a:11:{s:5:\"title\";s:10:\"Sweet Shop\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-400x1217.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/sweet-shop-03\";s:20:\"astra-site-parent-id\";i:271;s:15:\"astra-sites-tag\";a:7:{i:758;s:6:\"bakery\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:749;s:5:\"store\";i:756;s:10:\"sweet-shop\";i:757;s:6:\"sweets\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24800\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/sweet-shop-03/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/sweet-shop-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24796\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/sweet-shop-03/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/sweet-shop-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24799\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-gallery.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/sweet-shop-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/sweet-shop-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24801\";a:11:{s:5:\"title\";s:9:\"Our Cakes\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-cakes.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-cakes-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/sweet-shop-03/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/sweet-shop-03/our-cakes/\";s:15:\"astra-sites-tag\";a:1:{i:783;s:4:\"cake\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24798\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/sweet-shop-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sweet-shop-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-17619\";a:11:{s:5:\"title\";s:18:\"Wedding Invitation\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor-400x1144.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/wedding-01\";s:20:\"astra-site-parent-id\";i:265;s:15:\"astra-sites-tag\";a:5:{i:698;s:10:\"engagement\";i:699;s:10:\"invitation\";i:399;s:8:\"one-page\";i:463;s:11:\"single-page\";i:697;s:7:\"wedding\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24756\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/wedding-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/wedding-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:61;s:4:\"free\";}}}}s:8:\"id-17616\";a:11:{s:5:\"title\";s:6:\"Lawyer\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home-400x1405.jpg\";s:14:\"astra-site-url\";s:25:\"//websitedemos.net/law-01\";s:20:\"astra-site-parent-id\";i:353;s:15:\"astra-sites-tag\";a:7:{i:704;s:13:\"corporate-law\";i:701;s:12:\"criminal-law\";i:703;s:11:\"enforcement\";i:968;s:7:\"justice\";i:702;s:8:\"law-firm\";i:706;s:6:\"lawyer\";i:778;s:5:\"legal\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-28283\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:53:\"https://websitedemos.net/law-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:26:\"//websitedemos.net/law-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-28280\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-about.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:53:\"https://websitedemos.net/law-01/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/law-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-28284\";a:11:{s:5:\"title\";s:13:\"Practice Area\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-practice-area.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-practice-area-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/law-01/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/law-01/practice-area/\";s:15:\"astra-sites-tag\";a:2:{i:708;s:4:\"area\";i:707;s:13:\"practice-area\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-36136\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-faq.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/law-01/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/law-01/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-28282\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/law-01/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/law-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("176", "astra-sites-and-pages-page-16", "a:15:{s:8:\"id-17531\";a:11:{s:5:\"title\";s:27:\"Gardening &amp; Landscaping\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-400x1272.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/gardener-01\";s:20:\"astra-site-parent-id\";i:305;s:15:\"astra-sites-tag\";a:7:{i:416;s:11:\"garden-care\";i:421;s:18:\"garden-maintenance\";i:420;s:9:\"gardening\";i:422;s:11:\"landscaping\";i:417;s:9:\"lawn-care\";i:419;s:8:\"planting\";i:418;s:12:\"weed-control\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25194\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/gardener-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/gardener-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25190\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-01/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/gardener-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25195\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-01/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/gardener-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25193\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-01/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/gardener-01/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25192\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-01/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/gardener-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17562\";a:11:{s:5:\"title\";s:3:\"Spa\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/homepage-lotus-spa.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/homepage-lotus-spa-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/homepage-lotus-spa-400x1533.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/lotus-spa-03\";s:20:\"astra-site-parent-id\";i:191;s:15:\"astra-sites-tag\";a:10:{i:532;s:11:\"acupressure\";i:474;s:8:\"grooming\";i:528;s:7:\"massage\";i:527;s:17:\"massage-therapist\";i:529;s:13:\"physiotherapy\";i:531;s:11:\"reflexology\";i:533;s:10:\"relaxation\";i:650;s:5:\"salon\";i:651;s:8:\"skincare\";i:530;s:3:\"spa\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-23970\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/homepage-lotus-spa.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/homepage-lotus-spa-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-03/wp-json/wp/v2/pages/2202\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/lotus-spa-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23967\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23967-spa-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23967-spa-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-03/wp-json/wp/v2/pages/2208\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/lotus-spa-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23971\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23971-spa-services-resize.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23971-spa-services-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-03/wp-json/wp/v2/pages/2210\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/lotus-spa-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23969\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23969-spa-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23969-spa-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-03/wp-json/wp/v2/pages/2449\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/lotus-spa-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-17532\";a:11:{s:5:\"title\";s:6:\"Agency\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-400x1138.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-01\";s:20:\"astra-site-parent-id\";i:212;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:686;s:9:\"corporate\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24129\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/agency-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/agency-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24126\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-01/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/agency-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24130\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-01/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/agency-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24128\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-01/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17524\";a:11:{s:5:\"title\";s:13:\"Dental Clinic\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website-400x1313.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/dental-01\";s:20:\"astra-site-parent-id\";i:229;s:15:\"astra-sites-tag\";a:7:{i:623;s:7:\"dentist\";i:601;s:6:\"doctor\";i:604;s:10:\"healthcare\";i:605;s:8:\"hospital\";i:399;s:8:\"one-page\";i:463;s:11:\"single-page\";i:607;s:9:\"treatment\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24462\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/dental-01/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/dental-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17534\";a:11:{s:5:\"title\";s:14:\"Digital Agency\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-400x1138.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-02\";s:20:\"astra-site-parent-id\";i:210;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:686;s:9:\"corporate\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-24112\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/agency-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/agency-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24109\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-02/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/agency-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24113\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-02/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/agency-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24111\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/agency-02/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17535\";a:11:{s:5:\"title\";s:27:\"Gardening &amp; Landscaping\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-400x1272.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/gardener-02\";s:20:\"astra-site-parent-id\";i:307;s:15:\"astra-sites-tag\";a:8:{i:416;s:11:\"garden-care\";i:421;s:18:\"garden-maintenance\";i:420;s:9:\"gardening\";i:422;s:11:\"landscaping\";i:417;s:9:\"lawn-care\";i:1021;s:14:\"local-business\";i:419;s:8:\"planting\";i:418;s:12:\"weed-control\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25221\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/gardenr-landscaping-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/gardener-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/gardener-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25217\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/gardener-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25222\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-02/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/gardener-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25220\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/gardener-02/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25219\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/gardener-02-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/gardener-02/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/gardener-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17529\";a:11:{s:5:\"title\";s:12:\"Construction\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-400x1708.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/construction-01\";s:20:\"astra-site-parent-id\";i:300;s:15:\"astra-sites-tag\";a:6:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:484;s:12:\"construction\";i:436;s:8:\"interior\";i:812;s:6:\"office\";i:485;s:11:\"real-estate\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25144\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/construction-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25141\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-01/wp-json/wp/v2/pages/71\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/construction-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25146\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-01/wp-json/wp/v2/pages/72\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25145\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-01/wp-json/wp/v2/pages/74\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-01/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25143\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-01/wp-json/wp/v2/pages/73\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/construction-01/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17536\";a:11:{s:5:\"title\";s:12:\"Construction\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-400x1708.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/construction-02\";s:20:\"astra-site-parent-id\";i:302;s:15:\"astra-sites-tag\";a:7:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:484;s:12:\"construction\";i:436;s:8:\"interior\";i:812;s:6:\"office\";i:485;s:11:\"real-estate\";i:687;s:6:\"realty\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25166\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/construction-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/construction-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25163\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-02/wp-json/wp/v2/pages/71\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/construction-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25168\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-02/wp-json/wp/v2/pages/72\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25167\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-02/wp-json/wp/v2/pages/74\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/construction-02/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25165\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/construction-02-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/construction-02/wp-json/wp/v2/pages/73\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/construction-02/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17504\";a:11:{s:5:\"title\";s:16:\"Co-Working Space\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17504-co-working-space-resize.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17504-co-working-space-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17504-co-working-space-resize.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/co-working-space-02\";s:20:\"astra-site-parent-id\";i:215;s:15:\"astra-sites-tag\";a:7:{i:692;s:8:\"business\";i:693;s:4:\"cafe\";i:694;s:16:\"co-working-place\";i:695;s:13:\"collaboration\";i:979;s:7:\"company\";i:812;s:6:\"office\";i:691;s:10:\"work-place\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24320\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24320-co-working-space-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24320-co-working-space-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/co-working-space-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/co-working-space-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24316\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-about-us-page.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-about-us-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/co-working-space-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/co-working-space-02/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24317\";a:11:{s:5:\"title\";s:9:\"Amenities\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-amenities-page.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-amenities-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/co-working-space-02/amenities/\";s:15:\"astra-sites-tag\";a:1:{i:777;s:9:\"amenities\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24321\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-pricing-page.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-pricing-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/co-working-space-02/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24319\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24319-co-working-space-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24319-co-working-space-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/co-working-space-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17506\";a:11:{s:5:\"title\";s:13:\"Hotel and BnB\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot.png\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot-400x1745.png\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/hotel-01\";s:20:\"astra-site-parent-id\";i:247;s:15:\"astra-sites-tag\";a:8:{i:560;s:7:\"cuisine\";i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:712;s:5:\"lodge\";i:711;s:5:\"motel\";i:399;s:8:\"one-page\";i:714;s:6:\"resort\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24620\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot.png\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/hotel-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/hotel-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17354\";a:11:{s:5:\"title\";s:18:\"Wedding Invitation\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor-400x1144.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/wedding-02\";s:20:\"astra-site-parent-id\";i:264;s:15:\"astra-sites-tag\";a:5:{i:698;s:10:\"engagement\";i:699;s:10:\"invitation\";i:399;s:8:\"one-page\";i:463;s:11:\"single-page\";i:697;s:7:\"wedding\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24754\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wedding-mark-sally-elementor-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/wedding-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/wedding-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:61;s:4:\"free\";}}}}s:8:\"id-17366\";a:11:{s:5:\"title\";s:10:\"Car Repair\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page-400x1098.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/car-repair-01\";s:20:\"astra-site-parent-id\";i:298;s:15:\"astra-sites-tag\";a:4:{i:588;s:8:\"car-care\";i:587;s:13:\"car-detailing\";i:666;s:10:\"car-repair\";i:667;s:11:\"repair-shop\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-25114\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/car-repair-01/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/car-repair-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25111\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-about-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-01/wp-json/wp/v2/pages/193\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/car-repair-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25116\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-services-page.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-services-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-01/wp-json/wp/v2/pages/217\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/car-repair-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25115\";a:11:{s:5:\"title\";s:9:\"Our Staff\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-our-staff-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-our-staff-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/car-repair-01/wp-json/wp/v2/pages/230\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/car-repair-01/our-staff/\";s:15:\"astra-sites-tag\";a:2:{i:668;s:5:\"staff\";i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25113\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/car-repair-02-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/car-repair-01/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/car-repair-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17363\";a:11:{s:5:\"title\";s:16:\"Co-Working Space\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2017/08/id-17363-co-working-space-resize.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2017/08/id-17363-co-working-space-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2017/08/id-17363-co-working-space-resize.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/co-working-space-01\";s:20:\"astra-site-parent-id\";i:217;s:15:\"astra-sites-tag\";a:7:{i:692;s:8:\"business\";i:693;s:4:\"cafe\";i:694;s:16:\"co-working-place\";i:695;s:13:\"collaboration\";i:979;s:7:\"company\";i:812;s:6:\"office\";i:691;s:10:\"work-place\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24344\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24344-co-working-space-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:101:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24344-co-working-space-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/co-working-space-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/co-working-space-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24340\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-about-us-page.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-about-us-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-01/wp-json/wp/v2/pages/37\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/co-working-space-01/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24341\";a:11:{s:5:\"title\";s:9:\"Amenities\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-amenities-page.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-amenities-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-01/wp-json/wp/v2/pages/39\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/co-working-space-01/amenities/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24345\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-pricing-page.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/co-working-space-02-pricing-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-01/wp-json/wp/v2/pages/40\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/co-working-space-01/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24343\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24343-co-working-space-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24343-co-working-space-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/co-working-space-01/wp-json/wp/v2/pages/41\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/co-working-space-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17337\";a:11:{s:5:\"title\";s:6:\"Lawyer\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home-400x1405.jpg\";s:14:\"astra-site-url\";s:25:\"//websitedemos.net/law-02\";s:20:\"astra-site-parent-id\";i:253;s:15:\"astra-sites-tag\";a:7:{i:704;s:13:\"corporate-law\";i:701;s:12:\"criminal-law\";i:703;s:11:\"enforcement\";i:968;s:7:\"justice\";i:702;s:8:\"law-firm\";i:706;s:6:\"lawyer\";i:1022;s:12:\"professional\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24652\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:53:\"https://websitedemos.net/law-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:26:\"//websitedemos.net/law-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24648\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-about.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:53:\"https://websitedemos.net/law-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/law-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24653\";a:11:{s:5:\"title\";s:13:\"Practice Area\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-practice-area.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-practice-area-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/law-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/law-02/practice-area/\";s:15:\"astra-sites-tag\";a:2:{i:708;s:4:\"area\";i:707;s:13:\"practice-area\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24651\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:66:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-faq.jpg\";s:19:\"thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/law-02/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/law-02/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24650\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/law-02-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/law-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/law-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17326\";a:11:{s:5:\"title\";s:11:\"Electrician\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-400x1352.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/electrician-02\";s:20:\"astra-site-parent-id\";i:237;s:15:\"astra-sites-tag\";a:4:{i:341;s:11:\"electrician\";i:1021;s:14:\"local-business\";i:439;s:14:\"local-services\";i:671;s:16:\"service-provider\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24526\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/electrician-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/electrician-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24522\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-02/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/electrician-02/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24527\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-02-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/electrician-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24525\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-faq-screenshot.png\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-faq-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-02/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/electrician-02/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24524\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-contact-screenshot.png\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/07/electrician-contact-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/electrician-02/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/electrician-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("177", "astra-sites-and-pages-page-17", "a:8:{s:8:\"id-17300\";a:11:{s:5:\"title\";s:13:\"Dental Clinic\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website-400x1313.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/dental-02\";s:20:\"astra-site-parent-id\";i:230;s:15:\"astra-sites-tag\";a:8:{i:623;s:7:\"dentist\";i:601;s:6:\"doctor\";i:604;s:10:\"healthcare\";i:605;s:8:\"hospital\";i:399;s:8:\"one-page\";i:1022;s:12:\"professional\";i:463;s:11:\"single-page\";i:607;s:9:\"treatment\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24468\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/dentist-website-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/dental-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/dental-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-38739\";a:11:{s:5:\"title\";s:13:\"Makeup Artist\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-400x1111.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/makeup-artist-02\";s:20:\"astra-site-parent-id\";i:1125;s:15:\"astra-sites-tag\";a:6:{i:579;s:14:\"bridal-make-up\";i:477;s:9:\"hair-care\";i:575;s:11:\"hair-styles\";i:1126;s:7:\"make-up\";i:1128;s:14:\"make-up-artist\";i:1127;s:9:\"skin-care\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38742\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/makeup-artist-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/makeup-artist-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38740\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-02/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/makeup-artist-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38744\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-02/wp-json/wp/v2/pages/44\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/makeup-artist-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38743\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-02/wp-json/wp/v2/pages/45\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/makeup-artist-02/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:997;s:8:\"our-work\";i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38741\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-02/wp-json/wp/v2/pages/46\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/makeup-artist-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38733\";a:11:{s:5:\"title\";s:13:\"Makeup Artist\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-400x1111.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/makeup-artist-01\";s:20:\"astra-site-parent-id\";i:1124;s:15:\"astra-sites-tag\";a:5:{i:579;s:14:\"bridal-make-up\";i:477;s:9:\"hair-care\";i:575;s:11:\"hair-styles\";i:982;s:11:\"hairstylist\";i:577;s:13:\"makeup-artist\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-44089\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/makeup-artist-01/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/makeup-artist-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44087\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-01/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/makeup-artist-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44091\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-01/wp-json/wp/v2/pages/44\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/makeup-artist-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44090\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-01/wp-json/wp/v2/pages/45\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/makeup-artist-01/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44088\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/makeup-artist-01/wp-json/wp/v2/pages/46\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/makeup-artist-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-19799\";a:11:{s:5:\"title\";s:13:\"Makeup Artist\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-400x1111.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/makeup-artist-05\";s:20:\"astra-site-parent-id\";i:278;s:15:\"astra-sites-tag\";a:5:{i:579;s:14:\"bridal-make-up\";i:477;s:9:\"hair-care\";i:575;s:11:\"hair-styles\";i:982;s:11:\"hairstylist\";i:577;s:13:\"makeup-artist\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24882\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/makeup-artist-05/wp-json/wp/v2/pages/962\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/makeup-artist-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24880\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/makeup-artist-05/wp-json/wp/v2/pages/968\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/makeup-artist-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24884\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/makeup-artist-05/wp-json/wp/v2/pages/972\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/makeup-artist-05/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24883\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/makeup-artist-05/wp-json/wp/v2/pages/977\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/makeup-artist-05/portfolio/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24881\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/makeup-artist-contact.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24881-makeup-artist-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/makeup-artist-05/wp-json/wp/v2/pages/983\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/makeup-artist-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-43271\";a:11:{s:5:\"title\";s:17:\"Cleaning Services\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home-400x1440.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/cleaner-02\";s:20:\"astra-site-parent-id\";i:1406;s:15:\"astra-sites-tag\";a:7:{i:680;s:8:\"cleaning\";i:679;s:17:\"cleaning-services\";i:673;s:19:\"commercial-cleaning\";i:674;s:17:\"domestic-cleaning\";i:1407;s:13:\"house-keeping\";i:676;s:11:\"maintenance\";i:677;s:7:\"washing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-43275\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/cleaner-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/cleaner-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43272\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-02/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/cleaner-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43276\";a:11:{s:5:\"title\";s:11:\"Residential\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-residential.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-residential-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-02/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/cleaner-02/residential/\";s:15:\"astra-sites-tag\";a:2:{i:682;s:11:\"residential\";i:1408;s:7:\"service\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43273\";a:11:{s:5:\"title\";s:10:\"Commercial\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-commercial.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-commercial-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-02/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/cleaner-02/commercial/\";s:15:\"astra-sites-tag\";a:2:{i:681;s:10:\"commercial\";i:1408;s:7:\"service\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43274\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-02/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/cleaner-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-43296\";a:11:{s:5:\"title\";s:35:\"Residential and Commercial Cleaning\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-home.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-home-400x1498.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/cleaning-05\";s:20:\"astra-site-parent-id\";i:1410;s:15:\"astra-sites-tag\";a:7:{i:680;s:8:\"cleaning\";i:679;s:17:\"cleaning-services\";i:673;s:19:\"commercial-cleaning\";i:674;s:17:\"domestic-cleaning\";i:1407;s:13:\"house-keeping\";i:676;s:11:\"maintenance\";i:677;s:7:\"washing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-43300\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-home.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/cleaning-05/wp-json/wp/v2/pages/664\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/cleaning-05/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43297\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-about.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/cleaning-05/wp-json/wp/v2/pages/674\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/cleaning-05/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43301\";a:11:{s:5:\"title\";s:11:\"Residential\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-residential.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-residential-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/cleaning-05/wp-json/wp/v2/pages/679\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/cleaning-05/residential/\";s:15:\"astra-sites-tag\";a:2:{i:679;s:17:\"cleaning-services\";i:776;s:20:\"residential-cleaning\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43298\";a:11:{s:5:\"title\";s:10:\"Commercial\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-commercial.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-commercial-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/cleaning-05/wp-json/wp/v2/pages/682\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/cleaning-05/commercial/\";s:15:\"astra-sites-tag\";a:2:{i:679;s:17:\"cleaning-services\";i:673;s:19:\"commercial-cleaning\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43299\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-contact.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaning-05-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/cleaning-05/wp-json/wp/v2/pages/687\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/cleaning-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-43284\";a:11:{s:5:\"title\";s:35:\"Residential and Commercial Cleaning\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-home-400x1433.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/cleaner-01\";s:20:\"astra-site-parent-id\";i:1409;s:15:\"astra-sites-tag\";a:7:{i:680;s:8:\"cleaning\";i:679;s:17:\"cleaning-services\";i:673;s:19:\"commercial-cleaning\";i:674;s:17:\"domestic-cleaning\";i:1407;s:13:\"house-keeping\";i:676;s:11:\"maintenance\";i:677;s:7:\"washing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:10:{s:8:\"id-44107\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/cleaner-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44108\";a:11:{s:5:\"title\";s:10:\"Commercial\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-commercial.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-commercial-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/cleaner-01/commercial/\";s:15:\"astra-sites-tag\";a:2:{i:673;s:19:\"commercial-cleaning\";i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44109\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/cleaner-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44110\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/cleaner-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-44111\";a:11:{s:5:\"title\";s:11:\"Residential\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-residential.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-02-residential-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/cleaner-01/residential/\";s:15:\"astra-sites-tag\";a:2:{i:776;s:20:\"residential-cleaning\";i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43288\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/cleaner-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43285\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/cleaner-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43289\";a:11:{s:5:\"title\";s:11:\"Residential\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-residential.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-residential-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/cleaner-01/residential/\";s:15:\"astra-sites-tag\";a:2:{i:776;s:20:\"residential-cleaning\";i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43286\";a:11:{s:5:\"title\";s:10:\"Commercial\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-commercial.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-commercial-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/cleaner-01/commercial/\";s:15:\"astra-sites-tag\";a:2:{i:673;s:19:\"commercial-cleaning\";i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-43287\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/02/cleaner-01-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/cleaner-01/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/cleaner-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-17299\";a:11:{s:5:\"title\";s:13:\"Hotel and BnB\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot.png\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot-600x800.png\";s:28:\"fullpage-thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot-400x1745.png\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/hotel-02\";s:20:\"astra-site-parent-id\";i:250;s:15:\"astra-sites-tag\";a:5:{i:336;s:4:\"food\";i:350;s:5:\"hotel\";i:399;s:8:\"one-page\";i:335;s:10:\"restaurant\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-24627\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot.png\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/hotel-screenshot-600x800.png\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/hotel-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/hotel-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("178", "astra-sites-and-pages-page-5", "a:15:{s:8:\"id-33461\";a:11:{s:5:\"title\";s:14:\"Dentist Clinic\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/10/dental-clinic-homescreen.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/dental-clinic-homescreen-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/10/dental-clinic-homescreen-400x1419.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/dentist-02\";s:20:\"astra-site-parent-id\";i:986;s:15:\"astra-sites-tag\";a:8:{i:623;s:7:\"dentist\";i:601;s:6:\"doctor\";i:604;s:10:\"healthcare\";i:605;s:8:\"hospital\";i:399;s:8:\"one-page\";i:1022;s:12:\"professional\";i:463;s:11:\"single-page\";i:607;s:9:\"treatment\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-33462\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/10/dental-clinic-homescreen.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/dental-clinic-homescreen-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/dentist-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/dentist-02/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:463;s:11:\"single-page\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-28824\";a:11:{s:5:\"title\";s:10:\"Fly Movers\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-home-400x1784.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/movers-packers-03\";s:20:\"astra-site-parent-id\";i:363;s:15:\"astra-sites-tag\";a:3:{i:364;s:6:\"movers\";i:365;s:7:\"packers\";i:366;s:9:\"transport\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-28828\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/movers-packers-03/wp-json/wp/v2/pages/124\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/movers-packers-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28825\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-about.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-03/wp-json/wp/v2/pages/69\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/movers-packers-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28829\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-services.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/movers-packers-03/wp-json/wp/v2/pages/125\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/movers-packers-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28830\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:94:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-03/wp-json/wp/v2/pages/75\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/movers-packers-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28827\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-faq.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-03/wp-json/wp/v2/pages/73\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/movers-packers-03/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28826\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/08/movers-packers-03-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/movers-packers-03/wp-json/wp/v2/pages/71\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/movers-packers-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-28407\";a:11:{s:5:\"title\";s:12:\"Tow Services\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home-400x1225.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/tow-services-03\";s:20:\"astra-site-parent-id\";i:358;s:15:\"astra-sites-tag\";a:3:{i:555;s:15:\"car-tow-service\";i:554;s:18:\"emergency-services\";i:556;s:12:\"tow-services\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-28411\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/tow-services-03/wp-json/wp/v2/pages/287\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/tow-services-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28408\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/tow-services-03/wp-json/wp/v2/pages/288\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/tow-services-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28412\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-services.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/tow-services-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28413\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/tow-services-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28410\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-faq.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/tow-services-03/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-28409\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/tow-services-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/tow-services-03/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/tow-services-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22675\";a:11:{s:5:\"title\";s:12:\"Pet Services\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-home.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-home-400x1581.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/pet-sitting-02\";s:20:\"astra-site-parent-id\";i:908;s:15:\"astra-sites-tag\";a:8:{i:974;s:3:\"cat\";i:376;s:12:\"dog-training\";i:375;s:11:\"dog-walking\";i:1021;s:14:\"local-business\";i:374;s:8:\"pet-care\";i:372;s:11:\"pet-minding\";i:371;s:11:\"pet-sitting\";i:373;s:12:\"pet-training\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-22679\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-home.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/pet-sitting-02/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/pet-sitting-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22676\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-02-about-us-1.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-02-about-us-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/pet-sitting-02/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/pet-sitting-02/about-us/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22680\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-services.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/pet-sitting-02/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/pet-sitting-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22678\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-contact.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/pet-sitting-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/pet-sitting-02/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/pet-sitting-02/contact-us/\";s:15:\"astra-sites-tag\";a:3:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-22422\";a:11:{s:5:\"title\";s:13:\"Pool Services\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home-400x1746.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/pool-services-03\";s:20:\"astra-site-parent-id\";i:81;s:15:\"astra-sites-tag\";a:3:{i:567;s:16:\"pool-maintenance\";i:569;s:13:\"swimming-pool\";i:570;s:10:\"water-pool\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:7:{s:8:\"id-22427\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/244\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/pool-services-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22423\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/pool-services-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22429\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/pool-services-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22426\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-gallery.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/pool-services-03/gallery/\";s:15:\"astra-sites-tag\";a:2:{i:461;s:7:\"gallery\";i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-37956\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-reviews.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/pool-services-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-37955\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-faq.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/202\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/pool-services-03/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22424\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/pool-services-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/pool-services-03/wp-json/wp/v2/pages/245\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/pool-services-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22129\";a:11:{s:5:\"title\";s:10:\"Shoe Store\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-home-400x1249.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/shoe-store-04\";s:20:\"astra-site-parent-id\";i:63;s:15:\"astra-sites-tag\";a:11:{i:496;s:9:\"ecommerce\";i:980;s:8:\"footwear\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:384;s:13:\"running-shoes\";i:382;s:10:\"shoe-store\";i:385;s:5:\"shoes\";i:733;s:4:\"shop\";i:386;s:11:\"sport-shoes\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-40007\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/shoe-store-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/shoe-store-04/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:814;s:8:\"homepage\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-40005\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/shoe-store-04/wp-json/wp/v2/pages/152\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/shoe-store-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-40006\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22146-shoe-store-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-22146-shoe-store-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/shoe-store-04/wp-json/wp/v2/pages/153\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/shoe-store-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-22296\";a:11:{s:5:\"title\";s:10:\"Shoe Store\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-home-400x1223.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/shoe-store-03\";s:20:\"astra-site-parent-id\";i:71;s:15:\"astra-sites-tag\";a:9:{i:980;s:8:\"footwear\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:384;s:13:\"running-shoes\";i:382;s:10:\"shoe-store\";i:385;s:5:\"shoes\";i:733;s:4:\"shop\";i:386;s:11:\"sport-shoes\";i:966;s:12:\"woo-commerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-39990\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/shoe-store-03/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/shoe-store-03/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:814;s:8:\"homepage\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-39988\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/shoe-store-03/wp-json/wp/v2/pages/152\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/shoe-store-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-39989\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/shoe-store-03-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/shoe-store-03/wp-json/wp/v2/pages/153\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/shoe-store-03/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-22317\";a:11:{s:5:\"title\";s:12:\"Photographer\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-home-page-400x1798.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/photographer-07\";s:20:\"astra-site-parent-id\";i:75;s:15:\"astra-sites-tag\";a:9:{i:513;s:6:\"camera\";i:482;s:7:\"fashion\";i:515;s:4:\"lens\";i:510;s:9:\"modelling\";i:511;s:12:\"photographer\";i:509;s:11:\"photography\";i:444;s:9:\"portfolio\";i:514;s:11:\"videography\";i:512;s:13:\"wedding-shoot\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-22320\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-home-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/photographer-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/photographer-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22318\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-about-page.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/06/photographer-07-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/photographer-07/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/photographer-07/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22319\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22319-photographer-blog-resize.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22319-photographer-blog-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/photographer-07/wp-json/wp/v2/pages/267\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/photographer-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-22306\";a:11:{s:5:\"title\";s:8:\"Pet Care\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-home-400x1179.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/pet-care-07\";s:20:\"astra-site-parent-id\";i:73;s:15:\"astra-sites-tag\";a:7:{i:974;s:3:\"cat\";i:376;s:12:\"dog-training\";i:375;s:11:\"dog-walking\";i:374;s:8:\"pet-care\";i:372;s:11:\"pet-minding\";i:371;s:11:\"pet-sitting\";i:373;s:12:\"pet-training\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"gutenberg\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-22309\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/pet-care-07/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/pet-care-07/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22307\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/pet-care-07/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/pet-care-07/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}s:8:\"id-22308\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-blog.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/06/pet-care-07-feb-20-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/pet-care-07/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/pet-care-07/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:61;s:4:\"free\";}}}}s:8:\"id-22073\";a:11:{s:5:\"title\";s:15:\"Custom Printing\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/custom-printing-02-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/10/custom-printing-02-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/custom-printing-02-home-400x1354.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/custom-printing-02\";s:20:\"astra-site-parent-id\";i:70;s:15:\"astra-sites-tag\";a:7:{i:400;s:15:\"custom-printing\";i:404;s:9:\"gift-shop\";i:401;s:10:\"gift-store\";i:403;s:14:\"online-gifting\";i:402;s:8:\"printing\";i:733;s:4:\"shop\";i:405;s:16:\"t-shirt-printing\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:38;s:9:\"ecommerce\";i:39;s:4:\"free\";}s:5:\"pages\";a:3:{s:8:\"id-34067\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/custom-printing-02-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/10/custom-printing-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-02/wp-json/wp/v2/pages/95\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/custom-printing-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-22263\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/06/custom-printing-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/06/custom-printing-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-02/wp-json/wp/v2/pages/96\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/custom-printing-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}s:8:\"id-22265\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/06/custom-printing-contact.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/06/id-22265-custom-printing-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/custom-printing-02/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/custom-printing-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:64;s:9:\"ecommerce\";i:61;s:4:\"free\";}}}}s:8:\"id-22137\";a:11:{s:5:\"title\";s:11:\"Yoga Studio\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-03-home.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-03-home-400x1492.jpg\";s:14:\"astra-site-url\";s:26:\"//websitedemos.net/yoga-03\";s:20:\"astra-site-parent-id\";i:65;s:15:\"astra-sites-tag\";a:5:{i:499;s:7:\"fitness\";i:976;s:14:\"gym-instructor\";i:395;s:15:\"yoga-instructor\";i:397;s:11:\"yoga-studio\";i:398;s:12:\"yoga-trainer\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-22140\";a:11:{s:5:\"title\";s:10:\"June Flint\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-03-home.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/yoga-03/wp-json/wp/v2/pages/47\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:27:\"//websitedemos.net/yoga-03/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:814;s:8:\"homepage\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22117\";a:11:{s:5:\"title\";s:10:\"Accountant\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home-400x1411.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/chartered-accountant-01\";s:20:\"astra-site-parent-id\";i:86;s:15:\"astra-sites-tag\";a:4:{i:447;s:10:\"accountant\";i:448;s:10:\"accounting\";i:449;s:20:\"chartered-accountant\";i:446;s:7:\"finance\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-22715\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/chartered-accountant-01/wp-json/wp/v2/pages/126\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/chartered-accountant-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22713\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-about.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/chartered-accountant-01/wp-json/wp/v2/pages/127\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/chartered-accountant-01/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22716\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-services.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:72:\"https://websitedemos.net/chartered-accountant-01/wp-json/wp/v2/pages/128\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/chartered-accountant-01/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22718\";a:11:{s:5:\"title\";s:13:\"Why choose me\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-whychooseme.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-whychooseme-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-01/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:57:\"//websitedemos.net/chartered-accountant-01/why-choose-me/\";s:15:\"astra-sites-tag\";a:1:{i:760;s:13:\"why-choose-us\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22717\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-01/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:56:\"//websitedemos.net/chartered-accountant-01/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-22714\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-contact.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/chartered-accountant-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/chartered-accountant-01/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/chartered-accountant-01/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-22100\";a:11:{s:5:\"title\";s:11:\"Yoga Studio\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-04-home-1-400x1564.jpg\";s:14:\"astra-site-url\";s:26:\"//websitedemos.net/yoga-04\";s:20:\"astra-site-parent-id\";i:62;s:15:\"astra-sites-tag\";a:8:{i:499;s:7:\"fitness\";i:976;s:14:\"gym-instructor\";i:399;s:8:\"one-page\";i:1020;s:8:\"personal\";i:463;s:11:\"single-page\";i:395;s:15:\"yoga-instructor\";i:397;s:11:\"yoga-studio\";i:398;s:12:\"yoga-trainer\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-22124\";a:11:{s:5:\"title\";s:10:\"June Flint\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/06/yoga-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:54:\"https://websitedemos.net/yoga-04/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:27:\"//websitedemos.net/yoga-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22080\";a:11:{s:5:\"title\";s:11:\"Disc Jockey\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-home.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-home-400x1345.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/disc-jockey-04\";s:20:\"astra-site-parent-id\";i:77;s:15:\"astra-sites-tag\";a:6:{i:408;s:11:\"disk-jockey\";i:406;s:2:\"dj\";i:409;s:5:\"event\";i:407;s:5:\"music\";i:969;s:8:\"musician\";i:1022;s:12:\"professional\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-22360\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-home.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/disc-jockey-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/disc-jockey-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22356\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-about.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/disc-jockey-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/disc-jockey-04/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-36386\";a:11:{s:5:\"title\";s:5:\"Shows\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/disc-jockey-shows.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/disc-jockey-shows-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/disc-jockey-04/wp-json/wp/v2/pages/508\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/disc-jockey-04/shows/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22358\";a:11:{s:5:\"title\";s:11:\"Discography\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-discography.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-discography-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/disc-jockey-04/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/disc-jockey-04/discography/\";s:15:\"astra-sites-tag\";a:2:{i:763;s:11:\"discography\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22359\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-gallery.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/disc-jockey-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/disc-jockey-04/gallery/\";s:15:\"astra-sites-tag\";a:3:{i:461;s:7:\"gallery\";i:444;s:9:\"portfolio\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22357\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-contact.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/disc-jockey-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/disc-jockey-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/disc-jockey-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-22060\";a:11:{s:5:\"title\";s:28:\"Windows &amp; Doors Services\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-home-400x1377.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/windows-and-doors-02\";s:20:\"astra-site-parent-id\";i:123;s:15:\"astra-sites-tag\";a:7:{i:435;s:12:\"architecture\";i:440;s:5:\"doors\";i:436;s:8:\"interior\";i:1021;s:14:\"local-business\";i:439;s:14:\"local-services\";i:441;s:10:\"technician\";i:438;s:7:\"windows\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:6:{s:8:\"id-23164\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/windows-and-doors-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/windows-and-doors-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23161\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-about-page.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-about-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/windows-and-doors-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/windows-and-doors-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23166\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/window-doors-services.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/window-doors-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/windows-and-doors-02/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/windows-and-doors-02/services/\";s:15:\"astra-sites-tag\";a:2:{i:425;s:8:\"services\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23165\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-portfolio-page.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/windows-and-doors-02-portfolio-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/windows-and-doors-02/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:50:\"//websitedemos.net/windows-and-doors-02/portfolio/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23163\";a:11:{s:5:\"title\";s:11:\"FAQ&#8217;s\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/window-doors-faq.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/window-doors-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/windows-and-doors-02/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/windows-and-doors-02/faqs/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23162\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/window-doors-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/window-doors-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/windows-and-doors-02/wp-json/wp/v2/pages/16\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/windows-and-doors-02/contact/\";s:15:\"astra-sites-tag\";a:3:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";i:377;s:12:\"get-in-touch\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("179", "astra-sites-and-pages-page-8", "a:15:{s:8:\"id-20969\";a:11:{s:5:\"title\";s:7:\"eCourse\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-home-1.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-home-1-400x2276.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/teach-06\";s:20:\"astra-site-parent-id\";i:129;s:15:\"astra-sites-tag\";a:5:{i:468;s:9:\"elearning\";i:719;s:15:\"online-coaching\";i:975;s:15:\"online-learning\";i:721;s:8:\"training\";i:720;s:9:\"tutorials\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23228\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-home-1.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/teach-06/wp-json/wp/v2/pages/143\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/teach-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23226\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/teach-06/wp-json/wp/v2/pages/188\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/teach-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23229\";a:11:{s:5:\"title\";s:7:\"Lessons\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-lessons.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-lessons-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/teach-06/wp-json/wp/v2/pages/201\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/teach-06/lessons/\";s:15:\"astra-sites-tag\";a:1:{i:747;s:7:\"lessons\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23230\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/teach-06/wp-json/wp/v2/pages/212\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/teach-06/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23227\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/teach-06-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/teach-06/wp-json/wp/v2/pages/217\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/teach-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20972\";a:11:{s:5:\"title\";s:18:\"Personal Dietitian\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-400x1303.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/dietitian-06\";s:20:\"astra-site-parent-id\";i:131;s:15:\"astra-sites-tag\";a:3:{i:753;s:9:\"dietitian\";i:336;s:4:\"food\";i:754;s:12:\"nutritionist\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23254\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-06/wp-json/wp/v2/pages/803\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/dietitian-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23251\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-06/wp-json/wp/v2/pages/851\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/dietitian-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23255\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-services.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-06/wp-json/wp/v2/pages/860\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/dietitian-06/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23252\";a:11:{s:5:\"title\";s:5:\"Blogs\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-blog.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-06/wp-json/wp/v2/pages/915\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/dietitian-06/blogs/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23253\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-contact.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-06/wp-json/wp/v2/pages/874\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/dietitian-06/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-20981\";a:11:{s:5:\"title\";s:7:\"Charity\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-400x1473.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/charity-06\";s:20:\"astra-site-parent-id\";i:138;s:15:\"astra-sites-tag\";a:5:{i:625;s:7:\"charity\";i:624;s:10:\"foundation\";i:626;s:6:\"giving\";i:977;s:10:\"non-profit\";i:745;s:12:\"organization\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:36;s:5:\"other\";}s:5:\"pages\";a:4:{s:8:\"id-23323\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-06/wp-json/wp/v2/pages/541\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/charity-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23324\";a:11:{s:5:\"title\";s:10:\"What We Do\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-what-we-do.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-what-we-do-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-06/wp-json/wp/v2/pages/596\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-06/what-we-do/\";s:15:\"astra-sites-tag\";a:2:{i:628;s:10:\"what-we-do\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23322\";a:11:{s:5:\"title\";s:15:\"Creating Impact\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-making-impact.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-making-impact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-06/wp-json/wp/v2/pages/605\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/charity-06/creating-impact/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23321\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-06/wp-json/wp/v2/pages/618\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-06/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}}}s:8:\"id-20983\";a:11:{s:5:\"title\";s:10:\"Sweet Shop\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-400x1217.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/sweet-shop-06\";s:20:\"astra-site-parent-id\";i:134;s:15:\"astra-sites-tag\";a:7:{i:758;s:6:\"bakery\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:749;s:5:\"store\";i:756;s:10:\"sweet-shop\";i:757;s:6:\"sweets\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23288\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/sweet-shop-06/wp-json/wp/v2/pages/500\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/sweet-shop-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23285\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/sweet-shop-06/wp-json/wp/v2/pages/543\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/sweet-shop-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23287\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-gallery.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/sweet-shop-06/wp-json/wp/v2/pages/548\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/sweet-shop-06/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23289\";a:11:{s:5:\"title\";s:9:\"Our Cakes\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-cakes.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-cakes-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/sweet-shop-06/wp-json/wp/v2/pages/555\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/sweet-shop-06/our-cakes/\";s:15:\"astra-sites-tag\";a:1:{i:783;s:4:\"cake\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23286\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/sweet-shop-06/wp-json/wp/v2/pages/566\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sweet-shop-06/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21029\";a:11:{s:5:\"title\";s:3:\"Spa\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/03/lotus-spa-therapy-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/03/lotus-spa-therapy-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/03/lotus-spa-therapy-home-400x1568.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/lotus-spa-06\";s:20:\"astra-site-parent-id\";i:140;s:15:\"astra-sites-tag\";a:10:{i:532;s:11:\"acupressure\";i:474;s:8:\"grooming\";i:528;s:7:\"massage\";i:527;s:17:\"massage-therapist\";i:529;s:13:\"physiotherapy\";i:531;s:11:\"reflexology\";i:533;s:10:\"relaxation\";i:650;s:5:\"salon\";i:651;s:8:\"skincare\";i:530;s:3:\"spa\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-23332\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/03/lotus-spa-therapy-home.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/03/lotus-spa-therapy-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-06/wp-json/wp/v2/pages/3092\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/lotus-spa-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23330\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-06-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-06-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-06/wp-json/wp/v2/pages/3137\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/lotus-spa-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23333\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23333-spa-services-resize.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23333-spa-services-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-06/wp-json/wp/v2/pages/3150\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/lotus-spa-06/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23331\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-06-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/lotus-spa-06-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/lotus-spa-06/wp-json/wp/v2/pages/3165\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/lotus-spa-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21039\";a:11:{s:5:\"title\";s:6:\"Agency\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-home-400x2410.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-06\";s:20:\"astra-site-parent-id\";i:150;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23425\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-06/wp-json/wp/v2/pages/620\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/agency-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23423\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-06/wp-json/wp/v2/pages/670\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/agency-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23428\";a:11:{s:5:\"title\";s:8:\"Websites\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-websites.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-websites-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-06/wp-json/wp/v2/pages/680\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/agency-06/websites/\";s:15:\"astra-sites-tag\";a:1:{i:661;s:7:\"website\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23427\";a:11:{s:5:\"title\";s:7:\"Support\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-support.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-support-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-06/wp-json/wp/v2/pages/687\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-06/support/\";s:15:\"astra-sites-tag\";a:1:{i:765;s:7:\"support\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23426\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-pricing.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-pricing-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-06/wp-json/wp/v2/pages/702\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-06/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23424\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-contact.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-06-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/agency-06/wp-json/wp/v2/pages/707\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/agency-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21041\";a:11:{s:5:\"title\";s:10:\"Freelancer\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-400x1870.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/freelancer-06\";s:20:\"astra-site-parent-id\";i:151;s:15:\"astra-sites-tag\";a:4:{i:339;s:6:\"artist\";i:670;s:8:\"designer\";i:669;s:10:\"freelancer\";i:671;s:16:\"service-provider\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-23435\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/freelancer-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/freelancer-06/wp-json/wp/v2/pages/469\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/freelancer-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21085\";a:11:{s:5:\"title\";s:15:\"MultiMed Clinic\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-400x1709.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/multimed-06\";s:20:\"astra-site-parent-id\";i:153;s:15:\"astra-sites-tag\";a:7:{i:337;s:6:\"clinic\";i:601;s:6:\"doctor\";i:604;s:10:\"healthcare\";i:605;s:8:\"hospital\";i:603;s:7:\"medical\";i:606;s:15:\"medical-science\";i:607;s:9:\"treatment\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23451\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/multimed-06/wp-json/wp/v2/pages/284\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/multimed-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23447\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/multimed-06/wp-json/wp/v2/pages/331\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/multimed-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23449\";a:11:{s:5:\"title\";s:11:\"Departments\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-departments.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-departments-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/multimed-06/wp-json/wp/v2/pages/340\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/multimed-06/departments/\";s:15:\"astra-sites-tag\";a:3:{i:602;s:11:\"departments\";i:811;s:10:\"occupation\";i:812;s:6:\"office\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23450\";a:11:{s:5:\"title\";s:7:\"Doctors\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-doctors.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-doctors-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/multimed-06/wp-json/wp/v2/pages/347\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/multimed-06/doctors/\";s:15:\"astra-sites-tag\";a:1:{i:601;s:6:\"doctor\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23452\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/multimed-06/wp-json/wp/v2/pages/353\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/multimed-06/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23448\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/multimed-06/wp-json/wp/v2/pages/359\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/multimed-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21088\";a:11:{s:5:\"title\";s:6:\"Artist\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-400x1353.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/artist-06\";s:20:\"astra-site-parent-id\";i:157;s:15:\"astra-sites-tag\";a:4:{i:597;s:3:\"art\";i:339;s:6:\"artist\";i:595;s:10:\"exhibition\";i:614;s:7:\"painter\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-23494\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-06/wp-json/wp/v2/pages/243\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/artist-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23496\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-06/wp-json/wp/v2/pages/291\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/artist-06/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23492\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-06/wp-json/wp/v2/pages/285\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/artist-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23493\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23493-artist-contact-resize.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/artist-06/wp-json/wp/v2/pages/300\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/artist-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21090\";a:11:{s:5:\"title\";s:10:\"University\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21090-university-resize.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21090-university-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/03/id-21090-university-resize.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/university-06\";s:20:\"astra-site-parent-id\";i:160;s:15:\"astra-sites-tag\";a:5:{i:457;s:7:\"college\";i:459;s:9:\"education\";i:460;s:8:\"learning\";i:456;s:6:\"school\";i:458;s:10:\"university\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23525\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23525-university-home-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23525-university-home-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/university-06/wp-json/wp/v2/pages/165\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/university-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23521\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/university-06-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/university-06-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/university-06/wp-json/wp/v2/pages/216\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/university-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23523\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23523-university-courses-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23523-university-courses-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/university-06/wp-json/wp/v2/pages/224\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-06/courses/\";s:15:\"astra-sites-tag\";a:2:{i:557;s:7:\"classes\";i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23526\";a:11:{s:5:\"title\";s:8:\"Teachers\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23526-university-teachers-resize.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23526-university-teachers-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/university-06/wp-json/wp/v2/pages/230\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/university-06/teachers/\";s:15:\"astra-sites-tag\";a:1:{i:464;s:7:\"teacher\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23524\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23524-university-gallery-resize.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23524-university-gallery-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/university-06/wp-json/wp/v2/pages/236\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-06/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23522\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/university-06-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/university-06-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/university-06/wp-json/wp/v2/pages/240\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21092\";a:11:{s:5:\"title\";s:12:\"Kindergarten\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-home-400x1942.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/kindergarten-06\";s:20:\"astra-site-parent-id\";i:154;s:15:\"astra-sites-tag\";a:4:{i:459;s:9:\"education\";i:617;s:12:\"kindergarten\";i:460;s:8:\"learning\";i:456;s:6:\"school\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23463\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-06/wp-json/wp/v2/pages/213\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/kindergarten-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23459\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-06/wp-json/wp/v2/pages/270\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/kindergarten-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23460\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-classes-1.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-classes-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-06/wp-json/wp/v2/pages/280\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-06/classes/\";s:15:\"astra-sites-tag\";a:1:{i:557;s:7:\"classes\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23462\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-faq.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-06/wp-json/wp/v2/pages/286\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/kindergarten-06/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23464\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-reviews.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-06/wp-json/wp/v2/pages/293\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-06/reviews/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23461\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-06-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-06/wp-json/wp/v2/pages/298\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21096\";a:11:{s:5:\"title\";s:17:\"Gym &amp; Fitness\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-400x1509.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/fitness-center-06\";s:20:\"astra-site-parent-id\";i:162;s:15:\"astra-sites-tag\";a:9:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:976;s:14:\"gym-instructor\";i:504;s:11:\"gym-trainer\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-23543\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/fitness-center-06/wp-json/wp/v2/pages/193\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/fitness-center-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23541\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-classes.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-classes-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/fitness-center-06/wp-json/wp/v2/pages/241\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fitness-center-06/classes/\";s:15:\"astra-sites-tag\";a:1:{i:557;s:7:\"classes\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23539\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-about.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/fitness-center-06/wp-json/wp/v2/pages/246\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/fitness-center-06/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23542\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-contact.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/fitness-center-06/wp-json/wp/v2/pages/252\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fitness-center-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21098\";a:11:{s:5:\"title\";s:6:\"Winery\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-400x1337.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/winery-06\";s:20:\"astra-site-parent-id\";i:164;s:15:\"astra-sites-tag\";a:4:{i:635;s:7:\"brewery\";i:632;s:7:\"farming\";i:634;s:15:\"wine-production\";i:633;s:6:\"winery\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-23563\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/winery-06/wp-json/wp/v2/pages/436\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/winery-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23564\";a:11:{s:5:\"title\";s:9:\"Our Story\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-our-story-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-our-story-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/winery-06/wp-json/wp/v2/pages/493\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/winery-06/our-story/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:767;s:5:\"story\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23562\";a:11:{s:5:\"title\";s:10:\"Experience\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-experience-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-experience-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/winery-06/wp-json/wp/v2/pages/498\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/winery-06/experience/\";s:15:\"astra-sites-tag\";a:1:{i:636;s:10:\"experience\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23561\";a:11:{s:5:\"title\";s:6:\"Events\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-events-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-events-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/winery-06/wp-json/wp/v2/pages/504\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/winery-06/events/\";s:15:\"astra-sites-tag\";a:1:{i:409;s:5:\"event\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23560\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/winery-06/wp-json/wp/v2/pages/512\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/winery-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21100\";a:11:{s:5:\"title\";s:12:\"Psychiatrist\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/psychiatrist-home-04.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/psychiatrist-home-04-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/psychiatrist-home-04-400x1962.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/psychiatrist-06\";s:20:\"astra-site-parent-id\";i:159;s:15:\"astra-sites-tag\";a:6:{i:608;s:8:\"guidance\";i:399;s:8:\"one-page\";i:621;s:12:\"psychiatrist\";i:622;s:13:\"psychotherapy\";i:463;s:11:\"single-page\";i:619;s:8:\"wellness\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-23513\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/psychiatrist-home-04.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/psychiatrist-home-04-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/psychiatrist-06/wp-json/wp/v2/pages/459\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/psychiatrist-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-21102\";a:11:{s:5:\"title\";s:6:\"Author\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-400x1432.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/author-06\";s:20:\"astra-site-parent-id\";i:163;s:15:\"astra-sites-tag\";a:5:{i:724;s:6:\"author\";i:726;s:10:\"literature\";i:723;s:8:\"novelist\";i:722;s:4:\"poet\";i:725;s:6:\"writer\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:5:\"brizy\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-23548\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:67:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home.jpg\";s:19:\"thumbnail-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/author-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/author-06/wp-json/wp/v2/pages/291\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/author-06/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23546\";a:11:{s:5:\"title\";s:5:\"Books\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/author-books.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-books-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/author-06/wp-json/wp/v2/pages/346\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/author-06/books/\";s:15:\"astra-sites-tag\";a:1:{i:727;s:4:\"book\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23544\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:68:\"https://websitedemos.net/wp-content/uploads/2019/07/author-about.jpg\";s:19:\"thumbnail-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/author-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/author-06/wp-json/wp/v2/pages/355\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/author-06/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23547\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/author-contact.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/author-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/author-06/wp-json/wp/v2/pages/364\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/author-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:5:\"brizy\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("180", "astra-sites-and-pages-page-4", "a:15:{s:8:\"id-38673\";a:11:{s:5:\"title\";s:17:\"Architecture Firm\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-home-400x1358.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/architects-04\";s:20:\"astra-site-parent-id\";i:1118;s:15:\"astra-sites-tag\";a:5:{i:435;s:12:\"architecture\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:422;s:11:\"landscaping\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-38677\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/architects-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38674\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-04/wp-json/wp/v2/pages/70\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/architects-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38679\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-04/wp-json/wp/v2/pages/71\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/architects-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38678\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-projects.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-04/wp-json/wp/v2/pages/72\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/architects-04/projects/\";s:15:\"astra-sites-tag\";a:2:{i:424;s:7:\"project\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38675\";a:11:{s:5:\"title\";s:7:\"Clients\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-clients.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-clients-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-04/wp-json/wp/v2/pages/73\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/architects-04/clients/\";s:15:\"astra-sites-tag\";a:1:{i:450;s:7:\"clients\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38676\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-04/wp-json/wp/v2/pages/74\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/architects-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38661\";a:11:{s:5:\"title\";s:17:\"Architecture Firm\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-home-400x1389.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/architects-03\";s:20:\"astra-site-parent-id\";i:1117;s:15:\"astra-sites-tag\";a:8:{i:435;s:12:\"architecture\";i:979;s:7:\"company\";i:436;s:8:\"interior\";i:434;s:15:\"interior-design\";i:981;s:17:\"interior-designer\";i:422;s:11:\"landscaping\";i:812;s:6:\"office\";i:437;s:6:\"zoning\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-38665\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/architects-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38662\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-03/wp-json/wp/v2/pages/70\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/architects-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38667\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-03/wp-json/wp/v2/pages/71\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/architects-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38666\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-projects.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-03/wp-json/wp/v2/pages/72\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/architects-03/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38663\";a:11:{s:5:\"title\";s:7:\"Clients\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-clients.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-clients-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-03/wp-json/wp/v2/pages/73\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/architects-03/clients/\";s:15:\"astra-sites-tag\";a:1:{i:450;s:7:\"clients\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38664\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/architects-03-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/architects-03/wp-json/wp/v2/pages/74\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/architects-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38619\";a:11:{s:5:\"title\";s:6:\"Winery\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-400x1337.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/winery-04\";s:20:\"astra-site-parent-id\";i:1115;s:15:\"astra-sites-tag\";a:4:{i:635;s:7:\"brewery\";i:632;s:7:\"farming\";i:1019;s:14:\"wine-prouction\";i:633;s:6:\"winery\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38623\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/winery-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38624\";a:11:{s:5:\"title\";s:9:\"Our Story\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-our-story-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-our-story-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-04/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/winery-04/our-story/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:905;s:9:\"our-story\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38622\";a:11:{s:5:\"title\";s:10:\"Experience\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-experience-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-experience-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-04/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/winery-04/experience/\";s:15:\"astra-sites-tag\";a:3:{i:636;s:10:\"experience\";i:444;s:9:\"portfolio\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38621\";a:11:{s:5:\"title\";s:6:\"Events\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-events-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-events-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-04/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/winery-04/events/\";s:15:\"astra-sites-tag\";a:1:{i:409;s:5:\"event\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38620\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-04/wp-json/wp/v2/pages/30\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/winery-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38629\";a:11:{s:5:\"title\";s:6:\"Winery\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-400x1337.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/winery-03\";s:20:\"astra-site-parent-id\";i:1116;s:15:\"astra-sites-tag\";a:4:{i:635;s:7:\"brewery\";i:632;s:7:\"farming\";i:634;s:15:\"wine-production\";i:633;s:6:\"winery\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38633\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/winery-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38634\";a:11:{s:5:\"title\";s:9:\"Our Story\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-our-story-page.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-our-story-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/winery-03/our-story/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:767;s:5:\"story\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38632\";a:11:{s:5:\"title\";s:10:\"Experience\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-experience-page.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-experience-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-03/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/winery-03/experience/\";s:15:\"astra-sites-tag\";a:1:{i:636;s:10:\"experience\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38631\";a:11:{s:5:\"title\";s:6:\"Events\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-events-page.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-events-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-03/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/winery-03/events/\";s:15:\"astra-sites-tag\";a:1:{i:409;s:5:\"event\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38630\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-contact-page.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2020/01/winery-04-contact-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/winery-03/wp-json/wp/v2/pages/30\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/winery-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38590\";a:11:{s:5:\"title\";s:24:\"Personal Fitness Trainer\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2017/08/fitness-trainer-02.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2017/08/fitness-trainer-02-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2017/08/fitness-trainer-02.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/fitness-trainer-02\";s:20:\"astra-site-parent-id\";i:1108;s:15:\"astra-sites-tag\";a:8:{i:1109;s:7:\"exercse\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:504;s:11:\"gym-trainer\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-38591\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2017/08/fitness-trainer-02.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2017/08/fitness-trainer-02-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-trainer-02/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/fitness-trainer-02/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:399;s:8:\"one-page\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-38573\";a:11:{s:5:\"title\";s:24:\"Personal Fitness Trainer\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17505-fitness-trainer-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17505-fitness-trainer-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17505-fitness-trainer-resize.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/fitness-trainer-01\";s:20:\"astra-site-parent-id\";i:1107;s:15:\"astra-sites-tag\";a:10:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:504;s:11:\"gym-trainer\";i:399;s:8:\"one-page\";i:463;s:11:\"single-page\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-38574\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17505-fitness-trainer-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2017/09/id-17505-fitness-trainer-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-trainer-01/wp-json/wp/v2/pages/2\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/fitness-trainer-01/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-38563\";a:11:{s:5:\"title\";s:6:\"Artist\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-400x1353.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/artist-04\";s:20:\"astra-site-parent-id\";i:1106;s:15:\"astra-sites-tag\";a:4:{i:597;s:3:\"art\";i:339;s:6:\"artist\";i:595;s:10:\"exhibition\";i:614;s:7:\"painter\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-38566\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/artist-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38567\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/artist-04/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38564\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/artist-04/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:1007;s:8:\"about-me\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38565\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/artist-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38554\";a:11:{s:5:\"title\";s:6:\"Artist\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-400x1353.jpg\";s:14:\"astra-site-url\";s:28:\"//websitedemos.net/artist-03\";s:20:\"astra-site-parent-id\";i:1105;s:15:\"astra-sites-tag\";a:4:{i:597;s:3:\"art\";i:339;s:6:\"artist\";i:595;s:10:\"exhibition\";i:614;s:7:\"painter\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-38557\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:29:\"//websitedemos.net/artist-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38558\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/artist-03/portfolio/\";s:15:\"astra-sites-tag\";a:1:{i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38555\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/artist-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38556\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2020/01/artist-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/artist-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/artist-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38528\";a:11:{s:5:\"title\";s:17:\"Wedding Organizer\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home-400x1458.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/wedding-organizer-04\";s:20:\"astra-site-parent-id\";i:1103;s:15:\"astra-sites-tag\";a:6:{i:698;s:10:\"engagement\";i:717;s:13:\"event-planner\";i:699;s:10:\"invitation\";i:697;s:7:\"wedding\";i:716;s:15:\"wedding-planner\";i:512;s:13:\"wedding-shoot\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-38532\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-organizer-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/wedding-organizer-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38529\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-organizer-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/wedding-organizer-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38533\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wedding-organizer-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/wedding-organizer-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38531\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wedding-organizer-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wedding-organizer-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38534\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wedding-organizer-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/wedding-organizer-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38530\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wedding-organizer-04/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wedding-organizer-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38513\";a:11:{s:5:\"title\";s:17:\"Wedding Organizer\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home-400x1458.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/wedding-organizer-03\";s:20:\"astra-site-parent-id\";i:1102;s:15:\"astra-sites-tag\";a:5:{i:698;s:10:\"engagement\";i:717;s:13:\"event-planner\";i:699;s:10:\"invitation\";i:697;s:7:\"wedding\";i:716;s:15:\"wedding-planner\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-38517\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/09/wedding-organizer-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/wedding-organizer-03/wp-json/wp/v2/pages/223\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/wedding-organizer-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38514\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/wedding-organizer-03/wp-json/wp/v2/pages/224\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/wedding-organizer-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38518\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:69:\"https://websitedemos.net/wedding-organizer-03/wp-json/wp/v2/pages/225\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/wedding-organizer-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38516\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-gallery.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wedding-organizer-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wedding-organizer-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38519\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wedding-organizer-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/wedding-organizer-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38515\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2020/01/wedding-org-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/wedding-organizer-03/wp-json/wp/v2/pages/15\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wedding-organizer-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38488\";a:11:{s:5:\"title\";s:17:\"Massage Therapist\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-home-400x1549.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/massage-therapist-04\";s:20:\"astra-site-parent-id\";i:1101;s:15:\"astra-sites-tag\";a:7:{i:532;s:11:\"acupressure\";i:528;s:7:\"massage\";i:527;s:17:\"massage-therapist\";i:529;s:13:\"physiotherapy\";i:531;s:11:\"reflexology\";i:533;s:10:\"relaxation\";i:530;s:3:\"spa\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38491\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/massage-therapist-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/massage-therapist-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38489\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/massage-therapist-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/massage-therapist-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38492\";a:11:{s:5:\"title\";s:8:\"Massages\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-massages.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-massages-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/massage-therapist-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/massage-therapist-04/massages/\";s:15:\"astra-sites-tag\";a:2:{i:528;s:7:\"massage\";i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38493\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/massage-therapist-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/massage-therapist-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38490\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-04-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/massage-therapist-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/massage-therapist-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38449\";a:11:{s:5:\"title\";s:18:\"Personal Dietitian\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-400x1303.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/dietitian-03\";s:20:\"astra-site-parent-id\";i:1100;s:15:\"astra-sites-tag\";a:3:{i:753;s:9:\"dietitian\";i:336;s:4:\"food\";i:754;s:12:\"nutritionist\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38453\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/dietitian-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/dietitian-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38450\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/dietitian-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/dietitian-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38454\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-services.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/dietitian-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/dietitian-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38451\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-blog.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-03/wp-json/wp/v2/pages/995\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/dietitian-03/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38452\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-contact.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/dietitian-03/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/dietitian-03/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:1009;s:10:\"contact-me\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}}}s:8:\"id-38429\";a:11:{s:5:\"title\";s:17:\"Massage Therapist\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-home-400x1586.jpg\";s:14:\"astra-site-url\";s:39:\"//websitedemos.net/massage-therapist-03\";s:20:\"astra-site-parent-id\";i:1099;s:15:\"astra-sites-tag\";a:7:{i:532;s:11:\"acupressure\";i:528;s:7:\"massage\";i:527;s:17:\"massage-therapist\";i:622;s:13:\"psychotherapy\";i:531;s:11:\"reflexology\";i:533;s:10:\"relaxation\";i:530;s:3:\"spa\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38432\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/massage-therapist-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/massage-therapist-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38430\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/massage-therapist-03/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/massage-therapist-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38433\";a:11:{s:5:\"title\";s:8:\"Massages\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-massages.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-massages-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/massage-therapist-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/massage-therapist-03/massages/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38434\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-testimonial.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-testimonial-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/massage-therapist-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:53:\"//websitedemos.net/massage-therapist-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-38431\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2020/01/massage-therapist-03-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:68:\"https://websitedemos.net/massage-therapist-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/massage-therapist-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-38418\";a:11:{s:5:\"title\";s:18:\"Personal Dietitian\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-400x1303.jpg\";s:14:\"astra-site-url\";s:31:\"//websitedemos.net/dietitian-04\";s:20:\"astra-site-parent-id\";i:1098;s:15:\"astra-sites-tag\";a:3:{i:753;s:9:\"dietitian\";i:336;s:4:\"food\";i:754;s:12:\"nutritionist\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:37;s:4:\"blog\";i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-38422\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-04/wp-json/wp/v2/pages/450\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:32:\"//websitedemos.net/dietitian-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38419\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-about.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/dietitian-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/dietitian-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38423\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-services.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/dietitian-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/dietitian-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38420\";a:11:{s:5:\"title\";s:4:\"Blog\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-blog.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-blog-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/dietitian-04/wp-json/wp/v2/pages/995\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/dietitian-04/blog/\";s:15:\"astra-sites-tag\";a:1:{i:480;s:4:\"blog\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"gutenberg\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}s:8:\"id-38421\";a:11:{s:5:\"title\";s:10:\"Contact Me\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-contact.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2020/01/dietitian-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/dietitian-04/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/dietitian-04/contact-me/\";s:15:\"astra-sites-tag\";a:1:{i:1009;s:10:\"contact-me\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:74;s:4:\"blog\";i:60;s:8:\"business\";}}}}s:8:\"id-34226\";a:11:{s:5:\"title\";s:12:\"Photographer\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-400x1569.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/photographer-04\";s:20:\"astra-site-parent-id\";i:1006;s:15:\"astra-sites-tag\";a:7:{i:513;s:6:\"camera\";i:515;s:4:\"lens\";i:511;s:12:\"photographer\";i:509;s:11:\"photography\";i:1022;s:12:\"professional\";i:514;s:11:\"videography\";i:512;s:13:\"wedding-shoot\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-34229\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/photographer-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/photographer-04/\";s:15:\"astra-sites-tag\";a:3:{i:423;s:4:\"home\";i:814;s:8:\"homepage\";i:1008;s:21:\"photographer-homepage\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-34227\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/photographer-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/photographer-04/about/\";s:15:\"astra-sites-tag\";a:3:{i:352;s:5:\"about\";i:1007;s:8:\"about-me\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-34231\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-services.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/photographer-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/photographer-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-34230\";a:11:{s:5:\"title\";s:9:\"Portfolio\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-portfolio.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-portfolio-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/photographer-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/photographer-04/portfolio/\";s:15:\"astra-sites-tag\";a:2:{i:444;s:9:\"portfolio\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-34228\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/10/photographer-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/photographer-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/photographer-04/contact/\";s:15:\"astra-sites-tag\";a:3:{i:415;s:7:\"contact\";i:1009;s:10:\"contact-me\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("181", "astra-sites-and-pages-page-14", "a:15:{s:8:\"id-18372\";a:11:{s:5:\"title\";s:5:\"Coach\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-400x1371.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/coach-03\";s:20:\"astra-site-parent-id\";i:236;s:15:\"astra-sites-tag\";a:6:{i:854;s:5:\"coach\";i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24510\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/coach-03/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/coach-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24505\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-03/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/coach-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24509\";a:11:{s:5:\"title\";s:7:\"e-Books\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-ebooks.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-ebooks-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-03/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-03/e-books/\";s:15:\"astra-sites-tag\";a:1:{i:781;s:6:\"e-book\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24508\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-courses.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-03/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24507\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-03/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18361\";a:11:{s:5:\"title\";s:17:\"Five Days Website\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page-400x3063.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/creative-agency-03\";s:20:\"astra-site-parent-id\";i:178;s:15:\"astra-sites-tag\";a:4:{i:663;s:6:\"agency\";i:664;s:16:\"digital-services\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23665\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/creative-agency-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23667\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23667-five-days-website-services-resize.jpg\";s:19:\"thumbnail-image-url\";s:106:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23667-five-days-website-services-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-03/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/creative-agency-03/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23663\";a:11:{s:5:\"title\";s:12:\"Case Studies\";s:18:\"featured-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23663-five-days-website-case-studies-resize.jpg\";s:19:\"thumbnail-image-url\";s:110:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23663-five-days-website-case-studies-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-03/wp-json/wp/v2/pages/31\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/creative-agency-03/case-studies/\";s:15:\"astra-sites-tag\";a:1:{i:780;s:12:\"case-studies\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23669\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23669-five-days-website-testimonials-resize.jpg\";s:19:\"thumbnail-image-url\";s:110:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23669-five-days-website-testimonials-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-03/wp-json/wp/v2/pages/30\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/creative-agency-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23666\";a:11:{s:5:\"title\";s:6:\"Prices\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23666-five-days-website-prices-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23666-five-days-website-prices-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-03/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/creative-agency-03/prices/\";s:15:\"astra-sites-tag\";a:2:{i:815;s:5:\"price\";i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23664\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23664-five-days-website-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:105:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23664-five-days-website-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-03/wp-json/wp/v2/pages/32\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/creative-agency-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18342\";a:11:{s:5:\"title\";s:7:\"Charity\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-400x1284.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/charity-02\";s:20:\"astra-site-parent-id\";i:166;s:15:\"astra-sites-tag\";a:5:{i:625;s:7:\"charity\";i:624;s:10:\"foundation\";i:626;s:6:\"giving\";i:977;s:10:\"non-profit\";i:745;s:12:\"organization\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:39;s:4:\"free\";i:36;s:5:\"other\";}s:5:\"pages\";a:6:{s:8:\"id-23580\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-starter-site-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/charity-02/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/charity-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23583\";a:11:{s:5:\"title\";s:10:\"Who We Are\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-who-we-are.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-who-we-are-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/charity-02/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-02/who-we-are/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:685;s:10:\"who-we-are\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23582\";a:11:{s:5:\"title\";s:10:\"What We Do\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-what-we-do.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-what-we-do-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/charity-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-02/what-we-do/\";s:15:\"astra-sites-tag\";a:2:{i:628;s:10:\"what-we-do\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23581\";a:11:{s:5:\"title\";s:12:\"Our Partners\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-partners.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-partners-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/charity-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/charity-02/our-partners/\";s:15:\"astra-sites-tag\";a:2:{i:734;s:8:\"partners\";i:486;s:4:\"team\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23578\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-contact.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/charity-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-02/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}s:8:\"id-23579\";a:11:{s:5:\"title\";s:6:\"Donate\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-donate.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23579-charity-donate-resize.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/charity-02/wp-json/wp/v2/pages/103\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/charity-02/donate/\";s:15:\"astra-sites-tag\";a:1:{i:735;s:6:\"donate\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:61;s:4:\"free\";i:139;s:5:\"other\";}}}}s:8:\"id-18310\";a:11:{s:5:\"title\";s:17:\"Five Days Website\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page-400x3063.jpg\";s:14:\"astra-site-url\";s:37:\"//websitedemos.net/creative-agency-04\";s:20:\"astra-site-parent-id\";i:181;s:15:\"astra-sites-tag\";a:4:{i:663;s:6:\"agency\";i:664;s:16:\"digital-services\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23703\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/creative-agency-04-home-page-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/creative-agency-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:38:\"//websitedemos.net/creative-agency-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23705\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23705-five-days-website-services-resize.jpg\";s:19:\"thumbnail-image-url\";s:106:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23705-five-days-website-services-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-04/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/creative-agency-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23701\";a:11:{s:5:\"title\";s:12:\"Case Studies\";s:18:\"featured-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23701-five-days-website-case-studies-resize.jpg\";s:19:\"thumbnail-image-url\";s:110:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23701-five-days-website-case-studies-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-04/wp-json/wp/v2/pages/31\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/creative-agency-04/case-studies/\";s:15:\"astra-sites-tag\";a:1:{i:736;s:7:\"studies\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23707\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:102:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23707-five-days-website-testimonials-resize.jpg\";s:19:\"thumbnail-image-url\";s:110:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23707-five-days-website-testimonials-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-04/wp-json/wp/v2/pages/30\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/creative-agency-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23704\";a:11:{s:5:\"title\";s:6:\"Prices\";s:18:\"featured-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23704-five-days-website-prices-resize.jpg\";s:19:\"thumbnail-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23704-five-days-website-prices-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-04/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/creative-agency-04/prices/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23702\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23702-five-days-website-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:105:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23702-five-days-website-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/creative-agency-04/wp-json/wp/v2/pages/32\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/creative-agency-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18306\";a:11:{s:5:\"title\";s:9:\"theAgency\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-400x2255.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/wordpress-agency-04\";s:20:\"astra-site-parent-id\";i:141;s:15:\"astra-sites-tag\";a:6:{i:663;s:6:\"agency\";i:979;s:7:\"company\";i:664;s:16:\"digital-services\";i:812;s:6:\"office\";i:665;s:14:\"service-agency\";i:661;s:7:\"website\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-23344\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/wordpress-agency-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/wordpress-agency-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23341\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-04/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/wordpress-agency-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23346\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-services.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-04/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wordpress-agency-04/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23345\";a:11:{s:5:\"title\";s:8:\"Projects\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-projects.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-projects-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-04/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:48:\"//websitedemos.net/wordpress-agency-04/projects/\";s:15:\"astra-sites-tag\";a:1:{i:424;s:7:\"project\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23347\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-04/wp-json/wp/v2/pages/28\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/wordpress-agency-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-23343\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/wordpress-agency-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:67:\"https://websitedemos.net/wordpress-agency-04/wp-json/wp/v2/pages/29\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/wordpress-agency-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18325\";a:11:{s:5:\"title\";s:16:\"Conference Event\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home-400x2008.jpg\";s:14:\"astra-site-url\";s:38:\"//websitedemos.net/conference-event-02\";s:20:\"astra-site-parent-id\";i:168;s:15:\"astra-sites-tag\";a:6:{i:744;s:10:\"conference\";i:742;s:13:\"event-website\";i:743;s:7:\"meeting\";i:399;s:8:\"one-page\";i:745;s:12:\"organization\";i:463;s:11:\"single-page\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:1:{s:8:\"id-23603\";a:11:{s:5:\"title\";s:16:\"One Page Website\";s:18:\"featured-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2018/03/conference-event-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/conference-event-02/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/conference-event-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-18284\";a:11:{s:5:\"title\";s:7:\"eCourse\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home-400x2395.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/teach-04\";s:20:\"astra-site-parent-id\";i:218;s:15:\"astra-sites-tag\";a:5:{i:468;s:9:\"elearning\";i:719;s:15:\"online-coaching\";i:975;s:15:\"online-learning\";i:721;s:8:\"training\";i:720;s:9:\"tutorials\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-39985\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2020/01/teach-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/teach-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/teach-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39983\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24328-ecourse-about-resize.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24328-ecourse-about-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-04/wp-json/wp/v2/pages/50\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/teach-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39986\";a:11:{s:5:\"title\";s:7:\"Lessons\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24332-ecourse-lessons-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24332-ecourse-lessons-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-04/wp-json/wp/v2/pages/81\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/teach-04/lessons/\";s:15:\"astra-sites-tag\";a:1:{i:747;s:7:\"lessons\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39987\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24333-ecourse-testimonials-resize.jpg\";s:19:\"thumbnail-image-url\";s:100:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24333-ecourse-testimonials-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-04/wp-json/wp/v2/pages/53\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/teach-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-39984\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24330-ecourse-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24330-ecourse-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/teach-04/wp-json/wp/v2/pages/55\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/teach-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18265\";a:11:{s:5:\"title\";s:5:\"Coach\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-400x1371.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/coach-02\";s:20:\"astra-site-parent-id\";i:220;s:15:\"astra-sites-tag\";a:6:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:1020;s:8:\"personal\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-24381\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2018/02/coach-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/coach-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/coach-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24376\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-02/wp-json/wp/v2/pages/20\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:34:\"//websitedemos.net/coach-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24380\";a:11:{s:5:\"title\";s:7:\"e-Books\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-ebooks.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-ebooks-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-02/wp-json/wp/v2/pages/21\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-02/e-books/\";s:15:\"astra-sites-tag\";a:2:{i:727;s:4:\"book\";i:748;s:5:\"ebook\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24379\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-courses.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-02/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-02/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-24378\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/coach-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/coach-02/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/coach-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-18266\";a:11:{s:5:\"title\";s:20:\"Motivational Speaker\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-400x1394.jpg\";s:14:\"astra-site-url\";s:42:\"//websitedemos.net/motivational-speaker-02\";s:20:\"astra-site-parent-id\";i:179;s:15:\"astra-sites-tag\";a:6:{i:610;s:8:\"coaching\";i:608;s:8:\"guidance\";i:612;s:10:\"life-coach\";i:609;s:9:\"motivator\";i:1020;s:8:\"personal\";i:611;s:16:\"self-improvement\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:5:{s:8:\"id-23675\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-02/wp-json/wp/v2/pages/19\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/motivational-speaker-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23670\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-about.jpg\";s:19:\"thumbnail-image-url\";s:97:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-02/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:49:\"//websitedemos.net/motivational-speaker-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23674\";a:11:{s:5:\"title\";s:7:\"e-Books\";s:18:\"featured-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-ebooks.jpg\";s:19:\"thumbnail-image-url\";s:98:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-ebooks-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-02/wp-json/wp/v2/pages/24\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-02/e-books/\";s:15:\"astra-sites-tag\";a:2:{i:727;s:4:\"book\";i:748;s:5:\"ebook\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23673\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-courses.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-02/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-02/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-23672\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:91:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:99:\"https://websitedemos.net/wp-content/uploads/2019/07/motivational-speaker-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:71:\"https://websitedemos.net/motivational-speaker-02/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:51:\"//websitedemos.net/motivational-speaker-02/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-18222\";a:11:{s:5:\"title\";s:14:\"Brandstore Pro\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1-400x1228.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/store-03\";s:20:\"astra-site-parent-id\";i:267;s:15:\"astra-sites-tag\";a:10:{i:639;s:11:\"accessories\";i:638;s:11:\"brand-store\";i:640;s:11:\"cloth-store\";i:637;s:8:\"clothing\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:4:{s:8:\"id-24762\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/store-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/store-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24763\";a:11:{s:5:\"title\";s:11:\"Lookbook 18\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-lookbook.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-lookbook-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/store-03/wp-json/wp/v2/pages/592\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/store-03/lookbook/\";s:15:\"astra-sites-tag\";a:2:{i:752;s:8:\"lookbook\";i:444;s:9:\"portfolio\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24760\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-about-us.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/store-03/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/store-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24761\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-contact-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/store-03/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/store-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}s:8:\"id-18201\";a:11:{s:5:\"title\";s:23:\"Wanderlust Travel Diary\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2018/01/id-18201-wanderlust-travel-diary-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2018/01/id-18201-wanderlust-travel-diary-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2018/01/id-18201-wanderlust-travel-diary-resize.jpg\";s:14:\"astra-site-url\";s:26:\"//websitedemos.net/blog-06\";s:20:\"astra-site-parent-id\";i:231;s:15:\"astra-sites-tag\";a:6:{i:544;s:9:\"adventure\";i:480;s:4:\"blog\";i:751;s:11:\"exploration\";i:430;s:7:\"tourism\";i:427;s:6:\"travel\";i:750;s:11:\"travel-blog\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:2:{s:8:\"id-24469\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24469-wanderlust-travel-diary-about-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:112:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24469-wanderlust-travel-diary-about-us-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/blog-06/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/blog-06/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-24470\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24470-wanderlust-travel-diary-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:111:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24470-wanderlust-travel-diary-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/blog-06/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/blog-06/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}s:8:\"id-18124\";a:11:{s:5:\"title\";s:23:\"Wanderlust Travel Diary\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2018/01/id-18124-wanderlust-travel-diary-resize.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2018/01/id-18124-wanderlust-travel-diary-resize-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2018/01/id-18124-wanderlust-travel-diary-resize.jpg\";s:14:\"astra-site-url\";s:26:\"//websitedemos.net/blog-05\";s:20:\"astra-site-parent-id\";i:232;s:15:\"astra-sites-tag\";a:6:{i:544;s:9:\"adventure\";i:480;s:4:\"blog\";i:751;s:11:\"exploration\";i:430;s:7:\"tourism\";i:427;s:6:\"travel\";i:750;s:11:\"travel-blog\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:2:{s:8:\"id-24476\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:104:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24476-wanderlust-travel-diary-about-us-resize.jpg\";s:19:\"thumbnail-image-url\";s:112:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24476-wanderlust-travel-diary-about-us-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/blog-05/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/blog-05/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-24477\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24477-wanderlust-travel-diary-contact-resize.jpg\";s:19:\"thumbnail-image-url\";s:111:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24477-wanderlust-travel-diary-contact-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:55:\"https://websitedemos.net/blog-05/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/blog-05/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}s:8:\"id-18137\";a:11:{s:5:\"title\";s:14:\"Brandstore Pro\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1-400x1228.jpg\";s:14:\"astra-site-url\";s:27:\"//websitedemos.net/store-04\";s:20:\"astra-site-parent-id\";i:269;s:15:\"astra-sites-tag\";a:10:{i:639;s:11:\"accessories\";i:638;s:11:\"brand-store\";i:640;s:11:\"cloth-store\";i:637;s:8:\"clothing\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:4:{s:8:\"id-34098\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-home-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/store-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:28:\"//websitedemos.net/store-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24775\";a:11:{s:5:\"title\";s:8:\"Lookbook\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-lookbook.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-lookbook-600x800.jpg\";s:18:\"astra-page-api-url\";s:57:\"https://websitedemos.net/store-04/wp-json/wp/v2/pages/568\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/store-04/lookbook/\";s:15:\"astra-sites-tag\";a:2:{i:727;s:4:\"book\";i:752;s:8:\"lookbook\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24772\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-about-us.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/store-04/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/store-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}s:8:\"id-24773\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/10/store-04-contact-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:56:\"https://websitedemos.net/store-04/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/store-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:64;s:9:\"ecommerce\";}}}}s:8:\"id-18108\";a:11:{s:5:\"title\";s:10:\"Sweet Shop\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-400x1217.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/sweet-shop-04\";s:20:\"astra-site-parent-id\";i:270;s:15:\"astra-sites-tag\";a:5:{i:758;s:6:\"bakery\";i:383;s:12:\"online-store\";i:749;s:5:\"store\";i:756;s:10:\"sweet-shop\";i:757;s:6:\"sweets\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24788\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:71:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home.jpg\";s:19:\"thumbnail-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/sweet-shop-04/wp-json/wp/v2/pages/212\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/sweet-shop-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24784\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-about.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/sweet-shop-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/sweet-shop-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24787\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-gallery.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/sweet-shop-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/sweet-shop-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24789\";a:11:{s:5:\"title\";s:9:\"Our Cakes\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-cakes.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-cakes-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/sweet-shop-04/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/sweet-shop-04/our-cakes/\";s:15:\"astra-sites-tag\";a:1:{i:783;s:4:\"cake\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24786\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-contact.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/sweet-shop-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/sweet-shop-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/sweet-shop-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18103\";a:11:{s:5:\"title\";s:7:\"Charity\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-400x1473.jpg\";s:14:\"astra-site-url\";s:29:\"//websitedemos.net/charity-04\";s:20:\"astra-site-parent-id\";i:145;s:15:\"astra-sites-tag\";a:5:{i:625;s:7:\"charity\";i:624;s:10:\"foundation\";i:626;s:6:\"giving\";i:977;s:10:\"non-profit\";i:745;s:12:\"organization\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:36;s:5:\"other\";}s:5:\"pages\";a:4:{s:8:\"id-23378\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:30:\"//websitedemos.net/charity-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23379\";a:11:{s:5:\"title\";s:10:\"What We Do\";s:18:\"featured-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-what-we-do.jpg\";s:19:\"thumbnail-image-url\";s:93:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-what-we-do-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-04/what-we-do/\";s:15:\"astra-sites-tag\";a:2:{i:628;s:10:\"what-we-do\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23377\";a:11:{s:5:\"title\";s:15:\"Creating Impact\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-making-impact.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-making-impact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-04/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/charity-04/creating-impact/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}s:8:\"id-23376\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-contact.jpg\";s:19:\"thumbnail-image-url\";s:90:\"https://websitedemos.net/wp-content/uploads/2019/07/charity-pro-feb-20-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/charity-04/wp-json/wp/v2/pages/18\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/charity-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:139;s:5:\"other\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("182", "astra-sites-and-pages-page-12", "a:15:{s:8:\"id-18762\";a:11:{s:5:\"title\";s:14:\"A/C Technician\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-400x1053.jpg\";s:14:\"astra-site-url\";s:35:\"//websitedemos.net/ac-technician-02\";s:20:\"astra-site-parent-id\";i:294;s:15:\"astra-sites-tag\";a:5:{i:599;s:9:\"ac-repair\";i:1021;s:14:\"local-business\";i:439;s:14:\"local-services\";i:600;s:15:\"repair-services\";i:441;s:10:\"technician\";}s:16:\"astra-sites-type\";s:4:\"free\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:39;s:4:\"free\";}s:5:\"pages\";a:4:{s:8:\"id-25072\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-02/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:36:\"//websitedemos.net/ac-technician-02/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25073\";a:11:{s:5:\"title\";s:8:\"Services\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-services-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-02/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/ac-technician-02/services/\";s:15:\"astra-sites-tag\";a:1:{i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25069\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-about.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-02/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/ac-technician-02/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}s:8:\"id-25071\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/ac-technician-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/ac-technician-02/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/ac-technician-02/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:4:\"free\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:61;s:4:\"free\";}}}}s:8:\"id-18887\";a:11:{s:5:\"title\";s:15:\"MultiMed Clinic\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-400x1709.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/multimed-04\";s:20:\"astra-site-parent-id\";i:261;s:15:\"astra-sites-tag\";a:7:{i:337;s:6:\"clinic\";i:601;s:6:\"doctor\";i:604;s:10:\"healthcare\";i:605;s:8:\"hospital\";i:603;s:7:\"medical\";i:606;s:15:\"medical-science\";i:607;s:9:\"treatment\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24729\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/multimed-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/multimed-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24724\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/multimed-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/multimed-04/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24727\";a:11:{s:5:\"title\";s:11:\"Departments\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-departments.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-departments-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/multimed-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/multimed-04/departments/\";s:15:\"astra-sites-tag\";a:1:{i:602;s:11:\"departments\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24728\";a:11:{s:5:\"title\";s:7:\"Doctors\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-doctors.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-doctors-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/multimed-04/doctors/\";s:15:\"astra-sites-tag\";a:1:{i:601;s:6:\"doctor\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24730\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/multimed-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/multimed-04/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24726\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/multimed-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18933\";a:11:{s:5:\"title\";s:15:\"Multimed Clinic\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-400x1709.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/multimed-03\";s:20:\"astra-site-parent-id\";i:262;s:15:\"astra-sites-tag\";a:7:{i:337;s:6:\"clinic\";i:601;s:6:\"doctor\";i:604;s:10:\"healthcare\";i:605;s:8:\"hospital\";i:603;s:7:\"medical\";i:606;s:15:\"medical-science\";i:607;s:9:\"treatment\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24743\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:69:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home.jpg\";s:19:\"thumbnail-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:58:\"https://websitedemos.net/multimed-03/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/multimed-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24738\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:70:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-about.jpg\";s:19:\"thumbnail-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/multimed-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24741\";a:11:{s:5:\"title\";s:11:\"Departments\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-departments.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-departments-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/multimed-03/departments/\";s:15:\"astra-sites-tag\";a:1:{i:602;s:11:\"departments\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24742\";a:11:{s:5:\"title\";s:7:\"Doctors\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-doctors.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-doctors-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/multimed-03/doctors/\";s:15:\"astra-sites-tag\";a:1:{i:601;s:6:\"doctor\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24744\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:44:\"//websitedemos.net/multimed-03/testimonials/\";s:15:\"astra-sites-tag\";a:1:{i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24740\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:72:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-contact.jpg\";s:19:\"thumbnail-image-url\";s:80:\"https://websitedemos.net/wp-content/uploads/2019/07/multimed-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/multimed-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/multimed-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18881\";a:11:{s:5:\"title\";s:10:\"University\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home-400x1675.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/university-04\";s:20:\"astra-site-parent-id\";i:286;s:15:\"astra-sites-tag\";a:5:{i:457;s:7:\"college\";i:459;s:9:\"education\";i:460;s:8:\"learning\";i:456;s:6:\"school\";i:458;s:10:\"university\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24975\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/university-04/wp-json/wp/v2/pages/4\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/university-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24970\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-about-us.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/university-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/university-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24973\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-our-courses.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-our-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/university-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/university-04/our-courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24976\";a:11:{s:5:\"title\";s:8:\"Teachers\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-teachers.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-teachers-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/university-04/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/university-04/teachers/\";s:15:\"astra-sites-tag\";a:1:{i:464;s:7:\"teacher\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24974\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-gallery.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/university-04/wp-json/wp/v2/pages/9\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-04/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24972\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/university-04/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-04/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18917\";a:11:{s:5:\"title\";s:10:\"University\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home-400x1675.jpg\";s:14:\"astra-site-url\";s:32:\"//websitedemos.net/university-03\";s:20:\"astra-site-parent-id\";i:287;s:15:\"astra-sites-tag\";a:5:{i:457;s:7:\"college\";i:459;s:9:\"education\";i:460;s:8:\"learning\";i:456;s:6:\"school\";i:458;s:10:\"university\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24989\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:74:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home.jpg\";s:19:\"thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:60:\"https://websitedemos.net/university-03/wp-json/wp/v2/pages/8\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:33:\"//websitedemos.net/university-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24984\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-about-us.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/university-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/university-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24987\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-our-courses.jpg\";s:19:\"thumbnail-image-url\";s:89:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-our-courses-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/university-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/university-03/our-courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24990\";a:11:{s:5:\"title\";s:8:\"Teachers\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-teachers.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-teachers-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/university-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/university-03/teachers/\";s:15:\"astra-sites-tag\";a:1:{i:464;s:7:\"teacher\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24988\";a:11:{s:5:\"title\";s:7:\"Gallery\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-gallery.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-gallery-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/university-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-03/gallery/\";s:15:\"astra-sites-tag\";a:1:{i:461;s:7:\"gallery\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24986\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-contact-1.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/university-04-contact-1-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/university-03/wp-json/wp/v2/pages/14\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/university-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18924\";a:11:{s:5:\"title\";s:12:\"Kindergarten\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home-400x2125.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/kindergarten-03\";s:20:\"astra-site-parent-id\";i:254;s:15:\"astra-sites-tag\";a:4:{i:459;s:9:\"education\";i:617;s:12:\"kindergarten\";i:460;s:8:\"learning\";i:456;s:6:\"school\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24658\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/kindergarten-03/wp-json/wp/v2/pages/110\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/kindergarten-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24654\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/kindergarten-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24656\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-classes.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-classes-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-03/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-03/classes/\";s:15:\"astra-sites-tag\";a:1:{i:557;s:7:\"classes\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-43553\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-faq.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-faq-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-03/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/kindergarten-03/faq/\";s:15:\"astra-sites-tag\";a:1:{i:426;s:3:\"faq\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-43554\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-reviews.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-reviews-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-03/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-03/reviews/\";s:15:\"astra-sites-tag\";a:2:{i:432;s:6:\"review\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24657\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-03/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18880\";a:11:{s:5:\"title\";s:12:\"Kindergarten\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home-400x2125.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/kindergarten-04\";s:20:\"astra-site-parent-id\";i:257;s:15:\"astra-sites-tag\";a:4:{i:459;s:9:\"education\";i:617;s:12:\"kindergarten\";i:460;s:8:\"learning\";i:456;s:6:\"school\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:6:{s:8:\"id-24686\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/kindergarten-04/wp-json/wp/v2/pages/5\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/kindergarten-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24682\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:77:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-about.jpg\";s:19:\"thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-04/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:41:\"//websitedemos.net/kindergarten-04/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24684\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-classes.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-classes-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-04/wp-json/wp/v2/pages/25\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-04/classes/\";s:15:\"astra-sites-tag\";a:3:{i:557;s:7:\"classes\";i:425;s:8:\"services\";i:451;s:4:\"work\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-31638\";a:11:{s:5:\"title\";s:3:\"FAQ\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-faq.jpg\";s:19:\"thumbnail-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23462-kindergarten-faq-resize.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-04/wp-json/wp/v2/pages/26\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:39:\"//websitedemos.net/kindergarten-04/faq/\";s:15:\"astra-sites-tag\";a:2:{i:426;s:3:\"faq\";i:709;s:9:\"questions\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-31639\";a:11:{s:5:\"title\";s:7:\"Reviews\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-reviews.jpg\";s:19:\"thumbnail-image-url\";s:92:\"https://websitedemos.net/wp-content/uploads/2019/07/id-23464-kindergarten-reviews-resize.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-04/wp-json/wp/v2/pages/27\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-04/reviews/\";s:15:\"astra-sites-tag\";a:2:{i:432;s:6:\"review\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24685\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-contact.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/kindergarten-04-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:63:\"https://websitedemos.net/kindergarten-04/wp-json/wp/v2/pages/23\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/kindergarten-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18790\";a:11:{s:5:\"title\";s:8:\"Ayurveda\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage-400x1764.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/ayurveda-04\";s:20:\"astra-site-parent-id\";i:226;s:15:\"astra-sites-tag\";a:8:{i:618;s:9:\"ayurvedic\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:967;s:13:\"product-store\";i:733;s:4:\"shop\";i:607;s:9:\"treatment\";i:966;s:12:\"woo-commerce\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-24438\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/ayurveda-04/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/ayurveda-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-24435\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-about-us.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/ayurveda-04/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/ayurveda-04/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-24437\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-contact-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/ayurveda-04/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/ayurveda-04/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-18872\";a:11:{s:5:\"title\";s:8:\"Ayurveda\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:82:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage-400x1764.jpg\";s:14:\"astra-site-url\";s:30:\"//websitedemos.net/ayurveda-03\";s:20:\"astra-site-parent-id\";i:228;s:15:\"astra-sites-tag\";a:6:{i:618;s:9:\"ayurvedic\";i:496;s:9:\"ecommerce\";i:383;s:12:\"online-store\";i:733;s:4:\"shop\";i:607;s:9:\"treatment\";i:1024;s:11:\"woocommerce\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:2:{i:27;s:8:\"business\";i:38;s:9:\"ecommerce\";}s:5:\"pages\";a:3:{s:8:\"id-24461\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-homepage-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/ayurveda-03/wp-json/wp/v2/pages/11\";s:12:\"dynamic-page\";s:3:\"yes\";s:14:\"astra-page-url\";s:31:\"//websitedemos.net/ayurveda-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-24458\";a:11:{s:5:\"title\";s:8:\"About Us\";s:18:\"featured-image-url\";s:73:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-about-us.jpg\";s:19:\"thumbnail-image-url\";s:81:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-about-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/ayurveda-03/wp-json/wp/v2/pages/12\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:40:\"//websitedemos.net/ayurveda-03/about-us/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}s:8:\"id-24460\";a:11:{s:5:\"title\";s:10:\"Contact Us\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-contact-us.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/ayurveda-contact-us-600x800.jpg\";s:18:\"astra-page-api-url\";s:59:\"https://websitedemos.net/ayurveda-03/wp-json/wp/v2/pages/13\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:42:\"//websitedemos.net/ayurveda-03/contact-us/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:2:{i:60;s:8:\"business\";i:64;s:9:\"ecommerce\";}}}}s:8:\"id-18871\";a:11:{s:5:\"title\";s:17:\"Gym &amp; Fitness\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-400x1509.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/fitness-center-03\";s:20:\"astra-site-parent-id\";i:104;s:15:\"astra-sites-tag\";a:9:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:506;s:19:\"functional-training\";i:500;s:3:\"gym\";i:976;s:14:\"gym-instructor\";i:504;s:11:\"gym-trainer\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-22955\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:66:\"https://websitedemos.net/fitness-center-03/wp-json/wp/v2/pages/130\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/fitness-center-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22952\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-classes.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-classes-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-center-03/wp-json/wp/v2/pages/41\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fitness-center-03/classes/\";s:15:\"astra-sites-tag\";a:1:{i:557;s:7:\"classes\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22950\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-about.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-center-03/wp-json/wp/v2/pages/40\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/fitness-center-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22954\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-contact.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-center-03/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fitness-center-03/contact/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18738\";a:11:{s:5:\"title\";s:17:\"Gym &amp; Fitness\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-400x1509.jpg\";s:14:\"astra-site-url\";s:36:\"//websitedemos.net/fitness-center-04\";s:20:\"astra-site-parent-id\";i:101;s:15:\"astra-sites-tag\";a:10:{i:502;s:8:\"exercise\";i:499;s:7:\"fitness\";i:505;s:15:\"fitness-trainer\";i:847;s:5:\"green\";i:500;s:3:\"gym\";i:976;s:14:\"gym-instructor\";i:504;s:11:\"gym-trainer\";i:1020;s:8:\"personal\";i:503;s:7:\"trainer\";i:501;s:8:\"work-out\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:4:{s:8:\"id-22930\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/fitness-center-04/wp-json/wp/v2/pages/6\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:37:\"//websitedemos.net/fitness-center-04/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22928\";a:11:{s:5:\"title\";s:7:\"Classes\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-classes.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-classes-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-center-04/wp-json/wp/v2/pages/41\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fitness-center-04/classes/\";s:15:\"astra-sites-tag\";a:2:{i:557;s:7:\"classes\";i:425;s:8:\"services\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22926\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-about.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-center-04/wp-json/wp/v2/pages/40\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/fitness-center-04/about/\";s:15:\"astra-sites-tag\";a:2:{i:352;s:5:\"about\";i:455;s:8:\"about-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-22929\";a:11:{s:5:\"title\";s:7:\"Contact\";s:18:\"featured-image-url\";s:78:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-contact.jpg\";s:19:\"thumbnail-image-url\";s:86:\"https://websitedemos.net/wp-content/uploads/2019/07/fitness-center-contact-600x800.jpg\";s:18:\"astra-page-api-url\";s:65:\"https://websitedemos.net/fitness-center-04/wp-json/wp/v2/pages/43\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:45:\"//websitedemos.net/fitness-center-04/contact/\";s:15:\"astra-sites-tag\";a:2:{i:415;s:7:\"contact\";i:454;s:10:\"contact-us\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18854\";a:11:{s:5:\"title\";s:12:\"Psychiatrist\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2018/07/psychiatrist-03-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/07/psychiatrist-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2018/07/psychiatrist-03-home-400x2097.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/psychiatrist-03\";s:20:\"astra-site-parent-id\";i:204;s:15:\"astra-sites-tag\";a:6:{i:608;s:8:\"guidance\";i:399;s:8:\"one-page\";i:621;s:12:\"psychiatrist\";i:622;s:13:\"psychotherapy\";i:463;s:11:\"single-page\";i:619;s:8:\"wellness\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-24071\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2018/07/psychiatrist-03-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/07/psychiatrist-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:64:\"https://websitedemos.net/psychiatrist-03/wp-json/wp/v2/pages/422\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/psychiatrist-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18812\";a:11:{s:5:\"title\";s:12:\"Psychiatrist\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2018/06/psychiatrist-04-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/06/psychiatrist-04-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:85:\"https://websitedemos.net/wp-content/uploads/2018/06/psychiatrist-04-home-400x2021.jpg\";s:14:\"astra-site-url\";s:34:\"//websitedemos.net/psychiatrist-04\";s:20:\"astra-site-parent-id\";i:205;s:15:\"astra-sites-tag\";a:7:{i:608;s:8:\"guidance\";i:399;s:8:\"one-page\";i:1020;s:8:\"personal\";i:621;s:12:\"psychiatrist\";i:622;s:13:\"psychotherapy\";i:463;s:11:\"single-page\";i:619;s:8:\"wellness\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:9:\"elementor\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:1:{s:8:\"id-24073\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:76:\"https://websitedemos.net/wp-content/uploads/2018/06/psychiatrist-04-home.jpg\";s:19:\"thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/06/psychiatrist-04-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/psychiatrist-04/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:35:\"//websitedemos.net/psychiatrist-04/\";s:15:\"astra-sites-tag\";a:2:{i:423;s:4:\"home\";i:746;s:13:\"one-page-site\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:9:\"elementor\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18696\";a:11:{s:5:\"title\";s:31:\"eCourse &#8211; Learn Photoshop\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-home.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-home-400x1808.jpg\";s:14:\"astra-site-url\";s:45:\"//websitedemos.net/ecourse-learn-photoshop-03\";s:20:\"astra-site-parent-id\";i:274;s:15:\"astra-sites-tag\";a:5:{i:468;s:9:\"elearning\";i:719;s:15:\"online-coaching\";i:975;s:15:\"online-learning\";i:721;s:8:\"training\";i:720;s:9:\"tutorials\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:27;s:8:\"business\";}s:5:\"pages\";a:5:{s:8:\"id-24839\";a:11:{s:5:\"title\";s:4:\"Home\";s:18:\"featured-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-home.jpg\";s:19:\"thumbnail-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-home-600x800.jpg\";s:18:\"astra-page-api-url\";s:74:\"https://websitedemos.net/ecourse-learn-photoshop-03/wp-json/wp/v2/pages/64\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:46:\"//websitedemos.net/ecourse-learn-photoshop-03/\";s:15:\"astra-sites-tag\";a:1:{i:423;s:4:\"home\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24836\";a:11:{s:5:\"title\";s:5:\"About\";s:18:\"featured-image-url\";s:88:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-about.jpg\";s:19:\"thumbnail-image-url\";s:96:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-about-600x800.jpg\";s:18:\"astra-page-api-url\";s:74:\"https://websitedemos.net/ecourse-learn-photoshop-03/wp-json/wp/v2/pages/65\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:52:\"//websitedemos.net/ecourse-learn-photoshop-03/about/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24838\";a:11:{s:5:\"title\";s:7:\"Courses\";s:18:\"featured-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24838-ecourse-learn-photoshop-courses-resize.jpg\";s:19:\"thumbnail-image-url\";s:111:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24838-ecourse-learn-photoshop-courses-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:74:\"https://websitedemos.net/ecourse-learn-photoshop-03/wp-json/wp/v2/pages/85\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/ecourse-learn-photoshop-03/courses/\";s:15:\"astra-sites-tag\";a:1:{i:462;s:7:\"courses\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24841\";a:11:{s:5:\"title\";s:12:\"Testimonials\";s:18:\"featured-image-url\";s:95:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-testimonials.jpg\";s:19:\"thumbnail-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/ecourse-learn-photoshop-03-testimonials-600x800.jpg\";s:18:\"astra-page-api-url\";s:74:\"https://websitedemos.net/ecourse-learn-photoshop-03/wp-json/wp/v2/pages/86\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:59:\"//websitedemos.net/ecourse-learn-photoshop-03/testimonials/\";s:15:\"astra-sites-tag\";a:2:{i:432;s:6:\"review\";i:433;s:12:\"testimonials\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}s:8:\"id-24840\";a:11:{s:5:\"title\";s:7:\"Pricing\";s:18:\"featured-image-url\";s:103:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24840-ecourse-learn-photoshop-pricing-resize.jpg\";s:19:\"thumbnail-image-url\";s:111:\"https://websitedemos.net/wp-content/uploads/2019/07/id-24840-ecourse-learn-photoshop-pricing-resize-600x800.jpg\";s:18:\"astra-page-api-url\";s:74:\"https://websitedemos.net/ecourse-learn-photoshop-03/wp-json/wp/v2/pages/10\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:54:\"//websitedemos.net/ecourse-learn-photoshop-03/pricing/\";s:15:\"astra-sites-tag\";a:1:{i:585;s:7:\"pricing\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:60;s:8:\"business\";}}}}s:8:\"id-18622\";a:11:{s:5:\"title\";s:20:\"Food and Drinks Blog\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2018/05/fnb-blogger-03-home.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/05/fnb-blogger-03-home-600x800.jpg\";s:28:\"fullpage-thumbnail-image-url\";s:84:\"https://websitedemos.net/wp-content/uploads/2018/05/fnb-blogger-03-home-400x1294.jpg\";s:14:\"astra-site-url\";s:33:\"//websitedemos.net/fnb-blogger-03\";s:20:\"astra-site-parent-id\";i:888;s:15:\"astra-sites-tag\";a:7:{i:728;s:8:\"beverage\";i:729;s:8:\"blogging\";i:336;s:4:\"food\";i:883;s:23:\"food-and-drinks-blogger\";i:890;s:12:\"food-blogger\";i:730;s:7:\"recipes\";i:427;s:6:\"travel\";}s:16:\"astra-sites-type\";s:11:\"agency-mini\";s:23:\"astra-site-page-builder\";s:14:\"beaver-builder\";s:19:\"astra-site-category\";a:1:{i:37;s:4:\"blog\";}s:5:\"pages\";a:2:{s:8:\"id-31836\";a:11:{s:5:\"title\";s:8:\"About Me\";s:18:\"featured-image-url\";s:79:\"https://websitedemos.net/wp-content/uploads/2018/05/fnb-blogger-03-about-me.jpg\";s:19:\"thumbnail-image-url\";s:87:\"https://websitedemos.net/wp-content/uploads/2018/05/fnb-blogger-03-about-me-600x800.jpg\";s:18:\"astra-page-api-url\";s:61:\"https://websitedemos.net/fnb-blogger-03/wp-json/wp/v2/pages/7\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:43:\"//websitedemos.net/fnb-blogger-03/about-me/\";s:15:\"astra-sites-tag\";a:1:{i:352;s:5:\"about\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}s:8:\"id-31837\";a:11:{s:5:\"title\";s:19:\"Let&#8217;s Connect\";s:18:\"featured-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2018/05/fnb-blogger-03-lets-connect.jpg\";s:19:\"thumbnail-image-url\";s:83:\"https://websitedemos.net/wp-content/uploads/2019/09/fnb-blogger-03-lets-connect.jpg\";s:18:\"astra-page-api-url\";s:62:\"https://websitedemos.net/fnb-blogger-03/wp-json/wp/v2/pages/22\";s:12:\"dynamic-page\";s:2:\"no\";s:14:\"astra-page-url\";s:47:\"//websitedemos.net/fnb-blogger-03/lets-connect/\";s:15:\"astra-sites-tag\";a:1:{i:415;s:7:\"contact\";}s:15:\"site-pages-type\";s:11:\"agency-mini\";s:23:\"site-pages-page-builder\";s:14:\"beaver-builder\";s:19:\"site-pages-category\";a:0:{}s:26:\"site-pages-parent-category\";a:1:{i:74;s:4:\"blog\";}}}}}", "yes");
INSERT INTO `age_options` VALUES("183", "astra-sites-last-export-checksums-latest", "n3Rho*5WIclv", "yes");
INSERT INTO `age_options` VALUES("186", "astra-sites-batch-status-string", "All processes are complete", "yes");
INSERT INTO `age_options` VALUES("187", "astra-blocks-batch-status-string", "Complete storing data for page 3", "yes");
INSERT INTO `age_options` VALUES("188", "astra-blocks-requests", "3", "yes");
INSERT INTO `age_options` VALUES("202", "astra_sites_import_data", "a:41:{s:2:\"id\";i:17534;s:4:\"date\";s:19:\"2017-09-20T07:30:22\";s:8:\"date_gmt\";s:19:\"2017-09-20T07:30:22\";s:4:\"guid\";a:1:{s:8:\"rendered\";s:60:\"https://websitedemos.net/?post_type=astra-sites&#038;p=17534\";}s:8:\"modified\";s:19:\"2020-02-19T11:35:41\";s:12:\"modified_gmt\";s:19:\"2020-02-19T06:05:41\";s:4:\"slug\";s:6:\"agency\";s:6:\"status\";s:7:\"publish\";s:4:\"type\";s:11:\"astra-sites\";s:4:\"link\";s:43:\"https://websitedemos.net/astra-site/agency/\";s:5:\"title\";a:1:{s:8:\"rendered\";s:14:\"Digital Agency\";}s:7:\"content\";a:2:{s:8:\"rendered\";s:0:\"\";s:9:\"protected\";b:0;}s:6:\"author\";i:39;s:14:\"featured_media\";i:42902;s:8:\"template\";s:0:\"\";s:19:\"astra-site-category\";a:2:{i:0;i:27;i:1;i:39;}s:16:\"astra-sites-type\";a:1:{i:0;i:19;}s:23:\"astra-site-page-builder\";a:1:{i:0;i:33;}s:15:\"astra-sites-tag\";a:6:{i:0;i:663;i:1;i:979;i:2;i:686;i:3;i:664;i:4;i:812;i:5;i:665;}s:15:\"astra-site-type\";s:4:\"free\";s:20:\"astra-site-thumbnail\";s:84:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site-400x1138.jpg\";s:16:\"required-plugins\";a:3:{i:0;a:3:{s:4:\"slug\";s:9:\"elementor\";s:4:\"init\";s:23:\"elementor/elementor.php\";s:4:\"name\";s:9:\"Elementor\";}i:1;a:3:{s:4:\"slug\";s:12:\"wpforms-lite\";s:4:\"init\";s:24:\"wpforms-lite/wpforms.php\";s:4:\"name\";s:12:\"WPForms Lite\";}i:2;a:3:{s:4:\"slug\";s:23:\"header-footer-elementor\";s:4:\"init\";s:51:\"header-footer-elementor/header-footer-elementor.php\";s:4:\"name\";s:35:\"Elementor - Header, Footer & Blocks\";}}s:14:\"astra-site-url\";s:28:\"//websitedemos.net/agency-02\";s:26:\"astra-site-open-in-new-tab\";s:1:\"0\";s:23:\"astra-site-widgets-data\";s:263:\"{\"sidebar-1\":{\"search-2\":{\"title\":\"\"},\"recent-posts-2\":{\"title\":\"\",\"number\":5},\"recent-comments-2\":{\"title\":\"\",\"number\":5},\"archives-2\":{\"title\":\"\",\"count\":0,\"dropdown\":0},\"categories-2\":{\"title\":\"\",\"count\":0,\"hierarchical\":0,\"dropdown\":0},\"meta-2\":{\"title\":\"\"}}}\";s:26:\"astra-site-customizer-data\";a:2:{s:14:\"astra-settings\";a:298:{s:26:\"blog-single-post-structure\";a:2:{i:0;s:17:\"single-title-meta\";i:1;s:12:\"single-image\";}s:17:\"blog-single-width\";s:7:\"default\";s:21:\"blog-single-max-width\";i:1200;s:16:\"blog-single-meta\";a:2:{i:0;s:8:\"comments\";i:1;s:8:\"category\";}s:19:\"blog-post-structure\";a:2:{i:0;s:5:\"image\";i:1;s:10:\"title-meta\";}s:10:\"blog-width\";s:7:\"default\";s:14:\"blog-max-width\";i:1200;s:17:\"blog-post-content\";s:7:\"excerpt\";s:9:\"blog-meta\";a:2:{i:0;s:8:\"comments\";i:1;s:8:\"category\";}s:10:\"text-color\";s:7:\"#3a3a3a\";s:10:\"link-color\";s:7:\"#4064d7\";s:11:\"theme-color\";s:7:\"#4064d7\";s:12:\"link-h-color\";s:7:\"#3a3a3a\";s:13:\"footer-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";}s:12:\"footer-color\";s:0:\"\";s:17:\"footer-link-color\";s:0:\"\";s:19:\"footer-link-h-color\";s:0:\"\";s:17:\"footer-adv-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:21:\"footer-adv-text-color\";s:0:\"\";s:21:\"footer-adv-link-color\";s:0:\"\";s:23:\"footer-adv-link-h-color\";s:0:\"\";s:26:\"footer-adv-wgt-title-color\";s:0:\"\";s:12:\"button-color\";s:7:\"#ffffff\";s:14:\"button-h-color\";s:7:\"#ffffff\";s:15:\"button-bg-color\";s:7:\"#4064d7\";s:17:\"button-bg-h-color\";s:7:\"#3a3a3a\";s:20:\"theme-button-padding\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:2:\"15\";s:5:\"right\";s:2:\"40\";s:6:\"bottom\";s:2:\"15\";s:4:\"left\";s:2:\"40\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:13:\"button-radius\";s:2:\"50\";s:37:\"theme-button-border-group-border-size\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:17:\"footer-sml-layout\";s:19:\"footer-sml-layout-1\";s:20:\"footer-sml-section-1\";s:6:\"custom\";s:27:\"footer-sml-section-1-credit\";s:66:\"Copyright © [current_year] [site_title] | Powered by [site_title]\";s:20:\"footer-sml-section-2\";s:0:\"\";s:27:\"footer-sml-section-2-credit\";s:72:\"Copyright &copy; [current_year] [site_title] | Powered by [theme_author]\";s:27:\"footer-sml-dist-equal-align\";b:1;s:18:\"footer-sml-divider\";s:1:\"1\";s:24:\"footer-sml-divider-color\";s:7:\"#545454\";s:19:\"footer-layout-width\";s:7:\"content\";s:22:\"ast-header-retina-logo\";s:97:\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/space-logo-free-img@2x.png\";s:21:\"ast-header-logo-width\";s:0:\"\";s:32:\"ast-header-responsive-logo-width\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:18:\"display-site-title\";b:0;s:20:\"display-site-tagline\";b:0;s:17:\"logo-title-inline\";i:0;s:19:\"disable-primary-nav\";b:0;s:14:\"header-layouts\";s:20:\"header-main-layout-1\";s:22:\"header-main-rt-section\";s:6:\"button\";s:27:\"header-display-outside-menu\";b:0;s:27:\"header-main-rt-section-html\";s:0:\"\";s:34:\"header-main-rt-section-button-text\";s:13:\"Request Quote\";s:34:\"header-main-rt-section-button-link\";s:1:\"#\";s:41:\"header-main-rt-section-button-link-option\";a:3:{s:3:\"url\";s:23:\"https://www.wpastra.com\";s:7:\"new_tab\";b:0;s:8:\"link_rel\";s:0:\"\";}s:35:\"header-main-rt-section-button-style\";s:12:\"theme-button\";s:40:\"header-main-rt-section-button-text-color\";s:0:\"\";s:40:\"header-main-rt-section-button-back-color\";s:0:\"\";s:42:\"header-main-rt-section-button-text-h-color\";s:0:\"\";s:42:\"header-main-rt-section-button-back-h-color\";s:0:\"\";s:37:\"header-main-rt-section-button-padding\";a:3:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}}s:41:\"header-main-rt-section-button-border-size\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:15:\"header-main-sep\";s:1:\"0\";s:21:\"header-main-sep-color\";s:0:\"\";s:24:\"header-main-layout-width\";s:7:\"content\";s:22:\"primary-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:27:\"primary-submenu-item-border\";i:1;s:23:\"primary-submenu-b-color\";s:7:\"#eaeaea\";s:28:\"primary-submenu-item-b-color\";s:7:\"#eaeaea\";s:22:\"header-main-menu-label\";s:0:\"\";s:22:\"header-main-menu-align\";s:6:\"inline\";s:39:\"header-main-submenu-container-animation\";s:0:\"\";s:24:\"mobile-header-breakpoint\";s:3:\"378\";s:18:\"mobile-header-logo\";s:0:\"\";s:24:\"mobile-header-logo-width\";s:0:\"\";s:11:\"site-layout\";s:21:\"ast-full-width-layout\";s:18:\"site-content-width\";i:1200;s:26:\"site-layout-outside-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";}s:19:\"site-content-layout\";s:15:\"boxed-container\";s:26:\"single-page-content-layout\";s:7:\"default\";s:26:\"single-post-content-layout\";s:7:\"default\";s:27:\"archive-post-content-layout\";s:7:\"default\";s:16:\"body-font-family\";s:26:\"\'Varela Round\', sans-serif\";s:17:\"body-font-variant\";s:3:\"400\";s:16:\"body-font-weight\";s:3:\"400\";s:14:\"font-size-body\";a:6:{s:7:\"desktop\";s:2:\"14\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:16:\"body-line-height\";s:3:\"1.6\";s:18:\"para-margin-bottom\";s:0:\"\";s:19:\"body-text-transform\";s:0:\"\";s:20:\"headings-font-family\";s:7:\"inherit\";s:20:\"headings-font-weight\";s:6:\"normal\";s:23:\"headings-text-transform\";s:0:\"\";s:20:\"headings-line-height\";s:0:\"\";s:20:\"font-size-site-title\";a:6:{s:7:\"desktop\";i:35;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:22:\"font-size-site-tagline\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:21:\"font-size-entry-title\";a:6:{s:7:\"desktop\";i:30;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:31:\"font-size-archive-summary-title\";a:6:{s:7:\"desktop\";i:40;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:20:\"font-size-page-title\";a:6:{s:7:\"desktop\";s:2:\"30\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h1\";a:6:{s:7:\"desktop\";s:2:\"60\";s:6:\"tablet\";s:2:\"50\";s:6:\"mobile\";s:2:\"30\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h2\";a:6:{s:7:\"desktop\";s:2:\"42\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h3\";a:6:{s:7:\"desktop\";s:2:\"30\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h4\";a:6:{s:7:\"desktop\";i:20;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h5\";a:6:{s:7:\"desktop\";i:18;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h6\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:19:\"site-sidebar-layout\";s:10:\"no-sidebar\";s:18:\"site-sidebar-width\";i:30;s:26:\"single-page-sidebar-layout\";s:7:\"default\";s:26:\"single-post-sidebar-layout\";s:7:\"default\";s:27:\"archive-post-sidebar-layout\";s:7:\"default\";s:10:\"footer-adv\";s:8:\"disabled\";s:23:\"footer-adv-border-width\";s:0:\"\";s:23:\"footer-adv-border-color\";s:7:\"#7a7a7a\";s:30:\"mobile-header-toggle-btn-style\";s:4:\"fill\";s:23:\"hide-custom-menu-mobile\";i:0;s:27:\"mobile-header-toggle-target\";s:4:\"icon\";s:23:\"transparent-header-logo\";s:0:\"\";s:30:\"transparent-header-retina-logo\";s:0:\"\";s:26:\"different-transparent-logo\";b:0;s:33:\"different-transparent-retina-logo\";b:0;s:29:\"transparent-header-logo-width\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:25:\"transparent-header-enable\";i:0;s:34:\"transparent-header-disable-archive\";i:1;s:45:\"transparent-header-disable-latest-posts-index\";i:1;s:29:\"transparent-header-on-devices\";s:4:\"both\";s:27:\"transparent-header-main-sep\";i:0;s:33:\"transparent-header-main-sep-color\";s:0:\"\";s:27:\"transparent-header-bg-color\";s:0:\"\";s:35:\"transparent-header-color-site-title\";s:0:\"\";s:37:\"transparent-header-color-h-site-title\";s:0:\"\";s:25:\"transparent-menu-bg-color\";s:0:\"\";s:22:\"transparent-menu-color\";s:0:\"\";s:24:\"transparent-menu-h-color\";s:0:\"\";s:28:\"transparent-submenu-bg-color\";s:0:\"\";s:25:\"transparent-submenu-color\";s:0:\"\";s:27:\"transparent-submenu-h-color\";s:0:\"\";s:38:\"transparent-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"transparent-header-color-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"transparent-header-color-h-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"transparent-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"transparent-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"transparent-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"transparent-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"transparent-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"transparent-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:49:\"transparent-content-section-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:49:\"transparent-content-section-link-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"transparent-content-section-link-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:22:\"breadcrumb-font-family\";s:7:\"inherit\";s:22:\"breadcrumb-font-weight\";s:7:\"inherit\";s:25:\"breadcrumb-text-transform\";s:0:\"\";s:32:\"breadcrumb-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"breadcrumb-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"breadcrumb-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:26:\"breadcrumb-separator-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:19:\"breadcrumb-bg-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:18:\"breadcrumb-spacing\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:8:\"h1-color\";s:0:\"\";s:8:\"h2-color\";s:0:\"\";s:8:\"h3-color\";s:0:\"\";s:8:\"h4-color\";s:0:\"\";s:8:\"h5-color\";s:0:\"\";s:8:\"h6-color\";s:0:\"\";s:14:\"font-family-h1\";s:19:\"\'Rubik\', sans-serif\";s:14:\"font-weight-h1\";s:3:\"700\";s:17:\"text-transform-h1\";s:0:\"\";s:14:\"line-height-h1\";s:3:\"1.2\";s:14:\"font-family-h2\";s:7:\"inherit\";s:14:\"font-weight-h2\";s:7:\"inherit\";s:17:\"text-transform-h2\";s:0:\"\";s:14:\"line-height-h2\";s:0:\"\";s:14:\"font-family-h3\";s:7:\"inherit\";s:14:\"font-weight-h3\";s:7:\"inherit\";s:17:\"text-transform-h3\";s:0:\"\";s:14:\"line-height-h3\";s:0:\"\";s:18:\"font-weight-button\";s:3:\"400\";s:18:\"font-family-button\";s:26:\"\'Varela Round\', sans-serif\";s:16:\"font-size-button\";a:6:{s:7:\"desktop\";s:2:\"15\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:21:\"text-transform-button\";s:0:\"\";s:21:\"theme-btn-line-height\";s:1:\"1\";s:24:\"theme-btn-letter-spacing\";s:0:\"\";s:38:\"header-main-rt-section-search-box-type\";s:12:\"slide-search\";s:38:\"below-header-section-2-search-box-type\";s:12:\"slide-search\";s:38:\"below-header-section-1-search-box-type\";s:12:\"slide-search\";s:38:\"above-header-section-1-search-box-type\";s:12:\"slide-search\";s:38:\"above-header-section-2-search-box-type\";s:12:\"slide-search\";s:18:\"theme-auto-version\";s:5:\"2.3.1\";s:28:\"site-layout-outside-bg-color\";s:0:\"\";s:24:\"astra-addon-auto-version\";s:5:\"2.3.2\";s:26:\"woocommerce-content-layout\";s:7:\"default\";s:26:\"woocommerce-sidebar-layout\";s:7:\"default\";s:10:\"shop-grids\";a:3:{s:7:\"desktop\";i:3;s:6:\"tablet\";i:2;s:6:\"mobile\";i:1;}s:19:\"shop-no-of-products\";s:1:\"9\";s:23:\"above-header-merge-menu\";b:1;s:23:\"below-header-merge-menu\";b:1;s:13:\"header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:14:\"content-bg-obj\";a:1:{s:16:\"background-color\";s:7:\"#ffffff\";}s:19:\"above-header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:19:\"below-header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:24:\"header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:30:\"above-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:30:\"below-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:32:\"primary-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:29:\"primary-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-menu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:31:\"primary-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-menu-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:31:\"primary-menu-a-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"primary-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:32:\"primary-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"primary-submenu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"primary-submenu-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-submenu-a-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-link-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"above-header-link-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:26:\"above-header-menu-bg-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"above-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"above-header-menu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"above-header-menu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"above-header-menu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"above-header-submenu-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"above-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"above-header-submenu-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"above-header-submenu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"above-header-submenu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"above-header-submenu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"below-header-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"below-header-link-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"below-header-link-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"below-header-menu-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"below-header-menu-text-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"below-header-menu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"below-header-current-menu-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"below-header-current-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"below-header-submenu-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"below-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"below-header-submenu-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"below-header-submenu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"below-header-submenu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"below-header-submenu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:23:\"above-header-menu-align\";s:6:\"inline\";s:23:\"below-header-menu-align\";s:6:\"inline\";s:30:\"primary-menu-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:35:\"above-header-menu-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:36:\"mobile-above-header-toggle-btn-style\";s:4:\"fill\";s:36:\"mobile-below-header-toggle-btn-style\";s:4:\"fill\";s:41:\"sticky-header-color-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-header-color-site-tagline-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-header-color-h-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"sticky-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:19:\"rgba(255,255,255,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"sticky-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"sticky-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"sticky-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"sticky-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"sticky-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"sticky-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"sticky-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"sticky-below-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:16:\"rgba(65,64,66,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-below-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-below-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-below-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"sticky-below-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"sticky-below-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-below-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"sticky-below-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"sticky-below-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"sticky-above-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:19:\"rgba(255,255,255,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-above-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-above-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-above-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"sticky-above-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"sticky-above-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-above-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"sticky-above-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"sticky-above-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:28:\"different-sticky-retina-logo\";b:0;s:21:\"different-retina-logo\";b:1;s:30:\"include-headings-in-typography\";b:1;s:27:\"above-header-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:32:\"above-header-submenu-item-border\";i:1;s:27:\"below-header-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:32:\"below-header-submenu-item-border\";i:1;s:29:\"above-nav-menu-pointer-effect\";s:4:\"none\";s:29:\"below-nav-menu-pointer-effect\";s:4:\"none\";s:33:\"above-header-submenu-border-color\";s:7:\"#eaeaea\";s:40:\"below-header-submenu-container-animation\";s:0:\"\";s:40:\"above-header-submenu-container-animation\";s:0:\"\";s:20:\"submenu-below-header\";b:0;s:33:\"above-header-submenu-item-b-color\";s:7:\"#eaeaea\";s:28:\"wc-header-cart-header-colors\";b:0;s:26:\"shop-quick-view-stick-cart\";b:1;s:33:\"_astra_pb_compatibility_completed\";b:1;s:22:\"is_theme_queue_running\";b:0;s:25:\"submenu-open-below-header\";b:0;s:22:\"is_addon_queue_running\";b:1;s:18:\"heading-base-color\";s:7:\"#000000\";s:16:\"button-v-padding\";i:12;s:28:\"is_astra_addon_queue_running\";b:0;}s:10:\"custom-css\";s:78:\"/* You can add your own CSS here. Click the help icon above to learn more. */\n\";}s:23:\"astra-site-options-data\";a:48:{s:30:\"woocommerce_product_attributes\";a:0:{}s:28:\"woocommerce_product_cat_list\";a:0:{}s:23:\"woocommerce_product_cat\";a:0:{}s:11:\"custom_logo\";s:102:\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/cropped-space-logo-free-img.png\";s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";s:7:\"top-nav\";}s:13:\"show_on_front\";s:4:\"page\";s:13:\"page_on_front\";s:4:\"Home\";s:14:\"page_for_posts\";s:0:\"\";s:25:\"_fl_builder_enabled_icons\";N;s:27:\"_fl_builder_enabled_modules\";N;s:22:\"_fl_builder_post_types\";N;s:25:\"_fl_builder_color_presets\";a:1:{i:0;s:6:\"0085ba\";}s:20:\"_fl_builder_services\";N;s:20:\"_fl_builder_settings\";N;s:23:\"_fl_builder_user_access\";N;s:29:\"_fl_builder_enabled_templates\";N;s:25:\"elementor_container_width\";s:4:\"1200\";s:21:\"elementor_cpt_support\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}s:26:\"elementor_css_print_method\";s:8:\"external\";s:31:\"elementor_default_generic_fonts\";s:10:\"Sans-serif\";s:31:\"elementor_disable_color_schemes\";s:3:\"yes\";s:36:\"elementor_disable_typography_schemes\";s:3:\"yes\";s:28:\"elementor_editor_break_lines\";s:0:\"\";s:28:\"elementor_exclude_user_roles\";a:0:{}s:31:\"elementor_global_image_lightbox\";s:3:\"yes\";s:29:\"elementor_page_title_selector\";s:0:\"\";s:22:\"elementor_scheme_color\";a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}s:30:\"elementor_scheme_color-picker]\";a:8:{i:1;s:7:\"#00a6d8\";i:2;s:7:\"#b6c9db\";i:3;s:7:\"#545454\";i:4;s:7:\"#fcc100\";i:5;s:7:\"#154d80\";i:6;s:7:\"#8c8c8c\";i:7;s:7:\"#000000\";i:8;s:7:\"#ffffff\";}s:27:\"elementor_scheme_typography\";a:4:{i:1;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:2;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:3;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:4;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}}s:31:\"elementor_space_between_widgets\";s:0:\"\";s:37:\"elementor_stretched_section_container\";s:0:\"\";s:23:\"elementor_load_fa4_shim\";s:3:\"yes\";s:27:\"woocommerce_shop_page_title\";s:0:\"\";s:27:\"woocommerce_cart_page_title\";s:0:\"\";s:31:\"woocommerce_checkout_page_title\";s:0:\"\";s:32:\"woocommerce_myaccount_page_title\";s:0:\"\";s:35:\"woocommerce_edit_address_page_title\";s:0:\"\";s:33:\"woocommerce_view_order_page_title\";s:0:\"\";s:38:\"woocommerce_change_password_page_title\";s:0:\"\";s:29:\"woocommerce_logout_page_title\";s:0:\"\";s:33:\"woocommerce_enable_guest_checkout\";N;s:42:\"woocommerce_enable_checkout_login_reminder\";N;s:49:\"woocommerce_enable_signup_and_login_from_checkout\";N;s:41:\"woocommerce_enable_myaccount_registration\";N;s:42:\"woocommerce_registration_generate_username\";N;s:16:\"wpforms_settings\";a:3:{s:11:\"disable-css\";s:1:\"2\";s:13:\"global-assets\";b:0;s:4:\"gdpr\";b:0;}s:29:\"learndash_settings_theme_ld30\";N;s:33:\"learndash_settings_courses_themes\";N;}s:19:\"astra-site-wxr-path\";s:66:\"https://websitedemos.net/wp-content/uploads/astra-sites/30/wxr.xml\";s:20:\"astra-site-give-path\";s:0:\"\";s:24:\"astra-enabled-extensions\";a:19:{s:14:\"advanced-hooks\";b:0;s:8:\"blog-pro\";b:0;s:21:\"colors-and-background\";b:0;s:15:\"advanced-footer\";b:0;s:13:\"mobile-header\";b:0;s:15:\"header-sections\";b:0;s:9:\"lifterlms\";b:0;s:9:\"learndash\";b:0;s:16:\"advanced-headers\";b:0;s:12:\"site-layouts\";b:0;s:7:\"spacing\";b:0;s:13:\"sticky-header\";b:0;s:13:\"scroll-to-top\";b:0;s:18:\"transparent-header\";b:0;s:10:\"typography\";b:0;s:11:\"woocommerce\";b:0;s:3:\"edd\";b:0;s:8:\"nav-menu\";b:0;s:3:\"all\";s:3:\"all\";}s:16:\"astra-custom-404\";s:0:\"\";s:18:\"featured-image-url\";s:75:\"https://websitedemos.net/wp-content/uploads/2019/07/agency-starter-site.jpg\";s:26:\"astra-woocommerce-csv-path\";s:0:\"\";s:23:\"astra-post-data-mapping\";a:3:{s:19:\"astra-advanced-hook\";a:0:{}s:16:\"astra_adv_header\";a:0:{}s:10:\"give_forms\";a:0:{}}s:23:\"astra-site-wpforms-path\";s:71:\"https://websitedemos.net/wp-content/uploads/astra-sites/30/wpforms.json\";s:25:\"astra-site-cartflows-path\";s:0:\"\";s:27:\"astra-site-taxonomy-mapping\";a:1:{s:4:\"post\";a:1:{s:8:\"category\";a:1:{i:0;a:2:{s:2:\"id\";i:1;s:4:\"slug\";s:13:\"uncategorized\";}}}}s:20:\"astra-site-parent-id\";i:210;s:14:\"license-status\";s:7:\"upgrade\";s:12:\"request_time\";d:0.08279299736022900646492672649401356466114521026611328125;s:6:\"_links\";a:10:{s:4:\"self\";a:1:{i:0;a:1:{s:4:\"href\";s:56:\"https://websitedemos.net/wp-json/wp/v2/astra-sites/17534\";}}s:10:\"collection\";a:1:{i:0;a:1:{s:4:\"href\";s:50:\"https://websitedemos.net/wp-json/wp/v2/astra-sites\";}}s:5:\"about\";a:1:{i:0;a:1:{s:4:\"href\";s:56:\"https://websitedemos.net/wp-json/wp/v2/types/astra-sites\";}}s:6:\"author\";a:1:{i:0;a:2:{s:10:\"embeddable\";b:1;s:4:\"href\";s:47:\"https://websitedemos.net/wp-json/wp/v2/users/39\";}}s:15:\"version-history\";a:1:{i:0;a:2:{s:5:\"count\";i:2;s:4:\"href\";s:66:\"https://websitedemos.net/wp-json/wp/v2/astra-sites/17534/revisions\";}}s:19:\"predecessor-version\";a:1:{i:0;a:2:{s:2:\"id\";i:34271;s:4:\"href\";s:72:\"https://websitedemos.net/wp-json/wp/v2/astra-sites/17534/revisions/34271\";}}s:16:\"wp:featuredmedia\";a:1:{i:0;a:2:{s:10:\"embeddable\";b:1;s:4:\"href\";s:50:\"https://websitedemos.net/wp-json/wp/v2/media/42902\";}}s:13:\"wp:attachment\";a:1:{i:0;a:1:{s:4:\"href\";s:57:\"https://websitedemos.net/wp-json/wp/v2/media?parent=17534\";}}s:7:\"wp:term\";a:4:{i:0;a:3:{s:8:\"taxonomy\";s:19:\"astra-site-category\";s:10:\"embeddable\";b:1;s:4:\"href\";s:69:\"https://websitedemos.net/wp-json/wp/v2/astra-site-category?post=17534\";}i:1;a:3:{s:8:\"taxonomy\";s:16:\"astra-sites-type\";s:10:\"embeddable\";b:1;s:4:\"href\";s:66:\"https://websitedemos.net/wp-json/wp/v2/astra-sites-type?post=17534\";}i:2;a:3:{s:8:\"taxonomy\";s:23:\"astra-site-page-builder\";s:10:\"embeddable\";b:1;s:4:\"href\";s:73:\"https://websitedemos.net/wp-json/wp/v2/astra-site-page-builder?post=17534\";}i:3;a:3:{s:8:\"taxonomy\";s:15:\"astra-sites-tag\";s:10:\"embeddable\";b:1;s:4:\"href\";s:65:\"https://websitedemos.net/wp-json/wp/v2/astra-sites-tag?post=17534\";}}s:6:\"curies\";a:1:{i:0;a:3:{s:4:\"name\";s:2:\"wp\";s:4:\"href\";s:23:\"https://api.w.org/{rel}\";s:9:\"templated\";b:1;}}}}", "yes");
INSERT INTO `age_options` VALUES("193", "astra-sites-fresh-site", "yes", "yes");
INSERT INTO `age_options` VALUES("194", "_astra_sites_gettings_started", "yes", "yes");
INSERT INTO `age_options` VALUES("327", "astra-sites-batch-is-complete", "yes", "yes");
INSERT INTO `age_options` VALUES("328", "elementor_log", "a:3:{s:32:\"558cf70258a0dc7fd26eb99547aadf91\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"169162\";s:7:\"\0*\0file\";s:96:\"http://demo.iranlec.com/agency-02/wp-content/plugins/elementor/assets/js/editor.min.js?ver=2.9.2\";s:7:\"\0*\0line\";s:2:\"31\";s:7:\"\0*\0date\";s:19:\"2020-02-22 18:57:50\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:33:\"wp.editor.autop is not a function\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:38;s:14:\"\0*\0times_dates\";a:38:{i:0;s:19:\"2020-02-22 18:57:50\";i:1;s:19:\"2020-02-22 19:01:47\";i:2;s:19:\"2020-02-22 19:02:04\";i:3;s:19:\"2020-02-22 19:02:21\";i:4;s:19:\"2020-02-22 19:03:24\";i:5;s:19:\"2020-02-22 19:03:34\";i:6;s:19:\"2020-02-22 19:06:43\";i:7;s:19:\"2020-02-22 19:06:57\";i:8;s:19:\"2020-02-22 19:11:45\";i:9;s:19:\"2020-02-22 19:13:28\";i:10;s:19:\"2020-02-22 19:13:39\";i:11;s:19:\"2020-02-22 19:13:46\";i:12;s:19:\"2020-02-22 19:13:48\";i:13;s:19:\"2020-02-22 19:14:22\";i:14;s:19:\"2020-02-22 19:14:33\";i:15;s:19:\"2020-02-22 19:14:35\";i:16;s:19:\"2020-02-22 19:14:43\";i:17;s:19:\"2020-02-22 19:14:47\";i:18;s:19:\"2020-02-22 19:14:49\";i:19;s:19:\"2020-02-22 19:14:51\";i:20;s:19:\"2020-02-22 19:14:56\";i:21;s:19:\"2020-02-22 19:17:33\";i:22;s:19:\"2020-02-22 19:17:39\";i:23;s:19:\"2020-02-22 19:17:44\";i:24;s:19:\"2020-02-22 19:17:54\";i:25;s:19:\"2020-02-22 19:17:56\";i:26;s:19:\"2020-02-22 19:17:59\";i:27;s:19:\"2020-02-22 19:18:03\";i:28;s:19:\"2020-02-22 19:18:18\";i:29;s:19:\"2020-02-22 19:30:36\";i:30;s:19:\"2020-02-22 19:33:44\";i:31;s:19:\"2020-02-22 19:33:58\";i:32;s:19:\"2020-02-22 19:34:27\";i:33;s:19:\"2020-02-22 19:34:51\";i:34;s:19:\"2020-02-22 19:34:55\";i:35;s:19:\"2020-02-23 12:49:02\";i:36;s:19:\"2020-02-23 12:51:28\";i:37;s:19:\"2020-02-23 12:51:39\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1582397870\";s:7:\"message\";s:33:\"wp.editor.autop is not a function\";s:3:\"url\";s:96:\"http://demo.iranlec.com/agency-02/wp-content/plugins/elementor/assets/js/editor.min.js?ver=2.9.2\";s:4:\"line\";s:2:\"31\";s:6:\"column\";s:6:\"169162\";}}s:32:\"02c7ca72e97fb82a515fb4a975bda1da\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"92150\";s:7:\"\0*\0file\";s:96:\"http://demo.iranlec.com/agency-02/wp-content/plugins/elementor/assets/js/editor.min.js?ver=2.9.2\";s:7:\"\0*\0line\";s:2:\"31\";s:7:\"\0*\0date\";s:19:\"2020-02-22 19:31:03\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:14:\"n is undefined\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2020-02-22 19:31:03\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1582399863\";s:7:\"message\";s:14:\"n is undefined\";s:3:\"url\";s:96:\"http://demo.iranlec.com/agency-02/wp-content/plugins/elementor/assets/js/editor.min.js?ver=2.9.2\";s:4:\"line\";s:2:\"31\";s:6:\"column\";s:5:\"92150\";}}s:32:\"14346cab0bfaf541a17de9ae7c40db9f\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2020-03-21 23:18:15\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:5:\"2.9.2\";s:2:\"to\";s:5:\"2.9.6\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2020-03-21 23:18:15\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:5:\"2.9.2\";s:2:\"to\";s:5:\"2.9.6\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}}", "no");
INSERT INTO `age_options` VALUES("329", "elementor_controls_usage", "a:1:{s:7:\"wp-post\";a:18:{s:9:\"accordion\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:4:\"tabs\";i:1;}}s:5:\"style\";a:3:{s:19:\"section_title_style\";a:2:{s:12:\"border_width\";i:1;s:12:\"border_color\";i:1;}s:26:\"section_toggle_style_title\";a:5:{s:11:\"title_color\";i:1;s:16:\"tab_active_color\";i:1;s:26:\"title_typography_font_size\";i:1;s:33:\"title_typography_font_size_tablet\";i:1;s:28:\"title_typography_line_height\";i:1;}s:28:\"section_toggle_style_content\";a:2:{s:28:\"content_typography_font_size\";i:1;s:30:\"content_typography_line_height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;}}}}s:7:\"counter\";a:2:{s:5:\"count\";i:4;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:15:\"section_counter\";a:5:{s:15:\"starting_number\";i:4;s:13:\"ending_number\";i:4;s:5:\"title\";i:4;s:6:\"suffix\";i:1;s:18:\"thousand_separator\";i:1;}}s:5:\"style\";a:2:{s:14:\"section_number\";a:3:{s:27:\"typography_number_font_size\";i:4;s:34:\"typography_number_font_size_tablet\";i:4;s:28:\"typography_number_typography\";i:4;}s:13:\"section_title\";a:2:{s:33:\"typography_title_font_size_tablet\";i:4;s:27:\"typography_title_typography\";i:1;}}}}s:6:\"spacer\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:1:{s:5:\"space\";i:1;}}}}s:9:\"shortcode\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:17:\"section_shortcode\";a:1:{s:9:\"shortcode\";i:1;}}}}s:11:\"google_maps\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:11:\"section_map\";a:2:{s:7:\"address\";i:1;s:6:\"height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}s:7:\"heading\";a:2:{s:5:\"count\";i:10;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:5:{s:5:\"title\";i:10;s:11:\"header_size\";i:10;s:12:\"align_mobile\";i:5;s:5:\"align\";i:7;s:12:\"align_tablet\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:6:{s:20:\"typography_font_size\";i:6;s:25:\"typography_letter_spacing\";i:1;s:27:\"typography_font_size_tablet\";i:4;s:27:\"typography_font_size_mobile\";i:6;s:11:\"title_color\";i:4;s:22:\"typography_line_height\";i:1;}}s:8:\"advanced\";a:3:{s:15:\"section_effects\";a:1:{s:10:\"_animation\";i:6;}s:14:\"_section_style\";a:5:{s:7:\"_margin\";i:2;s:14:\"_margin_mobile\";i:1;s:15:\"_padding_mobile\";i:1;s:14:\"_margin_tablet\";i:1;s:15:\"_padding_tablet\";i:1;}s:19:\"_section_background\";a:2:{s:22:\"_background_background\";i:1;s:17:\"_background_color\";i:1;}}}}s:11:\"text-editor\";a:2:{s:5:\"count\";i:5;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:5;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:9:{s:5:\"align\";i:3;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:2;s:25:\"typography_letter_spacing\";i:1;s:12:\"align_tablet\";i:1;s:12:\"align_mobile\";i:4;s:27:\"typography_font_size_tablet\";i:1;s:27:\"typography_font_size_mobile\";i:1;s:10:\"text_color\";i:1;}}s:8:\"advanced\";a:2:{s:15:\"section_effects\";a:1:{s:10:\"_animation\";i:1;}s:14:\"_section_style\";a:4:{s:15:\"_padding_mobile\";i:2;s:8:\"_padding\";i:2;s:15:\"_padding_tablet\";i:1;s:7:\"_margin\";i:4;}}}}s:6:\"button\";a:2:{s:5:\"count\";i:5;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_button\";a:7:{s:4:\"text\";i:5;s:12:\"align_mobile\";i:5;s:13:\"selected_icon\";i:4;s:11:\"icon_indent\";i:4;s:11:\"button_type\";i:1;s:5:\"align\";i:1;s:12:\"align_tablet\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:11:{s:16:\"background_color\";i:4;s:11:\"hover_color\";i:4;s:29:\"button_background_hover_color\";i:4;s:25:\"button_hover_border_color\";i:4;s:13:\"border_border\";i:4;s:12:\"border_width\";i:4;s:12:\"border_color\";i:4;s:21:\"typography_typography\";i:1;s:20:\"typography_font_size\";i:1;s:25:\"typography_letter_spacing\";i:1;s:17:\"button_text_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:15:\"_padding_mobile\";i:1;s:7:\"_margin\";i:1;}}}}s:6:\"column\";a:2:{s:5:\"count\";i:21;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:21;s:19:\"_inline_size_tablet\";i:5;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:4:{s:14:\"padding_tablet\";i:1;s:6:\"margin\";i:6;s:14:\"padding_mobile\";i:2;s:7:\"padding\";i:5;}s:15:\"section_effects\";a:3:{s:9:\"animation\";i:9;s:18:\"animation_duration\";i:6;s:15:\"animation_delay\";i:4;}}s:5:\"style\";a:3:{s:13:\"section_style\";a:6:{s:21:\"background_background\";i:9;s:16:\"background_color\";i:4;s:16:\"background_image\";i:4;s:19:\"background_position\";i:4;s:17:\"background_repeat\";i:4;s:15:\"background_size\";i:4;}s:26:\"section_background_overlay\";a:5:{s:29:\"background_overlay_background\";i:4;s:24:\"background_overlay_color\";i:4;s:26:\"background_overlay_opacity\";i:4;s:35:\"background_overlay_hover_background\";i:4;s:30:\"background_overlay_hover_color\";i:4;}s:14:\"section_border\";a:3:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:2;s:12:\"border_color\";i:1;}}}}s:7:\"section\";a:2:{s:5:\"count\";i:11;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:4:{s:15:\"stretch_section\";i:6;s:6:\"layout\";i:3;s:3:\"gap\";i:2;s:16:\"content_position\";i:2;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:5;}}s:5:\"style\";a:4:{s:18:\"section_background\";a:7:{s:21:\"background_background\";i:6;s:16:\"background_image\";i:1;s:17:\"background_repeat\";i:1;s:16:\"background_color\";i:4;s:19:\"background_position\";i:1;s:21:\"background_attachment\";i:1;s:15:\"background_size\";i:1;}s:21:\"section_shape_divider\";a:6:{s:25:\"shape_divider_bottom_flip\";i:1;s:26:\"shape_divider_bottom_color\";i:1;s:27:\"shape_divider_bottom_height\";i:1;s:34:\"shape_divider_bottom_height_tablet\";i:1;s:29:\"shape_divider_bottom_negative\";i:1;s:34:\"shape_divider_bottom_above_content\";i:1;}s:26:\"section_background_overlay\";a:8:{s:29:\"background_overlay_background\";i:2;s:26:\"background_overlay_color_b\";i:1;s:33:\"background_overlay_gradient_angle\";i:1;s:26:\"background_overlay_opacity\";i:2;s:27:\"background_overlay_position\";i:1;s:22:\"css_filters_brightness\";i:1;s:20:\"css_filters_saturate\";i:1;s:24:\"background_overlay_color\";i:1;}s:14:\"section_border\";a:3:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:1;s:12:\"border_color\";i:1;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:6;s:13:\"margin_mobile\";i:1;s:13:\"margin_tablet\";i:1;s:7:\"padding\";i:5;s:14:\"padding_tablet\";i:5;s:14:\"padding_mobile\";i:7;}s:15:\"section_effects\";a:1:{s:9:\"animation\";i:2;}}}}s:7:\"divider\";a:2:{s:5:\"count\";i:5;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:2:{s:5:\"color\";i:5;s:3:\"gap\";i:5;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:3:{s:5:\"width\";i:5;s:5:\"align\";i:5;s:4:\"text\";i:5;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:5;}}}}s:9:\"image-box\";a:2:{s:5:\"count\";i:6;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"title_text\";i:6;s:16:\"description_text\";i:6;s:8:\"position\";i:6;}}s:5:\"style\";a:2:{s:19:\"section_style_image\";a:2:{s:11:\"image_space\";i:6;s:10:\"image_size\";i:6;}s:21:\"section_style_content\";a:7:{s:26:\"title_typography_font_size\";i:6;s:32:\"description_typography_font_size\";i:6;s:34:\"description_typography_line_height\";i:6;s:37:\"description_typography_letter_spacing\";i:6;s:28:\"title_typography_line_height\";i:6;s:10:\"text_align\";i:6;s:17:\"text_align_mobile\";i:6;}}}}s:14:\"image-carousel\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:22:\"section_image_carousel\";a:5:{s:8:\"carousel\";i:1;s:14:\"slides_to_show\";i:1;s:16:\"slides_to_scroll\";i:1;s:14:\"thumbnail_size\";i:1;s:26:\"thumbnail_custom_dimension\";i:1;}}s:5:\"style\";a:2:{s:24:\"section_style_navigation\";a:2:{s:12:\"arrows_color\";i:1;s:10:\"dots_color\";i:1;}s:19:\"section_style_image\";a:1:{s:20:\"image_spacing_custom\";i:1;}}}}s:11:\"testimonial\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_testimonial\";a:5:{s:19:\"testimonial_content\";i:1;s:17:\"testimonial_image\";i:1;s:16:\"testimonial_name\";i:1;s:15:\"testimonial_job\";i:1;s:26:\"testimonial_image_position\";i:1;}}s:5:\"style\";a:3:{s:33:\"section_style_testimonial_content\";a:3:{s:28:\"content_typography_font_size\";i:1;s:30:\"content_typography_line_height\";i:1;s:35:\"content_typography_font_size_mobile\";i:1;}s:30:\"section_style_testimonial_name\";a:2:{s:25:\"name_typography_font_size\";i:1;s:32:\"name_typography_font_size_mobile\";i:1;}s:29:\"section_style_testimonial_job\";a:3:{s:24:\"job_typography_font_size\";i:1;s:31:\"job_typography_font_size_mobile\";i:1;s:29:\"job_typography_letter_spacing\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:15:\"_padding_tablet\";i:1;s:15:\"_padding_mobile\";i:1;s:8:\"_padding\";i:1;}}}}s:5:\"image\";a:2:{s:5:\"count\";i:3;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:3;s:5:\"align\";i:3;s:12:\"align_tablet\";i:3;s:12:\"align_mobile\";i:3;}}}}s:12:\"social-icons\";a:2:{s:5:\"count\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:3:{s:16:\"social_icon_list\";i:3;s:5:\"align\";i:3;s:12:\"align_mobile\";i:3;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:3;s:18:\"icon_primary_color\";i:3;s:9:\"icon_size\";i:3;s:20:\"icon_secondary_color\";i:1;s:12:\"icon_padding\";i:1;s:12:\"icon_spacing\";i:1;s:13:\"border_radius\";i:1;}s:20:\"section_social_hover\";a:2:{s:19:\"hover_primary_color\";i:1;s:21:\"hover_secondary_color\";i:1;}}}}s:9:\"icon-list\";a:2:{s:5:\"count\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:1:{s:9:\"icon_list\";i:3;}}s:5:\"style\";a:3:{s:17:\"section_icon_list\";a:2:{s:13:\"space_between\";i:3;s:17:\"icon_align_mobile\";i:3;}s:18:\"section_icon_style\";a:1:{s:10:\"icon_color\";i:3;}s:18:\"section_text_style\";a:2:{s:10:\"text_color\";i:3;s:16:\"text_color_hover\";i:2;}}}}s:9:\"copyright\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:6:{s:9:\"shortcode\";i:1;s:5:\"align\";i:1;s:11:\"title_color\";i:1;s:29:\"caption_typography_typography\";i:1;s:30:\"caption_typography_font_family\";i:1;s:28:\"caption_typography_font_size\";i:1;}}}}}}", "no");
INSERT INTO `age_options` VALUES("322", "elementor_scheme_color-picker", "a:8:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";i:5;s:7:\"#4054b2\";i:6;s:7:\"#23a455\";i:7;s:4:\"#000\";i:8;s:4:\"#fff\";}", "yes");
INSERT INTO `age_options` VALUES("199", "astra_sites_settings", "a:1:{s:12:\"page_builder\";s:9:\"elementor\";}", "yes");
INSERT INTO `age_options` VALUES("207", "elementor_version", "2.9.6", "yes");
INSERT INTO `age_options` VALUES("210", "elementor_remote_info_feed_data", "a:5:{i:0;a:5:{s:5:\"title\";s:86:\"Introducing Full Site Editing: Design Your Header, Footer & Content All From One Place\";s:7:\"excerpt\";s:234:\"In these challenging times of COVID, our team perseveres to help web creators work better. The new Pro version does just that, optimizing the most common web design tasks, like being able to edit your entire site with fewer clicks!​\";s:7:\"created\";s:10:\"1584528845\";s:5:\"badge\";s:0:\"\";s:3:\"url\";s:129:\"https://elementor.com/blog/introducing-full-site-editing/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:1;a:5:{s:5:\"title\";s:66:\"Monday Masterclass: Essential Tips for Great Minimalist Web Design\";s:7:\"excerpt\";s:202:\"This week we’re tackling Minimalist design, covering the essential characteristics and how to implement them, in order to create the perfect combination of great aesthetics, user experience and speed.\";s:7:\"created\";s:10:\"1584431059\";s:5:\"badge\";s:0:\"\";s:3:\"url\";s:130:\"https://elementor.com/blog/tips-for-minimalist-web-design/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:2;a:5:{s:5:\"title\";s:56:\"How Can Web Creators Prepare for the Corona Virus Threat\";s:7:\"excerpt\";s:147:\"As the COVID-19 virus continues to spread, SMB web creators should be aware of the impact it will have on their businesses and prepare accordingly.\";s:7:\"created\";s:10:\"1584355372\";s:5:\"badge\";s:0:\"\";s:3:\"url\";s:124:\"https://elementor.com/blog/prepare-for-corona-virus/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:3;a:5:{s:5:\"title\";s:59:\"Elementor’s CEO Talks Fundraising: Why, And What’s Next\";s:7:\"excerpt\";s:182:\"Learn more about Elementor’s $15M institutional funding round led by Lightspeed Venture Partners, and what it means for the website building industry and Elementor’s community.\r\n\";s:7:\"created\";s:10:\"1582734340\";s:5:\"badge\";s:0:\"\";s:3:\"url\";s:117:\"https://elementor.com/blog/elementor-funding/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:4;a:5:{s:5:\"title\";s:59:\"The Community Has Spoken — Announcing the Winning Feature\";s:7:\"excerpt\";s:132:\"As part of our 4 million active installs celebration, we invited you to vote for the next Elementor feature. Here are the results.\r\n\";s:7:\"created\";s:10:\"1581508800\";s:5:\"badge\";s:0:\"\";s:3:\"url\";s:125:\"https://elementor.com/blog/4-million-winning-feature/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}}", "no");
INSERT INTO `age_options` VALUES("213", "widget_wpforms-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("214", "_hfe_db_version", "1.3.1", "yes");
INSERT INTO `age_options` VALUES("215", "astra_sites_wpforms_ids_mapping", "a:1:{i:976;i:7;}", "yes");
INSERT INTO `age_options` VALUES("216", "_astra_sites_old_customizer_data", "a:2:{s:14:\"astra-settings\";a:298:{s:26:\"blog-single-post-structure\";a:2:{i:0;s:17:\"single-title-meta\";i:1;s:12:\"single-image\";}s:17:\"blog-single-width\";s:7:\"default\";s:21:\"blog-single-max-width\";i:1200;s:16:\"blog-single-meta\";a:2:{i:0;s:8:\"comments\";i:1;s:8:\"category\";}s:19:\"blog-post-structure\";a:2:{i:0;s:5:\"image\";i:1;s:10:\"title-meta\";}s:10:\"blog-width\";s:7:\"default\";s:14:\"blog-max-width\";i:1200;s:17:\"blog-post-content\";s:7:\"excerpt\";s:9:\"blog-meta\";a:2:{i:0;s:8:\"comments\";i:1;s:8:\"category\";}s:10:\"text-color\";s:7:\"#3a3a3a\";s:10:\"link-color\";s:7:\"#4064d7\";s:11:\"theme-color\";s:7:\"#4064d7\";s:12:\"link-h-color\";s:7:\"#3a3a3a\";s:13:\"footer-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";}s:12:\"footer-color\";s:0:\"\";s:17:\"footer-link-color\";s:0:\"\";s:19:\"footer-link-h-color\";s:0:\"\";s:17:\"footer-adv-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:21:\"footer-adv-text-color\";s:0:\"\";s:21:\"footer-adv-link-color\";s:0:\"\";s:23:\"footer-adv-link-h-color\";s:0:\"\";s:26:\"footer-adv-wgt-title-color\";s:0:\"\";s:12:\"button-color\";s:7:\"#ffffff\";s:14:\"button-h-color\";s:7:\"#ffffff\";s:15:\"button-bg-color\";s:7:\"#4064d7\";s:17:\"button-bg-h-color\";s:7:\"#3a3a3a\";s:20:\"theme-button-padding\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:2:\"15\";s:5:\"right\";s:2:\"40\";s:6:\"bottom\";s:2:\"15\";s:4:\"left\";s:2:\"40\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:13:\"button-radius\";s:2:\"50\";s:37:\"theme-button-border-group-border-size\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:17:\"footer-sml-layout\";s:19:\"footer-sml-layout-1\";s:20:\"footer-sml-section-1\";s:6:\"custom\";s:27:\"footer-sml-section-1-credit\";s:66:\"Copyright © [current_year] [site_title] | Powered by [site_title]\";s:20:\"footer-sml-section-2\";s:0:\"\";s:27:\"footer-sml-section-2-credit\";s:72:\"Copyright &copy; [current_year] [site_title] | Powered by [theme_author]\";s:27:\"footer-sml-dist-equal-align\";b:1;s:18:\"footer-sml-divider\";s:1:\"1\";s:24:\"footer-sml-divider-color\";s:7:\"#545454\";s:19:\"footer-layout-width\";s:7:\"content\";s:22:\"ast-header-retina-logo\";s:97:\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/space-logo-free-img@2x.png\";s:21:\"ast-header-logo-width\";s:0:\"\";s:32:\"ast-header-responsive-logo-width\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:18:\"display-site-title\";b:0;s:20:\"display-site-tagline\";b:0;s:17:\"logo-title-inline\";i:0;s:19:\"disable-primary-nav\";b:0;s:14:\"header-layouts\";s:20:\"header-main-layout-1\";s:22:\"header-main-rt-section\";s:6:\"button\";s:27:\"header-display-outside-menu\";b:0;s:27:\"header-main-rt-section-html\";s:0:\"\";s:34:\"header-main-rt-section-button-text\";s:13:\"Request Quote\";s:34:\"header-main-rt-section-button-link\";s:1:\"#\";s:41:\"header-main-rt-section-button-link-option\";a:3:{s:3:\"url\";s:23:\"https://www.wpastra.com\";s:7:\"new_tab\";b:0;s:8:\"link_rel\";s:0:\"\";}s:35:\"header-main-rt-section-button-style\";s:12:\"theme-button\";s:40:\"header-main-rt-section-button-text-color\";s:0:\"\";s:40:\"header-main-rt-section-button-back-color\";s:0:\"\";s:42:\"header-main-rt-section-button-text-h-color\";s:0:\"\";s:42:\"header-main-rt-section-button-back-h-color\";s:0:\"\";s:37:\"header-main-rt-section-button-padding\";a:3:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}}s:41:\"header-main-rt-section-button-border-size\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:15:\"header-main-sep\";s:1:\"0\";s:21:\"header-main-sep-color\";s:0:\"\";s:24:\"header-main-layout-width\";s:7:\"content\";s:22:\"primary-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:27:\"primary-submenu-item-border\";i:1;s:23:\"primary-submenu-b-color\";s:7:\"#eaeaea\";s:28:\"primary-submenu-item-b-color\";s:7:\"#eaeaea\";s:22:\"header-main-menu-label\";s:0:\"\";s:22:\"header-main-menu-align\";s:6:\"inline\";s:39:\"header-main-submenu-container-animation\";s:0:\"\";s:24:\"mobile-header-breakpoint\";s:3:\"378\";s:18:\"mobile-header-logo\";s:0:\"\";s:24:\"mobile-header-logo-width\";s:0:\"\";s:11:\"site-layout\";s:21:\"ast-full-width-layout\";s:18:\"site-content-width\";i:1200;s:26:\"site-layout-outside-bg-obj\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";}s:19:\"site-content-layout\";s:15:\"boxed-container\";s:26:\"single-page-content-layout\";s:7:\"default\";s:26:\"single-post-content-layout\";s:7:\"default\";s:27:\"archive-post-content-layout\";s:7:\"default\";s:16:\"body-font-family\";s:26:\"\'Varela Round\', sans-serif\";s:17:\"body-font-variant\";s:3:\"400\";s:16:\"body-font-weight\";s:3:\"400\";s:14:\"font-size-body\";a:6:{s:7:\"desktop\";s:2:\"14\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:16:\"body-line-height\";s:3:\"1.6\";s:18:\"para-margin-bottom\";s:0:\"\";s:19:\"body-text-transform\";s:0:\"\";s:20:\"headings-font-family\";s:7:\"inherit\";s:20:\"headings-font-weight\";s:6:\"normal\";s:23:\"headings-text-transform\";s:0:\"\";s:20:\"headings-line-height\";s:0:\"\";s:20:\"font-size-site-title\";a:6:{s:7:\"desktop\";i:35;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:22:\"font-size-site-tagline\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:21:\"font-size-entry-title\";a:6:{s:7:\"desktop\";i:30;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:31:\"font-size-archive-summary-title\";a:6:{s:7:\"desktop\";i:40;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:20:\"font-size-page-title\";a:6:{s:7:\"desktop\";s:2:\"30\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h1\";a:6:{s:7:\"desktop\";s:2:\"60\";s:6:\"tablet\";s:2:\"50\";s:6:\"mobile\";s:2:\"30\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h2\";a:6:{s:7:\"desktop\";s:2:\"42\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h3\";a:6:{s:7:\"desktop\";s:2:\"30\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h4\";a:6:{s:7:\"desktop\";i:20;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h5\";a:6:{s:7:\"desktop\";i:18;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:12:\"font-size-h6\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:19:\"site-sidebar-layout\";s:10:\"no-sidebar\";s:18:\"site-sidebar-width\";i:30;s:26:\"single-page-sidebar-layout\";s:7:\"default\";s:26:\"single-post-sidebar-layout\";s:7:\"default\";s:27:\"archive-post-sidebar-layout\";s:7:\"default\";s:10:\"footer-adv\";s:8:\"disabled\";s:23:\"footer-adv-border-width\";s:0:\"\";s:23:\"footer-adv-border-color\";s:7:\"#7a7a7a\";s:30:\"mobile-header-toggle-btn-style\";s:4:\"fill\";s:23:\"hide-custom-menu-mobile\";i:0;s:27:\"mobile-header-toggle-target\";s:4:\"icon\";s:23:\"transparent-header-logo\";s:0:\"\";s:30:\"transparent-header-retina-logo\";s:0:\"\";s:26:\"different-transparent-logo\";b:0;s:33:\"different-transparent-retina-logo\";b:0;s:29:\"transparent-header-logo-width\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:25:\"transparent-header-enable\";i:0;s:34:\"transparent-header-disable-archive\";i:1;s:45:\"transparent-header-disable-latest-posts-index\";i:1;s:29:\"transparent-header-on-devices\";s:4:\"both\";s:27:\"transparent-header-main-sep\";i:0;s:33:\"transparent-header-main-sep-color\";s:0:\"\";s:27:\"transparent-header-bg-color\";s:0:\"\";s:35:\"transparent-header-color-site-title\";s:0:\"\";s:37:\"transparent-header-color-h-site-title\";s:0:\"\";s:25:\"transparent-menu-bg-color\";s:0:\"\";s:22:\"transparent-menu-color\";s:0:\"\";s:24:\"transparent-menu-h-color\";s:0:\"\";s:28:\"transparent-submenu-bg-color\";s:0:\"\";s:25:\"transparent-submenu-color\";s:0:\"\";s:27:\"transparent-submenu-h-color\";s:0:\"\";s:38:\"transparent-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"transparent-header-color-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"transparent-header-color-h-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"transparent-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"transparent-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"transparent-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"transparent-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"transparent-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"transparent-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:49:\"transparent-content-section-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:49:\"transparent-content-section-link-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"transparent-content-section-link-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:22:\"breadcrumb-font-family\";s:7:\"inherit\";s:22:\"breadcrumb-font-weight\";s:7:\"inherit\";s:25:\"breadcrumb-text-transform\";s:0:\"\";s:32:\"breadcrumb-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"breadcrumb-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"breadcrumb-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:26:\"breadcrumb-separator-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:19:\"breadcrumb-bg-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:18:\"breadcrumb-spacing\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:8:\"h1-color\";s:0:\"\";s:8:\"h2-color\";s:0:\"\";s:8:\"h3-color\";s:0:\"\";s:8:\"h4-color\";s:0:\"\";s:8:\"h5-color\";s:0:\"\";s:8:\"h6-color\";s:0:\"\";s:14:\"font-family-h1\";s:19:\"\'Rubik\', sans-serif\";s:14:\"font-weight-h1\";s:3:\"700\";s:17:\"text-transform-h1\";s:0:\"\";s:14:\"line-height-h1\";s:3:\"1.2\";s:14:\"font-family-h2\";s:7:\"inherit\";s:14:\"font-weight-h2\";s:7:\"inherit\";s:17:\"text-transform-h2\";s:0:\"\";s:14:\"line-height-h2\";s:0:\"\";s:14:\"font-family-h3\";s:7:\"inherit\";s:14:\"font-weight-h3\";s:7:\"inherit\";s:17:\"text-transform-h3\";s:0:\"\";s:14:\"line-height-h3\";s:0:\"\";s:18:\"font-weight-button\";s:3:\"400\";s:18:\"font-family-button\";s:26:\"\'Varela Round\', sans-serif\";s:16:\"font-size-button\";a:6:{s:7:\"desktop\";s:2:\"15\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:21:\"text-transform-button\";s:0:\"\";s:21:\"theme-btn-line-height\";s:1:\"1\";s:24:\"theme-btn-letter-spacing\";s:0:\"\";s:38:\"header-main-rt-section-search-box-type\";s:12:\"slide-search\";s:38:\"below-header-section-2-search-box-type\";s:12:\"slide-search\";s:38:\"below-header-section-1-search-box-type\";s:12:\"slide-search\";s:38:\"above-header-section-1-search-box-type\";s:12:\"slide-search\";s:38:\"above-header-section-2-search-box-type\";s:12:\"slide-search\";s:18:\"theme-auto-version\";s:5:\"2.3.1\";s:28:\"site-layout-outside-bg-color\";s:0:\"\";s:24:\"astra-addon-auto-version\";s:5:\"2.3.2\";s:26:\"woocommerce-content-layout\";s:7:\"default\";s:26:\"woocommerce-sidebar-layout\";s:7:\"default\";s:10:\"shop-grids\";a:3:{s:7:\"desktop\";i:3;s:6:\"tablet\";i:2;s:6:\"mobile\";i:1;}s:19:\"shop-no-of-products\";s:1:\"9\";s:23:\"above-header-merge-menu\";b:1;s:23:\"below-header-merge-menu\";b:1;s:13:\"header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:14:\"content-bg-obj\";a:1:{s:16:\"background-color\";s:7:\"#ffffff\";}s:19:\"above-header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:19:\"below-header-bg-obj\";a:1:{s:16:\"background-color\";s:0:\"\";}s:24:\"header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:30:\"above-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:30:\"below-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:32:\"primary-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:29:\"primary-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-menu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:31:\"primary-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-menu-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:31:\"primary-menu-a-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"primary-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:32:\"primary-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"primary-submenu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"primary-submenu-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"primary-submenu-a-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-link-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"above-header-link-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:26:\"above-header-menu-bg-color\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"above-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:36:\"above-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"above-header-menu-h-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"above-header-menu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"above-header-menu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"above-header-submenu-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"above-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"above-header-submenu-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"above-header-submenu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"above-header-submenu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"above-header-submenu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"below-header-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"below-header-link-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:34:\"below-header-link-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"below-header-menu-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"below-header-menu-text-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"below-header-menu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"below-header-current-menu-text-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"below-header-current-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"below-header-submenu-text-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"below-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"below-header-submenu-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"below-header-submenu-bg-hover-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"below-header-submenu-active-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"below-header-submenu-active-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:23:\"above-header-menu-align\";s:6:\"inline\";s:23:\"below-header-menu-align\";s:6:\"inline\";s:30:\"primary-menu-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:35:\"above-header-menu-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"tablet\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}s:6:\"mobile\";a:6:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:9:\"no-repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:5:\"cover\";s:21:\"background-attachment\";s:6:\"scroll\";}}s:36:\"mobile-above-header-toggle-btn-style\";s:4:\"fill\";s:36:\"mobile-below-header-toggle-btn-style\";s:4:\"fill\";s:41:\"sticky-header-color-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-header-color-site-tagline-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-header-color-h-site-title-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:33:\"sticky-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:19:\"rgba(255,255,255,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"sticky-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:35:\"sticky-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:37:\"sticky-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:42:\"sticky-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:38:\"sticky-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:40:\"sticky-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:45:\"sticky-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"sticky-below-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:16:\"rgba(65,64,66,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-below-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-below-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-below-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#ffffff\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"sticky-below-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:7:\"#575757\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"sticky-below-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-below-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"sticky-below-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"sticky-below-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:39:\"sticky-above-header-bg-color-responsive\";a:3:{s:7:\"desktop\";s:19:\"rgba(255,255,255,1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-above-header-menu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:41:\"sticky-above-header-menu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:43:\"sticky-above-header-menu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:48:\"sticky-above-header-menu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:47:\"sticky-above-header-submenu-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:44:\"sticky-above-header-submenu-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:46:\"sticky-above-header-submenu-h-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:51:\"sticky-above-header-submenu-h-a-bg-color-responsive\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:28:\"different-sticky-retina-logo\";b:0;s:21:\"different-retina-logo\";b:1;s:30:\"include-headings-in-typography\";b:1;s:27:\"above-header-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:32:\"above-header-submenu-item-border\";i:1;s:27:\"below-header-submenu-border\";a:4:{s:3:\"top\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:5:\"right\";s:1:\"1\";}s:32:\"below-header-submenu-item-border\";i:1;s:29:\"above-nav-menu-pointer-effect\";s:4:\"none\";s:29:\"below-nav-menu-pointer-effect\";s:4:\"none\";s:33:\"above-header-submenu-border-color\";s:7:\"#eaeaea\";s:40:\"below-header-submenu-container-animation\";s:0:\"\";s:40:\"above-header-submenu-container-animation\";s:0:\"\";s:20:\"submenu-below-header\";b:0;s:33:\"above-header-submenu-item-b-color\";s:7:\"#eaeaea\";s:28:\"wc-header-cart-header-colors\";b:0;s:26:\"shop-quick-view-stick-cart\";b:1;s:33:\"_astra_pb_compatibility_completed\";b:1;s:22:\"is_theme_queue_running\";b:0;s:25:\"submenu-open-below-header\";b:0;s:22:\"is_addon_queue_running\";b:1;s:18:\"heading-base-color\";s:7:\"#000000\";s:16:\"button-v-padding\";i:12;s:28:\"is_astra_addon_queue_running\";b:0;}s:10:\"custom-css\";s:78:\"/* You can add your own CSS here. Click the help icon above to learn more. */\n\";}", "yes");
INSERT INTO `age_options` VALUES("217", "category_children", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("218", "elementor_library_category_children", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("219", "_astra_sites_old_site_options", "a:48:{s:30:\"woocommerce_product_attributes\";a:0:{}s:28:\"woocommerce_product_cat_list\";a:0:{}s:23:\"woocommerce_product_cat\";a:0:{}s:11:\"custom_logo\";s:102:\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/cropped-space-logo-free-img.png\";s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";s:7:\"top-nav\";}s:13:\"show_on_front\";s:4:\"page\";s:13:\"page_on_front\";s:4:\"Home\";s:14:\"page_for_posts\";s:0:\"\";s:25:\"_fl_builder_enabled_icons\";N;s:27:\"_fl_builder_enabled_modules\";N;s:22:\"_fl_builder_post_types\";N;s:25:\"_fl_builder_color_presets\";a:1:{i:0;s:6:\"0085ba\";}s:20:\"_fl_builder_services\";N;s:20:\"_fl_builder_settings\";N;s:23:\"_fl_builder_user_access\";N;s:29:\"_fl_builder_enabled_templates\";N;s:25:\"elementor_container_width\";s:4:\"1200\";s:21:\"elementor_cpt_support\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}s:26:\"elementor_css_print_method\";s:8:\"external\";s:31:\"elementor_default_generic_fonts\";s:10:\"Sans-serif\";s:31:\"elementor_disable_color_schemes\";s:3:\"yes\";s:36:\"elementor_disable_typography_schemes\";s:3:\"yes\";s:28:\"elementor_editor_break_lines\";s:0:\"\";s:28:\"elementor_exclude_user_roles\";a:0:{}s:31:\"elementor_global_image_lightbox\";s:3:\"yes\";s:29:\"elementor_page_title_selector\";s:0:\"\";s:22:\"elementor_scheme_color\";a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}s:30:\"elementor_scheme_color-picker]\";a:8:{i:1;s:7:\"#00a6d8\";i:2;s:7:\"#b6c9db\";i:3;s:7:\"#545454\";i:4;s:7:\"#fcc100\";i:5;s:7:\"#154d80\";i:6;s:7:\"#8c8c8c\";i:7;s:7:\"#000000\";i:8;s:7:\"#ffffff\";}s:27:\"elementor_scheme_typography\";a:4:{i:1;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:2;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:3;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:4;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}}s:31:\"elementor_space_between_widgets\";s:0:\"\";s:37:\"elementor_stretched_section_container\";s:0:\"\";s:23:\"elementor_load_fa4_shim\";s:3:\"yes\";s:27:\"woocommerce_shop_page_title\";s:0:\"\";s:27:\"woocommerce_cart_page_title\";s:0:\"\";s:31:\"woocommerce_checkout_page_title\";s:0:\"\";s:32:\"woocommerce_myaccount_page_title\";s:0:\"\";s:35:\"woocommerce_edit_address_page_title\";s:0:\"\";s:33:\"woocommerce_view_order_page_title\";s:0:\"\";s:38:\"woocommerce_change_password_page_title\";s:0:\"\";s:29:\"woocommerce_logout_page_title\";s:0:\"\";s:33:\"woocommerce_enable_guest_checkout\";N;s:42:\"woocommerce_enable_checkout_login_reminder\";N;s:49:\"woocommerce_enable_signup_and_login_from_checkout\";N;s:41:\"woocommerce_enable_myaccount_registration\";N;s:42:\"woocommerce_registration_generate_username\";N;s:16:\"wpforms_settings\";a:3:{s:11:\"disable-css\";s:1:\"2\";s:13:\"global-assets\";b:0;s:4:\"gdpr\";b:0;}s:29:\"learndash_settings_theme_ld30\";N;s:33:\"learndash_settings_courses_themes\";N;}", "yes");
INSERT INTO `age_options` VALUES("220", "_fl_builder_color_presets", "a:1:{i:0;s:6:\"0085ba\";}", "yes");
INSERT INTO `age_options` VALUES("221", "elementor_container_width", "1200", "yes");
INSERT INTO `age_options` VALUES("222", "elementor_cpt_support", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `age_options` VALUES("223", "elementor_css_print_method", "external", "yes");
INSERT INTO `age_options` VALUES("224", "elementor_default_generic_fonts", "Sans-serif", "yes");
INSERT INTO `age_options` VALUES("225", "elementor_disable_color_schemes", "yes", "yes");
INSERT INTO `age_options` VALUES("226", "elementor_disable_typography_schemes", "yes", "yes");
INSERT INTO `age_options` VALUES("227", "elementor_editor_break_lines", "", "yes");
INSERT INTO `age_options` VALUES("228", "elementor_exclude_user_roles", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("229", "elementor_global_image_lightbox", "yes", "yes");
INSERT INTO `age_options` VALUES("230", "elementor_page_title_selector", "", "yes");
INSERT INTO `age_options` VALUES("231", "elementor_scheme_color", "a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}", "yes");
INSERT INTO `age_options` VALUES("232", "elementor_scheme_typography", "a:4:{i:1;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:2;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:3;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}i:4;a:2:{s:11:\"font_family\";s:0:\"\";s:11:\"font_weight\";s:3:\"500\";}}", "yes");
INSERT INTO `age_options` VALUES("233", "elementor_space_between_widgets", "", "yes");
INSERT INTO `age_options` VALUES("234", "elementor_stretched_section_container", "", "yes");
INSERT INTO `age_options` VALUES("235", "elementor_load_fa4_shim", "yes", "yes");
INSERT INTO `age_options` VALUES("236", "wpforms_settings", "a:3:{s:11:\"disable-css\";s:1:\"2\";s:13:\"global-assets\";b:0;s:4:\"gdpr\";b:0;}", "yes");
INSERT INTO `age_options` VALUES("237", "_astra_sites_old_widgets_data", "a:1:{s:9:\"sidebar-1\";O:8:\"stdClass\":6:{s:8:\"search-2\";O:8:\"stdClass\":1:{s:5:\"title\";s:0:\"\";}s:14:\"recent-posts-2\";O:8:\"stdClass\":2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:17:\"recent-comments-2\";O:8:\"stdClass\":2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:10:\"archives-2\";O:8:\"stdClass\":3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"categories-2\";O:8:\"stdClass\":4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:6:\"meta-2\";O:8:\"stdClass\":1:{s:5:\"title\";s:0:\"\";}}}", "yes");
INSERT INTO `age_options` VALUES("238", "astra-sites-last-export-checksums", "n3Rho*5WIclv", "yes");
INSERT INTO `age_options` VALUES("472", "_site_transient_timeout_browser_e21c002aaded6c25fda15f77141984ba", "1585416747", "no");
INSERT INTO `age_options` VALUES("473", "_site_transient_browser_e21c002aaded6c25fda15f77141984ba", "a:10:{s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"74.0\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:32:\"https://www.mozilla.org/firefox/\";s:7:\"img_src\";s:44:\"http://s.w.org/images/browsers/firefox.png?1\";s:11:\"img_src_ssl\";s:45:\"https://s.w.org/images/browsers/firefox.png?1\";s:15:\"current_version\";s:2:\"56\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `age_options` VALUES("474", "_site_transient_timeout_php_check_b4a3b50100aa64c95bcae4901ae413e7", "1585416748", "no");
INSERT INTO `age_options` VALUES("475", "_site_transient_php_check_b4a3b50100aa64c95bcae4901ae413e7", "a:5:{s:19:\"recommended_version\";s:3:\"7.3\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `age_options` VALUES("245", "astra_sites_recent_import_log_file", "/home/iranlecc/demo.iranlec.com/agency-02/wp-content/uploads/astra-sites/import-22-Feb-2020-06-45-32.txt", "yes");
INSERT INTO `age_options` VALUES("246", "wpforms_review", "a:2:{s:4:\"time\";i:1582397132;s:9:\"dismissed\";b:0;}", "yes");
INSERT INTO `age_options` VALUES("247", "_elementor_installed_time", "1582397132", "yes");
INSERT INTO `age_options` VALUES("470", "_site_transient_timeout_bsf_get_bundled_products", "1585416746", "no");
INSERT INTO `age_options` VALUES("471", "_site_transient_bsf_get_bundled_products", "1", "no");
INSERT INTO `age_options` VALUES("461", "_transient_timeout_bsf_check_product_updates", "1584984615", "no");
INSERT INTO `age_options` VALUES("462", "_transient_bsf_check_product_updates", "1", "no");
INSERT INTO `age_options` VALUES("476", "_transient_timeout_elementor_remote_info_api_data_2.9.2", "1584855148", "no");
INSERT INTO `age_options` VALUES("477", "_transient_elementor_remote_info_api_data_2.9.2", "a:4:{s:9:\"timestamp\";i:1584811004;s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:59:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:5;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:6;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:16;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:19;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:21;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:22;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:23;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:24;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:25;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:26;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:27;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:28;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:29;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:30;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:31;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:32;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:33;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:34;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:35;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:36;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:37;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:38;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:39;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:40;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:41;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:42;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:43;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:44;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:45;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:46;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:47;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:48;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:49;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:50;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:51;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:52;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:53;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:54;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:55;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:56;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:57;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:58;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"2.9.1\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.2.9.1.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.3.2\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:1:{i:0;a:1:{i:0;a:3:{s:4:\"type\";s:8:\"language\";s:9:\"languages\";a:27:{i:0;s:5:\"he_IL\";i:1;s:5:\"en_GB\";i:2;s:5:\"en_NZ\";i:3;s:5:\"en_ZA\";i:4;s:5:\"en_AU\";i:5;s:5:\"en_CA\";i:6;s:5:\"sv_SE\";i:7;s:5:\"da_DK\";i:8;s:5:\"fr_FR\";i:9;s:5:\"de_DE\";i:10;s:5:\"nl_NL\";i:11;s:5:\"nb_NO\";i:12;s:5:\"de_AT\";i:13;s:2:\"fi\";i:14;s:5:\"it_IT\";i:15;s:5:\"nn_NO\";i:16;s:5:\"de_CH\";i:17;s:5:\"en_GB\";i:18;s:5:\"is_IS\";i:19;s:2:\"ga\";i:20;s:5:\"fr_BE\";i:21;s:5:\"nl_BE\";i:22;s:3:\"ast\";i:23;s:5:\"lb_LU\";i:24;s:5:\"es_ES\";i:25;s:5:\"pt_PT\";i:26;s:3:\"mlt\";}s:8:\"operator\";s:2:\"in\";}}}}}", "no");
INSERT INTO `age_options` VALUES("422", "wpforms_activated", "a:1:{s:4:\"lite\";i:1583673430;}", "yes");
INSERT INTO `age_options` VALUES("254", "brainstrom_products", "a:2:{s:7:\"plugins\";a:1:{s:11:\"astra-addon\";a:32:{s:2:\"id\";s:11:\"astra-addon\";s:4:\"name\";s:9:\"Astra Pro\";s:4:\"slug\";s:11:\"astra-addon\";s:10:\"short_name\";s:9:\"Astra Pro\";s:11:\"description\";s:155:\"This plugin is an add-on for the Astra WordPress Theme. It offers premium features & functionalities that enhance your theming experience at next level..\r\n\";s:7:\"version\";s:5:\"2.3.2\";s:12:\"download_url\";s:22:\"astra-addon-plugin.zip\";s:12:\"version_beta\";s:5:\"2.0.0\";s:17:\"download_url_beta\";s:27:\"astra-addon-plugin-beta.zip\";s:6:\"tested\";s:5:\"5.3.2\";s:14:\"privacy_policy\";s:120:\"https://wpastra.com/privacy-policy/?utm_source=graupi-license-form&utm_medium=privacy-policy&utm_campaign=purchase-astra\";s:16:\"terms_conditions\";s:132:\"https://wpastra.com/terms-and-conditions/?utm_source=graupi-license-form&utm_medium=terms-and-conditions&utm_campaign=purchase-astra\";s:12:\"purchase_url\";s:126:\"https://wpastra.com/pricing/?utm_source=graupi-license-form&utm_medium=graupi-license-invalidation&utm_campaign=purchase-astra\";s:13:\"changelog_url\";s:142:\"https://wpastra.com/changelog/astra-pro-addon/?utm_source=graupi-license-form&utm_medium=astra-pro-addon-changelog&utm_campaign=purchase-astra\";s:4:\"type\";s:6:\"plugin\";s:8:\"in_house\";s:4:\"true\";s:9:\"on_market\";s:5:\"false\";s:15:\"is_product_free\";s:5:\"false\";s:14:\"has-extensions\";s:4:\"true\";s:13:\"support_forum\";s:130:\"https://wpastra.com/support/submit-a-ticket/?utm_source=graupi-license-form&utm_medium=submit-a-ticket&utm_campaign=purchase-astra\";s:25:\"after_registration_action\";s:0:\"\";s:13:\"product_image\";s:71:\"//support.brainstormforce.com/wp-content/uploads/2018/12/astra-logo.svg\";s:32:\"show_on_register_licence_listing\";s:5:\"false\";s:15:\"show_on_listing\";s:5:\"false\";s:13:\"is_support_on\";s:4:\"true\";s:14:\"envato_item_id\";s:0:\"\";s:8:\"template\";s:27:\"astra-addon/astra-addon.php\";s:6:\"remote\";s:5:\"2.3.3\";s:12:\"purchase_key\";s:0:\"\";s:6:\"status\";s:10:\"registered\";s:7:\"message\";s:0:\"\";s:12:\"product_name\";s:9:\"Astra Pro\";}}s:6:\"themes\";a:1:{s:5:\"astra\";a:32:{s:2:\"id\";s:5:\"astra\";s:4:\"name\";s:5:\"Astra\";s:4:\"slug\";s:5:\"astra\";s:10:\"short_name\";s:5:\"Astra\";s:11:\"description\";s:0:\"\";s:7:\"version\";s:5:\"2.3.0\";s:12:\"download_url\";s:15:\"astra-1.4.9.zip\";s:12:\"version_beta\";s:0:\"\";s:17:\"download_url_beta\";s:0:\"\";s:6:\"tested\";s:3:\"5.2\";s:14:\"privacy_policy\";s:0:\"\";s:16:\"terms_conditions\";s:0:\"\";s:12:\"purchase_url\";s:0:\"\";s:13:\"changelog_url\";s:0:\"\";s:4:\"type\";s:5:\"theme\";s:8:\"in_house\";s:4:\"true\";s:9:\"on_market\";s:5:\"false\";s:15:\"is_product_free\";s:4:\"true\";s:14:\"has-extensions\";s:5:\"false\";s:13:\"support_forum\";s:0:\"\";s:25:\"after_registration_action\";s:0:\"\";s:13:\"product_image\";s:71:\"//support.brainstormforce.com/wp-content/uploads/2018/12/astra-logo.svg\";s:32:\"show_on_register_licence_listing\";s:5:\"false\";s:15:\"show_on_listing\";s:4:\"true\";s:13:\"is_support_on\";s:4:\"true\";s:14:\"envato_item_id\";s:0:\"\";s:8:\"template\";s:5:\"astra\";s:6:\"remote\";s:5:\"0.0.1\";s:12:\"purchase_key\";s:0:\"\";s:6:\"status\";s:0:\"\";s:7:\"message\";s:0:\"\";s:12:\"product_name\";s:5:\"Astra\";}}}", "yes");
INSERT INTO `age_options` VALUES("255", "bsf_force_check_extensions", "", "no");
INSERT INTO `age_options` VALUES("256", "bsf_local_transient", "1584828015", "yes");
INSERT INTO `age_options` VALUES("259", "bsf-updater-version", "1.25.0", "yes");
INSERT INTO `age_options` VALUES("504", "astra_theme_css_key-astra-addon", "5e764ffba24cb2-73458876", "yes");
INSERT INTO `age_options` VALUES("505", "astra_theme_js_key-dep-astra-addon", "a:1:{s:6:\"jquery\";N;}", "yes");
INSERT INTO `age_options` VALUES("506", "astra_theme_js_key-astra-addon", "5e764ffba2ddb7-58172466", "yes");
INSERT INTO `age_options` VALUES("274", "_astra_ext_enabled_extensions", "a:18:{s:14:\"advanced-hooks\";s:14:\"advanced-hooks\";s:8:\"blog-pro\";s:8:\"blog-pro\";s:21:\"colors-and-background\";s:21:\"colors-and-background\";s:15:\"advanced-footer\";s:15:\"advanced-footer\";s:13:\"mobile-header\";s:13:\"mobile-header\";s:15:\"header-sections\";s:15:\"header-sections\";s:9:\"lifterlms\";s:9:\"lifterlms\";s:9:\"learndash\";s:9:\"learndash\";s:16:\"advanced-headers\";s:16:\"advanced-headers\";s:12:\"site-layouts\";s:12:\"site-layouts\";s:7:\"spacing\";s:7:\"spacing\";s:13:\"sticky-header\";s:13:\"sticky-header\";s:13:\"scroll-to-top\";s:13:\"scroll-to-top\";s:18:\"transparent-header\";s:18:\"transparent-header\";s:10:\"typography\";s:10:\"typography\";s:11:\"woocommerce\";s:11:\"woocommerce\";s:3:\"edd\";s:3:\"edd\";s:8:\"nav-menu\";s:8:\"nav-menu\";}", "yes");
INSERT INTO `age_options` VALUES("275", "_astra_ext_http2", "1", "yes");
INSERT INTO `age_options` VALUES("261", "bsf_local_transient_bundled", "1584828146", "yes");
INSERT INTO `age_options` VALUES("264", "brainstrom_bundled_products", "a:0:{}", "yes");
INSERT INTO `age_options` VALUES("266", "bsf_skip_braisntorm_menu", "1", "no");
INSERT INTO `age_options` VALUES("490", "_transient_timeout_feed_mod_9bb54f090b06ea0b52a1a293dcf1b99e", "1584855157", "no");
INSERT INTO `age_options` VALUES("491", "_transient_feed_mod_9bb54f090b06ea0b52a1a293dcf1b99e", "1584811957", "no");
INSERT INTO `age_options` VALUES("492", "_transient_timeout_dash_v2_ccb55a4e4b351a220e50ef4117d7dc27", "1584855157", "no");
INSERT INTO `age_options` VALUES("493", "_transient_dash_v2_ccb55a4e4b351a220e50ef4117d7dc27", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wp-parsi.com/full-spectrum-cbd-oil-a-brief-overview-4/\'>Full Spectrum Cbd Oil – a Brief Overview</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://wp-planet.ir/%D8%A8%D8%B1%D8%A7%DB%8C-%D9%81%D8%B1%D9%88%D8%B4%DA%AF%D8%A7%D9%87-%D8%A7%DB%8C%D9%86%D8%AA%D8%B1%D9%86%D8%AA%DB%8C-%DA%86%D9%87-%D9%87%D8%A7%D8%B3%D8%AA%DB%8C-%D9%85%D9%86%D8%A7%D8%B3%D8%A8-%D8%A7/\'>برای فروشگاه اینترنتی چه هاستی مناسب است؟</a></li><li><a class=\'rsswidget\' href=\'http://wp-planet.ir/%D8%B1%D8%A7%D9%87-%D9%87%D8%A7%DB%8C-%D9%BE%DB%8C%D8%B4%D8%B1%D9%81%D8%AA-%D8%B3%D8%B1%DB%8C%D8%B9-%D9%81%D8%B1%D9%88%D8%B4%DA%AF%D8%A7%D9%87-%D8%A7%DB%8C%D9%86%D8%AA%D8%B1%D9%86%D8%AA%DB%8C-%DA%86/\'>راه های پیشرفت سریع فروشگاه اینترنتی چیست؟</a></li><li><a class=\'rsswidget\' href=\'http://wp-planet.ir/%D9%BE%DB%8C%D8%B4-%D9%86%DB%8C%D8%A7%D8%B2%D9%87%D8%A7%DB%8C-%D9%84%D8%A7%D8%B2%D9%85-%D8%A8%D8%B1%D8%A7%DB%8C-%D8%B1%D8%A7%D9%87-%D8%A7%D9%86%D8%AF%D8%A7%D8%B2%DB%8C-%D9%81%D8%B1%D9%88%D8%B4%DA%AF/\'>پیش نیازهای لازم برای راه اندازی فروشگاه اینترنتی چیست؟</a></li></ul></div>", "no");
INSERT INTO `age_options` VALUES("494", "_transient_timeout_plugin_slugs", "1584902947", "no");
INSERT INTO `age_options` VALUES("495", "_transient_plugin_slugs", "a:9:{i:0;s:19:\"akismet/akismet.php\";i:1;s:27:\"astra-addon/astra-addon.php\";i:2;s:29:\"custom-fonts/custom-fonts.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:23:\"elementor/elementor.php\";i:5;s:51:\"header-footer-elementor/header-footer-elementor.php\";i:6;s:27:\"astra-sites/astra-sites.php\";i:7;s:29:\"wp-parsidate/wp-parsidate.php\";i:8;s:24:\"wpforms-lite/wpforms.php\";}", "no");
INSERT INTO `age_options` VALUES("496", "elementor_allow_tracking", "no", "yes");
INSERT INTO `age_options` VALUES("497", "elementor_tracker_notice", "1", "yes");
INSERT INTO `age_options` VALUES("549", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1584816545;s:7:\"checked\";a:9:{s:19:\"akismet/akismet.php\";s:5:\"4.1.4\";s:27:\"astra-addon/astra-addon.php\";s:5:\"2.3.2\";s:29:\"custom-fonts/custom-fonts.php\";s:5:\"1.2.1\";s:25:\"duplicator/duplicator.php\";s:6:\"1.3.28\";s:23:\"elementor/elementor.php\";s:5:\"2.9.6\";s:51:\"header-footer-elementor/header-footer-elementor.php\";s:5:\"1.3.1\";s:27:\"astra-sites/astra-sites.php\";s:5:\"2.0.2\";s:29:\"wp-parsidate/wp-parsidate.php\";s:5:\"3.0.3\";s:24:\"wpforms-lite/wpforms.php\";s:7:\"1.5.9.5\";}s:8:\"response\";a:1:{s:27:\"astra-addon/astra-addon.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:11:\"astra-addon\";s:4:\"slug\";s:11:\"astra-addon\";s:6:\"plugin\";s:27:\"astra-addon/astra-addon.php\";s:14:\"upgrade_notice\";s:0:\"\";s:11:\"new_version\";s:5:\"2.3.3\";s:3:\"url\";s:126:\"https://wpastra.com/pricing/?utm_source=graupi-license-form&utm_medium=graupi-license-invalidation&utm_campaign=purchase-astra\";s:7:\"package\";s:122:\"http://downloads.brainstormforce.com/download.php?file=astra-addon-plugin.zip&hashtime=1584816545&timezone=UTC&base=ignore\";s:6:\"tested\";s:5:\"5.3.2\";s:12:\"requires_php\";s:0:\"\";s:5:\"icons\";a:1:{s:7:\"default\";b:0;}}}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:8:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"4.1.4\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.4.1.4.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:59:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=969272\";s:2:\"1x\";s:59:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=969272\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}}s:29:\"custom-fonts/custom-fonts.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:26:\"w.org/plugins/custom-fonts\";s:4:\"slug\";s:12:\"custom-fonts\";s:6:\"plugin\";s:29:\"custom-fonts/custom-fonts.php\";s:11:\"new_version\";s:5:\"1.2.1\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/custom-fonts/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/custom-fonts.1.2.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/custom-fonts/assets/icon-256x256.png?rev=1816364\";s:2:\"1x\";s:65:\"https://ps.w.org/custom-fonts/assets/icon-128x128.png?rev=1816364\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:68:\"https://ps.w.org/custom-fonts/assets/banner-1544x500.png?rev=1816364\";s:2:\"1x\";s:67:\"https://ps.w.org/custom-fonts/assets/banner-772x250.png?rev=1816364\";}s:11:\"banners_rtl\";a:0:{}}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:6:\"1.3.28\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/duplicator.1.3.28.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2083921\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2083921\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}}s:23:\"elementor/elementor.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"2.9.6\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.2.9.6.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}}s:51:\"header-footer-elementor/header-footer-elementor.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:37:\"w.org/plugins/header-footer-elementor\";s:4:\"slug\";s:23:\"header-footer-elementor\";s:6:\"plugin\";s:51:\"header-footer-elementor/header-footer-elementor.php\";s:11:\"new_version\";s:5:\"1.3.1\";s:3:\"url\";s:54:\"https://wordpress.org/plugins/header-footer-elementor/\";s:7:\"package\";s:72:\"https://downloads.wordpress.org/plugin/header-footer-elementor.1.3.1.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:68:\"https://ps.w.org/header-footer-elementor/assets/icon.svg?rev=2017489\";s:3:\"svg\";s:68:\"https://ps.w.org/header-footer-elementor/assets/icon.svg?rev=2017489\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:79:\"https://ps.w.org/header-footer-elementor/assets/banner-1544x500.jpg?rev=2017486\";s:2:\"1x\";s:78:\"https://ps.w.org/header-footer-elementor/assets/banner-772x250.jpg?rev=2017486\";}s:11:\"banners_rtl\";a:0:{}}s:27:\"astra-sites/astra-sites.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/astra-sites\";s:4:\"slug\";s:11:\"astra-sites\";s:6:\"plugin\";s:27:\"astra-sites/astra-sites.php\";s:11:\"new_version\";s:5:\"2.0.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/astra-sites/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/astra-sites.2.0.2.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:56:\"https://ps.w.org/astra-sites/assets/icon.svg?rev=2142487\";s:3:\"svg\";s:56:\"https://ps.w.org/astra-sites/assets/icon.svg?rev=2142487\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/astra-sites/assets/banner-1544x500.jpg?rev=2142447\";s:2:\"1x\";s:66:\"https://ps.w.org/astra-sites/assets/banner-772x250.jpg?rev=2142447\";}s:11:\"banners_rtl\";a:0:{}}s:29:\"wp-parsidate/wp-parsidate.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:26:\"w.org/plugins/wp-parsidate\";s:4:\"slug\";s:12:\"wp-parsidate\";s:6:\"plugin\";s:29:\"wp-parsidate/wp-parsidate.php\";s:11:\"new_version\";s:5:\"3.0.3\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wp-parsidate/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-parsidate.3.0.3.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:57:\"https://ps.w.org/wp-parsidate/assets/icon.svg?rev=1036248\";s:3:\"svg\";s:57:\"https://ps.w.org/wp-parsidate/assets/icon.svg?rev=1036248\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:67:\"https://ps.w.org/wp-parsidate/assets/banner-772x250.jpg?rev=2044005\";}s:11:\"banners_rtl\";a:0:{}}s:24:\"wpforms-lite/wpforms.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:26:\"w.org/plugins/wpforms-lite\";s:4:\"slug\";s:12:\"wpforms-lite\";s:6:\"plugin\";s:24:\"wpforms-lite/wpforms.php\";s:11:\"new_version\";s:7:\"1.5.9.5\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wpforms-lite/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/wpforms-lite.1.5.9.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/wpforms-lite/assets/icon-256x256.png?rev=1371112\";s:2:\"1x\";s:65:\"https://ps.w.org/wpforms-lite/assets/icon-128x128.png?rev=1371112\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:68:\"https://ps.w.org/wpforms-lite/assets/banner-1544x500.png?rev=1371112\";s:2:\"1x\";s:67:\"https://ps.w.org/wpforms-lite/assets/banner-772x250.png?rev=1371112\";}s:11:\"banners_rtl\";a:0:{}}}}", "no");
INSERT INTO `age_options` VALUES("529", "wpforms_version_lite", "1.5.9.5", "yes");
INSERT INTO `age_options` VALUES("530", "action_scheduler_hybrid_store_demarkation", "1234", "yes");
INSERT INTO `age_options` VALUES("531", "schema-ActionScheduler_StoreSchema", "3.0.1584816478", "yes");
INSERT INTO `age_options` VALUES("532", "schema-ActionScheduler_LoggerSchema", "2.0.1584816478", "yes");
INSERT INTO `age_options` VALUES("534", "_transient_timeout_as-post-store-dependencies-met", "1584902878", "no");
INSERT INTO `age_options` VALUES("535", "_transient_as-post-store-dependencies-met", "yes", "no");
INSERT INTO `age_options` VALUES("542", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.3.2.zip\";s:6:\"locale\";s:5:\"fa_IR\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.3.2.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-5.3.2-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-5.3.2-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.3.2\";s:7:\"version\";s:5:\"5.3.2\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.3\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1584816511;s:15:\"version_checked\";s:5:\"5.3.2\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `age_options` VALUES("550", "duplicator_settings", "a:15:{s:7:\"version\";s:6:\"1.3.28\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("551", "duplicator_version_plugin", "1.3.28", "yes");
INSERT INTO `age_options` VALUES("553", "duplicator_package_active", "O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-03-21 18:50:08\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:5:\"5.3.2\";s:9:\"VersionDB\";s:7:\"10.3.19\";s:10:\"VersionPHP\";s:6:\"7.2.23\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:22:\"20200321_digitalagency\";s:4:\"Hash\";s:35:\"2c63cd6bafd11db43461_20200321185008\";s:8:\"NameHash\";s:58:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:58:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-snapshots/tmp\";s:8:\"StoreURL\";s:47:\"http://demo.iranlec.com/agency-02/wp-snapshots/\";s:8:\"ScanFile\";s:68:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":21:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:41:\"/home/iranlecc/demo.iranlec.com/agency-02\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-03-21 18:50:08\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:5:\"5.3.2\";s:9:\"VersionDB\";s:7:\"10.3.19\";s:10:\"VersionPHP\";s:6:\"7.2.23\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:22:\"20200321_digitalagency\";s:4:\"Hash\";s:35:\"2c63cd6bafd11db43461_20200321185008\";s:8:\"NameHash\";s:58:\"20200321_digitalagency_2c63cd6bafd11db43461_20200321185008\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:58:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-snapshots/tmp\";s:8:\"StoreURL\";s:47:\"http://demo.iranlec.com/agency-02/wp-snapshots/\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:23;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:63;}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";N;s:13:\"collationList\";a:0:{}s:17:\"isTablesUpperCase\";N;s:15:\"isNameUpperCase\";N;s:4:\"name\";N;s:15:\"tablesBaseCount\";N;s:16:\"tablesFinalCount\";N;s:14:\"tablesRowCount\";N;s:16:\"tablesSizeOnDisk\";N;s:18:\"varLowerCaseTables\";i:0;s:7:\"version\";N;s:14:\"versionComment\";N;s:18:\"tableWiseRowCounts\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:63;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:63;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:50:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-admin\";i:1;s:60:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content/uploads\";i:2;s:62:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content/languages\";i:3;s:59:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content/themes\";i:4;s:53:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:41:\"/home/iranlecc/demo.iranlec.com/agency-02\";i:1;s:52:\"/home/iranlecc/demo.iranlec.com/agency-02/wp-content\";}}s:9:\"Installer\";r:86;s:8:\"Database\";r:98;s:13:\"BuildProgress\";r:128;}", "yes");
INSERT INTO `age_options` VALUES("544", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1584816540;s:7:\"checked\";a:3:{s:11:\"astra-child\";s:5:\"2.3.0\";s:5:\"astra\";s:5:\"2.3.0\";s:12:\"twentytwenty\";s:3:\"1.1\";}s:8:\"response\";a:1:{s:5:\"astra\";a:6:{s:5:\"theme\";s:5:\"astra\";s:11:\"new_version\";s:5:\"2.3.4\";s:3:\"url\";s:35:\"https://wordpress.org/themes/astra/\";s:7:\"package\";s:53:\"https://downloads.wordpress.org/theme/astra.2.3.4.zip\";s:8:\"requires\";b:0;s:12:\"requires_php\";b:0;}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `age_options` VALUES("545", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1584827318", "no");
INSERT INTO `age_options` VALUES("546", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4672;}s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:3973;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2668;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2545;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:1958;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1801;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1781;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1482;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1468;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1468;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1447;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1418;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1399;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1300;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1183;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1175;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1121;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1101;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1089;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:982;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:871;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:869;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:864;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:848;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:785;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:764;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:763;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:752;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:742;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:742;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:714;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:702;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:702;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:696;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:679;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:659;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:645;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:642;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:634;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:633;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:625;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:621;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:583;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:577;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:574;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:569;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:569;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:558;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:550;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:543;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:542;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:532;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:532;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:531;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:528;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:517;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:510;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:499;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:496;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:495;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:487;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:486;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:482;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:473;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:467;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:462;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:457;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:440;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:429;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:428;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:424;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:423;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:422;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:420;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:420;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:419;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:409;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:405;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:395;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:394;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:392;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:384;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:382;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:380;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:379;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:374;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:370;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:369;}s:3:\"url\";a:3:{s:4:\"name\";s:3:\"url\";s:4:\"slug\";s:3:\"url\";s:5:\"count\";i:367;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:357;}s:4:\"list\";a:3:{s:4:\"name\";s:4:\"list\";s:4:\"slug\";s:4:\"list\";s:5:\"count\";i:354;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:351;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:338;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:338;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:335;}s:16:\"custom-post-type\";a:3:{s:4:\"name\";s:16:\"custom post type\";s:4:\"slug\";s:16:\"custom-post-type\";s:5:\"count\";i:334;}s:16:\"google-analytics\";a:3:{s:4:\"name\";s:16:\"google analytics\";s:4:\"slug\";s:16:\"google-analytics\";s:5:\"count\";i:332;}s:11:\"advertising\";a:3:{s:4:\"name\";s:11:\"advertising\";s:4:\"slug\";s:11:\"advertising\";s:5:\"count\";i:331;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:330;}s:6:\"simple\";a:3:{s:4:\"name\";s:6:\"simple\";s:4:\"slug\";s:6:\"simple\";s:5:\"count\";i:324;}}", "no");
INSERT INTO `age_options` VALUES("288", "new_admin_email", "demo@nagatheme.com", "yes");
INSERT INTO `age_options` VALUES("291", "taxonomy_bsf_custom_fonts_5", "a:7:{s:11:\"font_woff_2\";s:78:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.woff2\";s:9:\"font_woff\";s:77:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.woff\";s:8:\"font_ttf\";s:76:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.ttf\";s:8:\"font_svg\";s:0:\"\";s:8:\"font_eot\";s:76:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.eot\";s:8:\"font_otf\";s:0:\"\";s:12:\"font-display\";s:4:\"auto\";}", "yes");
INSERT INTO `age_options` VALUES("292", "taxonomy_bsf_custom_fonts_6", "a:7:{s:11:\"font_woff_2\";s:83:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.woff2\";s:9:\"font_woff\";s:82:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.woff\";s:8:\"font_ttf\";s:81:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.ttf\";s:8:\"font_svg\";s:0:\"\";s:8:\"font_eot\";s:81:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.eot\";s:8:\"font_otf\";s:0:\"\";s:12:\"font-display\";s:4:\"auto\";}", "yes");
INSERT INTO `age_options` VALUES("293", "taxonomy_bsf_custom_fonts_7", "a:7:{s:11:\"font_woff_2\";s:83:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.woff2\";s:9:\"font_woff\";s:82:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.woff\";s:8:\"font_ttf\";s:81:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.ttf\";s:8:\"font_svg\";s:0:\"\";s:8:\"font_eot\";s:81:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.eot\";s:8:\"font_otf\";s:0:\"\";s:12:\"font-display\";s:4:\"auto\";}", "yes");
INSERT INTO `age_options` VALUES("294", "taxonomy_bsf_custom_fonts_8", "a:7:{s:11:\"font_woff_2\";s:88:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.woff2\";s:9:\"font_woff\";s:87:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.woff\";s:8:\"font_ttf\";s:86:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.ttf\";s:8:\"font_svg\";s:0:\"\";s:8:\"font_eot\";s:86:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.eot\";s:8:\"font_otf\";s:0:\"\";s:12:\"font-display\";s:4:\"auto\";}", "yes");
INSERT INTO `age_options` VALUES("511", "astra_theme_css_key-ast-customizer", "5e765025cefc11-98795113", "yes");
INSERT INTO `age_options` VALUES("512", "astra_theme_js_key-dep-ast-customizer", "a:1:{s:6:\"jquery\";N;}", "yes");
INSERT INTO `age_options` VALUES("513", "astra_theme_js_key-ast-customizer", "5e765025cf9a31-10881365", "yes");
INSERT INTO `age_options` VALUES("538", "action_scheduler_migration_status", "complete", "yes");
INSERT INTO `age_options` VALUES("299", "elementor_active_kit", "1197", "yes");
INSERT INTO `age_options` VALUES("517", "_transient_is_multi_author", "0", "yes");
INSERT INTO `age_options` VALUES("540", "_transient_timeout_elementor_remote_info_api_data_2.9.6", "1584859707", "no");
INSERT INTO `age_options` VALUES("541", "_transient_elementor_remote_info_api_data_2.9.6", "a:4:{s:9:\"timestamp\";i:1584814557;s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:59:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:5;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:6;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:16;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:19;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:21;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:22;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:23;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:24;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:25;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:26;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:27;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:28;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:29;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:30;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:31;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:32;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:33;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:34;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:35;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:36;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:37;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:38;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:39;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:40;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:41;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:42;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:43;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:44;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:45;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:46;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:47;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:48;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:49;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:50;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:51;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:52;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:53;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:54;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:55;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:56;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:57;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:58;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"2.9.1\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.2.9.1.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.3.2\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:1:{i:0;a:1:{i:0;a:3:{s:4:\"type\";s:8:\"language\";s:9:\"languages\";a:27:{i:0;s:5:\"he_IL\";i:1;s:5:\"en_GB\";i:2;s:5:\"en_NZ\";i:3;s:5:\"en_ZA\";i:4;s:5:\"en_AU\";i:5;s:5:\"en_CA\";i:6;s:5:\"sv_SE\";i:7;s:5:\"da_DK\";i:8;s:5:\"fr_FR\";i:9;s:5:\"de_DE\";i:10;s:5:\"nl_NL\";i:11;s:5:\"nb_NO\";i:12;s:5:\"de_AT\";i:13;s:2:\"fi\";i:14;s:5:\"it_IT\";i:15;s:5:\"nn_NO\";i:16;s:5:\"de_CH\";i:17;s:5:\"en_GB\";i:18;s:5:\"is_IS\";i:19;s:2:\"ga\";i:20;s:5:\"fr_BE\";i:21;s:5:\"nl_BE\";i:22;s:3:\"ast\";i:23;s:5:\"lb_LU\";i:24;s:5:\"es_ES\";i:25;s:5:\"pt_PT\";i:26;s:3:\"mlt\";}s:8:\"operator\";s:2:\"in\";}}}}}", "no");
INSERT INTO `age_options` VALUES("441", "wpp_settings", "a:14:{s:10:\"admin_lang\";s:7:\"disable\";s:9:\"user_lang\";s:7:\"disable\";s:12:\"submenu_move\";s:7:\"disable\";s:12:\"persian_date\";s:6:\"enable\";s:10:\"conv_title\";s:7:\"disable\";s:13:\"conv_contents\";s:7:\"disable\";s:12:\"conv_excerpt\";s:7:\"disable\";s:13:\"conv_comments\";s:7:\"disable\";s:18:\"conv_comment_count\";s:7:\"disable\";s:10:\"conv_dates\";s:7:\"disable\";s:9:\"conv_cats\";s:7:\"disable\";s:11:\"conv_arabic\";s:7:\"disable\";s:15:\"conv_permalinks\";s:7:\"disable\";s:11:\"news_source\";s:5:\"parsi\";}", "yes");
INSERT INTO `age_options` VALUES("442", "widget_parsidate_archive", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("443", "widget_parsidate_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `age_options` VALUES("519", "_transient_timeout_astra-addon-cron-test-ok", "1584819786", "no");
INSERT INTO `age_options` VALUES("520", "_transient_astra-addon-cron-test-ok", "1", "no");

/* INSERT TABLE DATA: age_postmeta */
INSERT INTO `age_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("10", "7", "_astra_sites_imported_wp_forms", "1");
INSERT INTO `age_postmeta` VALUES("11", "8", "_wp_attached_file", "2020/02/space-logo-free-img@2x.png");
INSERT INTO `age_postmeta` VALUES("12", "8", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:250;s:6:\"height\";i:70;s:4:\"file\";s:34:\"2020/02/space-logo-free-img@2x.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"space-logo-free-img@2x-150x70.png\";s:5:\"width\";i:150;s:6:\"height\";i:70;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("13", "11", "_wp_attached_file", "2017/06/favicon-free-img.png");
INSERT INTO `age_postmeta` VALUES("14", "11", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:75;s:6:\"height\";i:75;s:4:\"file\";s:28:\"2017/06/favicon-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("15", "11", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("16", "11", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("17", "11", "_astra_sites_image_hash", "b427a1a3c2f4109d57330db1ad4e6aee91400a54");
INSERT INTO `age_postmeta` VALUES("18", "11", "_elementor_source_image_hash", "b427a1a3c2f4109d57330db1ad4e6aee91400a54");
INSERT INTO `age_postmeta` VALUES("19", "176", "_wp_attached_file", "2017/06/cart-free-img.png");
INSERT INTO `age_postmeta` VALUES("20", "176", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:25:\"2017/06/cart-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("23", "176", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("24", "176", "_astra_sites_image_hash", "70ba2e0bdf71ebb6ec0f47391f5155b679b82e4a");
INSERT INTO `age_postmeta` VALUES("25", "176", "_elementor_source_image_hash", "70ba2e0bdf71ebb6ec0f47391f5155b679b82e4a");
INSERT INTO `age_postmeta` VALUES("26", "177", "_wp_attached_file", "2017/06/editing-free-img.png");
INSERT INTO `age_postmeta` VALUES("27", "177", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:28:\"2017/06/editing-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("30", "177", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("31", "177", "_astra_sites_image_hash", "27a9db1e0e8a183add9dfc0fdf85fddbc878f9ab");
INSERT INTO `age_postmeta` VALUES("32", "177", "_elementor_source_image_hash", "27a9db1e0e8a183add9dfc0fdf85fddbc878f9ab");
INSERT INTO `age_postmeta` VALUES("33", "179", "_wp_attached_file", "2017/06/support-free-img.png");
INSERT INTO `age_postmeta` VALUES("34", "179", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:28:\"2017/06/support-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("37", "179", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("38", "179", "_astra_sites_image_hash", "e002fafb91dc999180eff14b41aac49f4f07f9f2");
INSERT INTO `age_postmeta` VALUES("39", "179", "_elementor_source_image_hash", "e002fafb91dc999180eff14b41aac49f4f07f9f2");
INSERT INTO `age_postmeta` VALUES("40", "259", "_wp_attached_file", "2017/06/coding-free-img.png");
INSERT INTO `age_postmeta` VALUES("41", "259", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:27:\"2017/06/coding-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("44", "259", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("45", "259", "_astra_sites_image_hash", "2cc09a3713de408f2e5646b9a5b17f6eaf276c46");
INSERT INTO `age_postmeta` VALUES("46", "259", "_elementor_source_image_hash", "2cc09a3713de408f2e5646b9a5b17f6eaf276c46");
INSERT INTO `age_postmeta` VALUES("47", "261", "_wp_attached_file", "2017/06/share-free-img.png");
INSERT INTO `age_postmeta` VALUES("48", "261", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:26:\"2017/06/share-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("51", "261", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("52", "261", "_astra_sites_image_hash", "1717ca70cabf48bb98bfb7812c5903f9d8031e40");
INSERT INTO `age_postmeta` VALUES("53", "261", "_elementor_source_image_hash", "1717ca70cabf48bb98bfb7812c5903f9d8031e40");
INSERT INTO `age_postmeta` VALUES("54", "339", "_wp_attached_file", "2017/06/client1-free-img.png");
INSERT INTO `age_postmeta` VALUES("55", "339", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:28:\"2017/06/client1-free-img.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"client1-free-img-300x189.png\";s:5:\"width\";i:300;s:6:\"height\";i:189;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"client1-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("56", "339", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("57", "339", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("58", "339", "_astra_sites_image_hash", "f8bae92a374acf5fa78fb0b0076591614aea4524");
INSERT INTO `age_postmeta` VALUES("59", "339", "_elementor_source_image_hash", "f8bae92a374acf5fa78fb0b0076591614aea4524");
INSERT INTO `age_postmeta` VALUES("60", "340", "_wp_attached_file", "2017/06/client2-free-img.png");
INSERT INTO `age_postmeta` VALUES("61", "340", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:28:\"2017/06/client2-free-img.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"client2-free-img-300x189.png\";s:5:\"width\";i:300;s:6:\"height\";i:189;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"client2-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("62", "340", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("63", "340", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("64", "340", "_astra_sites_image_hash", "0ea9b96706473a094e707d2df72dc4817e42be54");
INSERT INTO `age_postmeta` VALUES("65", "340", "_elementor_source_image_hash", "0ea9b96706473a094e707d2df72dc4817e42be54");
INSERT INTO `age_postmeta` VALUES("66", "341", "_wp_attached_file", "2017/06/client3-free-img.png");
INSERT INTO `age_postmeta` VALUES("67", "341", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:28:\"2017/06/client3-free-img.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"client3-free-img-300x189.png\";s:5:\"width\";i:300;s:6:\"height\";i:189;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"client3-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("68", "341", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("69", "341", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("70", "341", "_astra_sites_image_hash", "0a06a85d8bb86000c5d4b488d525a7062d8fd782");
INSERT INTO `age_postmeta` VALUES("71", "341", "_elementor_source_image_hash", "0a06a85d8bb86000c5d4b488d525a7062d8fd782");
INSERT INTO `age_postmeta` VALUES("72", "342", "_wp_attached_file", "2017/06/client4-free-img.png");
INSERT INTO `age_postmeta` VALUES("73", "342", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:28:\"2017/06/client4-free-img.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"client4-free-img-300x189.png\";s:5:\"width\";i:300;s:6:\"height\";i:189;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"client4-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("74", "342", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("75", "342", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("76", "342", "_astra_sites_image_hash", "ad035bf76836f10783e991091cdcb5b4eaa97c75");
INSERT INTO `age_postmeta` VALUES("77", "342", "_elementor_source_image_hash", "ad035bf76836f10783e991091cdcb5b4eaa97c75");
INSERT INTO `age_postmeta` VALUES("78", "343", "_wp_attached_file", "2017/06/client5-free-img.png");
INSERT INTO `age_postmeta` VALUES("79", "343", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:28:\"2017/06/client5-free-img.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"client5-free-img-300x189.png\";s:5:\"width\";i:300;s:6:\"height\";i:189;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"client5-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("80", "343", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("81", "343", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("82", "343", "_astra_sites_image_hash", "7261e536bc2c8f4dae65ef96641673eb8ccde5a2");
INSERT INTO `age_postmeta` VALUES("83", "343", "_elementor_source_image_hash", "7261e536bc2c8f4dae65ef96641673eb8ccde5a2");
INSERT INTO `age_postmeta` VALUES("84", "344", "_wp_attached_file", "2017/06/client6-free-img.png");
INSERT INTO `age_postmeta` VALUES("85", "344", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:28:\"2017/06/client6-free-img.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"client6-free-img-300x189.png\";s:5:\"width\";i:300;s:6:\"height\";i:189;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"client6-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("86", "344", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("87", "344", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("88", "344", "_astra_sites_image_hash", "0394c0a031edc1d9385908a381b4445d08225dff");
INSERT INTO `age_postmeta` VALUES("89", "344", "_elementor_source_image_hash", "0394c0a031edc1d9385908a381b4445d08225dff");
INSERT INTO `age_postmeta` VALUES("90", "346", "_wp_attached_file", "2017/06/marketing-1-free-img.png");
INSERT INTO `age_postmeta` VALUES("91", "346", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:32:\"2017/06/marketing-1-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("92", "346", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("93", "346", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("94", "346", "_astra_sites_image_hash", "8da16df16300d034be26cbb324bc21258cb87224");
INSERT INTO `age_postmeta` VALUES("95", "346", "_elementor_source_image_hash", "8da16df16300d034be26cbb324bc21258cb87224");
INSERT INTO `age_postmeta` VALUES("96", "407", "_wp_attached_file", "2017/06/award-icon-free-img.png");
INSERT INTO `age_postmeta` VALUES("97", "407", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:31:\"2017/06/award-icon-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("98", "407", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("99", "407", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("100", "407", "_astra_sites_image_hash", "aca874c6ee2bf72e6d6dc5a6bb196b696e8fcdcc");
INSERT INTO `age_postmeta` VALUES("101", "407", "_elementor_source_image_hash", "aca874c6ee2bf72e6d6dc5a6bb196b696e8fcdcc");
INSERT INTO `age_postmeta` VALUES("102", "409", "_wp_attached_file", "2017/06/heart-icon-free-img.png");
INSERT INTO `age_postmeta` VALUES("103", "409", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:31:\"2017/06/heart-icon-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("104", "409", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("105", "409", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("106", "409", "_astra_sites_image_hash", "c56b6ef4a2ed0b57b8231599132250b6de122a1c");
INSERT INTO `age_postmeta` VALUES("107", "409", "_elementor_source_image_hash", "c56b6ef4a2ed0b57b8231599132250b6de122a1c");
INSERT INTO `age_postmeta` VALUES("108", "411", "_wp_attached_file", "2017/06/projects-icon-free-img.png");
INSERT INTO `age_postmeta` VALUES("109", "411", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:34:\"2017/06/projects-icon-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("110", "411", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("111", "411", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("112", "411", "_astra_sites_image_hash", "82955e0fc333e9b8523f223077558649271c314f");
INSERT INTO `age_postmeta` VALUES("113", "411", "_elementor_source_image_hash", "82955e0fc333e9b8523f223077558649271c314f");
INSERT INTO `age_postmeta` VALUES("114", "427", "_wp_attached_file", "2017/06/code-lines-icon-free-img.png");
INSERT INTO `age_postmeta` VALUES("115", "427", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:36:\"2017/06/code-lines-icon-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("116", "427", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("117", "427", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("118", "427", "_astra_sites_image_hash", "d7c38a6b7457fd58da2fe282b26cdd1f709bd23b");
INSERT INTO `age_postmeta` VALUES("119", "427", "_elementor_source_image_hash", "d7c38a6b7457fd58da2fe282b26cdd1f709bd23b");
INSERT INTO `age_postmeta` VALUES("120", "598", "_wp_attached_file", "2017/07/proj3-free-img.jpg");
INSERT INTO `age_postmeta` VALUES("121", "598", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:26:\"2017/07/proj3-free-img.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"proj3-free-img-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"proj3-free-img-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("122", "598", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("123", "598", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("124", "598", "_astra_sites_image_hash", "0e246a028d7905f871e600bc989d36798c0eb706");
INSERT INTO `age_postmeta` VALUES("125", "598", "_elementor_source_image_hash", "0e246a028d7905f871e600bc989d36798c0eb706");
INSERT INTO `age_postmeta` VALUES("126", "599", "_wp_attached_file", "2017/07/proj7-free-img.jpg");
INSERT INTO `age_postmeta` VALUES("127", "599", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:26:\"2017/07/proj7-free-img.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"proj7-free-img-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"proj7-free-img-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("128", "599", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("129", "599", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("130", "599", "_astra_sites_image_hash", "84a0abd8de9a275e35b865fd2299542b487b8afb");
INSERT INTO `age_postmeta` VALUES("131", "599", "_elementor_source_image_hash", "84a0abd8de9a275e35b865fd2299542b487b8afb");
INSERT INTO `age_postmeta` VALUES("132", "600", "_wp_attached_file", "2017/07/proj6-free-img.jpg");
INSERT INTO `age_postmeta` VALUES("133", "600", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:26:\"2017/07/proj6-free-img.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"proj6-free-img-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"proj6-free-img-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("134", "600", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("135", "600", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("136", "600", "_astra_sites_image_hash", "0cdc4db64b591dc7663496efc996d50f0b194f8d");
INSERT INTO `age_postmeta` VALUES("137", "600", "_elementor_source_image_hash", "0cdc4db64b591dc7663496efc996d50f0b194f8d");
INSERT INTO `age_postmeta` VALUES("138", "129", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("139", "129", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("140", "601", "_wp_attached_file", "2017/07/proj5-free-img.jpg");
INSERT INTO `age_postmeta` VALUES("141", "601", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:26:\"2017/07/proj5-free-img.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"proj5-free-img-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"proj5-free-img-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("142", "601", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("143", "601", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("144", "601", "_astra_sites_image_hash", "d95ae15b65f0261c7508c5bd66c41879ebfcf300");
INSERT INTO `age_postmeta` VALUES("145", "601", "_elementor_source_image_hash", "d95ae15b65f0261c7508c5bd66c41879ebfcf300");
INSERT INTO `age_postmeta` VALUES("146", "685", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("147", "685", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("148", "724", "_menu_item_type", "post_type");
INSERT INTO `age_postmeta` VALUES("149", "724", "_menu_item_object_id", "25");
INSERT INTO `age_postmeta` VALUES("150", "724", "_menu_item_object", "page");
INSERT INTO `age_postmeta` VALUES("151", "724", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("152", "724", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("154", "724", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("155", "726", "_menu_item_type", "post_type");
INSERT INTO `age_postmeta` VALUES("156", "726", "_menu_item_object_id", "19");
INSERT INTO `age_postmeta` VALUES("157", "726", "_menu_item_object", "page");
INSERT INTO `age_postmeta` VALUES("158", "726", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("159", "726", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("161", "726", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("162", "727", "_menu_item_type", "post_type");
INSERT INTO `age_postmeta` VALUES("163", "727", "_menu_item_object_id", "2");
INSERT INTO `age_postmeta` VALUES("164", "727", "_menu_item_object", "page");
INSERT INTO `age_postmeta` VALUES("165", "727", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("166", "727", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("345", "1160", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("168", "727", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("169", "817", "_wp_attached_file", "2017/09/space-logo-free-img.png");
INSERT INTO `age_postmeta` VALUES("170", "817", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:125;s:6:\"height\";i:35;s:4:\"file\";s:31:\"2017/09/space-logo-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("171", "817", "_wxr_import_user_slug", "ramak");
INSERT INTO `age_postmeta` VALUES("172", "817", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("173", "817", "_astra_sites_image_hash", "c54b138be4e7dbf90df8b56548a94cc44469330e");
INSERT INTO `age_postmeta` VALUES("174", "817", "_elementor_source_image_hash", "c54b138be4e7dbf90df8b56548a94cc44469330e");
INSERT INTO `age_postmeta` VALUES("175", "818", "_wp_attached_file", "2017/09/space-logo-free-img@2x.png");
INSERT INTO `age_postmeta` VALUES("176", "818", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:250;s:6:\"height\";i:70;s:4:\"file\";s:34:\"2017/09/space-logo-free-img@2x.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"space-logo-free-img@2x-150x70.png\";s:5:\"width\";i:150;s:6:\"height\";i:70;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("177", "818", "_wxr_import_user_slug", "ramak");
INSERT INTO `age_postmeta` VALUES("178", "818", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("179", "818", "_astra_sites_image_hash", "768e996438cb50e9e4a7b7e79b2a8632c66779b0");
INSERT INTO `age_postmeta` VALUES("180", "818", "_elementor_source_image_hash", "768e996438cb50e9e4a7b7e79b2a8632c66779b0");
INSERT INTO `age_postmeta` VALUES("181", "820", "_wp_attached_file", "2017/09/spacewhite-logo-free-img.png");
INSERT INTO `age_postmeta` VALUES("182", "820", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:125;s:6:\"height\";i:35;s:4:\"file\";s:36:\"2017/09/spacewhite-logo-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("183", "820", "_wxr_import_user_slug", "ramak");
INSERT INTO `age_postmeta` VALUES("184", "820", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("185", "820", "_astra_sites_image_hash", "12700d639b9883e5e587ecc1cf85ad91bff82bec");
INSERT INTO `age_postmeta` VALUES("186", "820", "_elementor_source_image_hash", "12700d639b9883e5e587ecc1cf85ad91bff82bec");
INSERT INTO `age_postmeta` VALUES("187", "1045", "_wp_attached_file", "2017/09/cropped-space-logo-free-img.png");
INSERT INTO `age_postmeta` VALUES("188", "1045", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:105;s:6:\"height\";i:35;s:4:\"file\";s:39:\"2017/09/cropped-space-logo-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("189", "1045", "_wp_attachment_context", "custom-logo");
INSERT INTO `age_postmeta` VALUES("190", "1045", "_oembed_3b8ee4a73de290338cbc1cf063c4b99c", "{{unknown}}");
INSERT INTO `age_postmeta` VALUES("191", "1045", "_wxr_import_user_slug", "sonalib");
INSERT INTO `age_postmeta` VALUES("192", "1045", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("193", "1045", "_astra_sites_image_hash", "8d4ddbdd251b31209d351dfb4375b7c5dcc2d456");
INSERT INTO `age_postmeta` VALUES("194", "1045", "_elementor_source_image_hash", "8d4ddbdd251b31209d351dfb4375b7c5dcc2d456");
INSERT INTO `age_postmeta` VALUES("195", "1085", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("196", "1085", "ehf_template_type", "type_footer");
INSERT INTO `age_postmeta` VALUES("197", "1085", "site-post-title", "disabled");
INSERT INTO `age_postmeta` VALUES("198", "1085", "site-sidebar-layout", "no-sidebar");
INSERT INTO `age_postmeta` VALUES("199", "1085", "site-content-layout", "page-builder");
INSERT INTO `age_postmeta` VALUES("200", "1085", "ast-featured-img", "disabled");
INSERT INTO `age_postmeta` VALUES("201", "1085", "theme-transparent-header-meta", "default");
INSERT INTO `age_postmeta` VALUES("202", "1085", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("203", "1085", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("204", "1085", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("205", "1085", "_astra_content_layout_flag", "disabled");
INSERT INTO `age_postmeta` VALUES("206", "1085", "ast-title-bar-display", "disabled");
INSERT INTO `age_postmeta` VALUES("207", "1085", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"left\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\",\"align\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#61CE70\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\",\"text_color_hover\":\"#6EC1E4\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\",\"text_color_hover\":\"#6EC1E4\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n\\n  | \\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633: \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("208", "1085", "ehf_target_include_locations", "a:2:{s:4:\"rule\";a:1:{i:0;s:12:\"basic-global\";}s:8:\"specific\";a:0:{}}");
INSERT INTO `age_postmeta` VALUES("209", "1085", "ehf_target_exclude_locations", "a:0:{}");
INSERT INTO `age_postmeta` VALUES("210", "1085", "ehf_target_user_roles", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("489", "1205", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("490", "1205", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("491", "1205", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("492", "1205", "_elementor_version", "2.7.6");
INSERT INTO `age_postmeta` VALUES("493", "1205", "_elementor_data", "s:46129:\"a:3:{i:0;a:5:{s:2:\"id\";s:7:\"4900071\";s:8:\"settings\";a:33:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:16:\"content_position\";s:6:\"middle\";s:9:\"structure\";s:2:\"20\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#4064d7\";s:19:\"background_position\";s:13:\"bottom center\";s:21:\"background_attachment\";s:5:\"fixed\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:15:\"rgba(0,0,0,0.4)\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"48\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"25\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:5:{s:2:\"id\";s:7:\"675edfe\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";s:6:\"65.000\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"530aacf\";s:8:\"settings\";a:19:{s:5:\"title\";s:42:\"Would You Like To Start A Project With Us?\";s:11:\"header_size\";s:2:\"h3\";s:12:\"align_mobile\";s:4:\"left\";s:11:\"title_color\";s:7:\"#ffffff\";s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:163:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Would You Like To Start A Project With Us?</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"f9d7839\";s:8:\"settings\";a:14:{s:6:\"editor\";s:148:\"<p>Etiam erat lectus, finibus eget commodo quis, tincidunt eget leo. Nullam quis vulputate orci, ac accumsan quam. Morbi fringilla congue libero</p>\";s:10:\"text_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:4:\"left\";s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:270:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Etiam erat lectus, finibus eget commodo quis, tincidunt eget leo. Nullam quis vulputate orci, ac accumsan quam. Morbi fringilla congue libero</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"661d0f9\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";s:6:\"35.000\";s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"df64028\";s:8:\"settings\";a:28:{s:4:\"text\";s:14:\"1-800-1234-567\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:25:\"typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:11:\"button_type\";s:4:\"info\";s:5:\"align\";s:5:\"right\";s:17:\"button_text_color\";s:7:\"#ffffff\";s:16:\"background_color\";s:18:\"rgba(64,100,215,0)\";s:11:\"hover_color\";s:7:\"#4064d7\";s:29:\"button_background_hover_color\";s:7:\"#ffffff\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#ffffff\";s:12:\"align_tablet\";s:5:\"right\";s:25:\"button_hover_border_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:4:\"left\";s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:13:\"border_border\";s:5:\"solid\";s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:13:\"selected_icon\";a:2:{s:5:\"value\";s:0:\"\";s:7:\"library\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:342:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-text\">1-800-1234-567</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:1;a:5:{s:2:\"id\";s:7:\"782282b\";s:8:\"settings\";a:26:{s:9:\"structure\";s:2:\"40\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#3a3a3a\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"80\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"80\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"80\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"80\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"70\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"70\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:5:{s:2:\"id\";s:7:\"46c341f\";s:8:\"settings\";a:26:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";d:30.167000000000001591615728102624416351318359375;s:19:\"_inline_size_tablet\";i:33;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"30\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"91842e4\";s:8:\"settings\";a:12:{s:5:\"image\";a:2:{s:2:\"id\";s:3:\"820\";s:3:\"url\";s:89:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\";}s:5:\"align\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:289:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" class=\"attachment-large size-large\" alt=\"\" />											</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"06ae5d2\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:10:\"text_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"3da00aa\";s:8:\"settings\";a:21:{s:16:\"social_icon_list\";a:5:{i:0;a:6:{s:11:\"social_icon\";a:2:{s:5:\"value\";s:17:\"fab fa-facebook-f\";s:7:\"library\";s:9:\"fa-brands\";}s:3:\"_id\";s:7:\"92a9b95\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:1;a:6:{s:11:\"social_icon\";a:2:{s:5:\"value\";s:14:\"fab fa-twitter\";s:7:\"library\";s:9:\"fa-brands\";}s:3:\"_id\";s:7:\"cffc6e6\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:2;a:6:{s:11:\"social_icon\";a:2:{s:5:\"value\";s:20:\"fab fa-google-plus-g\";s:7:\"library\";s:9:\"fa-brands\";}s:3:\"_id\";s:7:\"8840f04\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:3;a:6:{s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-instagram\";s:7:\"library\";s:9:\"fa-brands\";}s:3:\"_id\";s:7:\"f78799a\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:4;a:6:{s:11:\"social_icon\";a:2:{s:5:\"value\";s:18:\"fab fa-linkedin-in\";s:7:\"library\";s:9:\"fa-brands\";}s:3:\"_id\";s:7:\"b804bc5\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}}s:5:\"align\";s:4:\"left\";s:10:\"icon_color\";s:6:\"custom\";s:18:\"icon_primary_color\";s:7:\"#4064d7\";s:20:\"icon_secondary_color\";s:7:\"#ffffff\";s:9:\"icon_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:15;s:5:\"sizes\";a:0:{}}s:12:\"icon_padding\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:0.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:12:\"icon_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:8;s:5:\"sizes\";a:0:{}}s:13:\"border_radius\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:1;}s:19:\"hover_primary_color\";s:7:\"#4c79ff\";s:21:\"hover_secondary_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:12:\"social-icons\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:1333:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-social-icons-wrapper\">\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-facebook-f elementor-repeater-item-92a9b95\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Facebook-f</span>\n					<i class=\"fab fa-facebook-f\"></i>				</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-twitter elementor-repeater-item-cffc6e6\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Twitter</span>\n					<i class=\"fab fa-twitter\"></i>				</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-google-plus-g elementor-repeater-item-8840f04\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Google-plus-g</span>\n					<i class=\"fab fa-google-plus-g\"></i>				</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-instagram elementor-repeater-item-f78799a\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Instagram</span>\n					<i class=\"fab fa-instagram\"></i>				</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-linkedin-in elementor-repeater-item-b804bc5\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Linkedin-in</span>\n					<i class=\"fab fa-linkedin-in\"></i>				</a>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"5278d99\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";d:22.748999999999998777866494492627680301666259765625;s:19:\"_inline_size_tablet\";i:22;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"1b93cb9\";s:8:\"settings\";a:13:{s:5:\"title\";s:15:\"Important Links\";s:11:\"header_size\";s:2:\"h4\";s:11:\"title_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Important Links</h4>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"31f673c\";s:8:\"settings\";a:14:{s:9:\"icon_list\";a:4:{i:0;a:4:{s:4:\"text\";s:4:\"Home\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"b6b7ff3\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:1;a:4:{s:4:\"text\";s:5:\"About\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"04a0eb4\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:2;a:4:{s:4:\"text\";s:8:\"Services\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"d6b6e72\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:3;a:4:{s:4:\"text\";s:7:\"Contact\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"003c8c3\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}}s:13:\"space_between\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:10:\"icon_color\";s:7:\"#ffffff\";s:10:\"text_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"icon-list\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:1119:\"		<div class=\"elementor-widget-container\">\n					<ul class=\"elementor-icon-list-items\">\n							<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Home</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">About</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Services</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Contact</span>\n									</li>\n						</ul>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"8d27873\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";d:27.751000000000001222133505507372319698333740234375;s:19:\"_inline_size_tablet\";i:22;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"ea3aa60\";s:8:\"settings\";a:13:{s:5:\"title\";s:15:\"Important Links\";s:11:\"header_size\";s:2:\"h4\";s:11:\"title_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Important Links</h4>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"040a10c\";s:8:\"settings\";a:14:{s:9:\"icon_list\";a:4:{i:0;a:4:{s:4:\"text\";s:7:\"Project\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"b6b7ff3\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:1;a:4:{s:4:\"text\";s:8:\"Our Team\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"04a0eb4\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:2;a:4:{s:4:\"text\";s:5:\"Facts\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"d6b6e72\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:3;a:4:{s:4:\"text\";s:9:\"Customers\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:20:\"fas fa-chevron-right\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"003c8c3\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}}s:13:\"space_between\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:10:\"icon_color\";s:7:\"#ffffff\";s:10:\"text_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"icon-list\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:1124:\"		<div class=\"elementor-widget-container\">\n					<ul class=\"elementor-icon-list-items\">\n							<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Project</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Our Team</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Facts</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-chevron-right\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">Customers</span>\n									</li>\n						</ul>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:3;a:5:{s:2:\"id\";s:7:\"ae1b48e\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";d:19.332999999999998408384271897375583648681640625;s:19:\"_inline_size_tablet\";i:23;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"2078b37\";s:8:\"settings\";a:13:{s:5:\"title\";s:12:\"Get In Touch\";s:11:\"header_size\";s:2:\"h4\";s:11:\"title_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:133:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Get In Touch</h4>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"cb3b07f\";s:8:\"settings\";a:14:{s:9:\"icon_list\";a:4:{i:0;a:4:{s:4:\"text\";s:31:\"4578 Marmora Road, Glasgow 89GR\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:21:\"fas fa-map-marker-alt\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"b6b7ff3\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:1;a:4:{s:4:\"text\";s:17:\"info@demolink.org\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:15:\"fas fa-envelope\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"04a0eb4\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:2;a:4:{s:4:\"text\";s:14:\"1-800-1234-567\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:19:\"fas fa-phone-volume\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"d6b6e72\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}i:3;a:4:{s:4:\"text\";s:16:\"+44 987-654-3210\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:13:\"fas fa-mobile\";s:7:\"library\";s:8:\"fa-solid\";}s:3:\"_id\";s:7:\"003c8c3\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:0:\"\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}}}s:13:\"space_between\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:10:\"icon_color\";s:7:\"#ffffff\";s:10:\"text_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"icon-list\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:1161:\"		<div class=\"elementor-widget-container\">\n					<ul class=\"elementor-icon-list-items\">\n							<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-map-marker-alt\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">4578 Marmora Road, Glasgow 89GR</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-envelope\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">info@demolink.org</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-phone-volume\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">1-800-1234-567</span>\n									</li>\n								<li class=\"elementor-icon-list-item\" >\n											<span class=\"elementor-icon-list-icon\">\n							<i aria-hidden=\"true\" class=\"fas fa-mobile\"></i>						</span>\n										<span class=\"elementor-icon-list-text\">+44 987-654-3210</span>\n									</li>\n						</ul>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:2;a:5:{s:2:\"id\";s:7:\"6eebdb6\";s:8:\"settings\";a:26:{s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#3a3a3a\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"30\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"30\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:12:\"border_color\";s:22:\"rgba(160,160,160,0.28)\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"4f065b8\";s:8:\"settings\";a:21:{s:12:\"_column_size\";i:100;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"64c7e7f\";s:8:\"settings\";a:13:{s:9:\"shortcode\";s:78:\"Copyright © [hfe_current_year] [hfe_site_title] | Powered by [hfe_site_title]\";s:5:\"align\";s:6:\"center\";s:11:\"title_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"copyright\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:196:\"		<div class=\"elementor-widget-container\">\n					<div class=\"hfe-copyright-wrapper\">\n							<span>Copyright © 2020 digital marketing | Powered by digital marketing</span>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}}\";");
INSERT INTO `age_postmeta` VALUES("212", "1085", "_wxr_import_user_slug", "sonalib");
INSERT INTO `age_postmeta` VALUES("213", "1085", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("214", "1110", "_wp_attached_file", "2020/01/team-1.jpg");
INSERT INTO `age_postmeta` VALUES("215", "1110", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:400;s:6:\"height\";i:400;s:4:\"file\";s:18:\"2020/01/team-1.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"team-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"team-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("218", "1110", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("219", "1110", "_astra_sites_image_hash", "d47cbb7daa56e586a343b4f80c22f3e544803133");
INSERT INTO `age_postmeta` VALUES("220", "1110", "_elementor_source_image_hash", "d47cbb7daa56e586a343b4f80c22f3e544803133");
INSERT INTO `age_postmeta` VALUES("221", "1111", "_wp_attached_file", "2020/01/team-2.jpg");
INSERT INTO `age_postmeta` VALUES("222", "1111", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:400;s:6:\"height\";i:400;s:4:\"file\";s:18:\"2020/01/team-2.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"team-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"team-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("225", "1111", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("226", "1111", "_astra_sites_image_hash", "8c463d4a03cffcf4ae86b35a568062ee410027b1");
INSERT INTO `age_postmeta` VALUES("227", "1111", "_elementor_source_image_hash", "8c463d4a03cffcf4ae86b35a568062ee410027b1");
INSERT INTO `age_postmeta` VALUES("228", "1113", "_wp_attached_file", "2020/01/team-3.jpg");
INSERT INTO `age_postmeta` VALUES("229", "1113", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:400;s:6:\"height\";i:400;s:4:\"file\";s:18:\"2020/01/team-3.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"team-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"team-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("232", "1113", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("233", "1113", "_astra_sites_image_hash", "7a1d017b31935bf78a5857ad137bd4b73d40c00e");
INSERT INTO `age_postmeta` VALUES("234", "1113", "_elementor_source_image_hash", "7a1d017b31935bf78a5857ad137bd4b73d40c00e");
INSERT INTO `age_postmeta` VALUES("235", "1115", "_wp_attached_file", "2020/01/testimonial.jpg");
INSERT INTO `age_postmeta` VALUES("236", "1115", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:250;s:6:\"height\";i:250;s:4:\"file\";s:23:\"2020/01/testimonial.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"testimonial-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("239", "1115", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("240", "1115", "_astra_sites_image_hash", "63b89313288254257dea621f02127ce687095732");
INSERT INTO `age_postmeta` VALUES("241", "1115", "_elementor_source_image_hash", "63b89313288254257dea621f02127ce687095732");
INSERT INTO `age_postmeta` VALUES("242", "1118", "_wp_attached_file", "2020/01/about-bg-img.jpg");
INSERT INTO `age_postmeta` VALUES("243", "1118", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1078;s:4:\"file\";s:24:\"2020/01/about-bg-img.jpg\";s:5:\"sizes\";a:5:{s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"about-bg-img-300x168.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"about-bg-img-1024x575.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:575;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"about-bg-img-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"about-bg-img-768x431.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:431;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:25:\"about-bg-img-1536x862.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:862;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("246", "1118", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("247", "1118", "_astra_sites_image_hash", "fa5ed57ea5c520d62f997f0e3990acbf8dfb8527");
INSERT INTO `age_postmeta` VALUES("248", "1118", "_elementor_source_image_hash", "fa5ed57ea5c520d62f997f0e3990acbf8dfb8527");
INSERT INTO `age_postmeta` VALUES("249", "1119", "_wp_attached_file", "2020/01/why-choose-us.jpg");
INSERT INTO `age_postmeta` VALUES("250", "1119", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:25:\"2020/01/why-choose-us.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"why-choose-us-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"why-choose-us-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"why-choose-us-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("344", "1160", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:105;s:6:\"height\";i:35;s:4:\"file\";s:39:\"2020/02/cropped-space-logo-free-img.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("253", "1119", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("254", "1119", "_astra_sites_image_hash", "03aa59419265ea8859a502227f59ea459a10d849");
INSERT INTO `age_postmeta` VALUES("255", "1119", "_elementor_source_image_hash", "03aa59419265ea8859a502227f59ea459a10d849");
INSERT INTO `age_postmeta` VALUES("343", "1160", "_wp_attached_file", "2020/02/cropped-space-logo-free-img.png");
INSERT INTO `age_postmeta` VALUES("263", "1156", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("264", "1156", "_elementor_template_type", "kit");
INSERT INTO `age_postmeta` VALUES("265", "1156", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("272", "2", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("273", "2", "site-sidebar-layout", "no-sidebar");
INSERT INTO `age_postmeta` VALUES("274", "2", "site-content-layout", "page-builder");
INSERT INTO `age_postmeta` VALUES("275", "2", "site-post-title", "disabled");
INSERT INTO `age_postmeta` VALUES("276", "2", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("277", "2", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("278", "2", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\",\"header_size\":\"h3\",\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("279", "2", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("280", "2", "_astra_content_layout_flag", "disabled");
INSERT INTO `age_postmeta` VALUES("281", "2", "ast-title-bar-display", "disabled");
INSERT INTO `age_postmeta` VALUES("282", "2", "ast-featured-img", "disabled");
INSERT INTO `age_postmeta` VALUES("283", "2", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("284", "2", "astra-main-page-id", "24112");
INSERT INTO `age_postmeta` VALUES("285", "2", "theme-transparent-header-meta", "default");
INSERT INTO `age_postmeta` VALUES("286", "2", "_yoast_wpseo_content_score", "30");
INSERT INTO `age_postmeta` VALUES("288", "2", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("289", "2", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("290", "19", "site-sidebar-layout", "no-sidebar");
INSERT INTO `age_postmeta` VALUES("291", "19", "site-content-layout", "page-builder");
INSERT INTO `age_postmeta` VALUES("292", "19", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("293", "19", "_elementor_data", "[{\"id\":\"9erhmsy\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375}},\"elements\":[{\"id\":\"v12diir\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"pjrc9kw\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"tcpscha\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"u6e285h\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647 \\u0641\\u0636\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u06cc \\u0645\\u0627 \\u062e\\u0648\\u0634 \\u0622\\u0645\\u062f\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ldwy8a\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/section>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"243e7ft\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"np2ue97\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":0,\"bottom\":\"-50\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"xfhxvrd\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"7mowx5g\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u06a9\\u0647 \\u0647\\u0633\\u062a\\u06cc\\u0645\\n\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qxjvut9\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9ung4kd\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"fftyb35\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"fwplb74\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627\\u0645\\u0648\\u0631\\u06cc\\u062a \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"k509uxw\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"pp0r1br\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"lyeus3u\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"ykcakpi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u0646\\u0686\\u0647 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0645\\u06cc \\u062f\\u0647\\u06cc\\u0645\\n\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b8w40qi\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"wt82puy\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"iisnkcg\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"75\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\"},\"elements\":[{\"id\":\"y2rahao\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"9cnc5lh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"nr60wga\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\",\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"e1h0qfm\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647\\u060c \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f \\u062a\\u0627 \\u0628\\u0627 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc \\u0639\\u0644\\u06cc \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u062e\\u0644\\u0627\\u0642\\u06cc \\u0648 \\u0641\\u0631\\u0647\\u0646\\u06af \\u067e\\u06cc\\u0634\\u0631\\u0648 \\u062f\\u0631 \\u0632\\u0628\\u0627\\u0646 \\u0641\\u0627\\u0631\\u0633\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0631\\u062f.<\\/section>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"100\",\"bottom\":\"0\",\"left\":\"100\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"align_mobile\":\"justify\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"z69cwcb\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"v2ai30w\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"kiubch3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0648\\u0646\\u062f 6 \\u0628\\u0639\\u062f\\u06cc \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t4yqbee\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"cxnhhc9\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"g2zwx2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"athcm5y\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0633\\u062a \\u0648 \\u062c\\u0648\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"so8j3gl\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"6vtcakb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"nrq9qo2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u062e\\u0635 \\u06a9\\u0631\\u062f\\u0646\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"jgunevu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"erblyfp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"637ltuo\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"hy1mhwb\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"4vth23d\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cg81yjz\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"29ftevi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0633\\u0639\\u0647\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5cdgk39\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"4oe36ef\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"ojdl1ju\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0633\\u062a\\u0642\\u0631\\u0627\\u0631\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"nmvwevh\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"h67eqzr\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"nrk0n8f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qzubdoe\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"k73okl2\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\",\"background_background\":\"classic\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"gap\":\"no\",\"content_position\":\"top\",\"structure\":\"20\",\"background_size\":\"cover\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"4blt3wb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\",\"background_background\":\"classic\",\"background_position\":\"center right\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.25)\"},\"elements\":[{\"id\":\"757dc95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1119\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/why-choose-us.jpg\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"309d23f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"90\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"60\",\"bottom\":\"60\",\"left\":\"60\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5ff0f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0631\\u0627 \\u0645\\u0627 \\u0631\\u0627 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b759a8b\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"1\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"text\":\"Divider\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"c2e4990\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"gj6sn20\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"iv099e4\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"vkq6awr\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"3sniou9\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"979bkq8\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"xsjjacx\"}],\"border_width\":{\"unit\":\"px\",\"size\":\"1\"},\"border_color\":\"#bfbfbf\",\"title_color\":\"#8c8c8c\",\"tab_active_color\":\"#4064d7\",\"title_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"title_typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"100\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"nux0gse\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"top\",\"structure\":\"40\",\"background_background\":\"classic\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.91000000000000003108624468950438313186168670654296875},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"y78661u\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":26.917000000000001591615728102624416351318359375,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"plm7kow\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"87\",\"title\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627 \\u0628\\u0647 \\u067e\\u0627\\u06cc\\u0627\\u0646 \\u0631\\u0633\\u06cc\\u062f\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"tja05zg\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1173,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/projects-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"pzs66jg\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":23.082999999999998408384271897375583648681640625,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"hq1zfle\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"102\",\"title\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062e\\u0648\\u0634\\u062d\\u0627\\u0644\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"hgindrb\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1174,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/heart-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"7n98oyt\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"z8jtxes\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"156\",\"suffix\":\"K+\",\"thousand_separator\":\"\",\"title\":\"\\u062e\\u0637\\u0648\\u0637 \\u06a9\\u062f\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"seefvig\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1175,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/code-lines-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"rfa41w0\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"0frcirb\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"28\",\"title\":\"\\u062c\\u0648\\u0627\\u06cc\\u0632\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_typography\":\"custom\",\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"v9p3y2n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1176,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/award-icon-free-img.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("294", "19", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("295", "19", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("296", "19", "site-post-title", "disabled");
INSERT INTO `age_postmeta` VALUES("297", "19", "_astra_content_layout_flag", "disabled");
INSERT INTO `age_postmeta` VALUES("298", "19", "ast-featured-img", "disabled");
INSERT INTO `age_postmeta` VALUES("299", "19", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("300", "19", "astra-main-page-id", "24109");
INSERT INTO `age_postmeta` VALUES("301", "19", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("534", "21", "_elementor_controls_usage", "a:9:{s:6:\"column\";a:3:{s:5:\"count\";i:12;s:15:\"control_percent\";i:0;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:12;s:19:\"_inline_size_tablet\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:13:\"margin_mobile\";i:1;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:1;s:6:\"margin\";i:6;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:2:{s:21:\"background_background\";i:4;s:16:\"background_color\";i:4;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:6;s:11:\"header_size\";i:6;s:12:\"align_mobile\";i:2;s:5:\"align\";i:6;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:2;s:20:\"typography_font_size\";i:3;s:27:\"typography_font_size_mobile\";i:3;s:27:\"typography_font_size_tablet\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:14:\"_margin_tablet\";i:1;s:14:\"_margin_mobile\";i:1;s:15:\"_padding_tablet\";i:1;s:7:\"_margin\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:4:{s:5:\"align\";i:2;s:10:\"text_color\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:8:\"_padding\";i:1;s:15:\"_padding_tablet\";i:1;s:15:\"_padding_mobile\";i:1;s:7:\"_margin\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:2:{s:18:\"section_background\";a:7:{s:21:\"background_background\";i:4;s:16:\"background_image\";i:1;s:15:\"background_size\";i:1;s:21:\"background_attachment\";i:1;s:17:\"background_repeat\";i:1;s:19:\"background_position\";i:1;s:16:\"background_color\";i:2;}s:26:\"section_background_overlay\";a:3:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;s:26:\"background_overlay_opacity\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:1;s:14:\"padding_mobile\";i:1;s:7:\"padding\";i:4;s:14:\"padding_tablet\";i:4;s:13:\"margin_tablet\";i:1;s:6:\"margin\";i:2;}}s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:3;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:3;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:2:{s:5:\"color\";i:3;s:3:\"gap\";i:3;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:3:{s:5:\"width\";i:3;s:5:\"align\";i:3;s:4:\"text\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:3;}}}}s:9:\"image-box\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:5;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"title_text\";i:6;s:16:\"description_text\";i:6;s:8:\"position\";i:6;}}s:5:\"style\";a:2:{s:19:\"section_style_image\";a:2:{s:11:\"image_space\";i:6;s:10:\"image_size\";i:6;}s:21:\"section_style_content\";a:7:{s:26:\"title_typography_font_size\";i:6;s:32:\"description_typography_font_size\";i:6;s:34:\"description_typography_line_height\";i:6;s:37:\"description_typography_letter_spacing\";i:6;s:28:\"title_typography_line_height\";i:6;s:10:\"text_align\";i:6;s:17:\"text_align_mobile\";i:6;}}}}s:6:\"spacer\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:1:{s:5:\"space\";i:1;}}}}s:6:\"button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:2:{s:4:\"text\";i:1;s:5:\"align\";i:1;}}}}s:14:\"image-carousel\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:22:\"section_image_carousel\";a:5:{s:8:\"carousel\";i:1;s:14:\"slides_to_show\";i:1;s:16:\"slides_to_scroll\";i:1;s:14:\"thumbnail_size\";i:1;s:26:\"thumbnail_custom_dimension\";i:1;}}s:5:\"style\";a:2:{s:24:\"section_style_navigation\";a:2:{s:12:\"arrows_color\";i:1;s:10:\"dots_color\";i:1;}s:19:\"section_style_image\";a:1:{s:20:\"image_spacing_custom\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;s:15:\"_padding_tablet\";i:1;}}}}}");
INSERT INTO `age_postmeta` VALUES("303", "19", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("304", "19", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("305", "21", "site-sidebar-layout", "no-sidebar");
INSERT INTO `age_postmeta` VALUES("306", "21", "site-content-layout", "page-builder");
INSERT INTO `age_postmeta` VALUES("307", "21", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("308", "21", "_elementor_data", "[{\"id\":\"qbatklh\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"gacyucg\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"fpudphs\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"nbxgqiw\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"bfvioug\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0633\\u062a\\u0631\\u062f\\u0647 \\u0627\\u06cc \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0645\\u06cc \\u062f\\u0647\\u06cc\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"epplbnh\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"hdyasan\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"bwsqeuj\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4a42c5c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"941174e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"52d1ad2\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"36ab2e3\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c17c29\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"e07506e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"5bd65d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"0e11a6f\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd960fb\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"6d8aba6\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8ff98c8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"cf9e18e\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"7c36894\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"3c12822\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"a049521\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"0fb5f02\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"474f01a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"9480951\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"j9jeeft\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4sed6zz\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"1qkbery\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u06cc\\u0627\\u06cc\\u06cc\\u062f \\u0628\\u0627 \\u0647\\u0645 \\u0686\\u06cc\\u0632\\u0647\\u0627\\u06cc \\u0639\\u0627\\u0644\\u06cc \\u0628\\u0633\\u0627\\u0632\\u06cc\\u0645.\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h7bmru7\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":\"10\"}},\"elements\":[],\"widgetType\":\"spacer\"},{\"id\":\"o7ktyfo\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"-25\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"26054ce\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u067e\\u0631\\u0648\\u0698\\u0647 \\u062a\\u0627\\u0646 \\u0628\\u0647 \\u0645\\u0627 \\u0628\\u06af\\u0648\\u06cc\\u06cc\\u062f.\",\"header_size\":\"h4\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c667736\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0646\\u0642\\u0644 \\u0642\\u0648\\u0644\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"qcjaymv\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"lxqvxex\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"byrogbh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"osqklbd\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qkxmqxi\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\",\"_margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("309", "21", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("310", "21", "_astra_content_layout_flag", "disabled");
INSERT INTO `age_postmeta` VALUES("311", "21", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("312", "21", "site-post-title", "disabled");
INSERT INTO `age_postmeta` VALUES("313", "21", "_yoast_wpseo_content_score", "60");
INSERT INTO `age_postmeta` VALUES("314", "21", "ast-featured-img", "disabled");
INSERT INTO `age_postmeta` VALUES("315", "21", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("316", "21", "astra-main-page-id", "24113");
INSERT INTO `age_postmeta` VALUES("317", "21", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("319", "21", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("320", "21", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("321", "25", "site-sidebar-layout", "no-sidebar");
INSERT INTO `age_postmeta` VALUES("322", "25", "site-content-layout", "page-builder");
INSERT INTO `age_postmeta` VALUES("323", "25", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("324", "25", "_elementor_data", "[{\"id\":\"tomdjne\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"andrpxm\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"grncwim\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"zkyuezh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qlwzgqa\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ckulzuw\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"wdxhdbq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"syvw4vv\",\"elType\":\"section\",\"settings\":{\"content_position\":\"top\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"lpief2b\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"content_position\":\"top\",\"space_between_widgets\":20,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"ktxnru9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h5\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"yq4s4yk\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0627 \\u0645\\u0627 \\u062f\\u0631 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627\\u0634\\u06cc\\u062f\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"sxmd9fe\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"25\"},\"weight\":{\"unit\":\"px\",\"size\":2},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"g5eep3y\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646<\\/p>\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"gnfkh4d\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>info@demolink.org<\\/p>\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"h2zwt9p\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0644\\u0641\\u0646 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h6\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e8hphi\",\"elType\":\"widget\",\"settings\":{\"title\":\"1-800-1234-567\",\"header_size\":\"h3\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"lf67gpk\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"7oedft6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"right\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ybymlew\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":2},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"right\",\"align_mobile\":\"left\",\"gap\":{\"unit\":\"px\",\"size\":10},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9zwy8gv\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ra9e2to\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[wpforms id=\\\"7\\\" title=\\\"false\\\" description=\\\"false\\\"]\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"yqp09nj\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\"},\"elements\":[{\"id\":\"tjizj7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"9wa6oe6\",\"elType\":\"widget\",\"settings\":{\"address\":\"Glasgow\",\"height\":{\"unit\":\"px\",\"size\":\"400\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"google_maps\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("325", "25", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("326", "25", "_astra_content_layout_flag", "disabled");
INSERT INTO `age_postmeta` VALUES("327", "25", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("328", "25", "site-post-title", "disabled");
INSERT INTO `age_postmeta` VALUES("329", "25", "_yoast_wpseo_content_score", "60");
INSERT INTO `age_postmeta` VALUES("330", "25", "ast-featured-img", "disabled");
INSERT INTO `age_postmeta` VALUES("331", "25", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("332", "25", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("333", "25", "astra-main-page-id", "24111");
INSERT INTO `age_postmeta` VALUES("335", "25", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("336", "25", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("337", "725", "_menu_item_type", "post_type");
INSERT INTO `age_postmeta` VALUES("338", "725", "_menu_item_object_id", "21");
INSERT INTO `age_postmeta` VALUES("339", "725", "_menu_item_object", "page");
INSERT INTO `age_postmeta` VALUES("340", "725", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("341", "725", "_wxr_import_user_slug", "harshadd");
INSERT INTO `age_postmeta` VALUES("342", "725", "_astra_sites_imported_post", "1");
INSERT INTO `age_postmeta` VALUES("495", "1206", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("496", "1206", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("497", "1206", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("498", "1206", "_elementor_version", "2.7.6");
INSERT INTO `age_postmeta` VALUES("499", "1206", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"left\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"left\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"right\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"left\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#4c79ff\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n  |\\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633:\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("662", "1231", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("502", "1207", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("503", "1207", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("504", "1207", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("505", "1207", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("506", "1207", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"right\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#4c79ff\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n  |\\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633:\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("346", "1085", "_astra_sites_hotlink_imported", "1");
INSERT INTO `age_postmeta` VALUES("535", "1211", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("536", "1211", "_elementor_data", "[{\"id\":\"tomdjne\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"andrpxm\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"grncwim\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"zkyuezh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qlwzgqa\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ckulzuw\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"wdxhdbq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"syvw4vv\",\"elType\":\"section\",\"settings\":{\"content_position\":\"top\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"lpief2b\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"content_position\":\"top\",\"space_between_widgets\":20,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"ktxnru9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h5\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"yq4s4yk\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0627 \\u0645\\u0627 \\u062f\\u0631 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627\\u0634\\u06cc\\u062f\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"sxmd9fe\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"25\"},\"weight\":{\"unit\":\"px\",\"size\":2},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"g5eep3y\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"gnfkh4d\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>info@demolink.org<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"h2zwt9p\",\"elType\":\"widget\",\"settings\":{\"title\":\"Call Us At\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h6\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e8hphi\",\"elType\":\"widget\",\"settings\":{\"title\":\"1-800-1234-567\",\"header_size\":\"h3\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"lf67gpk\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"7oedft6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_mobile\":\"left\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ybymlew\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":2},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"right\",\"align_mobile\":\"left\",\"gap\":{\"unit\":\"px\",\"size\":10},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9zwy8gv\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ra9e2to\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[wpforms id=\\\"7\\\" title=\\\"false\\\" description=\\\"false\\\"]\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"yqp09nj\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\"},\"elements\":[{\"id\":\"tjizj7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"9wa6oe6\",\"elType\":\"widget\",\"settings\":{\"address\":\"Glasgow\",\"height\":{\"unit\":\"px\",\"size\":\"400\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"google_maps\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("537", "1211", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("538", "1211", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("539", "1211", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("540", "1211", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("542", "1212", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("543", "1212", "_elementor_data", "[{\"id\":\"tomdjne\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"andrpxm\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"grncwim\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"zkyuezh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qlwzgqa\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ckulzuw\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"wdxhdbq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"syvw4vv\",\"elType\":\"section\",\"settings\":{\"content_position\":\"top\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"lpief2b\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"content_position\":\"top\",\"space_between_widgets\":20,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"ktxnru9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h5\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"yq4s4yk\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0627 \\u0645\\u0627 \\u062f\\u0631 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627\\u0634\\u06cc\\u062f\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"sxmd9fe\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"25\"},\"weight\":{\"unit\":\"px\",\"size\":2},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"g5eep3y\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646<\\/p>\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"gnfkh4d\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>info@demolink.org<\\/p>\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"h2zwt9p\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0644\\u0641\\u0646 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h6\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e8hphi\",\"elType\":\"widget\",\"settings\":{\"title\":\"1-800-1234-567\",\"header_size\":\"h3\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"lf67gpk\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"7oedft6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ybymlew\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":2},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"right\",\"align_mobile\":\"left\",\"gap\":{\"unit\":\"px\",\"size\":10},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9zwy8gv\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ra9e2to\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[wpforms id=\\\"7\\\" title=\\\"false\\\" description=\\\"false\\\"]\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"yqp09nj\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\"},\"elements\":[{\"id\":\"tjizj7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"9wa6oe6\",\"elType\":\"widget\",\"settings\":{\"address\":\"Glasgow\",\"height\":{\"unit\":\"px\",\"size\":\"400\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"google_maps\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("544", "1212", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("545", "1212", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("546", "1212", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("547", "1212", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("610", "1223", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("611", "1223", "_elementor_data", "[{\"id\":\"tomdjne\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"andrpxm\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"grncwim\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"zkyuezh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qlwzgqa\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0627\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ckulzuw\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"wdxhdbq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"syvw4vv\",\"elType\":\"section\",\"settings\":{\"content_position\":\"top\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"lpief2b\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"content_position\":\"top\",\"space_between_widgets\":20,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"ktxnru9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h5\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"yq4s4yk\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0627 \\u0645\\u0627 \\u062f\\u0631 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627\\u0634\\u06cc\\u062f\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"sxmd9fe\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"25\"},\"weight\":{\"unit\":\"px\",\"size\":2},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"g5eep3y\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646<\\/p>\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"gnfkh4d\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>info@demolink.org<\\/p>\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"h2zwt9p\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0644\\u0641\\u0646 \\u0645\\u0627\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"header_size\":\"h6\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e8hphi\",\"elType\":\"widget\",\"settings\":{\"title\":\"1-800-1234-567\",\"header_size\":\"h3\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"lf67gpk\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"_inline_size_tablet\":50,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"7oedft6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"right\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ybymlew\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":2},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"right\",\"align_mobile\":\"left\",\"gap\":{\"unit\":\"px\",\"size\":10},\"width_mobile\":{\"unit\":\"%\",\"size\":20},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9zwy8gv\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ra9e2to\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[wpforms id=\\\"7\\\" title=\\\"false\\\" description=\\\"false\\\"]\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"yqp09nj\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\"},\"elements\":[{\"id\":\"tjizj7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"9wa6oe6\",\"elType\":\"widget\",\"settings\":{\"address\":\"Glasgow\",\"height\":{\"unit\":\"px\",\"size\":\"400\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"google_maps\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("549", "1213", "_wp_trash_meta_status", "publish");
INSERT INTO `age_postmeta` VALUES("550", "1213", "_wp_trash_meta_time", "1582400329");
INSERT INTO `age_postmeta` VALUES("551", "1214", "_wp_trash_meta_status", "publish");
INSERT INTO `age_postmeta` VALUES("552", "1214", "_wp_trash_meta_time", "1582460788");
INSERT INTO `age_postmeta` VALUES("553", "1215", "_wp_attached_file", "2020/02/businesman-hero-section2.jpg");
INSERT INTO `age_postmeta` VALUES("554", "1215", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:905;s:4:\"file\";s:36:\"2020/02/businesman-hero-section2.jpg\";s:5:\"sizes\";a:5:{s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"businesman-hero-section2-300x141.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"businesman-hero-section2-1024x483.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:483;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"businesman-hero-section2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:36:\"businesman-hero-section2-768x362.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:362;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:37:\"businesman-hero-section2-1536x724.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:724;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("347", "25", "_astra_sites_hotlink_imported", "1");
INSERT INTO `age_postmeta` VALUES("348", "1161", "_wp_attached_file", "2020/02/editing.png");
INSERT INTO `age_postmeta` VALUES("349", "1161", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:19:\"2020/02/editing.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"editing-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"editing-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"editing-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"editing-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"editing-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"editing-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("350", "1161", "_elementor_source_image_hash", "2ee8f181c3a651a1ec5671370a0f866cf0e2389e");
INSERT INTO `age_postmeta` VALUES("351", "1162", "_wp_attached_file", "2020/02/coding-1-1.png");
INSERT INTO `age_postmeta` VALUES("352", "1162", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:22:\"2020/02/coding-1-1.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"coding-1-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"coding-1-1-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"coding-1-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"coding-1-1-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:24:\"coding-1-1-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:24:\"coding-1-1-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("353", "1162", "_elementor_source_image_hash", "741e75dfc32da4e66de493b494098835f3490d3e");
INSERT INTO `age_postmeta` VALUES("354", "1163", "_wp_attached_file", "2020/02/marketing-1.png");
INSERT INTO `age_postmeta` VALUES("355", "1163", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:23:\"2020/02/marketing-1.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"marketing-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"marketing-1-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"marketing-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"marketing-1-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:25:\"marketing-1-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:25:\"marketing-1-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("356", "1163", "_elementor_source_image_hash", "d4179bbb891cf26332e62e85eb69396229dbebbb");
INSERT INTO `age_postmeta` VALUES("357", "1164", "_wp_attached_file", "2020/02/share.png");
INSERT INTO `age_postmeta` VALUES("358", "1164", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:17:\"2020/02/share.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"share-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"share-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"share-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"share-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:19:\"share-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:19:\"share-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("359", "1164", "_elementor_source_image_hash", "ad3793be2b5aa9501d59503631994f74d4fe228d");
INSERT INTO `age_postmeta` VALUES("360", "1165", "_wp_attached_file", "2020/02/cart.png");
INSERT INTO `age_postmeta` VALUES("361", "1165", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:16:\"2020/02/cart.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"cart-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:18:\"cart-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"cart-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:16:\"cart-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:18:\"cart-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:18:\"cart-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("362", "1165", "_elementor_source_image_hash", "a55c4e9d8d7343282b5cb6451fe85c33276743ed");
INSERT INTO `age_postmeta` VALUES("363", "1166", "_wp_attached_file", "2020/02/support.png");
INSERT INTO `age_postmeta` VALUES("364", "1166", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:19:\"2020/02/support.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"support-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"support-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"support-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"support-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"support-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"support-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("365", "1166", "_elementor_source_image_hash", "bf0c6487d67cb2f147791d17519e08aeba6d29c6");
INSERT INTO `age_postmeta` VALUES("366", "1167", "_wp_attached_file", "2020/02/client1.png");
INSERT INTO `age_postmeta` VALUES("367", "1167", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:19:\"2020/02/client1.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"client1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"client1-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"client1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"client1-768x484.png\";s:5:\"width\";i:768;s:6:\"height\";i:484;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"client1-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"client1-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("368", "1167", "_elementor_source_image_hash", "b6032bff12a2e1db4645647da47e99a7b06487f7");
INSERT INTO `age_postmeta` VALUES("369", "1168", "_wp_attached_file", "2020/02/client2.png");
INSERT INTO `age_postmeta` VALUES("370", "1168", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:19:\"2020/02/client2.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"client2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"client2-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"client2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"client2-768x484.png\";s:5:\"width\";i:768;s:6:\"height\";i:484;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"client2-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"client2-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("371", "1168", "_elementor_source_image_hash", "995b7514a94ef07f466485d2eea2ae46c2f3fc19");
INSERT INTO `age_postmeta` VALUES("372", "1169", "_wp_attached_file", "2020/02/client3.png");
INSERT INTO `age_postmeta` VALUES("373", "1169", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:19:\"2020/02/client3.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"client3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"client3-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"client3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"client3-768x484.png\";s:5:\"width\";i:768;s:6:\"height\";i:484;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"client3-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"client3-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("374", "1169", "_elementor_source_image_hash", "6612aaceaf9ca5493589e259766d4d237f5da314");
INSERT INTO `age_postmeta` VALUES("375", "1170", "_wp_attached_file", "2020/02/client4.png");
INSERT INTO `age_postmeta` VALUES("376", "1170", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:19:\"2020/02/client4.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"client4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"client4-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"client4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"client4-768x484.png\";s:5:\"width\";i:768;s:6:\"height\";i:484;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"client4-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"client4-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("377", "1170", "_elementor_source_image_hash", "3f39374b41f01eb3401cfd75dbd583c433498022");
INSERT INTO `age_postmeta` VALUES("378", "1171", "_wp_attached_file", "2020/02/client5.png");
INSERT INTO `age_postmeta` VALUES("379", "1171", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:19:\"2020/02/client5.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"client5-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"client5-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"client5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"client5-768x484.png\";s:5:\"width\";i:768;s:6:\"height\";i:484;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"client5-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"client5-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("380", "1171", "_elementor_source_image_hash", "7104d9f5eedf9cd916b5b7a1cfea01ea580bb256");
INSERT INTO `age_postmeta` VALUES("381", "1172", "_wp_attached_file", "2020/02/client6.png");
INSERT INTO `age_postmeta` VALUES("382", "1172", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:221;s:4:\"file\";s:19:\"2020/02/client6.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"client6-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"client6-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"client6-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"client6-768x484.png\";s:5:\"width\";i:768;s:6:\"height\";i:484;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:21:\"client6-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:21:\"client6-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("383", "1172", "_elementor_source_image_hash", "a75f5a42490af4585151159859d59d5d47b9a8a3");
INSERT INTO `age_postmeta` VALUES("527", "1210", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("528", "1210", "_elementor_data", "[{\"id\":\"qbatklh\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"gacyucg\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"fpudphs\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"nbxgqiw\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"bfvioug\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u062e\\u062f\\u0645\\u0627\\u062a \\u06af\\u0633\\u062a\\u0631\\u062f\\u0647 \\u0627\\u06cc \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0645\\u06cc \\u062f\\u0647\\u06cc\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"epplbnh\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"hdyasan\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"bwsqeuj\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4a42c5c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"941174e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"52d1ad2\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"36ab2e3\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c17c29\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"e07506e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"5bd65d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"0e11a6f\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd960fb\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"6d8aba6\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8ff98c8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"cf9e18e\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"7c36894\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"3c12822\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"a049521\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"0fb5f02\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"474f01a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"9480951\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"j9jeeft\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4sed6zz\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"1qkbery\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u06cc\\u0627\\u06cc\\u06cc\\u062f \\u0628\\u0627 \\u0647\\u0645 \\u0686\\u06cc\\u0632\\u0647\\u0627\\u06cc \\u0639\\u0627\\u0644\\u06cc \\u0628\\u0633\\u0627\\u0632\\u06cc\\u0645.\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h7bmru7\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":\"10\"}},\"elements\":[],\"widgetType\":\"spacer\"},{\"id\":\"o7ktyfo\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"-25\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"26054ce\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u067e\\u0631\\u0648\\u0698\\u0647 \\u062a\\u0627\\u0646 \\u0628\\u0647 \\u0645\\u0627 \\u0628\\u06af\\u0648\\u06cc\\u06cc\\u062f.\",\"header_size\":\"h4\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c667736\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0646\\u0642\\u0644 \\u0642\\u0648\\u0644\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"qcjaymv\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"lxqvxex\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"byrogbh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"osqklbd\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qkxmqxi\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\",\"_margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("529", "1210", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("530", "1210", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("531", "1210", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("532", "1210", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("384", "21", "_astra_sites_hotlink_imported", "1");
INSERT INTO `age_postmeta` VALUES("385", "1173", "_wp_attached_file", "2020/02/projects-icon.png");
INSERT INTO `age_postmeta` VALUES("386", "1173", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:25:\"2020/02/projects-icon.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"projects-icon-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"projects-icon-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"projects-icon-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"projects-icon-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:27:\"projects-icon-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:27:\"projects-icon-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("387", "1173", "_elementor_source_image_hash", "3a131b9b36b4c64abe93e3433d7bc8804077d20c");
INSERT INTO `age_postmeta` VALUES("388", "1174", "_wp_attached_file", "2020/02/heart-icon.png");
INSERT INTO `age_postmeta` VALUES("389", "1174", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:22:\"2020/02/heart-icon.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"heart-icon-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"heart-icon-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"heart-icon-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"heart-icon-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:24:\"heart-icon-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:24:\"heart-icon-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("390", "1174", "_elementor_source_image_hash", "ba92c4ee24b738b56655c513ca8eeb77c4ceec77");
INSERT INTO `age_postmeta` VALUES("391", "1175", "_wp_attached_file", "2020/02/code-lines-icon.png");
INSERT INTO `age_postmeta` VALUES("392", "1175", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:27:\"2020/02/code-lines-icon.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"code-lines-icon-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:29:\"code-lines-icon-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"code-lines-icon-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"code-lines-icon-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:29:\"code-lines-icon-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:29:\"code-lines-icon-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("393", "1175", "_elementor_source_image_hash", "42129e67f74bb9a1a953980350b1f8e39347b9e5");
INSERT INTO `age_postmeta` VALUES("394", "1176", "_wp_attached_file", "2020/02/award-icon-free-img.png");
INSERT INTO `age_postmeta` VALUES("395", "1176", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:64;s:6:\"height\";i:64;s:4:\"file\";s:31:\"2020/02/award-icon-free-img.png\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"award-icon-free-img-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"award-icon-free-img-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"award-icon-free-img-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"award-icon-free-img-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:33:\"award-icon-free-img-1536x1536.png\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:33:\"award-icon-free-img-2048x2048.png\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("396", "1176", "_elementor_source_image_hash", "96bcbf343576eab7b872b1be7d745e9a8c82a555");
INSERT INTO `age_postmeta` VALUES("510", "1208", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("511", "1208", "_elementor_data", "[{\"id\":\"9erhmsy\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375}},\"elements\":[{\"id\":\"v12diir\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"pjrc9kw\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"tcpscha\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"u6e285h\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647 \\u0641\\u0636\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u06cc \\u0645\\u0627 \\u062e\\u0648\\u0634 \\u0622\\u0645\\u062f\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ldwy8a\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/section>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"243e7ft\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"np2ue97\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":0,\"bottom\":\"-50\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"xfhxvrd\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"7mowx5g\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u06a9\\u0647 \\u0647\\u0633\\u062a\\u06cc\\u0645\\n\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qxjvut9\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9ung4kd\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"fftyb35\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"fwplb74\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627\\u0645\\u0648\\u0631\\u06cc\\u062a \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"k509uxw\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"pp0r1br\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"lyeus3u\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"ykcakpi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u0646\\u0686\\u0647 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0645\\u06cc \\u062f\\u0647\\u06cc\\u0645\\n\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b8w40qi\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"wt82puy\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"iisnkcg\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"75\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\"},\"elements\":[{\"id\":\"y2rahao\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"9cnc5lh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"nr60wga\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\",\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"e1h0qfm\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647\\u060c \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f \\u062a\\u0627 \\u0628\\u0627 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc \\u0639\\u0644\\u06cc \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u062e\\u0644\\u0627\\u0642\\u06cc \\u0648 \\u0641\\u0631\\u0647\\u0646\\u06af \\u067e\\u06cc\\u0634\\u0631\\u0648 \\u062f\\u0631 \\u0632\\u0628\\u0627\\u0646 \\u0641\\u0627\\u0631\\u0633\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0631\\u062f.<\\/section>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"100\",\"bottom\":\"0\",\"left\":\"100\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"align_mobile\":\"center\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"z69cwcb\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"v2ai30w\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"kiubch3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0648\\u0646\\u062f 6 \\u0628\\u0639\\u062f\\u06cc \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t4yqbee\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"cxnhhc9\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"g2zwx2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"athcm5y\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0633\\u062a \\u0648 \\u062c\\u0648\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"so8j3gl\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"6vtcakb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"nrq9qo2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u062e\\u0635 \\u06a9\\u0631\\u062f\\u0646\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"jgunevu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"erblyfp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"637ltuo\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"hy1mhwb\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"4vth23d\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cg81yjz\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"29ftevi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0633\\u0639\\u0647\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5cdgk39\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"4oe36ef\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"ojdl1ju\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0633\\u062a\\u0642\\u0631\\u0627\\u0631\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"nmvwevh\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"h67eqzr\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"nrk0n8f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qzubdoe\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"k73okl2\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\",\"background_background\":\"classic\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"gap\":\"no\",\"content_position\":\"top\",\"structure\":\"20\",\"background_size\":\"cover\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"4blt3wb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\",\"background_background\":\"classic\",\"background_position\":\"center right\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.25)\"},\"elements\":[{\"id\":\"757dc95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1119\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/why-choose-us.jpg\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"309d23f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"90\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"60\",\"bottom\":\"60\",\"left\":\"60\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5ff0f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0631\\u0627 \\u0645\\u0627 \\u0631\\u0627 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b759a8b\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"1\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"c2e4990\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"gj6sn20\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"iv099e4\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"vkq6awr\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"3sniou9\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"979bkq8\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"xsjjacx\"}],\"border_width\":{\"unit\":\"px\",\"size\":\"1\"},\"border_color\":\"#bfbfbf\",\"title_color\":\"#8c8c8c\",\"tab_active_color\":\"#4064d7\",\"title_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"title_typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"100\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"nux0gse\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"top\",\"structure\":\"40\",\"background_background\":\"classic\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.91000000000000003108624468950438313186168670654296875},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"y78661u\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":26.917000000000001591615728102624416351318359375,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"plm7kow\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"87\",\"title\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627 \\u0628\\u0647 \\u067e\\u0627\\u06cc\\u0627\\u0646 \\u0631\\u0633\\u06cc\\u062f\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"tja05zg\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1173,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/projects-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"pzs66jg\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":23.082999999999998408384271897375583648681640625,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"hq1zfle\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"102\",\"title\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062e\\u0648\\u0634\\u062d\\u0627\\u0644\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"hgindrb\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1174,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/heart-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"7n98oyt\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"z8jtxes\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"156\",\"suffix\":\"K+\",\"thousand_separator\":\"\",\"title\":\"\\u062e\\u0637\\u0648\\u0637 \\u06a9\\u062f\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"seefvig\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1175,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/code-lines-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"rfa41w0\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"0frcirb\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"28\",\"title\":\"\\u062c\\u0648\\u0627\\u06cc\\u0632\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_typography\":\"custom\",\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"v9p3y2n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1176,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/award-icon-free-img.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("512", "1208", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("513", "1208", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("514", "1208", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("515", "1208", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("518", "1209", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("519", "1209", "_elementor_data", "[{\"id\":\"9erhmsy\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":\"1118\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/about-bg-img.jpg\"},\"background_size\":\"cover\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_position\":\"center center\",\"padding\":{\"unit\":\"px\",\"top\":\"150\",\"right\":\"0\",\"bottom\":\"150\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"structure\":\"30\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375}},\"elements\":[{\"id\":\"v12diir\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false},{\"id\":\"pjrc9kw\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"70.000\",\"_inline_size_tablet\":80,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"tcpscha\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"header_size\":\"h1\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"u6e285h\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647 \\u0641\\u0636\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u06cc \\u0645\\u0627 \\u062e\\u0648\\u0634 \\u0622\\u0645\\u062f\\u06cc\\u062f\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ldwy8a\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/section>\",\"align\":\"center\",\"text_color\":\"#ffffff\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"243e7ft\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":\"15.000\",\"_inline_size_tablet\":10},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"np2ue97\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":0,\"bottom\":\"-50\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"xfhxvrd\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"7mowx5g\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u06a9\\u0647 \\u0647\\u0633\\u062a\\u06cc\\u0645\\n\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qxjvut9\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9ung4kd\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"fftyb35\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"fwplb74\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627\\u0645\\u0648\\u0631\\u06cc\\u062a \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"k509uxw\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"pp0r1br\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"lyeus3u\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"75\",\"bottom\":\"20\",\"left\":\"75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"20\",\"left\":\"25\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"20\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"ykcakpi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u0646\\u0686\\u0647 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0645\\u06cc \\u062f\\u0647\\u06cc\\u0645\\n\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b8w40qi\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"5\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"15\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"wt82puy\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"iisnkcg\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"75\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\"},\"elements\":[{\"id\":\"y2rahao\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"9cnc5lh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0627\\u0633\\u062a\\u0627\\u0646 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"nr60wga\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\",\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"e1h0qfm\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647\\u060c \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f \\u062a\\u0627 \\u0628\\u0627 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc \\u0639\\u0644\\u06cc \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u062e\\u0644\\u0627\\u0642\\u06cc \\u0648 \\u0641\\u0631\\u0647\\u0646\\u06af \\u067e\\u06cc\\u0634\\u0631\\u0648 \\u062f\\u0631 \\u0632\\u0628\\u0627\\u0646 \\u0641\\u0627\\u0631\\u0633\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0631\\u062f.<\\/section>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"100\",\"bottom\":\"0\",\"left\":\"100\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"align_mobile\":\"justify\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"z69cwcb\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"v2ai30w\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"kiubch3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0648\\u0646\\u062f 6 \\u0628\\u0639\\u062f\\u06cc \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t4yqbee\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"cxnhhc9\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"g2zwx2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"athcm5y\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0633\\u062a \\u0648 \\u062c\\u0648\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"so8j3gl\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<section id=\\\"text-copy\\\" class=\\\"output-ipsum\\\">\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/section>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"6vtcakb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"nrq9qo2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u062e\\u0635 \\u06a9\\u0631\\u062f\\u0646\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"jgunevu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"erblyfp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"637ltuo\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"hy1mhwb\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"4vth23d\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cg81yjz\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"29ftevi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0633\\u0639\\u0647\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5cdgk39\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"4oe36ef\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"ojdl1ju\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0633\\u062a\\u0642\\u0631\\u0627\\u0631\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"nmvwevh\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"h67eqzr\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"nrk0n8f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"header_size\":\"h3\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"qzubdoe\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"k73okl2\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"layout\":\"full_width\",\"background_background\":\"classic\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"gap\":\"no\",\"content_position\":\"top\",\"structure\":\"20\",\"background_size\":\"cover\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"4blt3wb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\",\"background_background\":\"classic\",\"background_position\":\"center right\",\"background_attachment\":\"scroll\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.25)\"},\"elements\":[{\"id\":\"757dc95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1119\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/why-choose-us.jpg\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"309d23f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"90\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"60\",\"bottom\":\"60\",\"left\":\"60\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"25\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5ff0f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0631\\u0627 \\u0645\\u0627 \\u0631\\u0627 \\u0627\\u0646\\u062a\\u062e\\u0627\\u0628 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align\":\"right\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b759a8b\",\"elType\":\"widget\",\"settings\":{\"weight\":{\"unit\":\"px\",\"size\":\"1\"},\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"text\":\"Divider\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"c2e4990\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"gj6sn20\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"iv099e4\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"vkq6awr\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"3sniou9\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"979bkq8\"},{\"tab_title\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0627\\u0633\\u062a\",\"tab_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"_id\":\"xsjjacx\"}],\"border_width\":{\"unit\":\"px\",\"size\":\"1\"},\"border_color\":\"#bfbfbf\",\"title_color\":\"#8c8c8c\",\"tab_active_color\":\"#4064d7\",\"title_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"title_typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"100\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"nux0gse\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"top\",\"structure\":\"40\",\"background_background\":\"classic\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.91000000000000003108624468950438313186168670654296875},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"y78661u\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":26.917000000000001591615728102624416351318359375,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"plm7kow\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"87\",\"title\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627 \\u0628\\u0647 \\u067e\\u0627\\u06cc\\u0627\\u0646 \\u0631\\u0633\\u06cc\\u062f\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"tja05zg\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1173,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/projects-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"pzs66jg\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":23.082999999999998408384271897375583648681640625,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"hq1zfle\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"102\",\"title\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u062e\\u0648\\u0634\\u062d\\u0627\\u0644\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"hgindrb\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1174,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/heart-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"7n98oyt\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"z8jtxes\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"156\",\"suffix\":\"K+\",\"thousand_separator\":\"\",\"title\":\"\\u062e\\u0637\\u0648\\u0637 \\u06a9\\u062f\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"seefvig\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1175,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/code-lines-icon.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"rfa41w0\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"0frcirb\",\"elType\":\"widget\",\"settings\":{\"starting_number\":\"\",\"ending_number\":\"28\",\"title\":\"\\u062c\\u0648\\u0627\\u06cc\\u0632\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":50},\"typography_number_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_title_typography\":\"custom\",\"typography_number_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"v9p3y2n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1176,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/award-icon-free-img.png\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"58\",\"height\":\"58\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("520", "1209", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("521", "1209", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("522", "1209", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("523", "1209", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("524", "19", "_elementor_controls_usage", "a:8:{s:6:\"column\";a:3:{s:5:\"count\";i:20;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:20;s:19:\"_inline_size_tablet\";i:5;s:16:\"content_position\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:6;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:6;s:7:\"padding\";i:4;s:14:\"padding_mobile\";i:5;s:6:\"margin\";i:1;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:6:{s:21:\"background_background\";i:2;s:19:\"background_position\";i:1;s:21:\"background_attachment\";i:1;s:17:\"background_repeat\";i:1;s:15:\"background_size\";i:1;s:16:\"background_color\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:14;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:14;s:11:\"header_size\";i:14;s:12:\"align_mobile\";i:10;s:5:\"align\";i:8;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:2;s:20:\"typography_font_size\";i:12;s:27:\"typography_font_size_mobile\";i:3;s:27:\"typography_font_size_tablet\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:14:\"_margin_tablet\";i:7;s:14:\"_margin_mobile\";i:7;s:15:\"_padding_tablet\";i:1;s:7:\"_margin\";i:6;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:11;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:11;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:6:{s:5:\"align\";i:5;s:10:\"text_color\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:1;s:27:\"typography_font_size_mobile\";i:2;s:12:\"align_mobile\";i:7;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:14:\"_margin_mobile\";i:2;s:15:\"_padding_mobile\";i:2;s:8:\"_padding\";i:7;s:15:\"_padding_tablet\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:8;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:5:\"style\";a:2:{s:18:\"section_background\";a:7:{s:21:\"background_background\";i:4;s:16:\"background_image\";i:1;s:15:\"background_size\";i:3;s:21:\"background_attachment\";i:2;s:17:\"background_repeat\";i:2;s:19:\"background_position\";i:1;s:16:\"background_color\";i:1;}s:26:\"section_background_overlay\";a:3:{s:29:\"background_overlay_background\";i:2;s:24:\"background_overlay_color\";i:1;s:26:\"background_overlay_opacity\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:1;s:14:\"padding_mobile\";i:1;s:7:\"padding\";i:8;s:14:\"padding_tablet\";i:3;s:13:\"margin_tablet\";i:1;s:6:\"margin\";i:1;}}s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:6;}s:14:\"section_layout\";a:4:{s:15:\"stretch_section\";i:5;s:6:\"layout\";i:1;s:3:\"gap\";i:1;s:16:\"content_position\";i:2;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:3:{s:6:\"weight\";i:4;s:5:\"color\";i:6;s:3:\"gap\";i:5;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:4:{s:5:\"width\";i:6;s:5:\"align\";i:5;s:4:\"text\";i:6;s:12:\"align_mobile\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_image\";a:3:{s:5:\"image\";i:5;s:10:\"image_size\";i:4;s:22:\"image_custom_dimension\";i:4;}}}}s:9:\"accordion\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:4:\"tabs\";i:1;}}s:5:\"style\";a:3:{s:19:\"section_title_style\";a:2:{s:12:\"border_width\";i:1;s:12:\"border_color\";i:1;}s:26:\"section_toggle_style_title\";a:5:{s:11:\"title_color\";i:1;s:16:\"tab_active_color\";i:1;s:26:\"title_typography_font_size\";i:1;s:33:\"title_typography_font_size_tablet\";i:1;s:28:\"title_typography_line_height\";i:1;}s:28:\"section_toggle_style_content\";a:2:{s:28:\"content_typography_font_size\";i:1;s:30:\"content_typography_line_height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;}}}}s:7:\"counter\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:4;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:15:\"section_counter\";a:5:{s:15:\"starting_number\";i:4;s:13:\"ending_number\";i:4;s:5:\"title\";i:4;s:6:\"suffix\";i:1;s:18:\"thousand_separator\";i:1;}}s:5:\"style\";a:2:{s:14:\"section_number\";a:3:{s:27:\"typography_number_font_size\";i:4;s:34:\"typography_number_font_size_tablet\";i:4;s:28:\"typography_number_typography\";i:4;}s:13:\"section_title\";a:2:{s:33:\"typography_title_font_size_tablet\";i:4;s:27:\"typography_title_typography\";i:1;}}}}}");
INSERT INTO `age_postmeta` VALUES("397", "19", "_astra_sites_hotlink_imported", "1");
INSERT INTO `age_postmeta` VALUES("398", "1177", "_wp_attached_file", "2020/02/proj7.jpg");
INSERT INTO `age_postmeta` VALUES("399", "1177", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:17:\"2020/02/proj7.jpg\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"proj7-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"proj7-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"proj7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"proj7-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:19:\"proj7-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:19:\"proj7-2048x2048.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("400", "1177", "_elementor_source_image_hash", "10bfbf47e4af9fcdf1071e4bc6d93277c41f192b");
INSERT INTO `age_postmeta` VALUES("401", "1178", "_wp_attached_file", "2020/02/proj6.jpg");
INSERT INTO `age_postmeta` VALUES("402", "1178", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:17:\"2020/02/proj6.jpg\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"proj6-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"proj6-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"proj6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"proj6-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:19:\"proj6-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:19:\"proj6-2048x2048.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("403", "1178", "_elementor_source_image_hash", "71148a1c763e04f5a255482f0650a047f8cd4cd5");
INSERT INTO `age_postmeta` VALUES("404", "1179", "_wp_attached_file", "2020/02/proj5-free-img.jpg");
INSERT INTO `age_postmeta` VALUES("405", "1179", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:26:\"2020/02/proj5-free-img.jpg\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"proj5-free-img-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"proj5-free-img-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"proj5-free-img-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"proj5-free-img-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:28:\"proj5-free-img-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:28:\"proj5-free-img-2048x2048.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `age_postmeta` VALUES("406", "1179", "_elementor_source_image_hash", "794a2e9f32d376f85a14cf17595a812c222d386f");
INSERT INTO `age_postmeta` VALUES("472", "1203", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("473", "1203", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("474", "1203", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("475", "1203", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":\"1128\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/businesman-hero-section.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center right\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"40.000\"},\"elements\":[],\"isInner\":false},{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"60.000\",\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("476", "1203", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("477", "1203", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("480", "1204", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("481", "1204", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("482", "1204", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("483", "1204", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":\"1128\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/businesman-hero-section.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center right\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"40.000\"},\"elements\":[],\"isInner\":false},{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"60.000\",\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("484", "1204", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("485", "1204", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("555", "1216", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("556", "1216", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("557", "1216", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("558", "1216", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center left\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("488", "1085", "_edit_lock", "1584812407:1");
INSERT INTO `age_postmeta` VALUES("407", "2", "_astra_sites_hotlink_imported", "1");
INSERT INTO `age_postmeta` VALUES("411", "1182", "_wp_attached_file", "2020/02/IRANSansWeb.woff");
INSERT INTO `age_postmeta` VALUES("410", "1181", "_wp_attached_file", "2020/02/IRANSansWeb.ttf");
INSERT INTO `age_postmeta` VALUES("412", "1183", "_wp_attached_file", "2020/02/IRANSansWeb.woff2");
INSERT INTO `age_postmeta` VALUES("413", "1184", "_wp_attached_file", "2020/02/IRANSansWeb.eot");
INSERT INTO `age_postmeta` VALUES("414", "1185", "_wp_attached_file", "2020/02/IRANSansWeb_Bold.woff");
INSERT INTO `age_postmeta` VALUES("415", "1186", "_wp_attached_file", "2020/02/IRANSansWeb_Bold.woff2");
INSERT INTO `age_postmeta` VALUES("416", "1187", "_wp_attached_file", "2020/02/IRANSansWeb_Bold.eot");
INSERT INTO `age_postmeta` VALUES("417", "1188", "_wp_attached_file", "2020/02/IRANSansWeb_Bold.ttf");
INSERT INTO `age_postmeta` VALUES("418", "1189", "_wp_attached_file", "2020/02/IRANSansWebFaNum.woff");
INSERT INTO `age_postmeta` VALUES("419", "1190", "_wp_attached_file", "2020/02/IRANSansWebFaNum.woff2");
INSERT INTO `age_postmeta` VALUES("420", "1191", "_wp_attached_file", "2020/02/IRANSansWebFaNum.eot");
INSERT INTO `age_postmeta` VALUES("421", "1192", "_wp_attached_file", "2020/02/IRANSansWebFaNum.ttf");
INSERT INTO `age_postmeta` VALUES("422", "1193", "_wp_attached_file", "2020/02/IRANSansWebFaNum_Bold.woff");
INSERT INTO `age_postmeta` VALUES("423", "1194", "_wp_attached_file", "2020/02/IRANSansWebFaNum_Bold.woff2");
INSERT INTO `age_postmeta` VALUES("424", "1195", "_wp_attached_file", "2020/02/IRANSansWebFaNum_Bold.eot");
INSERT INTO `age_postmeta` VALUES("425", "1196", "_wp_attached_file", "2020/02/IRANSansWebFaNum_Bold.ttf");
INSERT INTO `age_postmeta` VALUES("426", "1197", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("427", "1197", "_elementor_template_type", "kit");
INSERT INTO `age_postmeta` VALUES("428", "1197", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("432", "1198", "_edit_lock", "1582397639:1");
INSERT INTO `age_postmeta` VALUES("433", "1198", "_wp_trash_meta_status", "publish");
INSERT INTO `age_postmeta` VALUES("434", "1198", "_wp_trash_meta_time", "1582397643");
INSERT INTO `age_postmeta` VALUES("435", "19", "_edit_last", "1");
INSERT INTO `age_postmeta` VALUES("436", "1199", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("437", "1199", "_elementor_data", "s:118558:\"a:6:{i:0;a:5:{s:2:\"id\";s:7:\"9erhmsy\";s:8:\"settings\";a:33:{s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";s:4:\"1118\";s:3:\"url\";s:77:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/about-bg-img.jpg\";}s:15:\"background_size\";s:5:\"cover\";s:21:\"background_attachment\";s:6:\"scroll\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:19:\"background_position\";s:13:\"center center\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"150\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"150\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:9:\"structure\";s:2:\"30\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.59999999999999997779553950749686919152736663818359375;}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"v12diir\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"15.000\";s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:10;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"pjrc9kw\";s:8:\"settings\";a:26:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"70.000\";s:19:\"_inline_size_tablet\";i:80;s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"tcpscha\";s:8:\"settings\";a:18:{s:5:\"title\";s:8:\"About Us\";s:11:\"header_size\";s:2:\"h1\";s:11:\"title_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:6:\"center\";s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:129:\"		<div class=\"elementor-widget-container\">\n			<h1 class=\"elementor-heading-title elementor-size-default\">About Us</h1>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"u6e285h\";s:8:\"settings\";a:15:{s:5:\"title\";s:16:\"Welcome To Space\";s:11:\"header_size\";s:2:\"h4\";s:11:\"title_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:6:\"center\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:137:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Welcome To Space</h4>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"6ldwy8a\";s:8:\"settings\";a:18:{s:6:\"editor\";s:219:\"<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. Sed Fringilla Mauris Sit Amet Nibh. </p>\";s:5:\"align\";s:6:\"center\";s:10:\"text_color\";s:7:\"#ffffff\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:341:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. Sed Fringilla Mauris Sit Amet Nibh. </p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"243e7ft\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"15.000\";s:19:\"_inline_size_tablet\";i:10;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:1;a:5:{s:2:\"id\";s:7:\"np2ue97\";s:8:\"settings\";a:24:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:9:\"structure\";s:2:\"30\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"-10\";s:5:\"right\";i:0;s:6:\"bottom\";s:3:\"-50\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"xfhxvrd\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"75\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"75\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"25\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"25\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"7mowx5g\";s:8:\"settings\";a:14:{s:5:\"title\";s:11:\"Who Are We\n\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:132:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Who Are We\n</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"qxjvut9\";s:8:\"settings\";a:17:{s:6:\"weight\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:1:\"5\";}s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"15\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"9ung4kd\";s:8:\"settings\";a:12:{s:6:\"editor\";s:88:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p>\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:210:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"fftyb35\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"75\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"75\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"25\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"25\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"fwplb74\";s:8:\"settings\";a:14:{s:5:\"title\";s:11:\"Our Mission\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:132:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Our Mission</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"k509uxw\";s:8:\"settings\";a:17:{s:6:\"weight\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:1:\"5\";}s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"15\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"pp0r1br\";s:8:\"settings\";a:12:{s:6:\"editor\";s:88:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p>\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:210:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"lyeus3u\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"75\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"75\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"25\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"25\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"ykcakpi\";s:8:\"settings\";a:14:{s:5:\"title\";s:11:\"What We Do\n\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:132:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">What We Do\n</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"b8w40qi\";s:8:\"settings\";a:17:{s:6:\"weight\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:1:\"5\";}s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"15\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"wt82puy\";s:8:\"settings\";a:12:{s:6:\"editor\";s:88:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p>\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:210:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:2;a:5:{s:2:\"id\";s:7:\"iisnkcg\";s:8:\"settings\";a:24:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"75\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"75\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#f4f4f7\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"y2rahao\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"9cnc5lh\";s:8:\"settings\";a:17:{s:5:\"title\";s:11:\"Our History\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:12:\"align_mobile\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:132:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Our History</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"nr60wga\";s:8:\"settings\";a:18:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:12:\"align_mobile\";s:6:\"center\";s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"e1h0qfm\";s:8:\"settings\";a:18:{s:6:\"editor\";s:384:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo. Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\";s:5:\"align\";s:6:\"center\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:3:\"100\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:3:\"100\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:12:\"align_mobile\";s:6:\"center\";s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:506:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo. Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:3;a:5:{s:2:\"id\";s:7:\"z69cwcb\";s:8:\"settings\";a:23:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"100\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"75\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"v2ai30w\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:7:{s:2:\"id\";s:7:\"kiubch3\";s:8:\"settings\";a:16:{s:5:\"title\";s:15:\"Our 6-D Process\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Our 6-D Process</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"t4yqbee\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:5:{s:2:\"id\";s:7:\"cxnhhc9\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"g2zwx2e\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"athcm5y\";s:8:\"settings\";a:16:{s:5:\"title\";s:8:\"Discover\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"4\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:11:\"header_size\";s:2:\"h3\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:129:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Discover</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"so8j3gl\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"6vtcakb\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"nrq9qo2\";s:8:\"settings\";a:16:{s:5:\"title\";s:6:\"Define\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"4\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:11:\"header_size\";s:2:\"h3\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:127:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Define</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"jgunevu\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"erblyfp\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"637ltuo\";s:8:\"settings\";a:16:{s:5:\"title\";s:6:\"Design\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"4\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:11:\"header_size\";s:2:\"h3\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:127:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Design</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"hy1mhwb\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}i:3;a:5:{s:2:\"id\";s:7:\"4vth23d\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"cg81yjz\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"29ftevi\";s:8:\"settings\";a:16:{s:5:\"title\";s:7:\"Develop\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"4\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:11:\"header_size\";s:2:\"h3\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:128:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Develop</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"5cdgk39\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"4oe36ef\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"ojdl1ju\";s:8:\"settings\";a:16:{s:5:\"title\";s:6:\"Deploy\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"4\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:11:\"header_size\";s:2:\"h3\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:127:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Deploy</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"nmvwevh\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"h67eqzr\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"nrk0n8f\";s:8:\"settings\";a:16:{s:5:\"title\";s:7:\"Deliver\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"4\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"3\";s:8:\"isLinked\";b:0;}s:11:\"header_size\";s:2:\"h3\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:128:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Deliver</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"qzubdoe\";s:8:\"settings\";a:12:{s:6:\"editor\";s:132:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:254:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:4;a:5:{s:2:\"id\";s:7:\"k73okl2\";s:8:\"settings\";a:29:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:6:\"layout\";s:10:\"full_width\";s:21:\"background_background\";s:7:\"classic\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:0:\"\";s:5:\"right\";i:0;s:6:\"bottom\";s:0:\"\";s:4:\"left\";i:0;s:8:\"isLinked\";b:1;}s:3:\"gap\";s:2:\"no\";s:16:\"content_position\";s:3:\"top\";s:9:\"structure\";s:2:\"20\";s:15:\"background_size\";s:5:\"cover\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:5:{s:2:\"id\";s:7:\"4blt3wb\";s:8:\"settings\";a:31:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";N;s:19:\"_inline_size_tablet\";i:100;s:16:\"content_position\";s:6:\"center\";s:21:\"background_background\";s:7:\"classic\";s:19:\"background_position\";s:12:\"center right\";s:21:\"background_attachment\";s:6:\"scroll\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:16:\"rgba(0,0,0,0.25)\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"757dc95\";s:8:\"settings\";a:11:{s:5:\"image\";a:2:{s:2:\"id\";s:4:\"1119\";s:3:\"url\";s:78:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:602:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img width=\"1000\" height=\"667\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg\" class=\"attachment-large size-large\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg 1000w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-300x200.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-768x512.jpg 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" />											</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"309d23f\";s:8:\"settings\";a:29:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";N;s:19:\"_inline_size_tablet\";i:100;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#f4f4f7\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:2:\"90\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"60\";s:5:\"right\";s:2:\"60\";s:6:\"bottom\";s:2:\"60\";s:4:\"left\";s:2:\"60\";s:8:\"isLinked\";b:1;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:2:\"25\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:2:\"25\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"2e5ff0f\";s:8:\"settings\";a:15:{s:5:\"title\";s:14:\"Why Choose Us?\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:4:\"left\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:135:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Why Choose Us?</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"b759a8b\";s:8:\"settings\";a:15:{s:6:\"weight\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:1:\"1\";}s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"c2e4990\";s:8:\"settings\";a:25:{s:4:\"tabs\";a:6:{i:0;a:3:{s:9:\"tab_title\";s:20:\"Best Quality Designs\";s:11:\"tab_content\";s:172:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:3:\"_id\";s:7:\"gj6sn20\";}i:1;a:3:{s:9:\"tab_title\";s:17:\"24x7 Live Support\";s:11:\"tab_content\";s:172:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:3:\"_id\";s:7:\"iv099e4\";}i:2;a:3:{s:9:\"tab_title\";s:24:\"Result Oriented Projects\";s:11:\"tab_content\";s:172:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:3:\"_id\";s:7:\"vkq6awr\";}i:3;a:3:{s:9:\"tab_title\";s:26:\"Award Winning Support Team\";s:11:\"tab_content\";s:172:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:3:\"_id\";s:7:\"3sniou9\";}i:4;a:3:{s:9:\"tab_title\";s:19:\"Best ROI Techniques\";s:11:\"tab_content\";s:172:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:3:\"_id\";s:7:\"979bkq8\";}i:5;a:3:{s:9:\"tab_title\";s:25:\"Experienced Professionals\";s:11:\"tab_content\";s:172:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:3:\"_id\";s:7:\"xsjjacx\";}}s:10:\"icon_align\";s:5:\"right\";s:12:\"border_width\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:1:\"1\";}s:12:\"border_color\";s:7:\"#bfbfbf\";s:11:\"title_color\";s:7:\"#8c8c8c\";s:16:\"tab_active_color\";s:7:\"#4064d7\";s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:33:\"title_typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:28:\"content_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:30:\"content_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:3:\"100\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:13:\"selected_icon\";a:2:{s:5:\"value\";s:11:\"fas fa-plus\";s:7:\"library\";s:8:\"fa-solid\";}s:20:\"selected_active_icon\";a:2:{s:5:\"value\";s:12:\"fas fa-minus\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"accordion\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:5569:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-accordion\" role=\"tablist\">\n							<div class=\"elementor-accordion-item\">\n					<div id=\"elementor-tab-title-2041\" class=\"elementor-tab-title\" data-tab=\"1\" role=\"tab\" aria-controls=\"elementor-tab-content-2041\">\n													<span class=\"elementor-accordion-icon elementor-accordion-icon-right\" aria-hidden=\"true\">\n															<span class=\"elementor-accordion-icon-closed\"><i class=\"fas fa-plus\"></i></span>\n								<span class=\"elementor-accordion-icon-opened\"><i class=\"fas fa-minus\"></i></span>\n														</span>\n												<a href=\"\">Best Quality Designs</a>\n					</div>\n					<div id=\"elementor-tab-content-2041\" class=\"elementor-tab-content elementor-clearfix\" data-tab=\"1\" role=\"tabpanel\" aria-labelledby=\"elementor-tab-title-2041\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n							<div class=\"elementor-accordion-item\">\n					<div id=\"elementor-tab-title-2042\" class=\"elementor-tab-title\" data-tab=\"2\" role=\"tab\" aria-controls=\"elementor-tab-content-2042\">\n													<span class=\"elementor-accordion-icon elementor-accordion-icon-right\" aria-hidden=\"true\">\n															<span class=\"elementor-accordion-icon-closed\"><i class=\"fas fa-plus\"></i></span>\n								<span class=\"elementor-accordion-icon-opened\"><i class=\"fas fa-minus\"></i></span>\n														</span>\n												<a href=\"\">24x7 Live Support</a>\n					</div>\n					<div id=\"elementor-tab-content-2042\" class=\"elementor-tab-content elementor-clearfix\" data-tab=\"2\" role=\"tabpanel\" aria-labelledby=\"elementor-tab-title-2042\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n							<div class=\"elementor-accordion-item\">\n					<div id=\"elementor-tab-title-2043\" class=\"elementor-tab-title\" data-tab=\"3\" role=\"tab\" aria-controls=\"elementor-tab-content-2043\">\n													<span class=\"elementor-accordion-icon elementor-accordion-icon-right\" aria-hidden=\"true\">\n															<span class=\"elementor-accordion-icon-closed\"><i class=\"fas fa-plus\"></i></span>\n								<span class=\"elementor-accordion-icon-opened\"><i class=\"fas fa-minus\"></i></span>\n														</span>\n												<a href=\"\">Result Oriented Projects</a>\n					</div>\n					<div id=\"elementor-tab-content-2043\" class=\"elementor-tab-content elementor-clearfix\" data-tab=\"3\" role=\"tabpanel\" aria-labelledby=\"elementor-tab-title-2043\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n							<div class=\"elementor-accordion-item\">\n					<div id=\"elementor-tab-title-2044\" class=\"elementor-tab-title\" data-tab=\"4\" role=\"tab\" aria-controls=\"elementor-tab-content-2044\">\n													<span class=\"elementor-accordion-icon elementor-accordion-icon-right\" aria-hidden=\"true\">\n															<span class=\"elementor-accordion-icon-closed\"><i class=\"fas fa-plus\"></i></span>\n								<span class=\"elementor-accordion-icon-opened\"><i class=\"fas fa-minus\"></i></span>\n														</span>\n												<a href=\"\">Award Winning Support Team</a>\n					</div>\n					<div id=\"elementor-tab-content-2044\" class=\"elementor-tab-content elementor-clearfix\" data-tab=\"4\" role=\"tabpanel\" aria-labelledby=\"elementor-tab-title-2044\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n							<div class=\"elementor-accordion-item\">\n					<div id=\"elementor-tab-title-2045\" class=\"elementor-tab-title\" data-tab=\"5\" role=\"tab\" aria-controls=\"elementor-tab-content-2045\">\n													<span class=\"elementor-accordion-icon elementor-accordion-icon-right\" aria-hidden=\"true\">\n															<span class=\"elementor-accordion-icon-closed\"><i class=\"fas fa-plus\"></i></span>\n								<span class=\"elementor-accordion-icon-opened\"><i class=\"fas fa-minus\"></i></span>\n														</span>\n												<a href=\"\">Best ROI Techniques</a>\n					</div>\n					<div id=\"elementor-tab-content-2045\" class=\"elementor-tab-content elementor-clearfix\" data-tab=\"5\" role=\"tabpanel\" aria-labelledby=\"elementor-tab-title-2045\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n							<div class=\"elementor-accordion-item\">\n					<div id=\"elementor-tab-title-2046\" class=\"elementor-tab-title\" data-tab=\"6\" role=\"tab\" aria-controls=\"elementor-tab-content-2046\">\n													<span class=\"elementor-accordion-icon elementor-accordion-icon-right\" aria-hidden=\"true\">\n															<span class=\"elementor-accordion-icon-closed\"><i class=\"fas fa-plus\"></i></span>\n								<span class=\"elementor-accordion-icon-opened\"><i class=\"fas fa-minus\"></i></span>\n														</span>\n												<a href=\"\">Experienced Professionals</a>\n					</div>\n					<div id=\"elementor-tab-content-2046\" class=\"elementor-tab-content elementor-clearfix\" data-tab=\"6\" role=\"tabpanel\" aria-labelledby=\"elementor-tab-title-2046\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:5;a:5:{s:2:\"id\";s:7:\"nux0gse\";s:8:\"settings\";a:31:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:16:\"content_position\";s:3:\"top\";s:9:\"structure\";s:2:\"40\";s:21:\"background_background\";s:7:\"classic\";s:21:\"background_attachment\";s:5:\"fixed\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.91000000000000003108624468950438313186168670654296875;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"100\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"100\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:5:{s:2:\"id\";s:7:\"y78661u\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";d:26.917000000000001591615728102624416351318359375;s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"plm7kow\";s:8:\"settings\";a:17:{s:15:\"starting_number\";s:0:\"\";s:13:\"ending_number\";s:2:\"87\";s:5:\"title\";s:18:\"Projects Completed\";s:27:\"typography_number_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:34:\"typography_number_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:33:\"typography_title_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:28:\"typography_number_typography\";s:6:\"custom\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"counter\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:479:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-counter\">\n			<div class=\"elementor-counter-number-wrapper\">\n				<span class=\"elementor-counter-number-prefix\"></span>\n				<span class=\"elementor-counter-number\" data-duration=\"2000\" data-to-value=\"87\" data-from-value=\"\" data-delimiter=\",\"></span>\n				<span class=\"elementor-counter-number-suffix\"></span>\n			</div>\n							<div class=\"elementor-counter-title\">Projects Completed</div>\n					</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"tja05zg\";s:8:\"settings\";a:13:{s:5:\"image\";a:2:{s:2:\"id\";i:1173;s:3:\"url\";s:78:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/projects-icon.png\";}s:10:\"image_size\";s:6:\"custom\";s:22:\"image_custom_dimension\";a:2:{s:5:\"width\";s:2:\"58\";s:6:\"height\";s:2:\"58\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:314:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/projects-icon-free-img-oljyzcuw23wcyz9ghzto1gpo8m9ebedwzhgqgk275w.png\" title=\"projects-icon\" alt=\"projects-icon\" />											</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"pzs66jg\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";d:23.082999999999998408384271897375583648681640625;s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"hq1zfle\";s:8:\"settings\";a:17:{s:15:\"starting_number\";s:0:\"\";s:13:\"ending_number\";s:3:\"102\";s:5:\"title\";s:13:\"Happy Clients\";s:27:\"typography_number_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:34:\"typography_number_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:33:\"typography_title_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:28:\"typography_number_typography\";s:6:\"custom\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"counter\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:475:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-counter\">\n			<div class=\"elementor-counter-number-wrapper\">\n				<span class=\"elementor-counter-number-prefix\"></span>\n				<span class=\"elementor-counter-number\" data-duration=\"2000\" data-to-value=\"102\" data-from-value=\"\" data-delimiter=\",\"></span>\n				<span class=\"elementor-counter-number-suffix\"></span>\n			</div>\n							<div class=\"elementor-counter-title\">Happy Clients</div>\n					</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"hgindrb\";s:8:\"settings\";a:13:{s:5:\"image\";a:2:{s:2:\"id\";i:1174;s:3:\"url\";s:75:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/heart-icon.png\";}s:10:\"image_size\";s:6:\"custom\";s:22:\"image_custom_dimension\";a:2:{s:5:\"width\";s:2:\"58\";s:6:\"height\";s:2:\"58\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:305:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/heart-icon-free-img-oljyzbx1v9v2ndatnhf1gyy7n8e13pa6nct8za3lc4.png\" title=\"heart-icon\" alt=\"heart-icon\" />											</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"7n98oyt\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";N;s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"z8jtxes\";s:8:\"settings\";a:19:{s:15:\"starting_number\";s:0:\"\";s:13:\"ending_number\";s:3:\"156\";s:6:\"suffix\";s:2:\"K+\";s:18:\"thousand_separator\";s:0:\"\";s:5:\"title\";s:13:\"Lines Of Code\";s:27:\"typography_number_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:34:\"typography_number_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:33:\"typography_title_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:28:\"typography_number_typography\";s:6:\"custom\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"counter\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:458:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-counter\">\n			<div class=\"elementor-counter-number-wrapper\">\n				<span class=\"elementor-counter-number-prefix\"></span>\n				<span class=\"elementor-counter-number\" data-duration=\"2000\" data-to-value=\"156\" data-from-value=\"\"></span>\n				<span class=\"elementor-counter-number-suffix\">K+</span>\n			</div>\n							<div class=\"elementor-counter-title\">Lines Of Code</div>\n					</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"seefvig\";s:8:\"settings\";a:13:{s:5:\"image\";a:2:{s:2:\"id\";i:1175;s:3:\"url\";s:80:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/code-lines-icon.png\";}s:10:\"image_size\";s:6:\"custom\";s:22:\"image_custom_dimension\";a:2:{s:5:\"width\";s:2:\"58\";s:6:\"height\";s:2:\"58\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:320:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/code-lines-icon-free-img-oljyzdsq8xxnal83ci8alyh4u04rj3hnbm47xu0szo.png\" title=\"code-lines-icon\" alt=\"code-lines-icon\" />											</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:3;a:5:{s:2:\"id\";s:7:\"rfa41w0\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";N;s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:7:{s:2:\"id\";s:7:\"0frcirb\";s:8:\"settings\";a:18:{s:15:\"starting_number\";s:0:\"\";s:13:\"ending_number\";s:2:\"28\";s:5:\"title\";s:6:\"Awards\";s:27:\"typography_number_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:34:\"typography_number_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:33:\"typography_title_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_title_typography\";s:6:\"custom\";s:28:\"typography_number_typography\";s:6:\"custom\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"counter\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:467:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-counter\">\n			<div class=\"elementor-counter-number-wrapper\">\n				<span class=\"elementor-counter-number-prefix\"></span>\n				<span class=\"elementor-counter-number\" data-duration=\"2000\" data-to-value=\"28\" data-from-value=\"\" data-delimiter=\",\"></span>\n				<span class=\"elementor-counter-number-suffix\"></span>\n			</div>\n							<div class=\"elementor-counter-title\">Awards</div>\n					</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"v9p3y2n\";s:8:\"settings\";a:13:{s:5:\"image\";a:2:{s:2:\"id\";i:1176;s:3:\"url\";s:84:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/award-icon-free-img.png\";}s:10:\"image_size\";s:6:\"custom\";s:22:\"image_custom_dimension\";a:2:{s:5:\"width\";s:2:\"58\";s:6:\"height\";s:2:\"58\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:305:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/award-icon-free-img-oljyzaz7oftsbrc6sz0ewh6r1uinw06gb85ri04zic.png\" title=\"award-icon\" alt=\"award-icon\" />											</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}}\";");
INSERT INTO `age_postmeta` VALUES("438", "1199", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("439", "1199", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("440", "1199", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("441", "1199", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.600000000000000088817841970012523233890533447265625;}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:60;}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:42;}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:15;}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("442", "1199", "_elementor_controls_usage", "a:8:{s:6:\"column\";a:3:{s:5:\"count\";i:20;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:20;s:19:\"_inline_size_tablet\";i:5;s:16:\"content_position\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:6;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:6;s:7:\"padding\";i:4;s:14:\"padding_mobile\";i:5;s:6:\"margin\";i:1;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:6:{s:21:\"background_background\";i:2;s:19:\"background_position\";i:1;s:21:\"background_attachment\";i:1;s:17:\"background_repeat\";i:1;s:15:\"background_size\";i:1;s:16:\"background_color\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:14;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:14;s:11:\"header_size\";i:14;s:12:\"align_mobile\";i:3;s:5:\"align\";i:8;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:2;s:20:\"typography_font_size\";i:12;s:27:\"typography_font_size_mobile\";i:3;s:27:\"typography_font_size_tablet\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:14:\"_margin_tablet\";i:7;s:14:\"_margin_mobile\";i:7;s:15:\"_padding_tablet\";i:1;s:7:\"_margin\";i:6;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:11;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:11;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:6:{s:5:\"align\";i:5;s:10:\"text_color\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:1;s:27:\"typography_font_size_mobile\";i:2;s:12:\"align_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:14:\"_margin_mobile\";i:2;s:15:\"_padding_mobile\";i:2;s:8:\"_padding\";i:7;s:15:\"_padding_tablet\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:8;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:5:\"style\";a:2:{s:18:\"section_background\";a:7:{s:21:\"background_background\";i:4;s:16:\"background_image\";i:1;s:15:\"background_size\";i:3;s:21:\"background_attachment\";i:2;s:17:\"background_repeat\";i:2;s:19:\"background_position\";i:1;s:16:\"background_color\";i:1;}s:26:\"section_background_overlay\";a:3:{s:29:\"background_overlay_background\";i:2;s:24:\"background_overlay_color\";i:1;s:26:\"background_overlay_opacity\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:1;s:14:\"padding_mobile\";i:1;s:7:\"padding\";i:8;s:14:\"padding_tablet\";i:3;s:13:\"margin_tablet\";i:1;s:6:\"margin\";i:1;}}s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:6;}s:14:\"section_layout\";a:4:{s:15:\"stretch_section\";i:5;s:6:\"layout\";i:1;s:3:\"gap\";i:1;s:16:\"content_position\";i:2;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:3:{s:6:\"weight\";i:4;s:5:\"color\";i:6;s:3:\"gap\";i:5;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:3:{s:5:\"width\";i:6;s:5:\"align\";i:5;s:12:\"align_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_image\";a:3:{s:5:\"image\";i:5;s:10:\"image_size\";i:4;s:22:\"image_custom_dimension\";i:4;}}}}s:9:\"accordion\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:4:\"tabs\";i:1;}}s:5:\"style\";a:4:{s:25:\"section_toggle_style_icon\";a:1:{s:10:\"icon_align\";i:1;}s:19:\"section_title_style\";a:2:{s:12:\"border_width\";i:1;s:12:\"border_color\";i:1;}s:26:\"section_toggle_style_title\";a:5:{s:11:\"title_color\";i:1;s:16:\"tab_active_color\";i:1;s:26:\"title_typography_font_size\";i:1;s:33:\"title_typography_font_size_tablet\";i:1;s:28:\"title_typography_line_height\";i:1;}s:28:\"section_toggle_style_content\";a:2:{s:28:\"content_typography_font_size\";i:1;s:30:\"content_typography_line_height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;}}}}s:7:\"counter\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:4;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:15:\"section_counter\";a:5:{s:15:\"starting_number\";i:4;s:13:\"ending_number\";i:4;s:5:\"title\";i:4;s:6:\"suffix\";i:1;s:18:\"thousand_separator\";i:1;}}s:5:\"style\";a:2:{s:14:\"section_number\";a:3:{s:27:\"typography_number_font_size\";i:4;s:34:\"typography_number_font_size_tablet\";i:4;s:28:\"typography_number_typography\";i:4;}s:13:\"section_title\";a:2:{s:33:\"typography_title_font_size_tablet\";i:4;s:27:\"typography_title_typography\";i:1;}}}}}");
INSERT INTO `age_postmeta` VALUES("443", "19", "_edit_lock", "1582399106:1");
INSERT INTO `age_postmeta` VALUES("444", "25", "_edit_last", "1");
INSERT INTO `age_postmeta` VALUES("445", "1200", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("446", "1200", "_elementor_data", "s:38996:\"a:3:{i:0;a:5:{s:2:\"id\";s:7:\"tomdjne\";s:8:\"settings\";a:34:{s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";s:4:\"1118\";s:3:\"url\";s:77:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/about-bg-img.jpg\";}s:15:\"background_size\";s:5:\"cover\";s:21:\"background_attachment\";s:6:\"scroll\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:19:\"background_position\";s:13:\"center center\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"150\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"150\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:9:\"structure\";s:2:\"30\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.59999999999999997779553950749686919152736663818359375;}s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"andrpxm\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"15.000\";s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:10;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"grncwim\";s:8:\"settings\";a:27:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"70.000\";s:19:\"_inline_size_tablet\";i:80;s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"zkyuezh\";s:8:\"settings\";a:18:{s:5:\"title\";s:10:\"Contact Us\";s:11:\"header_size\";s:2:\"h1\";s:11:\"title_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:6:\"center\";s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:131:\"		<div class=\"elementor-widget-container\">\n			<h1 class=\"elementor-heading-title elementor-size-default\">Contact Us</h1>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"qlwzgqa\";s:8:\"settings\";a:15:{s:5:\"title\";s:37:\"Contact For Premium Business Services\";s:11:\"header_size\";s:2:\"h4\";s:11:\"title_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:6:\"center\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:158:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Contact For Premium Business Services</h4>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"ckulzuw\";s:8:\"settings\";a:15:{s:6:\"editor\";s:183:\"<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. </p>\";s:5:\"align\";s:6:\"center\";s:10:\"text_color\";s:7:\"#ffffff\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:305:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. </p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"wdxhdbq\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"15.000\";s:19:\"_inline_size_tablet\";i:10;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:1;a:5:{s:2:\"id\";s:7:\"syvw4vv\";s:8:\"settings\";a:25:{s:16:\"content_position\";s:3:\"top\";s:9:\"structure\";s:2:\"20\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"100\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"30\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:5:{s:2:\"id\";s:7:\"lpief2b\";s:8:\"settings\";a:26:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";i:50;s:19:\"_inline_size_tablet\";i:50;s:16:\"content_position\";s:3:\"top\";s:21:\"space_between_widgets\";i:20;s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:7:{i:0;a:7:{s:2:\"id\";s:7:\"ktxnru9\";s:8:\"settings\";a:14:{s:5:\"title\";s:10:\"Contact Us\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:25:\"typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:11:\"header_size\";s:2:\"h5\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:131:\"		<div class=\"elementor-widget-container\">\n			<h5 class=\"elementor-heading-title elementor-size-default\">Contact Us</h5>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"yq4s4yk\";s:8:\"settings\";a:12:{s:5:\"title\";s:12:\"Get In Touch\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:133:\"		<div class=\"elementor-widget-container\">\n			<h2 class=\"elementor-heading-title elementor-size-default\">Get In Touch</h2>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"sxmd9fe\";s:8:\"settings\";a:16:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"25\";}s:6:\"weight\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:12:\"width_mobile\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:20;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"g5eep3y\";s:8:\"settings\";a:11:{s:6:\"editor\";s:42:\"<p>4578 Marmora Road, Glasgow D04 89GR</p>\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:164:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>4578 Marmora Road, Glasgow D04 89GR</p></div>\n				</div>\n		\";}i:4;a:7:{s:2:\"id\";s:7:\"gnfkh4d\";s:8:\"settings\";a:11:{s:6:\"editor\";s:24:\"<p>info@demolink.org</p>\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:146:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>info@demolink.org</p></div>\n				</div>\n		\";}i:5;a:7:{s:2:\"id\";s:7:\"h2zwt9p\";s:8:\"settings\";a:14:{s:5:\"title\";s:10:\"Call Us At\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:25:\"typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:11:\"header_size\";s:2:\"h6\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:131:\"		<div class=\"elementor-widget-container\">\n			<h6 class=\"elementor-heading-title elementor-size-default\">Call Us At</h6>		</div>\n		\";}i:6;a:7:{s:2:\"id\";s:7:\"4e8hphi\";s:8:\"settings\";a:13:{s:5:\"title\";s:14:\"1-800-1234-567\";s:11:\"header_size\";s:2:\"h3\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:135:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">1-800-1234-567</h3>		</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"lf67gpk\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";i:50;s:19:\"_inline_size_tablet\";i:50;s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:7:{s:2:\"id\";s:7:\"7oedft6\";s:8:\"settings\";a:17:{s:5:\"title\";s:27:\"Request A Free Consultation\";s:12:\"align_mobile\";s:4:\"left\";s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:5:\"align\";s:4:\"left\";s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:148:\"		<div class=\"elementor-widget-container\">\n			<h2 class=\"elementor-heading-title elementor-size-default\">Request A Free Consultation</h2>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"ybymlew\";s:8:\"settings\";a:19:{s:6:\"weight\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:4:\"left\";s:12:\"align_mobile\";s:4:\"left\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:10;}s:12:\"width_mobile\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:20;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"9zwy8gv\";s:8:\"settings\";a:14:{s:6:\"editor\";s:112:\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur malesuada bibendum ante vel convallis.</p>\";s:5:\"align\";s:4:\"left\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:234:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur malesuada bibendum ante vel convallis.</p></div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"ra9e2to\";s:8:\"settings\";a:11:{s:9:\"shortcode\";s:50:\"[wpforms id=\"7\" title=\"false\" description=\"false\"]\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"shortcode\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:2312:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-shortcode\"><div class=\"wpforms-container \" id=\"wpforms-7\"><form id=\"wpforms-form-7\" class=\"wpforms-validate wpforms-form\" data-formid=\"7\" method=\"post\" enctype=\"multipart/form-data\" action=\"/agency-02/wp-cron.php?doing_wp_cron=1582397076.0141639709472656250000\"><noscript class=\"wpforms-error-noscript\">Please enable JavaScript in your browser to complete this form.</noscript><div class=\"wpforms-field-container\"><div id=\"wpforms-7-field_0-container\" class=\"wpforms-field wpforms-field-name\" data-field-id=\"0\"><label class=\"wpforms-field-label wpforms-label-hide\" for=\"wpforms-7-field_0\">Name <span class=\"wpforms-required-label\">*</span></label><input type=\"text\" id=\"wpforms-7-field_0\" class=\"wpforms-field-large wpforms-field-required\" name=\"wpforms[fields][0]\" placeholder=\"Your name*\" required></div><div id=\"wpforms-7-field_1-container\" class=\"wpforms-field wpforms-field-email\" data-field-id=\"1\"><label class=\"wpforms-field-label wpforms-label-hide\" for=\"wpforms-7-field_1\">Email <span class=\"wpforms-required-label\">*</span></label><input type=\"email\" id=\"wpforms-7-field_1\" class=\"wpforms-field-large wpforms-field-required\" name=\"wpforms[fields][1]\" placeholder=\"Your email*\" required></div><div id=\"wpforms-7-field_2-container\" class=\"wpforms-field wpforms-field-textarea\" data-field-id=\"2\"><label class=\"wpforms-field-label wpforms-label-hide\" for=\"wpforms-7-field_2\">Message <span class=\"wpforms-required-label\">*</span></label><textarea id=\"wpforms-7-field_2\" class=\"wpforms-field-medium wpforms-field-required\" name=\"wpforms[fields][2]\" placeholder=\"Your message*\" required></textarea></div></div><div class=\"wpforms-field wpforms-field-hp\"><label for=\"wpforms-7-field-hp\" class=\"wpforms-field-label\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-7-field-hp\" class=\"wpforms-field-medium\"></div><div class=\"wpforms-submit-container\" ><input type=\"hidden\" name=\"wpforms[id]\" value=\"7\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"0\"><button type=\"submit\" name=\"wpforms[submit]\" class=\"wpforms-submit \" id=\"wpforms-submit-7\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></div></form></div>  <!-- .wpforms-container --></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:2;a:5:{s:2:\"id\";s:7:\"yqp09nj\";s:8:\"settings\";a:22:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:6:\"layout\";s:10:\"full_width\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"tjizj7e\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"content_position\";s:6:\"center\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"9wa6oe6\";s:8:\"settings\";a:14:{s:7:\"address\";s:7:\"Glasgow\";s:6:\"height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:3:\"400\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"google_maps\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:295:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-custom-embed\"><iframe frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"https://maps.google.com/maps?q=Glasgow&amp;t=m&amp;z=10&amp;output=embed&amp;iwloc=near\" aria-label=\"Glasgow\"></iframe></div>		</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}}\";");
INSERT INTO `age_postmeta` VALUES("447", "1200", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("448", "1200", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("449", "1200", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("450", "1200", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.600000000000000088817841970012523233890533447265625;}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:60;}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:42;}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:15;}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("451", "1200", "_elementor_controls_usage", "a:7:{s:6:\"column\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:4:{s:12:\"_inline_size\";i:6;s:19:\"_inline_size_tablet\";i:5;s:16:\"content_position\";i:2;s:21:\"space_between_widgets\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:2;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:3;s:14:\"padding_mobile\";i:1;s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:7;s:11:\"header_size\";i:5;s:12:\"align_mobile\";i:3;s:5:\"align\";i:3;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:2;s:20:\"typography_font_size\";i:4;s:25:\"typography_letter_spacing\";i:2;s:27:\"typography_font_size_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:14:\"_margin_tablet\";i:2;s:14:\"_margin_mobile\";i:2;s:15:\"_padding_tablet\";i:2;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:4;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:4:{s:5:\"align\";i:2;s:10:\"text_color\";i:1;s:20:\"typography_font_size\";i:2;s:22:\"typography_line_height\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:5:\"style\";a:2:{s:18:\"section_background\";a:6:{s:21:\"background_background\";i:1;s:16:\"background_image\";i:1;s:15:\"background_size\";i:1;s:21:\"background_attachment\";i:1;s:17:\"background_repeat\";i:1;s:19:\"background_position\";i:1;}s:26:\"section_background_overlay\";a:3:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;s:26:\"background_overlay_opacity\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:5:{s:13:\"margin_mobile\";i:1;s:14:\"padding_mobile\";i:2;s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:13:\"margin_tablet\";i:1;}}s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}s:14:\"section_layout\";a:3:{s:16:\"content_position\";i:1;s:15:\"stretch_section\";i:1;s:6:\"layout\";i:1;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:3:{s:5:\"color\";i:2;s:6:\"weight\";i:2;s:3:\"gap\";i:1;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:4:{s:5:\"width\";i:2;s:12:\"width_mobile\";i:2;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;}}}}s:9:\"shortcode\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:17:\"section_shortcode\";a:1:{s:9:\"shortcode\";i:1;}}}}s:11:\"google_maps\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:11:\"section_map\";a:2:{s:7:\"address\";i:1;s:6:\"height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}}");
INSERT INTO `age_postmeta` VALUES("452", "25", "_edit_lock", "1582462457:1");
INSERT INTO `age_postmeta` VALUES("453", "2", "_edit_last", "1");
INSERT INTO `age_postmeta` VALUES("454", "1201", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("455", "1201", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("456", "1201", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.600000000000000088817841970012523233890533447265625;}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:60;}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:42;}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:15;}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("457", "1201", "_elementor_data", "s:133669:\"a:6:{i:0;a:5:{s:2:\"id\";s:7:\"3vfx5aa\";s:8:\"settings\";a:47:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";s:4:\"1128\";s:3:\"url\";s:88:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/businesman-hero-section.jpg\";}s:25:\"shape_divider_bottom_flip\";s:3:\"yes\";s:29:\"background_overlay_background\";s:7:\"classic\";s:26:\"background_overlay_color_b\";s:7:\"#2bffcd\";s:33:\"background_overlay_gradient_angle\";a:2:{s:4:\"unit\";s:3:\"deg\";s:4:\"size\";i:90;}s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1;}s:26:\"shape_divider_bottom_color\";s:7:\"#ffffff\";s:27:\"shape_divider_bottom_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:100;}s:34:\"shape_divider_bottom_height_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"65\";}s:29:\"shape_divider_bottom_negative\";s:3:\"yes\";s:34:\"shape_divider_bottom_above_content\";s:3:\"yes\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:9:\"structure\";s:2:\"20\";s:19:\"background_position\";s:12:\"center right\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:1;}s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:1;}s:9:\"animation\";s:6:\"fadeIn\";s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"250\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"250\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_color\";s:7:\"#FFFFFF\";s:27:\"background_overlay_position\";s:13:\"center center\";s:22:\"css_filters_brightness\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:68;s:5:\"sizes\";a:0:{}}s:20:\"css_filters_saturate\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:63;s:5:\"sizes\";a:0:{}}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:2:{i:0;a:5:{s:2:\"id\";s:7:\"h991bof\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";s:6:\"60.000\";s:19:\"_inline_size_tablet\";i:65;s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:7:{s:2:\"id\";s:7:\"fd48649\";s:8:\"settings\";a:13:{s:5:\"title\";s:37:\"Fastest And Most Lightweight WP Theme\";s:11:\"header_size\";s:2:\"h4\";s:12:\"align_mobile\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:158:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Fastest And Most Lightweight WP Theme</h4>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"xpld4o6\";s:8:\"settings\";a:20:{s:5:\"title\";s:25:\"Stunning Business Website\";s:11:\"header_size\";s:2:\"h1\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:25:\"typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:10:\"_animation\";s:8:\"fadeInUp\";s:5:\"align\";s:4:\"left\";s:12:\"align_tablet\";s:4:\"left\";s:12:\"align_mobile\";s:6:\"center\";s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:146:\"		<div class=\"elementor-widget-container\">\n			<h1 class=\"elementor-heading-title elementor-size-default\">Stunning Business Website</h1>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"1d3k1wu\";s:8:\"settings\";a:22:{s:6:\"editor\";s:69:\"<p>Create your own website in Minutes. No coding skills required.</p>\";s:5:\"align\";s:4:\"left\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:25:\"typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:10:\"_animation\";s:8:\"fadeInUp\";s:12:\"align_tablet\";s:4:\"left\";s:12:\"align_mobile\";s:6:\"center\";s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"30\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:2:\"30\";s:8:\"isLinked\";b:0;}s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:191:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Create your own website in Minutes. No coding skills required.</p></div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"2b7fddc\";s:8:\"settings\";a:13:{s:4:\"text\";s:9:\"More Info\";s:12:\"align_mobile\";s:6:\"center\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:0:\"\";s:7:\"library\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:337:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-text\">More Info</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"v0kzet2\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:50;s:12:\"_inline_size\";s:6:\"40.000\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:1;a:5:{s:2:\"id\";s:7:\"1u4upoi\";s:8:\"settings\";a:25:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"100\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"100\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"ge1h3f7\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:5:{i:0;a:7:{s:2:\"id\";s:7:\"4uc3aor\";s:8:\"settings\";a:16:{s:5:\"title\";s:20:\"How We Can Help You?\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:141:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">How We Can Help You?</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"h2cfn4h\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"43z9h6r\";s:8:\"settings\";a:16:{s:6:\"editor\";s:164:\"Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.\";s:5:\"align\";s:6:\"center\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:3:\"200\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:3:\"200\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:0;}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"74\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:286:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\">Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</div>\n				</div>\n		\";}i:3;a:5:{s:2:\"id\";s:7:\"mqelytj\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"pel0pkb\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"w5dkvx5\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1161;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\";}s:10:\"title_text\";s:6:\"Design\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:565:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/editing-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Design</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"o8wgvqy\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"8la837o\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1162;s:3:\"url\";s:75:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\";}s:10:\"title_text\";s:11:\"Development\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:569:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/coding-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Development</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"oaqyuwu\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"ji98gu1\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1163;s:3:\"url\";s:76:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\";}s:10:\"title_text\";s:9:\"Marketing\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:572:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/marketing-1-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Marketing</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}i:4;a:5:{s:2:\"id\";s:7:\"awtba9l\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"g1sdwvp\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"lh3mrqk\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1164;s:3:\"url\";s:70:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\";}s:10:\"title_text\";s:12:\"Social media\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:569:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/share-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Social media</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"4m5bvuo\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"mqzzl25\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1165;s:3:\"url\";s:69:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\";}s:10:\"title_text\";s:9:\"ECommerce\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:565:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/cart-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">ECommerce</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"sy0zhtq\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"iuxa07q\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1166;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\";}s:10:\"title_text\";s:14:\"Help & Support\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:573:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/support-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Help & Support</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:2;a:5:{s:2:\"id\";s:7:\"3gfgm7m\";s:8:\"settings\";a:27:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:6:\"layout\";s:10:\"full_width\";s:3:\"gap\";s:2:\"no\";s:29:\"background_overlay_background\";s:7:\"classic\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.86999999999999999555910790149937383830547332763671875;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"6xd7dpl\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"0qa8fxh\";s:8:\"settings\";a:16:{s:5:\"title\";s:9:\"Portfolio\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:130:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Portfolio</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"0kyzcff\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:1:\"8\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:5:{s:2:\"id\";s:7:\"qmqd0xv\";s:8:\"settings\";a:25:{s:6:\"layout\";s:10:\"full_width\";s:3:\"gap\";s:2:\"no\";s:16:\"content_position\";s:6:\"bottom\";s:9:\"structure\";s:2:\"40\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:5:{s:2:\"id\";s:7:\"t8scu0x\";s:8:\"settings\";a:33:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";s:3:\"598\";s:3:\"url\";s:79:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/07/proj3-free-img.jpg\";}s:19:\"background_position\";s:13:\"center center\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.40000000000000002220446049250313080847263336181640625;}s:35:\"background_overlay_hover_background\";s:7:\"classic\";s:30:\"background_overlay_hover_color\";s:7:\"#000000\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"320\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:50;s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"b49c512\";s:8:\"settings\";a:21:{s:4:\"text\";s:13:\"View Products\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:27:\"fas fa-long-arrow-alt-right\";s:7:\"library\";s:8:\"fa-solid\";}s:10:\"icon_align\";s:5:\"right\";s:11:\"icon_indent\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:11;s:5:\"sizes\";a:0:{}}s:16:\"background_color\";s:13:\"rgba(0,0,0,0)\";s:11:\"hover_color\";s:7:\"#4064d7\";s:29:\"button_background_hover_color\";s:7:\"#ffffff\";s:25:\"button_hover_border_color\";s:7:\"#ffffff\";s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:488:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-icon elementor-align-icon-right\">\n				<i aria-hidden=\"true\" class=\"fas fa-long-arrow-alt-right\"></i>			</span>\n						<span class=\"elementor-button-text\">View Products</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"065xjrj\";s:8:\"settings\";a:33:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";i:1177;s:3:\"url\";s:70:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/proj7.jpg\";}s:19:\"background_position\";s:13:\"center center\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.40000000000000002220446049250313080847263336181640625;}s:35:\"background_overlay_hover_background\";s:7:\"classic\";s:30:\"background_overlay_hover_color\";s:7:\"#000000\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"320\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:50;s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"f8ce527\";s:8:\"settings\";a:21:{s:4:\"text\";s:13:\"View Products\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:27:\"fas fa-long-arrow-alt-right\";s:7:\"library\";s:8:\"fa-solid\";}s:10:\"icon_align\";s:5:\"right\";s:11:\"icon_indent\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:11;s:5:\"sizes\";a:0:{}}s:16:\"background_color\";s:13:\"rgba(0,0,0,0)\";s:11:\"hover_color\";s:7:\"#4064d7\";s:29:\"button_background_hover_color\";s:7:\"#ffffff\";s:25:\"button_hover_border_color\";s:7:\"#ffffff\";s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:488:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-icon elementor-align-icon-right\">\n				<i aria-hidden=\"true\" class=\"fas fa-long-arrow-alt-right\"></i>			</span>\n						<span class=\"elementor-button-text\">View Products</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"4dmvrcn\";s:8:\"settings\";a:33:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";i:1178;s:3:\"url\";s:70:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/proj6.jpg\";}s:19:\"background_position\";s:13:\"center center\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.40000000000000002220446049250313080847263336181640625;}s:35:\"background_overlay_hover_background\";s:7:\"classic\";s:30:\"background_overlay_hover_color\";s:7:\"#000000\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"320\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:50;s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"e7d8560\";s:8:\"settings\";a:21:{s:4:\"text\";s:13:\"View Products\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:27:\"fas fa-long-arrow-alt-right\";s:7:\"library\";s:8:\"fa-solid\";}s:10:\"icon_align\";s:5:\"right\";s:11:\"icon_indent\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:11;s:5:\"sizes\";a:0:{}}s:16:\"background_color\";s:13:\"rgba(0,0,0,0)\";s:11:\"hover_color\";s:7:\"#4064d7\";s:29:\"button_background_hover_color\";s:7:\"#ffffff\";s:25:\"button_hover_border_color\";s:7:\"#ffffff\";s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:488:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-icon elementor-align-icon-right\">\n				<i aria-hidden=\"true\" class=\"fas fa-long-arrow-alt-right\"></i>			</span>\n						<span class=\"elementor-button-text\">View Products</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:3;a:5:{s:2:\"id\";s:7:\"jd11pkq\";s:8:\"settings\";a:33:{s:12:\"_column_size\";i:25;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";i:1179;s:3:\"url\";s:79:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/proj5-free-img.jpg\";}s:19:\"background_position\";s:13:\"center center\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:15:\"background_size\";s:5:\"cover\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.40000000000000002220446049250313080847263336181640625;}s:35:\"background_overlay_hover_background\";s:7:\"classic\";s:30:\"background_overlay_hover_color\";s:7:\"#000000\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"320\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:50;s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"c32400a\";s:8:\"settings\";a:21:{s:4:\"text\";s:13:\"View Products\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:27:\"fas fa-long-arrow-alt-right\";s:7:\"library\";s:8:\"fa-solid\";}s:10:\"icon_align\";s:5:\"right\";s:11:\"icon_indent\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:11;s:5:\"sizes\";a:0:{}}s:16:\"background_color\";s:13:\"rgba(0,0,0,0)\";s:11:\"hover_color\";s:7:\"#4064d7\";s:29:\"button_background_hover_color\";s:7:\"#ffffff\";s:25:\"button_hover_border_color\";s:7:\"#ffffff\";s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:488:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-icon elementor-align-icon-right\">\n				<i aria-hidden=\"true\" class=\"fas fa-long-arrow-alt-right\"></i>			</span>\n						<span class=\"elementor-button-text\">View Products</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:3;a:5:{s:2:\"id\";s:7:\"ow7fkx4\";s:8:\"settings\";a:26:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"100\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"100\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"2h7hgqr\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"t4kigla\";s:8:\"settings\";a:16:{s:5:\"title\";s:21:\"Who We\'ve Worked With\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:142:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Who We\'ve Worked With</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"t6e8r0x\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"fiqnqkz\";s:8:\"settings\";a:18:{s:8:\"carousel\";a:6:{i:0;a:2:{s:2:\"id\";i:1167;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client1.png\";}i:1;a:2:{s:2:\"id\";i:1168;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client2.png\";}i:2;a:2:{s:2:\"id\";i:1169;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client3.png\";}i:3;a:2:{s:2:\"id\";i:1170;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client4.png\";}i:4;a:2:{s:2:\"id\";i:1171;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client5.png\";}i:5;a:2:{s:2:\"id\";i:1172;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client6.png\";}}s:14:\"slides_to_show\";s:1:\"5\";s:16:\"slides_to_scroll\";s:1:\"1\";s:12:\"arrows_color\";s:7:\"#8c8c8c\";s:14:\"thumbnail_size\";s:6:\"custom\";s:26:\"thumbnail_custom_dimension\";a:2:{s:5:\"width\";s:3:\"150\";s:6:\"height\";s:0:\"\";}s:20:\"image_spacing_custom\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;}s:10:\"dots_color\";s:7:\"#4064d7\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:14:\"image-carousel\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:2265:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image-carousel-wrapper swiper-container\" dir=\"ltr\">\n			<div class=\"elementor-image-carousel swiper-wrapper\">\n				<div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-free-img-oljyz3gja405qjxps64zhv2jh5ciu0cac0ioofwca4.png\" alt=\"client1\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-free-img-oljyz4edgy1g25wcmojm2cu02j7w1pg0o5665puy3w.png\" alt=\"client2\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-free-img-oljyz5c7ns2qdruzh6y8mulgnx399ejr09tnmztjxo.png\" alt=\"client3\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-free-img-oljyz6a1um40pdtmbpcv7ccx9aymh3nhceh549s5rg.png\" alt=\"client4\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-free-img-oljyz77w1g5b0zs967rhru4duotzosr7oj4mljqrl8.png\" alt=\"client5\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-free-img-oljyz93kf47vo7piv8kqwtnb1gkq46yocsflk3nz8s.png\" alt=\"client6\" /></figure></div>			</div>\n												<div class=\"swiper-pagination\"></div>\n													<div class=\"elementor-swiper-button elementor-swiper-button-prev\">\n						<i class=\"eicon-chevron-left\" aria-hidden=\"true\"></i>\n						<span class=\"elementor-screen-only\">Previous</span>\n					</div>\n					<div class=\"elementor-swiper-button elementor-swiper-button-next\">\n						<i class=\"eicon-chevron-right\" aria-hidden=\"true\"></i>\n						<span class=\"elementor-screen-only\">Next</span>\n					</div>\n									</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:4;a:5:{s:2:\"id\";s:7:\"ps94fk6\";s:8:\"settings\";a:26:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"100\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"dzxf2qo\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#4064d7\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"nyge1y4\";s:8:\"settings\";a:25:{s:16:\"content_position\";s:6:\"middle\";s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:0:\"\";s:5:\"right\";i:0;s:6:\"bottom\";s:0:\"\";s:4:\"left\";i:0;s:8:\"isLinked\";b:1;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"fml2rst\";s:8:\"settings\";a:26:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"30\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:2:\"30\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"yvqfpyi\";s:8:\"settings\";a:20:{s:5:\"title\";s:16:\"What Clients Say\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:22:\"_background_background\";s:7:\"classic\";s:17:\"_background_color\";s:7:\"#ffffff\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:137:\"		<div class=\"elementor-widget-container\">\n			<h2 class=\"elementor-heading-title elementor-size-default\">What Clients Say</h2>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"usqd0kh\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"hc1ct6s\";s:8:\"settings\";a:26:{s:19:\"testimonial_content\";s:195:\"Nam at congue diam. Etiam erat lectus, finibus eget commodo quis, tincidunt eget leo. Nullam quis vulputate orci, ac accumsan quam. Morbi fringilla congue libero, ac malesuada vulputate pharetra.\";s:17:\"testimonial_image\";a:2:{s:2:\"id\";s:4:\"1115\";s:3:\"url\";s:76:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\";}s:16:\"testimonial_name\";s:8:\"John Doe\";s:15:\"testimonial_job\";s:8:\"Designer\";s:28:\"content_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:30:\"content_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:25:\"name_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:35:\"content_typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:32:\"name_typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:24:\"job_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:31:\"job_typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:29:\"job_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:26:\"testimonial_image_position\";s:3:\"top\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:3:\"140\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:3:\"140\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"testimonial\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:1274:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-testimonial-wrapper elementor-testimonial-text-align-center\">\n							<div class=\"elementor-testimonial-content\">Nam at congue diam. Etiam erat lectus, finibus eget commodo quis, tincidunt eget leo. Nullam quis vulputate orci, ac accumsan quam. Morbi fringilla congue libero, ac malesuada vulputate pharetra.</div>\n			\n						<div class=\"elementor-testimonial-meta elementor-has-image elementor-testimonial-image-position-top\">\n				<div class=\"elementor-testimonial-meta-inner\">\n											<div class=\"elementor-testimonial-image\">\n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" class=\"attachment-full size-full\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						</div>\n					\n										<div class=\"elementor-testimonial-details\">\n														<div class=\"elementor-testimonial-name\">John Doe</div>\n																						<div class=\"elementor-testimonial-job\">Designer</div>\n													</div>\n									</div>\n			</div>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:5;a:5:{s:2:\"id\";s:7:\"6v5ll6o\";s:8:\"settings\";a:28:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#f4f4f7\";s:9:\"animation\";s:6:\"fadeIn\";s:6:\"layout\";s:10:\"full_width\";s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"5\";s:5:\"right\";s:1:\"5\";s:6:\"bottom\";s:1:\"5\";s:4:\"left\";s:1:\"5\";s:8:\"isLinked\";b:1;}s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"75\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"100\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"3xb1dok\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"lp5s1jt\";s:8:\"settings\";a:16:{s:5:\"title\";s:13:\"Meet The Team\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:134:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Meet The Team</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"ji54d96\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:5:{s:2:\"id\";s:7:\"csf2atq\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:0:\"\";s:5:\"right\";i:0;s:6:\"bottom\";s:0:\"\";s:4:\"left\";i:0;s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"v0uf612\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:9:\"animation\";s:6:\"fadeIn\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:7:{s:2:\"id\";s:7:\"4yand6g\";s:8:\"settings\";a:14:{s:5:\"image\";a:2:{s:2:\"id\";s:4:\"1110\";s:3:\"url\";s:71:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\";}s:5:\"align\";s:4:\"left\";s:12:\"align_tablet\";s:4:\"left\";s:12:\"align_mobile\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:570:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" class=\"attachment-large size-large\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"510hihb\";s:8:\"settings\";a:13:{s:5:\"title\";s:15:\"Joanne Williams\";s:11:\"header_size\";s:2:\"h4\";s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Joanne Williams</h4>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"4ejws25\";s:8:\"settings\";a:14:{s:6:\"editor\";s:14:\"<p>Manager</p>\";s:5:\"align\";s:4:\"left\";s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"-15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Manager</p></div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"6akkpft\";s:8:\"settings\";a:15:{s:16:\"social_icon_list\";a:3:{i:0;a:7:{s:6:\"social\";s:14:\"fa fa-facebook\";s:3:\"_id\";s:7:\"z6ub5rs\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:1;a:7:{s:6:\"social\";s:13:\"fa fa-twitter\";s:3:\"_id\";s:7:\"iq06iau\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:2;a:7:{s:6:\"social\";s:17:\"fa fa-google-plus\";s:3:\"_id\";s:7:\"b0a3i9i\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}}s:5:\"align\";s:4:\"left\";s:10:\"icon_color\";s:6:\"custom\";s:18:\"icon_primary_color\";s:7:\"#545454\";s:9:\"icon_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"12\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:12:\"social-icons\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:868:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-social-icons-wrapper\">\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-facebook elementor-repeater-item-z6ub5rs\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Facebook</span>\n											<i class=\"fa fa-facebook\"></i>\n									</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-twitter elementor-repeater-item-iq06iau\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Twitter</span>\n											<i class=\"fa fa-twitter\"></i>\n									</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-google-plus elementor-repeater-item-b0a3i9i\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Google-plus</span>\n											<i class=\"fa fa-google-plus\"></i>\n									</a>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"6ptw79a\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:4:\"none\";s:9:\"animation\";s:6:\"fadeIn\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:7:{s:2:\"id\";s:7:\"kpadzz8\";s:8:\"settings\";a:14:{s:5:\"image\";a:2:{s:2:\"id\";s:4:\"1111\";s:3:\"url\";s:71:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\";}s:5:\"align\";s:4:\"left\";s:12:\"align_tablet\";s:4:\"left\";s:12:\"align_mobile\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:570:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" class=\"attachment-large size-large\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"knxp4c3\";s:8:\"settings\";a:12:{s:5:\"title\";s:11:\"Fred Buster\";s:11:\"header_size\";s:2:\"h4\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:132:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Fred Buster</h4>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"7syjklq\";s:8:\"settings\";a:12:{s:6:\"editor\";s:14:\"<p>Manager</p>\";s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"-15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Manager</p></div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"pd1lu1i\";s:8:\"settings\";a:15:{s:16:\"social_icon_list\";a:3:{i:0;a:7:{s:6:\"social\";s:14:\"fa fa-facebook\";s:3:\"_id\";s:7:\"z6ub5rs\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:1;a:7:{s:6:\"social\";s:13:\"fa fa-twitter\";s:3:\"_id\";s:7:\"iq06iau\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:2;a:7:{s:6:\"social\";s:17:\"fa fa-google-plus\";s:3:\"_id\";s:7:\"b0a3i9i\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}}s:5:\"align\";s:4:\"left\";s:10:\"icon_color\";s:6:\"custom\";s:18:\"icon_primary_color\";s:7:\"#545454\";s:9:\"icon_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"12\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:12:\"social-icons\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:868:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-social-icons-wrapper\">\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-facebook elementor-repeater-item-z6ub5rs\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Facebook</span>\n											<i class=\"fa fa-facebook\"></i>\n									</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-twitter elementor-repeater-item-iq06iau\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Twitter</span>\n											<i class=\"fa fa-twitter\"></i>\n									</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-google-plus elementor-repeater-item-b0a3i9i\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Google-plus</span>\n											<i class=\"fa fa-google-plus\"></i>\n									</a>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"gnarny5\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:9:\"animation\";s:6:\"fadeIn\";s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:4:{i:0;a:7:{s:2:\"id\";s:7:\"hgql66n\";s:8:\"settings\";a:14:{s:5:\"image\";a:2:{s:2:\"id\";s:4:\"1113\";s:3:\"url\";s:71:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\";}s:5:\"align\";s:4:\"left\";s:12:\"align_tablet\";s:4:\"left\";s:12:\"align_mobile\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:5:\"image\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:570:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image\">\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" class=\"attachment-large size-large\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											</div>\n				</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"b2v7zae\";s:8:\"settings\";a:12:{s:5:\"title\";s:12:\"Lisa Hoffman\";s:11:\"header_size\";s:2:\"h4\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:133:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Lisa Hoffman</h4>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"t9tw7ru\";s:8:\"settings\";a:12:{s:6:\"editor\";s:14:\"<p>Manager</p>\";s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"-15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:136:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Manager</p></div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"twocv5r\";s:8:\"settings\";a:15:{s:16:\"social_icon_list\";a:3:{i:0;a:7:{s:6:\"social\";s:14:\"fa fa-facebook\";s:3:\"_id\";s:7:\"z6ub5rs\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:1;a:7:{s:6:\"social\";s:13:\"fa fa-twitter\";s:3:\"_id\";s:7:\"iq06iau\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}i:2;a:7:{s:6:\"social\";s:17:\"fa fa-google-plus\";s:3:\"_id\";s:7:\"b0a3i9i\";s:4:\"link\";a:4:{s:3:\"url\";s:0:\"\";s:11:\"is_external\";s:4:\"true\";s:8:\"nofollow\";s:0:\"\";s:17:\"custom_attributes\";s:0:\"\";}s:11:\"social_icon\";a:2:{s:5:\"value\";s:16:\"fab fa-wordpress\";s:7:\"library\";s:9:\"fa-brands\";}s:15:\"item_icon_color\";s:7:\"default\";s:23:\"item_icon_primary_color\";s:0:\"\";s:25:\"item_icon_secondary_color\";s:0:\"\";}}s:5:\"align\";s:4:\"left\";s:10:\"icon_color\";s:6:\"custom\";s:18:\"icon_primary_color\";s:7:\"#545454\";s:9:\"icon_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"12\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:12:\"social-icons\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:868:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-social-icons-wrapper\">\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-facebook elementor-repeater-item-z6ub5rs\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Facebook</span>\n											<i class=\"fa fa-facebook\"></i>\n									</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-twitter elementor-repeater-item-iq06iau\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Twitter</span>\n											<i class=\"fa fa-twitter\"></i>\n									</a>\n							<a class=\"elementor-icon elementor-social-icon elementor-social-icon-google-plus elementor-repeater-item-b0a3i9i\" target=\"_blank\">\n					<span class=\"elementor-screen-only\">Google-plus</span>\n											<i class=\"fa fa-google-plus\"></i>\n									</a>\n					</div>\n				</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}}\";");
INSERT INTO `age_postmeta` VALUES("458", "1201", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("459", "1201", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("460", "1201", "_elementor_controls_usage", "a:11:{s:7:\"heading\";a:3:{s:5:\"count\";i:10;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:5:{s:5:\"title\";i:10;s:11:\"header_size\";i:9;s:12:\"align_mobile\";i:2;s:5:\"align\";i:6;s:12:\"align_tablet\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:5:{s:20:\"typography_font_size\";i:6;s:25:\"typography_letter_spacing\";i:1;s:27:\"typography_font_size_tablet\";i:4;s:27:\"typography_font_size_mobile\";i:6;s:22:\"typography_line_height\";i:1;}}s:8:\"advanced\";a:3:{s:15:\"section_effects\";a:1:{s:10:\"_animation\";i:1;}s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:2;s:14:\"_margin_tablet\";i:1;s:14:\"_margin_mobile\";i:1;s:15:\"_padding_mobile\";i:1;}s:19:\"_section_background\";a:2:{s:22:\"_background_background\";i:1;s:17:\"_background_color\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:5;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:8:{s:5:\"align\";i:3;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:2;s:25:\"typography_letter_spacing\";i:1;s:12:\"align_tablet\";i:1;s:12:\"align_mobile\";i:1;s:27:\"typography_font_size_tablet\";i:1;s:27:\"typography_font_size_mobile\";i:1;}}s:8:\"advanced\";a:2:{s:15:\"section_effects\";a:1:{s:10:\"_animation\";i:1;}s:14:\"_section_style\";a:4:{s:15:\"_padding_mobile\";i:2;s:8:\"_padding\";i:2;s:15:\"_padding_tablet\";i:1;s:7:\"_margin\";i:4;}}}}s:6:\"button\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:5;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_button\";a:5:{s:4:\"text\";i:5;s:12:\"align_mobile\";i:1;s:13:\"selected_icon\";i:4;s:10:\"icon_align\";i:4;s:11:\"icon_indent\";i:4;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:7:{s:16:\"background_color\";i:4;s:11:\"hover_color\";i:4;s:29:\"button_background_hover_color\";i:4;s:25:\"button_hover_border_color\";i:4;s:13:\"border_border\";i:4;s:12:\"border_width\";i:4;s:12:\"border_color\";i:4;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:21;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:21;s:19:\"_inline_size_tablet\";i:5;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:4:{s:14:\"padding_tablet\";i:1;s:6:\"margin\";i:6;s:7:\"padding\";i:5;s:14:\"padding_mobile\";i:2;}s:15:\"section_effects\";a:1:{s:9:\"animation\";i:3;}}s:5:\"style\";a:3:{s:13:\"section_style\";a:6:{s:21:\"background_background\";i:9;s:16:\"background_color\";i:4;s:16:\"background_image\";i:4;s:19:\"background_position\";i:4;s:17:\"background_repeat\";i:4;s:15:\"background_size\";i:4;}s:26:\"section_background_overlay\";a:5:{s:29:\"background_overlay_background\";i:4;s:24:\"background_overlay_color\";i:4;s:26:\"background_overlay_opacity\";i:4;s:35:\"background_overlay_hover_background\";i:4;s:30:\"background_overlay_hover_color\";i:4;}s:14:\"section_border\";a:3:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:2;s:12:\"border_color\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:11;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:4:{s:15:\"stretch_section\";i:6;s:6:\"layout\";i:3;s:3:\"gap\";i:2;s:16:\"content_position\";i:2;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:5;}}s:5:\"style\";a:4:{s:18:\"section_background\";a:6:{s:21:\"background_background\";i:6;s:16:\"background_image\";i:1;s:17:\"background_repeat\";i:1;s:15:\"background_size\";i:1;s:19:\"background_position\";i:1;s:16:\"background_color\";i:4;}s:21:\"section_shape_divider\";a:6:{s:25:\"shape_divider_bottom_flip\";i:1;s:26:\"shape_divider_bottom_color\";i:1;s:27:\"shape_divider_bottom_height\";i:1;s:34:\"shape_divider_bottom_height_tablet\";i:1;s:29:\"shape_divider_bottom_negative\";i:1;s:34:\"shape_divider_bottom_above_content\";i:1;}s:26:\"section_background_overlay\";a:7:{s:29:\"background_overlay_background\";i:2;s:26:\"background_overlay_color_b\";i:1;s:33:\"background_overlay_gradient_angle\";i:1;s:26:\"background_overlay_opacity\";i:2;s:27:\"background_overlay_position\";i:1;s:22:\"css_filters_brightness\";i:1;s:20:\"css_filters_saturate\";i:1;}s:14:\"section_border\";a:2:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:1;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:6;s:13:\"margin_mobile\";i:1;s:13:\"margin_tablet\";i:1;s:7:\"padding\";i:5;s:14:\"padding_tablet\";i:5;s:14:\"padding_mobile\";i:7;}s:15:\"section_effects\";a:1:{s:9:\"animation\";i:2;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:2:{s:5:\"color\";i:5;s:3:\"gap\";i:5;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:2:{s:5:\"width\";i:5;s:5:\"align\";i:5;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:5;}}}}s:9:\"image-box\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:4;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"title_text\";i:6;s:16:\"description_text\";i:6;s:8:\"position\";i:6;}}s:5:\"style\";a:2:{s:19:\"section_style_image\";a:2:{s:11:\"image_space\";i:6;s:10:\"image_size\";i:6;}s:21:\"section_style_content\";a:5:{s:26:\"title_typography_font_size\";i:6;s:32:\"description_typography_font_size\";i:6;s:34:\"description_typography_line_height\";i:6;s:37:\"description_typography_letter_spacing\";i:6;s:28:\"title_typography_line_height\";i:6;}}}}s:14:\"image-carousel\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:22:\"section_image_carousel\";a:5:{s:8:\"carousel\";i:1;s:14:\"slides_to_show\";i:1;s:16:\"slides_to_scroll\";i:1;s:14:\"thumbnail_size\";i:1;s:26:\"thumbnail_custom_dimension\";i:1;}}s:5:\"style\";a:2:{s:24:\"section_style_navigation\";a:2:{s:12:\"arrows_color\";i:1;s:10:\"dots_color\";i:1;}s:19:\"section_style_image\";a:1:{s:20:\"image_spacing_custom\";i:1;}}}}s:11:\"testimonial\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:6;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_testimonial\";a:3:{s:19:\"testimonial_content\";i:1;s:17:\"testimonial_image\";i:1;s:26:\"testimonial_image_position\";i:1;}}s:5:\"style\";a:3:{s:33:\"section_style_testimonial_content\";a:3:{s:28:\"content_typography_font_size\";i:1;s:30:\"content_typography_line_height\";i:1;s:35:\"content_typography_font_size_mobile\";i:1;}s:30:\"section_style_testimonial_name\";a:2:{s:25:\"name_typography_font_size\";i:1;s:32:\"name_typography_font_size_mobile\";i:1;}s:29:\"section_style_testimonial_job\";a:3:{s:24:\"job_typography_font_size\";i:1;s:31:\"job_typography_font_size_mobile\";i:1;s:29:\"job_typography_letter_spacing\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:15:\"_padding_tablet\";i:1;s:15:\"_padding_mobile\";i:1;s:8:\"_padding\";i:1;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:3;s:5:\"align\";i:3;s:12:\"align_tablet\";i:3;s:12:\"align_mobile\";i:3;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:3;s:5:\"align\";i:3;}}s:5:\"style\";a:1:{s:20:\"section_social_style\";a:3:{s:10:\"icon_color\";i:3;s:18:\"icon_primary_color\";i:3;s:9:\"icon_size\";i:3;}}}}}");
INSERT INTO `age_postmeta` VALUES("462", "2", "_edit_lock", "1584812253:1");
INSERT INTO `age_postmeta` VALUES("463", "21", "_edit_last", "1");
INSERT INTO `age_postmeta` VALUES("464", "1202", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("465", "1202", "_elementor_data", "s:69081:\"a:4:{i:0;a:5:{s:2:\"id\";s:7:\"qbatklh\";s:8:\"settings\";a:34:{s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:2:{s:2:\"id\";s:4:\"1118\";s:3:\"url\";s:77:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/about-bg-img.jpg\";}s:15:\"background_size\";s:5:\"cover\";s:21:\"background_attachment\";s:6:\"scroll\";s:17:\"background_repeat\";s:9:\"no-repeat\";s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:19:\"background_position\";s:13:\"center center\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"150\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:3:\"150\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:9:\"structure\";s:2:\"30\";s:29:\"background_overlay_background\";s:7:\"classic\";s:24:\"background_overlay_color\";s:7:\"#000000\";s:26:\"background_overlay_opacity\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.59999999999999997779553950749686919152736663818359375;}s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"gacyucg\";s:8:\"settings\";a:24:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"15.000\";s:13:\"margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:19:\"_inline_size_tablet\";i:10;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"fpudphs\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"70.000\";s:19:\"_inline_size_tablet\";i:80;s:13:\"margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"nbxgqiw\";s:8:\"settings\";a:18:{s:5:\"title\";s:8:\"Services\";s:11:\"header_size\";s:2:\"h1\";s:11:\"title_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:6:\"center\";s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"15\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:129:\"		<div class=\"elementor-widget-container\">\n			<h1 class=\"elementor-heading-title elementor-size-default\">Services</h1>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"bfvioug\";s:8:\"settings\";a:15:{s:5:\"title\";s:35:\"We Provide A Wide Range Of Services\";s:11:\"header_size\";s:2:\"h4\";s:11:\"title_color\";s:7:\"#ffffff\";s:12:\"align_mobile\";s:6:\"center\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:156:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">We Provide A Wide Range Of Services</h4>		</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"epplbnh\";s:8:\"settings\";a:15:{s:6:\"editor\";s:217:\"<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. Sed Fringilla Mauris Sit Amet Nibh.</p>\";s:5:\"align\";s:6:\"center\";s:10:\"text_color\";s:7:\"#ffffff\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:22:\"typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:339:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. Sed Fringilla Mauris Sit Amet Nibh.</p></div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"hdyasan\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";s:6:\"15.000\";s:19:\"_inline_size_tablet\";i:10;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:1;a:5:{s:2:\"id\";s:7:\"bwsqeuj\";s:8:\"settings\";a:24:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"30\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"30\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"hjptihj\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:5:{i:0;a:7:{s:2:\"id\";s:7:\"tejyphs\";s:8:\"settings\";a:15:{s:5:\"title\";s:20:\"How We Can Help You?\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:141:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">How We Can Help You?</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"vpmgumr\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"gdzivxu\";s:8:\"settings\";a:18:{s:6:\"editor\";s:176:\"<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum<br />Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\";s:5:\"align\";s:6:\"center\";s:8:\"_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:3:\"200\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:3:\"200\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"50\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:2:\"50\";s:8:\"isLinked\";b:0;}s:15:\"_padding_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:1;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"70\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:11:\"text-editor\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:298:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-text-editor elementor-clearfix\"><p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum<br />Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p></div>\n				</div>\n		\";}i:3;a:5:{s:2:\"id\";s:7:\"iensuwq\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"wfxzmbv\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"fuvtjmc\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1161;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\";}s:10:\"title_text\";s:6:\"Design\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:565:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/editing-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Design</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"zscfyzr\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"acvxbds\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1162;s:3:\"url\";s:75:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\";}s:10:\"title_text\";s:11:\"Development\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:569:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/coding-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Development</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"hdjtfwi\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"siwodsh\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1163;s:3:\"url\";s:76:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\";}s:10:\"title_text\";s:9:\"Marketing\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:572:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/marketing-1-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Marketing</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}i:4;a:5:{s:2:\"id\";s:7:\"lltjcnf\";s:8:\"settings\";a:22:{s:9:\"structure\";s:2:\"30\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";i:0;s:6:\"bottom\";s:1:\"0\";s:4:\"left\";i:0;s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:5:{s:2:\"id\";s:7:\"kstxgtc\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"azyxcps\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1164;s:3:\"url\";s:70:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\";}s:10:\"title_text\";s:12:\"Social Media\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:569:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/share-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Social Media</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:1;a:5:{s:2:\"id\";s:7:\"yqkcnqx\";s:8:\"settings\";a:25:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"nfobhrk\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1165;s:3:\"url\";s:69:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\";}s:10:\"title_text\";s:9:\"ECommerce\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:565:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/cart-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">ECommerce</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}i:2;a:5:{s:2:\"id\";s:7:\"muikykz\";s:8:\"settings\";a:23:{s:12:\"_column_size\";i:33;s:12:\"_inline_size\";N;s:6:\"margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"10\";s:5:\"right\";s:2:\"10\";s:6:\"bottom\";s:2:\"10\";s:4:\"left\";s:2:\"10\";s:8:\"isLinked\";b:1;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:7:{s:2:\"id\";s:7:\"lmxmzko\";s:8:\"settings\";a:21:{s:5:\"image\";a:2:{s:2:\"id\";i:1166;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\";}s:10:\"title_text\";s:14:\"Help & Support\";s:16:\"description_text\";s:110:\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.\";s:11:\"image_space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"17\";}s:10:\"image_size\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"16\";}s:26:\"title_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:32:\"description_typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:34:\"description_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:37:\"description_typography_letter_spacing\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:28:\"title_typography_line_height\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:8:\"position\";s:4:\"left\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:9:\"image-box\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:573:\"		<div class=\"elementor-widget-container\">\n			<div class=\"elementor-image-box-wrapper\"><figure class=\"elementor-image-box-img\"><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/06/support-free-img.png\" class=\"attachment-full size-full\" alt=\"\" /></figure><div class=\"elementor-image-box-content\"><h3 class=\"elementor-image-box-title\">Help & Support</h3><p class=\"elementor-image-box-description\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p></div></div>		</div>\n		\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:1;s:6:\"elType\";s:7:\"section\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:2;a:5:{s:2:\"id\";s:7:\"j9jeeft\";s:8:\"settings\";a:25:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#f4f4f7\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"30\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"30\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"4sed6zz\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:5:{i:0;a:7:{s:2:\"id\";s:7:\"1qkbery\";s:8:\"settings\";a:15:{s:5:\"title\";s:38:\"Let’s Make Awesome Things, Together.\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:159:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Let’s Make Awesome Things, Together.</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"h7bmru7\";s:8:\"settings\";a:11:{s:5:\"space\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"10\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"spacer\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:147:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-spacer\">\n			<div class=\"elementor-spacer-inner\"></div>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"o7ktyfo\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"-25\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:3;a:7:{s:2:\"id\";s:7:\"26054ce\";s:8:\"settings\";a:13:{s:5:\"title\";s:27:\"Tell Us About Your Project.\";s:11:\"header_size\";s:2:\"h4\";s:5:\"align\";s:6:\"center\";s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:148:\"		<div class=\"elementor-widget-container\">\n			<h4 class=\"elementor-heading-title elementor-size-default\">Tell Us About Your Project.</h4>		</div>\n		\";}i:4;a:7:{s:2:\"id\";s:7:\"c667736\";s:8:\"settings\";a:13:{s:4:\"text\";s:11:\"Get A Quote\";s:5:\"align\";s:6:\"center\";s:13:\"selected_icon\";a:2:{s:5:\"value\";s:0:\"\";s:7:\"library\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:6:\"button\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:339:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-button-wrapper\">\n			<a href=\"#\" class=\"elementor-button-link elementor-button elementor-size-sm\" role=\"button\">\n						<span class=\"elementor-button-content-wrapper\">\n						<span class=\"elementor-button-text\">Get A Quote</span>\n		</span>\n					</a>\n		</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}i:3;a:5:{s:2:\"id\";s:7:\"qcjaymv\";s:8:\"settings\";a:25:{s:15:\"stretch_section\";s:17:\"section-stretched\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_color\";s:7:\"#ffffff\";s:7:\"padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"50\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"30\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:2:\"30\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:1:{i:0;a:5:{s:2:\"id\";s:7:\"lxqvxex\";s:8:\"settings\";a:22:{s:12:\"_column_size\";i:100;s:12:\"_inline_size\";N;s:16:\"background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:23:\"background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:25:\"background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}s:22:\"background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:34:\"background_hover_slideshow_gallery\";a:0:{}s:24:\"background_overlay_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:31:\"background_overlay_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:33:\"background_overlay_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:36:\"background_overlay_slideshow_gallery\";a:0:{}s:30:\"background_overlay_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:37:\"background_overlay_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:39:\"background_overlay_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:42:\"background_overlay_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:3:{i:0;a:7:{s:2:\"id\";s:7:\"byrogbh\";s:8:\"settings\";a:16:{s:5:\"title\";s:21:\"Who We\'ve Worked With\";s:11:\"header_size\";s:2:\"h3\";s:5:\"align\";s:6:\"center\";s:20:\"typography_font_size\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:27:\"typography_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:0:\"\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"heading\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:142:\"		<div class=\"elementor-widget-container\">\n			<h3 class=\"elementor-heading-title elementor-size-default\">Who We\'ve Worked With</h3>		</div>\n		\";}i:1;a:7:{s:2:\"id\";s:7:\"osqklbd\";s:8:\"settings\";a:17:{s:5:\"color\";s:7:\"#4064d7\";s:5:\"width\";a:2:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";s:2:\"10\";}s:5:\"align\";s:6:\"center\";s:3:\"gap\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;}s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:4:\"text\";s:7:\"Divider\";s:4:\"icon\";a:2:{s:5:\"value\";s:11:\"fas fa-star\";s:7:\"library\";s:8:\"fa-solid\";}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:7:\"divider\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:162:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-divider\">\n			<span class=\"elementor-divider-separator\">\n						</span>\n		</div>\n				</div>\n		\";}i:2;a:7:{s:2:\"id\";s:7:\"qkxmqxi\";s:8:\"settings\";a:21:{s:8:\"carousel\";a:6:{i:0;a:2:{s:2:\"id\";i:1167;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client1.png\";}i:1;a:2:{s:2:\"id\";i:1168;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client2.png\";}i:2;a:2:{s:2:\"id\";i:1169;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client3.png\";}i:3;a:2:{s:2:\"id\";i:1170;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client4.png\";}i:4;a:2:{s:2:\"id\";i:1171;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client5.png\";}i:5;a:2:{s:2:\"id\";i:1172;s:3:\"url\";s:72:\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client6.png\";}}s:14:\"slides_to_show\";s:1:\"5\";s:16:\"slides_to_scroll\";s:1:\"1\";s:12:\"arrows_color\";s:7:\"#8c8c8c\";s:14:\"thumbnail_size\";s:6:\"custom\";s:26:\"thumbnail_custom_dimension\";a:2:{s:5:\"width\";s:3:\"150\";s:6:\"height\";s:0:\"\";}s:20:\"image_spacing_custom\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;}s:10:\"dots_color\";s:7:\"#4064d7\";s:7:\"_margin\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"50\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:14:\"_margin_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:15:\"_padding_tablet\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:17:\"_background_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:24:\"_background_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:26:\"_background_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:29:\"_background_slideshow_gallery\";a:0:{}s:23:\"_background_hover_image\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_tablet\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:30:\"_background_hover_image_mobile\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:32:\"_background_hover_video_fallback\";a:2:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:35:\"_background_hover_slideshow_gallery\";a:0:{}}s:8:\"elements\";a:0:{}s:7:\"isInner\";b:0;s:10:\"widgetType\";s:14:\"image-carousel\";s:6:\"elType\";s:6:\"widget\";s:9:\"htmlCache\";s:2265:\"		<div class=\"elementor-widget-container\">\n					<div class=\"elementor-image-carousel-wrapper swiper-container\" dir=\"ltr\">\n			<div class=\"elementor-image-carousel swiper-wrapper\">\n				<div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-free-img-oljyz3gja405qjxps64zhv2jh5ciu0cac0ioofwca4.png\" alt=\"client1\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-free-img-oljyz4edgy1g25wcmojm2cu02j7w1pg0o5665puy3w.png\" alt=\"client2\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-free-img-oljyz5c7ns2qdruzh6y8mulgnx399ejr09tnmztjxo.png\" alt=\"client3\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-free-img-oljyz6a1um40pdtmbpcv7ccx9aymh3nhceh549s5rg.png\" alt=\"client4\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-free-img-oljyz77w1g5b0zs967rhru4duotzosr7oj4mljqrl8.png\" alt=\"client5\" /></figure></div><div class=\"swiper-slide\"><figure class=\"swiper-slide-inner\"><img class=\"swiper-slide-image\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-free-img-oljyz93kf47vo7piv8kqwtnb1gkq46yocsflk3nz8s.png\" alt=\"client6\" /></figure></div>			</div>\n												<div class=\"swiper-pagination\"></div>\n													<div class=\"elementor-swiper-button elementor-swiper-button-prev\">\n						<i class=\"eicon-chevron-left\" aria-hidden=\"true\"></i>\n						<span class=\"elementor-screen-only\">Previous</span>\n					</div>\n					<div class=\"elementor-swiper-button elementor-swiper-button-next\">\n						<i class=\"eicon-chevron-right\" aria-hidden=\"true\"></i>\n						<span class=\"elementor-screen-only\">Next</span>\n					</div>\n									</div>\n				</div>\n		\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:6:\"column\";}}s:7:\"isInner\";b:0;s:6:\"elType\";s:7:\"section\";}}\";");
INSERT INTO `age_postmeta` VALUES("466", "1202", "_elementor_version", "2.8.5");
INSERT INTO `age_postmeta` VALUES("467", "1202", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("468", "1202", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("469", "1202", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.600000000000000088817841970012523233890533447265625;}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:60;}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:42;}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:15;}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("470", "1202", "_elementor_controls_usage", "a:9:{s:6:\"column\";a:3:{s:5:\"count\";i:12;s:15:\"control_percent\";i:0;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:12;s:19:\"_inline_size_tablet\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:13:\"margin_mobile\";i:1;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:1;s:6:\"margin\";i:6;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:2:{s:21:\"background_background\";i:4;s:16:\"background_color\";i:4;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:6;s:11:\"header_size\";i:6;s:12:\"align_mobile\";i:2;s:5:\"align\";i:6;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:2;s:20:\"typography_font_size\";i:3;s:27:\"typography_font_size_mobile\";i:3;s:27:\"typography_font_size_tablet\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:14:\"_margin_tablet\";i:1;s:14:\"_margin_mobile\";i:1;s:15:\"_padding_tablet\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:4:{s:5:\"align\";i:2;s:10:\"text_color\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:6:{s:8:\"_padding\";i:1;s:15:\"_padding_tablet\";i:1;s:15:\"_padding_mobile\";i:1;s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;s:14:\"_margin_mobile\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:2:{s:18:\"section_background\";a:7:{s:21:\"background_background\";i:4;s:16:\"background_image\";i:1;s:15:\"background_size\";i:1;s:21:\"background_attachment\";i:1;s:17:\"background_repeat\";i:1;s:19:\"background_position\";i:1;s:16:\"background_color\";i:2;}s:26:\"section_background_overlay\";a:3:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;s:26:\"background_overlay_opacity\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:1;s:14:\"padding_mobile\";i:1;s:7:\"padding\";i:4;s:14:\"padding_tablet\";i:4;s:13:\"margin_tablet\";i:1;s:6:\"margin\";i:2;}}s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:3;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:3;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:2:{s:5:\"color\";i:3;s:3:\"gap\";i:3;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:2:{s:5:\"width\";i:3;s:5:\"align\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:3;}}}}s:9:\"image-box\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:4;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"title_text\";i:6;s:16:\"description_text\";i:6;s:8:\"position\";i:6;}}s:5:\"style\";a:2:{s:19:\"section_style_image\";a:2:{s:11:\"image_space\";i:6;s:10:\"image_size\";i:6;}s:21:\"section_style_content\";a:5:{s:26:\"title_typography_font_size\";i:6;s:32:\"description_typography_font_size\";i:6;s:34:\"description_typography_line_height\";i:6;s:37:\"description_typography_letter_spacing\";i:6;s:28:\"title_typography_line_height\";i:6;}}}}s:6:\"spacer\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:1:{s:5:\"space\";i:1;}}}}s:6:\"button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:2:{s:4:\"text\";i:1;s:5:\"align\";i:1;}}}}s:14:\"image-carousel\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:22:\"section_image_carousel\";a:5:{s:8:\"carousel\";i:1;s:14:\"slides_to_show\";i:1;s:16:\"slides_to_scroll\";i:1;s:14:\"thumbnail_size\";i:1;s:26:\"thumbnail_custom_dimension\";i:1;}}s:5:\"style\";a:2:{s:24:\"section_style_navigation\";a:2:{s:12:\"arrows_color\";i:1;s:10:\"dots_color\";i:1;}s:19:\"section_style_image\";a:1:{s:20:\"image_spacing_custom\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;s:15:\"_padding_tablet\";i:1;}}}}}");
INSERT INTO `age_postmeta` VALUES("471", "21", "_edit_lock", "1582399927:1");
INSERT INTO `age_postmeta` VALUES("661", "1231", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("593", "1221", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("594", "1221", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("595", "1221", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("596", "1221", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("597", "1221", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"left\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\",\"align\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#4c79ff\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n  |\\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633:\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("559", "1216", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("560", "1216", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("563", "1217", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("564", "1217", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("565", "1217", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("566", "1217", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center left\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062a\\u062c\\u0627\\u0631\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("567", "1217", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("568", "1217", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("570", "1218", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("571", "1218", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("572", "1218", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("573", "1218", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center left\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("574", "1218", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("575", "1218", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("577", "1219", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("578", "1219", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("579", "1219", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("580", "1219", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center left\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("581", "1219", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("582", "1219", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("585", "1220", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("586", "1220", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("587", "1220", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("588", "1220", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center left\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("589", "1220", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("590", "1220", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("623", "1226", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("624", "1226", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("625", "1226", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("626", "1226", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("600", "1222", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("601", "1222", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("602", "1222", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("603", "1222", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("604", "1222", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"left\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\",\"align\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#4c79ff\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\\n\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n\\n  | \\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633: \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 <i style=\\\"color: red\\\" class=\\\"fa fa-heartbeat fa-lg\\\"><\\/i>\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("663", "1231", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("664", "1231", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("665", "1231", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"left\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\",\"align\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#4c79ff\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n\\n  | \\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633: \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("617", "25", "_elementor_controls_usage", "a:7:{s:6:\"column\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:4:{s:12:\"_inline_size\";i:6;s:19:\"_inline_size_tablet\";i:5;s:16:\"content_position\";i:2;s:21:\"space_between_widgets\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:13:\"margin_mobile\";i:2;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:3;s:14:\"padding_mobile\";i:1;s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:7;s:11:\"header_size\";i:5;s:12:\"align_mobile\";i:7;s:5:\"align\";i:3;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:2;s:20:\"typography_font_size\";i:4;s:25:\"typography_letter_spacing\";i:2;s:27:\"typography_font_size_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:14:\"_margin_tablet\";i:2;s:14:\"_margin_mobile\";i:2;s:15:\"_padding_tablet\";i:2;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:4;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:5:\"align\";i:2;s:10:\"text_color\";i:1;s:20:\"typography_font_size\";i:2;s:22:\"typography_line_height\";i:2;s:12:\"align_mobile\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:5:\"style\";a:2:{s:18:\"section_background\";a:6:{s:21:\"background_background\";i:1;s:16:\"background_image\";i:1;s:15:\"background_size\";i:1;s:21:\"background_attachment\";i:1;s:17:\"background_repeat\";i:1;s:19:\"background_position\";i:1;}s:26:\"section_background_overlay\";a:3:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;s:26:\"background_overlay_opacity\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:5:{s:13:\"margin_mobile\";i:1;s:14:\"padding_mobile\";i:2;s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:13:\"margin_tablet\";i:1;}}s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}s:14:\"section_layout\";a:3:{s:16:\"content_position\";i:1;s:15:\"stretch_section\";i:1;s:6:\"layout\";i:1;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:3:{s:5:\"color\";i:2;s:6:\"weight\";i:2;s:3:\"gap\";i:1;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:5:{s:5:\"width\";i:2;s:12:\"width_mobile\";i:2;s:4:\"text\";i:2;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;}}}}s:9:\"shortcode\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:17:\"section_shortcode\";a:1:{s:9:\"shortcode\";i:1;}}}}s:11:\"google_maps\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:11:\"section_map\";a:2:{s:7:\"address\";i:1;s:6:\"height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}}");
INSERT INTO `age_postmeta` VALUES("612", "1223", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("613", "1223", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("614", "1223", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("615", "1223", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("621", "1225", "_wp_trash_meta_status", "publish");
INSERT INTO `age_postmeta` VALUES("622", "1225", "_wp_trash_meta_time", "1584812027");
INSERT INTO `age_postmeta` VALUES("627", "1226", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("628", "1226", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("632", "1227", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("633", "1227", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("634", "1227", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("635", "1227", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("636", "1227", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("637", "1227", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("640", "1228", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("641", "1228", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("642", "1228", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("643", "1228", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("644", "1228", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("645", "1228", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("647", "1229", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("648", "1229", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("649", "1229", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("650", "1229", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\",\"header_size\":\"h3\",\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("651", "1229", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("652", "1229", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("654", "1230", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("655", "1230", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("656", "1230", "_elementor_page_settings", "a:40:{s:22:\"astra_sites_main_color\";s:7:\"#4064d7\";s:30:\"astra_sites_heading_base_color\";s:7:\"#000000\";s:22:\"astra_sites_link_color\";s:7:\"#4064d7\";s:28:\"astra_sites_link_hover_color\";s:7:\"#3a3a3a\";s:22:\"astra_sites_text_color\";s:7:\"#3a3a3a\";s:16:\"background_color\";s:7:\"#ffffff\";s:21:\"background_background\";s:7:\"classic\";s:27:\"astra_sites_body_typography\";s:6:\"custom\";s:26:\"astra_sites_body_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"14\";}s:28:\"astra_sites_body_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.6\";}s:28:\"astra_sites_body_font_family\";s:12:\"Varela Round\";s:28:\"astra_sites_body_font_weight\";s:3:\"400\";s:32:\"astra_sites_heading_1_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_1_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"60\";}s:38:\"astra_sites_heading_1_font_size_tablet\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"50\";}s:38:\"astra_sites_heading_1_font_size_mobile\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_1_line_height\";a:2:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";s:3:\"1.2\";}s:33:\"astra_sites_heading_1_font_family\";s:7:\"\'Rubik\'\";s:33:\"astra_sites_heading_1_font_weight\";s:3:\"700\";s:32:\"astra_sites_heading_2_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_2_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"42\";}s:33:\"astra_sites_heading_2_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_2_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_3_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_3_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"30\";}s:33:\"astra_sites_heading_3_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_3_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_4_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_4_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"20\";}s:33:\"astra_sites_heading_4_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_4_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_5_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_5_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"18\";}s:33:\"astra_sites_heading_5_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_5_font_weight\";s:6:\"normal\";s:32:\"astra_sites_heading_6_typography\";s:6:\"custom\";s:31:\"astra_sites_heading_6_font_size\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:2:\"15\";}s:33:\"astra_sites_heading_6_font_family\";s:14:\"\'Varela Round\'\";s:33:\"astra_sites_heading_6_font_weight\";s:6:\"normal\";s:31:\"astra_sites_page_setting_enable\";s:0:\"\";}");
INSERT INTO `age_postmeta` VALUES("657", "1230", "_elementor_data", "[{\"id\":\"3vfx5aa\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":1215,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/businesman-hero-section2.jpg\"},\"shape_divider_bottom_flip\":\"yes\",\"background_overlay_background\":\"classic\",\"background_overlay_color_b\":\"#2bffcd\",\"background_overlay_gradient_angle\":{\"unit\":\"deg\",\"size\":90},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1},\"shape_divider_bottom_color\":\"#ffffff\",\"shape_divider_bottom_height\":{\"unit\":\"px\",\"size\":100},\"shape_divider_bottom_height_tablet\":{\"unit\":\"px\",\"size\":\"65\"},\"shape_divider_bottom_negative\":\"yes\",\"shape_divider_bottom_above_content\":\"yes\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"structure\":\"20\",\"background_position\":\"center center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":true},\"animation\":\"fadeIn\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"250\",\"right\":\"0\",\"bottom\":\"250\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\",\"background_overlay_position\":\"center center\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":68,\"sizes\":[]},\"css_filters_saturate\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]}},\"elements\":[{\"id\":\"h991bof\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":65,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd48649\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0648 \\u0633\\u0628\\u06a9 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"xpld4o6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062e\\u06cc\\u0631\\u0647 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align\":\"right\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1d3k1wu\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0648\\u0628 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u062f\\u0631 \\u0686\\u0646\\u062f \\u062f\\u0642\\u06cc\\u0642\\u0647 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0646\\u06cc\\u062f. \\u0628\\u062f\\u0648\\u0646 \\u0647\\u06cc\\u0686 \\u0645\\u0647\\u0627\\u0631\\u062a \\u06a9\\u062f \\u0646\\u0648\\u06cc\\u0633\\u06cc<\\/p>\",\"align\":\"justify\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"_animation\":\"fadeInUp\",\"align_tablet\":\"left\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"text_color\":\"#000000\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2b7fddc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false},{\"id\":\"v0kzet2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1u4upoi\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ge1h3f7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4uc3aor\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0686\\u06af\\u0648\\u0646\\u0647 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u06a9\\u0645\\u06a9 \\u06a9\\u0646\\u06cc\\u0645\\u061f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"h2cfn4h\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"43z9h6r\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"center\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"200\",\"bottom\":\"0\",\"left\":\"200\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"74\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"mqelytj\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"pel0pkb\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"w5dkvx5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1161,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/editing.png\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"o8wgvqy\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"8la837o\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1162,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/coding-1-1.png\"},\"title_text\":\"\\u062a\\u0648\\u0633\\u0639\\u0647 \\u062f\\u0647\\u0646\\u062f\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"oaqyuwu\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"ji98gu1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1163,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/marketing-1.png\"},\"title_text\":\"\\u0645\\u0627\\u0631\\u06a9\\u062a\\u06cc\\u0646\\u06af\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"awtba9l\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"g1sdwvp\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"lh3mrqk\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1164,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/share.png\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"4m5bvuo\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":200},\"elements\":[{\"id\":\"mqzzl25\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1165,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/cart.png\"},\"title_text\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"sy0zhtq\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeIn\",\"animation_duration\":\"slow\",\"animation_delay\":400},\"elements\":[{\"id\":\"iuxa07q\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1166,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/support.png\"},\"title_text\":\"\\u06a9\\u0645\\u06a9 \\u0648 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"image_space\":{\"unit\":\"px\",\"size\":\"17\"},\"image_size\":{\"unit\":\"%\",\"size\":\"16\"},\"title_typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"description_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"position\":\"right\",\"text_align\":\"right\",\"text_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3gfgm7m\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.86999999999999999555910790149937383830547332763671875},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6xd7dpl\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"0qa8fxh\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647\\u200c\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0kyzcff\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"8\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"qmqd0xv\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"t8scu0x\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":\"598\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/07\\/proj3-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"f3c6881\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"065xjrj\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1177,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj7.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"7eaadca\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"4dmvrcn\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1178,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj6.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"815d99d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"jd11pkq\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"background_background\":\"classic\",\"background_image\":{\"id\":1179,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/proj5-free-img.jpg\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625},\"background_overlay_hover_background\":\"classic\",\"background_overlay_hover_color\":\"#000000\",\"padding\":{\"unit\":\"px\",\"top\":\"320\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[{\"id\":\"c1ecebf\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color\":\"rgba(0,0,0,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"button_hover_border_color\":\"#ffffff\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ow7fkx4\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2h7hgqr\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"t4kigla\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0647 \\u06a9\\u0633\\u06cc \\u0628\\u0627 \\u0645\\u0627 \\u06a9\\u0627\\u0631 \\u0645\\u06cc \\u06a9\\u0646\\u0646\\u062f\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t6e8r0x\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fiqnqkz\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":1167,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client1.png\"},{\"id\":1168,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client2.png\"},{\"id\":1169,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client3.png\"},{\"id\":1170,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client4.png\"},{\"id\":1171,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client5.png\"},{\"id\":1172,\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/02\\/client6.png\"}],\"slides_to_show\":\"5\",\"slides_to_scroll\":\"1\",\"arrows_color\":\"#8c8c8c\",\"thumbnail_size\":\"custom\",\"thumbnail_custom_dimension\":{\"width\":\"150\",\"height\":\"\"},\"image_spacing_custom\":{\"unit\":\"px\",\"size\":0},\"dots_color\":\"#4064d7\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ps94fk6\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#ffffff\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dzxf2qo\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_width\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"border_color\":\"#4064d7\"},\"elements\":[{\"id\":\"nyge1y4\",\"elType\":\"section\",\"settings\":{\"content_position\":\"middle\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"fml2rst\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"30\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"yvqfpyi\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631 \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#ffffff\",\"header_size\":\"h3\",\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"usqd0kh\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"hc1ct6s\",\"elType\":\"widget\",\"settings\":{\"testimonial_content\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f. \",\"testimonial_image\":{\"id\":\"1115\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/testimonial.jpg\"},\"testimonial_name\":\"\\u062c\\u0627\\u0646 \\u062f\\u0648\",\"testimonial_job\":\"\\u0637\\u0631\\u0627\\u062d\",\"content_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"name_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"job_typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"testimonial_image_position\":\"top\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"140\",\"bottom\":\"0\",\"left\":\"140\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6v5ll6o\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#f4f4f7\",\"animation\":\"fadeIn\",\"layout\":\"full_width\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"75\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3xb1dok\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"lp5s1jt\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\"},\"_animation\":\"fadeInUp\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ji54d96\",\"elType\":\"widget\",\"settings\":{\"color\":\"#4064d7\",\"width\":{\"unit\":\"%\",\"size\":\"10\"},\"align\":\"center\",\"gap\":{\"unit\":\"px\",\"size\":2},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text\":\"Divider\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"csf2atq\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"v0uf612\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"4yand6g\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1110\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-1.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"510hihb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0648\\u0622\\u0646 \\u0648\\u06cc\\u0644\\u06cc\\u0627\\u0645\\u0632\",\"header_size\":\"h4\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ejws25\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"align\":\"right\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6akkpft\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"6ptw79a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"none\",\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"kpadzz8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1111\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-2.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"knxp4c3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u062f \\u0628\\u0627\\u0633\\u062a\\u0631\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7syjklq\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"pd1lu1i\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true},{\"id\":\"gnarny5\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"hgql66n\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1113\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2020\\/01\\/team-3.jpg\"},\"align\":\"left\",\"align_tablet\":\"left\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b2v7zae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0632\\u0627 \\u0647\\u0627\\u0641\\u0645\\u0646\",\"header_size\":\"h4\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"t9tw7ru\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u062f\\u06cc\\u0631<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"-15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"twocv5r\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social\":\"fa fa-facebook\",\"_id\":\"z6ub5rs\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-twitter\",\"_id\":\"iq06iau\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}},{\"social\":\"fa fa-google-plus\",\"_id\":\"b0a3i9i\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\",\"__fa4_migrated\":{\"social_icon\":true}}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#545454\",\"icon_size\":{\"unit\":\"px\",\"size\":\"12\"},\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("658", "1230", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("659", "1230", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("660", "2", "_elementor_controls_usage", "a:11:{s:7:\"heading\";a:3:{s:5:\"count\";i:10;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:5:{s:5:\"title\";i:10;s:11:\"header_size\";i:10;s:12:\"align_mobile\";i:5;s:5:\"align\";i:7;s:12:\"align_tablet\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:5:{s:20:\"typography_font_size\";i:6;s:25:\"typography_letter_spacing\";i:1;s:27:\"typography_font_size_tablet\";i:4;s:27:\"typography_font_size_mobile\";i:6;s:22:\"typography_line_height\";i:1;}}s:8:\"advanced\";a:3:{s:15:\"section_effects\";a:1:{s:10:\"_animation\";i:6;}s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:2;s:14:\"_margin_tablet\";i:1;s:14:\"_margin_mobile\";i:1;s:15:\"_padding_mobile\";i:1;}s:19:\"_section_background\";a:2:{s:22:\"_background_background\";i:1;s:17:\"_background_color\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:5;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:9:{s:5:\"align\";i:3;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:2;s:25:\"typography_letter_spacing\";i:1;s:12:\"align_tablet\";i:1;s:12:\"align_mobile\";i:4;s:27:\"typography_font_size_tablet\";i:1;s:27:\"typography_font_size_mobile\";i:1;s:10:\"text_color\";i:1;}}s:8:\"advanced\";a:2:{s:15:\"section_effects\";a:1:{s:10:\"_animation\";i:1;}s:14:\"_section_style\";a:4:{s:15:\"_padding_mobile\";i:2;s:8:\"_padding\";i:2;s:15:\"_padding_tablet\";i:1;s:7:\"_margin\";i:4;}}}}s:6:\"button\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:5;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_button\";a:4:{s:4:\"text\";i:5;s:12:\"align_mobile\";i:5;s:13:\"selected_icon\";i:4;s:11:\"icon_indent\";i:4;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:8:{s:16:\"background_color\";i:4;s:11:\"hover_color\";i:4;s:29:\"button_background_hover_color\";i:4;s:25:\"button_hover_border_color\";i:4;s:13:\"border_border\";i:4;s:12:\"border_width\";i:4;s:12:\"border_color\";i:4;s:21:\"typography_typography\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:21;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:21;s:19:\"_inline_size_tablet\";i:5;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:4:{s:14:\"padding_tablet\";i:1;s:6:\"margin\";i:6;s:7:\"padding\";i:5;s:14:\"padding_mobile\";i:2;}s:15:\"section_effects\";a:3:{s:9:\"animation\";i:9;s:18:\"animation_duration\";i:6;s:15:\"animation_delay\";i:4;}}s:5:\"style\";a:3:{s:13:\"section_style\";a:6:{s:21:\"background_background\";i:9;s:16:\"background_color\";i:4;s:16:\"background_image\";i:4;s:19:\"background_position\";i:4;s:17:\"background_repeat\";i:4;s:15:\"background_size\";i:4;}s:26:\"section_background_overlay\";a:5:{s:29:\"background_overlay_background\";i:4;s:24:\"background_overlay_color\";i:4;s:26:\"background_overlay_opacity\";i:4;s:35:\"background_overlay_hover_background\";i:4;s:30:\"background_overlay_hover_color\";i:4;}s:14:\"section_border\";a:3:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:2;s:12:\"border_color\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:11;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:4:{s:15:\"stretch_section\";i:6;s:6:\"layout\";i:3;s:3:\"gap\";i:2;s:16:\"content_position\";i:2;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:5;}}s:5:\"style\";a:4:{s:18:\"section_background\";a:6:{s:21:\"background_background\";i:6;s:16:\"background_image\";i:1;s:17:\"background_repeat\";i:1;s:15:\"background_size\";i:1;s:19:\"background_position\";i:1;s:16:\"background_color\";i:4;}s:21:\"section_shape_divider\";a:6:{s:25:\"shape_divider_bottom_flip\";i:1;s:26:\"shape_divider_bottom_color\";i:1;s:27:\"shape_divider_bottom_height\";i:1;s:34:\"shape_divider_bottom_height_tablet\";i:1;s:29:\"shape_divider_bottom_negative\";i:1;s:34:\"shape_divider_bottom_above_content\";i:1;}s:26:\"section_background_overlay\";a:7:{s:29:\"background_overlay_background\";i:2;s:26:\"background_overlay_color_b\";i:1;s:33:\"background_overlay_gradient_angle\";i:1;s:26:\"background_overlay_opacity\";i:2;s:27:\"background_overlay_position\";i:1;s:22:\"css_filters_brightness\";i:1;s:20:\"css_filters_saturate\";i:1;}s:14:\"section_border\";a:2:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:1;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:6;s:13:\"margin_mobile\";i:1;s:13:\"margin_tablet\";i:1;s:7:\"padding\";i:5;s:14:\"padding_tablet\";i:5;s:14:\"padding_mobile\";i:7;}s:15:\"section_effects\";a:1:{s:9:\"animation\";i:2;}}}}s:7:\"divider\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:5:\"style\";a:1:{s:21:\"section_divider_style\";a:2:{s:5:\"color\";i:5;s:3:\"gap\";i:5;}}s:7:\"content\";a:1:{s:15:\"section_divider\";a:3:{s:5:\"width\";i:5;s:5:\"align\";i:5;s:4:\"text\";i:5;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:5;}}}}s:9:\"image-box\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:5;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"title_text\";i:6;s:16:\"description_text\";i:6;s:8:\"position\";i:6;}}s:5:\"style\";a:2:{s:19:\"section_style_image\";a:2:{s:11:\"image_space\";i:6;s:10:\"image_size\";i:6;}s:21:\"section_style_content\";a:7:{s:26:\"title_typography_font_size\";i:6;s:32:\"description_typography_font_size\";i:6;s:34:\"description_typography_line_height\";i:6;s:37:\"description_typography_letter_spacing\";i:6;s:28:\"title_typography_line_height\";i:6;s:10:\"text_align\";i:6;s:17:\"text_align_mobile\";i:6;}}}}s:14:\"image-carousel\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:22:\"section_image_carousel\";a:5:{s:8:\"carousel\";i:1;s:14:\"slides_to_show\";i:1;s:16:\"slides_to_scroll\";i:1;s:14:\"thumbnail_size\";i:1;s:26:\"thumbnail_custom_dimension\";i:1;}}s:5:\"style\";a:2:{s:24:\"section_style_navigation\";a:2:{s:12:\"arrows_color\";i:1;s:10:\"dots_color\";i:1;}s:19:\"section_style_image\";a:1:{s:20:\"image_spacing_custom\";i:1;}}}}s:11:\"testimonial\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:6;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_testimonial\";a:5:{s:19:\"testimonial_content\";i:1;s:17:\"testimonial_image\";i:1;s:16:\"testimonial_name\";i:1;s:15:\"testimonial_job\";i:1;s:26:\"testimonial_image_position\";i:1;}}s:5:\"style\";a:3:{s:33:\"section_style_testimonial_content\";a:3:{s:28:\"content_typography_font_size\";i:1;s:30:\"content_typography_line_height\";i:1;s:35:\"content_typography_font_size_mobile\";i:1;}s:30:\"section_style_testimonial_name\";a:2:{s:25:\"name_typography_font_size\";i:1;s:32:\"name_typography_font_size_mobile\";i:1;}s:29:\"section_style_testimonial_job\";a:3:{s:24:\"job_typography_font_size\";i:1;s:31:\"job_typography_font_size_mobile\";i:1;s:29:\"job_typography_letter_spacing\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:15:\"_padding_tablet\";i:1;s:15:\"_padding_mobile\";i:1;s:8:\"_padding\";i:1;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:3;s:5:\"align\";i:3;s:12:\"align_tablet\";i:3;s:12:\"align_mobile\";i:3;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:3:{s:16:\"social_icon_list\";i:3;s:5:\"align\";i:3;s:12:\"align_mobile\";i:3;}}s:5:\"style\";a:1:{s:20:\"section_social_style\";a:3:{s:10:\"icon_color\";i:3;s:18:\"icon_primary_color\";i:3;s:9:\"icon_size\";i:3;}}}}}");
INSERT INTO `age_postmeta` VALUES("668", "1232", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("669", "1232", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("670", "1232", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("671", "1232", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("672", "1232", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"left\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\",\"align\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#4c79ff\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\",\"text_color_hover\":\"#6EC1E4\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\",\"text_color_hover\":\"#6EC1E4\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n\\n  | \\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633: \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("674", "1233", "_wp_page_template", "default");
INSERT INTO `age_postmeta` VALUES("675", "1233", "_elementor_edit_mode", "builder");
INSERT INTO `age_postmeta` VALUES("676", "1233", "_elementor_template_type", "wp-post");
INSERT INTO `age_postmeta` VALUES("677", "1233", "_elementor_version", "2.9.2");
INSERT INTO `age_postmeta` VALUES("678", "1233", "_elementor_data", "[{\"id\":\"4900071\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"content_position\":\"middle\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#4064d7\",\"background_position\":\"bottom center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0,0,0,0.4)\",\"padding\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"50\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"675edfe\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"65.000\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"530aacf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0627\\u06cc \\u0631\\u0627 \\u0628\\u0627 \\u0645\\u0627 \\u0634\\u0631\\u0648\\u0639 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"header_size\":\"h3\",\"align_mobile\":\"center\",\"title_color\":\"#ffffff\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":\"\"},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"typography_font_size\":{\"unit\":\"px\",\"size\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f9d7839\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"text_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"661d0f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":\"35.000\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"df64028\",\"elType\":\"widget\",\"settings\":{\"text\":\"18001234567\",\"typography_font_size\":{\"unit\":\"em\",\"size\":\"\"},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":\"\"},\"button_type\":\"info\",\"align\":\"left\",\"button_text_color\":\"#ffffff\",\"background_color\":\"rgba(64,100,215,0)\",\"hover_color\":\"#4064d7\",\"button_background_hover_color\":\"#ffffff\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#ffffff\",\"align_tablet\":\"right\",\"button_hover_border_color\":\"#ffffff\",\"align_mobile\":\"center\",\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"782282b\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"20\",\"bottom\":\"80\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"70\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"46c341f\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30.167000000000001591615728102624416351318359375,\"_inline_size_tablet\":33,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91842e4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"820\",\"url\":\"http:\\/\\/demo.iranlec.com\\/agency-02\\/wp-content\\/uploads\\/2017\\/09\\/spacewhite-logo-free-img.png\"},\"align\":\"right\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"06ae5d2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a .<\\/p>\",\"text_color\":\"#ffffff\",\"align\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3da00aa\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"92a9b95\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"cffc6e6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-google-plus-g\",\"library\":\"fa-brands\"},\"_id\":\"8840f04\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"f78799a\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"_id\":\"b804bc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#4064d7\",\"icon_secondary_color\":\"#ffffff\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hover_primary_color\":\"#61CE70\",\"hover_secondary_color\":\"#ffffff\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"5278d99\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":22.748999999999998777866494492627680301666259765625,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1b93cb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"31f673c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\",\"text_color_hover\":\"#6EC1E4\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8d27873\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27.751000000000001222133505507372319698333740234375,\"_inline_size_tablet\":22,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ea3aa60\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0647\\u0645\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"040a10c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u06cc\\u0645 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0627\\u0631 \\u0647\\u0627\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-chevron-left\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\",\"text_color_hover\":\"#6EC1E4\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"ae1b48e\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":19.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":23,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2078b37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u062a\\u0628\\u0627\\u0637 \\u0628\\u0627 \\u0645\\u0627\",\"header_size\":\"h4\",\"title_color\":\"#ffffff\",\"align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cb3b07f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0647\\u0631\\u0627\\u0646 \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0641\\u0631\\u062c\\u0627\\u0645 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"_id\":\"b6b7ff3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"info@demolink.org\",\"selected_icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"_id\":\"04a0eb4\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"1-800-1234-567\",\"selected_icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"_id\":\"d6b6e72\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"+44 987-654-3210\",\"selected_icon\":{\"value\":\"fas fa-mobile\",\"library\":\"fa-solid\"},\"_id\":\"003c8c3\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"icon_color\":\"#ffffff\",\"text_color\":\"#ffffff\",\"icon_align_mobile\":\"center\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6eebdb6\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#3a3a3a\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"rgba(160,160,160,0.28)\"},\"elements\":[{\"id\":\"4f065b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100},\"elements\":[{\"id\":\"64c7e7f\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u06a9\\u067e\\u06cc\\u200c\\u0631\\u0627\\u06cc\\u062a 2020 - \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 - \\u0641\\u0627\\u0631\\u0633\\u06cc\\u200c\\u0633\\u0627\\u0632\\u06cc \\u0648 \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u067e\\u0631\\u0648 \\u062a\\u0648\\u0633\\u0637 \\u0646\\u0627\\u06af\\u0627\\u062a\\u0645\\n\\n  | \\u0633\\u0627\\u062e\\u062a\\u0647 \\u0634\\u062f\\u0647 \\u0628\\u0627 \\u0627\\u0645\\u067e\\u0631\\u0627\\u0637\\u0648\\u0631 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633: \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\",\"align\":\"center\",\"title_color\":\"#ffffff\",\"caption_typography_typography\":\"custom\",\"caption_typography_font_family\":\"IRANSansFaNum_Bold\",\"caption_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"copyright\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `age_postmeta` VALUES("679", "1085", "_elementor_controls_usage", "a:9:{s:7:\"heading\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:3:{s:5:\"title\";i:4;s:11:\"header_size\";i:4;s:12:\"align_mobile\";i:4;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:4:{s:11:\"title_color\";i:4;s:27:\"typography_font_size_tablet\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:14:\"_margin_tablet\";i:1;s:15:\"_padding_tablet\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:3:{s:10:\"text_color\";i:2;s:12:\"align_mobile\";i:1;s:5:\"align\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:15:\"_padding_mobile\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:0;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:6;s:19:\"_inline_size_tablet\";i:4;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:5;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:3;}}}}s:6:\"button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:7;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_button\";a:5:{s:4:\"text\";i:1;s:11:\"button_type\";i:1;s:5:\"align\";i:1;s:12:\"align_tablet\";i:1;s:12:\"align_mobile\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:10:{s:20:\"typography_font_size\";i:1;s:25:\"typography_letter_spacing\";i:1;s:17:\"button_text_color\";i:1;s:16:\"background_color\";i:1;s:11:\"hover_color\";i:1;s:29:\"button_background_hover_color\";i:1;s:12:\"border_width\";i:1;s:12:\"border_color\";i:1;s:25:\"button_hover_border_color\";i:1;s:13:\"border_border\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:15:\"_padding_mobile\";i:1;s:7:\"_margin\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:2:{s:15:\"stretch_section\";i:1;s:16:\"content_position\";i:1;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}}s:5:\"style\";a:3:{s:18:\"section_background\";a:5:{s:21:\"background_background\";i:3;s:16:\"background_color\";i:3;s:19:\"background_position\";i:1;s:21:\"background_attachment\";i:1;s:15:\"background_size\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;}s:14:\"section_border\";a:3:{s:13:\"border_border\";i:1;s:12:\"border_width\";i:1;s:12:\"border_color\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:3;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:2;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_image\";a:3:{s:5:\"image\";i:1;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:18:\"icon_primary_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_padding\";i:1;s:12:\"icon_spacing\";i:1;s:13:\"border_radius\";i:1;}s:20:\"section_social_hover\";a:2:{s:19:\"hover_primary_color\";i:1;s:21:\"hover_secondary_color\";i:1;}}}}s:9:\"icon-list\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:1:{s:9:\"icon_list\";i:3;}}s:5:\"style\";a:3:{s:17:\"section_icon_list\";a:2:{s:13:\"space_between\";i:3;s:17:\"icon_align_mobile\";i:3;}s:18:\"section_icon_style\";a:1:{s:10:\"icon_color\";i:3;}s:18:\"section_text_style\";a:2:{s:10:\"text_color\";i:3;s:16:\"text_color_hover\";i:2;}}}}s:9:\"copyright\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:3;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:6:{s:9:\"shortcode\";i:1;s:5:\"align\";i:1;s:11:\"title_color\";i:1;s:29:\"caption_typography_typography\";i:1;s:30:\"caption_typography_font_family\";i:1;s:28:\"caption_typography_font_size\";i:1;}}}}}");

/* INSERT TABLE DATA: age_posts */
INSERT INTO `age_posts` VALUES("342", "1", "2017-06-22 13:17:06", "2017-06-22 13:17:06", "", "client4", "", "inherit", "open", "closed", "", "client4", "", "", "2017-06-22 13:17:06", "2017-06-22 13:17:06", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/client4-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("343", "1", "2017-06-22 13:17:07", "2017-06-22 13:17:07", "", "client5", "", "inherit", "open", "closed", "", "client5", "", "", "2017-06-22 13:17:07", "2017-06-22 13:17:07", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/client5-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("10", "1", "2020-02-22 22:13:24", "2020-02-22 18:43:24", "/* You can add your own CSS here. Click the help icon above to learn more. */\n", "astra-child", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2020-02-22 22:13:24", "2020-02-22 18:43:24", "", "9", "http://demo.iranlec.com/agency-02/9-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("11", "1", "2017-06-19 06:34:04", "2017-06-19 06:34:04", "", "favicon", "", "inherit", "open", "closed", "", "favicon", "", "", "2017-06-19 06:34:04", "2017-06-19 06:34:04", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/favicon-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("176", "1", "2017-06-20 11:16:59", "2017-06-20 11:16:59", "", "cart", "", "inherit", "open", "closed", "", "cart", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/cart-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("177", "1", "2017-06-20 11:17:00", "2017-06-20 11:17:00", "", "editing", "", "inherit", "open", "closed", "", "editing", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/editing-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("179", "1", "2017-06-20 11:17:01", "2017-06-20 11:17:01", "", "support", "", "inherit", "open", "closed", "", "support", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/support-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("259", "1", "2017-06-21 09:32:26", "2017-06-21 09:32:26", "", "coding-1", "", "inherit", "open", "closed", "", "coding-1-2", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/coding-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("261", "1", "2017-06-21 09:48:55", "2017-06-21 09:48:55", "", "share", "", "inherit", "open", "closed", "", "share", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/share-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("339", "1", "2017-06-22 13:16:59", "2017-06-22 13:16:59", "", "client1", "", "inherit", "open", "closed", "", "client1", "", "", "2017-06-22 13:16:59", "2017-06-22 13:16:59", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/client1-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("340", "1", "2017-06-22 13:17:01", "2017-06-22 13:17:01", "", "client2", "", "inherit", "open", "closed", "", "client2", "", "", "2017-06-22 13:17:01", "2017-06-22 13:17:01", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/client2-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("341", "1", "2017-06-22 13:17:03", "2017-06-22 13:17:03", "", "client3", "", "inherit", "open", "closed", "", "client3", "", "", "2017-06-22 13:17:03", "2017-06-22 13:17:03", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/client3-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("3", "1", "2020-02-22 22:08:43", "2020-02-22 18:38:43", "<!-- wp:heading --><h2>ما که هستیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p>نشانی وب‌سایت ما: http://demo.iranlec.com/agency-02.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>کدامیک از اطلاعات شخصی را جمع آوری میکنیم و چرا</h2><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>دیدگاه‌ها</h3><!-- /wp:heading --><!-- wp:paragraph --><p>هنگامی که بازدیدکنندگان نظرات خود را در سایت می‌نویسند، ما اطلاعاتی را که در فرم نظرات و همچنین بازدید کننده‌ها ارائه می‌شود جمع آوری می‌کنیم &#8217;s آدرس IP و رجیستر عامل کاربر مرورگر برای کمک به تشخیص هرزنامه.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>یک رشته ناشناس ایجاد شده از آدرس ایمیل شما (همچنین هش نامیده می‌شود) ممکن است به سرویس Gravatar ارائه شود تا ببینید آیا از آن استفاده می‌کنید. سیاست حفظ حریم خصوصی خدمات Gravatar در اینجا در دسترس است: https://automattic.com/privacy/. پس از تأیید نظر شما، تصویر نمایه شما در متن نظر شما قابل مشاهده است.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>رسانه</h3><!-- /wp:heading --><!-- wp:paragraph --><p>اگر تصاویر را به وبسایت آپلود کنید، نباید آپلود تصاویر با داده‌های مکان جغرافیایی (EXIF GPS) شامل شود. بازدیدکنندگان وب سایت می‌توانند هر گونه اطلاعات مکان را از تصاویر در وب سایت دانلود و استخراج کنند.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>فرم‌های تماس</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>کوکی‌ها</h3><!-- /wp:heading --><!-- wp:paragraph --><p>اگر شما نظر خود را در سایت ما ثبت کنید، ممکن است برای ذخیره نام، آدرس ایمیل و وب سایت خود در کوکی‌ها تصمیم گیری کنید. اینها برای راحتی شما هستند، به طوری که شما مجبور نیستید دوباره جزئیات خود را پر کنید زمانی که نظر دیگری را ترک کنید. این کوکی‌ها یک سال طول خواهد کشید.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>اگر از برگه ورود ما بازدید نمایید، ما یک کوکی موقت برای مشخص نمودن اینکه آیا مروگر شما کوکی قبول می‌کند را تنظیم می‌کنیم. این کوکی محتوای اطلاعات شخصی شما نیست و وقتی مرورگر شما بسته می‌شود از بین می‌رود.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>هنگام ورود به سیستم، ما همچنین کوکی‌ها را تنظیم خواهیم کرد تا اطلاعات ورود به سیستم و گزینه‌های صفحه نمایش خود را ذخیره کنید. کوکی‌های ورود به سیستم برای دو روز گذشته و کوکی‌های گزینه‌های صفحه نمایش برای یک سال گذشته است. اگر شما انتخاب کنید &quot; به یاد داشته باشید من Me&quot;، ورود شما برای دو هفته ادامه خواهد داشت. اگر از حساب خود خارج شوید، کوکی‌های ورود حذف خواهند شد.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>اگر یک مقاله را ویرایش یا منتشر کنید، یک کوکی اضافی در مرورگر شما ذخیره خواهد شد. این کوکی حاوی اطلاعات شخصی نیست و به سادگی نشان می‌دهد که شناسه پست مقاله شما فقط ویرایش شده است. بعد از یک روز منقضی می‌شود.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>محتوای جاسازی‌شده از دیگر وب‌سایت‌ها</h3><!-- /wp:heading --><!-- wp:paragraph --><p>مقالات موجود در این سایت ممکن است شامل محتوای تعبیه شده (مثلا ویدئوها، تصاویر، مقالات و غیره) باشد. مطالب جاسازی شده از وب سایت‌های دیگر رفتار دقیقا همان طوری که بازدید کننده از وب سایت دیگر بازدید کرده است.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>این وبسایت‌ها ممکن است اطلاعاتی مربوط به شما را جمع‌آوری کنند، از کوکی‌ها استفاده کنند، ردیابی سوم شخص اضافه را جاسازی کنند و تعامل شما را با محتوای تعبیه شده نظارت کنند که شامل ردیابی تعامل شما با محتوای جاسازی شده است اگر حساب کاربری داشته و به آن وبسایت وارد شده باشید.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>تجزیه و تحلیل</h3><!-- /wp:heading --><!-- wp:heading --><h2>اطلاعات شما را با چه کسی به اشتراک می‌گذاریم</h2><!-- /wp:heading --><!-- wp:heading --><h2>چه مدت ما اطلاعات شما را حفظ می‌کنیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p>اگر یک نظر را ترک کنید، نظر و متادیتای آن به طور نامحدود حفظ می‌شوند. این به این معنا است که ما می‌توانیم به جای برگزاری آنها در یک خط مؤثر، به طور خودکار هر نظر پیگیری را تصدیق و تأیید کنیم.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>برای کاربرانی که در وب سایت ما ثبت نام می‌کنند (اگر وجود داشته باشند)، ما همچنین اطلاعات شخصی را که در مشخصات کاربر آنها ارائه می‌کنیم، ذخیره می‌کنیم. همه کاربران می‌توانند اطلاعات شخصی خود را در هر زمان (به جز آنها که نمی‌توانند نام کاربری خود را تغییر دهند) ببینند، ویرایش و یا حذف کنند. مدیران وب سایت همچنین می‌توانند این اطلاعات را مشاهده و ویرایش کنند.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>حقوقی که بر روی داده‌هایتان دارید</h2><!-- /wp:heading --><!-- wp:paragraph --><p>اگر در این سایت حساب کاربری دارید یا نظرها را ترک کرده اید، می‌توانید درخواست دریافت یک فایل صادر شده از اطلاعات شخصی که ما در مورد شما نگه می‌داریم، از جمله هر گونه داده‌ای که برای ما ارائه کرده اید. همچنین می‌توانید درخواست کنید که ما هر گونه اطلاعات شخصی که در مورد شما نگه داریم پاک کنیم. این شامل اطلاعاتی نیست که ما مجبور به نگهداری آنها برای اهداف اداری، قانونی یا امنیتی باشیم.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>داده‌های شما را به کجا ارسال می‌کنیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p>دیدگاه‌های بازدیدکننده ممکن است از طریق یک سرویس تشخیص جفنگ خودکار بررسی شوند.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>اطلاعات تماس شما</h2><!-- /wp:heading --><!-- wp:heading --><h2>اطلاعات اضافی</h2><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>چگونه از اطلاعات شما حفاظت می‌کنیم</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>چه رویه‌های نقض اطلاعات در حال حاضر وجود دارد</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>چه چیز جدیدی از داده‌ها دریافت می‌کنیم</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>تصمیم گیری خودکار و / یا پروفایل ما با داده‌های کاربر انجام می‌شود</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>الزامات افشای قانونی صنعت</h3><!-- /wp:heading -->", "سیاست حریم خصوصی", "", "draft", "closed", "open", "", "سیاست-حفظ-حریم-خصوصی", "", "", "2020-02-22 22:08:43", "2020-02-22 18:38:43", "", "0", "http://demo.iranlec.com/agency-02/?page_id=3", "0", "page", "", "0");
INSERT INTO `age_posts` VALUES("4", "1", "2020-02-22 22:08:59", "0000-00-00 00:00:00", "", "پیش‌نویس خودکار", "", "auto-draft", "open", "open", "", "", "", "", "2020-02-22 22:08:59", "0000-00-00 00:00:00", "", "0", "http://demo.iranlec.com/agency-02/?p=4", "0", "post", "", "0");
INSERT INTO `age_posts` VALUES("7", "1", "2020-02-22 22:13:22", "2020-02-22 18:43:22", "{\"id\":\"7\",\"field_id\":3,\"fields\":[{\"id\":\"0\",\"type\":\"name\",\"label\":\"Name\",\"format\":\"simple\",\"description\":\"\",\"required\":\"1\",\"size\":\"large\",\"simple_placeholder\":\"\\u0646\\u0627\\u0645 \\u0634\\u0645\\u0627\",\"simple_default\":\"\",\"first_placeholder\":\"\",\"first_default\":\"\",\"middle_placeholder\":\"\",\"middle_default\":\"\",\"last_placeholder\":\"\",\"last_default\":\"\",\"label_hide\":\"1\",\"css\":\"\"},{\"id\":\"1\",\"type\":\"email\",\"label\":\"Email\",\"description\":\"\",\"required\":\"1\",\"size\":\"large\",\"placeholder\":\"\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0634\\u0645\\u0627\",\"confirmation_placeholder\":\"\",\"label_hide\":\"1\",\"default_value\":\"\",\"css\":\"\"},{\"id\":\"2\",\"type\":\"textarea\",\"label\":\"Message\",\"description\":\"\",\"required\":\"1\",\"size\":\"medium\",\"placeholder\":\"\\u067e\\u06cc\\u0627\\u0645 \\u0634\\u0645\\u0627\",\"label_hide\":\"1\",\"limit_count\":\"1\",\"limit_mode\":\"characters\",\"default_value\":\"\",\"css\":\"\"}],\"settings\":{\"form_title\":\"Contact Form\",\"form_desc\":\"\",\"form_class\":\"\",\"submit_text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644\",\"submit_text_processing\":\"\\u062f\\u0631 \\u062d\\u0627\\u0644 \\u0627\\u0631\\u0633\\u0627\\u0644...\",\"submit_class\":\"\",\"honeypot\":\"1\",\"notification_enable\":\"1\",\"notifications\":{\"1\":{\"email\":\"{admin_email}\",\"subject\":\"New Entry: Contact Form\",\"sender_name\":\"{field_id=\\\"0\\\"}\",\"sender_address\":\"{admin_email}\",\"replyto\":\"{field_id=\\\"1\\\"}\",\"message\":\"{all_fields}\"}},\"confirmations\":{\"1\":{\"type\":\"message\",\"message\":\"<p>Thanks for contacting us! We will be in touch with you shortly.<\\/p>\",\"message_scroll\":\"1\",\"page\":\"19\",\"redirect\":\"\"}}},\"meta\":{\"template\":\"contact\"}}", "Contact Form", "", "publish", "closed", "closed", "", "contact-form", "", "", "2020-02-22 18:36:35", "2020-02-22 19:36:35", "", "0", "http://demo.iranlec.com/agency-02/?post_type=wpforms&#038;p=7", "0", "wpforms", "", "0");
INSERT INTO `age_posts` VALUES("8", "1", "2020-02-22 22:13:24", "2020-02-22 18:43:24", "", "space-logo-free-img@2x", "", "inherit", "open", "closed", "", "space-logo-free-img2x", "", "", "2020-02-22 22:13:24", "2020-02-22 18:43:24", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/space-logo-free-img@2x.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("9", "1", "2020-02-22 22:13:24", "2020-02-22 18:43:24", "/* You can add your own CSS here. Click the help icon above to learn more. */\n", "astra-child", "", "publish", "closed", "closed", "", "astra-child", "", "", "2020-02-22 22:13:24", "2020-02-22 18:43:24", "", "0", "http://demo.iranlec.com/agency-02/astra-child/", "0", "custom_css", "", "0");
INSERT INTO `age_posts` VALUES("344", "1", "2017-06-22 13:17:09", "2017-06-22 13:17:09", "", "client6", "", "inherit", "open", "closed", "", "client6", "", "", "2017-06-22 13:17:09", "2017-06-22 13:17:09", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/client6-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("346", "1", "2017-06-23 03:55:09", "2017-06-23 03:55:09", "", "marketing", "", "inherit", "open", "closed", "", "marketing-2", "", "", "2017-06-23 03:55:09", "2017-06-23 03:55:09", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/marketing-1-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("407", "1", "2017-06-23 13:15:04", "2017-06-23 13:15:04", "", "award-icon", "", "inherit", "open", "closed", "", "award-icon", "", "", "2017-06-23 13:15:04", "2017-06-23 13:15:04", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/award-icon-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("409", "1", "2017-06-23 13:15:08", "2017-06-23 13:15:08", "", "heart-icon", "", "inherit", "open", "closed", "", "heart-icon", "", "", "2017-06-23 13:15:08", "2017-06-23 13:15:08", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/heart-icon-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("411", "1", "2017-06-23 13:18:36", "2017-06-23 13:18:36", "", "projects-icon", "", "inherit", "open", "closed", "", "projects-icon", "", "", "2017-06-23 13:18:36", "2017-06-23 13:18:36", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/projects-icon-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("427", "1", "2017-06-26 06:10:50", "2017-06-26 06:10:50", "", "code-lines-icon", "", "inherit", "open", "closed", "", "code-lines-icon", "", "", "2017-06-26 06:10:50", "2017-06-26 06:10:50", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/code-lines-icon-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("598", "1", "2017-07-25 09:47:50", "2017-07-25 09:47:50", "", "proj3", "", "inherit", "open", "closed", "", "proj3-2", "", "", "2017-07-25 09:47:50", "2017-07-25 09:47:50", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/07/proj3-free-img.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("599", "1", "2017-07-25 09:54:16", "2017-07-25 09:54:16", "", "proj7", "", "inherit", "open", "closed", "", "proj7-2", "", "", "2017-07-25 09:54:16", "2017-07-25 09:54:16", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/07/proj7-free-img.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("600", "1", "2017-07-25 09:54:41", "2017-07-25 09:54:41", "", "proj6", "", "inherit", "open", "closed", "", "proj6-2", "", "", "2017-07-25 09:54:41", "2017-07-25 09:54:41", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/07/proj6-free-img.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("129", "1", "2017-06-20 06:29:50", "2017-06-20 06:29:50", "/*\nYou can add your own CSS here.\n\nClick the help icon above to learn more.\n*/\n\n", "astra", "", "publish", "closed", "closed", "", "astra", "", "", "2017-06-20 06:29:50", "2017-06-20 06:29:50", "", "0", "https://websitedemos.net/astra-lite-demo-1/2017/06/20/astra/", "0", "custom_css", "", "0");
INSERT INTO `age_posts` VALUES("601", "1", "2017-07-25 09:55:40", "2017-07-25 09:55:40", "", "proj5", "", "inherit", "open", "closed", "", "proj5-2", "", "", "2017-07-25 09:55:40", "2017-07-25 09:55:40", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/07/proj5-free-img.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("685", "1", "2017-07-26 09:59:43", "2017-07-26 09:59:43", "/* You can add your own CSS here. Click the help icon above to learn more. */\n", "astra-theme-child", "", "publish", "closed", "closed", "", "astra-theme-child", "", "", "2017-07-26 09:59:43", "2017-07-26 09:59:43", "", "0", "https://websitedemos.net/agency-free/astra-theme-child/", "0", "custom_css", "", "0");
INSERT INTO `age_posts` VALUES("724", "1", "2017-07-26 10:53:48", "2017-07-26 10:53:48", " ", "", "", "publish", "closed", "closed", "", "724", "", "", "2017-07-26 10:53:48", "2017-07-26 10:53:48", "", "0", "https://websitedemos.net/agency-free/?p=724", "5", "nav_menu_item", "", "0");
INSERT INTO `age_posts` VALUES("726", "1", "2017-07-26 10:53:47", "2017-07-26 10:53:47", " ", "", "", "publish", "closed", "closed", "", "726", "", "", "2017-07-26 10:53:47", "2017-07-26 10:53:47", "", "0", "https://websitedemos.net/agency-free/?p=726", "2", "nav_menu_item", "", "0");
INSERT INTO `age_posts` VALUES("727", "1", "2017-07-26 10:53:47", "2017-07-26 10:53:47", " ", "", "", "publish", "closed", "closed", "", "727", "", "", "2017-07-26 10:53:47", "2017-07-26 10:53:47", "", "0", "https://websitedemos.net/agency-free/?p=727", "1", "nav_menu_item", "", "0");
INSERT INTO `age_posts` VALUES("817", "1", "2017-09-29 09:44:27", "2017-09-29 09:44:27", "", "space-logo-free-img", "", "inherit", "open", "closed", "", "space-logo-free-img", "", "", "2017-09-29 09:44:27", "2017-09-29 09:44:27", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/space-logo-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("818", "1", "2017-09-29 09:44:27", "2017-09-29 09:44:27", "", "space-logo-free-img@2x", "", "inherit", "open", "closed", "", "space-logo-free-img2x-2", "", "", "2017-09-29 09:44:27", "2017-09-29 09:44:27", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/space-logo-free-img@2x.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("820", "1", "2017-09-29 09:45:44", "2017-09-29 09:45:44", "", "spacewhite-logo-free-img", "", "inherit", "open", "closed", "", "spacewhite-logo-free-img", "", "", "2017-09-29 09:45:44", "2017-09-29 09:45:44", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/spacewhite-logo-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1045", "1", "2019-12-04 09:32:50", "2019-12-04 09:32:50", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/cropped-space-logo-free-img.png", "cropped-space-logo-free-img.png", "", "inherit", "open", "closed", "", "cropped-space-logo-free-img-png", "", "", "2019-12-04 09:32:50", "2019-12-04 09:32:50", "", "0", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/cropped-space-logo-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1085", "1", "2019-12-06 09:08:32", "2019-12-06 09:08:32", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										صفحه اصلی\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										درباره ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										خدمات\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										ارتباط با ما\n											</a>\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										پروژه ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										تیم ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										کار ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										مشتریان\n											</a>\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		کپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n  | ساخته شده با امپراطور وردپرس: قالب آسترا", "Footer", "", "publish", "closed", "closed", "", "footer", "", "", "2020-03-21 22:09:52", "2020-03-21 17:39:52", "", "0", "https://websitedemos.net/agency-02/?post_type=elementor-hf&#038;p=1085", "0", "elementor-hf", "", "0");
INSERT INTO `age_posts` VALUES("1110", "1", "2020-01-29 06:43:37", "2020-01-29 06:43:37", "", "team-1", "", "inherit", "open", "closed", "", "team-1", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1111", "1", "2020-01-29 06:59:18", "2020-01-29 06:59:18", "", "team-2", "", "inherit", "open", "closed", "", "team-2", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1113", "1", "2020-01-29 07:10:26", "2020-01-29 07:10:26", "", "team-3", "", "inherit", "open", "closed", "", "team-3", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1115", "1", "2020-01-29 07:11:57", "2020-01-29 07:11:57", "", "testimonial", "", "inherit", "open", "closed", "", "testimonial", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "2", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/testimonial.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1118", "1", "2020-01-29 07:15:19", "2020-01-29 07:15:19", "", "about-bg-img", "", "inherit", "open", "closed", "", "about-bg-img", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "19", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/about-bg-img.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1119", "1", "2020-01-29 07:21:04", "2020-01-29 07:21:04", "", "why-choose-us", "", "inherit", "open", "closed", "", "why-choose-us-2", "", "", "2020-02-22 22:14:32", "2020-02-22 18:44:32", "", "19", "https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/why-choose-us.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1156", "1", "2020-02-17 05:03:37", "2020-02-17 05:03:37", "", "Default Kit", "", "publish", "closed", "closed", "", "default-kit", "", "", "2020-02-17 05:03:37", "2020-02-17 05:03:37", "", "0", "https://websitedemos.net/agency-02/?elementor_library=default-kit", "0", "elementor_library", "", "0");
INSERT INTO `age_posts` VALUES("1216", "1", "2020-02-23 11:48:24", "2020-02-23 12:48:24", "<h4>سریعترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وب سایت تجاری خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه کار</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-23 11:48:24", "2020-02-23 12:48:24", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("2", "1", "2017-06-19 05:41:37", "2017-06-19 05:41:37", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h3>نظر مشتریان ما</h3>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "publish", "closed", "closed", "", "home", "", "", "2020-03-21 22:07:44", "2020-03-21 17:37:44", "", "0", "https://websitedemos.net/astra-lite-demo-1/?page_id=2", "0", "page", "", "0");
INSERT INTO `age_posts` VALUES("19", "1", "2017-06-19 07:07:27", "2017-06-19 07:07:27", "<h1>درباره ما</h1>		\n			<h4>به فضای کاری ما خوش آمدید</h4>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</section>		\n			<h3>ما که هستیم\n</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>ماموریت ما</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>آنچه انجام می دهیم\n</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>داستان ما</h3>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی و فرهنگ پیشرو در زبان فارسی ایجاد کرد.</section>		\n			<h3>روند 6 بعدی ما</h3>		\n			<h3>جست و جو</h3>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>		\n			<h3>مشخص کردن</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>طراحی</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>توسعه</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>استقرار</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>ارائه</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n										<img width=\"1000\" height=\"667\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg 1000w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-300x200.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-768x512.jpg 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" />											\n			<h3>چرا ما را انتخاب کنید؟</h3>		\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n							پروژه ها به پایان رسید\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/projects-icon-oljz1gztfosl3e6v5eqg5fi0ctu4mvs69yb2byxb5w.png\" title=\"projects-icon.png\" alt=\"projects-icon.png\" />											\n							مشتریان خوشحال\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/heart-icon-oljz1ivhtcv5qm44ufjpaf0xjlkv29zmy7m1aiuitg.png\" title=\"heart-icon.png\" alt=\"heart-icon.png\" />											\n				K+\n							خطوط کد\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/code-lines-icon-oljz1kr670xqdu1ejgcyfejuqdblho73mgx092rqh0.png\" title=\"code-lines-icon.png\" alt=\"code-lines-icon.png\" />											\n							جوایز\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/award-icon-free-img-oljz1nkorj1lcnxb2zku4vu8iixp4riamuvgownjyc.png\" title=\"award-icon-free-img.png\" alt=\"award-icon-free-img.png\" />", "درباره ما", "", "publish", "closed", "closed", "", "about", "", "", "2020-02-22 18:18:36", "2020-02-22 19:18:36", "", "0", "https://websitedemos.net/astra-lite-demo-1/?page_id=19", "0", "page", "", "0");
INSERT INTO `age_posts` VALUES("21", "1", "2017-06-19 07:07:39", "2017-06-19 07:07:39", "<h1>خدمات</h1>		\n			<h4>ما خدمات گسترده ای ارائه می دهیم</h4>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>بیایید با هم چیزهای عالی بسازیم.</h3>		\n			<h4>درباره پروژه تان به ما بگویید.</h4>		\n			<a href=\"#\" role=\"button\">\n						درخواست نقل قول\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next", "خدمات", "", "publish", "closed", "closed", "", "services", "", "", "2020-02-22 18:32:02", "2020-02-22 19:32:02", "", "0", "https://websitedemos.net/astra-lite-demo-1/?page_id=21", "0", "page", "", "0");
INSERT INTO `age_posts` VALUES("25", "1", "2017-06-19 07:08:22", "2017-06-19 07:08:22", "<h1>ارتباط ما</h1>		\n			<h4>برای خدمات تجاری تماس بگیرید</h4>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<h5>ارتباط با ما</h5>		\n			<h2>با ما در تماس باشید</h2>		\n		<p>تهران ، خیابان فرجام ، کوچه گلستان</p><p>info@demolink.org</p>		\n			<h6>تلفن ما</h6>		\n			<h3>1-800-1234-567</h3>		\n			<h2>درخواست مشاوره رایگان</h2>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>[wpforms id=\"7\" title=\"false\" description=\"false\"]		\n			<iframe frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"https://maps.google.com/maps?q=Glasgow&amp;t=m&amp;z=10&amp;output=embed&amp;iwloc=near\" aria-label=\"Glasgow\"></iframe>", "ارتباط با ما", "", "publish", "closed", "closed", "", "contact", "", "", "2020-02-23 11:54:12", "2020-02-23 12:54:12", "", "0", "https://websitedemos.net/astra-lite-demo-1/?page_id=25", "0", "page", "", "0");
INSERT INTO `age_posts` VALUES("725", "1", "2017-07-26 10:53:48", "2017-07-26 10:53:48", " ", "", "", "publish", "closed", "closed", "", "725", "", "", "2017-07-26 10:53:48", "2017-07-26 10:53:48", "", "0", "https://websitedemos.net/agency-free/?p=725", "3", "nav_menu_item", "", "0");
INSERT INTO `age_posts` VALUES("1160", "1", "2020-02-22 22:14:34", "2020-02-22 18:44:34", "", "cropped-space-logo-free-img", "", "inherit", "open", "closed", "", "cropped-space-logo-free-img", "", "", "2020-02-22 22:14:34", "2020-02-22 18:44:34", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cropped-space-logo-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1161", "0", "2020-02-22 22:14:37", "2020-02-22 18:44:37", "", "editing.png", "", "inherit", "open", "closed", "", "editing-png", "", "", "2020-02-22 22:14:37", "2020-02-22 18:44:37", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1162", "0", "2020-02-22 22:14:39", "2020-02-22 18:44:39", "", "coding-1-1.png", "", "inherit", "open", "closed", "", "coding-1-1-png", "", "", "2020-02-22 22:14:39", "2020-02-22 18:44:39", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1163", "0", "2020-02-22 22:14:42", "2020-02-22 18:44:42", "", "marketing-1.png", "", "inherit", "open", "closed", "", "marketing-1-png", "", "", "2020-02-22 22:14:42", "2020-02-22 18:44:42", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1164", "0", "2020-02-22 22:14:44", "2020-02-22 18:44:44", "", "share.png", "", "inherit", "open", "closed", "", "share-png", "", "", "2020-02-22 22:14:44", "2020-02-22 18:44:44", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1165", "0", "2020-02-22 22:14:46", "2020-02-22 18:44:46", "", "cart.png", "", "inherit", "open", "closed", "", "cart-png", "", "", "2020-02-22 22:14:46", "2020-02-22 18:44:46", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1166", "0", "2020-02-22 22:14:48", "2020-02-22 18:44:48", "", "support.png", "", "inherit", "open", "closed", "", "support-png", "", "", "2020-02-22 22:14:48", "2020-02-22 18:44:48", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1167", "0", "2020-02-22 22:14:51", "2020-02-22 18:44:51", "", "client1.png", "", "inherit", "open", "closed", "", "client1-png", "", "", "2020-02-22 22:14:51", "2020-02-22 18:44:51", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client1.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1168", "0", "2020-02-22 22:14:53", "2020-02-22 18:44:53", "", "client2.png", "", "inherit", "open", "closed", "", "client2-png", "", "", "2020-02-22 22:14:53", "2020-02-22 18:44:53", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client2.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1169", "0", "2020-02-22 22:14:55", "2020-02-22 18:44:55", "", "client3.png", "", "inherit", "open", "closed", "", "client3-png", "", "", "2020-02-22 22:14:55", "2020-02-22 18:44:55", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client3.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1170", "0", "2020-02-22 22:14:58", "2020-02-22 18:44:58", "", "client4.png", "", "inherit", "open", "closed", "", "client4-png", "", "", "2020-02-22 22:14:58", "2020-02-22 18:44:58", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client4.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1171", "0", "2020-02-22 22:15:00", "2020-02-22 18:45:00", "", "client5.png", "", "inherit", "open", "closed", "", "client5-png", "", "", "2020-02-22 22:15:00", "2020-02-22 18:45:00", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client5.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1172", "0", "2020-02-22 22:15:02", "2020-02-22 18:45:02", "", "client6.png", "", "inherit", "open", "closed", "", "client6-png", "", "", "2020-02-22 22:15:02", "2020-02-22 18:45:02", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/client6.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1173", "0", "2020-02-22 22:15:05", "2020-02-22 18:45:05", "", "projects-icon.png", "", "inherit", "open", "closed", "", "projects-icon-png", "", "", "2020-02-22 22:15:05", "2020-02-22 18:45:05", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/projects-icon.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1174", "0", "2020-02-22 22:15:07", "2020-02-22 18:45:07", "", "heart-icon.png", "", "inherit", "open", "closed", "", "heart-icon-png", "", "", "2020-02-22 22:15:07", "2020-02-22 18:45:07", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/heart-icon.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1175", "0", "2020-02-22 22:15:09", "2020-02-22 18:45:09", "", "code-lines-icon.png", "", "inherit", "open", "closed", "", "code-lines-icon-png", "", "", "2020-02-22 22:15:09", "2020-02-22 18:45:09", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/code-lines-icon.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1176", "0", "2020-02-22 22:15:12", "2020-02-22 18:45:12", "", "award-icon-free-img.png", "", "inherit", "open", "closed", "", "award-icon-free-img-png", "", "", "2020-02-22 22:15:12", "2020-02-22 18:45:12", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/award-icon-free-img.png", "0", "attachment", "image/png", "0");
INSERT INTO `age_posts` VALUES("1177", "0", "2020-02-22 22:15:15", "2020-02-22 18:45:15", "", "proj7.jpg", "", "inherit", "open", "closed", "", "proj7-jpg", "", "", "2020-02-22 22:15:15", "2020-02-22 18:45:15", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/proj7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1178", "0", "2020-02-22 22:15:17", "2020-02-22 18:45:17", "", "proj6.jpg", "", "inherit", "open", "closed", "", "proj6-jpg", "", "", "2020-02-22 22:15:17", "2020-02-22 18:45:17", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/proj6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1179", "0", "2020-02-22 22:15:19", "2020-02-22 18:45:19", "", "proj5-free-img.jpg", "", "inherit", "open", "closed", "", "proj5-free-img-jpg", "", "", "2020-02-22 22:15:19", "2020-02-22 18:45:19", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/proj5-free-img.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1181", "1", "2020-02-22 17:48:05", "2020-02-22 18:48:05", "", "IRANSansWeb", "", "inherit", "open", "closed", "", "iransansweb", "", "", "2020-02-22 17:48:05", "2020-02-22 18:48:05", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.ttf", "0", "attachment", "application/x-font-ttf", "0");
INSERT INTO `age_posts` VALUES("1182", "1", "2020-02-22 17:48:11", "2020-02-22 18:48:11", "", "IRANSansWeb", "", "inherit", "open", "closed", "", "iransansweb-2", "", "", "2020-02-22 17:48:11", "2020-02-22 18:48:11", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.woff", "0", "attachment", "application/x-font-woff", "0");
INSERT INTO `age_posts` VALUES("1183", "1", "2020-02-22 17:48:16", "2020-02-22 18:48:16", "", "IRANSansWeb", "", "inherit", "open", "closed", "", "iransansweb-3", "", "", "2020-02-22 17:48:16", "2020-02-22 18:48:16", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.woff2", "0", "attachment", "application/x-font-woff2", "0");
INSERT INTO `age_posts` VALUES("1184", "1", "2020-02-22 17:48:18", "2020-02-22 18:48:18", "", "IRANSansWeb", "", "inherit", "open", "closed", "", "iransansweb-4", "", "", "2020-02-22 17:48:18", "2020-02-22 18:48:18", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb.eot", "0", "attachment", "application/vnd.ms-fontobject", "0");
INSERT INTO `age_posts` VALUES("1185", "1", "2020-02-22 17:48:46", "2020-02-22 18:48:46", "", "IRANSansWeb_Bold", "", "inherit", "open", "closed", "", "iransansweb_bold", "", "", "2020-02-22 17:48:46", "2020-02-22 18:48:46", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.woff", "0", "attachment", "application/x-font-woff", "0");
INSERT INTO `age_posts` VALUES("1186", "1", "2020-02-22 17:48:47", "2020-02-22 18:48:47", "", "IRANSansWeb_Bold", "", "inherit", "open", "closed", "", "iransansweb_bold-2", "", "", "2020-02-22 17:48:47", "2020-02-22 18:48:47", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.woff2", "0", "attachment", "application/x-font-woff2", "0");
INSERT INTO `age_posts` VALUES("1187", "1", "2020-02-22 17:48:49", "2020-02-22 18:48:49", "", "IRANSansWeb_Bold", "", "inherit", "open", "closed", "", "iransansweb_bold-3", "", "", "2020-02-22 17:48:49", "2020-02-22 18:48:49", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.eot", "0", "attachment", "application/vnd.ms-fontobject", "0");
INSERT INTO `age_posts` VALUES("1188", "1", "2020-02-22 17:48:51", "2020-02-22 18:48:51", "", "IRANSansWeb_Bold", "", "inherit", "open", "closed", "", "iransansweb_bold-4", "", "", "2020-02-22 17:48:51", "2020-02-22 18:48:51", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWeb_Bold.ttf", "0", "attachment", "application/x-font-ttf", "0");
INSERT INTO `age_posts` VALUES("1189", "1", "2020-02-22 17:49:28", "2020-02-22 18:49:28", "", "IRANSansWeb(FaNum)", "", "inherit", "open", "closed", "", "iransanswebfanum", "", "", "2020-02-22 17:49:28", "2020-02-22 18:49:28", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.woff", "0", "attachment", "application/x-font-woff", "0");
INSERT INTO `age_posts` VALUES("1190", "1", "2020-02-22 17:49:29", "2020-02-22 18:49:29", "", "IRANSansWeb(FaNum)", "", "inherit", "open", "closed", "", "iransanswebfanum-2", "", "", "2020-02-22 17:49:29", "2020-02-22 18:49:29", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.woff2", "0", "attachment", "application/x-font-woff2", "0");
INSERT INTO `age_posts` VALUES("1191", "1", "2020-02-22 17:49:31", "2020-02-22 18:49:31", "", "IRANSansWeb(FaNum)", "", "inherit", "open", "closed", "", "iransanswebfanum-3", "", "", "2020-02-22 17:49:31", "2020-02-22 18:49:31", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.eot", "0", "attachment", "application/vnd.ms-fontobject", "0");
INSERT INTO `age_posts` VALUES("1192", "1", "2020-02-22 17:49:33", "2020-02-22 18:49:33", "", "IRANSansWeb(FaNum)", "", "inherit", "open", "closed", "", "iransanswebfanum-4", "", "", "2020-02-22 17:49:33", "2020-02-22 18:49:33", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum.ttf", "0", "attachment", "application/x-font-ttf", "0");
INSERT INTO `age_posts` VALUES("1193", "1", "2020-02-22 17:50:07", "2020-02-22 18:50:07", "", "IRANSansWeb(FaNum)_Bold", "", "inherit", "open", "closed", "", "iransanswebfanum_bold", "", "", "2020-02-22 17:50:07", "2020-02-22 18:50:07", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.woff", "0", "attachment", "application/x-font-woff", "0");
INSERT INTO `age_posts` VALUES("1194", "1", "2020-02-22 17:50:10", "2020-02-22 18:50:10", "", "IRANSansWeb(FaNum)_Bold", "", "inherit", "open", "closed", "", "iransanswebfanum_bold-2", "", "", "2020-02-22 17:50:10", "2020-02-22 18:50:10", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.woff2", "0", "attachment", "application/x-font-woff2", "0");
INSERT INTO `age_posts` VALUES("1195", "1", "2020-02-22 17:50:12", "2020-02-22 18:50:12", "", "IRANSansWeb(FaNum)_Bold", "", "inherit", "open", "closed", "", "iransanswebfanum_bold-3", "", "", "2020-02-22 17:50:12", "2020-02-22 18:50:12", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.eot", "0", "attachment", "application/vnd.ms-fontobject", "0");
INSERT INTO `age_posts` VALUES("1196", "1", "2020-02-22 17:50:14", "2020-02-22 18:50:14", "", "IRANSansWeb(FaNum)_Bold", "", "inherit", "open", "closed", "", "iransanswebfanum_bold-4", "", "", "2020-02-22 17:50:14", "2020-02-22 18:50:14", "", "0", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/IRANSansWebFaNum_Bold.ttf", "0", "attachment", "application/x-font-ttf", "0");
INSERT INTO `age_posts` VALUES("1197", "1", "2020-02-22 17:51:18", "2020-02-22 18:51:18", "", "Default Kit", "", "publish", "closed", "closed", "", "default-kit-2", "", "", "2020-02-22 17:51:18", "2020-02-22 18:51:18", "", "0", "http://demo.iranlec.com/agency-02/?elementor_library=default-kit-2", "0", "elementor_library", "", "0");
INSERT INTO `age_posts` VALUES("1198", "1", "2020-02-22 17:54:03", "2020-02-22 18:54:03", "{\n    \"astra-settings[body-font-family]\": {\n        \"value\": \"IRANSansFaNum\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[body-font-variant]\": {\n        \"value\": \"\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[body-font-weight]\": {\n        \"value\": \"400\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[headings-font-family]\": {\n        \"value\": \"IRANSansFaNum_Bold\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[headings-font-weight]\": {\n        \"value\": \"400\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[headings-line-height]\": {\n        \"value\": \"1.4\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[font-family-h1]\": {\n        \"value\": \"IRANSansFaNum_Bold\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[font-weight-h1]\": {\n        \"value\": \"400\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:52:38\"\n    },\n    \"astra-settings[font-size-h1]\": {\n        \"value\": {\n            \"desktop\": \"36\",\n            \"tablet\": \"50\",\n            \"mobile\": \"30\",\n            \"desktop-unit\": \"px\",\n            \"tablet-unit\": \"px\",\n            \"mobile-unit\": \"px\"\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:53:38\"\n    },\n    \"astra-settings[font-size-h2]\": {\n        \"value\": {\n            \"desktop\": \"30\",\n            \"tablet\": \"\",\n            \"mobile\": \"\",\n            \"desktop-unit\": \"px\",\n            \"tablet-unit\": \"px\",\n            \"mobile-unit\": \"px\"\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:53:38\"\n    },\n    \"astra-settings[font-size-h3]\": {\n        \"value\": {\n            \"desktop\": \"24\",\n            \"tablet\": \"\",\n            \"mobile\": \"\",\n            \"desktop-unit\": \"px\",\n            \"tablet-unit\": \"px\",\n            \"mobile-unit\": \"px\"\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:53:38\"\n    },\n    \"astra-settings[font-size-h6]\": {\n        \"value\": {\n            \"desktop\": \"16\",\n            \"tablet\": \"\",\n            \"mobile\": \"\",\n            \"desktop-unit\": \"px\",\n            \"tablet-unit\": \"px\",\n            \"mobile-unit\": \"px\"\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:53:38\"\n    },\n    \"astra-settings[font-family-button]\": {\n        \"value\": \"IRANSansFaNum\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:53:38\"\n    },\n    \"astra-settings[header-main-rt-section-button-text]\": {\n        \"value\": \"\\u062f\\u0631 \\u062e\\u0648\\u0627\\u0633\\u062a \\u0646\\u0642\\u0644 \\u0642\\u0648\\u0644\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 18:53:59\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b0312662-e287-4a4c-a109-4eb0e230da1d", "", "", "2020-02-22 17:54:03", "2020-02-22 18:54:03", "", "0", "http://demo.iranlec.com/agency-02/?p=1198", "0", "customize_changeset", "", "0");
INSERT INTO `age_posts` VALUES("1199", "1", "2020-02-22 17:54:28", "2020-02-22 18:54:28", "<h1>About Us</h1>		\n			<h4>Welcome To Space</h4>		\n		<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. Sed Fringilla Mauris Sit Amet Nibh. </p>		\n			<h3>Who Are We\n</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p>		\n			<h3>Our Mission</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p>		\n			<h3>What We Do\n</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut  luctus ullamcorper.</p>		\n			<h3>Our History</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo. Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>		\n			<h3>Our 6-D Process</h3>		\n			<h3>Discover</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n			<h3>Define</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n			<h3>Design</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n			<h3>Develop</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n			<h3>Deploy</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n			<h3>Deliver</h3>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n										<img width=\"1000\" height=\"667\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/why-choose-us.jpg\" alt=\"\" srcset=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/why-choose-us.jpg 1000w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/why-choose-us-300x200.jpg 300w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/why-choose-us-768x512.jpg 768w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/why-choose-us-400x267.jpg 400w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" />											\n			<h3>Why Choose Us?</h3>		\n												<a href=\"\">Best Quality Designs</a>\n					<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\n												<a href=\"\">24x7 Live Support</a>\n					<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\n												<a href=\"\">Result Oriented Projects</a>\n					<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\n												<a href=\"\">Award Winning Support Team</a>\n					<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\n												<a href=\"\">Best ROI Techniques</a>\n					<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\n												<a href=\"\">Experienced Professionals</a>\n					<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum, Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>\n							Projects Completed\n										<img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/projects-icon-free-img-nnzdkih8z63re7tq7wuho45syl1upur120bvc4a0g4.png\" title=\"projects-icon\" alt=\"projects-icon\" />											\n							Happy Clients\n										<img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/heart-icon-free-img-nnzdkvmzmulrwram32j9n0u99z8zpm79rtgo1zqi10.png\" title=\"heart-icon\" alt=\"heart-icon\" />											\n				K+\n							Lines Of Code\n										<img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/code-lines-icon-free-img-nnzdk850vzplui8qwadleorqfcgtd6lzcl5j22pcck.png\" title=\"code-lines-icon\" alt=\"code-lines-icon\" />											\n							Awards\n										<img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/award-icon-free-img-nnzdl8sqaj3sfarhy881lxipldg4pdnihmlgrv6zlw.png\" title=\"award-icon\" alt=\"award-icon\" />", "درباره ما", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2020-02-22 17:54:28", "2020-02-22 18:54:28", "", "19", "http://demo.iranlec.com/agency-02/19-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1200", "1", "2020-02-22 17:54:36", "2020-02-22 18:54:36", "<h1>Contact Us</h1>		\n			<h4>Contact For Premium Business Services</h4>		\n		<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. </p>		\n			<h5>Contact Us</h5>		\n			<h2>Get In Touch</h2>		\n		<p>4578 Marmora Road, Glasgow D04 89GR</p><p>info@demolink.org</p>		\n			<h6>Call Us At</h6>		\n			<h3>1-800-1234-567</h3>		\n			<h2>Request A Free Consultation</h2>		\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur malesuada bibendum ante vel convallis.</p>[wpforms id=\"976\" title=\"false\" description=\"false\"]		\n			<iframe frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"https://maps.google.com/maps?q=Glasgow&amp;t=m&amp;z=10&amp;output=embed&amp;iwloc=near\" aria-label=\"Glasgow\"></iframe>", "ارتباط با ما", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2020-02-22 17:54:36", "2020-02-22 18:54:36", "", "25", "http://demo.iranlec.com/agency-02/25-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1201", "1", "2020-02-22 17:54:44", "2020-02-22 18:54:44", "<h4>Fastest And Most Lightweight WP Theme</h4>		\n			<h1>Stunning Business Website</h1>		\n		<p>Create your own website in Minutes. No coding skills required.</p>		\n			<a href=\"#\" role=\"button\">\n						More Info\n					</a>\n			<h3>How We Can Help You?</h3>		\n		Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/editing-free-img.png\" alt=\"\" /></figure><h3>Design</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/coding-free-img.png\" alt=\"\" /></figure><h3>Development</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/marketing-1-free-img.png\" alt=\"\" /></figure><h3>Marketing</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/share-free-img.png\" alt=\"\" /></figure><h3>Social media</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/cart-free-img.png\" alt=\"\" /></figure><h3>ECommerce</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/support-free-img.png\" alt=\"\" /></figure><h3>Help & Support</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<h3>Portfolio</h3>		\n			<a href=\"#\" role=\"button\">\n						View Products\n					</a>\n			<a href=\"#\" role=\"button\">\n						View Products\n					</a>\n			<a href=\"#\" role=\"button\">\n						View Products\n					</a>\n			<a href=\"#\" role=\"button\">\n						View Products\n					</a>\n			<h3>Who We\'ve Worked With</h3>		\n				<figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client1-free-img-nnzdnp5l9axeqbhrdksk9n7ilz5fgidyvlhwwj06ra.png\" alt=\"client1\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client2-free-img-nnzdnfr7cykji7vewgqakpkwo4frbjcniaz23re4hi.png\" alt=\"client2\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client3-free-img-nnzdn3jaw43tbad5vtg56anwy43zjh054mhqv5w8qe.png\" alt=\"client3\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client4-free-img-nnzdmqdk8flssqwa0nrd7dzgmpwujpjwetcy5afr5i.png\" alt=\"client4\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client5-free-img-nnzdmgz6c38xkn9xjjp3igcuov76eqil1iu3citovq.png\" alt=\"client5\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client6-free-img-nnzdm8immkxco5m7wy1ge0hpcecvhgl00cyq1168fq.png\" alt=\"client6\" /></figure>			\n						Previous\n						Next\n			<h2>What Clients Say</h2>		\n							Nam at congue diam. Etiam erat lectus, finibus eget commodo quis, tincidunt eget leo. Nullam quis vulputate orci, ac accumsan quam. Morbi fringilla congue libero, ac malesuada vulputate pharetra.\n							<img width=\"250\" height=\"250\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/testimonial.jpg\" alt=\"\" srcset=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/testimonial.jpg 250w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														John Doe\n																						Designer\n			<h3>Meet The Team</h3>		\n										<img width=\"400\" height=\"400\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-1.jpg\" alt=\"\" srcset=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-1.jpg 400w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-1-300x300.jpg 300w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>Joanne Williams</h4>		\n		<p>Manager</p>		\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus\n									</a>\n										<img width=\"400\" height=\"400\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-2.jpg\" alt=\"\" srcset=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-2.jpg 400w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-2-300x300.jpg 300w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>Fred Buster</h4>		\n		<p>Manager</p>		\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus\n									</a>\n										<img width=\"400\" height=\"400\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-3.jpg\" alt=\"\" srcset=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-3.jpg 400w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-3-300x300.jpg 300w, https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>Lisa Hoffman</h4>		\n		<p>Manager</p>		\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-22 17:54:44", "2020-02-22 18:54:44", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1202", "1", "2020-02-22 17:54:49", "2020-02-22 18:54:49", "<h1>Services</h1>		\n			<h4>We Provide A Wide Range Of Services</h4>		\n		<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue. Aliquam ornare hendrerit augue Cras tellus In pulvinar lectus. Sed Fringilla Mauris Sit Amet Nibh.</p>		\n			<h3>How We Can Help You?</h3>		\n		<p>Sed Fringilla Mauris Sit Amet Nibh. Donec Sodales Sagittis Magna. Sed Consequat, Leo Eget Bibendum<br />Sodales, Augue Velit Cursus Nunc, Quis Gravida Magna Mi A Libero.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/editing-free-img.png\" alt=\"\" /></figure><h3>Design</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/coding-free-img.png\" alt=\"\" /></figure><h3>Development</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/marketing-1-free-img.png\" alt=\"\" /></figure><h3>Marketing</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/share-free-img.png\" alt=\"\" /></figure><h3>Social Media</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/cart-free-img.png\" alt=\"\" /></figure><h3>ECommerce</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/06/support-free-img.png\" alt=\"\" /></figure><h3>Help & Support</h3><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse et justo. Praesent mattis commodo augue.</p>		\n			<h3>Let’s Make Awesome Things, Together.</h3>		\n			<h4>Tell Us About Your Project.</h4>		\n			<a href=\"#\" role=\"button\">\n						Get A Quote\n					</a>\n			<h3>Who We\'ve Worked With</h3>		\n				<figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client1-free-img-nnzdnp5l9axeqbhrdksk9n7ilz5fgidyvlhwwj06ra.png\" alt=\"client1\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client2-free-img-nnzdnfr7cykji7vewgqakpkwo4frbjcniaz23re4hi.png\" alt=\"client2\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client3-free-img-nnzdn3jaw43tbad5vtg56anwy43zjh054mhqv5w8qe.png\" alt=\"client3\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client4-free-img-nnzdmqdk8flssqwa0nrd7dzgmpwujpjwetcy5afr5i.png\" alt=\"client4\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client5-free-img-nnzdmgz6c38xkn9xjjp3igcuov76eqil1iu3citovq.png\" alt=\"client5\" /></figure><figure><img src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/elementor/thumbs/client6-free-img-nnzdm8immkxco5m7wy1ge0hpcecvhgl00cyq1168fq.png\" alt=\"client6\" /></figure>			\n						Previous\n						Next", "خدمات", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2020-02-22 17:54:49", "2020-02-22 18:54:49", "", "21", "http://demo.iranlec.com/agency-02/21-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1203", "1", "2020-02-22 18:02:41", "2020-02-22 19:02:41", "<h4>سریعترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وب سایت تجاری خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه کار</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-22 18:02:41", "2020-02-22 19:02:41", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1204", "1", "2020-02-22 18:04:02", "2020-02-22 19:04:02", "<h4>سریعترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وب سایت تجاری خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه کار</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-22 18:04:02", "2020-02-22 19:04:02", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1205", "1", "2020-02-22 18:11:46", "2020-02-22 19:11:46", "<h3>Would You Like To Start A Project With Us?</h3>		\n		<p>Etiam erat lectus, finibus eget commodo quis, tincidunt eget leo. Nullam quis vulputate orci, ac accumsan quam. Morbi fringilla congue libero</p>		\n			<a href=\"#\" role=\"button\">\n						1-800-1234-567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"https://websitedemos.net/agency-02/wp-content/uploads/sites/30/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>		\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>Important Links</h4>		\n					<ul>\n							<li >\n										Home\n									</li>\n								<li >\n										About\n									</li>\n								<li >\n										Services\n									</li>\n								<li >\n										Contact\n									</li>\n						</ul>\n			<h4>Important Links</h4>		\n					<ul>\n							<li >\n										Project\n									</li>\n								<li >\n										Our Team\n									</li>\n								<li >\n										Facts\n									</li>\n								<li >\n										Customers\n									</li>\n						</ul>\n			<h4>Get In Touch</h4>		\n					<ul>\n							<li >\n										4578 Marmora Road, Glasgow 89GR\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		Copyright © [hfe_current_year] [hfe_site_title] | Powered by [hfe_site_title]", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-02-22 18:11:46", "2020-02-22 19:11:46", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1206", "1", "2020-02-22 18:11:46", "2020-02-22 19:11:46", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n										صفحه اصلی\n									</li>\n								<li >\n										درباره ما\n									</li>\n								<li >\n										خدمات\n									</li>\n								<li >\n										ارتباط با ما\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n										پروژه ها\n									</li>\n								<li >\n										تیم ما\n									</li>\n								<li >\n										کار ها\n									</li>\n								<li >\n										مشتریان\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\nکپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\n  |ساخته شده با امپراطور وردپرس:قالب آسترا", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-02-22 18:11:46", "2020-02-22 19:11:46", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1207", "1", "2020-02-22 18:12:25", "2020-02-22 19:12:25", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n										صفحه اصلی\n									</li>\n								<li >\n										درباره ما\n									</li>\n								<li >\n										خدمات\n									</li>\n								<li >\n										ارتباط با ما\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n										پروژه ها\n									</li>\n								<li >\n										تیم ما\n									</li>\n								<li >\n										کار ها\n									</li>\n								<li >\n										مشتریان\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\nکپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\n  |ساخته شده با امپراطور وردپرس:قالب آسترا", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-02-22 18:12:25", "2020-02-22 19:12:25", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1208", "1", "2020-02-22 18:17:33", "2020-02-22 19:17:33", "<h1>درباره ما</h1>		\n			<h4>به فضای کاری ما خوش آمدید</h4>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</section>		\n			<h3>ما که هستیم\n</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>ماموریت ما</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>آنچه انجام می دهیم\n</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>داستان ما</h3>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی و فرهنگ پیشرو در زبان فارسی ایجاد کرد.</section>		\n			<h3>روند 6 بعدی ما</h3>		\n			<h3>جست و جو</h3>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>		\n			<h3>مشخص کردن</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>طراحی</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>توسعه</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>استقرار</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>ارائه</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n										<img width=\"1000\" height=\"667\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg 1000w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-300x200.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-768x512.jpg 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" />											\n			<h3>چرا ما را انتخاب کنید؟</h3>		\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n							پروژه ها به پایان رسید\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/projects-icon-oljz1gztfosl3e6v5eqg5fi0ctu4mvs69yb2byxb5w.png\" title=\"projects-icon.png\" alt=\"projects-icon.png\" />											\n							مشتریان خوشحال\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/heart-icon-oljz1ivhtcv5qm44ufjpaf0xjlkv29zmy7m1aiuitg.png\" title=\"heart-icon.png\" alt=\"heart-icon.png\" />											\n				K+\n							خطوط کد\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/code-lines-icon-oljz1kr670xqdu1ejgcyfejuqdblho73mgx092rqh0.png\" title=\"code-lines-icon.png\" alt=\"code-lines-icon.png\" />											\n							جوایز\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/award-icon-free-img-oljz1nkorj1lcnxb2zku4vu8iixp4riamuvgownjyc.png\" title=\"award-icon-free-img.png\" alt=\"award-icon-free-img.png\" />", "درباره ما", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2020-02-22 18:17:33", "2020-02-22 19:17:33", "", "19", "http://demo.iranlec.com/agency-02/19-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1209", "1", "2020-02-22 18:18:36", "2020-02-22 19:18:36", "<h1>درباره ما</h1>		\n			<h4>به فضای کاری ما خوش آمدید</h4>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</section>		\n			<h3>ما که هستیم\n</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>ماموریت ما</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>آنچه انجام می دهیم\n</h3>		\n		<p>لورم ایپسوم متن ساختگی است.</p>		\n			<h3>داستان ما</h3>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی و فرهنگ پیشرو در زبان فارسی ایجاد کرد.</section>		\n			<h3>روند 6 بعدی ما</h3>		\n			<h3>جست و جو</h3>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>		\n			<h3>مشخص کردن</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>طراحی</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>توسعه</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>استقرار</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>ارائه</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n										<img width=\"1000\" height=\"667\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us.jpg 1000w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-300x200.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/why-choose-us-768x512.jpg 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" />											\n			<h3>چرا ما را انتخاب کنید؟</h3>		\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n												<a href=\"\">لورم ایپسوم متن ساختگی است</a>\n					<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n							پروژه ها به پایان رسید\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/projects-icon-oljz1gztfosl3e6v5eqg5fi0ctu4mvs69yb2byxb5w.png\" title=\"projects-icon.png\" alt=\"projects-icon.png\" />											\n							مشتریان خوشحال\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/heart-icon-oljz1ivhtcv5qm44ufjpaf0xjlkv29zmy7m1aiuitg.png\" title=\"heart-icon.png\" alt=\"heart-icon.png\" />											\n				K+\n							خطوط کد\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/code-lines-icon-oljz1kr670xqdu1ejgcyfejuqdblho73mgx092rqh0.png\" title=\"code-lines-icon.png\" alt=\"code-lines-icon.png\" />											\n							جوایز\n										<img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/award-icon-free-img-oljz1nkorj1lcnxb2zku4vu8iixp4riamuvgownjyc.png\" title=\"award-icon-free-img.png\" alt=\"award-icon-free-img.png\" />", "درباره ما", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2020-02-22 18:18:36", "2020-02-22 19:18:36", "", "19", "http://demo.iranlec.com/agency-02/19-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1210", "1", "2020-02-22 18:32:02", "2020-02-22 19:32:02", "<h1>خدمات</h1>		\n			<h4>ما خدمات گسترده ای ارائه می دهیم</h4>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>بیایید با هم چیزهای عالی بسازیم.</h3>		\n			<h4>درباره پروژه تان به ما بگویید.</h4>		\n			<a href=\"#\" role=\"button\">\n						درخواست نقل قول\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next", "خدمات", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2020-02-22 18:32:02", "2020-02-22 19:32:02", "", "21", "http://demo.iranlec.com/agency-02/21-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1211", "1", "2020-02-22 18:34:43", "2020-02-22 19:34:43", "<h1>ارتباط ما</h1>		\n			<h4>برای خدمات تجاری تماس بگیرید</h4>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<h5>ارتباط با ما</h5>		\n			<h2>با ما در تماس باشید</h2>		\n		<p>تهران ، خیابان فرجام ، کوچه گلستان</p><p>info@demolink.org</p>		\n			<h6>Call Us At</h6>		\n			<h3>1-800-1234-567</h3>		\n			<h2>درخواست مشاوره رایگان</h2>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>[wpforms id=\"7\" title=\"false\" description=\"false\"]		\n			<iframe frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"https://maps.google.com/maps?q=Glasgow&amp;t=m&amp;z=10&amp;output=embed&amp;iwloc=near\" aria-label=\"Glasgow\"></iframe>", "ارتباط با ما", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2020-02-22 18:34:43", "2020-02-22 19:34:43", "", "25", "http://demo.iranlec.com/agency-02/25-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1212", "1", "2020-02-22 18:35:12", "2020-02-22 19:35:12", "<h1>ارتباط ما</h1>		\n			<h4>برای خدمات تجاری تماس بگیرید</h4>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<h5>ارتباط با ما</h5>		\n			<h2>با ما در تماس باشید</h2>		\n		<p>تهران ، خیابان فرجام ، کوچه گلستان</p><p>info@demolink.org</p>		\n			<h6>تلفن ما</h6>		\n			<h3>1-800-1234-567</h3>		\n			<h2>درخواست مشاوره رایگان</h2>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>[wpforms id=\"7\" title=\"false\" description=\"false\"]		\n			<iframe frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"https://maps.google.com/maps?q=Glasgow&amp;t=m&amp;z=10&amp;output=embed&amp;iwloc=near\" aria-label=\"Glasgow\"></iframe>", "ارتباط با ما", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2020-02-22 18:35:12", "2020-02-22 19:35:12", "", "25", "http://demo.iranlec.com/agency-02/25-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1213", "1", "2020-02-22 18:38:49", "2020-02-22 19:38:49", "{\n    \"astra-settings[font-family-primary-menu]\": {\n        \"value\": \"IRANSansFaNum_Bold\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-22 19:38:49\"\n    }\n}", "", "", "trash", "closed", "closed", "", "0d700376-d290-45fd-a2e6-4feef47f5b07", "", "", "2020-02-22 18:38:49", "2020-02-22 19:38:49", "", "0", "http://demo.iranlec.com/agency-02/0d700376-d290-45fd-a2e6-4feef47f5b07/", "0", "customize_changeset", "", "0");
INSERT INTO `age_posts` VALUES("1214", "1", "2020-02-23 11:26:28", "2020-02-23 12:26:28", "{\n    \"astra-settings[header-main-rt-section-button-text]\": {\n        \"value\": \"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-02-23 12:26:28\"\n    }\n}", "", "", "trash", "closed", "closed", "", "1887edb5-06b1-4595-ae40-2a315a7056ab", "", "", "2020-02-23 11:26:28", "2020-02-23 12:26:28", "", "0", "http://demo.iranlec.com/agency-02/1887edb5-06b1-4595-ae40-2a315a7056ab/", "0", "customize_changeset", "", "0");
INSERT INTO `age_posts` VALUES("1215", "1", "2020-02-23 11:47:15", "2020-02-23 12:47:15", "", "businesman-hero-section2", "", "inherit", "open", "closed", "", "businesman-hero-section2", "", "", "2020-02-23 11:47:15", "2020-02-23 12:47:15", "", "2", "http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/businesman-hero-section2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `age_posts` VALUES("1217", "1", "2020-02-23 11:48:37", "2020-02-23 12:48:37", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وب سایت تجاری خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه کار</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-23 11:48:37", "2020-02-23 12:48:37", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1218", "1", "2020-02-23 11:48:58", "2020-02-23 12:48:58", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه کار</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-23 11:48:58", "2020-02-23 12:48:58", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1219", "1", "2020-02-23 11:49:08", "2020-02-23 12:49:08", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه کار</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-23 11:49:08", "2020-02-23 12:49:08", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1220", "1", "2020-02-23 11:50:19", "2020-02-23 12:50:19", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-02-23 11:50:19", "2020-02-23 12:50:19", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1221", "1", "2020-02-23 11:51:42", "2020-02-23 12:51:42", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										صفحه اصلی\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										درباره ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										خدمات\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										ارتباط با ما\n											</a>\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										پروژه ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										تیم ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										کار ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										مشتریان\n											</a>\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\nکپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\n  |ساخته شده با امپراطور وردپرس:قالب آسترا", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-02-23 11:51:42", "2020-02-23 12:51:42", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1231", "1", "2020-03-21 22:08:31", "2020-03-21 17:38:31", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										صفحه اصلی\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										درباره ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										خدمات\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										ارتباط با ما\n											</a>\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										پروژه ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										تیم ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										کار ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										مشتریان\n											</a>\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		کپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n  | ساخته شده با امپراطور وردپرس: قالب آسترا", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-03-21 22:08:31", "2020-03-21 17:38:31", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1222", "1", "2020-02-23 11:52:49", "2020-02-23 12:52:49", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										صفحه اصلی\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										درباره ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										خدمات\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										ارتباط با ما\n											</a>\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										پروژه ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										تیم ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										کار ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										مشتریان\n											</a>\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		&lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;\nکپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n  | ساخته شده با امپراطور وردپرس: قالب آسترا &lt;i style=&quot;color: red&quot; class=&quot;fa fa-heartbeat fa-lg&quot;&gt;&lt;/i&gt;", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-02-23 11:52:49", "2020-02-23 12:52:49", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1223", "1", "2020-02-23 11:54:12", "2020-02-23 12:54:12", "<h1>ارتباط ما</h1>		\n			<h4>برای خدمات تجاری تماس بگیرید</h4>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<h5>ارتباط با ما</h5>		\n			<h2>با ما در تماس باشید</h2>		\n		<p>تهران ، خیابان فرجام ، کوچه گلستان</p><p>info@demolink.org</p>		\n			<h6>تلفن ما</h6>		\n			<h3>1-800-1234-567</h3>		\n			<h2>درخواست مشاوره رایگان</h2>		\n		<section id=\"text-copy\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</section>[wpforms id=\"7\" title=\"false\" description=\"false\"]		\n			<iframe frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"https://maps.google.com/maps?q=Glasgow&amp;t=m&amp;z=10&amp;output=embed&amp;iwloc=near\" aria-label=\"Glasgow\"></iframe>", "ارتباط با ما", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2020-02-23 11:54:12", "2020-02-23 12:54:12", "", "25", "http://demo.iranlec.com/agency-02/25-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1225", "1", "2020-03-21 22:03:47", "2020-03-21 17:33:47", "{\n    \"astra-settings[header-main-rt-section-button-link-option]\": {\n        \"value\": {\n            \"url\": \"#\",\n            \"new_tab\": false,\n            \"link_rel\": \"\"\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2020-03-21 17:33:47\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a16006d3-2c19-463b-b748-122c8b8dcea3", "", "", "2020-03-21 22:03:47", "2020-03-21 17:33:47", "", "0", "http://demo.iranlec.com/agency-02/a16006d3-2c19-463b-b748-122c8b8dcea3/", "0", "customize_changeset", "", "0");
INSERT INTO `age_posts` VALUES("1226", "1", "2020-03-21 22:05:32", "2020-03-21 17:35:32", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-03-21 22:05:32", "2020-03-21 17:35:32", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1227", "1", "2020-03-21 22:07:00", "2020-03-21 17:37:00", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-03-21 22:07:00", "2020-03-21 17:37:00", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1228", "1", "2020-03-21 22:07:07", "2020-03-21 17:37:07", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h2>نظر مشتری</h2>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-03-21 22:07:07", "2020-03-21 17:37:07", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1229", "1", "2020-03-21 22:07:34", "2020-03-21 17:37:34", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h3>نظر مشتریان ما</h3>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-03-21 22:07:34", "2020-03-21 17:37:34", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1230", "1", "2020-03-21 22:07:44", "2020-03-21 17:37:44", "<h4>سریع‌ترین و سبک ترین قالب وردپرس</h4>		\n			<h1>وبسایت شرکتی خیره کننده</h1>		\n		<p>وب سایت خود را در چند دقیقه ایجاد کنید. بدون هیچ مهارت کد نویسی</p>		\n			<a href=\"#\" role=\"button\">\n						اطلاعات بیشتر\n					</a>\n			<h3>ما چگونه می توانیم به شما کمک کنیم؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/editing-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>طراحی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/coding-1-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>توسعه دهنده</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/marketing-1-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>مارکتینگ</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/share-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>شبکه های اجتماعی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/cart-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>فروشگاهی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"64\" height=\"64\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support.png 64w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-300x300.png 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1024x1024.png 1024w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-150x150.png 150w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-768x768.png 768w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-1536x1536.png 1536w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/02/support-2048x2048.png 2048w\" sizes=\"(max-width: 64px) 100vw, 64px\" /></figure><h3>کمک و پشتیبانی</h3><p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<h3>نمونه‌کارهای حرفه‌ای</h3>		\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<a href=\"#\" role=\"button\">\n						مشاهده محصولات\n					</a>\n			<h3>چه کسی با ما کار می کنند</h3>		\n				<figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client1-oljz13u3wcr8kj0l1jf9but17tfsapbm9yr2mqx0za.png\" alt=\"client1.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client2-oljz15psa0tt7qxuqk8igubyel6iq3j2y821lau8mu.png\" alt=\"client2.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client3-oljz17lgnowduyv4fl1rltuvlcx95hqjmhd0jurgae.png\" alt=\"client3.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client4-oljz1aez8708tsr0z49nbb59dijcsl1qmvbgzon9rq.png\" alt=\"client4.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client5-oljz1canlv2th0oao52wgao6kaa37z97b4mfy8khfa.png\" alt=\"client5.png\" /></figure><figure><img src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/elementor/thumbs/client6-oljz1e6bzj5e48lkd5w5la73r20tndgnzdxewshp2u.png\" alt=\"client6.png\" /></figure>			\n						Previous\n						Next\n			<h3>نظر مشتریان ما</h3>		\n							لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. \n							<img width=\"250\" height=\"250\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial.jpg 250w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/testimonial-150x150.jpg 150w\" sizes=\"(max-width: 250px) 100vw, 250px\" />						\n														جان دو\n																						طراح\n			<h3>تیم ما</h3>		\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-1-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>جوآن ویلیامز</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-2-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>فرد باستر</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n										<img width=\"400\" height=\"400\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg\" alt=\"\" srcset=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3.jpg 400w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-300x300.jpg 300w, http://demo.iranlec.com/agency-02/wp-content/uploads/2020/01/team-3-150x150.jpg 150w\" sizes=\"(max-width: 400px) 100vw, 400px\" />											\n			<h4>لیزا هافمن</h4>		\n		<p>مدیر</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2020-03-21 22:07:44", "2020-03-21 17:37:44", "", "2", "http://demo.iranlec.com/agency-02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1232", "1", "2020-03-21 22:09:18", "2020-03-21 17:39:18", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										صفحه اصلی\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										درباره ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										خدمات\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										ارتباط با ما\n											</a>\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										پروژه ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										تیم ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										کار ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										مشتریان\n											</a>\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		کپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n  | ساخته شده با امپراطور وردپرس: قالب آسترا", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-03-21 22:09:18", "2020-03-21 17:39:18", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `age_posts` VALUES("1233", "1", "2020-03-21 22:09:52", "2020-03-21 17:39:52", "<h3>آیا می خواهید پروژه ای را با ما شروع کنید؟</h3>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<a href=\"#\" role=\"button\">\n						18001234567\n					</a>\n										<img width=\"125\" height=\"35\" src=\"http://demo.iranlec.com/agency-02/wp-content/uploads/2017/09/spacewhite-logo-free-img.png\" alt=\"\" />											\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است .</p>		\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Twitter\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Google-plus-g\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Linkedin-in\n									</a>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										صفحه اصلی\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										درباره ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										خدمات\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										ارتباط با ما\n											</a>\n									</li>\n						</ul>\n			<h4>لینک های مهم</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">						\n										پروژه ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										تیم ما\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										کار ها\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">						\n										مشتریان\n											</a>\n									</li>\n						</ul>\n			<h4>ارتباط با ما</h4>		\n					<ul>\n							<li >\n										تهران ، خیابان فرجام ، کوچه گلستان\n									</li>\n								<li >\n										info@demolink.org\n									</li>\n								<li >\n										1-800-1234-567\n									</li>\n								<li >\n										+44 987-654-3210\n									</li>\n						</ul>\n		کپی‌رایت 2020 - قالب آسترا - فارسی‌سازی و راستچین نسخه پرو توسط ناگاتم\n  | ساخته شده با امپراطور وردپرس: قالب آسترا", "Footer", "", "inherit", "closed", "closed", "", "1085-revision-v1", "", "", "2020-03-21 22:09:52", "2020-03-21 17:39:52", "", "1085", "http://demo.iranlec.com/agency-02/1085-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: age_term_relationships */
INSERT INTO `age_term_relationships` VALUES("724", "4", "0");
INSERT INTO `age_term_relationships` VALUES("726", "4", "0");
INSERT INTO `age_term_relationships` VALUES("727", "4", "0");
INSERT INTO `age_term_relationships` VALUES("725", "4", "0");

/* INSERT TABLE DATA: age_term_taxonomy */
INSERT INTO `age_term_taxonomy` VALUES("1", "1", "category", "", "0", "0");
INSERT INTO `age_term_taxonomy` VALUES("2", "2", "category", "", "0", "0");
INSERT INTO `age_term_taxonomy` VALUES("3", "3", "elementor_library_type", "", "0", "0");
INSERT INTO `age_term_taxonomy` VALUES("4", "4", "nav_menu", "", "0", "4");
INSERT INTO `age_term_taxonomy` VALUES("5", "5", "bsf_custom_fonts", "", "0", "0");
INSERT INTO `age_term_taxonomy` VALUES("6", "6", "bsf_custom_fonts", "", "0", "0");
INSERT INTO `age_term_taxonomy` VALUES("7", "7", "bsf_custom_fonts", "", "0", "0");
INSERT INTO `age_term_taxonomy` VALUES("8", "8", "bsf_custom_fonts", "", "0", "0");

/* INSERT TABLE DATA: age_termmeta */
INSERT INTO `age_termmeta` VALUES("1", "2", "_astra_sites_imported_term", "1");
INSERT INTO `age_termmeta` VALUES("2", "3", "_astra_sites_imported_term", "1");
INSERT INTO `age_termmeta` VALUES("3", "4", "_astra_sites_imported_term", "1");

/* INSERT TABLE DATA: age_terms */
INSERT INTO `age_terms` VALUES("1", "دسته‌بندی نشده", "%d8%af%d8%b3%d8%aa%d9%87%e2%80%8c%d8%a8%d9%86%d8%af%db%8c-%d9%86%d8%b4%d8%af%d9%87", "0");
INSERT INTO `age_terms` VALUES("2", "Uncategorized", "uncategorized", "0");
INSERT INTO `age_terms` VALUES("3", "section", "section", "0");
INSERT INTO `age_terms` VALUES("4", "Top Nav", "top-nav", "0");
INSERT INTO `age_terms` VALUES("5", "IRANSans", "iransans", "0");
INSERT INTO `age_terms` VALUES("6", "IRANSans_Bold", "iransans_bold", "0");
INSERT INTO `age_terms` VALUES("7", "IRANSansFaNum", "iransansfanum", "0");
INSERT INTO `age_terms` VALUES("8", "IRANSansFaNum_Bold", "iransansfanum_bold", "0");

/* INSERT TABLE DATA: age_usermeta */
INSERT INTO `age_usermeta` VALUES("1", "1", "nickname", "nagatheme");
INSERT INTO `age_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `age_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `age_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `age_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `age_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `age_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `age_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `age_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `age_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `age_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `age_usermeta` VALUES("12", "1", "age_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `age_usermeta` VALUES("13", "1", "age_user_level", "10");
INSERT INTO `age_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `age_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `age_usermeta` VALUES("17", "1", "age_dashboard_quick_press_last_post_id", "4");
INSERT INTO `age_usermeta` VALUES("18", "1", "community-events-location", "a:1:{s:2:\"ip\";s:10:\"5.123.16.0\";}");
INSERT INTO `age_usermeta` VALUES("19", "1", "astra-sites-on-active", "notice-dismissed");
INSERT INTO `age_usermeta` VALUES("20", "1", "header-footer-elementor-rating", "delayed-notice");
INSERT INTO `age_usermeta` VALUES("21", "1", "age_user-settings", "editor=tinymce&libraryContent=browse");
INSERT INTO `age_usermeta` VALUES("22", "1", "age_user-settings-time", "1582462471");
INSERT INTO `age_usermeta` VALUES("23", "1", "nav_menu_recently_edited", "4");
INSERT INTO `age_usermeta` VALUES("24", "1", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `age_usermeta` VALUES("25", "1", "metaboxhidden_nav-menus", "a:3:{i:0;s:33:\"add-post-type-astra-advanced-hook\";i:1;s:12:\"add-post_tag\";i:2;s:15:\"add-post_format\";}");
INSERT INTO `age_usermeta` VALUES("26", "1", "elementor_introduction", "a:1:{s:19:\"colorPickerDropping\";b:1;}");
INSERT INTO `age_usermeta` VALUES("27", "1", "session_tokens", "a:1:{s:64:\"378a906e5500f79b6a89b39885279fa4e595b503aa0bba8da723d00a2b171d53\";a:4:{s:10:\"expiration\";i:1584984744;s:2:\"ip\";s:12:\"5.123.16.135\";s:2:\"ua\";s:77:\"Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:74.0) Gecko/20100101 Firefox/74.0\";s:5:\"login\";i:1584811944;}}");

/* INSERT TABLE DATA: age_users */
INSERT INTO `age_users` VALUES("1", "nagatheme", "$P$BtgEiX3y8h.ixQotBdrIuR/olLLfNK1", "nagatheme", "demo@nagatheme.com", "", "2020-02-22 18:38:43", "", "0", "nagatheme");

/* INSERT TABLE DATA: age_wpforms_tasks_meta */
INSERT INTO `age_wpforms_tasks_meta` VALUES("1", "wpforms_process_entry_emails_meta_cleanup", "Wzg2NDAwXQ==", "2020-03-21 18:48:17");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2020-03-21 18:50:30*/
/* DUPLICATOR_MYSQLDUMP_EOF */
